# Data

Monte Carlo data (LHE events) and SLHA files used for [recasting](../Recast) and [plotting](../plotting/).
The data can be downloaded from [Cern Box](https://cernbox.cern.ch/s/B63F7DJu1rbRbxT) or as individual files in Zenodo (10.5281/zenodo.10277973)
A description of the data files is given below.

## Files

* [gg2tt_formFactors_scan.tar.gz](./gg2tt_formFactors_scan.tar.gz): LHE events for $g g \to t \bar{t}$ using the 1-loop form factors for several values of BSM masses.

* [qq2tt_formFactors_scan.tar.gz](./qq2tt_formFactors_scan.tar.gz): LHE events for $q q \to t \bar{t}$ using the 1-loop form factors for several values of BSM masses.

* [gg2tt_eft_scan.tar.gz](./gg2tt_eft_scan.tar.gz): LHE events for $g g \to t \bar{t}$ using the EFT approximation for several values of BSM masses.

* [qq2tt_eft_scan.tar.gz](./qq2tt_eft_scan.tar.gz): LHE events for $q q \to t \bar{t}$ using the EFT approximation for several values of BSM masses.

* [slhaFiles.tar.gz](./slhaFiles.tar.gz): SLHA files used as input for SModelS

* [smodelsOutput.tar.gz](./smodelsOutput.tar.gz): SModelS output files

* [pp2STST.tar.gz](./pp2STST.tar.gz): Delphes ROOT files used for recasting the CMS ISR plus MET search (see [Recast/CMS-EXO-20-004_monojet](../Recast/CMS-EXO-20-004_monojet/))
