(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    241884,       6906]
NotebookOptionsPosition[    234026,       6775]
NotebookOutlinePosition[    234551,       6794]
CellTagsIndexPosition[    234508,       6791]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8890168084279547`*^9, 3.8890168092899714`*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$LoadAddOns", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<FeynArts\>\"", ",", "\"\<FeynHelpers\>\""}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<FeynCalc`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.8890168234903173`*^9, 3.889016854234688*^9}, {
  3.889017044991746*^9, 3.889017045165141*^9}, {3.889017781387946*^9, 
  3.889017814440536*^9}, {3.88901786533222*^9, 3.889017866119855*^9}, {
  3.889025236954578*^9, 3.889025237167118*^9}, {3.8895928715731487`*^9, 
  3.8895928871625967`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynCalc \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"9.3.1 (stable version). For help, use the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"documentation", " ", "center"}],
       BaseStyle->"Link",
       ButtonData:>"paclet:FeynCalc/",
       ButtonNote->"paclet:FeynCalc/"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\", check out the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["wiki",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/wiki"], None},
       ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" or visit the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"forum", "."}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/discussions"], None},
       ButtonNote->"http://www.feyncalc.org/forum/"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynCalc ", "Text", Bold], 
    Style["9.3.1 (stable version). For help, use the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "documentation center", BaseStyle -> "Link", ButtonData :> 
       "paclet:FeynCalc/", ButtonNote -> "paclet:FeynCalc/"]], "Text"], 
    Style[", check out the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["wiki", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/wiki"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> 
       "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
    Style[" or visit the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["forum.", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/discussions"], None}, 
       BaseStyle -> "Hyperlink", ButtonNote -> 
       "http://www.feyncalc.org/forum/"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667759427*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"38b1040c-e799-4871-9ca1-e5af20b3244d"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"To save your and our time, please check our \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["FAQ",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None},
       ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" for answers to some common FeynCalc questions.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["To save your and our time, please check our ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["FAQ", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None}, 
       BaseStyle -> "Hyperlink", ButtonNote -> 
       "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
    Style[" for answers to some common FeynCalc questions.", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.9096476677663317`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a965dbf4-5503-42cc-8078-6928bb9e32ce"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"See also the supplied \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"examples", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" If you use FeynCalc in your research, please cite\"\>", 
     "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["See also the supplied ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]], Evaluator -> 
       Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" If you use FeynCalc in your research, please cite", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.9096476677685947`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"43334793-268d-4838-84d7-d014d54b52cf"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 256 (2020) 107478, arXiv:2001.04407.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667771237*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ebb6940f-fdfc-4147-888e-e1b2982291bc"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 207 (2016) 432-444, arXiv:1601.01167.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667773469*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9534e15c-0e8e-4d05-b3f1-11ee23e22bea"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] R. Mertig, M. B\[ODoubleDot]hm, and A. Denner, \
Comput. Phys. Commun. 64 (1991) 345-359.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667775354*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"2e580730-7285-4b70-a5eb-eeb4769ebe9b"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynArts \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"3.11 (25 Mar 2022) patched for use with FeynCalc, for \
documentation see the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["manual",
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         First[
          FileNames[{"*.pdf", "*.PDF"}, 
           FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" or visit \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"www", ".", "feynarts", ".", "de", "."}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["http://www.feynarts.de/"], None},
       ButtonNote->"www.feynarts.de/"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynArts ", "Text", Bold], 
    Style[
    "3.11 (25 Mar 2022) patched for use with FeynCalc, for documentation see \
the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "manual", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         First[
          FileNames[{"*.pdf", "*.PDF"}, 
           FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]], 
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" or visit ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["www.feynarts.de.", ButtonData :> {
         URL["http://www.feynarts.de/"], None}, BaseStyle -> "Hyperlink", 
       ButtonNote -> "www.feynarts.de/"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.90964766791173*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9a358d69-d6ad-431e-9770-6995f63b19e9"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\"If you use FeynArts in your research, please cite\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667914158*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a0610093-7d3d-4920-b1da-fe27d2c1e468"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] T. Hahn, Comput. Phys. Commun., 140, 418-431, \
2001, arXiv:hep-ph/0012260\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667915991*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a189fc21-b75e-4235-9d44-482eb3e0309b"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynHelpers \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"1.3.0, for more information see the accompanying \"\>", 
     "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"publication", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{
          FeynCalc`$FeynHelpersDirectory, "Documentation", "1611.06793.pdf"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynHelpers ", "Text", Bold], 
    Style["1.3.0, for more information see the accompanying ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "publication.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{
          FeynCalc`$FeynHelpersDirectory, "Documentation", 
           "1611.06793.pdf"}]], Evaluator -> Automatic, Method -> 
       "Preemptive"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667967771*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f08707a4-f4ef-4135-87fb-031af6889450"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"Have a look at the supplied \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"examples", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" If you use FeynHelpers in your research, please cite\"\>", 
     "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["Have a look at the supplied ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]], 
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" If you use FeynHelpers in your research, please cite", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667970134*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"cb452db0-bcf2-4fba-8b5d-eef3e2a45e6a"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, \\\"FeynHelpers: Connecting \
FeynCalc to FIRE and Package-X\\\", Comput. Phys. Commun., 218, 48-65, 2017, \
arXiv:1611.06793\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667972509*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"4ca8f1d7-52d8-4fb1-9970-19e05c6d7213"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\"Furthermore, remember to cite the authors of the tools that \
you are calling from FeynHelpers, which are\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.9096476679744883`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"57ebf309-80b4-41f3-96b4-0050f9284a1f"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["FIRE",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["http://science.sander.su/FIRE.htm"], None},
       ButtonNote->"http://science.sander.su/FIRE.htm"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" by A. Smirnov, if you are using the function \
FIREBurn.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style[" \[Bullet] "], 
    Style[
     DisplayForm[
      ButtonBox["FIRE", ButtonData :> {
         URL["http://science.sander.su/FIRE.htm"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> "http://science.sander.su/FIRE.htm"]], 
     "Text"], 
    Style[" by A. Smirnov, if you are using the function FIREBurn.", "Text"]],
   
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667978294*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7e97f26f-7022-4981-94ed-c8dbabbdccf3"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"Package", "-", "X"}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://packagex.hepforge.org"], None},
       ButtonNote->"https://packagex.hepforge.org"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" by H. Patel, if you are using the function \
PaXEvaluate.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style[" \[Bullet] "], 
    Style[
     DisplayForm[
      ButtonBox["Package-X", ButtonData :> {
         URL["https://packagex.hepforge.org"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> "https://packagex.hepforge.org"]], "Text"], 
    
    Style[" by H. Patel, if you are using the function PaXEvaluate.", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902566115468585*^9, 
   3.903185297681074*^9, 3.909647667980448*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"92a7458e-06ea-42c8-a78c-d8b891a9373b"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.889017308907774*^9, 3.889017320298298*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CKM", " ", "=", " ", "IndexDelta"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Neglect", "[", "ME", "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"Neglect", "[", "ME2", "]"}], " ", "=", " ", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$FAVerbose", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"use", " ", "generic", " ", "model", " ", "from", " ", 
    RowBox[{"FeynCalc", "!"}], " ", "The", " ", "SUNF", " ", "and", " ", 
    "SUNT", " ", "functions", " ", "in", " ", 
    RowBox[{"the", " ", ".", "mod"}], " ", "file", " ", "have", " ", "to", 
    " ", "be", " ", "replaced", " ", "by", " ", "FASUNF", " ", "and", " ", 
    "FASUNT"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"InsertFields", ",", " ", 
    RowBox[{
    "Model", " ", "->", "\"\<../../Models/SMS-stop-FA/SMS-stop-FA\>\""}], ",", 
    RowBox[{"ExcludeParticles", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"S", "[", "1", "]"}], "}"}]}], ",", 
    RowBox[{"InsertionLevel", "\[Rule]", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Paint", ",", " ", 
    RowBox[{"PaintLevel", " ", "->", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"CreateTopologies", ",", " ", 
    RowBox[{"ExcludeTopologies", " ", "->", " ", 
     RowBox[{"{", 
      RowBox[{
      "TadpoleCTs", ",", "Tadpoles", ",", " ", "WFCorrectionCTs", ",", 
       "SelfEnergies", ",", "SelfEnergyCTs"}], "}"}]}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.889017005844899*^9, {3.88901704085599*^9, 3.889017041077664*^9}, 
   3.889017094676647*^9, {3.889017325834794*^9, 3.889017434303607*^9}, 
   3.889017536935258*^9, {3.889017664405981*^9, 3.8890176805032187`*^9}, 
   3.8890179884081173`*^9, {3.889018149086043*^9, 3.8890181730357113`*^9}, {
   3.889019077467082*^9, 3.889019120878731*^9}, {3.8890226845002737`*^9, 
   3.889022733473879*^9}, {3.8890227741904078`*^9, 3.8890228031699657`*^9}, {
   3.889022982319891*^9, 3.8890229985262537`*^9}, {3.8890236396691513`*^9, 
   3.889023639834773*^9}, {3.889025152091753*^9, 3.889025177352399*^9}, {
   3.889544917395384*^9, 3.8895449493334312`*^9}, {3.896504119230514*^9, 
   3.8965041235149*^9}, {3.896504180860827*^9, 3.89650418316083*^9}, 
   3.896504232770453*^9, {3.901123677335421*^9, 3.90112370859788*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],

Cell[CellGroupData[{

Cell["u u \[RightArrow] t t (1-loop)", "Section",
 CellChangeTimes->{{3.8965094536222267`*^9, 3.8965095038654137`*^9}, {
  3.9013532598632402`*^9, 3.9013532620752897`*^9}, {3.901353311683537*^9, 
  3.901353312659729*^9}},ExpressionUUID->"ef4b8bcd-035e-426e-b53d-\
5b41ce129840"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tops0", " ", "=", " ", 
   RowBox[{"CreateTopologies", "[", 
    RowBox[{"0", ",", 
     RowBox[{"2", "\[Rule]", "2"}], ",", "  ", 
     RowBox[{"ExcludeTopologies", " ", "->", " ", 
      RowBox[{"{", 
       RowBox[{"TadpoleCTs", ",", "Tadpoles", ",", "SelfEnergies"}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tops", " ", "=", " ", 
   RowBox[{"CreateTopologies", "[", 
    RowBox[{"1", ",", 
     RowBox[{"2", "\[Rule]", "2"}], ",", "  ", 
     RowBox[{"ExcludeTopologies", " ", "->", " ", 
      RowBox[{"{", 
       RowBox[{"TadpoleCTs", ",", "Tadpoles", ",", "SelfEnergies"}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"processGGT", " ", "=", "  ", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"F", "[", "7", "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"F", "[", "7", "]"}]}]}], "}"}], " ", "->", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"F", "[", "9", "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"F", "[", "9", "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"allDiags", " ", "=", " ", 
   RowBox[{"InsertFields", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{"tops0", ",", "tops"}], "]"}], ",", "processGGT", ",", " ", 
     RowBox[{"InsertionLevel", "\[Rule]", " ", 
      RowBox[{"{", "Particles", "}"}]}], ",", 
     RowBox[{"ExcludeParticles", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"V", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "2", "]"}], ",", 
        RowBox[{"S", "[", "3", "]"}], ",", 
        RowBox[{"V", "[", "2", "]"}], ",", 
        RowBox[{"V", "[", "3", "]"}], ",", 
        RowBox[{"F", "[", "7", "]"}], ",", 
        RowBox[{"F", "[", "6", "]"}], ",", 
        RowBox[{"F", "[", "5", "]"}], ",", 
        RowBox[{"F", "[", "8", "]"}], ",", 
        RowBox[{"F", "[", "9", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"goodDiags", "=", "allDiags"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Paint", "[", 
   RowBox[{"goodDiags", ",", 
    RowBox[{"ColumnsXRows", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{"300", ",", "150"}], "}"}]}], ",", 
    RowBox[{"PaintLevel", "\[Rule]", 
     RowBox[{"{", "Particles", "}"}]}], ",", 
    RowBox[{"Numbering", "\[Rule]", "Simple"}], ",", 
    RowBox[{"AutoEdit", "\[Rule]", "True"}], ",", 
    RowBox[{"SheetHeader", "\[Rule]", "None"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.896509435366342*^9, 3.896509451223157*^9}, {
   3.8965095108569107`*^9, 3.8965095604144707`*^9}, {3.896509597031486*^9, 
   3.896509640069913*^9}, {3.896805347338221*^9, 3.896805359654518*^9}, 
   3.896841303854939*^9, {3.89764273025483*^9, 3.8976427388940477`*^9}, {
   3.901123751032186*^9, 3.9011237607135363`*^9}, {3.901123799723119*^9, 
   3.901123804129807*^9}, {3.901123845511257*^9, 3.901123923954329*^9}, 
   3.901125442045189*^9, {3.901297878026309*^9, 3.9012979927032127`*^9}, {
   3.901995259143754*^9, 3.901995288594748*^9}, {3.901995682314508*^9, 
   3.901995685131485*^9}, {3.901995723688879*^9, 3.901995764512649*^9}, {
   3.9031853002392893`*^9, 3.9031853116150417`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"43ad331d-9cbd-485d-8a8d-694b987bd8b5"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"generic model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"Lorentz\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm["generic model ", {"Lorentz"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.90199568862121*^9, {3.9019957512444563`*^9, 3.9019957651828423`*^9}, 
   3.902212393579782*^9, 3.902223986911086*^9, 3.9022334752090673`*^9, 
   3.902566116212545*^9, {3.9031852978800983`*^9, 3.903185312128654*^9}, 
   3.9096476684579782`*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"6786bea4-f732-4845-a201-d3d962e5ef48"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"classes model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"../../Models/SMS-stop-FA/SMS-stop-FA\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm[
   "classes model ", {"../../Models/SMS-stop-FA/SMS-stop-FA"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.90199568862121*^9, {3.9019957512444563`*^9, 3.9019957651828423`*^9}, 
   3.902212393579782*^9, 3.902223986911086*^9, 3.9022334752090673`*^9, 
   3.902566116212545*^9, {3.9031852978800983`*^9, 3.903185312128654*^9}, 
   3.9096476685443172`*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"5ea27da8-2f5a-42b2-8db2-e1a5361e792d"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"2 Particles insertions\"\>"}],
   SequenceForm["in total: ", "2 Particles insertions"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.90199568862121*^9, {3.9019957512444563`*^9, 3.9019957651828423`*^9}, 
   3.902212393579782*^9, 3.902223986911086*^9, 3.9022334752090673`*^9, 
   3.902566116212545*^9, {3.9031852978800983`*^9, 3.903185312128654*^9}, 
   3.90964766870511*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"6559e0d0-af70-491c-8090-bc0e427d4d82"],

Cell[BoxData[
 FormBox[
  GraphicsBox[{InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[{{0., 15.}, {6.000000000001819, 10.}}], 
         PolygonBox[{{3.4609327677584254`, 12.115889360201312`}, {
          2.2829934723757828`, 12.576822127959739`}, {2.7951409921073664`, 
          13.191399151637638`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["u",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {2.6125141805200567, 11.914057016624067},
           ImageScaled[{1, 1}]], 
         LineBox[{{0., 5.000000000001819}, {6.000000000001819, 
          10.000000000001819`}}], 
         PolygonBox[{{2.5390672322415746`, 7.1158893602013125`}, {
          3.7170065276242172`, 7.576822127959737}, {3.2048590078926336`, 
          8.191399151637638}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["u",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {3.387485819479944, 6.914057016624067}, 
          ImageScaled[{0, 1}]], 
         LineBox[{{20.00000000000182, 15.000000000001819`}, {14., 
          9.999999999998181}}], 
         PolygonBox[{{17.460932767758425`, 12.884110639798688`}, {
          16.282993472375782`, 12.423177872040261`}, {16.795140992107367`, 
          11.808600848362362`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {16.61251418052006, 13.085942983375933}, 
          ImageScaled[{1, 0}]], 
         LineBox[{{20.00000000000182, 5.000000000001819}, {14., 10.}}], 
         PolygonBox[{{16.539067232241575`, 7.8841106397986875`}, {
          17.717006527624218`, 7.423177872040263}, {17.204859007892633`, 
          6.808600848362362}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {17.38748581947994, 8.085942983375933}, 
          ImageScaled[{0, 0}]], LineBox[CompressedData["
1:eJw9lgs0lOsaxyeym+4SG9PMNJ/v+4Qu1La36+FR2jnCdi23SDio46CO+9nM
bELTcWkUk6RRtGu0JbcmyREht0IJxUa2srNru5wWSjrvnLV6Z61Zs37rnXfm
/Z73ef7/P3EkzDlQgcFgFKK3/HOJIX9tg/9/MCiwMjyjG9e0FRjBOuk2XSRo
u/Qdj0xC7JgmPSQlQfCo/ZdOM8Q6j0UvM0mo+buB0sUpPWCE665eFJAQzU+u
pYoQZx2+twcxfY5tWemOWBJ49n46CVRWgihTGbFjfcDkVRKUwqa+f9apCwye
9DdpOwnVV0s/HhMhFjffCvlAwkxlddyYL2KNY8NaOynoWNrnEmqEGHbtjw2l
YDg1tKJNE7Fya333DQrivVo37F2B+HBre9gfFLyo4SuWfNYBBn94PluXBkH2
+GFnBbQukxrl+dHgxXgo2bwO8bWwteoiGlgKTRoiAjFz0G1GRkOZx3jeU1PE
WQZHE57SUBXVJOs+iLhroVQ4RoP5crcO2yj5uufd8HEadO7Utkxly88nTtv0
nIbemeCaH0vlfMqT2UDD6ysR052N8vMOHbAqoKE7ZuLiXDfimKWvnMNpuED3
ffTtQ9x/cs93pjSsT9ZX7uxBPPLnXuslCra4JJqckO+XTPao/IcCZ9r806dr
8vo05HknUiBzX1WWnSSvp8mal1aItbd3PXGR1yPjte1KCthxs2QXS77/wyiz
n4SciyOvGc9RfbpiCszLSIgyXZVpmI14pEO7IJuELj60xtsgNlD/PSSJhNMP
50pUFreg/fZrXPjoPlNrPuwrQ5w1Wh4vJMFBq0XiH4Q4xkxwopCEvr7oqHQS
MfjEmD8g4cbJhyFVr7QRL7xzmyYh0nVsQ0I5YuVY/U5tCiY+38vTS0M88Y2i
yxEKpPq3urKCEcc4m7sVUmAu2/ZqvSti47fkplEKjlTYePzbFvHIxJkxLg3u
LTu1I/bL9zf5KbrTUO7YY1ztJv/+z7MKQhr6FXnPJoPk6yEn7pTTYPysOMGW
j5jhKgvooqFna0Zecz7i+VNVtaM05CvXqW25i7g+qWjZKxoUxoxnOAOI+5fZ
Lx+iwaI44r7ffxEzmet1WlA/CK0mm1eh52W4i32KaXia87eSgyzEwT3/5MTS
sKZEVBtCILZZ8dbemga+2+X7ZVzE/VvHjVbSUBR5rNBuA2LmZHFwGwXRXubf
PZmXn0dWnCOkwPBmybhrL+IpvjDJjoLLk6K3Xj8j1tl9c0iFgobfhaGvwhAb
5CdojZBgMMr/h5eB/Px6b36qJmGPONwv/g2N9lvpt+eSwLx/od5OgjiY997h
JJpHhdjrSq6INXIlzxNJsLY2D5pdIefURGkqCUMGdxcP11HovH9uD84ngf+9
uOXHWMSSI0477pEQPJfsttcMsUa6QDRBwpMYXnSIEuKyXVOVbAr2OWxMshwg
Ub+5kG4HKTg0VyC+dRvxlN7gm3MUWNjHJxuivmFI+OoNvRSsnYy73XAOseOF
aQ1VGlJW2qUMnpXvNyMtHGi4YqZ/M/0i4oenm0sFNPBizSeiSxEbv2btukFD
Y4bpspdNiMWFqjPtNPiP5U+3jcrXva5nDtNY9xh8yfxOdL9+2v7rvuVSeN0i
ommJY0rh/UVZjeppThT+fZ8HXY7HUZ9++X9LRmUseYzC55tVPWnzl6MUPn9q
bXJ8uw+Fn6+I6RfkYEPh56+59ce/6rUpXJ8dqcNpOUgHv9TvPDNeWoPm6Et9
BXeCjH9KIXH9qcfWipesSHw/tXcbxWvmtfD9LX5KOfChRAvf74JFgGWFrxa+
/7qgzIJkNS3cH93cxDNFjwncP5ZfR4o0swjcX76qoSpF7gTuv05HV1aJHoH7
U1jU2LptBYH795DwrE/FOx7ub4H0kMUPozzc/+9dQ/fk/MrD87E95LzrtXEe
np+myDpVk/c8PF8NnhkWBasJPH+f2S1rX2oTeD51Fqze9FsTeH71n0YEmvgT
eL7Tv/EUVCUSeP51Fod1VcUE1oeNd7a3/FVKYP24bvxoIKOSwPrif+D21RNV
BNafpn1PNKdKCKxPrOcO+mG5BNYvTcbuwN5oAuubYxX7ncCewPrnGmeUY6tJ
YH18tzPt1PFBHtbPiiFj33wxD+vrUMxeJdkPPKy/UUZM17eKPKzPfksJocyw
zVi/1U5PjuYMcLG+9z6wMFjaz8X637ZaU+bbxsH+kFVe7OvuzsH+IXKYvNQ/
z8b+4l2VqrS8lI39p8JjWbpmLBv7029zkuFATzb2r45KJyY4sbG/+a7Tf6Ds
zcb+ZyhjcwJi2NgfD7J2nF5+hY39syw9JZzbz8b+KpxzCzq6kYP9N1clMsPb
kYP9WWL3bdsBIQf796OPkY9e1HKwv9t9DqurH+Ng/2cMGFp4feTgfGAnXJq/
zuDi/HDWO3QwcpqD84X1FHX+aAcH548ZtXAP+gwH5xNujmiVCXBwfmE3X2bq
vGDjfDNPbD7uEsDG+Wf3rMKLkV834Xwk620W5DpswvkpX2Uupfo2C+erDO1L
75u4LJy/0qKCiwLSNHE+q/ZwYqktaOD8trJk6MbqSA2c775a+oxe6lgH/wfC
gfNw
          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {10., 9.0548}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         {PointSize[0.04], PointBox[{6., 10.}], PointBox[{14., 10.}]}, 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["1",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.745454545454548`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.745454545454548`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebe/cfdf/ef.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebe/cfdf/ef.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {0, 0}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], 
         LineBox[{{0., 15.000000000003638`}, {4.000000000001819, 10.}}], 
         PolygonBox[{{2.3748170285326546`, 12.031478714334181`}, {
          1.3128354476901332`, 12.71864326664405}, {1.9375304952445576`, 
          13.218399304687589`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["u",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {1.3944533453633028, 12.136522676290642},
           ImageScaled[{1, 1}]], 
         LineBox[{{-1.8189894035458565`*^-12, 5.000000000001819}, {
          3.999999999998181, 10.000000000003638`}}], 
         PolygonBox[{{1.6251829714673454`, 7.031478714334182}, {
          2.687164552309867, 7.718643266644048}, {2.0624695047554424`, 
          8.218399304687587}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["u",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {2.605546654636697, 7.136522676290642}, 
          ImageScaled[{0, 1}]], 
         LineBox[{{19.99999999999909, 15.}, {16.00000000000091, 13.5}}], 
         PolygonBox[{{18.561797506541428`, 14.460674064953036`}, {
          17.297753116823216`, 14.413857606074583`}, {17.57865187009393, 
          13.664794264019346`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {17.455758665537996, 15.09651022523202}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{19.99999999999909, 5.}, {16.00000000000091, 6.5}}], 
         PolygonBox[{{17.438202493458572`, 5.960674064953035}, {
          18.702246883176784`, 5.913857606074583}, {18.42134812990607, 
          5.164794264019347}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {17.455758665537996, 4.903489774767981}, 
          ImageScaled[{Rational[1, 2], 1}]], LineBox[CompressedData["
1:eJw9lQs4VGkYxw9bGa1QZjQzEuOc41LZJHbHZe3LEqISZbEu41YoJU3WJRW6
oBXZlOsM3YWiVDYVScilLKvY3LZc1xbKLYX97O7zneeZc57fM8/5vvO97/v/
/3lee+19JQmCCEO/f58S6EZQQBD/PZOGdRaxHpNACBY61NaTEANlk4mRiKfW
qfMvkSASBb9rWYcYWo2sT5LwDIrtMl+rAZEaMWZ7hISID57VT5IR2+12/e0o
CZ8PRA8aWyCW/3Y2I5WEvlqLqGefeUBc/fwi/x4J8Rof7BfeRxw0aWEzSEL7
/gZD6WOIR2LtVqhRIGxPsIlxRtzYwDH1oiCkju0Ya4i4pOeLg5cpsFDtGI7X
RMywSncZoqA8Rzl/O4nYaUrdS5uGlpf6TUtWIVatLzL2p0GlWTnQxAhx9yey
J4MGKvI0NbRtfj8tr6cVNOTbVQzlChHHBnmPv6Ihy9rDoOLcPNemqfXRUOYX
pG9XinjgsHdDNw2mOicVA9oRC1SKDOtpMGirqbOYQqyzMl6YS0OBmcwSNxl0
/m5ulnE4DT5z9+YSFBGXC+LGgYZpj6W1X7MQM1ZLHSVoaO4NLdwohXjq+0it
+xT4XUvI8/gbrRea0+/8EwV7g0RVtyrn19+wNlGfglGn08Sq04itOvVWTJPg
3vjmhYkD4iMpzRI1JNja+8qOy8zXy5pRk0NC/VBXUWm5KhDs8vVucSSsN/l4
dvM+xK0pKjOHSWjefZP4hYeYbybNO06CQlaTfc9VFVT/u1FhGSScODulu5OD
OHYs6P1DEspepvncTFuJ9ouTfvSOBL6b/6EZbcQQMxmuSUEJI0AQ2aaM3s8S
6ftTkH1b76GhCPGRwOa8AgoGGp63TB5ELHDR8HtPgdXCxZfVDyBONbw4up6G
/mExb+Qo4pGR4qk9NDASygjbXMTZWyeismlo3VD3SaMTsd+9KpkqGmrkPfdn
rkT7Tw3m3OqgwUGU2b7aF7FV12Vz1L9Q+84H0vmIB14t3tpFw8yk9BXft4iT
Bop0n9JQYjPmeodE5xMkXZS6RENvnlqgxEbEJeFZF4Q0bJnjJyi5Ih5I9A81
pEHigcbxTkfEhSM2IR8p4AtrR7fyETtZzvYWU3DXOqq0cg6t7yfmmwRRELRr
kP2iAHFoa+/EVxQIhO7HAs0Rl0xauo6RUG53Rf18FToPJNj5IB1Khs+8TObP
14fYHitC/YhJ79IRr0D1sZa9dIL8X7eISyD6NeqfMMlX9blACf8/c0xSM7Ca
i9//7oZTm5sBF6+vKc4JTy7l4P0Tzyj2a9lz8PdZ3zlkbkRw8PdvEevLXq9m
4/PNmrWG8XLZ+PyFRHVwzwU2rs/5nR3Js7fZuH5WxV9esG5n4/pKMiac0pdx
cP3lHvHMJhw4uD/5nt7k7+kc3L9vhkU/e//Jwf29Ua+3oJXHxf2fCoa5W45c
PB9seUGnXAQXz0/J9LhzWzwXzxdbV2cVI4aL52/Arc70iScXz6flZIo4Wp2L
57fm/NkoySYOnu+nRjsyNu3g4PkP85dqSO1jY3289dIuUPqBjfXz2iBjtu3+
cqyvtJglTV7Ky7H+/DQhM/aQItbn8B79N6w+FtavuQffPtqZhfWtvLljNq+D
ifV/TfdxcGoIE/vD2ryeq6DBxP7hoicrDhhVwP4iAx27klsUsP8YSMQTPU0K
2J+0T/X3WvQrYP86tWmPn1COif0tUjzYtNqSif1vsZlKikccE/tj1W7ThIhG
JvbPXPcIzXxFFvZX4HTc0XJkYf995FxJx8SxsD872p35sSePhf1bqrHyyrZf
WdjfQ8osVP+6zsL+z/R/5jAcz8L5kO3S4/fRloXzw4rtG/92nInzZaiQ4zJ+
gonzRy9AOOO1iInzicH8tOb4AQWcX8lrjPcJ/1iG883n0Dn3asNlOP8qKrjk
tsylOB+jkqPkuxcsxfnZrSr60BImj/NVaXoOXXI4f/8Bkxb+7A==
          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {7., 11.645199999999999}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{16., 13.49999999999741}, {16., 6.49999999999371}}], 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {16.6952, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{16.00000000000182, 13.5}, {9.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{13.51826734053906, 12.052322615314452`}, {
          12.280184249251306`, 11.793188945044921`}, {12.683281069670574`, 
          11.102165824326175`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {12.823799910437668, 12.484057296392571},
           ImageScaled[{1, 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{15.999999999998181`, 6.5}, {9.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{12.48173265946094, 8.552322615314452}, {
          13.719815750748694`, 8.293188945044921}, {13.316718930329426`, 
          7.602165824326175}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.181818181818183`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.181818181818183`]& ], {12.823799910437668, 7.515942703607429}, 
          ImageScaled[{1, 1}]], 
         {PointSize[0.04], PointBox[{4., 10.}], PointBox[{16., 13.5}], 
          PointBox[{16., 6.5}], PointBox[{10., 10.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["2",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.745454545454548`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.745454545454548`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebe/cfdg/ehfgfhgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebe/cfdg/ehfgfhgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {22, 0}, {0, 0}, {22, 22}]},
   AspectRatio->NCache[
     Rational[1, 2], 0.5],
   ImageSize->{300, 150},
   PlotRange->{{0, 44}, {0, 22}}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.90199568862121*^9, {3.9019957512444563`*^9, 3.9019957651828423`*^9}, 
   3.902212393579782*^9, 3.902223986911086*^9, 3.9022334752090673`*^9, 
   3.902566116212545*^9, {3.9031852978800983`*^9, 3.903185312128654*^9}, 
   3.909647668759005*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"1dd7ccc8-04b7-4edd-bc90-ce9553a4bbb6"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampA", "=", 
   RowBox[{
    RowBox[{"FCFAConvert", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"CreateFeynAmp", "[", 
        RowBox[{"goodDiags", ",", 
         RowBox[{"PreFactor", "\[Rule]", "1"}], ",", 
         RowBox[{"Truncated", "\[Rule]", "False"}]}], "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{"SUNT", "\[Rule]", "FASUNT"}], "}"}]}], ",", 
      RowBox[{"IncomingMomenta", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"k1", ",", "k2"}], "}"}]}], ",", 
      RowBox[{"OutgoingMomenta", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"p1", ",", "p2"}], "}"}]}], ",", 
      RowBox[{"LoopMomenta", "\[Rule]", 
       RowBox[{"{", "q", "}"}]}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"DropSumOver", "\[Rule]", "True"}], ",", 
      RowBox[{"SMP", "\[Rule]", "True"}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"Contract", "\[Rule]", "True"}], ",", 
      RowBox[{"ChangeDimension", "\[Rule]", "D"}], ",", 
      RowBox[{"UndoChiralSplittings", "\[Rule]", "True"}], ",", 
      RowBox[{"FinalSubstitutions", "\[Rule]", " ", 
       RowBox[{"(", 
        RowBox[{"M$FACouplings", "/.", 
         RowBox[{"GS", "\[Rule]", "gs"}]}], ")"}]}]}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"GS", "\[Rule]", "gs"}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ampB", " ", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"SUNSimplify", "[", 
    RowBox[{"DiracSimplify", "[", "ampA", "]"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.896504341489764*^9, 3.8965043872503223`*^9}, 
   3.896504422981164*^9, {3.896509688254932*^9, 3.896509693455044*^9}, {
   3.896509733273226*^9, 3.896509733544258*^9}, {3.8976428454285517`*^9, 
   3.897642856782288*^9}, 3.898334618925084*^9, {3.901298016999733*^9, 
   3.901298048911278*^9}, {3.901298131259605*^9, 3.901298131462916*^9}, 
   3.9013488041081133`*^9, {3.901349018123371*^9, 3.901349037377063*^9}, {
   3.901349069971529*^9, 3.901349118636595*^9}, {3.9013491506530247`*^9, 
   3.9013491851372757`*^9}, {3.901349215213161*^9, 3.901349216233016*^9}, {
   3.90135334948783*^9, 3.90135337690655*^9}, {3.901995859350791*^9, 
   3.901995929758333*^9}, {3.901995977654697*^9, 3.901996007951997*^9}, {
   3.901996043912334*^9, 3.901996095297839*^9}, {3.901996289564934*^9, 
   3.901996351869937*^9}, 3.902002030165564*^9, 3.902212418738583*^9, {
   3.902212449286343*^9, 3.902212455252392*^9}, {3.902212523864539*^9, 
   3.902212551050861*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"5a52141a-7dc9-4e9b-bc39-5d5191cafd6e"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"2 Particles amplitudes\"\>"}],
   SequenceForm["in total: ", "2 Particles amplitudes"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.902212551773025*^9, 3.9022239871085653`*^9, 
  3.9022334753414917`*^9, 3.9025661168996077`*^9, 3.909647668811111*^9},
 CellLabel->
  "During evaluation of \
In[16]:=",ExpressionUUID->"867c1219-4f91-4960-8a19-f916a94e458a"],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{
        FormBox["\<\"(\"\>",
         TraditionalForm], 
        FormBox[
         FormBox[
          RowBox[{
           FormBox["p1",
            TraditionalForm], "+", 
           FormBox["p2",
            TraditionalForm]}],
          TraditionalForm],
         TraditionalForm], 
        FormBox["\<\")\"\>",
         TraditionalForm]}], "2"],
      SequenceForm[
       FeynCalc`Pair[
        FeynCalc`Momentum[$CellContext`p1 + $CellContext`p2, D], 
        FeynCalc`Momentum[$CellContext`p1 + $CellContext`p2, D]]],
      Editable->False]], 
    RowBox[{
     SuperscriptBox["gs", "2"], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col4",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     RowBox[{"(", 
      RowBox[{
       FormBox[
        FractionBox[
         RowBox[{
          SuperscriptBox["yDM", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               FormBox["\<\"\[CurlyPhi]\"\>",
                TraditionalForm], 
               FormBox["\<\"(\"\>",
                TraditionalForm], 
               FormBox[
                RowBox[{"-", 
                 FormBox["k2",
                  TraditionalForm]}],
                TraditionalForm], 
               FormBox["\<\")\"\>",
                TraditionalForm]}], ")"}], ".", 
             RowBox[{"(", 
              RowBox[{"\[Gamma]", "\[CenterDot]", 
               FormBox[
                FormBox["p1",
                 TraditionalForm],
                TraditionalForm]}], ")"}], ".", 
             RowBox[{"(", 
              RowBox[{
               FormBox["\<\"\[CurlyPhi]\"\>",
                TraditionalForm], 
               FormBox["\<\"(\"\>",
                TraditionalForm], 
               FormBox[
                FormBox["k1",
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\")\"\>",
                TraditionalForm]}], ")"}]}], "-", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               FormBox["\<\"\[CurlyPhi]\"\>",
                TraditionalForm], 
               FormBox["\<\"(\"\>",
                TraditionalForm], 
               FormBox[
                RowBox[{"-", 
                 FormBox["k2",
                  TraditionalForm]}],
                TraditionalForm], 
               FormBox["\<\")\"\>",
                TraditionalForm]}], ")"}], ".", 
             RowBox[{"(", 
              RowBox[{"\[Gamma]", "\[CenterDot]", 
               FormBox[
                FormBox["p2",
                 TraditionalForm],
                TraditionalForm]}], ")"}], ".", 
             RowBox[{"(", 
              RowBox[{
               FormBox["\<\"\[CurlyPhi]\"\>",
                TraditionalForm], 
               FormBox["\<\"(\"\>",
                TraditionalForm], 
               FormBox[
                FormBox["k1",
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\")\"\>",
                TraditionalForm]}], ")"}]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 RowBox[{"-", 
                  FormBox["k2",
                   TraditionalForm]}],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]", "\[CenterDot]", 
                FormBox[
                 FormBox["q",
                  TraditionalForm],
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 FormBox["k1",
                  TraditionalForm],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}]}]}]}], ")"}], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["q",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["p2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}]}], 
         RowBox[{
          RowBox[{"(", 
           InterpretationBox[
            RowBox[{
             SuperscriptBox[
              FormBox[
               FormBox["q",
                TraditionalForm],
               TraditionalForm], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
             "\[InvisibleSpace]", 
             SuperscriptBox["mChi", "2"]}],
            SequenceForm[
             FeynCalc`Pair[
              FeynCalc`Momentum[$CellContext`q, D], 
              FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mChi^2],
            Editable->False], ")"}], ".", 
          RowBox[{"(", 
           InterpretationBox[
            RowBox[{
             SuperscriptBox[
              RowBox[{
               FormBox["\<\"(\"\>",
                TraditionalForm], 
               FormBox[
                FormBox[
                 RowBox[{
                  FormBox["p1",
                   TraditionalForm], "+", 
                  FormBox["q",
                   TraditionalForm]}],
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\")\"\>",
                TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
             "\[InvisibleSpace]", 
             SuperscriptBox["mST", "2"]}],
            SequenceForm[
             FeynCalc`Pair[
              FeynCalc`Momentum[$CellContext`p1 + $CellContext`q, D], 
              FeynCalc`Momentum[$CellContext`p1 + $CellContext`q, D]], 
             "-", $CellContext`mST^2],
            Editable->False], ")"}], ".", 
          RowBox[{"(", 
           InterpretationBox[
            RowBox[{
             SuperscriptBox[
              RowBox[{
               FormBox["\<\"(\"\>",
                TraditionalForm], 
               FormBox[
                FormBox[
                 RowBox[{
                  FormBox["p2",
                   TraditionalForm], "-", 
                  FormBox["q",
                   TraditionalForm]}],
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\")\"\>",
                TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
             "\[InvisibleSpace]", 
             SuperscriptBox["mST", "2"]}],
            SequenceForm[
             FeynCalc`Pair[
              FeynCalc`Momentum[$CellContext`p2 - $CellContext`q, D], 
              FeynCalc`Momentum[$CellContext`p2 - $CellContext`q, D]], 
             "-", $CellContext`mST^2],
            Editable->False], ")"}]}]],
        TraditionalForm], "+", 
       RowBox[{"\[ImaginaryI]", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["Lor2",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["\[Pi]", "2"], " ", "deltaCTL", " ", 
              SuperscriptBox["yDM", "2"]}], "+", "1"}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["Lor2",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["7",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["\[Pi]", "2"], " ", "deltaCTR", " ", 
              SuperscriptBox["yDM", "2"]}], "+", "1"}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["Lor2",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}]}], ")"}]}]}], ")"}]}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.902212551910007*^9, 3.902223987323494*^9, 
  3.902233475598103*^9, 3.902566117405298*^9, 3.909647669436303*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"4a3a9bcd-4ea6-40ec-92e0-390d8b6f1d3b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampC", " ", "=", 
  RowBox[{
   RowBox[{"(", " ", 
    RowBox[{
     RowBox[{"TID", "[", 
      RowBox[{"ampB", ",", "q", ",", 
       RowBox[{"UsePaVeBasis", "\[Rule]", "True"}], ",", 
       RowBox[{"PaVeAutoReduce", "\[Rule]", "True"}], ",", 
       RowBox[{"ToPaVe", "\[Rule]", "True"}]}], "]"}], "//", "Simplify"}], 
    ")"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"LorentzIndex", "[", 
      RowBox[{"a_", ",", "D"}], "]"}], "\[Rule]", 
     RowBox[{"LorentzIndex", "[", 
      RowBox[{"\[Mu]", ",", "D"}], "]"}]}], "}"}]}]}]], "Input",
 CellChangeTimes->{{3.896509111627067*^9, 3.8965091179320707`*^9}, {
   3.896857476277534*^9, 3.896857478544798*^9}, {3.896857892254889*^9, 
   3.896857897498136*^9}, {3.8968600126611347`*^9, 3.896860074501936*^9}, {
   3.896868316408643*^9, 3.896868320829083*^9}, {3.896868469404072*^9, 
   3.8968684720495863`*^9}, {3.901353413353354*^9, 3.901353415032837*^9}, {
   3.901356068397993*^9, 3.901356107923538*^9}, 3.9013561414214*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"06a8e269-5cb2-4b62-a697-d170ac6d7257"],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{
        FormBox["\<\"(\"\>",
         TraditionalForm], 
        FormBox[
         FormBox[
          RowBox[{
           FormBox["p1",
            TraditionalForm], "+", 
           FormBox["p2",
            TraditionalForm]}],
          TraditionalForm],
         TraditionalForm], 
        FormBox["\<\")\"\>",
         TraditionalForm]}], "2"],
      SequenceForm[
       FeynCalc`Pair[
       FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D], 
        FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D]]],
      Editable->False]], 
    RowBox[{"\[ImaginaryI]", " ", 
     SuperscriptBox["gs", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Pi]", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["k2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["k1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["k2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["k1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}]}], ")"}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox[
          OverscriptBox["\[Gamma]", "_"], 
          FormBox["6",
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["p2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        FormBox[
         RowBox[{
          SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           RowBox[{
            SuperscriptBox[
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], "2"], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               FormBox[
                FormBox["p1",
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\"\[CenterDot]\"\>",
                TraditionalForm], 
               FormBox[
                FormBox["p2",
                 TraditionalForm],
                TraditionalForm]}], ")"}]}], "+", 
            SuperscriptBox[
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm], "2"]}], ",", 
           SuperscriptBox[
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm], " ", 
        SuperscriptBox["yDM", "2"]}], "-", 
       RowBox[{
        SuperscriptBox["\[Pi]", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["k2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["k1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["k2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["k1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}]}], ")"}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox[
          OverscriptBox["\[Gamma]", "_"], 
          FormBox["6",
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["p2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        FormBox[
         RowBox[{
          SubscriptBox["\<\"C\"\>", "\<\"2\"\>"], "(", 
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           RowBox[{
            SuperscriptBox[
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], "2"], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               FormBox[
                FormBox["p1",
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\"\[CenterDot]\"\>",
                TraditionalForm], 
               FormBox[
                FormBox["p2",
                 TraditionalForm],
                TraditionalForm]}], ")"}]}], "+", 
            SuperscriptBox[
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm], "2"]}], ",", 
           SuperscriptBox[
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm], " ", 
        SuperscriptBox["yDM", "2"]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["\[Pi]", "2"], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         SuperscriptBox[
          OverscriptBox["\[Gamma]", "_"], 
          FormBox["6",
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["p2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        FormBox[
         RowBox[{
          SubscriptBox["\<\"C\"\>", "\<\"00\"\>"], "(", 
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           RowBox[{
            SuperscriptBox[
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], "2"], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               FormBox[
                FormBox["p1",
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\"\[CenterDot]\"\>",
                TraditionalForm], 
               FormBox[
                FormBox["p2",
                 TraditionalForm],
                TraditionalForm]}], ")"}]}], "+", 
            SuperscriptBox[
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm], "2"]}], ",", 
           SuperscriptBox[
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm], " ", 
        SuperscriptBox["yDM", "2"]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["\[Pi]", "2"], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox[
          OverscriptBox["\[Gamma]", "_"], 
          FormBox["6",
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["p2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        FormBox[
         RowBox[{
          SubscriptBox["\<\"C\"\>", "\<\"11\"\>"], "(", 
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           RowBox[{
            SuperscriptBox[
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], "2"], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               FormBox[
                FormBox["p1",
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\"\[CenterDot]\"\>",
                TraditionalForm], 
               FormBox[
                FormBox["p2",
                 TraditionalForm],
                TraditionalForm]}], ")"}]}], "+", 
            SuperscriptBox[
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm], "2"]}], ",", 
           SuperscriptBox[
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm], " ", 
        SuperscriptBox["yDM", "2"]}], "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["\[Pi]", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["k2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p2",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["k1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}], "+", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["k2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["k1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p2",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}]}], ")"}], " ", 
        FormBox[
         RowBox[{
          SubscriptBox["\<\"C\"\>", "\<\"12\"\>"], "(", 
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           RowBox[{
            SuperscriptBox[
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], "2"], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               FormBox[
                FormBox["p1",
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\"\[CenterDot]\"\>",
                TraditionalForm], 
               FormBox[
                FormBox["p2",
                 TraditionalForm],
                TraditionalForm]}], ")"}]}], "+", 
            SuperscriptBox[
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm], "2"]}], ",", 
           SuperscriptBox[
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm], " ", 
        SuperscriptBox["yDM", "2"]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["\[Pi]", "2"], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox[
          OverscriptBox["\[Gamma]", "_"], 
          FormBox["6",
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["p2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        FormBox[
         RowBox[{
          SubscriptBox["\<\"C\"\>", "\<\"22\"\>"], "(", 
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           RowBox[{
            SuperscriptBox[
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], "2"], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{
               FormBox[
                FormBox["p1",
                 TraditionalForm],
                TraditionalForm], 
               FormBox["\<\"\[CenterDot]\"\>",
                TraditionalForm], 
               FormBox[
                FormBox["p2",
                 TraditionalForm],
                TraditionalForm]}], ")"}]}], "+", 
            SuperscriptBox[
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm], "2"]}], ",", 
           SuperscriptBox[
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm], "2"], ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm], " ", 
        SuperscriptBox["yDM", "2"]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", "deltaCTR", " ", 
           SuperscriptBox["\[Pi]", "2"], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}], " ", 
           SuperscriptBox["yDM", "2"]}], "+", 
          RowBox[{"2", " ", "deltaCTL", " ", 
           SuperscriptBox["\[Pi]", "2"], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["7",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}], " ", 
           SuperscriptBox["yDM", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox["\[Gamma]", 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], ".", 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox[
              OverscriptBox["\[Gamma]", "_"], 
              FormBox["6",
               TraditionalForm]], "+", 
             SuperscriptBox[
              OverscriptBox["\[Gamma]", "_"], 
              FormBox["7",
               TraditionalForm]]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["p2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}]}], ")"}]}]}], ")"}], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col4",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]]}]}]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.8965091202028713`*^9, 3.896509708478321*^9, 3.896509740687674*^9, 
   3.896805263308962*^9, 3.896805379275433*^9, 3.8968551185951557`*^9, {
   3.896857481935132*^9, 3.896857496290345*^9}, {3.896857893971696*^9, 
   3.896857898381719*^9}, {3.896860015559256*^9, 3.896860075277657*^9}, 
   3.896867295559676*^9, {3.896868317484475*^9, 3.89686832129815*^9}, 
   3.896868473451787*^9, 3.897535929713374*^9, 3.897550694249282*^9, 
   3.89762607393371*^9, 3.897627242298944*^9, 3.897642749416655*^9, 
   3.897642892729065*^9, 3.897736443860587*^9, 3.897738814650691*^9, 
   3.8977536641493807`*^9, 3.897754450048752*^9, 3.8977587403012342`*^9, 
   3.897792635780608*^9, 3.898008482056349*^9, 3.8980106593052177`*^9, 
   3.898074157016873*^9, {3.8981520419917*^9, 3.898152055890978*^9}, 
   3.898227842115892*^9, 3.898431367957349*^9, 3.898452025402216*^9, 
   3.901123949578485*^9, 3.9011254651963253`*^9, 3.9012980584160767`*^9, 
   3.901298134120759*^9, 3.901348475010827*^9, {3.9013491625428047`*^9, 
   3.901349217932446*^9}, 3.901349270023861*^9, 3.901349393678274*^9, {
   3.9013533657977858`*^9, 3.9013533794169064`*^9}, 3.901353416690586*^9, 
   3.90135606952284*^9, 3.901356108701345*^9, 3.90135614242842*^9, 
   3.901717751753215*^9, 3.901729448101338*^9, 3.901995785682576*^9, 
   3.9019959499297047`*^9, 3.9019959935910683`*^9, 3.901996119231978*^9, 
   3.901996384937974*^9, 3.902002033097237*^9, 3.902212503084681*^9, 
   3.902212559558736*^9, 3.902223987715763*^9, 3.902233475927359*^9, 
   3.902566119763494*^9, {3.902566687636609*^9, 3.9025666949577293`*^9}, 
   3.909647670394815*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"5c76e9f2-cab1-4126-92bc-77fbed88d09d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Remove", " ", "SM", " ", "contribution"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ampSM", "=", 
     RowBox[{
      RowBox[{"gs", "^", "2"}], " ", 
      RowBox[{"SeriesCoefficient", "[", 
       RowBox[{"ampC", ",", 
        RowBox[{"{", 
         RowBox[{"gs", ",", "0", ",", "2"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"yDM", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ampD", "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{"ampC", "-", "ampSM"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.902212578779299*^9, 3.902212671546978*^9}, 
   3.902566703835431*^9},
 CellLabel->"In[19]:=",ExpressionUUID->"be537806-ba78-4882-a92a-376368ad52f4"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Cases2", "[", 
  RowBox[{"ampD", ",", "PaVe"}], "]"}]], "Input",
 CellChangeTimes->{{3.902566124786518*^9, 3.902566133675365*^9}, 
   3.9025667092752523`*^9},
 CellLabel->"In[21]:=",ExpressionUUID->"a96c075d-db7f-4cb5-bfa2-56099c2193d8"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\"\[CenterDot]\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}]}], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm], "2"], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm], "2"]}], ",", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm], ",", 
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"2\"\>"], "(", 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\"\[CenterDot]\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}]}], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm], "2"], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm], "2"]}], ",", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm], ",", 
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"00\"\>"], "(", 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\"\[CenterDot]\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}]}], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm], "2"], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm], "2"]}], ",", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm], ",", 
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"11\"\>"], "(", 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\"\[CenterDot]\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}]}], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm], "2"], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm], "2"]}], ",", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm], ",", 
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"12\"\>"], "(", 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\"\[CenterDot]\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}]}], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm], "2"], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm], "2"]}], ",", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm], ",", 
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"22\"\>"], "(", 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\"\[CenterDot]\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}]}], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm], "2"], "+", 
        SuperscriptBox[
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm], "2"]}], ",", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.9025661300799217`*^9, 3.902566134037673*^9}, 
   3.9025667099119043`*^9, 3.909647671111067*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"44157460-7ff7-4890-8d3c-cd25213f76b8"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["On - Shell Case :", "Section",
 CellChangeTimes->{{3.897535932870885*^9, 
  3.897535942120082*^9}},ExpressionUUID->"09fb4b55-7b70-4dac-82b4-\
c7fc8897b1d3"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"FCClearScalarProducts", "[", "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"ScalarProduct", "[", 
    RowBox[{"p1", ",", "p1"}], "]"}], "=", 
   RowBox[{"MT", "^", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScalarProduct", "[", 
    RowBox[{"p2", ",", "p2"}], "]"}], "=", 
   RowBox[{"MT", "^", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ScalarProduct", "[", 
    RowBox[{"p1", ",", "p2"}], "]"}], "=", 
   RowBox[{
    RowBox[{"s", "/", "2"}], "-", 
    RowBox[{"MT", "^", "2"}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.896868788568323*^9, 3.8968688046125517`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"d6ba5645-c492-4a00-81d6-119e98e6630d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampE", " ", "=", " ", 
   RowBox[{"Expand", "[", 
    RowBox[{"Collect", "[", 
     RowBox[{
      RowBox[{"Simplify", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", "  ", "ampC", ")"}], "/.", 
         RowBox[{"aS", "\[Rule]", 
          FractionBox[
           RowBox[{"GS", "^", "2"}], 
           RowBox[{"4", " ", "Pi"}]]}]}], ",", 
        RowBox[{"Assumptions", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"GS", ">", "0"}], "}"}]}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Pair", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
          RowBox[{"Momentum", "[", 
           RowBox[{"p1", ",", "D"}], "]"}]}], "]"}], ",", 
        RowBox[{"Pair", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
          RowBox[{"Momentum", "[", 
           RowBox[{"p2", ",", "D"}], "]"}]}], "]"}], ",", 
        RowBox[{
         RowBox[{"DiracGamma", "[", 
          RowBox[{
           RowBox[{"LorentzIndex", "[", 
            RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
         RowBox[{"DiracGamma", "[", "6", "]"}]}], ",", 
        RowBox[{
         RowBox[{"DiracGamma", "[", 
          RowBox[{
           RowBox[{"LorentzIndex", "[", 
            RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
         RowBox[{"DiracGamma", "[", "7", "]"}]}]}], "}"}], ",", 
      "FullSimplify"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.897642906693022*^9, 3.897642917820266*^9}, {
   3.901348489867188*^9, 3.901348492488254*^9}, 3.901729454819619*^9},
 CellLabel->"In[26]:=",ExpressionUUID->"a606cebc-41ed-4541-abed-b3b4216bb162"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampEsimp", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"DiracSimplify", "[", 
    RowBox[{"ampE", "//.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"PaVe", "[", 
         RowBox[{"0", ",", "0", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], 
         "]"}], "\[Rule]", "C00"}], ",", 
       RowBox[{
        RowBox[{"PaVe", "[", 
         RowBox[{"1", ",", "1", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], 
         "]"}], "\[Rule]", "C11"}], ",", 
       RowBox[{
        RowBox[{"PaVe", "[", 
         RowBox[{"1", ",", "2", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], 
         "]"}], "\[Rule]", "C12"}], ",", 
       RowBox[{
        RowBox[{"PaVe", "[", 
         RowBox[{"1", ",", "a_", ",", "b_", ",", "c_", ",", "d_"}], "]"}], 
        "\[Rule]", "C1"}]}], "}"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8968702657704163`*^9, 3.896870270501532*^9}, 
   3.897626114424445*^9, {3.901353474569372*^9, 3.9013534792628736`*^9}, {
   3.902003888994928*^9, 3.902003896804656*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"2b4c802d-a196-4228-9c3e-c969993a3d7f"],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{
        FormBox["\<\"(\"\>",
         TraditionalForm], 
        FormBox[
         FormBox[
          RowBox[{
           FormBox["p1",
            TraditionalForm], "+", 
           FormBox["p2",
            TraditionalForm]}],
          TraditionalForm],
         TraditionalForm], 
        FormBox["\<\")\"\>",
         TraditionalForm]}], "2"],
      SequenceForm[
       FeynCalc`Pair[
       FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D], 
        FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D]]],
      Editable->False]], 
    RowBox[{"\[ImaginaryI]", " ", 
     SuperscriptBox["gs", "2"], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col4",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox["\[Pi]", "2"], " ", 
           SuperscriptBox["yDM", "2"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"C00", "+", "deltaCTR"}], ")"}], " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 FormBox["\<\"\[CurlyPhi]\"\>",
                  TraditionalForm], 
                 FormBox["\<\"(\"\>",
                  TraditionalForm], 
                 FormBox[
                  FormBox["p1",
                   TraditionalForm],
                  TraditionalForm], 
                 FormBox["\<\",\"\>",
                  TraditionalForm], 
                 FormBox["MT",
                  TraditionalForm], 
                 FormBox["\<\")\"\>",
                  TraditionalForm]}], ")"}], ".", 
               SuperscriptBox["\[Gamma]", 
                FormBox[
                 FormBox["\[Mu]",
                  TraditionalForm],
                 TraditionalForm]], ".", 
               SuperscriptBox[
                OverscriptBox["\[Gamma]", "_"], 
                FormBox["6",
                 TraditionalForm]], ".", 
               RowBox[{"(", 
                RowBox[{
                 FormBox["\<\"\[CurlyPhi]\"\>",
                  TraditionalForm], 
                 FormBox["\<\"(\"\>",
                  TraditionalForm], 
                 FormBox[
                  RowBox[{"-", 
                   FormBox["p2",
                    TraditionalForm]}],
                  TraditionalForm], 
                 FormBox["\<\",\"\>",
                  TraditionalForm], 
                 FormBox["MT",
                  TraditionalForm], 
                 FormBox["\<\")\"\>",
                  TraditionalForm]}], ")"}]}]}], "+", 
             RowBox[{"deltaCTL", " ", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 FormBox["\<\"\[CurlyPhi]\"\>",
                  TraditionalForm], 
                 FormBox["\<\"(\"\>",
                  TraditionalForm], 
                 FormBox[
                  FormBox["p1",
                   TraditionalForm],
                  TraditionalForm], 
                 FormBox["\<\",\"\>",
                  TraditionalForm], 
                 FormBox["MT",
                  TraditionalForm], 
                 FormBox["\<\")\"\>",
                  TraditionalForm]}], ")"}], ".", 
               SuperscriptBox["\[Gamma]", 
                FormBox[
                 FormBox["\[Mu]",
                  TraditionalForm],
                 TraditionalForm]], ".", 
               SuperscriptBox[
                OverscriptBox["\[Gamma]", "_"], 
                FormBox["7",
                 TraditionalForm]], ".", 
               RowBox[{"(", 
                RowBox[{
                 FormBox["\<\"\[CurlyPhi]\"\>",
                  TraditionalForm], 
                 FormBox["\<\"(\"\>",
                  TraditionalForm], 
                 FormBox[
                  RowBox[{"-", 
                   FormBox["p2",
                    TraditionalForm]}],
                  TraditionalForm], 
                 FormBox["\<\",\"\>",
                  TraditionalForm], 
                 FormBox["MT",
                  TraditionalForm], 
                 FormBox["\<\")\"\>",
                  TraditionalForm]}], ")"}]}]}]}], ")"}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox["\[Gamma]", 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["p2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}]}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[Pi]", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"-", "MT"}], ")"}], " ", 
        SuperscriptBox["yDM", "2"], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"C1", "+", 
             RowBox[{"2", " ", "C11"}]}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["7",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"C1", "+", 
             RowBox[{"2", " ", "C12"}]}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}]}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[Pi]", "2"], " ", "MT", " ", 
        SuperscriptBox["yDM", "2"], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"C1", "+", 
             RowBox[{"2", " ", "C11"}]}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"C1", "+", 
             RowBox[{"2", " ", "C12"}]}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["7",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}]}], ")"}]}]}], ")"}]}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{
  3.897626117222762*^9, 3.8976272471159067`*^9, 3.897642921448576*^9, {
   3.897736449012567*^9, 3.897736456978818*^9}, 3.897753668203274*^9, 
   3.897754453777183*^9, 3.897758741274242*^9, 3.897792636153585*^9, 
   3.8980084822004013`*^9, 3.898010659440172*^9, 3.898074157159177*^9, {
   3.898152042021121*^9, 3.898152056424396*^9}, 3.898227842433421*^9, 
   3.898431368097013*^9, 3.8984520302027407`*^9, 3.901125476085372*^9, 
   3.901298076622118*^9, 3.9012981558294477`*^9, 3.901348535179695*^9, 
   3.90134940002369*^9, 3.9013534327730703`*^9, 3.9013534798038816`*^9, 
   3.901717758303947*^9, 3.9017294561936407`*^9, 3.901995805667109*^9, 
   3.901995961546978*^9, 3.901996394631584*^9, 3.9020020384881983`*^9, 
   3.902003898534452*^9, 3.9022126849782467`*^9, 3.902223988888084*^9, 
   3.902233476829029*^9, 3.909647673385755*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"942b62b7-7960-4e91-a4c6-07739a0777ee"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampEsimp2", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"DotSimplify", "[", 
    RowBox[{"DiracSimplify", "[", 
     RowBox[{"ampEsimp", ",", 
      RowBox[{"DiracSubstitute67", "\[Rule]", "True"}]}], "]"}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.902005229622785*^9, 3.902005268375812*^9}, 
   3.902212695968645*^9},
 CellLabel->"In[28]:=",ExpressionUUID->"72121408-75f1-4dd7-9c86-e15fa94fc027"],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{
        FormBox["\<\"(\"\>",
         TraditionalForm], 
        FormBox[
         FormBox[
          RowBox[{
           FormBox["p1",
            TraditionalForm], "+", 
           FormBox["p2",
            TraditionalForm]}],
          TraditionalForm],
         TraditionalForm], 
        FormBox["\<\")\"\>",
         TraditionalForm]}], "2"],
      SequenceForm[
       FeynCalc`Pair[
       FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D], 
        FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D]]],
      Editable->False]], 
    RowBox[{"\[ImaginaryI]", " ", 
     SuperscriptBox["gs", "2"], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col4",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Pi]", "2"], " ", 
        SuperscriptBox["yDM", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["k2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["k1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"C00", "-", "deltaCTL", "+", "deltaCTR"}], ")"}], " ", 
              
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 FormBox["\<\"\[CurlyPhi]\"\>",
                  TraditionalForm], 
                 FormBox["\<\"(\"\>",
                  TraditionalForm], 
                 FormBox[
                  FormBox["p1",
                   TraditionalForm],
                  TraditionalForm], 
                 FormBox["\<\",\"\>",
                  TraditionalForm], 
                 FormBox["MT",
                  TraditionalForm], 
                 FormBox["\<\")\"\>",
                  TraditionalForm]}], ")"}], ".", 
               SuperscriptBox["\[Gamma]", 
                FormBox[
                 FormBox["\[Mu]",
                  TraditionalForm],
                 TraditionalForm]], ".", 
               SuperscriptBox[
                OverscriptBox["\[Gamma]", "_"], 
                FormBox["5",
                 TraditionalForm]], ".", 
               RowBox[{"(", 
                RowBox[{
                 FormBox["\<\"\[CurlyPhi]\"\>",
                  TraditionalForm], 
                 FormBox["\<\"(\"\>",
                  TraditionalForm], 
                 FormBox[
                  RowBox[{"-", 
                   FormBox["p2",
                    TraditionalForm]}],
                  TraditionalForm], 
                 FormBox["\<\",\"\>",
                  TraditionalForm], 
                 FormBox["MT",
                  TraditionalForm], 
                 FormBox["\<\")\"\>",
                  TraditionalForm]}], ")"}]}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"C00", "+", "deltaCTL", "+", "deltaCTR"}], ")"}], " ", 
              
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 FormBox["\<\"\[CurlyPhi]\"\>",
                  TraditionalForm], 
                 FormBox["\<\"(\"\>",
                  TraditionalForm], 
                 FormBox[
                  FormBox["p1",
                   TraditionalForm],
                  TraditionalForm], 
                 FormBox["\<\",\"\>",
                  TraditionalForm], 
                 FormBox["MT",
                  TraditionalForm], 
                 FormBox["\<\")\"\>",
                  TraditionalForm]}], ")"}], ".", 
               SuperscriptBox["\[Gamma]", 
                FormBox[
                 FormBox["\[Mu]",
                  TraditionalForm],
                 TraditionalForm]], ".", 
               RowBox[{"(", 
                RowBox[{
                 FormBox["\<\"\[CurlyPhi]\"\>",
                  TraditionalForm], 
                 FormBox["\<\"(\"\>",
                  TraditionalForm], 
                 FormBox[
                  RowBox[{"-", 
                   FormBox["p2",
                    TraditionalForm]}],
                  TraditionalForm], 
                 FormBox["\<\",\"\>",
                  TraditionalForm], 
                 FormBox["MT",
                  TraditionalForm], 
                 FormBox["\<\")\"\>",
                  TraditionalForm]}], ")"}]}]}]}], ")"}]}], "+", 
          RowBox[{"MT", " ", 
           RowBox[{"(", 
            RowBox[{"C11", "-", "C12"}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["5",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 RowBox[{"-", 
                  FormBox["k2",
                   TraditionalForm]}],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]", "\[CenterDot]", 
                FormBox[
                 FormBox["p1",
                  TraditionalForm],
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 FormBox["k1",
                  TraditionalForm],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 RowBox[{"-", 
                  FormBox["k2",
                   TraditionalForm]}],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]", "\[CenterDot]", 
                FormBox[
                 FormBox["p2",
                  TraditionalForm],
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 FormBox["k1",
                  TraditionalForm],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}]}]}], ")"}]}], "+", 
          RowBox[{"MT", " ", 
           RowBox[{"(", 
            RowBox[{"C1", "+", "C11", "+", "C12"}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 RowBox[{"-", 
                  FormBox["k2",
                   TraditionalForm]}],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]", "\[CenterDot]", 
                FormBox[
                 FormBox["p1",
                  TraditionalForm],
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 FormBox["k1",
                  TraditionalForm],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}]}], "-", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 RowBox[{"-", 
                  FormBox["k2",
                   TraditionalForm]}],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]", "\[CenterDot]", 
                FormBox[
                 FormBox["p2",
                  TraditionalForm],
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 FormBox["k1",
                  TraditionalForm],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}]}]}], ")"}]}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["p2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}]}]}], ")"}]}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902005256052657*^9, 3.902005269520649*^9}, {
   3.902212689988264*^9, 3.90221269712626*^9}, 3.902223989460517*^9, 
   3.902233477141698*^9, 3.9096476748633327`*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"f850c752-c994-4f9f-9e70-d7f501bebd51"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"sps", "=", 
  RowBox[{"Cases2", "[", 
   RowBox[{"ampEsimp2", ",", "Spinor"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"moms", "=", 
  RowBox[{"Cases2", "[", 
   RowBox[{"ampEsimp2", ",", "DiracGamma"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.902004519129347*^9, 3.902004521573133*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"ad8fe673-0499-4082-ba6e-5ecbb4eeb7a5"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     FormBox["\<\"\[CurlyPhi]\"\>",
      TraditionalForm], 
     FormBox["\<\"(\"\>",
      TraditionalForm], 
     FormBox[
      FormBox["k1",
       TraditionalForm],
      TraditionalForm], 
     FormBox["\<\")\"\>",
      TraditionalForm]}], ",", 
    RowBox[{
     FormBox["\<\"\[CurlyPhi]\"\>",
      TraditionalForm], 
     FormBox["\<\"(\"\>",
      TraditionalForm], 
     FormBox[
      RowBox[{"-", 
       FormBox["k2",
        TraditionalForm]}],
      TraditionalForm], 
     FormBox["\<\")\"\>",
      TraditionalForm]}], ",", 
    RowBox[{
     FormBox["\<\"\[CurlyPhi]\"\>",
      TraditionalForm], 
     FormBox["\<\"(\"\>",
      TraditionalForm], 
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm], 
     FormBox["\<\",\"\>",
      TraditionalForm], 
     FormBox["MT",
      TraditionalForm], 
     FormBox["\<\")\"\>",
      TraditionalForm]}], ",", 
    RowBox[{
     FormBox["\<\"\[CurlyPhi]\"\>",
      TraditionalForm], 
     FormBox["\<\"(\"\>",
      TraditionalForm], 
     FormBox[
      RowBox[{"-", 
       FormBox["p2",
        TraditionalForm]}],
      TraditionalForm], 
     FormBox["\<\",\"\>",
      TraditionalForm], 
     FormBox["MT",
      TraditionalForm], 
     FormBox["\<\")\"\>",
      TraditionalForm]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.901353485052638*^9, 3.9017177590422487`*^9, 
  3.901729457030981*^9, 3.9019958088479013`*^9, 3.901995964298365*^9, 
  3.901996396935854*^9, 3.902003905995021*^9, 3.9020045234170837`*^9, 
  3.9022127097391253`*^9, 3.9022239894996033`*^9, 3.9022334771572523`*^9, 
  3.909647674938067*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"c967ef29-0af4-432a-870c-15579d7c9b7d"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SuperscriptBox[
     OverscriptBox["\[Gamma]", "_"], 
     FormBox["5",
      TraditionalForm]], ",", 
    SuperscriptBox["\[Gamma]", 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm]}], ",", 
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.901353485052638*^9, 3.9017177590422487`*^9, 
  3.901729457030981*^9, 3.9019958088479013`*^9, 3.901995964298365*^9, 
  3.901996396935854*^9, 3.902003905995021*^9, 3.9020045234170837`*^9, 
  3.9022127097391253`*^9, 3.9022239894996033`*^9, 3.9022334771572523`*^9, 
  3.909647674941038*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"bbcb5609-5f9a-4ac6-a529-41e0c28d8651"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"phi", 
      RowBox[{
       RowBox[{"(", "k1", ")"}], ".", "p1slash", ".", "phi"}], 
      RowBox[{"(", 
       RowBox[{"-", "k2"}], ")"}]}], " ", "+", " ", 
     RowBox[{"phi", 
      RowBox[{
       RowBox[{"(", "k1", ")"}], ".", "p2slash", ".", "phi"}], 
      RowBox[{"(", 
       RowBox[{"-", "k2"}], ")"}]}]}], " ", "=", " ", 
    RowBox[{
     RowBox[{"phi", 
      RowBox[{
       RowBox[{"(", "k1", ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"p1slash", "+", "p2slash"}], ")"}], ".", "phi"}], 
      RowBox[{"(", 
       RowBox[{"-", "k2"}], ")"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"phi", 
       RowBox[{
        RowBox[{"(", "k1", ")"}], ".", 
        RowBox[{"(", 
         RowBox[{"k1slash", "+", "k2slash"}], ")"}], ".", "phi"}], 
       RowBox[{"(", 
        RowBox[{"-", "k2"}], ")"}]}], " ", "=", " ", "0"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"ampEsimp3", "=", 
   RowBox[{
    RowBox[{"Collect", "[", 
     RowBox[{"ampEsimp2", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"sps", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ".", 
        RowBox[{"moms", "[", 
         RowBox[{"[", "1", "]"}], "]"}], ".", 
        RowBox[{"sps", "[", 
         RowBox[{"[", "4", "]"}], "]"}]}], "}"}], ",", "Simplify"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"sps", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ".", 
        RowBox[{"moms", "[", 
         RowBox[{"[", "3", "]"}], "]"}], ".", 
        RowBox[{"sps", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"sps", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ".", 
        RowBox[{"moms", "[", 
         RowBox[{"[", "4", "]"}], "]"}], ".", 
        RowBox[{"sps", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}]}], "\[Rule]", "0"}], 
     "}"}]}]}]}]], "Input",
 CellChangeTimes->{{3.902006049343294*^9, 3.902006222206018*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"fbcdcefe-1971-42eb-ac43-3f737a98f6f6"],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{
        FormBox["\<\"(\"\>",
         TraditionalForm], 
        FormBox[
         FormBox[
          RowBox[{
           FormBox["p1",
            TraditionalForm], "+", 
           FormBox["p2",
            TraditionalForm]}],
          TraditionalForm],
         TraditionalForm], 
        FormBox["\<\")\"\>",
         TraditionalForm]}], "2"],
      SequenceForm[
       FeynCalc`Pair[
       FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D], 
        FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D]]],
      Editable->False]], 
    RowBox[{"\[ImaginaryI]", " ", 
     SuperscriptBox["gs", "2"], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col4",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Pi]", "2"], " ", 
        SuperscriptBox["yDM", "2"], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"C00", "-", "deltaCTL", "+", "deltaCTR"}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["5",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"C00", "+", "deltaCTL", "+", "deltaCTR"}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}]}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[Pi]", "2"], " ", "MT", " ", 
        SuperscriptBox["yDM", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"C1", "+", "C11", "+", "C12"}], ")"}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["p2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["k2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["k1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["k2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["k1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["p2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}]}]}], ")"}]}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.902006057630131*^9, 3.90200610244421*^9, 
  3.902006227390193*^9, 3.90221272144144*^9, 3.902223989544174*^9, 
  3.902233477182549*^9, 3.909647675017414*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"4e25d3b9-0d20-467a-8588-2ff8bc84bc87"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampEsimp4", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"DiracSimplify", "[", 
    RowBox[{
     RowBox[{"DiracSimplify", "[", 
      RowBox[{"ampEsimp3", ",", 
       RowBox[{"DiracSubstitute5", "\[Rule]", "True"}]}], "]"}], "/.", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"DiracGamma", "[", "7", "]"}], "\[Rule]", 
       RowBox[{"1", "-", 
        RowBox[{"DiracGamma", "[", "6", "]"}]}]}], ")"}]}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.902006246876523*^9, 3.9020063016135902`*^9}, {
   3.9020066776340227`*^9, 3.902006684031328*^9}, 3.902212729176219*^9, {
   3.902212775634192*^9, 3.902212782989026*^9}, {3.902212836404769*^9, 
   3.902212882394023*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"ef411943-8bbd-48a8-9144-50d5f2df0514"],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{
        FormBox["\<\"(\"\>",
         TraditionalForm], 
        FormBox[
         FormBox[
          RowBox[{
           FormBox["p1",
            TraditionalForm], "+", 
           FormBox["p2",
            TraditionalForm]}],
          TraditionalForm],
         TraditionalForm], 
        FormBox["\<\")\"\>",
         TraditionalForm]}], "2"],
      SequenceForm[
       FeynCalc`Pair[
       FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D], 
        FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D]]],
      Editable->False]], 
    RowBox[{"\[ImaginaryI]", " ", 
     SuperscriptBox["gs", "2"], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["Col3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["Col4",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["Glu5",
        TraditionalForm],
       TraditionalForm]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["k2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["k1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox["\[Pi]", "2"], " ", 
           SuperscriptBox["yDM", "2"], " ", 
           RowBox[{"(", 
            RowBox[{"C00", "-", "deltaCTL", "+", "deltaCTR"}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["\[Pi]", "2"], " ", "deltaCTL", " ", 
              SuperscriptBox["yDM", "2"]}], "+", "1"}], ")"}], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            RowBox[{"(", 
             RowBox[{
              FormBox["\<\"\[CurlyPhi]\"\>",
               TraditionalForm], 
              FormBox["\<\"(\"\>",
               TraditionalForm], 
              FormBox[
               RowBox[{"-", 
                FormBox["p2",
                 TraditionalForm]}],
               TraditionalForm], 
              FormBox["\<\",\"\>",
               TraditionalForm], 
              FormBox["MT",
               TraditionalForm], 
              FormBox["\<\")\"\>",
               TraditionalForm]}], ")"}]}]}]}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["\[Pi]", "2"], " ", "MT", " ", 
        SuperscriptBox["yDM", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"C1", "+", "C11", "+", "C12"}], ")"}], " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}], ".", 
         RowBox[{"(", 
          RowBox[{
           FormBox["\<\"\[CurlyPhi]\"\>",
            TraditionalForm], 
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            RowBox[{"-", 
             FormBox["p2",
              TraditionalForm]}],
            TraditionalForm], 
           FormBox["\<\",\"\>",
            TraditionalForm], 
           FormBox["MT",
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], ")"}]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["k2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["k1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["k2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["k1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}]}], ")"}]}]}], ")"}]}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902006293023211*^9, 3.9020063025787077`*^9}, 
   3.902006684795743*^9, 3.9022127300660353`*^9, {3.902212866434153*^9, 
   3.902212883350033*^9}, 3.9022239898405933`*^9, 3.902233477428009*^9, 
   3.909647675811591*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"08c5367e-45b6-4462-bac5-87a2118f15af"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampF", "=", 
  RowBox[{"Collect", "[", 
   RowBox[{"ampEsimp4", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"sps", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ".", 
       RowBox[{"moms", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ".", 
       RowBox[{"sps", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"sps", "[", 
        RowBox[{"[", "3", "]"}], "]"}], ".", 
       RowBox[{"moms", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}], ".", 
       RowBox[{"sps", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"sps", "[", 
        RowBox[{"[", "3", "]"}], "]"}], ".", 
       RowBox[{"moms", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ".", 
       RowBox[{"sps", "[", 
        RowBox[{"[", "4", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"sps", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ".", 
       RowBox[{"moms", "[", 
        RowBox[{"[", "3", "]"}], "]"}], ".", 
       RowBox[{"sps", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"sps", "[", 
        RowBox[{"[", "2", "]"}], "]"}], ".", 
       RowBox[{"moms", "[", 
        RowBox[{"[", "4", "]"}], "]"}], ".", 
       RowBox[{"sps", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}]}], "}"}], ",", "FullSimplify"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.89843139345466*^9, 3.898431408395059*^9}, {
  3.9013534952239532`*^9, 3.9013535569645443`*^9}, {3.9013536150053253`*^9, 
  3.901353619674981*^9}, {3.902004531157937*^9, 3.9020045476615963`*^9}, {
  3.902006232157412*^9, 3.9020062322388983`*^9}, {3.902006305843253*^9, 
  3.902006305973351*^9}, {3.902006361405758*^9, 3.902006380154366*^9}, {
  3.9020064512561283`*^9, 3.9020065354371347`*^9}, {3.902006700988371*^9, 
  3.90200670163802*^9}, {3.902212958590378*^9, 3.9022130304630823`*^9}, {
  3.902213125102962*^9, 3.902213126462117*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"5349b2db-f003-4e54-a2ff-d4bd28eb5614"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       FormBox["\<\"\[CurlyPhi]\"\>",
        TraditionalForm], 
       FormBox["\<\"(\"\>",
        TraditionalForm], 
       FormBox[
        RowBox[{"-", 
         FormBox["k2",
          TraditionalForm]}],
        TraditionalForm], 
       FormBox["\<\")\"\>",
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{
       FormBox["\<\"\[CurlyPhi]\"\>",
        TraditionalForm], 
       FormBox["\<\"(\"\>",
        TraditionalForm], 
       FormBox[
        FormBox["k1",
         TraditionalForm],
        TraditionalForm], 
       FormBox["\<\")\"\>",
        TraditionalForm]}], ")"}]}], " ", 
    RowBox[{"(", 
     RowBox[{
      FormBox[
       RowBox[{"-", 
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["gs", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["\[Pi]", "2"], " ", "deltaCTL", " ", 
             SuperscriptBox["yDM", "2"]}], "+", "1"}], ")"}], " ", 
          SubsuperscriptBox["T", 
           RowBox[{
            FormBox[
             FormBox["Col2",
              TraditionalForm],
             TraditionalForm], 
            FormBox[
             FormBox["Col1",
              TraditionalForm],
             TraditionalForm]}], 
           FormBox[
            FormBox["Glu5",
             TraditionalForm],
            TraditionalForm]], " ", 
          SubsuperscriptBox["T", 
           RowBox[{
            FormBox[
             FormBox["Col3",
              TraditionalForm],
             TraditionalForm], 
            FormBox[
             FormBox["Col4",
              TraditionalForm],
             TraditionalForm]}], 
           FormBox[
            FormBox["Glu5",
             TraditionalForm],
            TraditionalForm]], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox["\[Gamma]", 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["p2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}]}], 
         InterpretationBox[
          SuperscriptBox[
           RowBox[{
            FormBox["\<\"(\"\>",
             TraditionalForm], 
            FormBox[
             FormBox[
              RowBox[{
               FormBox["p1",
                TraditionalForm], "+", 
               FormBox["p2",
                TraditionalForm]}],
              TraditionalForm],
             TraditionalForm], 
            FormBox["\<\")\"\>",
             TraditionalForm]}], "2"],
          SequenceForm[
           FeynCalc`Pair[
           FeynCalc`Momentum[$CellContext`p1, D] + 
            FeynCalc`Momentum[$CellContext`p2, D], 
            FeynCalc`Momentum[$CellContext`p1, D] + 
            FeynCalc`Momentum[$CellContext`p2, D]]],
          Editable->False]]}],
       TraditionalForm], "-", 
      FormBox[
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", 
         SuperscriptBox["\[Pi]", "2"], " ", 
         SuperscriptBox["gs", "2"], " ", 
         SuperscriptBox["yDM", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"C00", "-", "deltaCTL", "+", "deltaCTR"}], ")"}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["Col2",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["Col1",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["Glu5",
            TraditionalForm],
           TraditionalForm]], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["Col3",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["Col4",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["Glu5",
            TraditionalForm],
           TraditionalForm]], " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FormBox["\<\"\[CurlyPhi]\"\>",
             TraditionalForm], 
            FormBox["\<\"(\"\>",
             TraditionalForm], 
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], 
            FormBox["\<\",\"\>",
             TraditionalForm], 
            FormBox["MT",
             TraditionalForm], 
            FormBox["\<\")\"\>",
             TraditionalForm]}], ")"}], ".", 
          SuperscriptBox["\[Gamma]", 
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm]], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["6",
            TraditionalForm]], ".", 
          RowBox[{"(", 
           RowBox[{
            FormBox["\<\"\[CurlyPhi]\"\>",
             TraditionalForm], 
            FormBox["\<\"(\"\>",
             TraditionalForm], 
            FormBox[
             RowBox[{"-", 
              FormBox["p2",
               TraditionalForm]}],
             TraditionalForm], 
            FormBox["\<\",\"\>",
             TraditionalForm], 
            FormBox["MT",
             TraditionalForm], 
            FormBox["\<\")\"\>",
             TraditionalForm]}], ")"}]}]}], 
        InterpretationBox[
         SuperscriptBox[
          RowBox[{
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox[
             RowBox[{
              FormBox["p1",
               TraditionalForm], "+", 
              FormBox["p2",
               TraditionalForm]}],
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], "2"],
         SequenceForm[
          FeynCalc`Pair[
          FeynCalc`Momentum[$CellContext`p1, D] + 
           FeynCalc`Momentum[$CellContext`p2, D], 
           FeynCalc`Momentum[$CellContext`p1, D] + 
           FeynCalc`Momentum[$CellContext`p2, D]]],
         Editable->False]],
       TraditionalForm]}], ")"}]}], "+", 
   FormBox[
    RowBox[{"-", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", 
       SuperscriptBox["\[Pi]", "2"], " ", 
       SuperscriptBox["gs", "2"], " ", "MT", " ", 
       SuperscriptBox["yDM", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"C1", "+", "C11", "+", "C12"}], ")"}], " ", 
       SubsuperscriptBox["T", 
        RowBox[{
         FormBox[
          FormBox["Col2",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["Col1",
           TraditionalForm],
          TraditionalForm]}], 
        FormBox[
         FormBox["Glu5",
          TraditionalForm],
         TraditionalForm]], " ", 
       SubsuperscriptBox["T", 
        RowBox[{
         FormBox[
          FormBox["Col3",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["Col4",
           TraditionalForm],
          TraditionalForm]}], 
        FormBox[
         FormBox["Glu5",
          TraditionalForm],
         TraditionalForm]], " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          FormBox["\<\"\[CurlyPhi]\"\>",
           TraditionalForm], 
          FormBox["\<\"(\"\>",
           TraditionalForm], 
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], 
          FormBox["\<\",\"\>",
           TraditionalForm], 
          FormBox["MT",
           TraditionalForm], 
          FormBox["\<\")\"\>",
           TraditionalForm]}], ")"}], ".", 
        RowBox[{"(", 
         RowBox[{
          FormBox["\<\"\[CurlyPhi]\"\>",
           TraditionalForm], 
          FormBox["\<\"(\"\>",
           TraditionalForm], 
          FormBox[
           RowBox[{"-", 
            FormBox["p2",
             TraditionalForm]}],
           TraditionalForm], 
          FormBox["\<\",\"\>",
           TraditionalForm], 
          FormBox["MT",
           TraditionalForm], 
          FormBox["\<\")\"\>",
           TraditionalForm]}], ")"}]}], " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          FormBox["\<\"\[CurlyPhi]\"\>",
           TraditionalForm], 
          FormBox["\<\"(\"\>",
           TraditionalForm], 
          FormBox[
           RowBox[{"-", 
            FormBox["k2",
             TraditionalForm]}],
           TraditionalForm], 
          FormBox["\<\")\"\>",
           TraditionalForm]}], ")"}], ".", 
        RowBox[{"(", 
         RowBox[{"\[Gamma]", "\[CenterDot]", 
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm]}], ")"}], ".", 
        RowBox[{"(", 
         RowBox[{
          FormBox["\<\"\[CurlyPhi]\"\>",
           TraditionalForm], 
          FormBox["\<\"(\"\>",
           TraditionalForm], 
          FormBox[
           FormBox["k1",
            TraditionalForm],
           TraditionalForm], 
          FormBox["\<\")\"\>",
           TraditionalForm]}], ")"}]}]}], 
      InterpretationBox[
       SuperscriptBox[
        RowBox[{
         FormBox["\<\"(\"\>",
          TraditionalForm], 
         FormBox[
          FormBox[
           RowBox[{
            FormBox["p1",
             TraditionalForm], "+", 
            FormBox["p2",
             TraditionalForm]}],
           TraditionalForm],
          TraditionalForm], 
         FormBox["\<\")\"\>",
          TraditionalForm]}], "2"],
       SequenceForm[
        FeynCalc`Pair[
        FeynCalc`Momentum[$CellContext`p1, D] + 
         FeynCalc`Momentum[$CellContext`p2, D], 
         FeynCalc`Momentum[$CellContext`p1, D] + 
         FeynCalc`Momentum[$CellContext`p2, D]]],
       Editable->False]]}],
    TraditionalForm], "+", 
   FormBox[
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["gs", "2"], " ", "MT", " ", 
      SuperscriptBox["yDM", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"C1", "+", "C11", "+", "C12"}], ")"}], " ", 
      SubsuperscriptBox["T", 
       RowBox[{
        FormBox[
         FormBox["Col2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["Col1",
          TraditionalForm],
         TraditionalForm]}], 
       FormBox[
        FormBox["Glu5",
         TraditionalForm],
        TraditionalForm]], " ", 
      SubsuperscriptBox["T", 
       RowBox[{
        FormBox[
         FormBox["Col3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["Col4",
          TraditionalForm],
         TraditionalForm]}], 
       FormBox[
        FormBox["Glu5",
         TraditionalForm],
        TraditionalForm]], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FormBox["\<\"\[CurlyPhi]\"\>",
          TraditionalForm], 
         FormBox["\<\"(\"\>",
          TraditionalForm], 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm], 
         FormBox["\<\",\"\>",
          TraditionalForm], 
         FormBox["MT",
          TraditionalForm], 
         FormBox["\<\")\"\>",
          TraditionalForm]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{
         FormBox["\<\"\[CurlyPhi]\"\>",
          TraditionalForm], 
         FormBox["\<\"(\"\>",
          TraditionalForm], 
         FormBox[
          RowBox[{"-", 
           FormBox["p2",
            TraditionalForm]}],
          TraditionalForm], 
         FormBox["\<\",\"\>",
          TraditionalForm], 
         FormBox["MT",
          TraditionalForm], 
         FormBox["\<\")\"\>",
          TraditionalForm]}], ")"}]}], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FormBox["\<\"\[CurlyPhi]\"\>",
          TraditionalForm], 
         FormBox["\<\"(\"\>",
          TraditionalForm], 
         FormBox[
          RowBox[{"-", 
           FormBox["k2",
            TraditionalForm]}],
          TraditionalForm], 
         FormBox["\<\")\"\>",
          TraditionalForm]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       RowBox[{"(", 
        RowBox[{
         FormBox["\<\"\[CurlyPhi]\"\>",
          TraditionalForm], 
         FormBox["\<\"(\"\>",
          TraditionalForm], 
         FormBox[
          FormBox["k1",
           TraditionalForm],
          TraditionalForm], 
         FormBox["\<\")\"\>",
          TraditionalForm]}], ")"}]}]}], 
     InterpretationBox[
      SuperscriptBox[
       RowBox[{
        FormBox["\<\"(\"\>",
         TraditionalForm], 
        FormBox[
         FormBox[
          RowBox[{
           FormBox["p1",
            TraditionalForm], "+", 
           FormBox["p2",
            TraditionalForm]}],
          TraditionalForm],
         TraditionalForm], 
        FormBox["\<\")\"\>",
         TraditionalForm]}], "2"],
      SequenceForm[
       FeynCalc`Pair[
       FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D], 
        FeynCalc`Momentum[$CellContext`p1, D] + 
        FeynCalc`Momentum[$CellContext`p2, D]]],
      Editable->False]],
    TraditionalForm]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.9020045903796587`*^9, 3.902004975905284*^9, 3.902005279332156*^9, 
   3.90200623292857*^9, 3.902006307433337*^9, {3.9020063649872503`*^9, 
   3.902006380748672*^9}, {3.902006481671157*^9, 3.902006504757571*^9}, 
   3.902006536096373*^9, {3.902006688241953*^9, 3.902006702167383*^9}, 
   3.9022130329585752`*^9, 3.902213127113818*^9, 3.9022239898946743`*^9, 
   3.90223347750634*^9, 3.90964767594803*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"575210cf-00eb-4d94-8a6a-04bc15df0abd"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Coefficients for each term", "Subsection",
 CellChangeTimes->{{3.902214189329135*^9, 
  3.9022142008054123`*^9}},ExpressionUUID->"130c3f92-52d7-4153-aa44-\
54f806159158"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"factor", "=", 
   RowBox[{
    RowBox[{"FeynAmpDenominator", "[", 
     RowBox[{"PropagatorDenominator", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Momentum", "[", 
         RowBox[{"p1", ",", "D"}], "]"}], "+", 
        RowBox[{"Momentum", "[", 
         RowBox[{"p2", ",", "D"}], "]"}]}], ",", "0"}], "]"}], "]"}], 
    RowBox[{"SUNTF", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"SUNIndex", "[", "Glu5", "]"}], "}"}], ",", 
      RowBox[{"SUNFIndex", "[", "Col2", "]"}], ",", 
      RowBox[{"SUNFIndex", "[", "Col1", "]"}]}], "]"}], "*", 
    RowBox[{"SUNTF", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"SUNIndex", "[", "Glu5", "]"}], "}"}], ",", 
      RowBox[{"SUNFIndex", "[", "Col3", "]"}], ",", 
      RowBox[{"SUNFIndex", "[", "Col4", "]"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CVV", " ", "=", " ", 
  RowBox[{"Coefficient", "[", " ", 
   RowBox[{"ampF", ",", 
    RowBox[{"factor", " ", 
     RowBox[{
      RowBox[{"sps", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ".", 
      RowBox[{"moms", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ".", 
      RowBox[{"sps", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], " ", 
     RowBox[{
      RowBox[{"sps", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ".", 
      RowBox[{"moms", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ".", 
      RowBox[{"sps", "[", 
       RowBox[{"[", "4", "]"}], "]"}]}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"CVR", "=", 
  RowBox[{"Coefficient", "[", 
   RowBox[{"ampF", ",", 
    RowBox[{"factor", " ", 
     RowBox[{
      RowBox[{"sps", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ".", 
      RowBox[{"moms", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ".", 
      RowBox[{"sps", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], " ", 
     RowBox[{
      RowBox[{"sps", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ".", 
      RowBox[{"moms", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ".", 
      RowBox[{"DiracGamma", "[", "6", "]"}], ".", 
      RowBox[{"sps", "[", 
       RowBox[{"[", "4", "]"}], "]"}]}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"CP1", "=", 
  RowBox[{"Coefficient", "[", 
   RowBox[{"ampF", ",", 
    RowBox[{"factor", " ", 
     RowBox[{
      RowBox[{"sps", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ".", 
      RowBox[{"moms", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ".", 
      RowBox[{"sps", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], " ", 
     RowBox[{
      RowBox[{"sps", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ".", 
      RowBox[{"sps", "[", 
       RowBox[{"[", "4", "]"}], "]"}]}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"CP2", "=", 
  RowBox[{"Coefficient", "[", 
   RowBox[{"ampF", ",", 
    RowBox[{"factor", " ", 
     RowBox[{
      RowBox[{"sps", "[", 
       RowBox[{"[", "2", "]"}], "]"}], ".", 
      RowBox[{"moms", "[", 
       RowBox[{"[", "4", "]"}], "]"}], ".", 
      RowBox[{"sps", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], " ", 
     RowBox[{
      RowBox[{"sps", "[", 
       RowBox[{"[", "3", "]"}], "]"}], ".", 
      RowBox[{"sps", "[", 
       RowBox[{"[", "4", "]"}], "]"}]}]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Coeffs", "=", 
   RowBox[{"{", 
    RowBox[{"CVV", ",", "CVR", ",", "CP1", ",", "CP2"}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.902214208793941*^9, 3.902214387808408*^9}, {
  3.902215031617713*^9, 3.9022151281393948`*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"613e70cb-3abb-4119-ad12-1437e72040ee"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", "\[ImaginaryI]"}], " ", 
   SuperscriptBox["gs", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", "deltaCTL", " ", 
      SuperscriptBox["yDM", "2"]}], "+", "1"}], ")"}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902214234506055*^9, 3.90221426301703*^9}, {
   3.90221429363389*^9, 3.9022143480264587`*^9}, 3.902214388273861*^9, 
   3.902215033574946*^9, {3.902215108390667*^9, 3.902215128399701*^9}, 
   3.902223989912417*^9, 3.902233477525235*^9, 3.909647676023837*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"91db4b4a-6e12-497a-9913-61a5a988db76"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", "2"}], " ", "\[ImaginaryI]", " ", 
   SuperscriptBox["\[Pi]", "2"], " ", 
   SuperscriptBox["gs", "2"], " ", 
   SuperscriptBox["yDM", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"C00", "-", "deltaCTL", "+", "deltaCTR"}], ")"}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902214234506055*^9, 3.90221426301703*^9}, {
   3.90221429363389*^9, 3.9022143480264587`*^9}, 3.902214388273861*^9, 
   3.902215033574946*^9, {3.902215108390667*^9, 3.902215128399701*^9}, 
   3.902223989912417*^9, 3.902233477525235*^9, 3.90964767603553*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"81c7b852-2112-45e9-8504-97830190f236"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", "\[ImaginaryI]"}], " ", 
   SuperscriptBox["\[Pi]", "2"], " ", 
   SuperscriptBox["gs", "2"], " ", "MT", " ", 
   SuperscriptBox["yDM", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"C1", "+", "C11", "+", "C12"}], ")"}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902214234506055*^9, 3.90221426301703*^9}, {
   3.90221429363389*^9, 3.9022143480264587`*^9}, 3.902214388273861*^9, 
   3.902215033574946*^9, {3.902215108390667*^9, 3.902215128399701*^9}, 
   3.902223989912417*^9, 3.902233477525235*^9, 3.90964767603762*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"dbaa3afa-17c6-47d2-bd25-da643bdb8b65"],

Cell[BoxData[
 FormBox[
  RowBox[{"\[ImaginaryI]", " ", 
   SuperscriptBox["\[Pi]", "2"], " ", 
   SuperscriptBox["gs", "2"], " ", "MT", " ", 
   SuperscriptBox["yDM", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"C1", "+", "C11", "+", "C12"}], ")"}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902214234506055*^9, 3.90221426301703*^9}, {
   3.90221429363389*^9, 3.9022143480264587`*^9}, 3.902214388273861*^9, 
   3.902215033574946*^9, {3.902215108390667*^9, 3.902215128399701*^9}, 
   3.902223989912417*^9, 3.902233477525235*^9, 3.909647676039505*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"5b6ff64f-5fdf-4405-90da-5b2e456ffc5f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["EFT Limit", "Section",
 CellChangeTimes->{{3.902213104126433*^9, 
  3.902213110215496*^9}},ExpressionUUID->"ca6b865b-6849-4294-b550-\
81e2470bb0af"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SubsPV", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"C00", "\[Rule]", 
       RowBox[{"PaXEvaluate", "[", " ", 
        RowBox[{
         RowBox[{"PaVe", "[", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"MT", "^", "2"}], ",", "s", ",", 
             RowBox[{"MT", "^", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"mChi", "^", "2"}], ",", 
             RowBox[{"mST", "^", "2"}], ",", 
             RowBox[{"mST", "^", "2"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"PaXImplicitPrefactor", "\[Rule]", 
          RowBox[{"1", "/", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", " ", "Pi"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"4", "-", 
              RowBox[{"2", " ", "Epsilon"}]}], ")"}]}]}]}], ",", 
         RowBox[{"PaXSeries", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"MT", ",", "0", ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"s", ",", "0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"EulerGamma", "\[Rule]", "0"}], ",", 
        RowBox[{"ScaleMu", "\[Rule]", 
         FractionBox["mST", 
          SqrtBox[
           RowBox[{"4", " ", "Pi"}]]]}]}], "}"}]}], ",", 
     RowBox[{
      RowBox[{"C11", "\[Rule]", 
       RowBox[{"PaXEvaluate", "[", " ", 
        RowBox[{
         RowBox[{"PaVe", "[", 
          RowBox[{"1", ",", "1", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"MT", "^", "2"}], ",", "s", ",", 
             RowBox[{"MT", "^", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"mChi", "^", "2"}], ",", 
             RowBox[{"mST", "^", "2"}], ",", 
             RowBox[{"mST", "^", "2"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"PaXImplicitPrefactor", "\[Rule]", 
          RowBox[{"1", "/", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", " ", "Pi"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"4", "-", 
              RowBox[{"2", " ", "Epsilon"}]}], ")"}]}]}]}], ",", 
         RowBox[{"PaXSeries", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"MT", ",", "0", ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"s", ",", "0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"EulerGamma", "\[Rule]", "0"}], ",", 
        RowBox[{"ScaleMu", "\[Rule]", 
         FractionBox["mST", 
          SqrtBox[
           RowBox[{"4", " ", "Pi"}]]]}]}], "}"}]}], ",", 
     RowBox[{
      RowBox[{"C12", "\[Rule]", " ", 
       RowBox[{"PaXEvaluate", "[", 
        RowBox[{
         RowBox[{"PaVe", "[", 
          RowBox[{"1", ",", "2", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"MT", "^", "2"}], ",", "s", ",", 
             RowBox[{"MT", "^", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"mChi", "^", "2"}], ",", 
             RowBox[{"mST", "^", "2"}], ",", 
             RowBox[{"mST", "^", "2"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"PaXImplicitPrefactor", "\[Rule]", 
          RowBox[{"1", "/", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", " ", "Pi"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"4", "-", 
              RowBox[{"2", " ", "Epsilon"}]}], ")"}]}]}]}], ",", 
         RowBox[{"PaXSeries", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"MT", ",", "0", ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"s", ",", "0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"EulerGamma", "\[Rule]", "0"}], ",", 
        RowBox[{"ScaleMu", "\[Rule]", 
         FractionBox["mST", 
          SqrtBox[
           RowBox[{"4", " ", "Pi"}]]]}]}], "}"}]}], ",", 
     RowBox[{
      RowBox[{"C1", "\[Rule]", 
       RowBox[{"PaXEvaluate", "[", " ", 
        RowBox[{
         RowBox[{"PaVe", "[", 
          RowBox[{"1", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"MT", "^", "2"}], ",", "s", ",", 
             RowBox[{"MT", "^", "2"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"mChi", "^", "2"}], ",", 
             RowBox[{"mST", "^", "2"}], ",", 
             RowBox[{"mST", "^", "2"}]}], "}"}]}], "]"}], ",", 
         RowBox[{"PaXImplicitPrefactor", "\[Rule]", 
          RowBox[{"1", "/", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"2", " ", "Pi"}], ")"}], "^", 
            RowBox[{"(", 
             RowBox[{"4", "-", 
              RowBox[{"2", " ", "Epsilon"}]}], ")"}]}]}]}], ",", 
         RowBox[{"PaXSeries", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"MT", ",", "0", ",", "2"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"s", ",", "0", ",", "1"}], "}"}]}], "}"}]}]}], "]"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"EulerGamma", "\[Rule]", "0"}], ",", 
        RowBox[{"ScaleMu", "\[Rule]", 
         FractionBox["mST", 
          SqrtBox[
           RowBox[{"4", " ", "Pi"}]]]}]}], "}"}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SubsCT", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"deltaCTL", "\[Rule]", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"128", "*", 
           RowBox[{"xT", "^", "2"}], "*", 
           RowBox[{"Sqrt", "[", "lA", "]"}], "*", 
           RowBox[{"Pi", "^", "4"}]}], ")"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "*", 
           RowBox[{"Sqrt", "[", "lA", "]"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"xT", "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "xC"}], "+", "xT"}], ")"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", "xC"}], ")"}], "^", "2"}]}], "+",
                 "xT"}], ")"}], "*", 
              RowBox[{"Log", "[", "xC", "]"}]}]}], ")"}]}], "-", 
          RowBox[{"4", "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "xC"}], ")"}], "^", "3"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "2"}], "+", "xC", "+", 
                RowBox[{"xC", "^", "2"}]}], ")"}], " ", "xT"}], "+", 
             RowBox[{"xT", "^", "2"}]}], ")"}], "*", 
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "+", "xC", "+", 
               RowBox[{"Sqrt", "[", "lA", "]"}], "-", "xT"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"2", "*", 
               RowBox[{"Sqrt", "[", "xC", "]"}]}], ")"}]}], "]"}]}]}], ")"}], 
        ")"}]}]}], ",", 
     RowBox[{"deltaCTR", "\[Rule]", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"128", "*", 
           RowBox[{"xT", "^", "2"}], "*", 
           RowBox[{"Sqrt", "[", "lA", "]"}], "*", 
           RowBox[{"Pi", "^", "4"}]}], ")"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "xC", "-", "xT"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Sqrt", "[", "lA", "]"}], "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "*", "xT"}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "xC", "+", "xT"}], ")"}], "*", 
               RowBox[{"Log", "[", "xC", "]"}]}]}], ")"}]}], "+", 
           RowBox[{"2", "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "2"}], "+", "xC"}], ")"}], "*", "xC"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "xT"}], ")"}], "^", "2"}]}], ")"}], 
            "*", 
            RowBox[{"Log", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "+", "xC", "+", 
                RowBox[{"Sqrt", "[", "lA", "]"}], "-", "xT"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"2", "*", 
                RowBox[{"Sqrt", "[", "xC", "]"}]}], ")"}]}], "]"}]}]}], 
          ")"}]}], ")"}]}]}], ",", 
     RowBox[{"xC", "\[Rule]", " ", 
      FractionBox[
       RowBox[{"mChi", "^", "2"}], 
       RowBox[{"mST", "^", "2"}]]}], ",", 
     RowBox[{"xT", "\[Rule]", " ", 
      FractionBox[
       RowBox[{"MT", "^", "2"}], 
       RowBox[{"mST", "^", "2"}]]}], ",", 
     RowBox[{"lA", "\[Rule]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"xC", "^", "2"}], "+", 
        RowBox[{"xT", "^", "2"}], "-", 
        RowBox[{"2", "*", "xC"}], "-", 
        RowBox[{"2", "*", "xT"}], "-", 
        RowBox[{"2", "*", "xT", "*", "xC"}]}], ")"}]}]}], "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.902213130951462*^9, 3.9022131606906652`*^9}, {
  3.902213202148299*^9, 3.9022133705975246`*^9}, {3.9022134139095383`*^9, 
  3.902213414223493*^9}, {3.9022134831976633`*^9, 3.902213522724703*^9}, {
  3.902213672852454*^9, 3.902213686036911*^9}, {3.902215222607781*^9, 
  3.9022152409880867`*^9}, {3.9022153450785503`*^9, 3.902215357459281*^9}, {
  3.9022153916979094`*^9, 3.902215419746448*^9}, {3.902218706846058*^9, 
  3.9022187072719707`*^9}, {3.9022188853252363`*^9, 3.902218942358103*^9}, {
  3.902233388515581*^9, 3.9022334036486797`*^9}},
 CellLabel->"In[40]:=",ExpressionUUID->"1ddbffa7-e11c-4c31-8927-e7ed35009de5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CoeffsEFTa", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Normal", "[", 
       RowBox[{"Series", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{"Coeffs", "[", 
             RowBox[{"[", "i", "]"}], "]"}], "/.", "SubsPV"}], "//.", 
           "SubsCT"}], "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"MT", "\[Rule]", 
             RowBox[{"x", " ", "MT"}]}], ",", 
            RowBox[{"s", "\[Rule]", " ", 
             RowBox[{
              RowBox[{"x", "^", "2"}], " ", "s"}]}]}], "}"}]}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "0", ",", "2"}], "}"}]}], "]"}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{"x", "\[Rule]", "1"}], "}"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "Coeffs", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.902213382365547*^9, 3.902213466266871*^9}, 
   3.902213530985188*^9, 3.902213741084497*^9, {3.9022143955512333`*^9, 
   3.902214444584831*^9}, {3.9022146482177877`*^9, 3.9022147091705008`*^9}, {
   3.902218194655306*^9, 3.902218195210802*^9}, 3.9022187143631783`*^9, {
   3.902218957080523*^9, 3.902218991818428*^9}, {3.9022190382601843`*^9, 
   3.9022191045396147`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"5e422017-7780-4de4-989c-1a84cd82cfc9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"CoeffsEFTb", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"Assuming", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"mST", ">", "0"}], ",", 
         RowBox[{"mChi", ">", "0"}], ",", 
         RowBox[{"mST", ">", "mChi"}], ",", 
         RowBox[{"MT", ">", "0"}], ",", 
         RowBox[{"mST", ">", 
          RowBox[{"MT", "+", "mChi"}]}]}], "}"}], ",", 
       RowBox[{"Collect", "[", 
        RowBox[{
         RowBox[{"CoeffsEFTa", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"Epsilon", ",", "MT", ",", "s"}], "}"}], ",", 
         "FullSimplify"}], "]"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "CoeffsEFTa", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.90221444974118*^9, 3.902214453731677*^9}, {
  3.902215494025405*^9, 3.902215529071664*^9}, {3.902215597587637*^9, 
  3.9022156085710783`*^9}, {3.902218217106031*^9, 3.902218282928528*^9}, {
  3.9022190069355173`*^9, 3.902219010635888*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"e4d25fc4-2a63-46a5-b005-469e95814a62"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Print", "[", 
  RowBox[{"\"\<CVV=\>\"", ",", 
   RowBox[{"CoeffsEFTb", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.902215559208001*^9, 3.902215579475671*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"19578b74-a308-47ae-b62e-51015de2bbe4"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"CVV=\"\>", "\[InvisibleSpace]", 
    RowBox[{
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", 
       SuperscriptBox["gs", "2"], " ", 
       SuperscriptBox["MT", "2"], " ", 
       SuperscriptBox["yDM", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["mChi", "6"]}], "+", 
         RowBox[{"3", " ", 
          SuperscriptBox["mST", "2"], " ", 
          SuperscriptBox["mChi", "4"]}], "+", 
         RowBox[{"12", " ", 
          SuperscriptBox["mST", "2"], " ", 
          RowBox[{"log", "(", 
           FractionBox["mST", "mChi"], ")"}], " ", 
          SuperscriptBox["mChi", "4"]}], "-", 
         RowBox[{"6", " ", 
          SuperscriptBox["mST", "4"], " ", 
          SuperscriptBox["mChi", "2"]}], "+", 
         SuperscriptBox["mST", "6"]}], ")"}]}], 
      RowBox[{"96", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mChi", "2"], "-", 
          SuperscriptBox["mST", "2"]}], ")"}], "4"], " ", 
       SuperscriptBox["\[Pi]", "2"]}]], "-", 
     RowBox[{"\[ImaginaryI]", " ", 
      SuperscriptBox["gs", "2"]}]}]}],
   SequenceForm["CVV=", Complex[0, -1] $CellContext`gs^2 + Complex[0, 
       Rational[
       1, 96]] $CellContext`gs^2 ($CellContext`mChi^2 - \
$CellContext`mST^2)^(-4) FeynCalc`MT^2 
     Pi^(-2) $CellContext`yDM^2 (2 $CellContext`mChi^6 + 
      3 $CellContext`mChi^4 $CellContext`mST^2 - 
      6 $CellContext`mChi^2 $CellContext`mST^4 + $CellContext`mST^6 + 
      12 $CellContext`mChi^4 $CellContext`mST^2 
       Log[$CellContext`mChi^(-1) $CellContext`mST])],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.90221558074409*^9, 3.902218292623951*^9, 
  3.902219018937495*^9, 3.902219116675922*^9, 3.902223993775298*^9, 
  3.902233481360375*^9, 3.902233518025114*^9, 3.909647685893649*^9},
 CellLabel->
  "During evaluation of \
In[44]:=",ExpressionUUID->"0ff453ba-3685-47cd-8b25-86801a34c450"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Print", "[", 
  RowBox[{"\"\<CVR=\>\"", ",", 
   RowBox[{"CoeffsEFTb", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.902215585485731*^9, 3.902215739275914*^9}, {
  3.9022157720028887`*^9, 3.902215780294362*^9}, {3.902215911050269*^9, 
  3.902215925493692*^9}, {3.902216029625661*^9, 3.9022160356607437`*^9}, {
  3.902218303133597*^9, 3.90221830733954*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"eb5a954b-6d12-45e7-a2d2-63ae8f1ed8e2"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"CVR=\"\>", "\[InvisibleSpace]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["gs", "2"], " ", "s", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"12", " ", 
           RowBox[{"log", "(", 
            FractionBox["mChi", "mST"], ")"}], " ", 
           SuperscriptBox["mChi", "6"]}], "-", 
          RowBox[{"11", " ", 
           SuperscriptBox["mChi", "6"]}], "+", 
          RowBox[{"18", " ", 
           SuperscriptBox["mST", "2"], " ", 
           SuperscriptBox["mChi", "4"]}], "-", 
          RowBox[{"9", " ", 
           SuperscriptBox["mST", "4"], " ", 
           SuperscriptBox["mChi", "2"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["mST", "6"]}]}], ")"}], " ", 
        SuperscriptBox["yDM", "2"]}], 
       RowBox[{"576", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["mChi", "2"], "-", 
           SuperscriptBox["mST", "2"]}], ")"}], "4"], " ", 
        SuperscriptBox["\[Pi]", "2"]}]]}], "-", 
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", 
       SuperscriptBox["gs", "2"], " ", 
       SuperscriptBox["yDM", "2"]}], 
      RowBox[{"32", " ", 
       TagBox["\[CurlyEpsilon]",
        TraditionalForm], " ", 
       SuperscriptBox["\[Pi]", "2"]}]]}]}],
   SequenceForm["CVR=", Complex[0, 
       Rational[-1, 32]] FeynCalc`Epsilon^(-1) $CellContext`gs^2 
     Pi^(-2) $CellContext`yDM^2 + Complex[0, 
       Rational[-1, 
        576]] $CellContext`gs^2 ($CellContext`mChi^2 - \
$CellContext`mST^2)^(-4) 
     Pi^(-2) $CellContext`s $CellContext`yDM^2 ((-11) $CellContext`mChi^6 + 
      18 $CellContext`mChi^4 $CellContext`mST^2 - 
      9 $CellContext`mChi^2 $CellContext`mST^4 + 2 $CellContext`mST^6 + 
      12 $CellContext`mChi^6 Log[$CellContext`mChi/$CellContext`mST])],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902215588175707*^9, {3.902215629621173*^9, 3.902215682913965*^9}, {
   3.902215724706252*^9, 3.902215740453518*^9}, {3.902215919531167*^9, 
   3.902215926574389*^9}, 3.902216036469719*^9, 3.9022182938845987`*^9, 
   3.902219020158807*^9, 3.902219118157393*^9, 3.902223993787984*^9, 
   3.902233481370503*^9, 3.902233519358738*^9, 3.909647685949905*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"58b3be6d-1b74-43f4-bdd5-edfec4908030"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Print", "[", 
  RowBox[{"\"\<CP1=\>\"", ",", 
   RowBox[{"CoeffsEFTb", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.902219163953472*^9, 3.902219166913747*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"6b428ed8-d864-4f2c-9e58-adb1800bc047"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"CP1=\"\>", "\[InvisibleSpace]", 
    RowBox[{"-", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[ImaginaryI]", " ", 
         SuperscriptBox["gs", "2"], " ", "MT", " ", 
         SuperscriptBox["yDM", "2"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["mChi", "6"]}], "+", 
           RowBox[{"3", " ", 
            SuperscriptBox["mST", "2"], " ", 
            SuperscriptBox["mChi", "4"]}], "-", 
           RowBox[{"12", " ", 
            SuperscriptBox["mST", "2"], " ", 
            RowBox[{"log", "(", 
             FractionBox["mChi", "mST"], ")"}], " ", 
            SuperscriptBox["mChi", "4"]}], "-", 
           RowBox[{"6", " ", 
            SuperscriptBox["mST", "4"], " ", 
            SuperscriptBox["mChi", "2"]}], "+", 
           SuperscriptBox["mST", "6"]}], ")"}]}], ")"}], "/", 
       RowBox[{"(", 
        RowBox[{"192", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["mChi", "2"], "-", 
            SuperscriptBox["mST", "2"]}], ")"}], "4"], " ", 
         SuperscriptBox["\[Pi]", "2"]}], ")"}]}], ")"}]}]}],
   SequenceForm["CP1=", (((((Complex[0, 
           
           Rational[-1, 
            192]] $CellContext`gs^2) ($CellContext`mChi^2 - \
$CellContext`mST^2)^(-4)) FeynCalc`MT) Pi^(-2)) $CellContext`yDM^2) (
     2 $CellContext`mChi^6 + (3 $CellContext`mChi^4) $CellContext`mST^2 - (
      6 $CellContext`mChi^2) $CellContext`mST^4 + $CellContext`mST^6 - ((
       12 $CellContext`mChi^4) $CellContext`mST^2) 
     Log[$CellContext`mChi/$CellContext`mST])],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.902219167473406*^9, 3.902223993803162*^9, 
  3.902233481381267*^9, 3.902233520140984*^9, 3.909647686004003*^9},
 CellLabel->
  "During evaluation of \
In[46]:=",ExpressionUUID->"7fce0e2b-8a5b-410b-a3a6-d215d408eeac"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Print", "[", 
  RowBox[{"\"\<CP2=\>\"", ",", 
   RowBox[{"CoeffsEFTb", "[", 
    RowBox[{"[", "4", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.902219233895933*^9, 3.9022192359349403`*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"51d5e6ba-ae7d-498e-9828-dc5b0b69d7b1"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"CP2=\"\>", "\[InvisibleSpace]", 
    FractionBox[
     RowBox[{"\[ImaginaryI]", " ", 
      SuperscriptBox["gs", "2"], " ", "MT", " ", 
      SuperscriptBox["yDM", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["mChi", "6"]}], "+", 
        RowBox[{"3", " ", 
         SuperscriptBox["mST", "2"], " ", 
         SuperscriptBox["mChi", "4"]}], "-", 
        RowBox[{"12", " ", 
         SuperscriptBox["mST", "2"], " ", 
         RowBox[{"log", "(", 
          FractionBox["mChi", "mST"], ")"}], " ", 
         SuperscriptBox["mChi", "4"]}], "-", 
        RowBox[{"6", " ", 
         SuperscriptBox["mST", "4"], " ", 
         SuperscriptBox["mChi", "2"]}], "+", 
        SuperscriptBox["mST", "6"]}], ")"}]}], 
     RowBox[{"192", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["mChi", "2"], "-", 
         SuperscriptBox["mST", "2"]}], ")"}], "4"], " ", 
      SuperscriptBox["\[Pi]", "2"]}]]}],
   SequenceForm["CP2=", Complex[0, 
      Rational[
      1, 192]] $CellContext`gs^2 ($CellContext`mChi^2 - \
$CellContext`mST^2)^(-4) FeynCalc`MT 
    Pi^(-2) $CellContext`yDM^2 (2 $CellContext`mChi^6 + 
     3 $CellContext`mChi^4 $CellContext`mST^2 - 
     6 $CellContext`mChi^2 $CellContext`mST^4 + $CellContext`mST^6 - 
     12 $CellContext`mChi^4 $CellContext`mST^2 
     Log[$CellContext`mChi/$CellContext`mST])],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.902219236422703*^9, 3.9022239938157578`*^9, 
  3.902233481391563*^9, 3.9022335208612957`*^9, 3.909647686058833*^9},
 CellLabel->
  "During evaluation of \
In[47]:=",ExpressionUUID->"3982b027-c144-44e4-a23a-cf611d31a32f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Print", "[", 
  RowBox[{"\"\<amp=\>\"", ",", 
   RowBox[{"Simplify", "[", 
    RowBox[{"factor", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"sps", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ".", 
         RowBox[{"moms", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ".", 
         RowBox[{"sps", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], " ", 
        RowBox[{
         RowBox[{"sps", "[", 
          RowBox[{"[", "3", "]"}], "]"}], ".", 
         RowBox[{"moms", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ".", 
         RowBox[{"sps", "[", 
          RowBox[{"[", "4", "]"}], "]"}]}], " ", 
        SubscriptBox["C", "VV"]}], " ", "+", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"sps", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ".", 
         RowBox[{"moms", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ".", 
         RowBox[{"sps", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], " ", 
        RowBox[{
         RowBox[{"sps", "[", 
          RowBox[{"[", "3", "]"}], "]"}], ".", 
         RowBox[{"moms", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ".", 
         RowBox[{"DiracGamma", "[", "6", "]"}], ".", 
         RowBox[{"sps", "[", 
          RowBox[{"[", "4", "]"}], "]"}]}], " ", 
        SubscriptBox["C", "VR"]}], " ", "+", " ", 
       RowBox[{
        RowBox[{
         RowBox[{"sps", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ".", 
         RowBox[{"moms", "[", 
          RowBox[{"[", "3", "]"}], "]"}], ".", 
         RowBox[{"sps", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], " ", 
        RowBox[{
         RowBox[{"sps", "[", 
          RowBox[{"[", "3", "]"}], "]"}], ".", 
         RowBox[{"sps", "[", 
          RowBox[{"[", "4", "]"}], "]"}]}], " ", 
        SubscriptBox["C", "P1"]}], " ", "+", 
       RowBox[{
        RowBox[{
         RowBox[{"sps", "[", 
          RowBox[{"[", "2", "]"}], "]"}], ".", 
         RowBox[{"moms", "[", 
          RowBox[{"[", "4", "]"}], "]"}], ".", 
         RowBox[{"sps", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], " ", 
        RowBox[{
         RowBox[{"sps", "[", 
          RowBox[{"[", "3", "]"}], "]"}], ".", 
         RowBox[{"sps", "[", 
          RowBox[{"[", "4", "]"}], "]"}]}], " ", 
        SubscriptBox["C", "P2"]}]}], ")"}]}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9022192642894487`*^9, 3.902219409648901*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"bd282ae1-2140-4b09-a8ee-1b02dd710645"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"amp=\"\>", "\[InvisibleSpace]", 
    FormBox[
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["p2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\",\"\>",
              TraditionalForm], 
             FormBox["MT",
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 RowBox[{"-", 
                  FormBox["k2",
                   TraditionalForm]}],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]", "\[CenterDot]", 
                FormBox[
                 FormBox["p1",
                  TraditionalForm],
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 FormBox["k1",
                  TraditionalForm],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}]}], " ", 
             SubscriptBox["C", "P1"]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 RowBox[{"-", 
                  FormBox["k2",
                   TraditionalForm]}],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]", "\[CenterDot]", 
                FormBox[
                 FormBox["p2",
                  TraditionalForm],
                 TraditionalForm]}], ")"}], ".", 
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 FormBox["k1",
                  TraditionalForm],
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}]}], " ", 
             SubscriptBox["C", "P2"]}]}], ")"}]}], "+", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              RowBox[{"-", 
               FormBox["k2",
                TraditionalForm]}],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox["\[Gamma]", 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], ".", 
           RowBox[{"(", 
            RowBox[{
             FormBox["\<\"\[CurlyPhi]\"\>",
              TraditionalForm], 
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["k1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], ")"}]}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 FormBox["p1",
                  TraditionalForm],
                 TraditionalForm], 
                FormBox["\<\",\"\>",
                 TraditionalForm], 
                FormBox["MT",
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}], ".", 
              SuperscriptBox["\[Gamma]", 
               FormBox[
                FormBox["\[Mu]",
                 TraditionalForm],
                TraditionalForm]], ".", 
              SuperscriptBox[
               OverscriptBox["\[Gamma]", "_"], 
               FormBox["6",
                TraditionalForm]], ".", 
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 RowBox[{"-", 
                  FormBox["p2",
                   TraditionalForm]}],
                 TraditionalForm], 
                FormBox["\<\",\"\>",
                 TraditionalForm], 
                FormBox["MT",
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}]}], " ", 
             SubscriptBox["C", "VR"]}], "+", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 FormBox["p1",
                  TraditionalForm],
                 TraditionalForm], 
                FormBox["\<\",\"\>",
                 TraditionalForm], 
                FormBox["MT",
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}], ".", 
              SuperscriptBox["\[Gamma]", 
               FormBox[
                FormBox["\[Mu]",
                 TraditionalForm],
                TraditionalForm]], ".", 
              RowBox[{"(", 
               RowBox[{
                FormBox["\<\"\[CurlyPhi]\"\>",
                 TraditionalForm], 
                FormBox["\<\"(\"\>",
                 TraditionalForm], 
                FormBox[
                 RowBox[{"-", 
                  FormBox["p2",
                   TraditionalForm]}],
                 TraditionalForm], 
                FormBox["\<\",\"\>",
                 TraditionalForm], 
                FormBox["MT",
                 TraditionalForm], 
                FormBox["\<\")\"\>",
                 TraditionalForm]}], ")"}]}], " ", 
             SubscriptBox["C", "VV"]}]}], ")"}]}]}], ")"}], " ", 
       SubsuperscriptBox["T", 
        RowBox[{
         FormBox[
          FormBox["Col2",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["Col1",
           TraditionalForm],
          TraditionalForm]}], 
        FormBox[
         FormBox["Glu5",
          TraditionalForm],
         TraditionalForm]], " ", 
       SubsuperscriptBox["T", 
        RowBox[{
         FormBox[
          FormBox["Col3",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["Col4",
           TraditionalForm],
          TraditionalForm]}], 
        FormBox[
         FormBox["Glu5",
          TraditionalForm],
         TraditionalForm]]}], 
      InterpretationBox[
       SuperscriptBox[
        RowBox[{
         FormBox["\<\"(\"\>",
          TraditionalForm], 
         FormBox[
          FormBox[
           RowBox[{
            FormBox["p1",
             TraditionalForm], "+", 
            FormBox["p2",
             TraditionalForm]}],
           TraditionalForm],
          TraditionalForm], 
         FormBox["\<\")\"\>",
          TraditionalForm]}], "2"],
       SequenceForm[
        FeynCalc`Pair[
        FeynCalc`Momentum[$CellContext`p1, D] + 
         FeynCalc`Momentum[$CellContext`p2, D], 
         FeynCalc`Momentum[$CellContext`p1, D] + 
         FeynCalc`Momentum[$CellContext`p2, D]]],
       Editable->False]],
     TraditionalForm]}],
   SequenceForm["amp=", FeynCalc`FeynAmpDenominator[
      FeynCalc`PropagatorDenominator[
      FeynCalc`Momentum[$CellContext`p1, D] + 
       FeynCalc`Momentum[$CellContext`p2, D], 0]] (Dot[
        FeynCalc`Spinor[
         FeynCalc`Momentum[$CellContext`p1, D], FeynCalc`MT, 1], 
        FeynCalc`Spinor[-FeynCalc`Momentum[$CellContext`p2, D], FeynCalc`MT, 
         1]] (Dot[
          FeynCalc`Spinor[-FeynCalc`Momentum[$CellContext`k2, D], 0, 1], 
          FeynCalc`DiracGamma[
           FeynCalc`Momentum[$CellContext`p1, D], D], 
          FeynCalc`Spinor[
           FeynCalc`Momentum[$CellContext`k1, D], 0, 1]] 
        Subscript[C, $CellContext`P1] + Dot[
          FeynCalc`Spinor[-FeynCalc`Momentum[$CellContext`k2, D], 0, 1], 
          FeynCalc`DiracGamma[
           FeynCalc`Momentum[$CellContext`p2, D], D], 
          FeynCalc`Spinor[
           FeynCalc`Momentum[$CellContext`k1, D], 0, 1]] 
        Subscript[C, $CellContext`P2]) + Dot[
        FeynCalc`Spinor[-FeynCalc`Momentum[$CellContext`k2, D], 0, 1], 
        FeynCalc`DiracGamma[
         FeynCalc`LorentzIndex[$CellContext`\[Mu], D], D], 
        FeynCalc`Spinor[
         FeynCalc`Momentum[$CellContext`k1, D], 0, 1]] (Dot[
          FeynCalc`Spinor[
           FeynCalc`Momentum[$CellContext`p1, D], FeynCalc`MT, 1], 
          FeynCalc`DiracGamma[
           FeynCalc`LorentzIndex[$CellContext`\[Mu], D], D], 
          FeynCalc`DiracGamma[6], 
          
          FeynCalc`Spinor[-FeynCalc`Momentum[$CellContext`p2, D], FeynCalc`MT,
            1]] Subscript[C, $CellContext`VR] + Dot[
          FeynCalc`Spinor[
           FeynCalc`Momentum[$CellContext`p1, D], FeynCalc`MT, 1], 
          FeynCalc`DiracGamma[
           FeynCalc`LorentzIndex[$CellContext`\[Mu], D], D], 
          
          FeynCalc`Spinor[-FeynCalc`Momentum[$CellContext`p2, D], FeynCalc`MT,
            1]] Subscript[C, $CellContext`VV])) FeynCalc`SUNTF[{
       FeynCalc`SUNIndex[$CellContext`Glu5]}, 
      FeynCalc`SUNFIndex[$CellContext`Col2], 
      FeynCalc`SUNFIndex[$CellContext`Col1]] FeynCalc`SUNTF[{
       FeynCalc`SUNIndex[$CellContext`Glu5]}, 
      FeynCalc`SUNFIndex[$CellContext`Col3], 
      FeynCalc`SUNFIndex[$CellContext`Col4]]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.902219386923884*^9, 3.902219410310039*^9}, 
   3.9022239938297443`*^9, 3.902233481402938*^9, 3.902233524510051*^9, 
   3.909647686116568*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"1e065eba-2b9e-4bb3-81cc-79021cd3a29e"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{931.5, 747.75},
WindowMargins->{{46.5, Automatic}, {Automatic, -64.5}},
TaggingRules->{
 "WelcomeScreenSettings" -> {"FEStarting" -> False}, "TryRealOnly" -> False},
Magnification:>1.2 Inherited,
FrontEndVersion->"12.1 for Linux x86 (64-bit) (March 18, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"d726e609-67b6-4a40-8ac5-c1fab07b1dac"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 201, 3, 35, "Input",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],
Cell[CellGroupData[{
Cell[784, 27, 630, 12, 60, "Input",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],
Cell[CellGroupData[{
Cell[1439, 43, 3055, 76, 35, "Print",ExpressionUUID->"38b1040c-e799-4871-9ca1-e5af20b3244d"],
Cell[4497, 121, 1805, 39, 35, "Print",ExpressionUUID->"a965dbf4-5503-42cc-8078-6928bb9e32ce"],
Cell[6305, 162, 1811, 42, 35, "Print",ExpressionUUID->"43334793-268d-4838-84d7-d014d54b52cf"],
Cell[8119, 206, 961, 17, 32, "Print",ExpressionUUID->"ebb6940f-fdfc-4147-888e-e1b2982291bc"],
Cell[9083, 225, 962, 17, 32, "Print",ExpressionUUID->"9534e15c-0e8e-4d05-b3f1-11ee23e22bea"],
Cell[10048, 244, 949, 17, 32, "Print",ExpressionUUID->"2e580730-7285-4b70-a5eb-eeb4769ebe9b"],
Cell[11000, 263, 2609, 66, 35, "Print",ExpressionUUID->"9a358d69-d6ad-431e-9770-6995f63b19e9"],
Cell[13612, 331, 898, 16, 32, "Print",ExpressionUUID->"a0610093-7d3d-4920-b1da-fe27d2c1e468"],
Cell[14513, 349, 934, 17, 32, "Print",ExpressionUUID->"a189fc21-b75e-4235-9d44-482eb3e0309b"],
Cell[15450, 368, 1908, 46, 35, "Print",ExpressionUUID->"f08707a4-f4ef-4135-87fb-031af6889450"],
Cell[17361, 416, 1833, 42, 35, "Print",ExpressionUUID->"cb452db0-bcf2-4fba-8b5d-eef3e2a45e6a"],
Cell[19197, 460, 1001, 18, 32, "Print",ExpressionUUID->"4ca8f1d7-52d8-4fb1-9970-19e05c6d7213"],
Cell[20201, 480, 956, 17, 32, "Print",ExpressionUUID->"57ebf309-80b4-41f3-96b4-0050f9284a1f"],
Cell[21160, 499, 1662, 39, 35, "Print",ExpressionUUID->"7e97f26f-7022-4981-94ed-c8dbabbdccf3"],
Cell[22825, 540, 1679, 39, 35, "Print",ExpressionUUID->"92a7458e-06ea-42c8-a78c-d8b891a9373b"]
}, Open  ]]
}, Open  ]],
Cell[24531, 583, 267, 5, 35, "Input",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],
Cell[24801, 590, 2619, 55, 182, "Input",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],
Cell[CellGroupData[{
Cell[27445, 649, 278, 4, 80, "Section",ExpressionUUID->"ef4b8bcd-035e-426e-b53d-5b41ce129840"],
Cell[CellGroupData[{
Cell[27748, 657, 3448, 82, 206, "Input",ExpressionUUID->"43ad331d-9cbd-485d-8a8d-694b987bd8b5"],
Cell[CellGroupData[{
Cell[31221, 743, 684, 15, 27, "Print",ExpressionUUID->"6786bea4-f732-4845-a201-d3d962e5ef48"],
Cell[31908, 760, 746, 16, 27, "Print",ExpressionUUID->"5ea27da8-2f5a-42b2-8db2-e1a5361e792d"],
Cell[32657, 778, 615, 14, 26, "Print",ExpressionUUID->"6559e0d0-af70-491c-8090-bc0e427d4d82"],
Cell[33275, 794, 14398, 312, 189, "Print",ExpressionUUID->"1dd7ccc8-04b7-4edd-bc90-ce9553a4bbb6"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[47722, 1112, 2592, 52, 113, "Input",ExpressionUUID->"5a52141a-7dc9-4e9b-bc39-5d5191cafd6e"],
Cell[50317, 1166, 489, 11, 27, "Print",ExpressionUUID->"867c1219-4f91-4960-8a19-f916a94e458a"],
Cell[50809, 1179, 13454, 409, 117, "Output",ExpressionUUID->"4a3a9bcd-4ea6-40ec-92e0-390d8b6f1d3b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64300, 1593, 1092, 23, 35, "Input",ExpressionUUID->"06a8e269-5cb2-4b62-a697-d170ac6d7257"],
Cell[65395, 1618, 36501, 1131, 233, "Output",ExpressionUUID->"5c76e9f2-cab1-4126-92bc-77fbed88d09d"]
}, Open  ]],
Cell[101911, 2752, 823, 23, 84, "Input",ExpressionUUID->"be537806-ba78-4882-a92a-376368ad52f4"],
Cell[CellGroupData[{
Cell[102759, 2779, 261, 5, 35, "Input",ExpressionUUID->"a96c075d-db7f-4cb5-bfa2-56099c2193d8"],
Cell[103023, 2786, 7322, 258, 65, "Output",ExpressionUUID->"44157460-7ff7-4890-8d3c-cd25213f76b8"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[110394, 3050, 162, 3, 80, "Section",ExpressionUUID->"09fb4b55-7b70-4dac-82b4-c7fc8897b1d3"],
Cell[110559, 3055, 752, 21, 109, "Input",ExpressionUUID->"d6ba5645-c492-4a00-81d6-119e98e6630d"],
Cell[111314, 3078, 1789, 46, 109, "Input",ExpressionUUID->"a606cebc-41ed-4541-abed-b3b4216bb162"],
Cell[CellGroupData[{
Cell[113128, 3128, 1126, 26, 109, "Input",ExpressionUUID->"2b4c802d-a196-4228-9c3e-c969993a3d7f"],
Cell[114257, 3156, 16017, 486, 136, "Output",ExpressionUUID->"942b62b7-7960-4e91-a4c6-07739a0777ee"]
}, Open  ]],
Cell[CellGroupData[{
Cell[130311, 3647, 437, 10, 35, "Input",ExpressionUUID->"72121408-75f1-4dd7-9c86-e15fa94fc027"],
Cell[130751, 3659, 15630, 474, 134, "Output",ExpressionUUID->"f850c752-c994-4f9f-9e70-d7f501bebd51"]
}, Open  ]],
Cell[CellGroupData[{
Cell[146418, 4138, 395, 8, 60, "Input",ExpressionUUID->"ad8fe673-0499-4082-ba6e-5ecbb4eeb7a5"],
Cell[146816, 4148, 1776, 63, 38, "Output",ExpressionUUID->"c967ef29-0af4-432a-870c-15579d7c9b7d"],
Cell[148595, 4213, 966, 28, 41, "Output",ExpressionUUID->"bbcb5609-5f9a-4ac6-a529-41e0c28d8651"]
}, Open  ]],
Cell[CellGroupData[{
Cell[149598, 4246, 2106, 63, 60, "Input",ExpressionUUID->"fbcdcefe-1971-42eb-ac43-3f737a98f6f6"],
Cell[151707, 4311, 11261, 364, 112, "Output",ExpressionUUID->"4e25d3b9-0d20-467a-8588-2ff8bc84bc87"]
}, Open  ]],
Cell[CellGroupData[{
Cell[163005, 4680, 790, 18, 35, "Input",ExpressionUUID->"ef411943-8bbd-48a8-9144-50d5f2df0514"],
Cell[163798, 4700, 9346, 297, 112, "Output",ExpressionUUID->"08c5367e-45b6-4462-bac5-87a2118f15af"]
}, Open  ]],
Cell[CellGroupData[{
Cell[173181, 5002, 2066, 51, 60, "Input",ExpressionUUID->"5349b2db-f003-4e54-a2ff-d4bd28eb5614"],
Cell[175250, 5055, 14955, 501, 234, "Output",ExpressionUUID->"575210cf-00eb-4d94-8a6a-04bc15df0abd"]
}, Open  ]],
Cell[CellGroupData[{
Cell[190242, 5561, 176, 3, 64, "Subsection",ExpressionUUID->"130c3f92-52d7-4153-aa44-54f806159158"],
Cell[CellGroupData[{
Cell[190443, 5568, 3536, 101, 182, "Input",ExpressionUUID->"613e70cb-3abb-4119-ad12-1437e72040ee"],
Cell[193982, 5671, 672, 15, 41, "Output",ExpressionUUID->"91db4b4a-6e12-497a-9913-61a5a988db76"],
Cell[194657, 5688, 668, 14, 40, "Output",ExpressionUUID->"81c7b852-2112-45e9-8504-97830190f236"],
Cell[195328, 5704, 658, 14, 40, "Output",ExpressionUUID->"dbaa3afa-17c6-47d2-bd25-da643bdb8b65"],
Cell[195989, 5720, 640, 13, 40, "Output",ExpressionUUID->"5b6ff64f-5fdf-4405-90da-5b2e456ffc5f"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[196690, 5740, 154, 3, 80, "Section",ExpressionUUID->"ca6b865b-6849-4294-b550-81e2470bb0af"],
Cell[196847, 5745, 10449, 284, 696, "Input",ExpressionUUID->"1ddbffa7-e11c-4c31-8927-e7ed35009de5"],
Cell[207299, 6031, 1426, 36, 84, "Input",ExpressionUUID->"5e422017-7780-4de4-989c-1a84cd82cfc9"],
Cell[208728, 6069, 1190, 30, 60, "Input",ExpressionUUID->"e4d25fc4-2a63-46a5-b005-469e95814a62"],
Cell[CellGroupData[{
Cell[209943, 6103, 300, 6, 35, "Input",ExpressionUUID->"19578b74-a308-47ae-b62e-51015de2bbe4"],
Cell[210246, 6111, 2023, 50, 45, "Print",ExpressionUUID->"0ff453ba-3685-47cd-8b25-86801a34c450"]
}, Open  ]],
Cell[CellGroupData[{
Cell[212306, 6166, 496, 9, 35, "Input",ExpressionUUID->"eb5a954b-6d12-45e7-a2d2-63ae8f1ed8e2"],
Cell[212805, 6177, 2456, 60, 49, "Print",ExpressionUUID->"58b3be6d-1b74-43f4-bdd5-edfec4908030"]
}, Open  ]],
Cell[CellGroupData[{
Cell[215298, 6242, 300, 6, 35, "Input",ExpressionUUID->"6b428ed8-d864-4f2c-9e58-adb1800bc047"],
Cell[215601, 6250, 1983, 49, 46, "Print",ExpressionUUID->"7fce0e2b-8a5b-410b-a3a6-d215d408eeac"]
}, Open  ]],
Cell[CellGroupData[{
Cell[217621, 6304, 302, 6, 35, "Input",ExpressionUUID->"51d5e6ba-ae7d-498e-9828-dc5b0b69d7b1"],
Cell[217926, 6312, 1763, 45, 46, "Print",ExpressionUUID->"3982b027-c144-44e4-a23a-cf611d31a32f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[219726, 6362, 2519, 69, 133, "Input",ExpressionUUID->"bd282ae1-2140-4b09-a8ee-1b02dd710645"],
Cell[222248, 6433, 11750, 338, 76, "Print",ExpressionUUID->"1e065eba-2b9e-4bb3-81cc-79021cd3a29e"]
}, Open  ]]
}, Open  ]]
}
]
*)

