(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    183007,       3860]
NotebookOptionsPosition[    178810,       3786]
NotebookOutlinePosition[    179325,       3805]
CellTagsIndexPosition[    179282,       3802]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8890168084279547`*^9, 3.8890168092899714`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$LoadAddOns", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<FeynArts\>\"", ",", "\"\<FeynHelpers\>\""}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<FeynCalc`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.8890168234903173`*^9, 3.889016854234688*^9}, {
  3.889017044991746*^9, 3.889017045165141*^9}, {3.889017781387946*^9, 
  3.889017814440536*^9}, {3.88901786533222*^9, 3.889017866119855*^9}, {
  3.889025236954578*^9, 3.889025237167118*^9}, {3.8895928715731487`*^9, 
  3.8895928871625967`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynCalc \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"9.3.1 (stable version). For help, use the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"documentation", " ", "center"}],
       BaseStyle->"Link",
       ButtonData:>"paclet:FeynCalc/",
       ButtonNote->"paclet:FeynCalc/"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\", check out the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["wiki",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/wiki"], None},
       ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" or visit the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"forum", "."}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/discussions"], None},
       ButtonNote->"http://www.feyncalc.org/forum/"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynCalc ", "Text", Bold], 
    Style["9.3.1 (stable version). For help, use the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "documentation center", BaseStyle -> "Link", ButtonData :> 
       "paclet:FeynCalc/", ButtonNote -> "paclet:FeynCalc/"]], "Text"], 
    Style[", check out the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["wiki", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/wiki"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> 
       "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
    Style[" or visit the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["forum.", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/discussions"], None}, 
       BaseStyle -> "Hyperlink", ButtonNote -> 
       "http://www.feyncalc.org/forum/"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.91043541213271*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d8a49610-40ac-482d-83f9-3c427fd3dbbc"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"To save your and our time, please check our \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["FAQ",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None},
       ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" for answers to some common FeynCalc questions.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["To save your and our time, please check our ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["FAQ", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None}, 
       BaseStyle -> "Hyperlink", ButtonNote -> 
       "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
    Style[" for answers to some common FeynCalc questions.", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.9104354121343327`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"fb9ac540-792f-42ff-af82-7be284b03247"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"See also the supplied \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"examples", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" If you use FeynCalc in your research, please cite\"\>", 
     "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["See also the supplied ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]], Evaluator -> 
       Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" If you use FeynCalc in your research, please cite", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.910435412134933*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"bc5710c0-a3ff-4f19-9f06-43f58e773129"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 256 (2020) 107478, arXiv:2001.04407.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.910435412135414*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"335f378f-0d4f-49d6-8ca5-18a00fbb409a"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 207 (2016) 432-444, arXiv:1601.01167.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.9104354121360283`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ab6b747e-b03a-47ae-8cec-879300f03df5"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] R. Mertig, M. B\[ODoubleDot]hm, and A. Denner, \
Comput. Phys. Commun. 64 (1991) 345-359.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.910435412136438*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"549ba49a-5aad-4a22-ab70-550c4ce47d0d"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynArts \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"3.11 (25 Mar 2022) patched for use with FeynCalc, for \
documentation see the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["manual",
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         First[
          FileNames[{"*.pdf", "*.PDF"}, 
           FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" or visit \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"www", ".", "feynarts", ".", "de", "."}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["http://www.feynarts.de/"], None},
       ButtonNote->"www.feynarts.de/"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynArts ", "Text", Bold], 
    Style[
    "3.11 (25 Mar 2022) patched for use with FeynCalc, for documentation see \
the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "manual", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         First[
          FileNames[{"*.pdf", "*.PDF"}, 
           FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]], 
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" or visit ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["www.feynarts.de.", ButtonData :> {
         URL["http://www.feynarts.de/"], None}, BaseStyle -> "Hyperlink", 
       ButtonNote -> "www.feynarts.de/"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.9104354121895037`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f1eb65e0-a8f9-433a-bfdc-190442e10a93"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\"If you use FeynArts in your research, please cite\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.9104354121910973`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"2616c2b6-a7c3-4961-93f2-ac39f95f3ac9"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] T. Hahn, Comput. Phys. Commun., 140, 418-431, \
2001, arXiv:hep-ph/0012260\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.910435412192156*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"6330fcf4-540c-4d0a-b322-a1830f75501d"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynHelpers \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"1.3.0, for more information see the accompanying \"\>", 
     "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"publication", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{
          FeynCalc`$FeynHelpersDirectory, "Documentation", "1611.06793.pdf"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynHelpers ", "Text", Bold], 
    Style["1.3.0, for more information see the accompanying ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "publication.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{
          FeynCalc`$FeynHelpersDirectory, "Documentation", 
           "1611.06793.pdf"}]], Evaluator -> Automatic, Method -> 
       "Preemptive"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.910435412206669*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"095b1b16-172c-45d6-a1ce-5a33e151b671"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"Have a look at the supplied \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"examples", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" If you use FeynHelpers in your research, please cite\"\>", 
     "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["Have a look at the supplied ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]], 
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" If you use FeynHelpers in your research, please cite", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.9104354122092524`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5324a989-994c-40be-a092-993c2cf75eaf"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, \\\"FeynHelpers: Connecting \
FeynCalc to FIRE and Package-X\\\", Comput. Phys. Commun., 218, 48-65, 2017, \
arXiv:1611.06793\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.9104354122102213`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"1e4bff01-af58-4552-a411-e8419a71b6f7"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\"Furthermore, remember to cite the authors of the tools that \
you are calling from FeynHelpers, which are\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.9104354122107058`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e606aecd-958f-4f6e-8910-6a7b000d3ced"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["FIRE",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["http://science.sander.su/FIRE.htm"], None},
       ButtonNote->"http://science.sander.su/FIRE.htm"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" by A. Smirnov, if you are using the function \
FIREBurn.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style[" \[Bullet] "], 
    Style[
     DisplayForm[
      ButtonBox["FIRE", ButtonData :> {
         URL["http://science.sander.su/FIRE.htm"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> "http://science.sander.su/FIRE.htm"]], 
     "Text"], 
    Style[" by A. Smirnov, if you are using the function FIREBurn.", "Text"]],
   
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.9104354122112017`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7cf7d4e2-ed13-4329-ab21-34621f8b62f8"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"Package", "-", "X"}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://packagex.hepforge.org"], None},
       ButtonNote->"https://packagex.hepforge.org"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" by H. Patel, if you are using the function \
PaXEvaluate.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style[" \[Bullet] "], 
    Style[
     DisplayForm[
      ButtonBox["Package-X", ButtonData :> {
         URL["https://packagex.hepforge.org"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> "https://packagex.hepforge.org"]], "Text"], 
    
    Style[" by H. Patel, if you are using the function PaXEvaluate.", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{{3.889017861247794*^9, 3.889017871938953*^9}, 
   3.889017993934655*^9, 3.889018103108423*^9, 3.8890191056976833`*^9, 
   3.88902030670714*^9, 3.8890214200942917`*^9, 3.889022482614442*^9, 
   3.889022705676797*^9, 3.889022782159525*^9, 3.8890228443194523`*^9, {
   3.8890229911291933`*^9, 3.889023003737171*^9}, 3.8890236363602*^9, 
   3.889023849008665*^9, 3.889025243619277*^9, 3.8890258336256227`*^9, 
   3.889027143508149*^9, 3.889031455556114*^9, 3.8890792622090282`*^9, 
   3.889079475459269*^9, 3.889080321494851*^9, 3.889108718567472*^9, 
   3.889173961996624*^9, 3.889174881703936*^9, 3.889175665193019*^9, 
   3.8895448773889313`*^9, 3.889551662560741*^9, 3.889556176101289*^9, 
   3.8895573527300577`*^9, {3.889592865814334*^9, 3.8895928940387783`*^9}, 
   3.889594295146845*^9, 3.8895981547302437`*^9, 3.890038232505703*^9, 
   3.890038556725258*^9, 3.890199284583728*^9, 3.891413665607463*^9, 
   3.891419129397725*^9, 3.891421709670166*^9, 3.891421883645111*^9, 
   3.891422107212537*^9, 3.910423781295855*^9, 3.910423832064756*^9, 
   3.910423869672874*^9, 3.9104353706220827`*^9, 3.910435412211795*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e70cc56b-016c-4331-b919-5d39da8a58e3"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.889017308907774*^9, 3.889017320298298*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CKM", " ", "=", " ", "IndexDelta"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Neglect", "[", "ME", "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"Neglect", "[", "ME2", "]"}], " ", "=", " ", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$FAVerbose", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"use", " ", "generic", " ", "model", " ", "from", " ", 
    RowBox[{"FeynCalc", "!"}], " ", "The", " ", "SUNF", " ", "and", " ", 
    "SUNT", " ", "functions", " ", "in", " ", 
    RowBox[{"the", " ", ".", "mod"}], " ", "file", " ", "have", " ", "to", 
    " ", "be", " ", "replaced", " ", "by", " ", "FASUNF", " ", "and", " ", 
    "FASUNT"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"InsertFields", ",", " ", 
    RowBox[{
    "Model", " ", "->", "\"\<../../Models/SMS-stop-FA/SMS-stop-FA\>\""}], ",", 
    RowBox[{"ExcludeParticles", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"S", "[", "1", "]"}], "}"}]}], ",", 
    RowBox[{"InsertionLevel", "\[Rule]", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Paint", ",", " ", 
    RowBox[{"PaintLevel", " ", "->", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"CreateTopologies", ",", " ", 
    RowBox[{"ExcludeTopologies", " ", "->", " ", 
     RowBox[{"{", 
      RowBox[{
      "TadpoleCTs", ",", "Tadpoles", ",", " ", "WFCorrectionCTs", ",", 
       "WFCorrections", ",", "SelfEnergyCTs"}], "}"}]}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.889017005844899*^9, {3.88901704085599*^9, 3.889017041077664*^9}, 
   3.889017094676647*^9, {3.889017325834794*^9, 3.889017434303607*^9}, 
   3.889017536935258*^9, {3.889017664405981*^9, 3.8890176805032187`*^9}, 
   3.8890179884081173`*^9, {3.889018149086043*^9, 3.8890181730357113`*^9}, {
   3.889019077467082*^9, 3.889019120878731*^9}, {3.8890226845002737`*^9, 
   3.889022733473879*^9}, {3.8890227741904078`*^9, 3.8890228031699657`*^9}, {
   3.889022982319891*^9, 3.8890229985262537`*^9}, {3.8890236396691513`*^9, 
   3.889023639834773*^9}, {3.889025152091753*^9, 3.889025177352399*^9}, {
   3.889544917395384*^9, 3.8895449493334312`*^9}, {3.910423784523059*^9, 
   3.9104237856742992`*^9}, {3.910423816707395*^9, 3.910423817634842*^9}, {
   3.910423853299951*^9, 3.91042386385152*^9}, {3.91043538938726*^9, 
   3.91043539691623*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],

Cell[CellGroupData[{

Cell[BoxData["FR$ClassesTranslation"], "Input",
 CellChangeTimes->{{3.891413703198483*^9, 3.8914137050015087`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"6196d30e-f27c-4a53-a64e-04f250b0bea6"],

Cell[BoxData[
 FormBox["FR$ClassesTranslation", TraditionalForm]], "Output",
 CellChangeTimes->{3.891413705424107*^9, 3.91042379172094*^9, 
  3.910424655786728*^9, 3.910435371602725*^9, 3.9104354129253798`*^9},
 CellLabel->"Out[10]=",ExpressionUUID->"2af0e38c-1b73-41f3-9442-1ae459a956bd"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"tops", " ", "=", " ", 
   RowBox[{"CreateTopologies", "[", 
    RowBox[{"1", ",", " ", 
     RowBox[{"2", "\[Rule]", "2"}], ",", "  ", 
     RowBox[{"ExcludeTopologies", " ", "->", " ", 
      RowBox[{"{", 
       RowBox[{
       "TadpoleCTs", ",", "Tadpoles", ",", " ", "WFCorrectionCTs", ",", 
        "WFCorrections"}], "}"}]}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.891421897495969*^9, 3.891421897714283*^9}, {
  3.8914220001931257`*^9, 3.891422002283812*^9}, {3.910435358082995*^9, 
  3.910435360443206*^9}, {3.910435403667351*^9, 3.91043540382745*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"a30235b5-5b44-473c-b947-7b1084f2c4e6"],

Cell[CellGroupData[{

Cell["Quark initiated process", "Section",
 CellChangeTimes->{{3.910424609198619*^9, 
  3.910424635213694*^9}},ExpressionUUID->"05967d30-5daa-4ef8-b92a-\
7c713ab80e81"],

Cell[CellGroupData[{

Cell[TextData[{
 "Remove diagrams which are identically zero due to color conservation and \
only of order ",
 Cell[BoxData[
  FormBox[
   RowBox[{"yDM", " ", 
    SuperscriptBox["gs", "2"]}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "785502d7-8e9c-4356-9713-277734c4c467"]
}], "Subsection",
 CellChangeTimes->{{3.891419179657056*^9, 3.891419207788694*^9}, {
  3.9104244477027273`*^9, 3.910424451686304*^9}, {3.910424575774225*^9, 
  3.910424598758605*^9}},ExpressionUUID->"347b4308-b3b9-457d-866a-\
e4933a9f2b11"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"processQQTT", " ", "=", "  ", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"F", "[", "7", "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"F", "[", "7", "]"}]}]}], "}"}], " ", "->", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"F", "[", "9", "]"}], ",", " ", 
      RowBox[{"-", 
       RowBox[{"F", "[", "9", "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"allDiags", " ", "=", " ", 
    RowBox[{"InsertFields", "[", 
     RowBox[{"tops", ",", "processQQTT", ",", " ", 
      RowBox[{"InsertionLevel", "\[Rule]", " ", 
       RowBox[{"{", "Particles", "}"}]}], ",", 
      RowBox[{"ExcludeParticles", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"F", "[", "12", "]"}], ",", 
         RowBox[{"V", "[", "1", "]"}], ",", 
         RowBox[{"V", "[", "2", "]"}], ",", 
         RowBox[{"V", "[", "3", "]"}]}], "}"}]}], ",", 
      RowBox[{"LastSelections", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"S", "[", "4", "]"}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Set", " ", "Truncated"}], "\[Rule]", 
    RowBox[{
    "True", " ", "to", " ", "remove", " ", "external", " ", "fields"}]}], 
   "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amp", "=", 
   RowBox[{"FCFAConvert", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"CreateFeynAmp", "[", 
       RowBox[{"allDiags", ",", 
        RowBox[{"PreFactor", "\[Rule]", "1"}], ",", 
        RowBox[{"Truncated", "\[Rule]", "True"}]}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SUNT", "\[Rule]", "FASUNT"}], ",", " ", 
        RowBox[{"GS", "\[Rule]", " ", 
         SqrtBox[
          RowBox[{"4", " ", "Pi", " ", "aS"}]]}]}], "}"}]}], ",", 
     RowBox[{"IncomingMomenta", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"p1", ",", "p2"}], "}"}]}], ",", 
     RowBox[{"OutgoingMomenta", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"k1", ",", "k2"}], "}"}]}], ",", 
     RowBox[{"LoopMomenta", "\[Rule]", 
      RowBox[{"{", "q", "}"}]}], ",", 
     RowBox[{"List", "\[Rule]", "True"}], ",", 
     RowBox[{"TransversePolarizationVectors", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"p1", ",", "p2"}], "}"}]}], ",", 
     RowBox[{"DropSumOver", "\[Rule]", "False"}], ",", 
     RowBox[{"SMP", "\[Rule]", "True"}], ",", 
     RowBox[{"List", "\[Rule]", "False"}], ",", 
     RowBox[{"LorentzIndexNames", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}]}], ",", 
     RowBox[{"Contract", "\[Rule]", "False"}], ",", 
     RowBox[{"UndoChiralSplittings", "\[Rule]", "True"}], ",", 
     RowBox[{"FinalSubstitutions", "\[Rule]", " ", "M$FACouplings"}], ",", 
     RowBox[{"ChangeDimension", "\[Rule]", "D"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nonZero", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"n", "=", "1"}], ",", 
    RowBox[{"n", "\[LessEqual]", 
     RowBox[{"Length", "[", "amp", "]"}]}], ",", 
    RowBox[{"++", "n"}], ",", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"M", " ", "=", " ", 
      RowBox[{"Take", "[", 
       RowBox[{"amp", ",", 
        RowBox[{"{", "n", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", "\t", 
     
     RowBox[{"M", " ", "=", " ", 
      RowBox[{"SUNSimplify", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
     "\t", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"M", "\[Equal]", 
        RowBox[{"{", "0", "}"}]}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     "\t", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{"DiracSimplify", "[", 
           RowBox[{"M", "/.", 
            RowBox[{"GS", "\[Rule]", " ", 
             SqrtBox[
              RowBox[{"4", " ", "Pi", " ", "aS"}]]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yDM", ",", "0", ",", "2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"aS", ",", "0", ",", "1"}], "}"}]}], "]"}], "\[Equal]", 
        RowBox[{"{", "0", "}"}]}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     "\t", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"nonZero", ",", "n"}], "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"goodDiags", "=", 
   RowBox[{"DiagramExtract", "[", 
    RowBox[{"allDiags", ",", "nonZero"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Paint", "[", 
   RowBox[{"goodDiags", ",", 
    RowBox[{"ColumnsXRows", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{"250", ",", "250"}], "}"}]}], ",", 
    RowBox[{"PaintLevel", "\[Rule]", 
     RowBox[{"{", "Particles", "}"}]}], ",", 
    RowBox[{"Numbering", "\[Rule]", "Simple"}], ",", 
    RowBox[{"AutoEdit", "\[Rule]", "True"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.889016935851534*^9, 3.889016936094782*^9}, {
   3.88901705236769*^9, 3.889017053013035*^9}, {3.8890792752764482`*^9, 
   3.889079299299107*^9}, {3.8895449065599403`*^9, 3.889544909524844*^9}, {
   3.8895449795956993`*^9, 3.889544981485156*^9}, {3.891413693140431*^9, 
   3.891413710441099*^9}, {3.891419150413699*^9, 3.89141915217548*^9}, {
   3.891421377226315*^9, 3.891421410287054*^9}, {3.891421584593882*^9, 
   3.891421590425006*^9}, {3.891421636884573*^9, 3.891421684268402*^9}, {
   3.8914217427008266`*^9, 3.891421777953587*^9}, {3.891421830128807*^9, 
   3.891421834191091*^9}, 3.891421896267406*^9, {3.891421945622672*^9, 
   3.891422005609414*^9}, {3.8914221182472687`*^9, 3.8914221315048723`*^9}, {
   3.91042399554171*^9, 3.910424049293902*^9}, {3.910424255672317*^9, 
   3.9104243129199553`*^9}, {3.9104243533915052`*^9, 3.910424419496202*^9}, {
   3.910424637375846*^9, 3.91042470429498*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"037c52f7-d69f-45dc-a84f-8087832d9476"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"generic model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"Lorentz\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm["generic model ", {"Lorentz"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.89142169076902*^9, {3.89142172175712*^9, 3.8914217440646267`*^9}, {
   3.891421774615128*^9, 3.891421779054544*^9}, {3.891421966845991*^9, 
   3.891421975074479*^9}, 3.8914220080263166`*^9, 3.8914221354018593`*^9, 
   3.910423796215158*^9, 3.910423836766595*^9, 3.910423878948071*^9, 
   3.9104240503697033`*^9, {3.910424286096342*^9, 3.9104243140855103`*^9}, {
   3.910424366323262*^9, 3.9104244202272453`*^9}, {3.910424651419209*^9, 
   3.910424704728819*^9}, 3.910435371686123*^9, 3.910435412983468*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"2efacfe2-af2b-4d3d-8149-44d007dc67ff"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"classes model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"../../Models/SMS-stop-FA/SMS-stop-FA\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm[
   "classes model ", {"../../Models/SMS-stop-FA/SMS-stop-FA"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.89142169076902*^9, {3.89142172175712*^9, 3.8914217440646267`*^9}, {
   3.891421774615128*^9, 3.891421779054544*^9}, {3.891421966845991*^9, 
   3.891421975074479*^9}, 3.8914220080263166`*^9, 3.8914221354018593`*^9, 
   3.910423796215158*^9, 3.910423836766595*^9, 3.910423878948071*^9, 
   3.9104240503697033`*^9, {3.910424286096342*^9, 3.9104243140855103`*^9}, {
   3.910424366323262*^9, 3.9104244202272453`*^9}, {3.910424651419209*^9, 
   3.910424704728819*^9}, 3.910435371686123*^9, 3.910435413020164*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"6204fa11-2482-4205-aab4-30c87e616b77"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"3 Particles insertions\"\>"}],
   SequenceForm["in total: ", "3 Particles insertions"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.89142169076902*^9, {3.89142172175712*^9, 3.8914217440646267`*^9}, {
   3.891421774615128*^9, 3.891421779054544*^9}, {3.891421966845991*^9, 
   3.891421975074479*^9}, 3.8914220080263166`*^9, 3.8914221354018593`*^9, 
   3.910423796215158*^9, 3.910423836766595*^9, 3.910423878948071*^9, 
   3.9104240503697033`*^9, {3.910424286096342*^9, 3.9104243140855103`*^9}, {
   3.910424366323262*^9, 3.9104244202272453`*^9}, {3.910424651419209*^9, 
   3.910424704728819*^9}, 3.910435371686123*^9, 3.910435413149743*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"6f92d78d-566f-4d10-b616-f6953ac576f0"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"3 Particles amplitudes\"\>"}],
   SequenceForm["in total: ", "3 Particles amplitudes"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.89142169076902*^9, {3.89142172175712*^9, 3.8914217440646267`*^9}, {
   3.891421774615128*^9, 3.891421779054544*^9}, {3.891421966845991*^9, 
   3.891421975074479*^9}, 3.8914220080263166`*^9, 3.8914221354018593`*^9, 
   3.910423796215158*^9, 3.910423836766595*^9, 3.910423878948071*^9, 
   3.9104240503697033`*^9, {3.910424286096342*^9, 3.9104243140855103`*^9}, {
   3.910424366323262*^9, 3.9104244202272453`*^9}, {3.910424651419209*^9, 
   3.910424704728819*^9}, 3.910435371686123*^9, 3.910435413182152*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"c1a79581-5f2b-481f-81b5-e80352764ce0"],

Cell[BoxData[
 FormBox[
  GraphicsBox[{InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], 
         LineBox[{{0., 15.000000000003638`}, {4.000000000001819, 10.}}], 
         PolygonBox[{{2.3748170285326546`, 12.031478714334181`}, {
          1.3128354476901332`, 12.71864326664405}, {1.9375304952445576`, 
          13.218399304687589`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["u",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->22.027972027972027`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            22.027972027972027`]& ], {1.3944533453633028, 12.136522676290642},
           ImageScaled[{1, 1}]], 
         LineBox[{{-1.8189894035458565`*^-12, 5.000000000001819}, {
          3.999999999998181, 10.000000000003638`}}], 
         PolygonBox[{{1.6251829714673454`, 7.031478714334182}, {
          2.687164552309867, 7.718643266644048}, {2.0624695047554424`, 
          8.218399304687587}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["u",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->22.027972027972027`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            22.027972027972027`]& ], {2.605546654636697, 7.136522676290642}, 
          ImageScaled[{0, 1}]], 
         LineBox[{{19.99999999999909, 15.}, {16.00000000000091, 13.5}}], 
         PolygonBox[{{18.561797506541428`, 14.460674064953036`}, {
          17.297753116823216`, 14.413857606074583`}, {17.57865187009393, 
          13.664794264019346`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->22.027972027972027`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            22.027972027972027`]& ], {17.455758665537996, 15.09651022523202}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{19.99999999999909, 5.}, {16.00000000000091, 6.5}}], 
         PolygonBox[{{17.438202493458572`, 5.960674064953035}, {
          18.702246883176784`, 5.913857606074583}, {18.42134812990607, 
          5.164794264019347}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->22.027972027972027`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            22.027972027972027`]& ], {17.455758665537996, 4.903489774767981}, 
          ImageScaled[{Rational[1, 2], 1}]], LineBox[CompressedData["
1:eJw9lQs4VGkYxw9bGa1QZjQzEuOc41LZJHbHZe3LEqISZbEu41YoJU3WJRW6
oBXZlOsM3YWiVDYVScilLKvY3LZc1xbKLYX97O7zneeZc57fM8/5vvO97/v/
/3lee+19JQmCCEO/f58S6EZQQBD/PZOGdRaxHpNACBY61NaTEANlk4mRiKfW
qfMvkSASBb9rWYcYWo2sT5LwDIrtMl+rAZEaMWZ7hISID57VT5IR2+12/e0o
CZ8PRA8aWyCW/3Y2I5WEvlqLqGefeUBc/fwi/x4J8Rof7BfeRxw0aWEzSEL7
/gZD6WOIR2LtVqhRIGxPsIlxRtzYwDH1oiCkju0Ya4i4pOeLg5cpsFDtGI7X
RMywSncZoqA8Rzl/O4nYaUrdS5uGlpf6TUtWIVatLzL2p0GlWTnQxAhx9yey
J4MGKvI0NbRtfj8tr6cVNOTbVQzlChHHBnmPv6Ihy9rDoOLcPNemqfXRUOYX
pG9XinjgsHdDNw2mOicVA9oRC1SKDOtpMGirqbOYQqyzMl6YS0OBmcwSNxl0
/m5ulnE4DT5z9+YSFBGXC+LGgYZpj6W1X7MQM1ZLHSVoaO4NLdwohXjq+0it
+xT4XUvI8/gbrRea0+/8EwV7g0RVtyrn19+wNlGfglGn08Sq04itOvVWTJPg
3vjmhYkD4iMpzRI1JNja+8qOy8zXy5pRk0NC/VBXUWm5KhDs8vVucSSsN/l4
dvM+xK0pKjOHSWjefZP4hYeYbybNO06CQlaTfc9VFVT/u1FhGSScODulu5OD
OHYs6P1DEspepvncTFuJ9ouTfvSOBL6b/6EZbcQQMxmuSUEJI0AQ2aaM3s8S
6ftTkH1b76GhCPGRwOa8AgoGGp63TB5ELHDR8HtPgdXCxZfVDyBONbw4up6G
/mExb+Qo4pGR4qk9NDASygjbXMTZWyeismlo3VD3SaMTsd+9KpkqGmrkPfdn
rkT7Tw3m3OqgwUGU2b7aF7FV12Vz1L9Q+84H0vmIB14t3tpFw8yk9BXft4iT
Bop0n9JQYjPmeodE5xMkXZS6RENvnlqgxEbEJeFZF4Q0bJnjJyi5Ih5I9A81
pEHigcbxTkfEhSM2IR8p4AtrR7fyETtZzvYWU3DXOqq0cg6t7yfmmwRRELRr
kP2iAHFoa+/EVxQIhO7HAs0Rl0xauo6RUG53Rf18FToPJNj5IB1Khs+8TObP
14fYHitC/YhJ79IRr0D1sZa9dIL8X7eISyD6NeqfMMlX9blACf8/c0xSM7Ca
i9//7oZTm5sBF6+vKc4JTy7l4P0Tzyj2a9lz8PdZ3zlkbkRw8PdvEevLXq9m
4/PNmrWG8XLZ+PyFRHVwzwU2rs/5nR3Js7fZuH5WxV9esG5n4/pKMiac0pdx
cP3lHvHMJhw4uD/5nt7k7+kc3L9vhkU/e//Jwf29Ua+3oJXHxf2fCoa5W45c
PB9seUGnXAQXz0/J9LhzWzwXzxdbV2cVI4aL52/Arc70iScXz6flZIo4Wp2L
57fm/NkoySYOnu+nRjsyNu3g4PkP85dqSO1jY3289dIuUPqBjfXz2iBjtu3+
cqyvtJglTV7Ky7H+/DQhM/aQItbn8B79N6w+FtavuQffPtqZhfWtvLljNq+D
ifV/TfdxcGoIE/vD2ryeq6DBxP7hoicrDhhVwP4iAx27klsUsP8YSMQTPU0K
2J+0T/X3WvQrYP86tWmPn1COif0tUjzYtNqSif1vsZlKikccE/tj1W7ThIhG
JvbPXPcIzXxFFvZX4HTc0XJkYf995FxJx8SxsD872p35sSePhf1bqrHyyrZf
WdjfQ8osVP+6zsL+z/R/5jAcz8L5kO3S4/fRloXzw4rtG/92nInzZaiQ4zJ+
gonzRy9AOOO1iInzicH8tOb4AQWcX8lrjPcJ/1iG883n0Dn3asNlOP8qKrjk
tsylOB+jkqPkuxcsxfnZrSr60BImj/NVaXoOXXI4f/8Bkxb+7A==
          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->22.027972027972027`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            22.027972027972027`]& ], {7., 11.645199999999999}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{16., 13.49999999999741}, {16., 6.49999999999371}}], 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->22.027972027972027`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            22.027972027972027`]& ], {16.6952, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{16.00000000000182, 13.5}, {9.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{13.51826734053906, 12.052322615314452`}, {
          12.280184249251306`, 11.793188945044921`}, {12.683281069670574`, 
          11.102165824326175`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->22.027972027972027`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            22.027972027972027`]& ], {12.823799910437668, 12.484057296392571},
           ImageScaled[{1, 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{15.999999999998181`, 6.5}, {9.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{12.48173265946094, 8.552322615314452}, {
          13.719815750748694`, 8.293188945044921}, {13.316718930329426`, 
          7.602165824326175}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->22.027972027972027`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            22.027972027972027`]& ], {12.823799910437668, 7.515942703607429}, 
          ImageScaled[{1, 1}]], 
         {PointSize[0.04], PointBox[{4., 10.}], PointBox[{16., 13.5}], 
          PointBox[{16., 6.5}], PointBox[{10., 10.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["1",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->17.622377622377623`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            17.622377622377623`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebe/cfdg/ehfgfhgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebe/cfdg/ehfgfhgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {0, 0}, {0, 0}, {22, 22}], InsetBox[
     TagBox[
      StyleBox[
       TagBox["u",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->26.43356643356643],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       26.43356643356643]& ], {2., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["u",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->26.43356643356643],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       26.43356643356643]& ], {6.5, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["\[RightArrow]",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->26.43356643356643],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       26.43356643356643]& ], {11., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->26.43356643356643],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       26.43356643356643]& ], {15.5, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->26.43356643356643],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       26.43356643356643]& ], {20., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]]},
   AspectRatio->1.3,
   ImageSize->{250, 250},
   PlotRange->{{0, 22}, {0, 28.6}}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.89142169076902*^9, {3.89142172175712*^9, 3.8914217440646267`*^9}, {
   3.891421774615128*^9, 3.891421779054544*^9}, {3.891421966845991*^9, 
   3.891421975074479*^9}, 3.8914220080263166`*^9, 3.8914221354018593`*^9, 
   3.910423796215158*^9, 3.910423836766595*^9, 3.910423878948071*^9, 
   3.9104240503697033`*^9, {3.910424286096342*^9, 3.9104243140855103`*^9}, {
   3.910424366323262*^9, 3.9104244202272453`*^9}, {3.910424651419209*^9, 
   3.910424704728819*^9}, 3.910435371686123*^9, 3.9104354139348173`*^9},
 CellLabel->
  "During evaluation of \
In[12]:=",ExpressionUUID->"bf836f93-9c3e-40a7-a6c5-016cd6fe65ad"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Gluon initiated process", "Section",
 CellChangeTimes->{{3.910424609198619*^9, 
  3.910424629798936*^9}},ExpressionUUID->"63bbc462-a565-4237-9e96-\
e5f41fa9ee87"],

Cell[CellGroupData[{

Cell[TextData[{
 "Remove diagrams which are identically zero due to color conservation and \
only of order ",
 Cell[BoxData[
  FormBox[
   RowBox[{"yDM", " ", 
    SuperscriptBox["gs", "2"]}], TraditionalForm]],
  FormatType->"TraditionalForm",ExpressionUUID->
  "b6ab9360-abaa-4162-bab6-f71932ede6a9"]
}], "Subsection",
 CellChangeTimes->{{3.891419179657056*^9, 3.891419207788694*^9}, {
  3.9104244477027273`*^9, 3.910424451686304*^9}, {3.910424575774225*^9, 
  3.910424598758605*^9}},ExpressionUUID->"eb88da63-bbd3-47d9-bebe-\
3a94ab4cd1ab"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"processGGTT", " ", "=", "  ", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"V", "[", "4", "]"}], ",", 
      RowBox[{"V", "[", "4", "]"}]}], "}"}], " ", "->", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"F", "[", "9", "]"}], ",", " ", 
      RowBox[{"-", 
       RowBox[{"F", "[", "9", "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"allDiags", " ", "=", " ", 
    RowBox[{"InsertFields", "[", 
     RowBox[{"tops", ",", "processGGTT", ",", " ", 
      RowBox[{"InsertionLevel", "\[Rule]", " ", 
       RowBox[{"{", "Particles", "}"}]}], ",", 
      RowBox[{"ExcludeParticles", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"F", "[", "12", "]"}], ",", 
         RowBox[{"V", "[", "1", "]"}], ",", 
         RowBox[{"V", "[", "2", "]"}], ",", 
         RowBox[{"V", "[", "3", "]"}]}], "}"}]}], ",", 
      RowBox[{"LastSelections", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"S", "[", "4", "]"}], "}"}]}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Set", " ", "Truncated"}], "\[Rule]", 
    RowBox[{
    "True", " ", "to", " ", "remove", " ", "external", " ", "fields"}]}], 
   "  ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amp", "=", 
   RowBox[{"FCFAConvert", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"CreateFeynAmp", "[", 
       RowBox[{"allDiags", ",", 
        RowBox[{"PreFactor", "\[Rule]", "1"}], ",", 
        RowBox[{"Truncated", "\[Rule]", "True"}]}], "]"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SUNT", "\[Rule]", "FASUNT"}], ",", " ", 
        RowBox[{"GS", "\[Rule]", " ", 
         SqrtBox[
          RowBox[{"4", " ", "Pi", " ", "aS"}]]}]}], "}"}]}], ",", 
     RowBox[{"IncomingMomenta", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"p1", ",", "p2"}], "}"}]}], ",", 
     RowBox[{"OutgoingMomenta", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"k1", ",", "k2"}], "}"}]}], ",", 
     RowBox[{"LoopMomenta", "\[Rule]", 
      RowBox[{"{", "q", "}"}]}], ",", 
     RowBox[{"List", "\[Rule]", "True"}], ",", 
     RowBox[{"TransversePolarizationVectors", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"p1", ",", "p2"}], "}"}]}], ",", 
     RowBox[{"DropSumOver", "\[Rule]", "False"}], ",", 
     RowBox[{"SMP", "\[Rule]", "True"}], ",", 
     RowBox[{"List", "\[Rule]", "False"}], ",", 
     RowBox[{"LorentzIndexNames", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}]}], ",", 
     RowBox[{"Contract", "\[Rule]", "False"}], ",", 
     RowBox[{"UndoChiralSplittings", "\[Rule]", "True"}], ",", 
     RowBox[{"FinalSubstitutions", "\[Rule]", " ", "M$FACouplings"}], ",", 
     RowBox[{"ChangeDimension", "\[Rule]", "D"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nonZero", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"For", "[", 
   RowBox[{
    RowBox[{"n", "=", "1"}], ",", 
    RowBox[{"n", "\[LessEqual]", 
     RowBox[{"Length", "[", "amp", "]"}]}], ",", 
    RowBox[{"++", "n"}], ",", "\[IndentingNewLine]", "\t", 
    RowBox[{
     RowBox[{"M", " ", "=", " ", 
      RowBox[{"Take", "[", 
       RowBox[{"amp", ",", 
        RowBox[{"{", "n", "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", "\t", 
     
     RowBox[{"M", " ", "=", " ", 
      RowBox[{"SUNSimplify", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
     "\t", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"M", "\[Equal]", 
        RowBox[{"{", "0", "}"}]}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     "\t", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"SeriesCoefficient", "[", 
         RowBox[{
          RowBox[{"DiracSimplify", "[", 
           RowBox[{"M", "/.", 
            RowBox[{"GS", "\[Rule]", " ", 
             SqrtBox[
              RowBox[{"4", " ", "Pi", " ", "aS"}]]}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"yDM", ",", "0", ",", "2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"aS", ",", "0", ",", "1"}], "}"}]}], "]"}], "\[Equal]", 
        RowBox[{"{", "0", "}"}]}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     "\t", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"nonZero", ",", "n"}], "]"}], ";"}]}], "\[IndentingNewLine]", 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"goodDiags", "=", 
   RowBox[{"DiagramExtract", "[", 
    RowBox[{"allDiags", ",", "nonZero"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Paint", "[", 
   RowBox[{"goodDiags", ",", 
    RowBox[{"ColumnsXRows", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"IntegerPart", "[", 
         RowBox[{
          RowBox[{"Length", "[", "nonZero", "]"}], "/", "2"}], "]"}], "+", 
        "1"}], ",", "2"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{"1000", ",", "500"}], "}"}]}], ",", 
    RowBox[{"PaintLevel", "\[Rule]", 
     RowBox[{"{", "Particles", "}"}]}], ",", 
    RowBox[{"Numbering", "\[Rule]", "Simple"}], ",", 
    RowBox[{"AutoEdit", "\[Rule]", "True"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.889016935851534*^9, 3.889016936094782*^9}, {
   3.88901705236769*^9, 3.889017053013035*^9}, {3.8890792752764482`*^9, 
   3.889079299299107*^9}, {3.8895449065599403`*^9, 3.889544909524844*^9}, {
   3.8895449795956993`*^9, 3.889544981485156*^9}, {3.891413693140431*^9, 
   3.891413710441099*^9}, {3.891419150413699*^9, 3.89141915217548*^9}, {
   3.891421377226315*^9, 3.891421410287054*^9}, {3.891421584593882*^9, 
   3.891421590425006*^9}, {3.891421636884573*^9, 3.891421684268402*^9}, {
   3.8914217427008266`*^9, 3.891421777953587*^9}, {3.891421830128807*^9, 
   3.891421834191091*^9}, 3.891421896267406*^9, {3.891421945622672*^9, 
   3.891422005609414*^9}, {3.8914221182472687`*^9, 3.8914221315048723`*^9}, {
   3.91042399554171*^9, 3.910424049293902*^9}, {3.910424255672317*^9, 
   3.9104243129199553`*^9}, {3.9104243533915052`*^9, 3.910424419496202*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"4a578bcc-3fbc-43ac-92b2-8c7a85e79903"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"17 Particles insertions\"\>"}],
   SequenceForm["in total: ", "17 Particles insertions"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.89142169076902*^9, {3.89142172175712*^9, 3.8914217440646267`*^9}, {
   3.891421774615128*^9, 3.891421779054544*^9}, {3.891421966845991*^9, 
   3.891421975074479*^9}, 3.8914220080263166`*^9, 3.8914221354018593`*^9, 
   3.910423796215158*^9, 3.910423836766595*^9, 3.910423878948071*^9, 
   3.9104240503697033`*^9, {3.910424286096342*^9, 3.9104243140855103`*^9}, {
   3.910424366323262*^9, 3.9104244202272453`*^9}, 3.910435373255615*^9, 
   3.910435414315198*^9},
 CellLabel->
  "During evaluation of \
In[19]:=",ExpressionUUID->"e770cd60-cef9-4dbc-b0e4-d2946c51ca9f"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"17 Particles amplitudes\"\>"}],
   SequenceForm["in total: ", "17 Particles amplitudes"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.89142169076902*^9, {3.89142172175712*^9, 3.8914217440646267`*^9}, {
   3.891421774615128*^9, 3.891421779054544*^9}, {3.891421966845991*^9, 
   3.891421975074479*^9}, 3.8914220080263166`*^9, 3.8914221354018593`*^9, 
   3.910423796215158*^9, 3.910423836766595*^9, 3.910423878948071*^9, 
   3.9104240503697033`*^9, {3.910424286096342*^9, 3.9104243140855103`*^9}, {
   3.910424366323262*^9, 3.9104244202272453`*^9}, 3.910435373255615*^9, 
   3.9104354144163933`*^9},
 CellLabel->
  "During evaluation of \
In[19]:=",ExpressionUUID->"e06192d2-d8c7-432d-8dab-2257e6c57548"],

Cell[BoxData[
 FormBox[
  GraphicsBox[{InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwl1gk4lPseB/AXlUlIRY3I0sK00FSnkjjzpnJ1b11L1EQnc5xDqJPpoms5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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {3.783301642995071, 11.790402628792112}, 
          ImageScaled[{1, 1}]], LineBox[CompressedData["
1:eJwt1gs8VNseB/BNJ0QYr1BoRJpKNSpRR82OlJToPegxnUpOpaa39BrX20lN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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {4.216698357004929, 6.790402628792114}, 
          ImageScaled[{0, 1}]], 
         LineBox[{{20.000000000007276`, 15.}, {14.000000000010004`, 13.5}}], 
         PolygonBox[{{17.5820855000872, 14.3955213750218}, {
          16.320900249898266`, 14.492535625036332`}, {16.514928749927336`, 
          13.716421624920066`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {16.624069781193683, 15.148920875225265}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{19.99999999999909, 5.}, {14.00000000000091, 6.5}}], 
         PolygonBox[{{16.4179144999128, 5.8955213750218}, {
          17.679099750101734`, 5.992535625036333}, {17.485071250072664`, 
          5.216421624920067}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {16.624069781193683, 4.851079124774736}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{14., 13.49999999999741}, {14., 6.49999999999371}}], 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {14.6952, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{14.000000000001819`, 13.5}, {7.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{11.51826734053906, 12.052322615314452`}, {
          10.280184249251306`, 11.793188945044921`}, {10.683281069670574`, 
          11.102165824326175`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10.823799910437668, 12.484057296392571}, 
          ImageScaled[{1, 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{13.999999999998181`, 6.5}, {7.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{10.48173265946094, 8.552322615314452}, {
          11.719815750748694`, 8.293188945044921}, {11.316718930329426`, 
          7.602165824326175}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10.823799910437668, 7.515942703607429}, 
          ImageScaled[{1, 1}]], 
         {PointSize[0.04], PointBox[{14., 13.5}], PointBox[{14., 6.5}], 
          PointBox[{8., 10.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["1",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebe/cfdg/fgfege.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebe/cfdg/fgfege.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {0, 22}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJw11gtU03UUB/DfgOShAooiwtCB8pKhGKIQ6P9v4ZiSMhHNB+kOoiKmLl6S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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {1.3944533453633028, 12.136522676290642}, 
          ImageScaled[{1, 1}]], LineBox[CompressedData["
1:eJwl1QtQU9cWBuCNoERFBXmFhxDE4oPgxAE0uUTOUSBlSoXYWJSHEKkilgoR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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {2.605546654636697, 7.136522676290642}, 
          ImageScaled[{0, 1}]], 
         LineBox[{{19.99999999999909, 15.}, {16.00000000000091, 13.5}}], 
         PolygonBox[{{18.561797506541428`, 14.460674064953036`}, {
          17.297753116823216`, 14.413857606074583`}, {17.57865187009393, 
          13.664794264019346`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {17.455758665537996, 15.09651022523202}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{19.99999999999909, 5.}, {16.00000000000091, 6.5}}], 
         PolygonBox[{{17.438202493458572`, 5.960674064953035}, {
          18.702246883176784`, 5.913857606074583}, {18.42134812990607, 
          5.164794264019347}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {17.455758665537996, 4.903489774767981}, 
          ImageScaled[{Rational[1, 2], 1}]], LineBox[CompressedData["
1:eJw9lQs4VGkYxw9bGa1QZjQzEuOc41LZJHbHZe3LEqISZbEu41YoJU3WJRW6
oBXZlOsM3YWiVDYVScilLKvY3LZc1xbKLYX97O7zneeZc57fM8/5vvO97/v/
/3lee+19JQmCCEO/f58S6EZQQBD/PZOGdRaxHpNACBY61NaTEANlk4mRiKfW
qfMvkSASBb9rWYcYWo2sT5LwDIrtMl+rAZEaMWZ7hISID57VT5IR2+12/e0o
CZ8PRA8aWyCW/3Y2I5WEvlqLqGefeUBc/fwi/x4J8Rof7BfeRxw0aWEzSEL7
/gZD6WOIR2LtVqhRIGxPsIlxRtzYwDH1oiCkju0Ya4i4pOeLg5cpsFDtGI7X
RMywSncZoqA8Rzl/O4nYaUrdS5uGlpf6TUtWIVatLzL2p0GlWTnQxAhx9yey
J4MGKvI0NbRtfj8tr6cVNOTbVQzlChHHBnmPv6Ihy9rDoOLcPNemqfXRUOYX
pG9XinjgsHdDNw2mOicVA9oRC1SKDOtpMGirqbOYQqyzMl6YS0OBmcwSNxl0
/m5ulnE4DT5z9+YSFBGXC+LGgYZpj6W1X7MQM1ZLHSVoaO4NLdwohXjq+0it
+xT4XUvI8/gbrRea0+/8EwV7g0RVtyrn19+wNlGfglGn08Sq04itOvVWTJPg
3vjmhYkD4iMpzRI1JNja+8qOy8zXy5pRk0NC/VBXUWm5KhDs8vVucSSsN/l4
dvM+xK0pKjOHSWjefZP4hYeYbybNO06CQlaTfc9VFVT/u1FhGSScODulu5OD
OHYs6P1DEspepvncTFuJ9ouTfvSOBL6b/6EZbcQQMxmuSUEJI0AQ2aaM3s8S
6ftTkH1b76GhCPGRwOa8AgoGGp63TB5ELHDR8HtPgdXCxZfVDyBONbw4up6G
/mExb+Qo4pGR4qk9NDASygjbXMTZWyeismlo3VD3SaMTsd+9KpkqGmrkPfdn
rkT7Tw3m3OqgwUGU2b7aF7FV12Vz1L9Q+84H0vmIB14t3tpFw8yk9BXft4iT
Bop0n9JQYjPmeodE5xMkXZS6RENvnlqgxEbEJeFZF4Q0bJnjJyi5Ih5I9A81
pEHigcbxTkfEhSM2IR8p4AtrR7fyETtZzvYWU3DXOqq0cg6t7yfmmwRRELRr
kP2iAHFoa+/EVxQIhO7HAs0Rl0xauo6RUG53Rf18FToPJNj5IB1Khs+8TObP
14fYHitC/YhJ79IRr0D1sZa9dIL8X7eISyD6NeqfMMlX9blACf8/c0xSM7Ca
i9//7oZTm5sBF6+vKc4JTy7l4P0Tzyj2a9lz8PdZ3zlkbkRw8PdvEevLXq9m
4/PNmrWG8XLZ+PyFRHVwzwU2rs/5nR3Js7fZuH5WxV9esG5n4/pKMiac0pdx
cP3lHvHMJhw4uD/5nt7k7+kc3L9vhkU/e//Jwf29Ua+3oJXHxf2fCoa5W45c
PB9seUGnXAQXz0/J9LhzWzwXzxdbV2cVI4aL52/Arc70iScXz6flZIo4Wp2L
57fm/NkoySYOnu+nRjsyNu3g4PkP85dqSO1jY3289dIuUPqBjfXz2iBjtu3+
cqyvtJglTV7Ky7H+/DQhM/aQItbn8B79N6w+FtavuQffPtqZhfWtvLljNq+D
ifV/TfdxcGoIE/vD2ryeq6DBxP7hoicrDhhVwP4iAx27klsUsP8YSMQTPU0K
2J+0T/X3WvQrYP86tWmPn1COif0tUjzYtNqSif1vsZlKikccE/tj1W7ThIhG
JvbPXPcIzXxFFvZX4HTc0XJkYf995FxJx8SxsD872p35sSePhf1bqrHyyrZf
WdjfQ8osVP+6zsL+z/R/5jAcz8L5kO3S4/fRloXzw4rtG/92nInzZaiQ4zJ+
gonzRy9AOOO1iInzicH8tOb4AQWcX8lrjPcJ/1iG883n0Dn3asNlOP8qKrjk
tsylOB+jkqPkuxcsxfnZrSr60BImj/NVaXoOXXI4f/8Bkxb+7A==
          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {7., 11.645199999999999}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{16., 13.49999999999741}, {16., 6.49999999999371}}], 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {16.6952, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{16.00000000000182, 13.5}, {9.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{13.51826734053906, 12.052322615314452`}, {
          12.280184249251306`, 11.793188945044921`}, {12.683281069670574`, 
          11.102165824326175`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {12.823799910437668, 12.484057296392571}, 
          ImageScaled[{1, 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{15.999999999998181`, 6.5}, {9.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{12.48173265946094, 8.552322615314452}, {
          13.719815750748694`, 8.293188945044921}, {13.316718930329426`, 
          7.602165824326175}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {12.823799910437668, 7.515942703607429}, 
          ImageScaled[{1, 1}]], 
         {PointSize[0.04], PointBox[{4., 10.}], PointBox[{16., 13.5}], 
          PointBox[{16., 6.5}], PointBox[{10., 10.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["2",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebe/cfdg/ehfgfhgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebe/cfdg/ehfgfhgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {22, 22}, {0, 0}, {22, 22}], 
    InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwt1wk8lVkfB/DHkhshSobs+y1rlkmb+yRCUZcybhORUkJCEiHXFpVt0HRL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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.112359638123757, 16.39239276247515}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJwt1gs0lGkYB/CPhEXMGhNd2GlJRTFFm6Yyo40s0UQ27FRTmkLlUlG6ziJa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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {3.368879573271343, 4.309365547472549}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{20.000000000005343`, 15.}, {10.000000000012506`, 14.5}}], 
         PolygonBox[{{15.599251403326706`, 14.779962570166335`}, {
          14.380773549895737`, 15.119538365384804`}, {14.42072364345085, 
          14.320536494282527`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {14.922596693736967, 15.693266125260656}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{19.999999999999773`, 5.}, {13.500000000000227`, 5.5}}], 
         PolygonBox[{{16.15176730869905, 5.296017899330843}, {
          17.378911290854845`, 5.6028038948697905`}, {17.317554091747056`, 
          4.805160306468524}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {16.631120426728657, 4.309365547472549}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{10., 14.500000000001059`}, {10., 10.999999999998941`}}], 
         PolygonBox[{{10., 13.35}, {9.6, 12.15}, {10.4, 12.15}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10.9452, 12.75}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 5.5}, {13.49999999999741, 5.5}}]}, 
         PolygonBox[{{9.4, 5.5}, {10.6, 5.1}, {10.6, 5.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10., 4.5548}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.500000000003638, 5.5}, {10.000000000003638`, 
           10.999999999998181`}}]}, 
         PolygonBox[{{8.572125295315896, 8.756196892639265}, {
          8.265339299776947, 7.529052910483472}, {7.590410109591261, 
          7.958553304237999}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {7.547124694015234, 8.477357012899397}, 
          ImageScaled[{1, 0}]], 
         LineBox[{{13.500000000003638`, 5.500000000001819}, {
          10.000000000003638`, 11.}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {12.241959934051739, 8.343138139851106}, 
          ImageScaled[{0, 0}]], 
         {PointSize[0.04], PointBox[{10., 14.5}], PointBox[{6.5, 5.5}], 
          PointBox[{13.5, 5.5}], PointBox[{10., 11.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["3",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cedg/ehfgfhgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cedg/ehfgfhgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {44, 22}, {0, 0}, {22, 22}], 
    InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJw11gk4lHkcB/BXl7Fa11BCUksN64yMLczbOnLESh6mjUgHHeRq5dhSVg1q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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {3.4225671224906584, 16.38857259237856}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJwt1wk81OkfB/Cfq8mt3CyNY4tUqwtLmR+pbKmGLVcrs67KOZRsuaayJRGl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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.077403306263033, 4.30673387473934}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{19.999999999996362`, 15.}, {10., 5.500000000001819}}], 
         PolygonBox[{{15.434999660156649`, 10.663249677148816`}, {
          14.289500555077474`, 10.12675009628895}, {14.840500124609228`, 
          9.546750549413419}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {13.199480302913543, 7.854947780823198}, 
          ImageScaled[{0, 1}]], 
         LineBox[{{20., 5.}, {13.499999999996362`, 14.5}}], 
         PolygonBox[{{16.411189650644808`, 10.245184356749899`}, {
          17.418933253855126`, 9.480689209486897}, {16.75868744485526, 
          9.028942077013305}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {18.323909612602414, 8.466491657927744}, 
          ImageScaled[{0, 0}]], LineBox[{{10., 5.5}, {10., 8.5}}], 
         PolygonBox[{{10., 6.4}, {10.4, 7.6}, {9.6, 7.6}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {9.0548, 7.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 14.5}, {13.49999999999741, 14.5}}]}, 
         PolygonBox[{{9.4, 14.5}, {10.6, 14.1}, {10.6, 14.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10., 15.4452}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.5, 14.500000000001819`}, {10.000000000003638`, 
           8.500000000001819}}]}, 
         PolygonBox[{{8.552322615314452, 10.98173265946094}, {
          7.602165824326175, 11.816718930329426`}, {8.293188945044921, 
          12.219815750748694`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {7.515942703607428, 11.323799910437668}, 
          ImageScaled[{1, 1}]], 
         LineBox[{{13.500000000003638`, 14.500000000001819`}, {
          10.000000000003638`, 8.499999999998181}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {12.193289548864282, 12.168111117202784}, 
          ImageScaled[{0, 1}]], 
         {PointSize[0.04], PointBox[{6.5, 14.5}], PointBox[{10., 5.5}], 
          PointBox[{13.5, 14.5}], PointBox[{10., 8.5}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["4",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cfdg/fhegehgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cfdg/fhegehgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {66, 22}, {0, 0}, {22, 22}], 
    InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwt1wk8lVkfB/DHkhshSobs+y1rlkmb+yRCUZcybhORUkJCEiHXFpVt0HRL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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.112359638123757, 16.39239276247515}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJwt1gs0lGkYB/CPhEXMGhNd2GlJRTFFm6Yyo40s0UQ27FRTmkLlUlG6ziJa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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {3.368879573271343, 4.309365547472549}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{20.000000000003638`, 15.000000000001819`}, {13.5, 
          5.499999999998181}}], 
         PolygonBox[{{17.088810349355192`, 10.745184356749899`}, {
          16.081066746144874`, 9.980689209486897}, {16.74131255514474, 
          9.528942077013305}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {18.451361257109046, 11.464358877338455}, 
          ImageScaled[{0, 1}]], LineBox[{{20., 5.}, {10., 14.5}}], 
         PolygonBox[{{14.565000339843351`, 10.163249677148816`}, {
          15.710499444922526`, 9.62675009628895}, {15.159499875390772`, 
          9.046750549413419}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {13.168383585437326, 12.327367955153331}, 
          ImageScaled[{0, 0}]], 
         LineBox[{{10., 14.500000000002458`}, {10., 11.500000000006423`}}], 
         PolygonBox[{{10., 12.4}, {9.6, 13.6}, {10.4, 13.6}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {9.154900000000001, 13.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 5.5}, {13.49999999999741, 5.5}}]}, 
         PolygonBox[{{10.6, 5.5}, {9.4, 5.1}, {9.4, 5.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10., 4.5548}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999996362, 5.500000000001819}, {9.999999999996362,
            11.500000000001819`}}]}, 
         PolygonBox[{{7.947677384685548, 7.98173265946094}, {
          8.897834175673825, 8.816718930329426}, {8.206811054955079, 
          9.219815750748694}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {7.515942703607428, 8.676200089562332}, 
          ImageScaled[{1, 0}]], 
         LineBox[{{13.5, 5.5}, {10., 11.500000000001819`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {12.584212118773543, 7.590101455226551}, 
          ImageScaled[{0, 0}]], 
         {PointSize[0.04], PointBox[{10., 14.5}], PointBox[{6.5, 5.5}], 
          PointBox[{13.5, 5.5}], PointBox[{10., 11.5}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["5",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cgde/ehfgfhgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cgde/ehfgfhgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {88, 22}, {0, 0}, {22, 22}], 
    InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJw11gk4lHkcB/BXl7Fa11BCUksN64yMLczbOnLESh6mjUgHHeRq5dhSVg1q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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {3.4225671224906584, 16.38857259237856}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJwt1wk81OkfB/Cfq8mt3CyNY4tUqwtLmR+pbKmGLVcrs67KOZRsuaayJRGl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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.077403306263033, 4.30673387473934}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{19.999999999999773`, 15.}, {13.500000000000227`, 14.5}}], 
         PolygonBox[{{17.34823269130095, 14.796017899330842`}, {
          16.121088709145155`, 15.10280389486979}, {16.182445908252944`, 
          14.305160306468526`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {16.631120426728657, 15.690634452527451}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{20.000000000000796`, 5.}, {9.999999999998977, 5.5}}], 
         PolygonBox[{{14.400748596673294`, 5.279962570166335}, {
          15.619226450104263`, 5.619538365384803}, {15.57927635654915, 
          4.8205364942825275`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {14.922596693736967, 4.30673387473934}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{10., 5.5}, {10., 8.5}}], 
         PolygonBox[{{10., 7.6}, {10.4, 6.4}, {9.6, 6.4}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {9.0548, 7.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 14.5}, {13.49999999999741, 14.5}}]}, 
         PolygonBox[{{10.6, 14.5}, {9.4, 14.1}, {9.4, 14.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10., 15.4452}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.5, 14.500000000001819`}, {10.000000000003638`, 
           8.500000000001819}}]}, 
         PolygonBox[{{7.947677384685548, 12.01826734053906}, {
          8.206811054955079, 10.780184249251306`}, {8.897834175673825, 
          11.183281069670574`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {7.515942703607428, 11.323799910437668}, 
          ImageScaled[{1, 1}]], 
         LineBox[{{13.500000000003638`, 14.500000000001819`}, {
          10.000000000003638`, 8.499999999998181}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {12.268112571167965, 11.449767666818687}, 
          ImageScaled[{0, 1}]], 
         {PointSize[0.04], PointBox[{6.5, 14.5}], PointBox[{10., 5.5}], 
          PointBox[{13.5, 14.5}], PointBox[{10., 8.5}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["6",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cgdf/fhegehgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cgdf/fhegehgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {110, 22}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwl1AtQU1caB/CLiGZRIbAgrMoQAZ0IghBEwkabi0trYAUpoMbHphFDjG2A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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {3.7559338900722063, 15.837580190312895}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJw91gtQU1caB/DLQwSLEgRB5NEbRQmKmCoisK0JdhARLUHtxgeWhwlR2g0h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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {3.5985322353830753, 4.84449364667334}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{20.00000000000182, 14.999999999996362`}, {13.5, 
          13.499999999996362`}}], 
         PolygonBox[{{17.334634717416773`, 14.384915704019255`}, {
          16.075421479903724`, 14.504840774258593`}, {16.25530908526273, 
          13.725327817702897`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {16.401467764616925, 15.155506353326661}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{20., 5.}, {13.49999999999909, 6.5}}], 
         PolygonBox[{{16.165365282583227`, 5.884915704019255}, {
          17.424578520096276`, 6.004840774258593}, {17.24469091473727, 
          5.2253278177028974`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {16.401467764616925, 4.84449364667334}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.5, 13.49999999999741}, {6.5, 6.49999999999371}}]}, 
         PolygonBox[{{6.5, 10.6}, {6.1, 9.4}, {6.9, 9.4}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.5548, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 13.5}, {13.49999999999741, 13.5}}]}, 
         PolygonBox[{{10.6, 13.5}, {9.4, 13.1}, {9.4, 13.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10., 14.4452}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 6.5}, {13.49999999999741, 6.5}}]}, 
         PolygonBox[{{9.4, 6.5}, {10.6, 6.1}, {10.6, 6.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10., 5.5548}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{13.5, 13.49999999999741}, {13.5, 6.49999999999371}}], 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {14.1952, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{6.5, 13.5}], PointBox[{6.5, 6.5}], 
          PointBox[{13.5, 13.5}], PointBox[{13.5, 6.5}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["7",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cgdh/efegfhgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cgdh/efegfhgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {0, 0}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwl1AtQU1caB/CLiGZRIbAgrMoQAZ0IghBEwkabi0trYAUpoMbHphFDjG2A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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {3.7559338900722063, 15.837580190312895}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJw91gtQU1caB/DLQwSLEgRB5NEbRQmKmCoisK0JdhARLUHtxgeWhwlR2g0h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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {3.5985322353830753, 4.84449364667334}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{20., 15.000000000001819`}, {13.500000000001819`, 
          6.500000000003638}}], 
         PolygonBox[{{17.114470064542477`, 11.226614699786317`}, {
          16.067786802266646`, 10.516365343242}, {16.7032730686484, 
          10.030405257185365`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {18.10537595300576, 13.697060324257649}, 
          ImageScaled[{1, 0}]], 
         LineBox[{{20.00000000000182, 5.}, {13.500000000001819`, 13.5}}], 
         PolygonBox[{{16.385529935457523`, 9.726614699786317}, {
          17.432213197733354`, 9.016365343242002}, {16.7967269313516, 
          8.530405257185363}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {17.955999391685353, 6.5528838552258195}, 
          ImageScaled[{1, 1}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.5, 13.49999999999741}, {6.5, 6.49999999999371}}]}, 
         PolygonBox[{{6.5, 9.4}, {6.1, 10.6}, {6.9, 10.6}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.5548, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 13.5}, {13.49999999999741, 13.5}}]}, 
         PolygonBox[{{9.4, 13.5}, {10.6, 13.1}, {10.6, 13.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10., 14.4452}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 6.5}, {13.49999999999741, 6.5}}]}, 
         PolygonBox[{{10.6, 6.5}, {9.4, 6.1}, {9.4, 6.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10., 5.5548}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{13.5, 6.5}, {13.5, 13.5}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {12.8048, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{6.5, 13.5}], PointBox[{6.5, 6.5}], 
          PointBox[{13.5, 6.5}], PointBox[{13.5, 13.5}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["8",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cgdh/efehfggh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cgdh/efehfggh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {22, 0}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwt1wk8lVkfB/DHkhshSobs+y1rlkmb+yRCUZcybhORUkJCEiHXFpVt0HRL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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.112359638123757, 16.39239276247515}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJwt1wk81OkfB/Cfq8mt3CyNY4tUqwtLmR+pbKmGLVcrs67KOZRsuaayJRGl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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.077403306263033, 4.30673387473934}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{20.000000000005343`, 15.}, {10.000000000012506`, 14.5}}], 
         PolygonBox[{{15.599251403326706`, 14.779962570166335`}, {
          14.380773549895737`, 15.119538365384804`}, {14.42072364345085, 
          14.320536494282527`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {14.922596693736967, 15.693266125260656}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{20.000000000000796`, 5.}, {9.999999999998977, 5.5}}], 
         PolygonBox[{{14.400748596673294`, 5.279962570166335}, {
          15.619226450104263`, 5.619538365384803}, {15.57927635654915, 
          4.8205364942825275`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {14.922596693736967, 4.30673387473934}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{10., 14.500000000000409`}, {10., 11.999999999999591`}}], 
         PolygonBox[{{10., 13.85}, {9.6, 12.65}, {10.4, 12.65}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {10.9452, 13.25}, 
          ImageScaled[{0, Rational[1, 2]}]], LineBox[{{10., 5.5}, {10., 8.}}],
          PolygonBox[{{10., 7.35}, {10.4, 6.15}, {9.6, 6.15}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {9.0548, 6.75}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         CircleBox[{10., 10.}, 2., {-4.71238898038469, -1.5707963267948966`}],
          InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {7.3048, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          CircleBox[{10., 10.}, 2., {-1.5707963267948966`, 
           1.5707963267948966`}]}, 
         PolygonBox[{{12., 10.6}, {12.4, 9.4}, {11.6, 9.4}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {12.9452, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{10., 14.5}], PointBox[{10., 5.5}], 
          PointBox[{10., 12.}], PointBox[{10., 8.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["9",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cedf/egfhghgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cedf/egfhghgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {44, 0}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwt1wk8lVkfB/DHkhshSobs+y1rlkmb+yRCUZcybhORUkJCEiHXFpVt0HRL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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.112359638123757, 16.39239276247515}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJwt1wk81OkfB/Cfq8mt3CyNY4tUqwtLmR+pbKmGLVcrs67KOZRsuaayJRGl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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {5.077403306263033, 4.30673387473934}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{19.999999999996362`, 15.}, {10., 5.500000000001819}}], 
         PolygonBox[{{15.434999660156649`, 10.663249677148816`}, {
          14.289500555077474`, 10.12675009628895}, {14.840500124609228`, 
          9.546750549413419}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {16.850348584126163, 12.86607825298865}, 
          ImageScaled[{1, 0}]], LineBox[{{20., 5.}, {10., 14.5}}], 
         PolygonBox[{{14.565000339843351`, 10.163249677148816`}, {
          15.710499444922526`, 9.62675009628895}, {15.159499875390772`, 
          9.046750549413419}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {16.851586648183577, 7.134499508829505}, 
          ImageScaled[{1, 1}]], 
         LineBox[{{10., 14.500000000000409`}, {10., 11.999999999999591`}}], 
         PolygonBox[{{10., 12.65}, {9.6, 13.85}, {10.4, 13.85}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {9.0548, 13.25}, 
          ImageScaled[{1, Rational[1, 2]}]], LineBox[{{10., 5.5}, {10., 8.}}],
          PolygonBox[{{10., 6.15}, {10.4, 7.35}, {9.6, 7.35}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {9.0548, 6.75}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         CircleBox[{10.45, 10.}, 
          2.05, {-4.491074538036899, -1.7921107691426879`}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {7.7048000000000005, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          CircleBox[{9.416666666666666, 10.}, 
           2.0833333333333335, {-1.2870022175865687`, 1.2870022175865687`}]}, 
         PolygonBox[{{11.5, 9.4}, {11.9, 10.6}, {11.1, 10.6}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->19.09090909090909],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            19.09090909090909]& ], {11.947299999999998, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{10., 14.5}], PointBox[{10., 5.5}], 
          PointBox[{10., 12.}], PointBox[{10., 8.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["10",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->15.272727272727273`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            15.272727272727273`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cfde/egfhghgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cfde/egfhghgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {66, 0}, {0, 0}, {22, 22}], InsetBox[
     TagBox[
      StyleBox[
       TagBox["G",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->22.909090909090907`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       22.909090909090907`]& ], {57., 47.959999999999994}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["G",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->22.909090909090907`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       22.909090909090907`]& ], {61.5, 47.959999999999994}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["\[RightArrow]",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->22.909090909090907`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       22.909090909090907`]& ], {66., 47.959999999999994}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->22.909090909090907`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       22.909090909090907`]& ], {70.5, 47.959999999999994}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->22.909090909090907`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       22.909090909090907`]& ], {75., 47.959999999999994}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]]},
   AspectRatio->0.3833333333333333,
   ImageSize->{1000, 500},
   PlotRange->{{0, 132}, {0, 50.599999999999994`}}], 
  TraditionalForm]], "Print",
 CellChangeTimes->{
  3.89142169076902*^9, {3.89142172175712*^9, 3.8914217440646267`*^9}, {
   3.891421774615128*^9, 3.891421779054544*^9}, {3.891421966845991*^9, 
   3.891421975074479*^9}, 3.8914220080263166`*^9, 3.8914221354018593`*^9, 
   3.910423796215158*^9, 3.910423836766595*^9, 3.910423878948071*^9, 
   3.9104240503697033`*^9, {3.910424286096342*^9, 3.9104243140855103`*^9}, {
   3.910424366323262*^9, 3.9104244202272453`*^9}, 3.910435373255615*^9, 
   3.910435419487678*^9},
 CellLabel->
  "During evaluation of \
In[19]:=",ExpressionUUID->"162e65fe-41a7-4c7b-8c05-28793c649ac6"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1850, 1016},
WindowMargins->{{0, Automatic}, {0, Automatic}},
TaggingRules->{
 "WelcomeScreenSettings" -> {"FEStarting" -> False}, "TryRealOnly" -> False},
Magnification:>1.2 Inherited,
FrontEndVersion->"12.1 for Linux x86 (64-bit) (March 18, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"67211e3f-1716-41a5-9a80-526e3a12a9c3"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 201, 3, 36, "Input",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],
Cell[CellGroupData[{
Cell[784, 27, 630, 12, 62, "Input",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],
Cell[CellGroupData[{
Cell[1439, 43, 3555, 82, 35, "Print",ExpressionUUID->"d8a49610-40ac-482d-83f9-3c427fd3dbbc"],
Cell[4997, 127, 2306, 45, 35, "Print",ExpressionUUID->"fb9ac540-792f-42ff-af82-7be284b03247"],
Cell[7306, 174, 2310, 48, 35, "Print",ExpressionUUID->"bc5710c0-a3ff-4f19-9f06-43f58e773129"],
Cell[9619, 224, 1462, 23, 33, "Print",ExpressionUUID->"335f378f-0d4f-49d6-8ca5-18a00fbb409a"],
Cell[11084, 249, 1465, 23, 33, "Print",ExpressionUUID->"ab6b747e-b03a-47ae-8cec-879300f03df5"],
Cell[12552, 274, 1450, 23, 33, "Print",ExpressionUUID->"549ba49a-5aad-4a22-ab70-550c4ce47d0d"],
Cell[14005, 299, 3113, 72, 35, "Print",ExpressionUUID->"f1eb65e0-a8f9-433a-bfdc-190442e10a93"],
Cell[17121, 373, 1401, 22, 33, "Print",ExpressionUUID->"2616c2b6-a7c3-4961-93f2-ac39f95f3ac9"],
Cell[18525, 397, 1435, 23, 33, "Print",ExpressionUUID->"6330fcf4-540c-4d0a-b322-a1830f75501d"],
Cell[19963, 422, 2409, 52, 35, "Print",ExpressionUUID->"095b1b16-172c-45d6-a1ce-5a33e151b671"],
Cell[22375, 476, 2336, 48, 35, "Print",ExpressionUUID->"5324a989-994c-40be-a092-993c2cf75eaf"],
Cell[24714, 526, 1504, 24, 33, "Print",ExpressionUUID->"1e4bff01-af58-4552-a411-e8419a71b6f7"],
Cell[26221, 552, 1457, 23, 33, "Print",ExpressionUUID->"e606aecd-958f-4f6e-8910-6a7b000d3ced"],
Cell[27681, 577, 2165, 45, 35, "Print",ExpressionUUID->"7cf7d4e2-ed13-4329-ab21-34621f8b62f8"],
Cell[29849, 624, 2180, 45, 35, "Print",ExpressionUUID->"e70cc56b-016c-4331-b919-5d39da8a58e3"]
}, Open  ]]
}, Open  ]],
Cell[32056, 673, 267, 5, 36, "Input",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],
Cell[32326, 680, 2651, 56, 187, "Input",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],
Cell[CellGroupData[{
Cell[35002, 740, 194, 2, 36, "Input",ExpressionUUID->"6196d30e-f27c-4a53-a64e-04f250b0bea6"],
Cell[35199, 744, 289, 4, 38, "Output",ExpressionUUID->"2af0e38c-1b73-41f3-9442-1ae459a956bd"]
}, Open  ]],
Cell[35503, 751, 684, 14, 36, "Input",ExpressionUUID->"a30235b5-5b44-473c-b947-7b1084f2c4e6"],
Cell[CellGroupData[{
Cell[36212, 769, 168, 3, 81, "Section",ExpressionUUID->"05967d30-5daa-4ef8-b92a-7c713ab80e81"],
Cell[CellGroupData[{
Cell[36405, 776, 543, 13, 65, "Subsection",ExpressionUUID->"347b4308-b3b9-457d-866a-e4933a9f2b11"],
Cell[CellGroupData[{
Cell[36973, 793, 6141, 153, 452, "Input",ExpressionUUID->"037c52f7-d69f-45dc-a84f-8087832d9476"],
Cell[CellGroupData[{
Cell[43139, 950, 947, 18, 27, "Print",ExpressionUUID->"2efacfe2-af2b-4d3d-8149-44d007dc67ff"],
Cell[44089, 970, 1009, 19, 27, "Print",ExpressionUUID->"6204fa11-2482-4205-aab4-30c87e616b77"],
Cell[45101, 991, 881, 17, 27, "Print",ExpressionUUID->"6f92d78d-566f-4d10-b616-f6953ac576f0"],
Cell[45985, 1010, 881, 17, 27, "Print",ExpressionUUID->"c1a79581-5f2b-481f-81b5-e80352764ce0"],
Cell[46869, 1029, 10000, 227, 310, "Print",ExpressionUUID->"bf836f93-9c3e-40a7-a6c5-016cd6fe65ad"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[56942, 1264, 168, 3, 81, "Section",ExpressionUUID->"63bbc462-a565-4237-9e96-e5f41fa9ee87"],
Cell[CellGroupData[{
Cell[57135, 1271, 543, 13, 65, "Subsection",ExpressionUUID->"eb88da63-bbd3-47d9-bebe-3a94ab4cd1ab"],
Cell[CellGroupData[{
Cell[57703, 1288, 6228, 156, 452, "Input",ExpressionUUID->"4a578bcc-3fbc-43ac-92b2-8c7a85e79903"],
Cell[CellGroupData[{
Cell[63956, 1448, 837, 17, 27, "Print",ExpressionUUID->"e770cd60-cef9-4dbc-b0e4-d2946c51ca9f"],
Cell[64796, 1467, 839, 17, 27, "Print",ExpressionUUID->"e06192d2-d8c7-432d-8dab-2257e6c57548"],
Cell[65638, 1486, 113120, 2294, 610, "Print",ExpressionUUID->"162e65fe-41a7-4c7b-8c05-28793c649ac6"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

