(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    322656,       9566]
NotebookOptionsPosition[    312013,       9403]
NotebookOutlinePosition[    312528,       9422]
CellTagsIndexPosition[    312485,       9419]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8890168084279547`*^9, 3.8890168092899714`*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$LoadAddOns", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<FeynArts\>\"", ",", "\"\<FeynHelpers\>\""}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<FeynCalc`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.8890168234903173`*^9, 3.889016854234688*^9}, {
  3.889017044991746*^9, 3.889017045165141*^9}, {3.889017781387946*^9, 
  3.889017814440536*^9}, {3.88901786533222*^9, 3.889017866119855*^9}, {
  3.889025236954578*^9, 3.889025237167118*^9}, {3.8895928715731487`*^9, 
  3.8895928871625967`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"FeynCalc \"\>", "Text",
    StripOnInput->False,
    FontWeight->Bold], "\[InvisibleSpace]", 
   StyleBox["\<\"9.3.1 (stable version). For help, use the \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"documentation", " ", "center"}],
      BaseStyle->"Link",
      ButtonData:>"paclet:FeynCalc/",
      ButtonNote->"paclet:FeynCalc/"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\", check out the \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox["wiki",
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["https://github.com/FeynCalc/feyncalc/wiki"], None},
      ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" or visit the \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"forum", "."}],
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["https://github.com/FeynCalc/feyncalc/discussions"], None},
      ButtonNote->"http://www.feyncalc.org/forum/"],
     DisplayForm], "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["FeynCalc ", "Text", Bold], 
   Style["9.3.1 (stable version). For help, use the ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "documentation center", BaseStyle -> "Link", ButtonData :> 
      "paclet:FeynCalc/", ButtonNote -> "paclet:FeynCalc/"]], "Text"], 
   Style[", check out the ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox["wiki", ButtonData :> {
        URL["https://github.com/FeynCalc/feyncalc/wiki"], None}, BaseStyle -> 
      "Hyperlink", ButtonNote -> 
      "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
   Style[" or visit the ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox["forum.", ButtonData :> {
        URL["https://github.com/FeynCalc/feyncalc/discussions"], None}, 
      BaseStyle -> "Hyperlink", ButtonNote -> 
      "http://www.feyncalc.org/forum/"]], "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425702958962*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"63a7fed6-a5a0-4fd7-95ff-47def856bc53"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"To save your and our time, please check our \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox["FAQ",
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None},
      ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" for answers to some common FeynCalc questions.\"\>", "Text",
    
    StripOnInput->False]}],
  SequenceForm[
   Style["To save your and our time, please check our ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox["FAQ", ButtonData :> {
        URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None}, 
      BaseStyle -> "Hyperlink", ButtonNote -> 
      "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
   Style[" for answers to some common FeynCalc questions.", "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.9104257029681263`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"67070d3f-a2bb-4fdb-8ae9-01cee19b5f32"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"See also the supplied \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"examples", "."}],
      BaseStyle->"Hyperlink",
      ButtonFunction:>SystemOpen[
        FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]],
      Evaluator->Automatic,
      Method->"Preemptive"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" If you use FeynCalc in your research, please cite\"\>", 
    "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["See also the supplied ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
        FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]], Evaluator -> 
      Automatic, Method -> "Preemptive"]], "Text"], 
   Style[" If you use FeynCalc in your research, please cite", "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425702969243*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"3c83ae00-77f5-4682-a662-95b2ce72aec8"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 256 (2020) 107478, arXiv:2001.04407.\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.91042570296996*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7041b119-8443-4190-89ab-c01ed23b6677"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 207 (2016) 432-444, arXiv:1601.01167.\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.91042570297064*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ad119750-7dc0-41f5-b032-c2629cb84746"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] R. Mertig, M. B\[ODoubleDot]hm, and A. Denner, \
Comput. Phys. Commun. 64 (1991) 345-359.\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425702971303*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"948337fa-7257-4b9d-a043-21575ed97762"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"FeynArts \"\>", "Text",
    StripOnInput->False,
    FontWeight->Bold], "\[InvisibleSpace]", 
   StyleBox["\<\"3.11 (25 Mar 2022) patched for use with FeynCalc, for \
documentation see the \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox["manual",
      BaseStyle->"Hyperlink",
      ButtonFunction:>SystemOpen[
        First[
         FileNames[{"*.pdf", "*.PDF"}, 
          FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]],
      Evaluator->Automatic,
      Method->"Preemptive"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" or visit \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"www", ".", "feynarts", ".", "de", "."}],
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["http://www.feynarts.de/"], None},
      ButtonNote->"www.feynarts.de/"],
     DisplayForm], "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["FeynArts ", "Text", Bold], 
   Style["3.11 (25 Mar 2022) patched for use with FeynCalc, for documentation \
see the ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "manual", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
        First[
         FileNames[{"*.pdf", "*.PDF"}, 
          FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]], Evaluator -> 
      Automatic, Method -> "Preemptive"]], "Text"], 
   Style[" or visit ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox["www.feynarts.de.", ButtonData :> {
        URL["http://www.feynarts.de/"], None}, BaseStyle -> "Hyperlink", 
      ButtonNote -> "www.feynarts.de/"]], "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425703029437*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7cf994bc-1b7d-48fa-9e00-1fa39b51a786"],

Cell[BoxData[
 StyleBox["\<\"If you use FeynArts in your research, please cite\"\>", "Text",
  
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425703031423*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"3e2b923b-acc0-4af0-9615-d9414d7c97d1"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] T. Hahn, Comput. Phys. Commun., 140, 418-431, 2001, \
arXiv:hep-ph/0012260\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425703032732*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"227a40aa-ee60-487c-b88a-4062cf0809cd"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"FeynHelpers \"\>", "Text",
    StripOnInput->False,
    FontWeight->Bold], "\[InvisibleSpace]", 
   StyleBox["\<\"1.3.0, for more information see the accompanying \"\>", 
    "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"publication", "."}],
      BaseStyle->"Hyperlink",
      ButtonFunction:>SystemOpen[
        FileNameJoin[{
         FeynCalc`$FeynHelpersDirectory, "Documentation", "1611.06793.pdf"}]],
      
      Evaluator->Automatic,
      Method->"Preemptive"],
     DisplayForm], "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["FeynHelpers ", "Text", Bold], 
   Style["1.3.0, for more information see the accompanying ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "publication.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
        FileNameJoin[{
         FeynCalc`$FeynHelpersDirectory, "Documentation", "1611.06793.pdf"}]],
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425703053143*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"381dbb36-2a60-4c70-9d34-600a64594e6a"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Have a look at the supplied \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"examples", "."}],
      BaseStyle->"Hyperlink",
      ButtonFunction:>SystemOpen[
        FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]],
      Evaluator->Automatic,
      Method->"Preemptive"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" If you use FeynHelpers in your research, please cite\"\>", 
    "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["Have a look at the supplied ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
        FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]], 
      Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
   Style[" If you use FeynHelpers in your research, please cite", "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425703054323*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"1ca5e378-4804-438e-a183-256eb016209c"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] V. Shtabovenko, \\\"FeynHelpers: Connecting \
FeynCalc to FIRE and Package-X\\\", Comput. Phys. Commun., 218, 48-65, 2017, \
arXiv:1611.06793\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425703055066*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9741f04b-46e9-486e-94ad-7c6cd6a013a6"],

Cell[BoxData[
 StyleBox["\<\"Furthermore, remember to cite the authors of the tools that \
you are calling from FeynHelpers, which are\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425703055788*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"1c450f5c-0582-4030-a53a-c2462d90658f"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox["FIRE",
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["http://science.sander.su/FIRE.htm"], None},
      ButtonNote->"http://science.sander.su/FIRE.htm"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" by A. Smirnov, if you are using the function FIREBurn.\"\>",
     "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style[" \[Bullet] "], 
   Style[
    DisplayForm[
     ButtonBox["FIRE", ButtonData :> {
        URL["http://science.sander.su/FIRE.htm"], None}, BaseStyle -> 
      "Hyperlink", ButtonNote -> "http://science.sander.su/FIRE.htm"]], 
    "Text"], 
   Style[" by A. Smirnov, if you are using the function FIREBurn.", "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425703056569*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9909599e-147b-4c32-a6b9-fa8e50491695"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"Package", "-", "X"}],
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["https://packagex.hepforge.org"], None},
      ButtonNote->"https://packagex.hepforge.org"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" by H. Patel, if you are using the function \
PaXEvaluate.\"\>", "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style[" \[Bullet] "], 
   Style[
    DisplayForm[
     ButtonBox["Package-X", ButtonData :> {
        URL["https://packagex.hepforge.org"], None}, BaseStyle -> "Hyperlink",
       ButtonNote -> "https://packagex.hepforge.org"]], "Text"], 
   Style[" by H. Patel, if you are using the function PaXEvaluate.", "Text"]],
  
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904200798919723*^9, {3.904214971573513*^9, 
   3.9042149972710543`*^9}, 3.9042215506269207`*^9, 3.904298031484082*^9, 
   3.904755705082835*^9, 3.910425703057475*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ec754db4-4e9e-4be2-b645-b02c772d1568"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.889017308907774*^9, 3.889017320298298*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CKM", " ", "=", " ", "IndexDelta"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Neglect", "[", "ME", "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"Neglect", "[", "ME2", "]"}], " ", "=", " ", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$FAVerbose", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"use", " ", "generic", " ", "model", " ", "from", " ", 
    RowBox[{"FeynCalc", "!"}], " ", "The", " ", "SUNF", " ", "and", " ", 
    "SUNT", " ", "functions", " ", "in", " ", 
    RowBox[{"the", " ", ".", "mod"}], " ", "file", " ", "have", " ", "to", 
    " ", "be", " ", "replaced", " ", "by", " ", "FASUNF", " ", "and", " ", 
    "FASUNT"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"InsertFields", ",", " ", 
    RowBox[{
    "Model", " ", "->", "\"\<../../Models/SMS-stop-FA/SMS-stop-FA\>\""}], ",", 
    RowBox[{"ExcludeParticles", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"S", "[", "1", "]"}], "}"}]}], ",", 
    RowBox[{"InsertionLevel", "\[Rule]", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Paint", ",", " ", 
    RowBox[{"PaintLevel", " ", "->", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"CreateTopologies", ",", " ", 
    RowBox[{"ExcludeTopologies", " ", "->", " ", 
     RowBox[{"{", 
      RowBox[{
      "TadpoleCTs", ",", "Tadpoles", ",", " ", "WFCorrectionCTs", ",", 
       "SelfEnergies", ",", "SelfEnergyCTs"}], "}"}]}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.889017005844899*^9, {3.88901704085599*^9, 3.889017041077664*^9}, 
   3.889017094676647*^9, {3.889017325834794*^9, 3.889017434303607*^9}, 
   3.889017536935258*^9, {3.889017664405981*^9, 3.8890176805032187`*^9}, 
   3.8890179884081173`*^9, {3.889018149086043*^9, 3.8890181730357113`*^9}, {
   3.889019077467082*^9, 3.889019120878731*^9}, {3.8890226845002737`*^9, 
   3.889022733473879*^9}, {3.8890227741904078`*^9, 3.8890228031699657`*^9}, {
   3.889022982319891*^9, 3.8890229985262537`*^9}, {3.8890236396691513`*^9, 
   3.889023639834773*^9}, {3.889025152091753*^9, 3.889025177352399*^9}, {
   3.889544917395384*^9, 3.8895449493334312`*^9}, {3.896504119230514*^9, 
   3.8965041235149*^9}, {3.896504180860827*^9, 3.89650418316083*^9}, 
   3.896504232770453*^9, {3.901123677335421*^9, 3.90112370859788*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],

Cell[CellGroupData[{

Cell["g-g- t- t (1-loop)", "Section",
 CellChangeTimes->{{3.8965094536222267`*^9, 3.8965095038654137`*^9}, {
  3.9013532598632402`*^9, 3.9013532620752897`*^9}, {3.901353311683537*^9, 
  3.901353312659729*^9}, {3.902499251144042*^9, 3.902499254245419*^9}, {
  3.902695786498644*^9, 
  3.9026957882478437`*^9}},ExpressionUUID->"ef4b8bcd-035e-426e-b53d-\
5b41ce129840"],

Cell["\<\
The choice below for the momenta and the ordering of the particles in the \
process is equivalent to the correct
ordering for computing the effective vertex for the UFO format:
0 \[Rule]4, with {} \[Rule]{-F[9],F[9],V[4],V[4]} and all the momenta set as \
outgoing ({} \[Rule] {p1,p2,p3,p4}).
However the choice below produces nicer diagrams.\
\>", "Text",
 CellChangeTimes->{{3.9049219286801043`*^9, 3.90492205503379*^9}, {
  3.904922124889674*^9, 
  3.90492217759822*^9}},ExpressionUUID->"0387e77c-a00b-42ef-9a25-\
4711057bcd39"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tops", " ", "=", " ", 
   RowBox[{"CreateTopologies", "[", 
    RowBox[{"1", ",", 
     RowBox[{"2", "\[Rule]", "2"}], ",", "  ", 
     RowBox[{"ExcludeTopologies", " ", "->", " ", 
      RowBox[{"{", 
       RowBox[{"TadpoleCTs", ",", "Tadpoles", ",", "SelfEnergies"}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"processGGT", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"V", "[", "4", "]"}], ",", 
      RowBox[{"V", "[", "4", "]"}]}], "}"}], " ", "->", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"F", "[", "9", "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"F", "[", "9", "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"allDiags", " ", "=", " ", 
   RowBox[{"InsertFields", "[", 
    RowBox[{"tops", ",", "processGGT", ",", " ", 
     RowBox[{"InsertionLevel", "\[Rule]", " ", 
      RowBox[{"{", "Particles", "}"}]}], ",", 
     RowBox[{"ExcludeParticles", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"V", "[", "3", "]"}], ",", 
        RowBox[{"V", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "2", "]"}], ",", 
        RowBox[{"S", "[", "3", "]"}], ",", 
        RowBox[{"V", "[", "2", "]"}], ",", 
        RowBox[{"F", "[", "1", "]"}], ",", 
        RowBox[{"F", "[", "2", "]"}], ",", 
        RowBox[{"F", "[", "3", "]"}], ",", 
        RowBox[{"F", "[", "4", "]"}], ",", 
        RowBox[{"F", "[", "5", "]"}], ",", 
        RowBox[{"F", "[", "6", "]"}], ",", 
        RowBox[{"F", "[", "7", "]"}], ",", 
        RowBox[{"F", "[", "8", "]"}], ",", 
        RowBox[{"V", "[", "4", "]"}], ",", 
        RowBox[{"F", "[", "9", "]"}]}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.896509435366342*^9, 3.896509451223157*^9}, {
   3.8965095108569107`*^9, 3.8965095604144707`*^9}, {3.896509597031486*^9, 
   3.896509640069913*^9}, {3.896805347338221*^9, 3.896805359654518*^9}, 
   3.896841303854939*^9, {3.89764273025483*^9, 3.8976427388940477`*^9}, {
   3.901123751032186*^9, 3.9011237607135363`*^9}, {3.901123799723119*^9, 
   3.901123804129807*^9}, {3.901123845511257*^9, 3.901123923954329*^9}, 
   3.901125442045189*^9, {3.901297878026309*^9, 3.9012979927032127`*^9}, {
   3.901995259143754*^9, 3.901995288594748*^9}, {3.901995682314508*^9, 
   3.901995685131485*^9}, {3.901995723688879*^9, 3.901995764512649*^9}, {
   3.902499266492227*^9, 3.902499275236013*^9}, {3.902695791990871*^9, 
   3.902695803373865*^9}, 3.902695840081698*^9, {3.90269588276233*^9, 
   3.9026958834590397`*^9}, {3.904200822815504*^9, 3.9042008413821363`*^9}, {
   3.904200895915654*^9, 3.904200900648234*^9}, 3.904200990902812*^9, {
   3.904297968693286*^9, 3.9042979745325947`*^9}, {3.904755645480644*^9, 
   3.904755659857088*^9}, {3.904921921414453*^9, 3.90492192470621*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"43ad331d-9cbd-485d-8a8d-694b987bd8b5"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"generic model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"Lorentz\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm["generic model ", {"Lorentz"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902695884667351*^9, 3.902820257229068*^9, 3.902835157512622*^9, 
   3.902840112914002*^9, 3.90284640985126*^9, 3.90284683393889*^9, 
   3.9029047657556047`*^9, 3.902905495530694*^9, 3.902905693645959*^9, 
   3.9029197795183477`*^9, 3.904123331598158*^9, 3.904200803281485*^9, 
   3.904200864027258*^9, 3.9042009016347027`*^9, 3.9042009918644457`*^9, {
   3.904214971801084*^9, 3.904214997448908*^9}, 3.9042215511112833`*^9, 
   3.904298031730782*^9, 3.904755705445672*^9, 3.910425703263644*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"12ee1fbd-15bc-4dbd-bdad-0edbea15ca22"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"classes model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"../../Models/SMS-stop-FA/SMS-stop-FA\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm[
   "classes model ", {"../../Models/SMS-stop-FA/SMS-stop-FA"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902695884667351*^9, 3.902820257229068*^9, 3.902835157512622*^9, 
   3.902840112914002*^9, 3.90284640985126*^9, 3.90284683393889*^9, 
   3.9029047657556047`*^9, 3.902905495530694*^9, 3.902905693645959*^9, 
   3.9029197795183477`*^9, 3.904123331598158*^9, 3.904200803281485*^9, 
   3.904200864027258*^9, 3.9042009016347027`*^9, 3.9042009918644457`*^9, {
   3.904214971801084*^9, 3.904214997448908*^9}, 3.9042215511112833`*^9, 
   3.904298031730782*^9, 3.904755705445672*^9, 3.9104257033030148`*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"2e954019-c636-4e04-8200-9965c8cd8347"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"3 Particles insertions\"\>"}],
   SequenceForm["in total: ", "3 Particles insertions"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902695884667351*^9, 3.902820257229068*^9, 3.902835157512622*^9, 
   3.902840112914002*^9, 3.90284640985126*^9, 3.90284683393889*^9, 
   3.9029047657556047`*^9, 3.902905495530694*^9, 3.902905693645959*^9, 
   3.9029197795183477`*^9, 3.904123331598158*^9, 3.904200803281485*^9, 
   3.904200864027258*^9, 3.9042009016347027`*^9, 3.9042009918644457`*^9, {
   3.904214971801084*^9, 3.904214997448908*^9}, 3.9042215511112833`*^9, 
   3.904298031730782*^9, 3.904755705445672*^9, 3.910425703382921*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"634fc603-0385-46e4-b71d-7c147672d9f3"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"goodDiags", "=", 
   RowBox[{"DiagramExtract", "[", 
    RowBox[{"allDiags", ",", 
     RowBox[{"{", 
      RowBox[{"2", ",", "3"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Paint", "[", 
   RowBox[{"goodDiags", ",", 
    RowBox[{"ColumnsXRows", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{"300", ",", "150"}], "}"}]}], ",", 
    RowBox[{"PaintLevel", "\[Rule]", 
     RowBox[{"{", "Particles", "}"}]}], ",", 
    RowBox[{"Numbering", "\[Rule]", "Simple"}], ",", 
    RowBox[{"AutoEdit", "\[Rule]", "True"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.90269638894132*^9, 3.902696392156201*^9}, {
  3.902696427053773*^9, 3.902696441532485*^9}, {3.902820241695332*^9, 
  3.902820243895646*^9}, {3.902820320305406*^9, 3.9028203217905684`*^9}, {
  3.904123321149872*^9, 3.904123363631386*^9}, {3.9042008889390497`*^9, 
  3.9042008906640472`*^9}, {3.904200921849258*^9, 3.9042009294652643`*^9}, {
  3.904214984305624*^9, 3.9042149881385593`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"958d43ee-c814-40c5-a0c8-b0af4f5fa682"],

Cell[BoxData[
 FormBox[
  GraphicsBox[{InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwl1AtQU1caB/CLiGZRIbAgrMoQAZ0IghBEwkabi0trYAUpoMbHphFDjG2A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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {3.7559338900722063, 15.837580190312895},
           ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJw91gtQU1caB/DLQwSLEgRB5NEbRQmKmCoisK0JdhARLUHtxgeWhwlR2g0h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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {3.5985322353830753, 4.84449364667334}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{20.00000000000182, 14.999999999996362`}, {13.5, 
          13.499999999996362`}}], 
         PolygonBox[{{17.334634717416773`, 14.384915704019255`}, {
          16.075421479903724`, 14.504840774258593`}, {16.25530908526273, 
          13.725327817702897`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {16.401467764616925, 15.155506353326661},
           ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{20., 5.}, {13.49999999999909, 6.5}}], 
         PolygonBox[{{16.165365282583227`, 5.884915704019255}, {
          17.424578520096276`, 6.004840774258593}, {17.24469091473727, 
          5.2253278177028974`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {16.401467764616925, 4.84449364667334}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.5, 13.49999999999741}, {6.5, 6.49999999999371}}]}, 
         PolygonBox[{{6.5, 10.6}, {6.1, 9.4}, {6.9, 9.4}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {5.5548, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 13.5}, {13.49999999999741, 13.5}}]}, 
         PolygonBox[{{10.6, 13.5}, {9.4, 13.1}, {9.4, 13.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {10., 14.4452}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 6.5}, {13.49999999999741, 6.5}}]}, 
         PolygonBox[{{9.4, 6.5}, {10.6, 6.1}, {10.6, 6.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {10., 5.5548}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{13.5, 13.49999999999741}, {13.5, 6.49999999999371}}], 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {14.1952, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{6.5, 13.5}], PointBox[{6.5, 6.5}], 
          PointBox[{13.5, 13.5}], PointBox[{13.5, 6.5}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["1",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->10.573426573426573`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            10.573426573426573`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cgdh/efegfhgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cgdh/efegfhgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {0, 0}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwl1AtQU1caB/CLiGZRIbAgrMoQAZ0IghBEwkabi0trYAUpoMbHphFDjG2A
WDtVixQU1BQQU00RZKlZ8UF9RoxFFDCgFDBQUusK1QCZUDUWZEKhEITq/o+b
Gbjzm3vvOd/rnoWpmUlp0yiKOow/cqUY5N88mnr3C6IpPfXqUtbfaEqjSt7a
F0hTtGHjkVfeNCX8456kDc6/ElWxCVYUL15xF9aoJRH3vWjKesZvVyO8cjLt
QhgsjleHG+F/h91ben4u3n/xodcAnNu+S7cIVvSLV7hhP6F7au0NT5pi6tKX
R8OjPxt9kuFbJr/4fXBKef/sGTA13CKtgRnlnf0dHohrkYQ9AQfM2e9/CWZ5
ZLmvXEpTMe6Rn1TA1klRWTYs2KDbXwmz3RzpO7CpKTD2DrmfFF79O3z5kxkz
LbDmhk/PwmCaqiqKXeeB/QScQKc18GdXpdEJMMPM6xbDC2bNu1wIqypPZWXA
3dYTUa1w6eoRdSa8dsiv4i1stLkkSGDuw2x9MPJVRc9PjocDejqHEuDSYrUh
CFbH3Jv8CGZt80lwgKmvhiQimOpq6uxEfEJbjFxAng8SHSuD5WW7A31IPXMG
/xST/PbuLDWReKc/PsuGZannjh2Bu/PCZ42gPibRB42+cKgpqLyJ9LeBd/YC
8k1cfFBZButcErf4wa23xbWk3qZBX/WJv2K/+vXVEnjpSaH4rTv6GZVyeAv8
qPix88cwY0+qQQRrtst+63JDX21ydQaca3BfHg/L3nypKIAlebd+7GAivk93
Zl6HQ3smlvwLVjqfD7LA3j9Mhk+50pRd4frLPMRPsz7YnQZ7Kx9u3AQzWyur
7C6Yl9if4sphRddN7fewklMY2gt3B/Sd/RambuVn+6J+7J/bfr0Ci3O8arbC
Rno+xwyzLKqjJ4JJ3mE9y7C+tqxwtBFmyF0dSmBNQD73OSxZ4yh1Qnzmi/eZ
b+FHcueXq2HtjYHLs0IQj7iTk0PyWZNTT6xYLJ+4SRzJ2UOeVz5wCe6HaZ9a
1Qs4pbnRzxH1YDx9n9cMCz52ueMO22/bPU/BofctB11hlsiwQEbmrUDcMY73
7fHfnQgj87b2UPMDst6640N25GsvGv5cSdzZWKOH66y7OsLg0msDnxXCeteK
uV8jH6u8qmgLrNIVpZP6yGrYweGwN2/4zddzUK9AXoQHbG6qito9G/0XlbAo
WDPYGx83C3MbGWkfR3+4XU2PfZ2Rd+jeNVOw7M+HOVMMXA0pc+eQ+avM+s46
E/Ef83y5BM4dMDAHZyAOhqz5Q7iK/Sx7Diz2urIyD+ZO5u5PckI9WphZdbB2
ce7Cu9OxfnH75knSf+5vfeth65PWL1Yhf+1zv0wvcn/rtY25cCtPcm8abNan
SUn/bPUGb0+4dOCXkDfk+7XkM+PgRNpJuhz9EXBNveWw3t1zRiosa0hROmJ/
QVvt9kMw7c8L2kfiWV/Hr4Bbv7iWNArbzaxHVSFknm6vkyN+Vfpa0wW4tOMH
dTfcXdJ18hSsPa1zDUP+ihZbywGYkdf3ZQYsFO28IIKpBUX1BbA9vbGHQ9aT
a6YfgMUZt9MpMj9jrxckwObNbE0b4qd1Gw7YsL5QYB5QkXmJ3ZAhg622xqdC
cj4cmm2uQXxa3asRf9g8MS/bgvxCU6JPjpL+bYtWvHLE+p2coXZSz4vDYX3T
kNced+NV0q+IRTF3HbDvROU18j0l+kb3f0PhveEnhWrYuL1E1PWGT5lnbn1G
zhsjx+nM8Sk+pY8Kq71ELFmxKuM1nxIse5nbBlMX647ss/MpdhyLS85TzVGN
pXEMnhm1IwDxaRpEQUl/8Cnutw85Ilg/JovljPKpxPbNmRWwIs/8RDqC/dIH
a/pIv7eMOw7/zqfsP311xI/Ut2ws9UdYYK5K3g6zJNIlE3Bo8sT507Be889N
MrwvG4nj/Zc8f33En4n1uxl5btOWIb6kNKkF9q4+ezgAFrM2vNeJeFSXXdJ4
sN4h73oz4m39S9Tw+7DWrBTrxvn4nuTD/yCetKwqQH6KHf7aCJj1WhkdOYHn
Px+3z4eZTQ/crsDWqdVMO/ZXJew71QfTdMs5A5mvq4uKmmGj1NpUSuJV/L1B
CFed597cRs6TX59llmB9oWn5GJvE78VOy8H+dg+O2zCpzyVjrxepZ3Wxsg5m
rm9I34F8bGei7xwl55lHROVe1CN3U69BSr4Hf9V/hDbY5FEQS+Yjv9k/eBD5
BJV/FEnmx+1TxuEXfIr5Xmw0OV/oIu+DvRbkVzn93Lv7gelrq03Ix+35/jg4
9+npmJBHeN61PXInue9g3fu0leyf0nKcuHt2zzffIz/ntxfJ+fbup6j//zWE
/h+5WxIO
          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {3.7559338900722063, 15.837580190312895},
           ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJw91gtQU1caB/DLQwSLEgRB5NEbRQmKmCoisK0JdhARLUHtxgeWhwlR2g0h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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {3.5985322353830753, 4.84449364667334}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{20., 15.000000000001819`}, {13.500000000001819`, 
          6.500000000003638}}], 
         PolygonBox[{{17.114470064542477`, 11.226614699786317`}, {
          16.067786802266646`, 10.516365343242}, {16.7032730686484, 
          10.030405257185365`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {18.10537595300576, 13.697060324257649}, 
          ImageScaled[{1, 0}]], 
         LineBox[{{20.00000000000182, 5.}, {13.500000000001819`, 13.5}}], 
         PolygonBox[{{16.385529935457523`, 9.726614699786317}, {
          17.432213197733354`, 9.016365343242002}, {16.7967269313516, 
          8.530405257185363}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {17.955999391685353, 6.5528838552258195},
           ImageScaled[{1, 1}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.5, 13.49999999999741}, {6.5, 6.49999999999371}}]}, 
         PolygonBox[{{6.5, 9.4}, {6.1, 10.6}, {6.9, 10.6}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {5.5548, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 13.5}, {13.49999999999741, 13.5}}]}, 
         PolygonBox[{{9.4, 13.5}, {10.6, 13.1}, {10.6, 13.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {10., 14.4452}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.499999999998151, 6.5}, {13.49999999999741, 6.5}}]}, 
         PolygonBox[{{10.6, 6.5}, {9.4, 6.1}, {9.4, 6.9}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {10., 5.5548}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{13.5, 6.5}, {13.5, 13.5}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {12.8048, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{6.5, 13.5}], PointBox[{6.5, 6.5}], 
          PointBox[{13.5, 6.5}], PointBox[{13.5, 13.5}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["2",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->10.573426573426573`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            10.573426573426573`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cgdh/efehfggh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cgdh/efehfggh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {22, 0}, {0, 0}, {22, 22}], InsetBox[
     TagBox[
      StyleBox[
       TagBox["G",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {13., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["G",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {17.5, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["\[RightArrow]",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {22., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {26.5, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {31., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]]},
   AspectRatio->0.65,
   ImageSize->{300, 150},
   PlotRange->{{0, 44}, {0, 28.6}}], TraditionalForm]], "Print",
 CellChangeTimes->{3.904214997588423*^9, 3.904221551354457*^9, 
  3.904298031887183*^9, 3.904755705659279*^9, 3.9104257034210663`*^9},
 CellLabel->
  "During evaluation of \
In[13]:=",ExpressionUUID->"cb614df4-0ee5-45e5-8fb4-744e90491af6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampA", "=", 
   RowBox[{
    RowBox[{"FCFAConvert", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"CreateFeynAmp", "[", 
        RowBox[{"goodDiags", ",", 
         RowBox[{"PreFactor", "\[Rule]", "1"}], ",", 
         RowBox[{"Truncated", "\[Rule]", "True"}]}], "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{"SUNT", "\[Rule]", "FASUNT"}], "}"}]}], ",", 
      RowBox[{"IncomingMomenta", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "p4"}], "}"}]}], ",", 
      RowBox[{"LorentzIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}]}], ",", 
      RowBox[{"OutgoingMomenta", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "p2"}], ",", 
         RowBox[{"-", "p1"}]}], "}"}]}], ",", 
      RowBox[{"LoopMomenta", "\[Rule]", 
       RowBox[{"{", "q", "}"}]}], ",", 
      RowBox[{"SUNIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"cc3", ",", "cc4", ",", "aa", ",", "bb"}], "}"}]}], ",", 
      RowBox[{"SUNFIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"a", ",", "b", ",", "c2", ",", "c1"}], "}"}]}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"DropSumOver", "\[Rule]", "True"}], ",", 
      RowBox[{"SMP", "\[Rule]", "True"}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"Contract", "\[Rule]", "True"}], ",", 
      RowBox[{"ChangeDimension", "\[Rule]", "D"}], ",", 
      RowBox[{"UndoChiralSplittings", "\[Rule]", "True"}], ",", 
      RowBox[{"FinalSubstitutions", "\[Rule]", " ", 
       RowBox[{"(", 
        RowBox[{"M$FACouplings", "/.", 
         RowBox[{"GS", "\[Rule]", "gs"}]}], ")"}]}]}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"GS", "\[Rule]", "gs"}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ampB", " ", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"DiracSimplify", "[", 
    RowBox[{"FCReplaceMomenta", "[", 
     RowBox[{
      RowBox[{"SUNSimplify", "[", 
       RowBox[{"DiracSimplify", "[", "ampA", "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"p4", "\[Rule]", " ", 
        RowBox[{
         RowBox[{"-", "p1"}], "-", "p2", "-", "p3"}]}], "}"}]}], "]"}], "]"}],
    "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.896504341489764*^9, 3.8965043872503223`*^9}, 
   3.896504422981164*^9, {3.896509688254932*^9, 3.896509693455044*^9}, {
   3.896509733273226*^9, 3.896509733544258*^9}, {3.8976428454285517`*^9, 
   3.897642856782288*^9}, 3.898334618925084*^9, {3.901298016999733*^9, 
   3.901298048911278*^9}, {3.901298131259605*^9, 3.901298131462916*^9}, 
   3.9013488041081133`*^9, {3.901349018123371*^9, 3.901349037377063*^9}, {
   3.901349069971529*^9, 3.901349118636595*^9}, {3.9013491506530247`*^9, 
   3.9013491851372757`*^9}, {3.901349215213161*^9, 3.901349216233016*^9}, {
   3.90135334948783*^9, 3.90135337690655*^9}, {3.901995859350791*^9, 
   3.901995929758333*^9}, {3.901995977654697*^9, 3.901996007951997*^9}, {
   3.901996043912334*^9, 3.901996095297839*^9}, {3.901996289564934*^9, 
   3.901996351869937*^9}, 3.902002030165564*^9, 3.902212418738583*^9, {
   3.902212449286343*^9, 3.902212455252392*^9}, {3.902212523864539*^9, 
   3.902212551050861*^9}, {3.902499284643197*^9, 3.902499285068048*^9}, {
   3.90269645597514*^9, 3.9026964695443373`*^9}, 3.904200956636093*^9, {
   3.9042010338233337`*^9, 3.904201039630027*^9}, {3.904201177293912*^9, 
   3.904201192104247*^9}, {3.9042012316229687`*^9, 3.904201231789647*^9}, {
   3.9042124142725363`*^9, 3.904212428973949*^9}, {3.904213333712811*^9, 
   3.90421333497436*^9}, {3.904213450543627*^9, 3.90421345839003*^9}, {
   3.9042979863485193`*^9, 3.904298015644321*^9}, {3.904755665096032*^9, 
   3.904755691250296*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"5a52141a-7dc9-4e9b-bc39-5d5191cafd6e"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"2 Particles amplitudes\"\>"}],
   SequenceForm["in total: ", "2 Particles amplitudes"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.9042149976087027`*^9, 3.904221551387916*^9, 
  3.90429803190831*^9, 3.9047557056831703`*^9, 3.9104257034412937`*^9},
 CellLabel->
  "During evaluation of \
In[15]:=",ExpressionUUID->"da83eb6d-0ca2-4d97-8592-d0415261eab2"],

Cell[BoxData[
 FormBox[
  RowBox[{
   SuperscriptBox["gs", "2"], " ", 
   SuperscriptBox["yDM", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       FormBox[
        FormBox["q",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], "+", 
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], "+", 
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox[
       FormBox[
        FormBox["q",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FormBox[
      FractionBox[
       RowBox[{
        SubscriptBox[
         RowBox[{"(", 
          SuperscriptBox["T", 
           FormBox[
            FormBox["cc3",
             TraditionalForm],
            TraditionalForm]], 
          SuperscriptBox["T", 
           FormBox[
            FormBox["cc4",
             TraditionalForm],
            TraditionalForm]], ")"}], 
         RowBox[{
          FormBox[
           FormBox["c2",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["c1",
            TraditionalForm],
           TraditionalForm]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p3",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["q",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["q",
              TraditionalForm],
             TraditionalForm], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           FeynCalc`Pair[
            FeynCalc`Momentum[$CellContext`q, D], 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                RowBox[{"-", 
                 FormBox["p1",
                  TraditionalForm]}], "-", 
                FormBox["p2",
                 TraditionalForm], "-", 
                FormBox["p3",
                 TraditionalForm], "+", 
                FormBox["q",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           
           FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p2, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D], -
             FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p2, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                RowBox[{"-", 
                 FormBox["p2",
                  TraditionalForm]}], "-", 
                FormBox["p3",
                 TraditionalForm], "+", 
                FormBox["q",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mChi", "2"]}],
          SequenceForm[
           
           FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p2, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D], -
             FeynCalc`Momentum[$CellContext`p2, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mChi^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                FormBox["q",
                 TraditionalForm], "-", 
                FormBox["p3",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           
           FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D], -
             FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}]}]],
      TraditionalForm], "-", 
     FormBox[
      FractionBox[
       RowBox[{
        SubscriptBox[
         RowBox[{"(", 
          SuperscriptBox["T", 
           FormBox[
            FormBox["cc4",
             TraditionalForm],
            TraditionalForm]], 
          SuperscriptBox["T", 
           FormBox[
            FormBox["cc3",
             TraditionalForm],
            TraditionalForm]], ")"}], 
         RowBox[{
          FormBox[
           FormBox["c2",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["c1",
            TraditionalForm],
           TraditionalForm]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p3",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["q",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["q",
              TraditionalForm],
             TraditionalForm], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           FeynCalc`Pair[
            FeynCalc`Momentum[$CellContext`q, D], 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                RowBox[{"-", 
                 FormBox["p1",
                  TraditionalForm]}], "-", 
                FormBox["p2",
                 TraditionalForm], "-", 
                FormBox["p3",
                 TraditionalForm], "+", 
                FormBox["q",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           
           FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p2, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D], -
             FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p2, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                RowBox[{"-", 
                 FormBox["p1",
                  TraditionalForm]}], "-", 
                FormBox["p3",
                 TraditionalForm], "+", 
                FormBox["q",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mChi", "2"]}],
          SequenceForm[
           
           FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D], -
             FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mChi^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                FormBox["q",
                 TraditionalForm], "-", 
                FormBox["p3",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           
           FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D], -
             FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}]}]],
      TraditionalForm]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.904212430266988*^9, 3.90421322308351*^9, 3.904213336003209*^9, 
   3.9042134596080437`*^9, {3.904214972073925*^9, 3.904214999266431*^9}, 
   3.904221552741938*^9, 3.904298033450495*^9, 3.9047557075134897`*^9, 
   3.910425705377307*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"2f89b6e1-b8e6-4d61-b033-0344150435b2"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampC", " ", "=", 
   RowBox[{"(", " ", 
    RowBox[{
     RowBox[{"TID", "[", 
      RowBox[{"ampB", ",", "q", ",", 
       RowBox[{"UsePaVeBasis", "\[Rule]", "True"}], ",", 
       RowBox[{"PaVeAutoReduce", "\[Rule]", "True"}], ",", 
       RowBox[{"ToPaVe", "\[Rule]", "True"}]}], "]"}], "//", "Simplify"}], 
    ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.896509111627067*^9, 3.8965091179320707`*^9}, {
   3.896857476277534*^9, 3.896857478544798*^9}, {3.896857892254889*^9, 
   3.896857897498136*^9}, {3.8968600126611347`*^9, 3.896860074501936*^9}, {
   3.896868316408643*^9, 3.896868320829083*^9}, {3.896868469404072*^9, 
   3.8968684720495863`*^9}, {3.901353413353354*^9, 3.901353415032837*^9}, {
   3.901356068397993*^9, 3.901356107923538*^9}, 3.9013561414214*^9, {
   3.902500853301231*^9, 3.9025008540998373`*^9}, {3.9025012796660748`*^9, 
   3.902501280071103*^9}, 3.9026964864094257`*^9, 3.9028204567924147`*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"06a8e269-5cb2-4b62-a697-d170ac6d7257"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp", "=", 
   RowBox[{"ExpandScalarProduct", "[", 
    RowBox[{"DiracSimplify", "[", 
     RowBox[{"ampC", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "7", "]"}], "\[Rule]", 
        RowBox[{"1", "-", 
         RowBox[{"DiracGamma", "[", "6", "]"}]}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.9024998400661173`*^9, 3.902499861566798*^9}, {
   3.902500906212543*^9, 3.902500915837338*^9}, {3.902501305751494*^9, 
   3.9025013086801643`*^9}, {3.902501409946024*^9, 3.9025014229505053`*^9}, 
   3.902820501793391*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"43441d51-a20d-450c-b509-d29ed105f933"]
}, Open  ]],

Cell[CellGroupData[{

Cell["On - Shell Case", "Section",
 CellChangeTimes->{{3.897535932870885*^9, 3.897535942120082*^9}, {
  3.902820582587159*^9, 
  3.902820597078238*^9}},ExpressionUUID->"c66a4f73-c531-4186-8bab-\
f6d375288a38"],

Cell["\<\
since we are only interested in q q -> tt or gg -> tt, the t - t - g - g \
vertex only contributes when all external particles are on - shell, so we \
make use of this to simplify the final expressions\
\>", "Text",
 CellChangeTimes->{{3.902820599571072*^9, 3.9028206581285563`*^9}, 
   3.904298059579528*^9},ExpressionUUID->"92744356-ec81-401d-86ad-\
a5b3268efc79"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"FCClearScalarProducts", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetMandelstam", "[", 
   RowBox[{
   "s", ",", "t", ",", "u", ",", "p1", ",", "p2", ",", "p3", ",", "p4", ",", 
    "MT", ",", "MT", ",", "0", ",", "0"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.896868788568323*^9, 3.8968688046125517`*^9}, {
  3.9023065887581863`*^9, 3.902306602351069*^9}, {3.9023074265394287`*^9, 
  3.90230744953404*^9}, {3.90420106127922*^9, 3.904201064101462*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"21c28cc9-78cc-493a-8e9d-e3db3d3d66f0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp2", "=", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"DiracSimplify", "[", "ampEsimp", "]"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "+", "t", "+", "u"}], "\[Rule]", " ", 
      RowBox[{"2", " ", 
       RowBox[{"MT", "^", "2"}]}]}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8968702657704163`*^9, 3.896870270501532*^9}, 
   3.897626114424445*^9, {3.901353474569372*^9, 3.9013534792628736`*^9}, {
   3.902003888994928*^9, 3.902003896804656*^9}, 3.90231357479678*^9, {
   3.902314316246944*^9, 3.902314320210186*^9}, 3.9024778967347603`*^9, 
   3.902480680755433*^9, {3.90282067169729*^9, 3.902820675040663*^9}, {
   3.902820744792622*^9, 3.902820753918705*^9}, {3.902820892511259*^9, 
   3.902820894424864*^9}, {3.9028209637649717`*^9, 3.9028209647547293`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"bc762fab-86b5-4590-998b-422598353fb3"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check Divergences", "Section",
 CellChangeTimes->{{3.902480686022114*^9, 
  3.9024806942961273`*^9}},ExpressionUUID->"cdcb0115-437e-4cb6-9540-\
49966dff4f33"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"lInts", " ", "=", " ", 
   RowBox[{"Cases2", "[", 
    RowBox[{"ampEsimp2", ",", 
     RowBox[{"{", 
      RowBox[{"A0", ",", "B0", ",", "C0", ",", "D0", ",", "PaVe"}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lInts", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"PaXEvaluateUV", "[", 
      RowBox[{"lInts", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"Length", "[", "lInts", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.902482203506691*^9, {3.90248395233785*^9, 3.9024839596231403`*^9}, 
   3.902494215243495*^9, 3.902496155984209*^9, {3.902820692388126*^9, 
   3.902820708341589*^9}, {3.904201106322115*^9, 3.904201114053097*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"036cb773-85c6-463d-b6b4-1cb4bfa0189a"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FormBox[
       TagBox[
        FormBox[
         RowBox[{
          SubscriptBox["\<\"D\"\>", "\<\"0\"\>"], "(", 
          RowBox[{
           SuperscriptBox["MT", "2"], ",", 
           SuperscriptBox["MT", "2"], ",", "0", ",", "0", ",", "s", ",", "t", 
           ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm],
        HoldForm],
       TraditionalForm], "0"},
     {
      FormBox[
       TagBox[
        FormBox[
         RowBox[{
          SubscriptBox["\<\"D\"\>", "\<\"0\"\>"], "(", 
          RowBox[{
           SuperscriptBox["MT", "2"], ",", 
           SuperscriptBox["MT", "2"], ",", "0", ",", "0", ",", "s", ",", "u", 
           ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm],
        HoldForm],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"1\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"1\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"2\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"2\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"3\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"3\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"00\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"00\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"11\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"11\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"12\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"12\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"13\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"13\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"22\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"22\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"23\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"23\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"33\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"33\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"001\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"001\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"002\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"002\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"003\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"003\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"111\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"111\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"112\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"112\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"113\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"113\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"122\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"122\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"123\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"123\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"133\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"133\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"222\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"222\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"223\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"223\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"233\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"233\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"333\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "t", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"D\"\>", "\<\"333\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "u", ",", "0", ",", "s", ",", "0", 
         ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.90282071248466*^9, 3.90282093074702*^9, 
  3.90282098453024*^9, 3.9028352126594753`*^9, 3.902840147738203*^9, 
  3.902846451764804*^9, 3.902846867693008*^9, 3.902904787517174*^9, 
  3.9029055167178297`*^9, 3.902905714490374*^9, 3.902919800909986*^9, 
  3.904123355660323*^9, 3.904201115565566*^9, 3.904201219514638*^9, 
  3.9042012670472918`*^9, 3.90421497224656*^9, 3.904215018662284*^9, 
  3.904221584084448*^9, 3.904298083050334*^9, 3.904755728725752*^9, 
  3.9104257288859158`*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"18051f3d-2771-49d0-b989-47ef829e029b"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Replace D - integrals by short names", "Subsection",
 CellChangeTimes->{{3.902821245790786*^9, 
  3.902821266255348*^9}},ExpressionUUID->"04efe739-0f35-4704-9e33-\
58ac1af31c0a"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"args1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"MT", "^", "2"}], ",", "a_", ",", "0", ",", "s", ",", "0", ",", 
     RowBox[{"MT", "^", "2"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"args2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"mST", "^", "2"}], ",", 
     RowBox[{"mChi", "^", "2"}], ",", 
     RowBox[{"mST", "^", "2"}], ",", 
     RowBox[{"mST", "^", "2"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"argsNew", "=", 
   RowBox[{"{", 
    RowBox[{"s", ",", "a_"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.9042981232032547`*^9, 3.9042981908899097`*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"4e1aaa58-e6d7-4d06-a4bd-40614e7bb762"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"PVsubs", " ", "=", 
   RowBox[{"{", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"PaVe", "[", 
       RowBox[{
       "r_", ",", "n1_", ",", "n2_", ",", "args1", ",", "args2", ",", 
        "z___"}], "]"}], "\[RuleDelayed]", 
      RowBox[{"ToExpression", "[", 
       RowBox[{"StringJoin", "[", " ", 
        RowBox[{"\"\<D\>\"", ",", 
         RowBox[{"ToString", "[", "r", "]"}], ",", 
         RowBox[{"ToString", "[", "n1", "]"}], ",", 
         RowBox[{"ToString", "[", "n2", "]"}], ",", "\"\<[s,\>\"", ",", 
         RowBox[{"ToString", "[", "a", "]"}], ",", "\"\<]\>\""}], "]"}], 
       "]"}]}], ")"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PVsubs", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"PVsubs", ",", 
     RowBox[{"{", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"PaVe", "[", 
         RowBox[{"r_", ",", "n1_", ",", "args1", ",", "args2", ",", "z___"}], 
         "]"}], "\[RuleDelayed]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{"StringJoin", "[", " ", 
          RowBox[{"\"\<D\>\"", ",", 
           RowBox[{"ToString", "[", "r", "]"}], ",", 
           RowBox[{"ToString", "[", "n1", "]"}], ",", "\"\<[s,\>\"", ",", 
           RowBox[{"ToString", "[", "a", "]"}], ",", "\"\<]\>\""}], "]"}], 
         "]"}]}], ")"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PVsubs", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"PVsubs", ",", 
     RowBox[{"{", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"PaVe", "[", 
         RowBox[{"r_", ",", "args1", ",", "args2", ",", "z___"}], "]"}], 
        "\[RuleDelayed]", 
        RowBox[{"ToExpression", "[", 
         RowBox[{"StringJoin", "[", " ", 
          RowBox[{"\"\<D\>\"", ",", 
           RowBox[{"ToString", "[", "r", "]"}], ",", "\"\<[s,\>\"", ",", 
           RowBox[{"ToString", "[", "a", "]"}], ",", "\"\<]\>\""}], "]"}], 
         "]"}]}], ")"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PVsubs", " ", "=", " ", 
   RowBox[{"Join", "[", 
    RowBox[{"PVsubs", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"D0", "[", 
        RowBox[{
         RowBox[{"MT", "^", "2"}], ",", 
         RowBox[{"MT", "^", "2"}], ",", "0", ",", "0", ",", "s", ",", "a_", 
         ",", 
         RowBox[{"mST", "^", "2"}], ",", 
         RowBox[{"mChi", "^", "2"}], ",", 
         RowBox[{"mST", "^", "2"}], ",", 
         RowBox[{"mST", "^", "2"}]}], "]"}], "\[Rule]", 
       RowBox[{"ToExpression", "[", 
        RowBox[{"StringJoin", "[", " ", 
         RowBox[{"\"\<D0[s,\>\"", ",", 
          RowBox[{"ToString", "[", "a", "]"}], ",", "\"\<]\>\""}], "]"}], 
        "]"}]}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQzXxnTimXyFtHmz/Tu0B0TRLfTBAduNFvFog2aS68
BaJ3LTx7D0SrNcWqcwNpndLlGiBaKCv2JR+QXmMa/B5EKzZfMhcE0t633oDp
4KhvG8WA9BsHz20g2sMo9jGInmp+/DWIlpk8hc0YSM/wW8QBotk2WkqCaNbO
3WA6iG+TEoj+N+0jmE6dGV81QQwonrsETP+Kme+zBkj/6b0XBqI5TX5Fg+gv
DNtiQHT2ifIUEH1nlmQaiE7qN88C0YxO04pA9H9h4XIQrZVeWQWiVVbvf3gb
SPv5T3sEorn29r8C0fcWnPsGogH4sYhn
  "],
 CellLabel->"In[27]:=",ExpressionUUID->"4761c9c8-8d93-4bda-88a2-98e7b37f8b5c"],

Cell[CellGroupData[{

Cell["Check replacements", "Subsubsection",
 CellChangeTimes->{{3.902821465136146*^9, 
  3.902821471094702*^9}},ExpressionUUID->"0fa3cbfe-cf69-4ee1-883f-\
11a73ba7486f"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"lInts", "[", 
       RowBox[{"[", "i", "]"}], "]"}], ",", 
      RowBox[{
       RowBox[{"lInts", "[", 
        RowBox[{"[", "i", "]"}], "]"}], "/.", "PVsubs"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "lInts", "]"}]}], "}"}]}], "]"}], ";"}]], "Input",\

 CellChangeTimes->{{3.902821481405858*^9, 3.902821524511838*^9}, 
   3.9028216231180477`*^9, {3.9042017145603228`*^9, 3.904201745433374*^9}, {
   3.904298940162129*^9, 3.9042989572801657`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"fa912101-4eb7-4e6a-8081-b63328282d02"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp3", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"ampEsimp2", "/.", "PVsubs"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.902006049343294*^9, 3.902006222206018*^9}, {
   3.902499377848444*^9, 3.9024994139914494`*^9}, {3.9024994497647457`*^9, 
   3.902499526750355*^9}, 3.902499865964862*^9, {3.902500981317378*^9, 
   3.902501009478753*^9}, 3.902501044862177*^9, {3.9025013594583073`*^9, 
   3.902501377225245*^9}, {3.902501438035015*^9, 3.902501442446916*^9}, {
   3.9028216322993727`*^9, 3.902821648342641*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"fbcdcefe-1971-42eb-ac43-3f737a98f6f6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"spinorChains1", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"Cases", "[", 
     RowBox[{
      RowBox[{"{", "ampEsimp3", "}"}], ",", 
      RowBox[{"DiracGamma", "[", "___", "]"}], ",", "All"}], "]"}], "]"}], 
   "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"spinorChains2", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"Cases", "[", 
     RowBox[{
      RowBox[{"{", "ampEsimp3", "}"}], ",", 
      RowBox[{
       RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
       RowBox[{"DiracGamma", "[", "___", "]"}]}], ",", "All"}], "]"}], "]"}], 
   "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"spinorChains3", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"Cases", "[", 
     RowBox[{
      RowBox[{"{", "ampEsimp3", "}"}], ",", 
      RowBox[{
       RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
       RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
       RowBox[{"DiracGamma", "[", "___", "]"}]}], ",", "All"}], "]"}], "]"}], 
   "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"allTerms", "=", 
   RowBox[{"Sort", "[", 
    RowBox[{"Join", "[", 
     RowBox[{"spinorChains1", ",", "spinorChains2"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"pairs1", "=", 
  RowBox[{"Cases2", "[", 
   RowBox[{"ampEsimp3", ",", "Pair"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"su3prods", "=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"Cases2", "[", 
     RowBox[{"ampEsimp3", ",", "SUNTF"}], "]"}], ",", 
    RowBox[{"Cases2", "[", 
     RowBox[{"ampEsimp3", ",", "SUNF"}], "]"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pairs2", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"pairs1", "[", 
        RowBox[{"[", "i", "]"}], "]"}], " ", 
       RowBox[{"pairs1", "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "pairs1", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"i", "+", "1"}], ",", 
        RowBox[{"Length", "[", "pairs1", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"allPairs", "=", 
   RowBox[{"Join", "[", 
    RowBox[{"pairs1", ",", "pairs2"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.902004519129347*^9, 3.902004521573133*^9}, {
   3.9024993621311407`*^9, 3.902499365485036*^9}, 3.9025010551325293`*^9, {
   3.902501154463344*^9, 3.902501170246736*^9}, {3.902501286056847*^9, 
   3.90250128992085*^9}, {3.902562352509832*^9, 3.9025624473631763`*^9}, {
   3.902562496234622*^9, 3.902562498523637*^9}, {3.902562641871879*^9, 
   3.9025626440429153`*^9}, {3.902821744815242*^9, 3.902821776304275*^9}, {
   3.9028253191017942`*^9, 3.902825332691965*^9}, {3.902826100334496*^9, 
   3.90282621796178*^9}, {3.902826944826758*^9, 3.90282697489795*^9}, 
   3.9028270445231524`*^9, {3.9028272945696783`*^9, 3.9028273029413958`*^9}, {
   3.902835325313148*^9, 3.9028353308820057`*^9}, {3.902835362913858*^9, 
   3.9028354146986217`*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"ad8fe673-0499-4082-ba6e-5ecbb4eeb7a5"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm]}], ",", 
    SuperscriptBox[
     OverscriptBox["\[Gamma]", "_"], 
     FormBox["6",
      TraditionalForm]], ",", 
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p3",
       TraditionalForm],
      TraditionalForm]}], ",", 
    SuperscriptBox["\[Gamma]", 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox["\[Gamma]", 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, 3.904123359293345*^9, 3.904201753560876*^9, 
   3.9042149722755623`*^9, 3.904215022586258*^9, 3.9042215899739923`*^9, 
   3.904298966119873*^9, 3.90475573387148*^9, 3.91042573387105*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"6682131f-ae28-4ced-b0c9-2ed67943492c"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, 3.904123359293345*^9, 3.904201753560876*^9, 
   3.9042149722755623`*^9, 3.904215022586258*^9, 3.9042215899739923`*^9, 
   3.904298966119873*^9, 3.90475573387148*^9, 3.9104257338726892`*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"68a6cdb7-6ff7-4a4a-b789-29e963090486"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, 3.904123359293345*^9, 3.904201753560876*^9, 
   3.9042149722755623`*^9, 3.904215022586258*^9, 3.9042215899739923`*^9, 
   3.904298966119873*^9, 3.90475573387148*^9, 3.9104257338736153`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"e225f488-f9ea-4efa-b1fe-ecd5c1d56144"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SuperscriptBox["g", 
     RowBox[{
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]}]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p3",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p3",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, 3.904123359293345*^9, 3.904201753560876*^9, 
   3.9042149722755623`*^9, 3.904215022586258*^9, 3.9042215899739923`*^9, 
   3.904298966119873*^9, 3.90475573387148*^9, 3.9104257338743267`*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"ed0030e9-df1f-4ddd-a69f-25aa8dfeda8f"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]], ",", 
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, 3.904123359293345*^9, 3.904201753560876*^9, 
   3.9042149722755623`*^9, 3.904215022586258*^9, 3.9042215899739923`*^9, 
   3.904298966119873*^9, 3.90475573387148*^9, 3.9104257338752403`*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"7f2a0a58-6c8b-420a-90ec-df5ef21fbbfc"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Coefficients for each term", "Subsection",
 CellChangeTimes->{{3.902214189329135*^9, 
  3.9022142008054123`*^9}},ExpressionUUID->"130c3f92-52d7-4153-aa44-\
54f806159158"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"su3Terms", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"c", "=", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{"Coefficient", "[", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"Expand", "[", "ampEsimp3", "]"}], ",", 
             RowBox[{"su3prods", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
           RowBox[{"allTerms", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"allPairs", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"c", "\[Equal]", "0"}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Count", "[", 
         RowBox[{"c", ",", 
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", "Infinity"}], "]"}], 
        "\[NotEqual]", "0"}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Count", "[", 
         RowBox[{"c", ",", 
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", "D"}], "]"}], ",", "Infinity"}], "]"}], 
        "\[NotEqual]", "0"}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"c", "=", " ", 
      RowBox[{"Simplify", "[", 
       FractionBox["c", 
        RowBox[{"I", " ", 
         RowBox[{"Pi", "^", "2"}], " ", 
         RowBox[{"gs", "^", "2"}], " ", 
         RowBox[{"yDM", "^", "2"}]}]], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"su3prods", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"allTerms", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{"allPairs", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", "c"}], "}"}]}], "]"}], ";"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "su3prods", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", 
      RowBox[{"Length", "[", "allTerms", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", 
      RowBox[{"Length", "[", "allPairs", "]"}]}], "}"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQLaIiZsot8taRJ/mWJYi+8XC1K4hOELnpC6L15HcF
gujOi5VBIPqEKl8siI4JaQHTE7dzZPMAaR1miRwQ3f+XqxBEq7mcKQLRV26w
d4DoE5wWnSB6w5y4XhBtkPgOTD+w45kEojel7ZgJoifFts8D0dn/D4BpluS2
JSC6Y7/echCtVOu7CUTv+H90B4j+1z1xH4jenrj4OIg2UZG7B6JFNk+9D6Il
AvRfgGgxm04w/Uej4R2Itjh99z2IVrXPcOUF0lIXpPxA9Azl2fEg+inPnSQQ
nWXfUwyiA9kOgmkAt1J6tA==
  "],
 CellLabel->"In[41]:=",ExpressionUUID->"6667fac9-e0da-42fe-b6c0-7735bb9a6130"],

Cell[CellGroupData[{

Cell["Check that all terms have been correctly split", "Subsubsection",
 CellChangeTimes->{{3.902827486105904*^9, 
  3.902827503262466*^9}},ExpressionUUID->"b9f77ccd-a0e1-4e16-99f6-\
92ac0851ba00"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampTot", " ", "=", " ", 
   RowBox[{"I", " ", 
    RowBox[{"Pi", "^", "2"}], " ", 
    RowBox[{"gs", "^", "2"}], " ", 
    RowBox[{"yDM", "^", "2"}], " ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "1"}], "]"}], "]"}], " ", 
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "2"}], "]"}], "]"}], " ", 
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "3"}], "]"}], "]"}], 
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "4"}], "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "su3Terms", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"ampTot", "-", "ampEsimp3"}], "]"}]}], "Input",
 CellChangeTimes->{{3.9028275071397533`*^9, 3.902827606277204*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"c29fc955-e362-4a44-b536-a921c6c6c6ed"],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827583731225*^9, 3.902827607943882*^9}, 
   3.902830511145458*^9, 3.9028352206331587`*^9, 3.902835429530231*^9, 
   3.902840163711895*^9, 3.902846467572225*^9, 3.902846881105599*^9, 
   3.9029047963437567`*^9, 3.90290552536092*^9, 3.902905722902964*^9, 
   3.902919809293633*^9, 3.9041233646084223`*^9, 3.904201771255352*^9, 
   3.904214972303516*^9, 3.904215030238311*^9, 3.904221602574717*^9, 
   3.904298988149398*^9, 3.9047557445444517`*^9, 3.9104257425476294`*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"4683ab2e-c414-4c83-b1df-9313cc7f2106"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["su3Terms"], "Input",
 CellChangeTimes->{{3.90284088211617*^9, 3.9028408839498787`*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"bafdad2f-3e2a-4990-8ece-22a229f0b9d3"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D003", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D001", "(", 
             RowBox[{"s", ",", "u"}], ")"}], "+", 
            RowBox[{"D003", "(", 
             RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D002", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{"4", " ", 
       RowBox[{"D003", "(", 
        RowBox[{"s", ",", "u"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D001", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"D003", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D002", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{"4", " ", 
       RowBox[{"D003", "(", 
        RowBox[{"s", ",", "u"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D113", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"2", " ", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"D233", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"D3", "(", 
        RowBox[{"s", ",", "u"}], ")"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D33", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"4", " ", 
         RowBox[{"D123", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D13", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D23", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"D233", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"D3", "(", 
        RowBox[{"s", ",", "u"}], ")"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D33", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D223", "(", 
           RowBox[{"s", ",", "u"}], ")"}], "+", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}], "+", 
       RowBox[{"D3", "(", 
        RowBox[{"s", ",", "u"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"D001", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"D003", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D33", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D113", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D13", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D33", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D1", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"D11", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D113", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D13", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D33", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D1", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D11", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D111", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"6", " ", 
          RowBox[{"D113", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"6", " ", 
          RowBox[{"D13", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"6", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D33", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D1", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"D11", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D112", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D12", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D13", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"D0", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"D1", "(", 
        RowBox[{"s", ",", "u"}], ")"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D12", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"D123", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D13", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D2", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"6", " ", 
        RowBox[{"D23", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"D233", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"D3", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D33", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"D0", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"D1", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D11", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"D112", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"6", " ", 
        RowBox[{"D12", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"8", " ", 
        RowBox[{"D123", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"D13", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D2", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"6", " ", 
        RowBox[{"D23", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"D233", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"D3", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"D33", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"D0", "(", 
        RowBox[{"s", ",", "u"}], ")"}], "+", 
       RowBox[{"D1", "(", 
        RowBox[{"s", ",", "u"}], ")"}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D12", "(", 
           RowBox[{"s", ",", "u"}], ")"}], "+", 
          RowBox[{"D122", "(", 
           RowBox[{"s", ",", "u"}], ")"}], "+", 
          RowBox[{"D2", "(", 
           RowBox[{"s", ",", "u"}], ")"}], "+", 
          RowBox[{"D22", "(", 
           RowBox[{"s", ",", "u"}], ")"}], "+", 
          RowBox[{"D223", "(", 
           RowBox[{"s", ",", "u"}], ")"}], "+", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}], "+", 
       RowBox[{"D3", "(", 
        RowBox[{"s", ",", "u"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"D002", "(", 
        RowBox[{"s", ",", "u"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D223", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D12", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D112", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D12", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D12", "(", 
          RowBox[{"s", ",", "u"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D122", "(", 
             RowBox[{"s", ",", "u"}], ")"}], "+", 
            RowBox[{"D223", "(", 
             RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"D2", "(", 
        RowBox[{"s", ",", "u"}], ")"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D22", "(", 
           RowBox[{"s", ",", "u"}], ")"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"D223", "(", 
            RowBox[{"s", ",", "u"}], ")"}]}], "+", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"D12", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"D122", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "+", 
       RowBox[{"D2", "(", 
        RowBox[{"s", ",", "u"}], ")"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D22", "(", 
           RowBox[{"s", ",", "u"}], ")"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"D223", "(", 
            RowBox[{"s", ",", "u"}], ")"}]}], "+", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"D2", "(", 
         RowBox[{"s", ",", "u"}], ")"}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D22", "(", 
           RowBox[{"s", ",", "u"}], ")"}], "+", 
          RowBox[{"D222", "(", 
           RowBox[{"s", ",", "u"}], ")"}]}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D001", "(", 
             RowBox[{"s", ",", "t"}], ")"}], "+", 
            RowBox[{"D003", "(", 
             RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D003", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D002", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D001", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"D003", "(", 
          RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"D003", "(", 
        RowBox[{"s", ",", "t"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D002", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D00", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"D001", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"D003", "(", 
          RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D1", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D11", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D111", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"6", " ", 
          RowBox[{"D113", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"6", " ", 
          RowBox[{"D13", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"6", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D33", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D1", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"D11", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D113", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D13", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D33", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D1", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"D11", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D112", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D12", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D13", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D113", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D13", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D33", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"3", " ", 
          RowBox[{"D33", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D3", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"D0", "(", 
        RowBox[{"s", ",", "t"}], ")"}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"D1", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D11", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"D112", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"6", " ", 
        RowBox[{"D12", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"8", " ", 
        RowBox[{"D123", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"D13", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D2", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"6", " ", 
        RowBox[{"D23", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"D233", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"D3", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D33", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"D0", "(", 
        RowBox[{"s", ",", "t"}], ")"}], "+", 
       RowBox[{"D1", "(", 
        RowBox[{"s", ",", "t"}], ")"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D12", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"D123", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D13", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D2", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"6", " ", 
        RowBox[{"D23", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"D233", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        RowBox[{"D3", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D33", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"D0", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "-", 
       RowBox[{"D1", "(", 
        RowBox[{"s", ",", "t"}], ")"}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D12", "(", 
           RowBox[{"s", ",", "t"}], ")"}], "+", 
          RowBox[{"D122", "(", 
           RowBox[{"s", ",", "t"}], ")"}], "+", 
          RowBox[{"D2", "(", 
           RowBox[{"s", ",", "t"}], ")"}], "+", 
          RowBox[{"D22", "(", 
           RowBox[{"s", ",", "t"}], ")"}], "+", 
          RowBox[{"D223", "(", 
           RowBox[{"s", ",", "t"}], ")"}], "+", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}], "-", 
       RowBox[{"D3", "(", 
        RowBox[{"s", ",", "t"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       RowBox[{"D003", "(", 
        RowBox[{"s", ",", "t"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D113", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D13", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D133", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D333", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D33", "(", 
          RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"D123", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D13", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D23", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"D233", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"D3", "(", 
        RowBox[{"s", ",", "t"}], ")"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D33", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"D23", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"D233", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "+", 
       RowBox[{"D3", "(", 
        RowBox[{"s", ",", "t"}], ")"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"D33", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D223", "(", 
            RowBox[{"s", ",", "t"}], ")"}], "+", 
           RowBox[{"D23", "(", 
            RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]}], "-", 
       RowBox[{"D3", "(", 
        RowBox[{"s", ",", "t"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{"4", " ", 
       RowBox[{"D002", "(", 
        RowBox[{"s", ",", "t"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D112", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D12", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D12", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D12", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"D122", "(", 
             RowBox[{"s", ",", "t"}], ")"}], "+", 
            RowBox[{"D223", "(", 
             RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D123", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "t"}], ")"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"D233", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"D223", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], "+", 
         RowBox[{"D23", "(", 
          RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"2", " ", 
         RowBox[{"D12", "(", 
          RowBox[{"s", ",", "t"}], ")"}]}]}], "-", 
       RowBox[{"4", " ", 
        RowBox[{"D122", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "-", 
       RowBox[{"D2", "(", 
        RowBox[{"s", ",", "t"}], ")"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D22", "(", 
           RowBox[{"s", ",", "t"}], ")"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"D223", "(", 
            RowBox[{"s", ",", "t"}], ")"}]}], "+", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"D2", "(", 
         RowBox[{"s", ",", "t"}], ")"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D22", "(", 
           RowBox[{"s", ",", "t"}], ")"}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"D223", "(", 
            RowBox[{"s", ",", "t"}], ")"}]}], "+", 
          RowBox[{"D23", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], " ", 
       SuperscriptBox[
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{
       RowBox[{"D2", "(", 
        RowBox[{"s", ",", "t"}], ")"}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"D22", "(", 
           RowBox[{"s", ",", "t"}], ")"}], "+", 
          RowBox[{"D222", "(", 
           RowBox[{"s", ",", "t"}], ")"}]}], ")"}]}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.902840884593779*^9, 3.902846468030122*^9, 
  3.9028468815229073`*^9, 3.9029047966349688`*^9, 3.902905525625834*^9, 
  3.902905723160307*^9, 3.902919809550342*^9, 3.904123364868306*^9, 
  3.904201775586581*^9, 3.904214972313342*^9, 3.904215030515337*^9, 
  3.9042216030203247`*^9, 3.904298989802514*^9, 3.904755744909505*^9, 
  3.910425742845273*^9},
 CellLabel->"Out[45]=",ExpressionUUID->"89d663a5-0bab-4503-bad0-3c0f5f50b35d"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Construct ALOHA terms", "Section",
 CellChangeTimes->{{3.90282439728789*^9, 
  3.9028244054044323`*^9}},ExpressionUUID->"0288061f-ff05-4a23-bde3-\
e56c7cf16ff7"],

Cell["\<\

UFO conventions:
ProjM -> Gamma[7], ProjP -> Gamma[6]
particles = [ P.t__tilde __, P.t, P.g, P.g ] ] = [ p1=P(*,1),  p2=P(*,2), p3(\
\[Mu])=P(*,3), p4(\[Nu])=P(*,4) ] (all momenta are incoming)
 c1 = Anti-Top color = \[OpenCurlyDoubleQuote]1\[CloseCurlyDoubleQuote], c2 = \
Top color = \[OpenCurlyDoubleQuote]2\[CloseCurlyDoubleQuote], c3 = Gluon \
color = \[OpenCurlyDoubleQuote]3\[CloseCurlyDoubleQuote], c4 = Gluon color = \
\[OpenCurlyDoubleQuote]4\[CloseCurlyDoubleQuote]
spins = [2, 2, 3], 
structure = \[OpenCurlyQuote] P (4, 3)*Gamma (3, 2, -1)*ProjP (-1, 1) - P (3, \
4)*Gamma (4, 2, -1)*ProjP (-1, 1)\[CloseCurlyQuote])

s = (p1+p2)^2 =  P(-1,1)**2 + P(-1,2)**2 + 2*P(-1,1)*P(-1,2)
t = (p1+p3)^2  = P(-1,1)**2 + P(-1,3)**2 + 2*P(-1,1)*P(-1,3)
u = (p1+p4)^2  = (p2+p3)^2 = P(-1,2)**2 + P(-1,3)**2 + 2*P(-1,2)*P(-1,3) 
(The indices of the product of gamma matrices are always M(2,1), since the \
second (outgoing) top is contract to the left and the first (incoming) to the \
right)
\
\>", "Text",
 CellChangeTimes->{{3.9028244127388268`*^9, 3.9028244572997704`*^9}, {
   3.9028245494877653`*^9, 3.902824565289369*^9}, {3.902825135407077*^9, 
   3.902825165986191*^9}, {3.9028252069681892`*^9, 3.902825209358458*^9}, {
   3.902827635902626*^9, 3.9028276404204607`*^9}, {3.902828503425274*^9, 
   3.902828598854724*^9}, {3.902828648303794*^9, 3.902828650321616*^9}, {
   3.902841286902041*^9, 3.902841414274*^9}, 3.90420185109726*^9, {
   3.904201906509266*^9, 3.904201978748249*^9}, {3.904202255811247*^9, 
   3.904202266458218*^9}, {3.904299012720257*^9, 
   3.9042990133947277`*^9}},ExpressionUUID->"584ea9ea-e911-4c3a-92bc-\
eb442ac062c0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"su3Matrices", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"tensors", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"momenta", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "3"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.902827641837318*^9, 3.902827750598144*^9}, {
  3.902828211213133*^9, 3.902828248891708*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"1c3ee2c7-f50c-4193-ad4e-8554f6e2bb99"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]], ",", 
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.904123364889701*^9, 3.9042019842220573`*^9, 3.9042149723234587`*^9, 
   3.904215030540854*^9, 3.9042216030674543`*^9, 3.9042990620412416`*^9, 
   3.9047557449512978`*^9, 3.910425742878834*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"ef59b2ff-6df0-4146-9a96-c014cf61eedf"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.904123364889701*^9, 3.9042019842220573`*^9, 3.9042149723234587`*^9, 
   3.904215030540854*^9, 3.9042216030674543`*^9, 3.9042990620412416`*^9, 
   3.9047557449512978`*^9, 3.910425742880145*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"df56a3fe-4a21-4f6a-9fe2-cd4fa7d295c2"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SuperscriptBox[
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p3",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p3",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox["g", 
     RowBox[{
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]}]], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.904123364889701*^9, 3.9042019842220573`*^9, 3.9042149723234587`*^9, 
   3.904215030540854*^9, 3.9042216030674543`*^9, 3.9042990620412416`*^9, 
   3.9047557449512978`*^9, 3.910425742881206*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"6b9bfa2b-2ffc-4eae-81f8-e26a01cf61ae"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"su3Replacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"SUNTF", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"SUNIndex", "[", "cc3", "]"}], ",", 
          RowBox[{"SUNIndex", "[", "cc4", "]"}]}], "}"}], ",", 
        RowBox[{"SUNFIndex", "[", "c2", "]"}], ",", 
        RowBox[{"SUNFIndex", "[", "c1", "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<T(3,2,-1)*T(4,-1,1)\>\""}], ",", "\[IndentingNewLine]", 
     "                                   ", 
     RowBox[{
      RowBox[{"SUNTF", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"SUNIndex", "[", "cc4", "]"}], ",", 
          RowBox[{"SUNIndex", "[", "cc3", "]"}]}], "}"}], ",", 
        RowBox[{"SUNFIndex", "[", "c2", "]"}], ",", 
        RowBox[{"SUNFIndex", "[", "c1", "]"}]}], "]"}], "\[Rule]", "  ", 
      "\"\<T(4,2,-1)*T(3,-1,1)\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tensorReplacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"LorentzIndex", "[", 
          RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<Gamma(3,2,-1)*ProjP(-1,1)\>\""}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"LorentzIndex", "[", 
          RowBox[{"\[Nu]", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<Gamma(4,2,-1)*ProjP(-1,1)\>\""}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p1", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1)\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p2", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1)\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p3", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<P(-1,3)*Gamma(-1,2,-2)*ProjP(-2,1)\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"momentaReplacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Pair", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Nu]", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<Metric(3,4)*\>\""}], ",", "\[IndentingNewLine]", "\t\t\t\t      ", 
     
     RowBox[{
      RowBox[{"Pair", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Nu]", ",", "D"}], "]"}], ",", 
        RowBox[{"Momentum", "[", 
         RowBox[{"p1", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<P(4,1)*\>\""}], ",", "\[IndentingNewLine]", "\t\t\t\t       ", 
     RowBox[{
      RowBox[{"Pair", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
        RowBox[{"Momentum", "[", 
         RowBox[{"p1", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<P(3,1)*\>\""}], ",", "\[IndentingNewLine]", "\t\t\t\t      ", 
     RowBox[{
      RowBox[{"Pair", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Nu]", ",", "D"}], "]"}], ",", 
        RowBox[{"Momentum", "[", 
         RowBox[{"p2", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<P(4,2)*\>\""}], ",", "\[IndentingNewLine]", "\t\t\t\t       ", 
     RowBox[{
      RowBox[{"Pair", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
        RowBox[{"Momentum", "[", 
         RowBox[{"p2", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<P(3,2)*\>\""}], ",", "\[IndentingNewLine]", "\t\t\t\t       ", 
     RowBox[{
      RowBox[{"Pair", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Nu]", ",", "D"}], "]"}], ",", 
        RowBox[{"Momentum", "[", 
         RowBox[{"p3", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<P(4,3)*\>\""}], ",", "\[IndentingNewLine]", "\t\t\t\t       ", 
     RowBox[{
      RowBox[{"Pair", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
        RowBox[{"Momentum", "[", 
         RowBox[{"p3", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<P(3,3)*\>\""}]}], "\[IndentingNewLine]", "\t\t\t\t    ", "}"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.9028242145918703`*^9, 3.902824221702924*^9}, {
  3.902824575476955*^9, 3.902824587843931*^9}, {3.902824657067396*^9, 
  3.90282473924928*^9}, {3.902824782610539*^9, 3.902824801858388*^9}, {
  3.902824848533864*^9, 3.902824861553194*^9}, {3.902824906702888*^9, 
  3.902824993342153*^9}, {3.902825114050447*^9, 3.902825131741816*^9}, {
  3.902825178649137*^9, 3.902825198295556*^9}, {3.902827742801258*^9, 
  3.9028279791400433`*^9}, {3.902828203155249*^9, 3.902828208927576*^9}, {
  3.902828268703683*^9, 3.902828289713736*^9}, {3.902828623065696*^9, 
  3.902828631648324*^9}, {3.902828669791737*^9, 3.9028287303993807`*^9}, {
  3.9028306562780046`*^9, 3.902830661315852*^9}, {3.90283070765736*^9, 
  3.902830718997607*^9}, {3.9028315060105333`*^9, 3.902831510735495*^9}, {
  3.904201993441449*^9, 3.904202139893647*^9}, {3.904299043847431*^9, 
  3.9042990826345253`*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"d20abd78-55f9-430b-9c12-63580b4b9ec7"],

Cell[CellGroupData[{

Cell[BoxData[{"tensorReplacements", "\[IndentingNewLine]", \
"momentaReplacements"}], "Input",
 CellChangeTimes->{{3.9042151559826937`*^9, 3.904215156230425*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"824bc9aa-eb8a-420b-8e2f-8906f8ab7c27"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], "\[Rule]", "\<\"Gamma(3,2,-1)*ProjP(-1,1)\"\>"}],
     ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], "\[Rule]", "\<\"Gamma(4,2,-1)*ProjP(-1,1)\"\>"}],
     ",", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", "\<\"P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", "\<\"P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", "\<\"P(-1,3)*Gamma(-1,2,-2)*ProjP(-2,1)\"\>"}]}], "}"}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.9042151329230547`*^9, 3.9042151566021957`*^9}, 
   3.904221603103375*^9, 3.9042991266565447`*^9, 3.904755744985339*^9, 
   3.910425742908861*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"22bc2a3b-0bae-47e9-b4d6-92a9986b286c"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SuperscriptBox["g", 
      RowBox[{
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]}]], "\[Rule]", "\<\"Metric(3,4)*\"\>"}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], "\[Rule]", "\<\"P(4,1)*\"\>"}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], "\[Rule]", "\<\"P(3,1)*\"\>"}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], "\[Rule]", "\<\"P(4,2)*\"\>"}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], "\[Rule]", "\<\"P(3,2)*\"\>"}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], "\[Rule]", "\<\"P(4,3)*\"\>"}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p3",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], "\[Rule]", "\<\"P(3,3)*\"\>"}]}], "}"}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.9042151329230547`*^9, 3.9042151566021957`*^9}, 
   3.904221603103375*^9, 3.9042991266565447`*^9, 3.904755744985339*^9, 
   3.910425742910046*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"f837878d-b6fb-46c5-ba9a-04f3eb5e3b5a"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Print each Lorentz structure as a distinct Lorentz vertex :", \
"Subsection",
 CellChangeTimes->{{3.902828063886915*^9, 
  3.902828087467894*^9}},ExpressionUUID->"e7e52d27-9d5c-4972-bad1-\
aaad08f1a3ed"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"vertexCounter", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Print", "[", "\"\<------------------\>\"", "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Print", "[", 
     RowBox[{
      RowBox[{"su3Matrices", "[", 
       RowBox[{"[", "n", "]"}], "]"}], "/.", "su3Replacements"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
      "desired", " ", "SU3", " ", "matrix"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"terms0", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
         RowBox[{"su3Matrices", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
       "desired", " ", "gamma", " ", "structure"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"terms1", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"terms0", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vertexCounter", " ", "+=", " ", "1"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<FFVVNP\>\"", ",", 
          RowBox[{"ToString", "[", "vertexCounter", "]"}]}], "]"}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Compute", " ", "the", " ", "ALOHA", " ", "term", " ", "for", " ", 
         "this", " ", 
         RowBox[{"tensor", "/", "gamma"}], " ", "structure", " ", "and", " ", 
         "color", " ", "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"terms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"StringJoin", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"StringJoin", "[", 
              RowBox[{
               RowBox[{"Cases2", "[", 
                RowBox[{
                 RowBox[{"terms1", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "3"}], "]"}], "]"}], ",", "Pair"}], 
                "]"}], "/.", "momentaReplacements"}], "]"}], ")"}], ",", 
            "\"\<(\>\"", ",", 
            RowBox[{"ToString", "[", 
             RowBox[{"FortranForm", "[", 
              RowBox[{"terms1", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", 
            "\"\<)\\\\\\n      +   \>\""}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{
             RowBox[{"Length", "[", "terms1", "]"}], "-", "1"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"terms", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"StringJoin", "[", 
             RowBox[{
              RowBox[{"Cases2", "[", 
               RowBox[{
                RowBox[{"terms1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Length", "[", "terms1", "]"}], ",", "3"}], "]"}], 
                 "]"}], ",", "Pair"}], "]"}], "/.", "momentaReplacements"}], 
             "]"}], ")"}], ",", "\"\<(\>\"", ",", 
           RowBox[{"ToString", "[", 
            RowBox[{"FortranForm", "[", 
             RowBox[{"terms1", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Length", "[", "terms1", "]"}], ",", "4"}], "]"}], 
              "]"}], "]"}], "]"}], ",", "\"\<)\>\""}], "]"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"terms", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<     \>\"", ",", 
              RowBox[{"terms", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"Length", "[", "terms", "]"}]}], "}"}]}], "]"}]}], 
         ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", "terms", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<( \>\"", ",", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          ",", "\"\< )*(\\\\\\n  \>\"", ",", "fullStr", ",", 
          "\"\<\\\\\\n  )\>\""}], "]"}]}], ";", "\[IndentingNewLine]", " ", 
       RowBox[{"Print", "[", "fullStr", "]"}], ";"}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "1", ",", 
        RowBox[{"Length", "[", "tensors", "]"}]}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", 
     RowBox[{"Length", "[", "su3Matrices", "]"}]}], "}"}]}], "]"}]}], "Input",\

 CellChangeTimes->{{3.902828093317595*^9, 3.9028281126052637`*^9}, {
   3.9028281968884373`*^9, 3.902828199326187*^9}, {3.902828744529489*^9, 
   3.902828939147223*^9}, {3.902829090986458*^9, 3.902829092638308*^9}, {
   3.902829270379777*^9, 3.90282979674347*^9}, {3.902829841530156*^9, 
   3.9028298955092583`*^9}, {3.9028299256299686`*^9, 3.902829927340288*^9}, {
   3.902829981956849*^9, 3.902829994283146*^9}, {3.902830056501021*^9, 
   3.9028300638645973`*^9}, {3.902830528281701*^9, 3.902830544917835*^9}, {
   3.902830973149664*^9, 3.902831070517206*^9}, {3.902831522665127*^9, 
   3.90283155938997*^9}, {3.9028355023456907`*^9, 3.902835502577969*^9}, 
   3.902840686673543*^9, {3.902841074795191*^9, 3.9028411555228662`*^9}, {
   3.902919672901024*^9, 3.902919674692136*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"86e95e48-266c-441e-90e6-a05af80534d2"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox["\<\"------------------\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742928714*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"7097beb2-2b4f-41f1-841c-dff0ff5f9cce"],

Cell[BoxData[
 FormBox["\<\"T(3,2,-1)*T(4,-1,1)\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742929577*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"4a24586f-b9f6-4216-acc3-38642c4464ba"],

Cell[BoxData[
 FormBox["\<\"FFVVNP1\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742930707*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"9a0f1d2d-1036-4fe5-8013-37d09416b178"],

Cell[BoxData[
 FormBox["\<\"( Gamma(3,2,-1)*ProjP(-1,1) )*(\\\\\\n  P(4,1)*(2*(D00(s,u) + \
2*D003(s,u)))\\\\\\n      +   P(4,2)*(2*(D00(s,u) + 2*(D001(s,u) + \
D003(s,u))))\\\\\\n      +   P(4,3)*(-2*(D00(s,u) + 2*D002(s,u)))\\\\\\n  )\"\
\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.9104257429310713`*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"b0661c6d-e7ff-4a73-9b4a-b4ce3ba44a0b"],

Cell[BoxData[
 FormBox["\<\"FFVVNP2\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742931532*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"3fe78b1b-9154-4b05-a03b-bc5afb4c5f5a"],

Cell[BoxData[
 FormBox["\<\"( Gamma(4,2,-1)*ProjP(-1,1) )*(\\\\\\n  \
P(3,1)*(4*D003(s,u))\\\\\\n      +   P(3,2)*(4*(D001(s,u) + \
D003(s,u)))\\\\\\n      +   P(3,3)*(-2*(D00(s,u) + 2*D002(s,u)))\\\\\\n  \
)\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742932084*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"4d4fc8ae-76a3-4db2-a6bd-96b23acb1327"],

Cell[BoxData[
 FormBox["\<\"FFVVNP3\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742932556*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"eb9dc4d8-317a-465e-b14a-efe33f1eadd9"],

Cell[BoxData[
 FormBox["\<\"( P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1) )*(\\\\\\n  \
Metric(3,4)*(4*D003(s,u))\\\\\\n      +   P(3,1)*P(4,1)*(2*(D33(s,u) + \
2*D333(s,u)))\\\\\\n      +   P(3,1)*P(4,2)*(2*(2*D133(s,u) + D33(s,u) + \
2*D333(s,u)))\\\\\\n      +   P(3,1)*P(4,3)*(-2*(2*D233(s,u) + D33(s,u)))\\\\\
\\n      +   P(3,2)*P(4,1)*(2*(D13(s,u) + 2*D133(s,u) + D33(s,u) + \
2*D333(s,u)))\\\\\\n      +   P(3,2)*P(4,2)*(2*(2*D113(s,u) + D13(s,u) + \
4*D133(s,u) + D33(s,u) + 2*D333(s,u)))\\\\\\n      +   \
P(3,2)*P(4,3)*(-2*(2*D123(s,u) + D13(s,u) + 2*D233(s,u) + D33(s,u)))\\\\\\n   \
   +   P(3,3)*P(4,1)*(-2*D23(s,u) - 4*D233(s,u) - D3(s,u) - \
2*D33(s,u))\\\\\\n      +   P(3,3)*P(4,2)*(-4*D123(s,u) - 2*D13(s,u) - \
2*D23(s,u) - 4*D233(s,u) - D3(s,u) - 2*D33(s,u))\\\\\\n      +   \
P(3,3)*P(4,3)*(4*(D223(s,u) + D23(s,u)) + D3(s,u))\\\\\\n  )\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.9104257429334097`*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"94725921-e7ae-4588-b119-c622e04923dc"],

Cell[BoxData[
 FormBox["\<\"FFVVNP4\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742934308*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"4a94e80b-6d98-48a1-b682-dd9b945a2d23"],

Cell[BoxData[
 FormBox["\<\"( P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1) )*(\\\\\\n  \
Metric(3,4)*(4*(D00(s,u) + D001(s,u) + D003(s,u)))\\\\\\n      +   \
P(3,1)*P(4,1)*(2*(D13(s,u) + 2*D133(s,u) + D3(s,u) + 3*D33(s,u) + \
2*D333(s,u)))\\\\\\n      +   P(3,1)*P(4,2)*(2*(2*D113(s,u) + 3*D13(s,u) + \
4*D133(s,u) + D3(s,u) + 3*D33(s,u) + 2*D333(s,u)))\\\\\\n      +   \
P(3,1)*P(4,3)*(-2*(2*D123(s,u) + D13(s,u) + 2*D23(s,u) + 2*D233(s,u) + \
D3(s,u) + D33(s,u)))\\\\\\n      +   P(3,2)*P(4,1)*(2*(D1(s,u) + D11(s,u) + \
2*D113(s,u) + 4*D13(s,u) + 4*D133(s,u) + D3(s,u) + 3*D33(s,u) + 2*D333(s,u)))\
\\\\\\n      +   P(3,2)*P(4,2)*(2*(D1(s,u) + 3*D11(s,u) + 2*D111(s,u) + \
6*D113(s,u) + 6*D13(s,u) + 6*D133(s,u) + D3(s,u) + 3*D33(s,u) + 2*D333(s,u)))\
\\\\\\n      +   P(3,2)*P(4,3)*(-2*(D1(s,u) + D11(s,u) + 2*D112(s,u) + \
2*D12(s,u) + 4*D123(s,u) + 2*D13(s,u) + 2*D23(s,u) + 2*D233(s,u) + D3(s,u) + \
D33(s,u)))\\\\\\n      +   P(3,3)*P(4,1)*(-D0(s,u) - D1(s,u) - 2*D12(s,u) - \
4*D123(s,u) - 2*D13(s,u) - 2*D2(s,u) - 6*D23(s,u) - 4*D233(s,u) - 3*D3(s,u) - \
2*D33(s,u))\\\\\\n      +   P(3,3)*P(4,2)*(-D0(s,u) - 3*D1(s,u) - 2*D11(s,u) \
- 4*D112(s,u) - 6*D12(s,u) - 8*D123(s,u) - 4*D13(s,u) - 2*D2(s,u) - \
6*D23(s,u) - 4*D233(s,u) - 3*D3(s,u) - 2*D33(s,u))\\\\\\n      +   \
P(3,3)*P(4,3)*(D0(s,u) + D1(s,u) + 4*(D12(s,u) + D122(s,u) + D2(s,u) + \
D22(s,u) + D223(s,u) + D23(s,u)) + D3(s,u))\\\\\\n  )\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742934743*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"6c6c7be9-4c5d-4f36-80e6-b77d3002cab5"],

Cell[BoxData[
 FormBox["\<\"FFVVNP5\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742935904*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"ad5b4e17-00f3-4164-93a5-19466fb128d7"],

Cell[BoxData[
 FormBox["\<\"( P(-1,3)*Gamma(-1,2,-2)*ProjP(-2,1) )*(\\\\\\n  \
Metric(3,4)*(-4*D002(s,u))\\\\\\n      +   P(3,1)*P(4,1)*(-2*(D23(s,u) + \
2*D233(s,u)))\\\\\\n      +   P(3,1)*P(4,2)*(-2*(2*D123(s,u) + D23(s,u) + \
2*D233(s,u)))\\\\\\n      +   P(3,1)*P(4,3)*(2*(2*D223(s,u) + \
D23(s,u)))\\\\\\n      +   P(3,2)*P(4,1)*(-2*(D12(s,u) + 2*D123(s,u) + \
D23(s,u) + 2*D233(s,u)))\\\\\\n      +   P(3,2)*P(4,2)*(-2*(2*D112(s,u) + \
D12(s,u) + 4*D123(s,u) + D23(s,u) + 2*D233(s,u)))\\\\\\n      +   \
P(3,2)*P(4,3)*(2*(D12(s,u) + 2*(D122(s,u) + D223(s,u)) + D23(s,u)))\\\\\\n    \
  +   P(3,3)*P(4,1)*(D2(s,u) + 2*(D22(s,u) + 2*D223(s,u) + D23(s,u)))\\\\\\n  \
    +   P(3,3)*P(4,2)*(2*D12(s,u) + 4*D122(s,u) + D2(s,u) + 2*(D22(s,u) + \
2*D223(s,u) + D23(s,u)))\\\\\\n      +   P(3,3)*P(4,3)*(-D2(s,u) - \
4*(D22(s,u) + D222(s,u)))\\\\\\n  )\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.91042574293641*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"6e6a6b1f-b9ad-45ca-976a-57c2745ee5b6"],

Cell[BoxData[
 FormBox["\<\"------------------\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742937314*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"cbf94aeb-251a-4b6e-955b-427449c68159"],

Cell[BoxData[
 FormBox["\<\"T(4,2,-1)*T(3,-1,1)\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.9104257429376574`*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"199b125d-c424-4546-9c15-2a28901f0209"],

Cell[BoxData[
 FormBox["\<\"FFVVNP6\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742938015*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"1a4cdc9d-f051-48c2-9223-411efb845b6c"],

Cell[BoxData[
 FormBox["\<\"( Gamma(3,2,-1)*ProjP(-1,1) )*(\\\\\\n  P(4,1)*(-2*(D00(s,t) + \
2*(D001(s,t) + D003(s,t))))\\\\\\n      +   P(4,2)*(-2*(D00(s,t) + \
2*D003(s,t)))\\\\\\n      +   P(4,3)*(2*(D00(s,t) + 2*D002(s,t)))\\\\\\n  )\"\
\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.9104257429383593`*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"614ed82d-3d92-46cf-9929-8d63f60f7ebd"],

Cell[BoxData[
 FormBox["\<\"FFVVNP7\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742938799*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"cefe65be-7ef6-4625-9311-24f65a46334c"],

Cell[BoxData[
 FormBox["\<\"( Gamma(4,2,-1)*ProjP(-1,1) )*(\\\\\\n  P(3,1)*(-4*(D001(s,t) + \
D003(s,t)))\\\\\\n      +   P(3,2)*(-4*D003(s,t))\\\\\\n      +   \
P(3,3)*(2*(D00(s,t) + 2*D002(s,t)))\\\\\\n  )\"\>", TraditionalForm]], "Print",\

 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742939212*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"afa5cf1b-fb12-4a3b-8660-5c5b436a3d68"],

Cell[BoxData[
 FormBox["\<\"FFVVNP8\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742939687*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"343c65fc-4a1b-45a5-8bb6-61e8a409ba9b"],

Cell[BoxData[
 FormBox["\<\"( P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1) )*(\\\\\\n  \
Metric(3,4)*(-4*(D00(s,t) + D001(s,t) + D003(s,t)))\\\\\\n      +   \
P(3,1)*P(4,1)*(-2*(D1(s,t) + 3*D11(s,t) + 2*D111(s,t) + 6*D113(s,t) + \
6*D13(s,t) + 6*D133(s,t) + D3(s,t) + 3*D33(s,t) + 2*D333(s,t)))\\\\\\n      + \
  P(3,1)*P(4,2)*(-2*(D1(s,t) + D11(s,t) + 2*D113(s,t) + 4*D13(s,t) + \
4*D133(s,t) + D3(s,t) + 3*D33(s,t) + 2*D333(s,t)))\\\\\\n      +   \
P(3,1)*P(4,3)*(2*(D1(s,t) + D11(s,t) + 2*D112(s,t) + 2*D12(s,t) + 4*D123(s,t) \
+ 2*D13(s,t) + 2*D23(s,t) + 2*D233(s,t) + D3(s,t) + D33(s,t)))\\\\\\n      +  \
 P(3,2)*P(4,1)*(-2*(2*D113(s,t) + 3*D13(s,t) + 4*D133(s,t) + D3(s,t) + \
3*D33(s,t) + 2*D333(s,t)))\\\\\\n      +   P(3,2)*P(4,2)*(-2*(D13(s,t) + \
2*D133(s,t) + D3(s,t) + 3*D33(s,t) + 2*D333(s,t)))\\\\\\n      +   \
P(3,2)*P(4,3)*(2*(2*D123(s,t) + D13(s,t) + 2*D23(s,t) + 2*D233(s,t) + D3(s,t) \
+ D33(s,t)))\\\\\\n      +   P(3,3)*P(4,1)*(D0(s,t) + 3*D1(s,t) + 2*D11(s,t) \
+ 4*D112(s,t) + 6*D12(s,t) + 8*D123(s,t) + 4*D13(s,t) + 2*D2(s,t) + \
6*D23(s,t) + 4*D233(s,t) + 3*D3(s,t) + 2*D33(s,t))\\\\\\n      +   \
P(3,3)*P(4,2)*(D0(s,t) + D1(s,t) + 2*D12(s,t) + 4*D123(s,t) + 2*D13(s,t) + \
2*D2(s,t) + 6*D23(s,t) + 4*D233(s,t) + 3*D3(s,t) + 2*D33(s,t))\\\\\\n      +  \
 P(3,3)*P(4,3)*(-D0(s,t) - D1(s,t) - 4*(D12(s,t) + D122(s,t) + D2(s,t) + \
D22(s,t) + D223(s,t) + D23(s,t)) - D3(s,t))\\\\\\n  )\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742940448*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"2e6d5146-2295-4d71-a6ec-55973bd72f23"],

Cell[BoxData[
 FormBox["\<\"FFVVNP9\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.9104257429415197`*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"260d9211-dc8e-4ce6-85ee-ac001a9163d0"],

Cell[BoxData[
 FormBox["\<\"( P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1) )*(\\\\\\n  \
Metric(3,4)*(-4*D003(s,t))\\\\\\n      +   P(3,1)*P(4,1)*(-2*(2*D113(s,t) + \
D13(s,t) + 4*D133(s,t) + D33(s,t) + 2*D333(s,t)))\\\\\\n      +   \
P(3,1)*P(4,2)*(-2*(D13(s,t) + 2*D133(s,t) + D33(s,t) + 2*D333(s,t)))\\\\\\n   \
   +   P(3,1)*P(4,3)*(2*(2*D123(s,t) + D13(s,t) + 2*D233(s,t) + \
D33(s,t)))\\\\\\n      +   P(3,2)*P(4,1)*(-2*(2*D133(s,t) + D33(s,t) + \
2*D333(s,t)))\\\\\\n      +   P(3,2)*P(4,2)*(-2*(D33(s,t) + 2*D333(s,t)))\\\\\
\\n      +   P(3,2)*P(4,3)*(2*(2*D233(s,t) + D33(s,t)))\\\\\\n      +   \
P(3,3)*P(4,1)*(4*D123(s,t) + 2*D13(s,t) + 2*D23(s,t) + 4*D233(s,t) + D3(s,t) \
+ 2*D33(s,t))\\\\\\n      +   P(3,3)*P(4,2)*(2*D23(s,t) + 4*D233(s,t) + \
D3(s,t) + 2*D33(s,t))\\\\\\n      +   P(3,3)*P(4,3)*(-4*(D223(s,t) + \
D23(s,t)) - D3(s,t))\\\\\\n  )\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742941883*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"c76bc165-01a7-4964-b3bd-d9c7000efba7"],

Cell[BoxData[
 FormBox["\<\"FFVVNP10\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742942636*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"4e019690-2d8b-4c62-9abb-37b9affc9e23"],

Cell[BoxData[
 FormBox["\<\"( P(-1,3)*Gamma(-1,2,-2)*ProjP(-2,1) )*(\\\\\\n  \
Metric(3,4)*(4*D002(s,t))\\\\\\n      +   P(3,1)*P(4,1)*(2*(2*D112(s,t) + \
D12(s,t) + 4*D123(s,t) + D23(s,t) + 2*D233(s,t)))\\\\\\n      +   \
P(3,1)*P(4,2)*(2*(D12(s,t) + 2*D123(s,t) + D23(s,t) + 2*D233(s,t)))\\\\\\n    \
  +   P(3,1)*P(4,3)*(-2*(D12(s,t) + 2*(D122(s,t) + D223(s,t)) + \
D23(s,t)))\\\\\\n      +   P(3,2)*P(4,1)*(2*(2*D123(s,t) + D23(s,t) + \
2*D233(s,t)))\\\\\\n      +   P(3,2)*P(4,2)*(2*(D23(s,t) + \
2*D233(s,t)))\\\\\\n      +   P(3,2)*P(4,3)*(-2*(2*D223(s,t) + D23(s,t)))\\\\\
\\n      +   P(3,3)*P(4,1)*(-2*D12(s,t) - 4*D122(s,t) - D2(s,t) - 2*(D22(s,t) \
+ 2*D223(s,t) + D23(s,t)))\\\\\\n      +   P(3,3)*P(4,2)*(-D2(s,t) - \
2*(D22(s,t) + 2*D223(s,t) + D23(s,t)))\\\\\\n      +   P(3,3)*P(4,3)*(D2(s,t) \
+ 4*(D22(s,t) + D222(s,t)))\\\\\\n  )\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904215030561795*^9, 3.904221603132115*^9, 
  3.904299134692889*^9, 3.9047557450115433`*^9, 3.910425742942998*^9},
 CellLabel->
  "During evaluation of \
In[54]:=",ExpressionUUID->"d2e13c79-e789-4e9d-8e65-74ff9d564ecc"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Write to File", "Subsubsection",
 CellChangeTimes->{{3.9029054743452797`*^9, 
  3.902905480324123*^9}},ExpressionUUID->"a4e85eeb-c355-4273-af04-\
fa5627f43da6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "fileName", "=", 
   "\"\<../../Models/Top-FormFactorsOneLoop-UFO/lffvvnpBox.txt\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"outF", " ", "=", " ", 
   RowBox[{"OpenWrite", "[", 
    RowBox[{"fileName", ",", 
     RowBox[{"PageWidth", "\[Rule]", "Infinity"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vertexCounter", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Write", "[", 
     RowBox[{"outF", ",", "\"\<------------------\>\""}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Write", "[", 
     RowBox[{"outF", ",", 
      RowBox[{
       RowBox[{"su3Matrices", "[", 
        RowBox[{"[", "n", "]"}], "]"}], "/.", "su3Replacements"}]}], "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
      "desired", " ", "SU3", " ", "matrix"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"terms0", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
         RowBox[{"su3Matrices", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
       "desired", " ", "gamma", " ", "structure"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"terms1", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"terms0", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vertexCounter", " ", "+=", " ", "1"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Write", "[", 
        RowBox[{"outF", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{"\"\<FFVVNP\>\"", ",", 
           RowBox[{"ToString", "[", "vertexCounter", "]"}]}], "]"}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Write", "[", 
          RowBox[{"outF", ",", 
           RowBox[{
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}]}], 
          "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Compute", " ", "the", " ", "ALOHA", " ", "term", " ", "for", " ", 
         "this", " ", 
         RowBox[{"tensor", "/", "gamma"}], " ", "structure", " ", "and", " ", 
         "color", " ", "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"terms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"StringJoin", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"StringJoin", "[", 
              RowBox[{
               RowBox[{"Cases2", "[", 
                RowBox[{
                 RowBox[{"terms1", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "3"}], "]"}], "]"}], ",", "Pair"}], 
                "]"}], "/.", "momentaReplacements"}], "]"}], ")"}], ",", 
            "\"\<(\>\"", ",", 
            RowBox[{"ToString", "[", 
             RowBox[{"FortranForm", "[", 
              RowBox[{"terms1", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", 
            "\"\<)\\\\\\n   + \>\""}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{
             RowBox[{"Length", "[", "terms1", "]"}], "-", "1"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"terms", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"StringJoin", "[", 
             RowBox[{
              RowBox[{"Cases2", "[", 
               RowBox[{
                RowBox[{"terms1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Length", "[", "terms1", "]"}], ",", "3"}], "]"}], 
                 "]"}], ",", "Pair"}], "]"}], "/.", "momentaReplacements"}], 
             "]"}], ")"}], ",", "\"\<(\>\"", ",", 
           RowBox[{"ToString", "[", 
            RowBox[{"FortranForm", "[", 
             RowBox[{"terms1", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Length", "[", "terms1", "]"}], ",", "4"}], "]"}], 
              "]"}], "]"}], "]"}], ",", "\"\<)\>\""}], "]"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"terms", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<     \>\"", ",", 
              RowBox[{"terms", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"Length", "[", "terms", "]"}]}], "}"}]}], "]"}]}], 
         ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", "terms", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<( \>\"", ",", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          ",", "\"\< )*(\\\\\\n  \>\"", ",", "fullStr", ",", 
          "\"\<\\\\\\n  )\>\""}], "]"}]}], ";", "\[IndentingNewLine]", " ", 
       RowBox[{"Write", "[", 
        RowBox[{"outF", ",", "fullStr"}], "]"}], ";"}], "\[IndentingNewLine]",
       ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "1", ",", 
        RowBox[{"Length", "[", "tensors", "]"}]}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", 
     RowBox[{"Length", "[", "su3Matrices", "]"}]}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Close", "[", "outF", "]"}]}], "Input",
 CellChangeTimes->{{3.902904975963681*^9, 3.902905011761466*^9}, {
   3.902905195579987*^9, 3.9029052313253937`*^9}, {3.90290529632375*^9, 
   3.902905317000214*^9}, {3.902905380118112*^9, 3.902905383373775*^9}, {
   3.902905766470792*^9, 3.902905767471977*^9}, {3.902905814751055*^9, 
   3.902905820196905*^9}, {3.902905852613607*^9, 3.902905877256078*^9}, {
   3.9029059190882187`*^9, 3.9029059212503157`*^9}, 3.90290602753016*^9, {
   3.90290605777884*^9, 3.902906078386305*^9}, {3.902906110034658*^9, 
   3.902906129721521*^9}, {3.902906208462678*^9, 3.9029062942783337`*^9}, 
   3.90291983600139*^9, {3.902920580461288*^9, 3.902920589311644*^9}, {
   3.904123541163713*^9, 3.904123541585717*^9}, {3.904124085112854*^9, 
   3.90412408620761*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"b8527aad-bc30-4aa6-89ce-f0e06131fd0b"],

Cell[BoxData[
 FormBox["\<\"../../Models/Top-FormFactorsOneLoop-UFO/lffvvnpBox.txt\"\>", 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902905888150086*^9, 3.902905899760147*^9}, {
   3.902905931885778*^9, 3.902905943532175*^9}, 3.90290603338354*^9, {
   3.9029060680064087`*^9, 3.902906087283484*^9}, 3.902906130711829*^9, {
   3.902906245800063*^9, 3.9029062998300543`*^9}, 3.90291980961523*^9, 
   3.902919840846828*^9, 3.902920590211837*^9, 3.904123364930271*^9, 
   3.904123542651031*^9, 3.904142790455624*^9, 3.9042021783941603`*^9, 
   3.904214972346636*^9, 3.904215030588991*^9, 3.904221603185267*^9, 
   3.90429914360147*^9, 3.904755745057073*^9, 3.910425742970395*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"657785f6-5bce-45ae-865a-17431734b1ed"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1850, 1016},
WindowMargins->{{0, Automatic}, {0, Automatic}},
TaggingRules->{
 "WelcomeScreenSettings" -> {"FEStarting" -> False}, "TryRealOnly" -> False},
Magnification:>1.2 Inherited,
FrontEndVersion->"12.1 for Linux x86 (64-bit) (March 18, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"7317aa5d-d143-47db-ae3a-fa2550c34434"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 201, 3, 36, "Input",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],
Cell[CellGroupData[{
Cell[784, 27, 630, 12, 62, "Input",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],
Cell[CellGroupData[{
Cell[1439, 43, 3465, 82, 35, "Print",ExpressionUUID->"63a7fed6-a5a0-4fd7-95ff-47def856bc53"],
Cell[4907, 127, 2257, 46, 35, "Print",ExpressionUUID->"67070d3f-a2bb-4fdb-8ae9-01cee19b5f32"],
Cell[7167, 175, 2253, 48, 35, "Print",ExpressionUUID->"3c83ae00-77f5-4682-a662-95b2ce72aec8"],
Cell[9423, 225, 1430, 23, 33, "Print",ExpressionUUID->"7041b119-8443-4190-89ab-c01ed23b6677"],
Cell[10856, 250, 1431, 23, 33, "Print",ExpressionUUID->"ad119750-7dc0-41f5-b032-c2629cb84746"],
Cell[12290, 275, 1419, 23, 33, "Print",ExpressionUUID->"948337fa-7257-4b9d-a043-21575ed97762"],
Cell[13712, 300, 3028, 71, 35, "Print",ExpressionUUID->"7cf994bc-1b7d-48fa-9e00-1fa39b51a786"],
Cell[16743, 373, 1371, 23, 33, "Print",ExpressionUUID->"3e2b923b-acc0-4af0-9615-d9414d7c97d1"],
Cell[18117, 398, 1404, 23, 33, "Print",ExpressionUUID->"227a40aa-ee60-487c-b88a-4062cf0809cd"],
Cell[19524, 423, 2344, 52, 35, "Print",ExpressionUUID->"381dbb36-2a60-4c70-9d34-600a64594e6a"],
Cell[21871, 477, 2277, 48, 35, "Print",ExpressionUUID->"1ca5e378-4804-438e-a183-256eb016209c"],
Cell[24151, 527, 1471, 24, 33, "Print",ExpressionUUID->"9741f04b-46e9-486e-94ad-7c6cd6a013a6"],
Cell[25625, 553, 1424, 23, 33, "Print",ExpressionUUID->"1c450f5c-0582-4030-a53a-c2462d90658f"],
Cell[27052, 578, 2110, 44, 35, "Print",ExpressionUUID->"9909599e-147b-4c32-a6b9-fa8e50491695"],
Cell[29165, 624, 2126, 45, 35, "Print",ExpressionUUID->"ec754db4-4e9e-4be2-b645-b02c772d1568"]
}, Open  ]]
}, Open  ]],
Cell[31318, 673, 267, 5, 36, "Input",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],
Cell[31588, 680, 2619, 55, 187, "Input",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],
Cell[CellGroupData[{
Cell[34232, 739, 366, 6, 81, "Section",ExpressionUUID->"ef4b8bcd-035e-426e-b53d-5b41ce129840"],
Cell[34601, 747, 541, 11, 121, "Text",ExpressionUUID->"0387e77c-a00b-42ef-9a25-4711057bcd39"],
Cell[CellGroupData[{
Cell[35167, 762, 2969, 63, 87, "Input",ExpressionUUID->"43ad331d-9cbd-485d-8a8d-694b987bd8b5"],
Cell[CellGroupData[{
Cell[38161, 829, 935, 18, 27, "Print",ExpressionUUID->"12ee1fbd-15bc-4dbd-bdad-0edbea15ca22"],
Cell[39099, 849, 999, 19, 27, "Print",ExpressionUUID->"2e954019-c636-4e04-8200-9965c8cd8347"],
Cell[40101, 870, 869, 17, 27, "Print",ExpressionUUID->"634fc603-0385-46e4-b71d-7c147672d9f3"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[41019, 893, 1199, 26, 62, "Input",ExpressionUUID->"958d43ee-c814-40c5-a0c8-b0af4f5fa682"],
Cell[42221, 921, 21630, 460, 190, "Print",ExpressionUUID->"cb614df4-0ee5-45e5-8fb4-744e90491af6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63888, 1386, 3834, 78, 142, "Input",ExpressionUUID->"5a52141a-7dc9-4e9b-bc39-5d5191cafd6e"],
Cell[67725, 1466, 488, 11, 27, "Print",ExpressionUUID->"da83eb6d-0ca2-4d97-8592-d0415261eab2"],
Cell[68216, 1479, 13540, 414, 72, "Output",ExpressionUUID->"2f89b6e1-b8e6-4d61-b033-0344150435b2"]
}, Open  ]],
Cell[81771, 1896, 1040, 19, 36, "Input",ExpressionUUID->"06a8e269-5cb2-4b62-a697-d170ac6d7257"],
Cell[82814, 1917, 696, 16, 36, "Input",ExpressionUUID->"43441d51-a20d-450c-b509-d29ed105f933"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83547, 1938, 209, 4, 81, "Section",ExpressionUUID->"c66a4f73-c531-4186-8bab-f6d375288a38"],
Cell[83759, 1944, 376, 7, 41, "Text",ExpressionUUID->"92744356-ec81-401d-86ad-a5b3268efc79"],
Cell[84138, 1953, 596, 11, 62, "Input",ExpressionUUID->"21c28cc9-78cc-493a-8e9d-e3db3d3d66f0"],
Cell[84737, 1966, 929, 18, 36, "Input",ExpressionUUID->"bc762fab-86b5-4590-998b-422598353fb3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[85703, 1989, 164, 3, 81, "Section",ExpressionUUID->"cdcb0115-437e-4cb6-9540-49966dff4f33"],
Cell[CellGroupData[{
Cell[85892, 1996, 959, 24, 62, "Input",ExpressionUUID->"036cb773-85c6-463d-b6b4-1cb4bfa0189a"],
Cell[86854, 2022, 22862, 652, 1361, "Output",ExpressionUUID->"18051f3d-2771-49d0-b989-47ef829e029b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109753, 2679, 184, 3, 65, "Subsection",ExpressionUUID->"04efe739-0f35-4704-9e33-58ac1af31c0a"],
Cell[109940, 2684, 744, 20, 87, "Input",ExpressionUUID->"4e1aaa58-e6d7-4d06-a4bd-40614e7bb762"],
Cell[110687, 2706, 3212, 79, 137, "Input",ExpressionUUID->"4761c9c8-8d93-4bda-88a2-98e7b37f8b5c"],
Cell[CellGroupData[{
Cell[113924, 2789, 169, 3, 52, "Subsubsection",ExpressionUUID->"0fa3cbfe-cf69-4ee1-883f-11a73ba7486f"],
Cell[114096, 2794, 691, 18, 36, "Input",ExpressionUUID->"fa912101-4eb7-4e6a-8081-b63328282d02"],
Cell[114790, 2814, 643, 11, 36, "Input",ExpressionUUID->"fbcdcefe-1971-42eb-ac43-3f737a98f6f6"],
Cell[CellGroupData[{
Cell[115458, 2829, 3361, 87, 237, "Input",ExpressionUUID->"ad8fe673-0499-4082-ba6e-5ecbb4eeb7a5"],
Cell[118822, 2918, 1798, 46, 44, "Output",ExpressionUUID->"6682131f-ae28-4ced-b0c9-2ed67943492c"],
Cell[120623, 2966, 2442, 70, 44, "Output",ExpressionUUID->"68a6cdb7-6ff7-4a4a-b789-29e963090486"],
Cell[123068, 3038, 1039, 16, 38, "Output",ExpressionUUID->"e225f488-f9ea-4efa-b1fe-ecd5c1d56144"],
Cell[124110, 3056, 2459, 81, 38, "Output",ExpressionUUID->"ed0030e9-df1f-4ddd-a69f-25aa8dfeda8f"],
Cell[126572, 3139, 2016, 59, 44, "Output",ExpressionUUID->"7f2a0a58-6c8b-420a-90ec-df5ef21fbbfc"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[128649, 3205, 176, 3, 65, "Subsection",ExpressionUUID->"130c3f92-52d7-4153-aa44-54f806159158"],
Cell[128828, 3210, 3136, 82, 249, "Input",ExpressionUUID->"6667fac9-e0da-42fe-b6c0-7735bb9a6130"],
Cell[CellGroupData[{
Cell[131989, 3296, 197, 3, 52, "Subsubsection",ExpressionUUID->"b9f77ccd-a0e1-4e16-99f6-92ac0851ba00"],
Cell[CellGroupData[{
Cell[132211, 3303, 1072, 29, 62, "Input",ExpressionUUID->"c29fc955-e362-4a44-b536-a921c6c6c6ed"],
Cell[133286, 3334, 630, 9, 38, "Output",ExpressionUUID->"4683ab2e-c414-4c83-b1df-9313cc7f2106"]
}, Open  ]],
Cell[CellGroupData[{
Cell[133953, 3348, 180, 2, 36, "Input",ExpressionUUID->"bafdad2f-3e2a-4990-8ece-22a229f0b9d3"],
Cell[134136, 3352, 124918, 4620, 2033, "Output",ExpressionUUID->"89d663a5-0bab-4503-bad0-3c0f5f50b35d"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[259127, 7980, 167, 3, 81, "Section",ExpressionUUID->"0288061f-ff05-4a23-bde3-e56c7cf16ff7"],
Cell[259297, 7985, 1661, 31, 361, "Text",ExpressionUUID->"584ea9ea-e911-4c3a-92bc-eb442ac062c0"],
Cell[CellGroupData[{
Cell[260983, 8020, 979, 27, 87, "Input",ExpressionUUID->"1c3ee2c7-f50c-4193-ad4e-8554f6e2bb99"],
Cell[261965, 8049, 1684, 54, 44, "Output",ExpressionUUID->"ef59b2ff-6df0-4146-9a96-c014cf61eedf"],
Cell[263652, 8105, 2110, 65, 44, "Output",ExpressionUUID->"df56a3fe-4a21-4f6a-9fe2-cd4fa7d295c2"],
Cell[265765, 8172, 5970, 247, 38, "Output",ExpressionUUID->"6b9bfa2b-2ffc-4eae-81f8-e26a01cf61ae"]
}, Open  ]],
Cell[271750, 8422, 6096, 149, 387, "Input",ExpressionUUID->"d20abd78-55f9-430b-9c12-63580b4b9ec7"],
Cell[CellGroupData[{
Cell[277871, 8575, 241, 3, 62, "Input",ExpressionUUID->"824bc9aa-eb8a-420b-8e2f-8906f8ab7c27"],
Cell[278115, 8580, 2150, 71, 44, "Output",ExpressionUUID->"22bc2a3b-0bae-47e9-b4d6-92a9986b286c"],
Cell[280268, 8653, 2128, 79, 38, "Output",ExpressionUUID->"f837878d-b6fb-46c5-ba9a-04f3eb5e3b5a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[282433, 8737, 209, 4, 65, "Subsection",ExpressionUUID->"e7e52d27-9d5c-4972-bad1-aaad08f1a3ed"],
Cell[CellGroupData[{
Cell[282667, 8745, 6716, 160, 537, "Input",ExpressionUUID->"86e95e48-266c-441e-90e6-a05af80534d2"],
Cell[CellGroupData[{
Cell[289408, 8909, 320, 6, 27, "Print",ExpressionUUID->"7097beb2-2b4f-41f1-841c-dff0ff5f9cce"],
Cell[289731, 8917, 321, 6, 27, "Print",ExpressionUUID->"4a24586f-b9f6-4216-acc3-38642c4464ba"],
Cell[290055, 8925, 309, 6, 27, "Print",ExpressionUUID->"9a0f1d2d-1036-4fe5-8013-37d09416b178"],
Cell[290367, 8933, 514, 9, 116, "Print",ExpressionUUID->"b0661c6d-e7ff-4a73-9b4a-b4ce3ba44a0b"],
Cell[290884, 8944, 309, 6, 27, "Print",ExpressionUUID->"3fe78b1b-9154-4b05-a03b-bc5afb4c5f5a"],
Cell[291196, 8952, 482, 9, 116, "Print",ExpressionUUID->"4d4fc8ae-76a3-4db2-a6bd-96b23acb1327"],
Cell[291681, 8963, 309, 6, 27, "Print",ExpressionUUID->"eb9dc4d8-317a-465e-b14a-efe33f1eadd9"],
Cell[291993, 8971, 1128, 18, 270, "Print",ExpressionUUID->"94725921-e7ae-4588-b119-c622e04923dc"],
Cell[293124, 8991, 309, 6, 27, "Print",ExpressionUUID->"4a94e80b-6d98-48a1-b682-dd9b945a2d23"],
Cell[293436, 8999, 1676, 25, 270, "Print",ExpressionUUID->"6c6c7be9-4c5d-4f36-80e6-b77d3002cab5"],
Cell[295115, 9026, 309, 6, 27, "Print",ExpressionUUID->"ad5b4e17-00f3-4164-93a5-19466fb128d7"],
Cell[295427, 9034, 1124, 17, 270, "Print",ExpressionUUID->"6e6a6b1f-b9ad-45ca-976a-57c2745ee5b6"],
Cell[296554, 9053, 320, 6, 27, "Print",ExpressionUUID->"cbf94aeb-251a-4b6e-955b-427449c68159"],
Cell[296877, 9061, 323, 6, 27, "Print",ExpressionUUID->"199b125d-c424-4546-9c15-2a28901f0209"],
Cell[297203, 9069, 309, 6, 27, "Print",ExpressionUUID->"1a4cdc9d-f051-48c2-9223-411efb845b6c"],
Cell[297515, 9077, 515, 9, 116, "Print",ExpressionUUID->"614ed82d-3d92-46cf-9929-8d63f60f7ebd"],
Cell[298033, 9088, 309, 6, 27, "Print",ExpressionUUID->"cefe65be-7ef6-4625-9311-24f65a46334c"],
Cell[298345, 9096, 483, 9, 116, "Print",ExpressionUUID->"afa5cf1b-fb12-4a3b-8660-5c5b436a3d68"],
Cell[298831, 9107, 309, 6, 27, "Print",ExpressionUUID->"343c65fc-4a1b-45a5-8bb6-61e8a409ba9b"],
Cell[299143, 9115, 1678, 25, 270, "Print",ExpressionUUID->"2e6d5146-2295-4d71-a6ec-55973bd72f23"],
Cell[300824, 9142, 311, 6, 27, "Print",ExpressionUUID->"260d9211-dc8e-4ce6-85ee-ac001a9163d0"],
Cell[301138, 9150, 1125, 17, 270, "Print",ExpressionUUID->"c76bc165-01a7-4964-b3bd-d9c7000efba7"],
Cell[302266, 9169, 310, 6, 27, "Print",ExpressionUUID->"4e019690-2d8b-4c62-9abb-37b9affc9e23"],
Cell[302579, 9177, 1123, 17, 270, "Print",ExpressionUUID->"d2e13c79-e789-4e9d-8e65-74ff9d564ecc"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[303751, 9200, 166, 3, 52, "Subsubsection",ExpressionUUID->"a4e85eeb-c355-4273-af04-fa5627f43da6"],
Cell[CellGroupData[{
Cell[303942, 9207, 7252, 177, 612, "Input",ExpressionUUID->"b8527aad-bc30-4aa6-89ce-f0e06131fd0b"],
Cell[311197, 9386, 764, 11, 84, "Output",ExpressionUUID->"657785f6-5bce-45ae-865a-17431734b1ed"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

