(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    256939,       6316]
NotebookOptionsPosition[    246439,       6155]
NotebookOutlinePosition[    246923,       6173]
CellTagsIndexPosition[    246880,       6170]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8890168084279547`*^9, 3.8890168092899714`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"bf3a6803-1e5e-48c4-a2ae-b9c5ae923bd9"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$LoadAddOns", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<FeynArts\>\"", ",", "\"\<FeynHelpers\>\""}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<FeynCalc`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.8890168234903173`*^9, 3.889016854234688*^9}, {
  3.889017044991746*^9, 3.889017045165141*^9}, {3.889017781387946*^9, 
  3.889017814440536*^9}, {3.88901786533222*^9, 3.889017866119855*^9}, {
  3.889025236954578*^9, 3.889025237167118*^9}, {3.8895928715731487`*^9, 
  3.8895928871625967`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"7e1f1c57-9c4a-40da-b9b6-93b1face6039"],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"FeynCalc \"\>", "Text",
    StripOnInput->False,
    FontWeight->Bold], "\[InvisibleSpace]", 
   StyleBox["\<\"9.3.1 (stable version). For help, use the \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"documentation", " ", "center"}],
      BaseStyle->"Link",
      ButtonData:>"paclet:FeynCalc/",
      ButtonNote->"paclet:FeynCalc/"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\", check out the \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox["wiki",
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["https://github.com/FeynCalc/feyncalc/wiki"], None},
      ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" or visit the \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"forum", "."}],
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["https://github.com/FeynCalc/feyncalc/discussions"], None},
      ButtonNote->"http://www.feyncalc.org/forum/"],
     DisplayForm], "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["FeynCalc ", "Text", Bold], 
   Style["9.3.1 (stable version). For help, use the ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "documentation center", BaseStyle -> "Link", ButtonData :> 
      "paclet:FeynCalc/", ButtonNote -> "paclet:FeynCalc/"]], "Text"], 
   Style[", check out the ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox["wiki", ButtonData :> {
        URL["https://github.com/FeynCalc/feyncalc/wiki"], None}, BaseStyle -> 
      "Hyperlink", ButtonNote -> 
      "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
   Style[" or visit the ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox["forum.", ButtonData :> {
        URL["https://github.com/FeynCalc/feyncalc/discussions"], None}, 
      BaseStyle -> "Hyperlink", ButtonNote -> 
      "http://www.feyncalc.org/forum/"]], "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916451951847*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"b86db284-0b65-4b90-94a1-19157b596555"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"To save your and our time, please check our \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox["FAQ",
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None},
      ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" for answers to some common FeynCalc questions.\"\>", "Text",
    
    StripOnInput->False]}],
  SequenceForm[
   Style["To save your and our time, please check our ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox["FAQ", ButtonData :> {
        URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None}, 
      BaseStyle -> "Hyperlink", ButtonNote -> 
      "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
   Style[" for answers to some common FeynCalc questions.", "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916451957596*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"2172f3c7-021a-40a5-82c2-47bb0a5dee81"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"See also the supplied \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"examples", "."}],
      BaseStyle->"Hyperlink",
      ButtonFunction:>SystemOpen[
        FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]],
      Evaluator->Automatic,
      Method->"Preemptive"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" If you use FeynCalc in your research, please cite\"\>", 
    "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["See also the supplied ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
        FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]], Evaluator -> 
      Automatic, Method -> "Preemptive"]], "Text"], 
   Style[" If you use FeynCalc in your research, please cite", "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.9049164519590197`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7ff73dc1-eb54-4e69-b62f-90f61b780284"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 256 (2020) 107478, arXiv:2001.04407.\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916451960279*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"a41b4ea3-1867-44a4-b235-02799a77d574"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 207 (2016) 432-444, arXiv:1601.01167.\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916451961459*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"1e06ace1-e76f-43db-9d2a-04d0831081b6"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] R. Mertig, M. B\[ODoubleDot]hm, and A. Denner, \
Comput. Phys. Commun. 64 (1991) 345-359.\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916451962595*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d6a2affb-391f-450c-886e-9758789b28f6"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"FeynArts \"\>", "Text",
    StripOnInput->False,
    FontWeight->Bold], "\[InvisibleSpace]", 
   StyleBox["\<\"3.11 (25 Mar 2022) patched for use with FeynCalc, for \
documentation see the \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox["manual",
      BaseStyle->"Hyperlink",
      ButtonFunction:>SystemOpen[
        First[
         FileNames[{"*.pdf", "*.PDF"}, 
          FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]],
      Evaluator->Automatic,
      Method->"Preemptive"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" or visit \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"www", ".", "feynarts", ".", "de", "."}],
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["http://www.feynarts.de/"], None},
      ButtonNote->"www.feynarts.de/"],
     DisplayForm], "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["FeynArts ", "Text", Bold], 
   Style["3.11 (25 Mar 2022) patched for use with FeynCalc, for documentation \
see the ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "manual", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
        First[
         FileNames[{"*.pdf", "*.PDF"}, 
          FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]], Evaluator -> 
      Automatic, Method -> "Preemptive"]], "Text"], 
   Style[" or visit ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox["www.feynarts.de.", ButtonData :> {
        URL["http://www.feynarts.de/"], None}, BaseStyle -> "Hyperlink", 
      ButtonNote -> "www.feynarts.de/"]], "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.9049164520551233`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"4fcc251e-b732-4947-ba9d-a09ab64564f3"],

Cell[BoxData[
 StyleBox["\<\"If you use FeynArts in your research, please cite\"\>", "Text",
  
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916452056662*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9d17529b-e5b2-4bf6-9a4d-b57308ff7443"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] T. Hahn, Comput. Phys. Commun., 140, 418-431, 2001, \
arXiv:hep-ph/0012260\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916452058036*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"1227284e-9925-48fa-9341-b1651ab82231"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"FeynHelpers \"\>", "Text",
    StripOnInput->False,
    FontWeight->Bold], "\[InvisibleSpace]", 
   StyleBox["\<\"1.3.0, for more information see the accompanying \"\>", 
    "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"publication", "."}],
      BaseStyle->"Hyperlink",
      ButtonFunction:>SystemOpen[
        FileNameJoin[{
         FeynCalc`$FeynHelpersDirectory, "Documentation", "1611.06793.pdf"}]],
      
      Evaluator->Automatic,
      Method->"Preemptive"],
     DisplayForm], "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["FeynHelpers ", "Text", Bold], 
   Style["1.3.0, for more information see the accompanying ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "publication.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
        FileNameJoin[{
         FeynCalc`$FeynHelpersDirectory, "Documentation", "1611.06793.pdf"}]],
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916452088243*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"40f89200-2e54-4014-b3cd-e624fc2f2a89"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   StyleBox["\<\"Have a look at the supplied \"\>", "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"examples", "."}],
      BaseStyle->"Hyperlink",
      ButtonFunction:>SystemOpen[
        FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]],
      Evaluator->Automatic,
      Method->"Preemptive"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" If you use FeynHelpers in your research, please cite\"\>", 
    "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style["Have a look at the supplied ", "Text"], 
   Style[
    DisplayForm[
     ButtonBox[
     "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
        FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]], 
      Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
   Style[" If you use FeynHelpers in your research, please cite", "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916452090599*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5df0853a-b963-418e-a98a-ea8adf0e63ab"],

Cell[BoxData[
 StyleBox["\<\" \[Bullet] V. Shtabovenko, \\\"FeynHelpers: Connecting \
FeynCalc to FIRE and Package-X\\\", Comput. Phys. Commun., 218, 48-65, 2017, \
arXiv:1611.06793\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916452092313*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9a64da77-b461-45bd-a43b-6cf6d906fd62"],

Cell[BoxData[
 StyleBox["\<\"Furthermore, remember to cite the authors of the tools that \
you are calling from FeynHelpers, which are\"\>", "Text",
  StripOnInput->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.9049164520934887`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5a1a5c55-2be1-4604-9093-15e28f041f26"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox["FIRE",
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["http://science.sander.su/FIRE.htm"], None},
      ButtonNote->"http://science.sander.su/FIRE.htm"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" by A. Smirnov, if you are using the function FIREBurn.\"\>",
     "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style[" \[Bullet] "], 
   Style[
    DisplayForm[
     ButtonBox["FIRE", ButtonData :> {
        URL["http://science.sander.su/FIRE.htm"], None}, BaseStyle -> 
      "Hyperlink", ButtonNote -> "http://science.sander.su/FIRE.htm"]], 
    "Text"], 
   Style[" by A. Smirnov, if you are using the function FIREBurn.", "Text"]],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916452094717*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5c436811-d1d3-4718-a395-eac77fe57c56"],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
   StyleBox[
    TagBox[
     ButtonBox[
      RowBox[{"Package", "-", "X"}],
      BaseStyle->"Hyperlink",
      ButtonData:>{
        URL["https://packagex.hepforge.org"], None},
      ButtonNote->"https://packagex.hepforge.org"],
     DisplayForm], "Text",
    StripOnInput->False], "\[InvisibleSpace]", 
   StyleBox["\<\" by H. Patel, if you are using the function \
PaXEvaluate.\"\>", "Text",
    StripOnInput->False]}],
  SequenceForm[
   Style[" \[Bullet] "], 
   Style[
    DisplayForm[
     ButtonBox["Package-X", ButtonData :> {
        URL["https://packagex.hepforge.org"], None}, BaseStyle -> "Hyperlink",
       ButtonNote -> "https://packagex.hepforge.org"]], "Text"], 
   Style[" by H. Patel, if you are using the function PaXEvaluate.", "Text"]],
  
  Editable->False]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.903612638108555*^9, 3.903612749742942*^9, 3.90361405154646*^9, 
   3.903615694143119*^9, 3.903618482390012*^9, 3.903625167054302*^9, 
   3.903626831969283*^9, 3.903633443485317*^9, 3.9036336241754723`*^9, 
   3.903633701411325*^9, 3.903677724498769*^9, 3.903681331077482*^9, 
   3.903681555920127*^9, 3.9036821949457817`*^9, 3.903684327913574*^9, 
   3.903685081522482*^9, 3.90369072672132*^9, 3.903690774444457*^9, 
   3.903710793952539*^9, 3.9039780609191713`*^9, 3.9042236048440723`*^9, 
   3.904227254828404*^9, 3.90422769703181*^9, 3.904227947790628*^9, 
   3.9043002566600857`*^9, 3.904301369702076*^9, 3.9047561265966578`*^9, 
   3.904756163529263*^9, 3.904756416226976*^9, 3.90475686575596*^9, 
   3.9048085817391*^9, 3.90481262926157*^9, 3.904812676319694*^9, 
   3.904915538136195*^9, 3.904916452096012*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e10bd857-4714-4b0a-9cfa-cf6e5f41c1fc"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.889017308907774*^9, 3.889017320298298*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"7a7047f5-8e97-4877-b8bc-707360cf8b4c"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CKM", " ", "=", " ", "IndexDelta"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Neglect", "[", "ME", "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"Neglect", "[", "ME2", "]"}], " ", "=", " ", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$FAVerbose", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"use", " ", "generic", " ", "model", " ", "from", " ", 
    RowBox[{"FeynCalc", "!"}], " ", "The", " ", "SUNF", " ", "and", " ", 
    "SUNT", " ", "functions", " ", "in", " ", 
    RowBox[{"the", " ", ".", "mod"}], " ", "file", " ", "have", " ", "to", 
    " ", "be", " ", "replaced", " ", "by", " ", "FASUNF", " ", "and", " ", 
    "FASUNT"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"InsertFields", ",", " ", 
    RowBox[{
    "Model", " ", "->", "\"\<../../Models/SMS-stop-FA/SMS-stop-FA_CT\>\""}], 
    ",", 
    RowBox[{"ExcludeParticles", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"S", "[", "1", "]"}], "}"}]}], ",", 
    RowBox[{"InsertionLevel", "\[Rule]", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Paint", ",", " ", 
    RowBox[{"PaintLevel", " ", "->", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"CreateTopologies", ",", " ", 
    RowBox[{"ExcludeTopologies", " ", "->", " ", 
     RowBox[{"{", 
      RowBox[{"TadpoleCTs", ",", "Tadpoles", ",", " ", "WFCorrectionCTs"}], 
      "}"}]}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.889017005844899*^9, {3.88901704085599*^9, 3.889017041077664*^9}, 
   3.889017094676647*^9, {3.889017325834794*^9, 3.889017434303607*^9}, 
   3.889017536935258*^9, {3.889017664405981*^9, 3.8890176805032187`*^9}, 
   3.8890179884081173`*^9, {3.889018149086043*^9, 3.8890181730357113`*^9}, {
   3.889019077467082*^9, 3.889019120878731*^9}, {3.8890226845002737`*^9, 
   3.889022733473879*^9}, {3.8890227741904078`*^9, 3.8890228031699657`*^9}, {
   3.889022982319891*^9, 3.8890229985262537`*^9}, {3.8890236396691513`*^9, 
   3.889023639834773*^9}, {3.889025152091753*^9, 3.889025177352399*^9}, {
   3.889544917395384*^9, 3.8895449493334312`*^9}, {3.896504119230514*^9, 
   3.8965041235149*^9}, {3.896504180860827*^9, 3.89650418316083*^9}, 
   3.896504232770453*^9, {3.901123677335421*^9, 3.90112370859788*^9}, {
   3.9036127294895287`*^9, 3.903612756895303*^9}, {3.90368431304475*^9, 
   3.9036843133981533`*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"ed699d7e-c19c-41b7-8b3a-2506f804df62"],

Cell[CellGroupData[{

Cell["g-g- t- t (1-loop - self energy)", "Section",
 CellChangeTimes->{{3.8965094536222267`*^9, 3.8965095038654137`*^9}, {
  3.9013532598632402`*^9, 3.9013532620752897`*^9}, {3.901353311683537*^9, 
  3.901353312659729*^9}, {3.902499251144042*^9, 3.902499254245419*^9}, {
  3.902695786498644*^9, 3.9026957882478437`*^9}, {3.9036127638176117`*^9, 
  3.9036127691946983`*^9}},ExpressionUUID->"4b57545a-867e-4c7b-9e3f-\
1cea27bf8190"],

Cell["\<\
The choice below for the momenta and the ordering of the particles in the \
process is equivalent to the correct
ordering for computing the effective vertex for the UFO format:
0 \[Rule]4, with {} \[Rule]{-F[9],F[9],V[4],V[4]} and all the momenta set as \
outgoing ({} \[Rule] {p1,p2,p3,p4}).
However the choice below produces nicer diagrams.\
\>", "Text",
 CellChangeTimes->{{3.9049219286801043`*^9, 3.90492205503379*^9}, {
  3.904922124889674*^9, 
  3.90492217759822*^9}},ExpressionUUID->"db69d872-aa2a-4484-8ded-\
13ce9cbe9c49"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"topsCT", " ", "=", " ", 
   RowBox[{"CreateCTTopologies", "[", 
    RowBox[{"1", ",", 
     RowBox[{"2", "\[Rule]", "2"}], ",", 
     RowBox[{"ExcludeTopologies", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
       "WFCorrectionCTs", ",", "TadpoleCTs", ",", "BoxCTs", ",", 
        "TriangleCTs"}], "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tops", " ", "=", " ", 
   RowBox[{"CreateTopologies", "[", 
    RowBox[{"1", ",", 
     RowBox[{"2", "\[Rule]", "2"}], ",", "  ", 
     RowBox[{"ExcludeTopologies", " ", "->", " ", 
      RowBox[{"{", 
       RowBox[{"TadpoleCTs", ",", "Tadpoles", ",", "WFCorrections"}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"processGGT", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"V", "[", "4", "]"}], ",", 
      RowBox[{"V", "[", "4", "]"}]}], "}"}], " ", "->", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"F", "[", "9", "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"F", "[", "9", "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"allDiags", " ", "=", " ", 
   RowBox[{"InsertFields", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{"topsCT", ",", "tops"}], "]"}], ",", "processGGT", ",", " ", 
     RowBox[{"InsertionLevel", "\[Rule]", " ", 
      RowBox[{"{", "Particles", "}"}]}], ",", 
     RowBox[{"ExcludeParticles", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"V", "[", "3", "]"}], ",", 
        RowBox[{"V", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "2", "]"}], ",", 
        RowBox[{"S", "[", "3", "]"}], ",", 
        RowBox[{"V", "[", "2", "]"}], ",", 
        RowBox[{"F", "[", "1", "]"}], ",", 
        RowBox[{"F", "[", "2", "]"}], ",", 
        RowBox[{"F", "[", "3", "]"}], ",", 
        RowBox[{"F", "[", "4", "]"}], ",", 
        RowBox[{"F", "[", "5", "]"}], ",", 
        RowBox[{"F", "[", "6", "]"}], ",", 
        RowBox[{"F", "[", "7", "]"}], ",", 
        RowBox[{"F", "[", "8", "]"}]}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.896509435366342*^9, 3.896509451223157*^9}, {
   3.8965095108569107`*^9, 3.8965095604144707`*^9}, {3.896509597031486*^9, 
   3.896509640069913*^9}, {3.896805347338221*^9, 3.896805359654518*^9}, 
   3.896841303854939*^9, {3.89764273025483*^9, 3.8976427388940477`*^9}, {
   3.901123751032186*^9, 3.9011237607135363`*^9}, {3.901123799723119*^9, 
   3.901123804129807*^9}, {3.901123845511257*^9, 3.901123923954329*^9}, 
   3.901125442045189*^9, {3.901297878026309*^9, 3.9012979927032127`*^9}, {
   3.901995259143754*^9, 3.901995288594748*^9}, {3.901995682314508*^9, 
   3.901995685131485*^9}, {3.901995723688879*^9, 3.901995764512649*^9}, {
   3.902499266492227*^9, 3.902499275236013*^9}, {3.902695791990871*^9, 
   3.902695803373865*^9}, 3.902695840081698*^9, {3.90269588276233*^9, 
   3.9026958834590397`*^9}, {3.9036127716602373`*^9, 3.903612773914691*^9}, {
   3.9036128218499813`*^9, 3.903612828964675*^9}, {3.903681296112327*^9, 
   3.9036813062492723`*^9}, 3.904223639654111*^9, 3.9043001291540403`*^9, 
   3.904756099095208*^9},
 CellLabel->"In[10]:=",ExpressionUUID->"01ff8450-f24b-4654-b601-64e1ff628cbb"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"generic model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"Lorentz\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm["generic model ", {"Lorentz"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.904300258608685*^9, 3.9043013757962503`*^9, 
  3.90475612739178*^9, 3.9047561644402437`*^9, 3.904756417000773*^9, 
  3.904756866598205*^9, 3.904808589104313*^9, 3.9048126295049353`*^9, 
  3.904812676562401*^9, 3.904915538616335*^9, 3.904916452433517*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"e2f0eada-9ac7-4294-91eb-3efd29d34a1b"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"classes model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"../../Models/SMS-stop-FA/SMS-stop-FA_CT\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm[
   "classes model ", {"../../Models/SMS-stop-FA/SMS-stop-FA_CT"}, 
    " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.904300258608685*^9, 3.9043013757962503`*^9, 
  3.90475612739178*^9, 3.9047561644402437`*^9, 3.904756417000773*^9, 
  3.904756866598205*^9, 3.904808589104313*^9, 3.9048126295049353`*^9, 
  3.904812676562401*^9, 3.904915538616335*^9, 3.90491645248796*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"3c8e2a30-14f6-46a2-ab0f-8399e2d2b7ef"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"59 Particles insertions\"\>"}],
   SequenceForm["in total: ", "59 Particles insertions"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.904300258608685*^9, 3.9043013757962503`*^9, 
  3.90475612739178*^9, 3.9047561644402437`*^9, 3.904756417000773*^9, 
  3.904756866598205*^9, 3.904808589104313*^9, 3.9048126295049353`*^9, 
  3.904812676562401*^9, 3.904915538616335*^9, 3.9049164527183228`*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"374154ed-1d68-4325-89f0-3396de5a9975"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"goodDiags", "=", 
   RowBox[{"DiagramExtract", "[", 
    RowBox[{"allDiags", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "2", ",", "56", ",", "58"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Paint", "[", 
   RowBox[{"goodDiags", ",", 
    RowBox[{"ColumnsXRows", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"4", ",", "1"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{"600", ",", "150"}], "}"}]}], ",", 
    RowBox[{"PaintLevel", "\[Rule]", 
     RowBox[{"{", "Particles", "}"}]}], ",", 
    RowBox[{"Numbering", "\[Rule]", "Simple"}], ",", 
    RowBox[{"AutoEdit", "\[Rule]", "True"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.90269638894132*^9, 3.902696392156201*^9}, {
  3.902696427053773*^9, 3.902696441532485*^9}, {3.902820241695332*^9, 
  3.902820243895646*^9}, {3.902820320305406*^9, 3.9028203217905684`*^9}, {
  3.90361279407697*^9, 3.9036127979050493`*^9}, {3.903612848431692*^9, 
  3.903612876246517*^9}, {3.9036141254691753`*^9, 3.903614125851215*^9}, {
  3.9036338810137653`*^9, 3.903633881367627*^9}, {3.903636670936923*^9, 
  3.903636671319993*^9}, {3.903636975983135*^9, 3.903636976673646*^9}, {
  3.903681378302724*^9, 3.903681413024835*^9}, {3.904756111667857*^9, 
  3.9047561146679373`*^9}, {3.90475638357819*^9, 3.904756402884272*^9}, {
  3.904812575381584*^9, 3.904812603884963*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"20e5116a-3361-4a03-9309-d84591411aca"],

Cell[BoxData[
 FormBox[
  GraphicsBox[{InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwl1wk81OkfB/Bfjog0ztY9Q1jlmg5F0fyirOz/7z+Soy1yRISSbI7FjrKi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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {4.8457692355174515, 13.562492355174516},
           ImageScaled[{Rational[1, 2], 1}]], LineBox[CompressedData["
1:eJwl1ws4lGkbB/A350MxCQ3ZDDkVavRFEXkppRCVzSnlkBaxhlZRsZOQ7WRo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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {5.1542307644825485, 4.562492355174517}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{19.99999999999818, 14.999999999996362`}, {
          10.000000000002274`, 13.999999999996362`}}], 
         PolygonBox[{{15.597022314125994`, 14.559702231412599`}, {
          14.363176198265608`, 14.838312644671397`}, {14.442779173482405`, 
          14.042282892503405`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {14.845769235517452, 15.437507644825484},
           ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{19.999999999997726`, 4.999999999996362}, {
          9.999999999997726, 5.999999999996362}}], 
         PolygonBox[{{14.402977685874006`, 5.559702231412599}, {
          15.636823801734392`, 5.838312644671396}, {15.557220826517595`, 
          5.0422828925034056`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {15.154230764482548, 6.437507644825483}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{10., 10.}, {10., 14.}}], 
         PolygonBox[{{10., 12.6}, {10.4, 11.4}, {9.6, 11.4}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {10.9452, 12.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         LineBox[{{10., 10.000000000001556`}, {10., 5.999999999998444}}], 
         PolygonBox[{{10., 8.6}, {9.6, 7.4}, {10.4, 7.4}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {9.0548, 8.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{10., 14.}], PointBox[{10., 6.}], 
          {Thickness[0.015000000000000001`], 
           LineBox[{{9.5, 9.5}, {10.5, 10.5}}], 
           LineBox[{{9.5, 10.5}, {10.5, 9.5}}]}}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["1",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->10.573426573426573`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            10.573426573426573`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cedf/gegf.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cedf/gegf.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {0, 0}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwl1wk81OkfB/Bfjog0ztY9Q1jlmg5F0fyirOz/7z+Soy1yRISSbI7FjrKi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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {5.223883367797248, 16.134033677972475}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJwl1ws4lGkbB/A350MxCQ3ZDDkVavRFEXkppRCVzSnlkBaxhlZRsZOQ7WRo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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {5.1542307644825485, 4.562492355174517}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{19.99999999999818, 14.999999999996362`}, {
          9.999999999996362, 5.999999999994543}}], 
         PolygonBox[{{15.4459764877483, 10.90137883897347}, {
          14.28643761960272, 10.395938819525396`}, {14.821609404900679`, 
          9.801303502527665}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {16.93668097317552, 13.081348312506332}, 
          ImageScaled[{1, 0}]], 
         LineBox[{{20.00000000000182, 4.999999999998181}, {10., 
          13.999999999998181`}}], 
         PolygonBox[{{14.5540235122517, 9.90137883897347}, {15.71356238039728,
           9.395938819525398}, {15.178390595099321`, 8.801303502527663}}], 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {18.062354940258533, 7.580534385953972}, 
          ImageScaled[{0, 0}]], LineBox[{{10., 10.}, {10., 14.}}], 
         PolygonBox[{{10., 11.4}, {10.4, 12.6}, {9.6, 12.6}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {9.0548, 12.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         LineBox[{{10., 10.000000000001556`}, {10., 5.999999999998444}}], 
         PolygonBox[{{10., 7.4}, {9.6, 8.6}, {10.4, 8.6}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {9.0548, 8.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{10., 14.}], PointBox[{10., 6.}], 
          {Thickness[0.015000000000000001`], 
           LineBox[{{9.5, 9.5}, {10.5, 10.5}}], 
           LineBox[{{9.5, 10.5}, {10.5, 9.5}}]}}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["2",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->10.573426573426573`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            10.573426573426573`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cfde/gegf.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cfde/gegf.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {22, 0}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwt1wk8lVkfB/DHkhshSobs+y1rlkmb+yRCUZcybhORUkJCEiHXFpVt0HRL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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {5.112359638123757, 16.39239276247515}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJwt1wk81OkfB/Cfq8mt3CyNY4tUqwtLmR+pbKmGLVcrs67KOZRsuaayJRGl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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {5.077403306263033, 4.30673387473934}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{20.000000000005343`, 15.}, {10.000000000012506`, 14.5}}], 
         PolygonBox[{{15.599251403326706`, 14.779962570166335`}, {
          14.380773549895737`, 15.119538365384804`}, {14.42072364345085, 
          14.320536494282527`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {14.922596693736967, 15.693266125260656},
           ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{20.000000000000796`, 5.}, {9.999999999998977, 5.5}}], 
         PolygonBox[{{14.400748596673294`, 5.279962570166335}, {
          15.619226450104263`, 5.619538365384803}, {15.57927635654915, 
          4.8205364942825275`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {14.922596693736967, 4.30673387473934}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{10., 14.500000000000409`}, {10., 11.999999999999591`}}], 
         PolygonBox[{{10., 13.85}, {9.6, 12.65}, {10.4, 12.65}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {10.9452, 13.25}, 
          ImageScaled[{0, Rational[1, 2]}]], LineBox[{{10., 5.5}, {10., 8.}}],
          PolygonBox[{{10., 7.35}, {10.4, 6.15}, {9.6, 6.15}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {9.0548, 6.75}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         CircleBox[{10., 10.}, 2., {-4.71238898038469, -1.5707963267948966`}],
          InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {7.3048, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          CircleBox[{10., 10.}, 2., {-1.5707963267948966`, 
           1.5707963267948966`}]}, 
         PolygonBox[{{12., 10.6}, {12.4, 9.4}, {11.6, 9.4}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {12.9452, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{10., 14.5}], PointBox[{10., 5.5}], 
          PointBox[{10., 12.}], PointBox[{10., 8.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["3",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->10.573426573426573`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            10.573426573426573`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cedf/egfhghgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cedf/egfhghgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {44, 0}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwt1wk8lVkfB/DHkhshSobs+y1rlkmb+yRCUZcybhORUkJCEiHXFpVt0HRL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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {5.112359638123757, 16.39239276247515}, 
          ImageScaled[{Rational[1, 2], 0}]], LineBox[CompressedData["
1:eJwt1wk81OkfB/Cfq8mt3CyNY4tUqwtLmR+pbKmGLVcrs67KOZRsuaayJRGl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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {5.077403306263033, 4.30673387473934}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{19.999999999996362`, 15.}, {10., 5.500000000001819}}], 
         PolygonBox[{{15.434999660156649`, 10.663249677148816`}, {
          14.289500555077474`, 10.12675009628895}, {14.840500124609228`, 
          9.546750549413419}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {16.850348584126163, 12.86607825298865}, 
          ImageScaled[{1, 0}]], LineBox[{{20., 5.}, {10., 14.5}}], 
         PolygonBox[{{14.565000339843351`, 10.163249677148816`}, {
          15.710499444922526`, 9.62675009628895}, {15.159499875390772`, 
          9.046750549413419}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {16.851586648183577, 7.134499508829505}, 
          ImageScaled[{1, 1}]], 
         LineBox[{{10., 14.500000000000409`}, {10., 11.999999999999591`}}], 
         PolygonBox[{{10., 12.65}, {9.6, 13.85}, {10.4, 13.85}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {9.0548, 13.25}, 
          ImageScaled[{1, Rational[1, 2]}]], LineBox[{{10., 5.5}, {10., 8.}}],
          PolygonBox[{{10., 6.15}, {10.4, 7.35}, {9.6, 7.35}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {9.0548, 6.75}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         CircleBox[{10.45, 10.}, 
          2.05, {-4.491074538036899, -1.7921107691426879`}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {7.7048000000000005, 10.}, 
          ImageScaled[{1, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          CircleBox[{9.416666666666666, 10.}, 
           2.0833333333333335, {-1.2870022175865687`, 1.2870022175865687`}]}, 
         PolygonBox[{{11.5, 9.4}, {11.9, 10.6}, {11.1, 10.6}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {11.947299999999998, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{10., 14.5}], PointBox[{10., 5.5}], 
          PointBox[{10., 12.}], PointBox[{10., 8.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["4",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->10.573426573426573`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            10.573426573426573`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebf/cfde/egfhghgh.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebf/cfde/egfhghgh.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {66, 0}, {0, 0}, {22, 22}], InsetBox[
     TagBox[
      StyleBox[
       TagBox["G",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {35., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["G",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {39.5, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["\[RightArrow]",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {44., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {48.5, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {53., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]]},
   AspectRatio->0.325,
   ImageSize->{600, 150},
   PlotRange->{{0, 88}, {0, 28.6}}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902695909206264*^9, 3.902696392912366*^9, 3.902696442837022*^9, 
   3.902820271052288*^9, 3.9028203439898787`*^9, 3.9028351704842577`*^9, 
   3.902840125634149*^9, 3.902846425044784*^9, 3.9028468472253942`*^9, 
   3.902904774525519*^9, 3.902905503812023*^9, 3.902905701784676*^9, 
   3.902919787821856*^9, 3.903612808317668*^9, 3.9036128395529537`*^9, 
   3.903612876631978*^9, {3.9036141133803377`*^9, 3.9036141271635427`*^9}, 
   3.903615712849228*^9, 3.9036184926118393`*^9, 3.9036251801171923`*^9, 
   3.903626842341916*^9, 3.903633454087256*^9, 3.903633634774515*^9, 
   3.9036337142880363`*^9, 3.903633882152788*^9, 3.9036366720502043`*^9, 
   3.903636977137142*^9, 3.903637178222661*^9, 3.903677735732378*^9, {
   3.9036813835683737`*^9, 3.903681413582053*^9}, 3.903681571941154*^9, 
   3.903682167601121*^9, 3.9036822065804853`*^9, 3.903684338262289*^9, 
   3.903685093411656*^9, 3.9036907860018263`*^9, 3.9037108052494173`*^9, 
   3.903978071531795*^9, 3.904223661394638*^9, 3.904227267651063*^9, 
   3.9042277134766073`*^9, 3.904227963700192*^9, 3.9043002708799353`*^9, 
   3.904301385566161*^9, 3.9047561277791862`*^9, 3.904756164855879*^9, {
   3.904756387305203*^9, 3.9047564173440723`*^9}, 3.9047568669550247`*^9, 
   3.904808590471693*^9, {3.904812576866201*^9, 3.9048126302400208`*^9}, 
   3.904812677340279*^9, 3.904915539026147*^9, 3.9049164528309813`*^9},
 CellLabel->
  "During evaluation of \
In[14]:=",ExpressionUUID->"e483b0ce-7ed6-419f-87df-4097578b9a26"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ampA", "=", 
   RowBox[{
    RowBox[{"FCFAConvert", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"CreateFeynAmp", "[", 
        RowBox[{"goodDiags", ",", 
         RowBox[{"PreFactor", "\[Rule]", "1"}], ",", 
         RowBox[{"Truncated", "\[Rule]", "True"}]}], "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{"SUNT", "\[Rule]", "FASUNT"}], "}"}]}], ",", 
      RowBox[{"IncomingMomenta", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "p4"}], "}"}]}], ",", 
      RowBox[{"LorentzIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}]}], ",", 
      RowBox[{"OutgoingMomenta", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "p2"}], ",", 
         RowBox[{"-", "p1"}]}], "}"}]}], ",", 
      RowBox[{"LoopMomenta", "\[Rule]", 
       RowBox[{"{", "q", "}"}]}], ",", 
      RowBox[{"SUNIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"cc3", ",", "cc4", ",", "aa", ",", "bb"}], "}"}]}], ",", 
      RowBox[{"SUNFIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"a", ",", "b", ",", "c2", ",", "c1"}], "}"}]}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"DropSumOver", "\[Rule]", "True"}], ",", 
      RowBox[{"SMP", "\[Rule]", "True"}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"Contract", "\[Rule]", "True"}], ",", 
      RowBox[{"ChangeDimension", "\[Rule]", "D"}], ",", 
      RowBox[{"UndoChiralSplittings", "\[Rule]", "True"}], ",", 
      RowBox[{"FinalSubstitutions", "\[Rule]", " ", 
       RowBox[{"(", 
        RowBox[{"M$FACouplings", "/.", 
         RowBox[{"GS", "\[Rule]", "gs"}]}], ")"}]}]}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"GS", "\[Rule]", "gs"}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.896504341489764*^9, 3.8965043872503223`*^9}, 
   3.896504422981164*^9, {3.896509688254932*^9, 3.896509693455044*^9}, {
   3.896509733273226*^9, 3.896509733544258*^9}, {3.8976428454285517`*^9, 
   3.897642856782288*^9}, 3.898334618925084*^9, {3.901298016999733*^9, 
   3.901298048911278*^9}, {3.901298131259605*^9, 3.901298131462916*^9}, 
   3.9013488041081133`*^9, {3.901349018123371*^9, 3.901349037377063*^9}, {
   3.901349069971529*^9, 3.901349118636595*^9}, {3.9013491506530247`*^9, 
   3.9013491851372757`*^9}, {3.901349215213161*^9, 3.901349216233016*^9}, {
   3.90135334948783*^9, 3.90135337690655*^9}, {3.901995859350791*^9, 
   3.901995929758333*^9}, {3.901995977654697*^9, 3.901996007951997*^9}, {
   3.901996043912334*^9, 3.901996095297839*^9}, {3.901996289564934*^9, 
   3.901996351869937*^9}, 3.902002030165564*^9, 3.902212418738583*^9, {
   3.902212449286343*^9, 3.902212455252392*^9}, {3.902212523864539*^9, 
   3.902212551050861*^9}, {3.902499284643197*^9, 3.902499285068048*^9}, {
   3.90269645597514*^9, 3.9026964695443373`*^9}, 3.903612901838242*^9, 
   3.903613079330823*^9, 3.904223664750435*^9, {3.904226143043545*^9, 
   3.90422617635177*^9}, {3.904226569302219*^9, 3.904226569728867*^9}, {
   3.904226609162689*^9, 3.904226630242448*^9}, {3.9042268206459217`*^9, 
   3.9042268226966867`*^9}, 3.904300139528507*^9, 3.9047561479898777`*^9},
 CellLabel->"In[16]:=",ExpressionUUID->"e0e55a65-df8b-422d-a351-3e9467d3aa9b"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"4 Particles amplitudes\"\>"}],
   SequenceForm["in total: ", "4 Particles amplitudes"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902212551773025*^9, 3.9022239871085653`*^9, 3.9022334753414917`*^9, 
   3.902499285617628*^9, 3.902500869760573*^9, 3.902501320941017*^9, 
   3.902501469650407*^9, 3.9025622707092752`*^9, 3.902562664737382*^9, 
   3.902645002662815*^9, {3.902696448511817*^9, 3.90269647015385*^9}, 
   3.902820349480888*^9, 3.902835170539753*^9, 3.9028401256683292`*^9, 
   3.90284642509052*^9, 3.90284684726513*^9, 3.902904774544615*^9, 
   3.902905503832099*^9, 3.9029057018045263`*^9, 3.90291978783912*^9, {
   3.903612883385866*^9, 3.903612902410342*^9}, 3.903613080277753*^9, {
   3.903614130264061*^9, 3.903614158882909*^9}, 3.903615712887209*^9, 
   3.903618492625798*^9, 3.903625181814932*^9, 3.9036268423582582`*^9, 
   3.903633454101128*^9, 3.903633634785125*^9, 3.903633714309114*^9, 
   3.9036338840725803`*^9, 3.903633982542835*^9, 3.903636673513115*^9, 
   3.903636993686371*^9, 3.903637182427189*^9, 3.903677735748495*^9, 
   3.9036814220352173`*^9, 3.903681571995129*^9, 3.903682167622821*^9, 
   3.9036822066044827`*^9, 3.903684338283783*^9, 3.903685093484641*^9, 
   3.903690786024639*^9, 3.903710805272956*^9, 3.903978071554687*^9, 
   3.904223672624811*^9, {3.904226145502679*^9, 3.904226176848772*^9}, {
   3.904226570386815*^9, 3.904226630745253*^9}, 3.904226823086383*^9, 
   3.904227267685294*^9, 3.9042277155186577`*^9, 3.9042279637911177`*^9, 
   3.904300350986932*^9, 3.904301385590931*^9, {3.904756151779159*^9, 
   3.904756164903873*^9}, 3.904756417511359*^9, 3.904756867138064*^9, 
   3.9048085968949833`*^9, 3.904812630274341*^9, 3.904812677375184*^9, 
   3.904915539070236*^9, 3.9049164528744698`*^9},
 CellLabel->
  "During evaluation of \
In[16]:=",ExpressionUUID->"5d24ca89-c2ac-4dd2-9145-9ef9737d8559"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Select", " ", "only", " ", "leading", " ", "order"}], " ", "*)"}],
   "\[IndentingNewLine]", 
  RowBox[{"ampB", "=", 
   RowBox[{"SUNSimplify", "[", 
    RowBox[{"FCReplaceMomenta", "[", 
     RowBox[{
      RowBox[{"ampA", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"deltaCTL", "\[Rule]", "0"}], ",", 
         RowBox[{"deltaCTR", "\[Rule]", "0"}]}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"p4", "\[Rule]", " ", 
        RowBox[{
         RowBox[{"-", "p1"}], "-", "p2", "-", "p3"}]}], "}"}]}], "]"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.90361291549183*^9, 3.9036129713554773`*^9}, {
   3.9036130450568657`*^9, 3.903613086924192*^9}, 3.903614155022189*^9, {
   3.903614288363258*^9, 3.9036142947814693`*^9}, 3.9036161829911957`*^9, 
   3.904223706012978*^9, 3.9042237486749268`*^9, {3.9043001673042192`*^9, 
   3.9043002237656593`*^9}, {3.904300375657922*^9, 3.9043004261838903`*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"3241cccd-c232-4a54-8d98-cd0d45162768"],

Cell[BoxData[
 FormBox[
  RowBox[{
   FormBox[
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
         RowBox[{
          SuperscriptBox["\[Gamma]", 
           FormBox[
            FormBox["\[Nu]",
             TraditionalForm],
            TraditionalForm]], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["6",
            TraditionalForm]]}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["c2",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["Col5",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["cc4",
            TraditionalForm],
           TraditionalForm]]}], "+", 
        RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
         RowBox[{
          SuperscriptBox["\[Gamma]", 
           FormBox[
            FormBox["\[Nu]",
             TraditionalForm],
            TraditionalForm]], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["7",
            TraditionalForm]]}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["c2",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["Col5",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["cc4",
            TraditionalForm],
           TraditionalForm]]}]}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{"MT", "+", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], "+", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}]}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["\[Pi]", "2"], " ", "deltaS", " ", 
          SuperscriptBox["yDM", "2"], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"(", 
               RowBox[{"\[Gamma]", "\[CenterDot]", 
                FormBox[
                 FormBox["p1",
                  TraditionalForm],
                 TraditionalForm]}], ")"}]}], "-", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p3",
                TraditionalForm],
               TraditionalForm]}]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["7",
             TraditionalForm]]}]}], "MT"], "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         SuperscriptBox["\[Pi]", "2"], " ", "deltaSp", " ", 
         SuperscriptBox["yDM", "2"], " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm]}], "+", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p3",
               TraditionalForm],
              TraditionalForm]}]}], ")"}], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["6",
            TraditionalForm]]}]}], "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         SuperscriptBox["\[Pi]", "2"], " ", "deltaS", " ", 
         SuperscriptBox["yDM", "2"]}]}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{"MT", "+", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], "+", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}]}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
         RowBox[{
          SuperscriptBox["\[Gamma]", 
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm]], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["6",
            TraditionalForm]]}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["Col5",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["c1",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["cc3",
            TraditionalForm],
           TraditionalForm]]}], "+", 
        RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
         RowBox[{
          SuperscriptBox["\[Gamma]", 
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm]], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["7",
            TraditionalForm]]}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["Col5",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["c1",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["cc3",
            TraditionalForm],
           TraditionalForm]]}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       InterpretationBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox[
             RowBox[{
              RowBox[{"-", 
               FormBox["p1",
                TraditionalForm]}], "-", 
              FormBox["p3",
               TraditionalForm]}],
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
         "\[InvisibleSpace]", 
         SuperscriptBox["MT", "2"]}],
        SequenceForm[
         FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p1, D] - 
          FeynCalc`Momentum[$CellContext`p3, D], -
           FeynCalc`Momentum[$CellContext`p1, D] - 
          FeynCalc`Momentum[$CellContext`p3, D]], "-", FeynCalc`MT^2],
        Editable->False], ")"}], "2"]],
    TraditionalForm], "+", 
   FormBox[
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
         RowBox[{
          SuperscriptBox["\[Gamma]", 
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm]], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["6",
            TraditionalForm]]}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["c2",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["Col5",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["cc3",
            TraditionalForm],
           TraditionalForm]]}], "+", 
        RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
         RowBox[{
          SuperscriptBox["\[Gamma]", 
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm]], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["7",
            TraditionalForm]]}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["c2",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["Col5",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["cc3",
            TraditionalForm],
           TraditionalForm]]}]}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{"MT", "-", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], "-", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}]}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["\[Pi]", "2"], " ", "deltaS", " ", 
          SuperscriptBox["yDM", "2"], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p2",
                TraditionalForm],
               TraditionalForm]}], "+", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p3",
                TraditionalForm],
               TraditionalForm]}]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["7",
             TraditionalForm]]}]}], "MT"], "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         SuperscriptBox["\[Pi]", "2"], " ", "deltaSp", " ", 
         SuperscriptBox["yDM", "2"], " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"\[Gamma]", "\[CenterDot]", 
               FormBox[
                FormBox["p2",
                 TraditionalForm],
                TraditionalForm]}], ")"}]}], "-", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p3",
               TraditionalForm],
              TraditionalForm]}]}], ")"}], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["6",
            TraditionalForm]]}]}], "+", 
        RowBox[{"\[ImaginaryI]", " ", 
         SuperscriptBox["\[Pi]", "2"], " ", "deltaS", " ", 
         SuperscriptBox["yDM", "2"]}]}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{"MT", "-", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], "-", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}]}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
         RowBox[{
          SuperscriptBox["\[Gamma]", 
           FormBox[
            FormBox["\[Nu]",
             TraditionalForm],
            TraditionalForm]], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["6",
            TraditionalForm]]}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["Col5",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["c1",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["cc4",
            TraditionalForm],
           TraditionalForm]]}], "+", 
        RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
         RowBox[{
          SuperscriptBox["\[Gamma]", 
           FormBox[
            FormBox["\[Nu]",
             TraditionalForm],
            TraditionalForm]], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["7",
            TraditionalForm]]}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["Col5",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["c1",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["cc4",
            TraditionalForm],
           TraditionalForm]]}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       InterpretationBox[
        RowBox[{
         SuperscriptBox[
          RowBox[{
           FormBox["\<\"(\"\>",
            TraditionalForm], 
           FormBox[
            FormBox[
             RowBox[{
              FormBox["p2",
               TraditionalForm], "+", 
              FormBox["p3",
               TraditionalForm]}],
             TraditionalForm],
            TraditionalForm], 
           FormBox["\<\")\"\>",
            TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
         "\[InvisibleSpace]", 
         SuperscriptBox["MT", "2"]}],
        SequenceForm[
         FeynCalc`Pair[
         FeynCalc`Momentum[$CellContext`p2, D] + 
          FeynCalc`Momentum[$CellContext`p3, D], 
          FeynCalc`Momentum[$CellContext`p2, D] + 
          FeynCalc`Momentum[$CellContext`p3, D]], "-", FeynCalc`MT^2],
        Editable->False], ")"}], "2"]],
    TraditionalForm], "+", 
   FormBox[
    FormBox[
     FractionBox[
      RowBox[{
       SuperscriptBox["yDM", "2"], " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
           RowBox[{
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Nu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}], " ", 
           SubsuperscriptBox["T", 
            RowBox[{
             FormBox[
              FormBox["c2",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["Col5",
               TraditionalForm],
              TraditionalForm]}], 
            FormBox[
             FormBox["cc4",
              TraditionalForm],
             TraditionalForm]]}], "+", 
          RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
           RowBox[{
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Nu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["7",
              TraditionalForm]]}], " ", 
           SubsuperscriptBox["T", 
            RowBox[{
             FormBox[
              FormBox["c2",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["Col5",
               TraditionalForm],
              TraditionalForm]}], 
            FormBox[
             FormBox["cc4",
              TraditionalForm],
             TraditionalForm]]}]}], ")"}], ".", 
        RowBox[{"(", 
         RowBox[{"MT", "+", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm]}], "+", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p3",
             TraditionalForm],
            TraditionalForm]}]}], ")"}], ".", 
        SuperscriptBox[
         OverscriptBox["\[Gamma]", "_"], 
         FormBox["7",
          TraditionalForm]], ".", 
        RowBox[{"(", 
         RowBox[{"mChi", "+", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["q",
             TraditionalForm],
            TraditionalForm]}]}], ")"}], ".", 
        SuperscriptBox[
         OverscriptBox["\[Gamma]", "_"], 
         FormBox["6",
          TraditionalForm]], ".", 
        RowBox[{"(", 
         RowBox[{"MT", "+", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm]}], "+", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p3",
             TraditionalForm],
            TraditionalForm]}]}], ")"}], ".", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
           RowBox[{
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}], " ", 
           SubsuperscriptBox["T", 
            RowBox[{
             FormBox[
              FormBox["Col5",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["c1",
               TraditionalForm],
              TraditionalForm]}], 
            FormBox[
             FormBox["cc3",
              TraditionalForm],
             TraditionalForm]]}], "+", 
          RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
           RowBox[{
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["7",
              TraditionalForm]]}], " ", 
           SubsuperscriptBox["T", 
            RowBox[{
             FormBox[
              FormBox["Col5",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["c1",
               TraditionalForm],
              TraditionalForm]}], 
            FormBox[
             FormBox["cc3",
              TraditionalForm],
             TraditionalForm]]}]}], ")"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                RowBox[{"-", 
                 FormBox["p1",
                  TraditionalForm]}], "-", 
                FormBox["p3",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["MT", "2"]}],
          SequenceForm[
           
           FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p3, D], -
             FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p3, D]], "-", FeynCalc`MT^2],
          Editable->False], ")"}], "2"], " ", 
       RowBox[{
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["q",
              TraditionalForm],
             TraditionalForm], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mChi", "2"]}],
          SequenceForm[
           FeynCalc`Pair[
            FeynCalc`Momentum[$CellContext`q, D], 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mChi^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                RowBox[{"-", 
                 FormBox["p1",
                  TraditionalForm]}], "-", 
                FormBox["p3",
                 TraditionalForm], "+", 
                FormBox["q",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           
           FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D], -
             FeynCalc`Momentum[$CellContext`p1, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}]}]}]],
     TraditionalForm],
    TraditionalForm], "+", 
   FormBox[
    FormBox[
     FractionBox[
      RowBox[{
       SuperscriptBox["yDM", "2"], " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
           RowBox[{
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}], " ", 
           SubsuperscriptBox["T", 
            RowBox[{
             FormBox[
              FormBox["c2",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["Col5",
               TraditionalForm],
              TraditionalForm]}], 
            FormBox[
             FormBox["cc3",
              TraditionalForm],
             TraditionalForm]]}], "+", 
          RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
           RowBox[{
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["7",
              TraditionalForm]]}], " ", 
           SubsuperscriptBox["T", 
            RowBox[{
             FormBox[
              FormBox["c2",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["Col5",
               TraditionalForm],
              TraditionalForm]}], 
            FormBox[
             FormBox["cc3",
              TraditionalForm],
             TraditionalForm]]}]}], ")"}], ".", 
        RowBox[{"(", 
         RowBox[{"MT", "-", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], "-", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p3",
             TraditionalForm],
            TraditionalForm]}]}], ")"}], ".", 
        SuperscriptBox[
         OverscriptBox["\[Gamma]", "_"], 
         FormBox["7",
          TraditionalForm]], ".", 
        RowBox[{"(", 
         RowBox[{"mChi", "-", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["q",
             TraditionalForm],
            TraditionalForm]}]}], ")"}], ".", 
        SuperscriptBox[
         OverscriptBox["\[Gamma]", "_"], 
         FormBox["6",
          TraditionalForm]], ".", 
        RowBox[{"(", 
         RowBox[{"MT", "-", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm]}], "-", 
          RowBox[{"\[Gamma]", "\[CenterDot]", 
           FormBox[
            FormBox["p3",
             TraditionalForm],
            TraditionalForm]}]}], ")"}], ".", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
           RowBox[{
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Nu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}], " ", 
           SubsuperscriptBox["T", 
            RowBox[{
             FormBox[
              FormBox["Col5",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["c1",
               TraditionalForm],
              TraditionalForm]}], 
            FormBox[
             FormBox["cc4",
              TraditionalForm],
             TraditionalForm]]}], "+", 
          RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
           RowBox[{
            SuperscriptBox["\[Gamma]", 
             FormBox[
              FormBox["\[Nu]",
               TraditionalForm],
              TraditionalForm]], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["7",
              TraditionalForm]]}], " ", 
           SubsuperscriptBox["T", 
            RowBox[{
             FormBox[
              FormBox["Col5",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["c1",
               TraditionalForm],
              TraditionalForm]}], 
            FormBox[
             FormBox["cc4",
              TraditionalForm],
             TraditionalForm]]}]}], ")"}]}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                FormBox["p2",
                 TraditionalForm], "+", 
                FormBox["p3",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["MT", "2"]}],
          SequenceForm[
           FeynCalc`Pair[
           FeynCalc`Momentum[$CellContext`p2, D] + 
            FeynCalc`Momentum[$CellContext`p3, D], 
            FeynCalc`Momentum[$CellContext`p2, D] + 
            FeynCalc`Momentum[$CellContext`p3, D]], "-", FeynCalc`MT^2],
          Editable->False], ")"}], "2"], " ", 
       RowBox[{
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["q",
              TraditionalForm],
             TraditionalForm], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mChi", "2"]}],
          SequenceForm[
           FeynCalc`Pair[
            FeynCalc`Momentum[$CellContext`q, D], 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mChi^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                RowBox[{"-", 
                 FormBox["p2",
                  TraditionalForm]}], "-", 
                FormBox["p3",
                 TraditionalForm], "+", 
                FormBox["q",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           
           FeynCalc`Pair[-FeynCalc`Momentum[$CellContext`p2, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D], -
             FeynCalc`Momentum[$CellContext`p2, D] - 
            FeynCalc`Momentum[$CellContext`p3, D] + 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}]}]}]],
     TraditionalForm],
    TraditionalForm]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.904300224492218*^9, {3.904300365852818*^9, 3.904300380540763*^9}, 
   3.904300427021764*^9, 3.904301385810731*^9, {3.9047561541180363`*^9, 
   3.9047561652269783`*^9}, 3.904756417806429*^9, 3.90475686753124*^9, 
   3.9048126307679358`*^9, 3.90481267767238*^9, 3.904915539333111*^9, 
   3.904916453147336*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"a561d976-3e8e-4d25-b970-07039276d889"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampC", " ", "=", 
   RowBox[{"(", " ", 
    RowBox[{"TID", "[", 
     RowBox[{
      RowBox[{"SUNSimplify", "[", 
       RowBox[{"DiracSimplify", "[", "ampB", "]"}], "]"}], ",", "q", ",", 
      RowBox[{"UsePaVeBasis", "\[Rule]", "True"}], ",", 
      RowBox[{"PaVeAutoReduce", "\[Rule]", "True"}], ",", 
      RowBox[{"ToPaVe", "\[Rule]", "True"}]}], "]"}], ")"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.896509111627067*^9, 3.8965091179320707`*^9}, {
   3.896857476277534*^9, 3.896857478544798*^9}, {3.896857892254889*^9, 
   3.896857897498136*^9}, {3.8968600126611347`*^9, 3.896860074501936*^9}, {
   3.896868316408643*^9, 3.896868320829083*^9}, {3.896868469404072*^9, 
   3.8968684720495863`*^9}, {3.901353413353354*^9, 3.901353415032837*^9}, {
   3.901356068397993*^9, 3.901356107923538*^9}, 3.9013561414214*^9, {
   3.902500853301231*^9, 3.9025008540998373`*^9}, {3.9025012796660748`*^9, 
   3.902501280071103*^9}, 3.9026964864094257`*^9, 3.9028204567924147`*^9, 
   3.903613096125189*^9, {3.903613519472736*^9, 3.903613535323326*^9}, {
   3.904300583410928*^9, 3.9043005946420803`*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"b2cba41c-4f1e-445c-9cbd-26392e321259"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp", "=", 
   RowBox[{"ExpandScalarProduct", "[", 
    RowBox[{"DiracSimplify", "[", 
     RowBox[{"ampC", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "7", "]"}], "\[Rule]", 
        RowBox[{"1", "-", 
         RowBox[{"DiracGamma", "[", "6", "]"}]}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.9024998400661173`*^9, 3.902499861566798*^9}, {
   3.902500906212543*^9, 3.902500915837338*^9}, {3.902501305751494*^9, 
   3.9025013086801643`*^9}, {3.902501409946024*^9, 3.9025014229505053`*^9}, 
   3.902820501793391*^9, {3.903618817753552*^9, 3.903618824412531*^9}, {
   3.903623311196001*^9, 3.9036233223365517`*^9}, 3.903681898195868*^9},
 CellLabel->"In[19]:=",ExpressionUUID->"89969a78-ade4-4212-8122-efa2983bf087"]
}, Open  ]],

Cell[CellGroupData[{

Cell["On - Shell Case", "Section",
 CellChangeTimes->{{3.897535932870885*^9, 3.897535942120082*^9}, {
  3.902820582587159*^9, 
  3.902820597078238*^9}},ExpressionUUID->"56369f85-2e68-4750-b5b1-\
9e76e487bf1c"],

Cell["\<\
since we are only interested in q q -> tt or gg -> tt, the t - t - g - g \
vertex only contributes when all external particles are on - shell, so we \
make use of this to simplify the final expressions\
\>", "Text",
 CellChangeTimes->{{3.902820599571072*^9, 
  3.9028206581285563`*^9}},ExpressionUUID->"eacb40ae-faf1-4be0-8e9e-\
60b30b5256de"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"FCClearScalarProducts", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetMandelstam", "[", 
   RowBox[{
   "s", ",", "t", ",", "u", ",", "p1", ",", "p2", ",", "p3", ",", "p4", ",", 
    "MT", ",", "MT", ",", "0", ",", "0"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.896868788568323*^9, 3.8968688046125517`*^9}, {
   3.9023065887581863`*^9, 3.902306602351069*^9}, {3.9023074265394287`*^9, 
   3.90230744953404*^9}, {3.903677647338848*^9, 3.9036776517250767`*^9}, 
   3.9042237780174427`*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"4e99d884-51a4-449d-b045-910ef931959d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp2", "=", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"DiracSimplify", "[", "ampEsimp", "]"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "+", "t", "+", "u"}], "\[Rule]", " ", 
      RowBox[{"2", " ", 
       RowBox[{"MT", "^", "2"}]}]}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8968702657704163`*^9, 3.896870270501532*^9}, 
   3.897626114424445*^9, {3.901353474569372*^9, 3.9013534792628736`*^9}, {
   3.902003888994928*^9, 3.902003896804656*^9}, 3.90231357479678*^9, {
   3.902314316246944*^9, 3.902314320210186*^9}, 3.9024778967347603`*^9, 
   3.902480680755433*^9, {3.90282067169729*^9, 3.902820675040663*^9}, {
   3.902820744792622*^9, 3.902820753918705*^9}, {3.902820892511259*^9, 
   3.902820894424864*^9}, {3.9028209637649717`*^9, 3.9028209647547293`*^9}, {
   3.903616207068781*^9, 3.903616211126916*^9}, {3.903618832139841*^9, 
   3.903618843992906*^9}, {3.903681925392063*^9, 3.903681927606207*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"65c9030f-0554-4766-9bd1-f5ca8860820b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"subs", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p2", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p3", ",", "D"}], "]"}], ",", "D"}], "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         RowBox[{"DiracGamma", "[", 
          RowBox[{
           RowBox[{"Momentum", "[", 
            RowBox[{"p3", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
         RowBox[{"DiracGamma", "[", 
          RowBox[{
           RowBox[{"Momentum", "[", 
            RowBox[{"p2", ",", "D"}], "]"}], ",", "D"}], "]"}]}]}], "+", 
       RowBox[{"2", 
        RowBox[{"SPD", "[", 
         RowBox[{"p2", ",", "p3"}], "]"}]}]}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p1", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p3", ",", "D"}], "]"}], ",", "D"}], "]"}]}], "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{
         RowBox[{"DiracGamma", "[", 
          RowBox[{
           RowBox[{"Momentum", "[", 
            RowBox[{"p3", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
         RowBox[{"DiracGamma", "[", 
          RowBox[{
           RowBox[{"Momentum", "[", 
            RowBox[{"p1", ",", "D"}], "]"}], ",", "D"}], "]"}]}]}], "+", 
       RowBox[{"2", 
        RowBox[{"SPD", "[", 
         RowBox[{"p1", ",", "p3"}], "]"}]}]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ampEsimp2", "=", 
   RowBox[{"DiracSimplify", "[", 
    RowBox[{"ampEsimp2", "/.", "subs"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.903677662388728*^9, 3.90367768361544*^9}, 
   3.9036777348503637`*^9, 3.9036819347796*^9, {3.904224974613536*^9, 
   3.904225013717668*^9}, {3.9042272278318157`*^9, 3.9042272382525997`*^9}, {
   3.9042277663709497`*^9, 3.904227783562942*^9}, {3.90422792032673*^9, 
   3.904227938134798*^9}, 3.904300764502125*^9, {3.904301276316221*^9, 
   3.904301287370866*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"66ae6227-c36f-4f3f-b14d-c7647ed12d4b"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check Divergences", "Section",
 CellChangeTimes->{{3.902480686022114*^9, 
  3.9024806942961273`*^9}},ExpressionUUID->"227bc38d-5e93-42cc-a5af-\
bcc595095314"],

Cell[BoxData[
 RowBox[{
  RowBox[{"lInts", " ", "=", " ", 
   RowBox[{"Cases2", "[", 
    RowBox[{"ampEsimp2", ",", 
     RowBox[{"{", 
      RowBox[{"A0", ",", "B0", ",", "C0", ",", "D0", ",", "PaVe"}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.903613564775524*^9, 3.903613589957281*^9}, {
   3.903616219630471*^9, 3.9036162376178513`*^9}, 3.904223804849204*^9},
 CellLabel->"In[25]:=",ExpressionUUID->"4b53a4c9-155e-4d6b-94ea-ace8d5ce478c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lInts", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"PaXEvaluateUV", "[", 
      RowBox[{
       RowBox[{"lInts", "[", 
        RowBox[{"[", "i", "]"}], "]"}], ",", 
       RowBox[{"PaXImplicitPrefactor", "\[Rule]", 
        RowBox[{"1", "/", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"2", " ", "Pi"}], ")"}], "^", 
          RowBox[{"(", "4", ")"}]}]}]}]}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"Length", "[", "lInts", "]"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{
  3.902482203506691*^9, {3.90248395233785*^9, 3.9024839596231403`*^9}, 
   3.902494215243495*^9, 3.902496155984209*^9, {3.902820692388126*^9, 
   3.902820708341589*^9}, {3.903613554656733*^9, 3.903613587670169*^9}, {
   3.903617676049632*^9, 3.903617707302182*^9}, {3.903622238691454*^9, 
   3.90362224283171*^9}, 3.903622370329941*^9, {3.904223816637587*^9, 
   3.904223826227737*^9}, 3.9042244246587687`*^9, 3.904224492811673*^9},
 CellLabel->"In[26]:=",ExpressionUUID->"83c50a73-6e5c-46a9-8030-6540ff0d04e6"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FormBox[
       TagBox[
        FormBox[
         RowBox[{
          SubscriptBox["\<\"A\"\>", "\<\"0\"\>"], "(", 
          SuperscriptBox["mChi", "2"], ")"}],
         TraditionalForm],
        HoldForm],
       TraditionalForm], 
      FractionBox[
       SuperscriptBox["mChi", "2"], 
       RowBox[{"16", " ", 
        SuperscriptBox["\[Pi]", "4"], " ", 
        SubscriptBox["\[CurlyEpsilon]", "UV"]}]]},
     {
      FormBox[
       TagBox[
        FormBox[
         RowBox[{
          SubscriptBox["\<\"A\"\>", "\<\"0\"\>"], "(", 
          SuperscriptBox["mST", "2"], ")"}],
         TraditionalForm],
        HoldForm],
       TraditionalForm], 
      FractionBox[
       SuperscriptBox["mST", "2"], 
       RowBox[{"16", " ", 
        SuperscriptBox["\[Pi]", "4"], " ", 
        SubscriptBox["\[CurlyEpsilon]", "UV"]}]]},
     {
      FormBox[
       TagBox[
        FormBox[
         RowBox[{
          SubscriptBox["\<\"B\"\>", "\<\"0\"\>"], "(", 
          RowBox[{"t", ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm],
        HoldForm],
       TraditionalForm], 
      FractionBox["1", 
       RowBox[{"16", " ", 
        SuperscriptBox["\[Pi]", "4"], " ", 
        SubscriptBox["\[CurlyEpsilon]", "UV"]}]]},
     {
      FormBox[
       TagBox[
        FormBox[
         RowBox[{
          SubscriptBox["\<\"B\"\>", "\<\"0\"\>"], "(", 
          RowBox[{"u", ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm],
        HoldForm],
       TraditionalForm], 
      FractionBox["1", 
       RowBox[{"16", " ", 
        SuperscriptBox["\[Pi]", "4"], " ", 
        SubscriptBox["\[CurlyEpsilon]", "UV"]}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.90282071248466*^9, 3.90282093074702*^9, 3.90282098453024*^9, 
   3.9028352126594753`*^9, 3.902840147738203*^9, 3.902846451764804*^9, 
   3.902846867693008*^9, 3.902904787517174*^9, 3.9029055167178297`*^9, 
   3.902905714490374*^9, 3.902919800909986*^9, 3.903613550520447*^9, 
   3.903613591668866*^9, 3.9036162476567497`*^9, 3.9036185492152433`*^9, {
   3.903622234538392*^9, 3.903622248607066*^9}, 3.903622373501992*^9, 
   3.903625202749728*^9, 3.903626845131283*^9, 3.903633456942525*^9, 
   3.9036336375808697`*^9, 3.903633717716456*^9, 3.903633896574101*^9, 
   3.9036340355094013`*^9, 3.903634414763844*^9, 3.9036368521150227`*^9, 
   3.903637146244965*^9, 3.9036371873112183`*^9, 3.903637518957718*^9, 
   3.903677742706974*^9, 3.903681942271817*^9, 3.9036821793072767`*^9, 
   3.9036822229713173`*^9, 3.903684354058777*^9, 3.903685111419351*^9, 
   3.903690802231678*^9, 3.903710821714818*^9, 3.904223828818541*^9, 
   3.904224501268469*^9, 3.904226845503669*^9, 3.904227285389432*^9, 
   3.904227748786003*^9, 3.904227793260764*^9, 3.904228040988645*^9, 
   3.904300655049708*^9, 3.9043013939451027`*^9, 3.9047561854803543`*^9, 
   3.904756429715495*^9, 3.9047568791237698`*^9, 3.9048126464934263`*^9, 
   3.904812687868395*^9, 3.9049155608948917`*^9, 3.904916467075192*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"98437b63-ef46-4729-9e2c-b8a93b546cad"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Divergences", " ", "from", " ", "loops"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"loopUV", "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"PaXEvaluateUV", "[", 
       RowBox[{"ampEsimp2", ",", 
        RowBox[{"PaXImplicitPrefactor", "\[Rule]", 
         RowBox[{"1", "/", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", " ", "Pi"}], ")"}], "^", 
           RowBox[{"(", "4", ")"}]}]}]}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Divergences", " ", "from", " ", "counter"}], "-", "terms"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ctUV", "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{
       RowBox[{"SUNSimplify", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{"ampEsimp2", ",", "deltaSp"}], "]"}], "]"}], " ", 
       RowBox[{"(", 
        FractionBox[
         RowBox[{"-", "1"}], 
         RowBox[{"32", " ", 
          RowBox[{"Pi", "^", "4"}], "  ", "EpsilonUV"}]], ")"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"FeynAmpDenominatorExplicit", "[", 
     RowBox[{"DiracSimplify", "[", 
      RowBox[{
       RowBox[{"loopUV", "+", "ctUV"}], ",", 
       RowBox[{"DiracSubstitute67", "\[Rule]", "True"}]}], "]"}], "]"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.9024807090329027`*^9, 3.902480755417859*^9}, {
   3.902480920828071*^9, 3.9024809453265743`*^9}, {3.902481057433042*^9, 
   3.902481098232325*^9}, {3.9024813643263693`*^9, 3.902481370447834*^9}, {
   3.902481922084099*^9, 3.902481969731943*^9}, {3.902482040158492*^9, 
   3.902482057188492*^9}, {3.902820702910424*^9, 3.9028207069374323`*^9}, {
   3.903617654421583*^9, 3.903617657483128*^9}, {3.903617720239327*^9, 
   3.90361772838456*^9}, {3.9036177808710938`*^9, 3.903617791373427*^9}, {
   3.903622379858241*^9, 3.9036223954485397`*^9}, {3.903622426612248*^9, 
   3.903622443937057*^9}, {3.903622575571547*^9, 3.903622581753962*^9}, {
   3.9036228036295223`*^9, 3.903622810896456*^9}, {3.9036228660497713`*^9, 
   3.903622897275552*^9}, {3.903622929931814*^9, 3.9036229781388083`*^9}, {
   3.903623036085644*^9, 3.903623042167444*^9}, 3.903624081375421*^9, {
   3.903633182376935*^9, 3.903633184336536*^9}, {3.903633667697997*^9, 
   3.903633669080024*^9}, 3.903633767034389*^9, {3.9036344328660307`*^9, 
   3.90363446382273*^9}, {3.903636869542364*^9, 3.903636875257326*^9}, {
   3.9036372568246727`*^9, 3.9036372962291803`*^9}, {3.903677700451363*^9, 
   3.9036777080892143`*^9}, {3.903681949989314*^9, 3.903681950134454*^9}, {
   3.904223844391981*^9, 3.904223848695451*^9}, {3.904224503854107*^9, 
   3.904224504415856*^9}, {3.9047562192675133`*^9, 3.904756227893591*^9}, {
   3.904756780767068*^9, 3.904756798885998*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"0ace2fad-9ad7-4a72-8147-df5e75d9b393"],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.902480917333634*^9, 3.902480952509553*^9}, {
   3.902481087367444*^9, 3.902481103183879*^9}, {3.9024813557287703`*^9, 
   3.9024813727791023`*^9}, 3.902481576518816*^9, 3.902481638166319*^9, 
   3.902481974535861*^9, 3.90248217037571*^9, 3.902483775396756*^9, 
   3.902494220890023*^9, 3.902496169573989*^9, 3.9028207343450203`*^9, 
   3.9028210130301867`*^9, 3.902835216072083*^9, 3.902840149589923*^9, 
   3.9028464539033947`*^9, 3.902846869448937*^9, 3.902904788667403*^9, 
   3.902905517723434*^9, 3.90290571557909*^9, 3.902919801946265*^9, 
   3.903618585525318*^9, {3.9036224013436737`*^9, 3.903622444442622*^9}, 
   3.903622816703561*^9, {3.903622868384389*^9, 3.903622898466199*^9}, 
   3.9036229357327414`*^9, 3.903622979378038*^9, 3.903623043392083*^9, 
   3.903625205382304*^9, 3.903626845517761*^9, 3.90363345730688*^9, 
   3.90363363794383*^9, 3.903633672056512*^9, 3.9036337181401777`*^9, 
   3.903633769897668*^9, 3.903634041327289*^9, 3.9036344198157787`*^9, 
   3.903634467199162*^9, {3.903636853771756*^9, 3.903636876301778*^9}, 
   3.903637148969184*^9, 3.9036371888032503`*^9, 3.9036372610063457`*^9, 
   3.9036372974150257`*^9, 3.903637520481*^9, 3.903677775970335*^9, 
   3.903681980777934*^9, 3.903682181664907*^9, 3.9036822242783823`*^9, 
   3.903684355270793*^9, 3.9036851130145893`*^9, 3.9036908035563803`*^9, 
   3.9037108230011997`*^9, {3.904224092583845*^9, 3.904224113787126*^9}, 
   3.904224508129532*^9, 3.904226850124991*^9, 3.904227300096223*^9, 
   3.904227754127809*^9, 3.904227795820112*^9, 3.904228043402426*^9, 
   3.904300735805622*^9, 3.9043007749980288`*^9, 3.904301395339692*^9, 
   3.904756193726533*^9, {3.9047562249633083`*^9, 3.904756229316681*^9}, 
   3.904756433041811*^9, {3.904756783574965*^9, 3.904756800443782*^9}, 
   3.9047568822625504`*^9, 3.90481264790624*^9, 3.9048126891782503`*^9, 
   3.904915562851557*^9, 3.904916469083888*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"024b4d54-7b46-4231-9d36-5747f10ef98f"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Coefficients for Loop Amplitude", "Section",
 CellChangeTimes->{{3.903624246744067*^9, 
  3.903624257561161*^9}},ExpressionUUID->"8a29e758-e761-4fec-af8d-\
23d8cce5a5d2"],

Cell[BoxData[
 RowBox[{
  RowBox[{"subs2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"B0", "[", 
      RowBox[{"a_", ",", 
       RowBox[{"mChi", "^", "2"}], ",", 
       RowBox[{"mST", "^", "2"}]}], "]"}], ":>", 
     FractionBox[
      RowBox[{
       RowBox[{"ab", "[", "a", "]"}], "+", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"A0", "[", 
          RowBox[{"mST", "^", "2"}], "]"}], "-", 
         RowBox[{"A0", "[", 
          RowBox[{"mChi", "^", "2"}], "]"}]}], ")"}]}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"mST", "^", "2"}], "-", 
        RowBox[{"mChi", "^", "2"}], "-", "a"}], ")"}]]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.9036826304465237`*^9, 3.903682635463873*^9}, {
   3.9036831605693493`*^9, 3.903683215368128*^9}, {3.903683325671332*^9, 
   3.903683341582155*^9}, {3.9036834132771463`*^9, 3.9036834756325912`*^9}, {
   3.903683556106001*^9, 3.90368357086112*^9}, {3.903683975464382*^9, 
   3.903684010372531*^9}, {3.903686272471735*^9, 3.903686274727508*^9}, {
   3.903686489033239*^9, 3.903686628172467*^9}, {3.903686729563381*^9, 
   3.90368675997372*^9}, 3.903686813478984*^9, 3.903691542967475*^9, {
   3.904300793974635*^9, 3.9043008167576427`*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"2b39a792-9d27-423a-8075-236c10272c8a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp3", "=", 
   RowBox[{
    RowBox[{"FeynAmpDenominatorExplicit", "[", 
     RowBox[{"DiracSimplify", "[", 
      RowBox[{"ampEsimp2", "/.", "subs"}], "]"}], "]"}], "/.", "subs2"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.902006049343294*^9, 3.902006222206018*^9}, {
   3.902499377848444*^9, 3.9024994139914494`*^9}, {3.9024994497647457`*^9, 
   3.902499526750355*^9}, 3.902499865964862*^9, {3.902500981317378*^9, 
   3.902501009478753*^9}, 3.902501044862177*^9, {3.9025013594583073`*^9, 
   3.902501377225245*^9}, {3.902501438035015*^9, 3.902501442446916*^9}, {
   3.9028216322993727`*^9, 3.902821648342641*^9}, 3.903623932369669*^9, {
   3.903624087646118*^9, 3.903624095595536*^9}, {3.903677606803424*^9, 
   3.903677626351857*^9}, {3.903682296360856*^9, 3.903682298007317*^9}, {
   3.903683227041709*^9, 3.903683228269559*^9}, 3.90368350394671*^9, 
   3.903683561142371*^9, 3.90368360352752*^9, {3.903684013379792*^9, 
   3.903684014556991*^9}, {3.9036866494890547`*^9, 3.903686659725453*^9}, 
   3.903686755311467*^9},
 CellLabel->"In[31]:=",ExpressionUUID->"09107453-461e-4d86-83e3-c5ceb656ca3d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"spinorChains1", "=", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", "ampEsimp3", "}"}], ",", 
       RowBox[{"DiracGamma", "[", "___", "]"}], ",", "All"}], "]"}], "]"}], 
    "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"spinorChains2", "=", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", "ampEsimp3", "}"}], ",", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}]}], ",", "All"}], "]"}], "]"}],
     "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"spinorChains3", "=", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", "ampEsimp3", "}"}], ",", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}]}], ",", "All"}], "]"}], "]"}],
     "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"spinorChains4", "=", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", "ampEsimp3", "}"}], ",", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}]}], ",", "All"}], "]"}], "]"}],
     "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"allTerms", "=", 
  RowBox[{"Sort", "[", 
   RowBox[{"Join", "[", 
    RowBox[{
    "spinorChains1", ",", "spinorChains2", ",", "spinorChains3", ",", 
     "spinorChains4"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"su3prods", "=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"Cases2", "[", 
     RowBox[{"ampEsimp3", ",", "SUNTF"}], "]"}], ",", 
    RowBox[{"Cases2", "[", 
     RowBox[{"ampEsimp3", ",", "SUNF"}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.902004519129347*^9, 3.902004521573133*^9}, {
   3.9024993621311407`*^9, 3.902499365485036*^9}, 3.9025010551325293`*^9, {
   3.902501154463344*^9, 3.902501170246736*^9}, {3.902501286056847*^9, 
   3.90250128992085*^9}, {3.902562352509832*^9, 3.9025624473631763`*^9}, {
   3.902562496234622*^9, 3.902562498523637*^9}, {3.902562641871879*^9, 
   3.9025626440429153`*^9}, {3.902821744815242*^9, 3.902821776304275*^9}, {
   3.9028253191017942`*^9, 3.902825332691965*^9}, {3.902826100334496*^9, 
   3.90282621796178*^9}, {3.902826944826758*^9, 3.90282697489795*^9}, 
   3.9028270445231524`*^9, {3.9028272945696783`*^9, 3.9028273029413958`*^9}, {
   3.902835325313148*^9, 3.9028353308820057`*^9}, {3.902835362913858*^9, 
   3.9028354146986217`*^9}, {3.9036239574089317`*^9, 3.903623990424568*^9}, {
   3.903624040193022*^9, 3.903624057239524*^9}},
 CellLabel->"In[32]:=",ExpressionUUID->"ca58ea96-a281-435b-9b9e-49579f3843da"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SuperscriptBox[
     OverscriptBox["\[Gamma]", "_"], 
     FormBox["6",
      TraditionalForm]], ",", 
    SuperscriptBox["\[Gamma]", 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox["\[Gamma]", 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm]}], ",", 
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm]}], ",", 
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p3",
       TraditionalForm],
      TraditionalForm]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, {3.90362393727732*^9, 3.9036239913563538`*^9}, 
   3.90362405852069*^9, 3.903624098263685*^9, 3.903624563136691*^9, 
   3.903625209490119*^9, 3.903626845622985*^9, 3.9036334574119987`*^9, 
   3.90363363803893*^9, 3.903637528778799*^9, 3.903682246753387*^9, 
   3.903682300096272*^9, 3.903683230482151*^9, {3.903683478148411*^9, 
   3.903683505173477*^9}, 3.9036835732454844`*^9, 3.9036836045907803`*^9, 
   3.9036840199751987`*^9, 3.903684355544986*^9, 3.903685113400436*^9, 
   3.9036866672433987`*^9, 3.903686816684978*^9, 3.9036908038839893`*^9, 
   3.90371082328955*^9, 3.904227323365572*^9, 3.90422780128225*^9, 
   3.904228050507807*^9, 3.904300837919279*^9, 3.90430140121882*^9, 
   3.904756194442802*^9, 3.904756433825137*^9, 3.904756883035603*^9, 
   3.904812695633659*^9, 3.904915719290354*^9, 3.904916469539229*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"7f9a9cf2-8bab-4bc3-8890-7f2c8d0cf01f"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]], ",", 
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, {3.90362393727732*^9, 3.9036239913563538`*^9}, 
   3.90362405852069*^9, 3.903624098263685*^9, 3.903624563136691*^9, 
   3.903625209490119*^9, 3.903626845622985*^9, 3.9036334574119987`*^9, 
   3.90363363803893*^9, 3.903637528778799*^9, 3.903682246753387*^9, 
   3.903682300096272*^9, 3.903683230482151*^9, {3.903683478148411*^9, 
   3.903683505173477*^9}, 3.9036835732454844`*^9, 3.9036836045907803`*^9, 
   3.9036840199751987`*^9, 3.903684355544986*^9, 3.903685113400436*^9, 
   3.9036866672433987`*^9, 3.903686816684978*^9, 3.9036908038839893`*^9, 
   3.90371082328955*^9, 3.904227323365572*^9, 3.90422780128225*^9, 
   3.904228050507807*^9, 3.904300837919279*^9, 3.90430140121882*^9, 
   3.904756194442802*^9, 3.904756433825137*^9, 3.904756883035603*^9, 
   3.904812695633659*^9, 3.904915719290354*^9, 3.904916469542164*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"fcf8f20b-a40a-4db3-98b6-0ad05dfab99e"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Coefficients for each term", "Subsection",
 CellChangeTimes->{{3.902214189329135*^9, 
  3.9022142008054123`*^9}},ExpressionUUID->"4436e813-88de-48dd-9eeb-\
fc449053257b"],

Cell["Define shortnames for each coefficient", "Text",
 CellChangeTimes->{{3.903686797490971*^9, 
  3.903686805173506*^9}},ExpressionUUID->"52e63006-5c02-4afb-b328-\
1f0a939fc5db"],

Cell[BoxData[
 RowBox[{
  RowBox[{"subs3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{"MT", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"ab", "[", "a_", "]"}]}], " ", "+", " ", 
            RowBox[{"2", " ", "deltaS", " ", "MT"}], " ", "+", " ", 
            RowBox[{"2", " ", "deltaSp", " ", "a_"}]}], ")"}]}], 
         RowBox[{"2", " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"MT", "^", "2"}], "-", "a_"}], ")"}], "^", "2"}]}]]}], 
       ")"}], "\[RuleDelayed]", " ", 
      RowBox[{"ab1", "[", 
       RowBox[{"s", ",", "a"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"2", " ", "a_", " ", 
         RowBox[{"(", " ", 
          RowBox[{
           RowBox[{"2", " ", "deltaS", "  ", 
            RowBox[{"MT", "^", "2"}]}], " ", "-", " ", 
           RowBox[{"deltaS", " ", "a_"}], " ", "+", " ", 
           RowBox[{"deltaSp", " ", 
            RowBox[{"MT", "^", "3"}]}]}], ")"}]}], " ", "-", " ", 
        RowBox[{
         RowBox[{"MT", "^", "3"}], " ", 
         RowBox[{"ab", "[", "a_", "]"}]}]}], 
       RowBox[{"2", " ", "MT", " ", "a_", " ", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"MT", "^", "2"}], "-", "a_"}], ")"}], "^", "2"}]}]], 
      "\[RuleDelayed]", " ", 
      RowBox[{"ab2", "[", 
       RowBox[{"s", ",", "a"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      FractionBox[
       RowBox[{
        RowBox[{"2", " ", "a_", " ", 
         RowBox[{"(", "  ", 
          RowBox[{"deltaS", "  ", "+", 
           RowBox[{"deltaSp", " ", "MT"}]}], ")"}]}], " ", "-", " ", 
        RowBox[{"MT", " ", 
         RowBox[{"ab", "[", "a_", "]"}]}]}], 
       RowBox[{"2", " ", "MT", " ", "a_", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"MT", "^", "2"}], "-", "a_"}], ")"}]}]], "\[RuleDelayed]", 
      " ", 
      RowBox[{"ab3", "[", 
       RowBox[{"s", ",", "a"}], "]"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{"-", 
         FractionBox[
          RowBox[{"MT", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{"ab", "[", "a_", "]"}]}], " ", "+", " ", 
             RowBox[{"2", " ", "deltaS", " ", "MT"}], " ", "+", " ", 
             RowBox[{"2", " ", "deltaSp", " ", "a_"}]}], ")"}]}], 
          RowBox[{"2", " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"MT", "^", "2"}], "-", "a_"}], ")"}], "^", "2"}]}]]}], 
        ")"}]}], "\[RuleDelayed]", " ", 
      RowBox[{"-", 
       RowBox[{"ab1", "[", 
        RowBox[{"s", ",", "a"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"(", 
       FractionBox[
        RowBox[{
         RowBox[{
          RowBox[{"MT", "^", "3"}], " ", 
          RowBox[{"ab", "[", "a_", "]"}]}], "+", 
         RowBox[{"2", " ", "a_", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"deltaS", " ", "a_"}], " ", "-", 
            RowBox[{
             RowBox[{"MT", "^", "2"}], 
             RowBox[{"(", " ", 
              RowBox[{
               RowBox[{"2", " ", "deltaS"}], " ", "+", "  ", 
               RowBox[{"deltaSp", " ", "MT"}]}], ")"}]}]}], ")"}], " "}]}], 
        RowBox[{"2", " ", "MT", " ", "a_", " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"MT", "^", "2"}], "-", "a_"}], ")"}], "^", "2"}]}]], 
       ")"}], "\[RuleDelayed]", " ", 
      RowBox[{"-", 
       RowBox[{"ab2", "[", 
        RowBox[{"s", ",", "a"}], "]"}]}]}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        FractionBox[
         RowBox[{
          RowBox[{"2", " ", "a_", " ", 
           RowBox[{"(", "  ", 
            RowBox[{"deltaS", "  ", "+", 
             RowBox[{"deltaSp", " ", "MT"}]}], ")"}]}], " ", "-", " ", 
          RowBox[{"MT", " ", 
           RowBox[{"ab", "[", "a_", "]"}]}]}], 
         RowBox[{"2", " ", "MT", " ", "a_", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"MT", "^", "2"}], "-", "a_"}], ")"}]}]], ")"}]}], 
      "\[RuleDelayed]", " ", 
      RowBox[{"-", 
       RowBox[{"ab3", "[", 
        RowBox[{"s", ",", "a"}], "]"}]}]}]}], "\[IndentingNewLine]", "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.904812731225895*^9, 3.9048129231863613`*^9}, {
  3.904813003705379*^9, 3.9048130092402773`*^9}, {3.904813193017809*^9, 
  3.9048132024246397`*^9}, {3.9048133349945507`*^9, 3.904813444179226*^9}, {
  3.904915856810505*^9, 3.90491593724992*^9}, {3.904916005138256*^9, 
  3.904916035576936*^9}, {3.9049160703143053`*^9, 3.904916101895183*^9}, {
  3.904916155770609*^9, 3.904916219815139*^9}, {3.904916338034583*^9, 
  3.904916408962604*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"70f92ceb-8543-4f9d-ad39-e2286c56a0f2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"su3Terms", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"c", "=", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{"Coefficient", "[", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{"Expand", "[", "ampEsimp3", "]"}], ",", 
           RowBox[{"su3prods", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"allTerms", "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"c", "\[Equal]", "0"}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"c", "=", " ", 
      RowBox[{
       RowBox[{"Collect", "[", 
        RowBox[{
         FractionBox["c", 
          RowBox[{"I", " ", 
           RowBox[{"Pi", "^", "2"}], " ", 
           RowBox[{"gs", "^", "2"}], " ", 
           RowBox[{"yDM", "^", "2"}]}]], ",", 
         RowBox[{"{", 
          RowBox[{"MT", ",", "t", ",", "u"}], "}"}], ",", "FullSimplify"}], 
        "]"}], "/.", "subs3"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"su3prods", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"allTerms", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", "c"}], "}"}]}], "]"}], ";"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "su3prods", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", 
      RowBox[{"Length", "[", "allTerms", "]"}]}], "}"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.902822824691904*^9, 3.9028228628245907`*^9}, {
   3.902822957371319*^9, 3.902823022783737*^9}, {3.902823053816306*^9, 
   3.902823059806828*^9}, {3.902823144442112*^9, 3.902823148135298*^9}, {
   3.902825304272408*^9, 3.902825312750387*^9}, {3.902825352343452*^9, 
   3.902825366383319*^9}, {3.9028255362452183`*^9, 3.902825545751194*^9}, {
   3.902825578956627*^9, 3.9028255834493637`*^9}, {3.902825616382675*^9, 
   3.902825677762536*^9}, {3.902825716230172*^9, 3.902825718031179*^9}, {
   3.902825764199587*^9, 3.9028257854608803`*^9}, {3.902825874421525*^9, 
   3.9028259261874657`*^9}, {3.902825972548339*^9, 3.902826045105678*^9}, {
   3.9028262249419193`*^9, 3.90282623667811*^9}, {3.902826305478527*^9, 
   3.9028263082885847`*^9}, {3.902826356005003*^9, 3.902826366931057*^9}, {
   3.902827051257708*^9, 3.902827120837903*^9}, {3.902827260848095*^9, 
   3.902827286876574*^9}, {3.902827420382741*^9, 3.902827422032021*^9}, {
   3.903624112553475*^9, 3.903624165246595*^9}, {3.903682334669325*^9, 
   3.90368236483569*^9}, {3.9036868260343943`*^9, 3.903686832260447*^9}, 
   3.903692330289711*^9, 3.9042273513391867`*^9, 3.904227386552627*^9, 
   3.904227808367755*^9, {3.9042281812225323`*^9, 3.904228187489623*^9}, {
   3.90430101873088*^9, 3.904301060320595*^9}, {3.9048129264576197`*^9, 
   3.904812929295874*^9}, {3.904813453426716*^9, 3.904813467280847*^9}, 
   3.904915751965613*^9, {3.904916042192068*^9, 3.904916043842992*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"b3625259-5d66-46fe-acf9-cbcd110f9bc5"],

Cell[CellGroupData[{

Cell["Check that all terms have been correctly split", "Subsubsection",
 CellChangeTimes->{{3.902827486105904*^9, 
  3.902827503262466*^9}},ExpressionUUID->"7833e04f-4868-4a81-82c7-\
f3e97b65e537"],

Cell[BoxData[
 RowBox[{"  ", 
  RowBox[{"(*", "  ", 
   RowBox[{
    RowBox[{"ampTot", " ", "=", " ", 
     RowBox[{"I", " ", 
      RowBox[{"Pi", "^", "2"}], " ", 
      RowBox[{"gs", "^", "2"}], " ", 
      RowBox[{"yDM", "^", "2"}], " ", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"su3Terms", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], " ", 
         RowBox[{"su3Terms", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}], " ", 
         RowBox[{"su3Terms", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "3"}], "]"}], "]"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"i", ",", "1", ",", 
          RowBox[{"Length", "[", "su3Terms", "]"}]}], "}"}]}], "]"}]}]}], ";",
     " ", "\[IndentingNewLine]", 
    RowBox[{"Simplify", "[", 
     RowBox[{"ampTot", "-", "ampEsimp3"}], "]"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.9028275071397533`*^9, 3.902827606277204*^9}, 
   3.90362422657979*^9, {3.903686996767531*^9, 3.903687007584167*^9}, {
   3.9042273542077703`*^9, 3.904227358350205*^9}, {3.904227390127254*^9, 
   3.9042273921583033`*^9}, {3.904227812021514*^9, 3.904227814089471*^9}, {
   3.904228190069644*^9, 3.904228192557108*^9}, {3.904301022000095*^9, 
   3.904301031294899*^9}, {3.904301410706078*^9, 3.904301410936769*^9}, {
   3.9048134572252073`*^9, 3.9048134639707327`*^9}, {3.904915755246286*^9, 
   3.904915756654976*^9}, {3.9049160481137037`*^9, 3.9049160513030167`*^9}},
 CellLabel->"In[41]:=",ExpressionUUID->"5e433e69-89e8-4a83-bf00-63fbd23ff444"],

Cell[CellGroupData[{

Cell[BoxData["su3Terms"], "Input",
 CellChangeTimes->{{3.90284088211617*^9, 3.9028408839498787`*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"117de940-6039-4572-909a-ec26b57926d4"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"ab1", "(", 
       RowBox[{"s", ",", "u"}], ")"}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"ab2", "(", 
       RowBox[{"s", ",", "u"}], ")"}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"ab2", "(", 
       RowBox[{"s", ",", "u"}], ")"}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{"-", 
       RowBox[{"ab3", "(", 
        RowBox[{"s", ",", "u"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{"-", 
       RowBox[{"ab3", "(", 
        RowBox[{"s", ",", "u"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"ab1", "(", 
       RowBox[{"s", ",", "t"}], ")"}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"-", 
       RowBox[{"ab2", "(", 
        RowBox[{"s", ",", "t"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]]}], 
      RowBox[{"-", 
       RowBox[{"ab2", "(", 
        RowBox[{"s", ",", "t"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{"ab3", "(", 
       RowBox[{"s", ",", "t"}], ")"}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p3",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      RowBox[{"ab3", "(", 
       RowBox[{"s", ",", "t"}], ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902840884593779*^9, 3.902846468030122*^9, 3.9028468815229073`*^9, 
   3.9029047966349688`*^9, 3.902905525625834*^9, 3.902905723160307*^9, 
   3.902919809550342*^9, 3.903624232236676*^9, 3.903624569133115*^9, 
   3.903625214595337*^9, 3.903626845792584*^9, 3.903633457589047*^9, 
   3.903633638214342*^9, 3.9036375291487913`*^9, 3.9036822638340473`*^9, 
   3.903682305235937*^9, {3.903682340290403*^9, 3.903682367812929*^9}, 
   3.903683240441052*^9, {3.9036834860693817`*^9, 3.903683508613489*^9}, 
   3.9036835774529657`*^9, 3.90368361009753*^9, 3.9036840245630217`*^9, 
   3.903684356179017*^9, 3.9036851142076597`*^9, 3.9036866745165*^9, 
   3.903686849764447*^9, 3.9036868944118137`*^9, 3.9036870093015738`*^9, 
   3.9036908044006166`*^9, 3.9037108237647953`*^9, 3.904227361826985*^9, 
   3.9042273949926147`*^9, 3.904227816318182*^9, 3.904228060887231*^9, 
   3.904228194045162*^9, 3.904300907597877*^9, {3.904301053655789*^9, 
   3.9043010633024187`*^9}, {3.904301401638504*^9, 3.9043014126412287`*^9}, 
   3.904756197665831*^9, 3.904756435878766*^9, 3.904756885223297*^9, 
   3.904812934123477*^9, 3.904813013092812*^9, 3.904813207784389*^9, 
   3.9048134111707983`*^9, {3.904813449008173*^9, 3.9048134702275133`*^9}, 
   3.90491575897683*^9, 3.904916052911531*^9, {3.9049160892872963`*^9, 
   3.904916106696323*^9}, 3.904916224458844*^9, 3.904916413807763*^9, 
   3.904916470186317*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"f8ce71f0-e347-44db-9dc9-bbe3893c89e4"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Construct ALOHA terms", "Section",
 CellChangeTimes->{{3.90282439728789*^9, 
  3.9028244054044323`*^9}},ExpressionUUID->"61d6f6bd-d2f9-4207-a421-\
9d5a603aed82"],

Cell["\<\

UFO conventions:
ProjM -> Gamma[7], ProjP -> Gamma[6]
particles = [ P.t__tilde __, P.t, P.g, P.g ] ] = [ p1=P(*,1),  p2=P(*,2), p3(\
\[Mu])=P(*,3), p4(\[Nu])=P(*,4) ] (all momenta are incoming)
 c1 = Anti-Top color = \[OpenCurlyDoubleQuote]1\[CloseCurlyDoubleQuote], c2 = \
Top color = \[OpenCurlyDoubleQuote]2\[CloseCurlyDoubleQuote], c3 = Gluon \
color = \[OpenCurlyDoubleQuote]3\[CloseCurlyDoubleQuote], c4 = Gluon color = \
\[OpenCurlyDoubleQuote]4\[CloseCurlyDoubleQuote]
spins = [2, 2, 3], 
structure = \[OpenCurlyQuote] P (4, 3)*Gamma (3, 2, -1)*ProjP (-1, 1) - P (3, \
4)*Gamma (4, 2, -1)*ProjP (-1, 1)\[CloseCurlyQuote])

s = (p1+p2)^2 =  P(-1,1)**2 + P(-1,2)**2 + 2*P(-1,1)*P(-1,2)
t = (p1+p3)^2  = P(-1,1)**2 + P(-1,3)**2 + 2*P(-1,1)*P(-1,3)
u = (p1+p4)^2  = (p2+p3)^2 = P(-1,2)**2 + P(-1,3)**2 + 2*P(-1,2)*P(-1,3) 
(The indices of the product of gamma matrices are always M(2,1), since the \
second (outgoing) top is contract to the left and the first (incoming) to the \
right)
\
\>", "Text",
 CellChangeTimes->{{3.9028244127388268`*^9, 3.9028244572997704`*^9}, {
   3.9028245494877653`*^9, 3.902824565289369*^9}, {3.902825135407077*^9, 
   3.902825165986191*^9}, {3.9028252069681892`*^9, 3.902825209358458*^9}, {
   3.902827635902626*^9, 3.9028276404204607`*^9}, {3.902828503425274*^9, 
   3.902828598854724*^9}, {3.902828648303794*^9, 3.902828650321616*^9}, {
   3.902841286902041*^9, 3.902841414274*^9}, {3.904227420309002*^9, 
   3.90422742685322*^9}, 
   3.904301439203808*^9},ExpressionUUID->"ac0703dd-34fe-4090-8a2e-\
872b9b5d1d5e"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"su3Matrices", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"tensors", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.902827641837318*^9, 3.902827750598144*^9}, {
   3.902828211213133*^9, 3.902828248891708*^9}, 3.9036851549930964`*^9},
 CellLabel->"In[43]:=",ExpressionUUID->"362b0107-a8c9-4578-ae68-aa03818be345"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]], ",", 
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.903685156364622*^9, 3.903687029445321*^9, 3.903690804414878*^9, 
   3.9037108237791348`*^9, 3.90422853630801*^9, 3.904301444364217*^9, 
   3.904756197698023*^9, 3.904756435925827*^9, 3.9047568852670937`*^9, 
   3.904813515835897*^9, 3.904916470217503*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"8c775f7a-41d5-4b74-87fe-3cffdd935977"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Nu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p3",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.903685156364622*^9, 3.903687029445321*^9, 3.903690804414878*^9, 
   3.9037108237791348`*^9, 3.90422853630801*^9, 3.904301444364217*^9, 
   3.904756197698023*^9, 3.904756435925827*^9, 3.9047568852670937`*^9, 
   3.904813515835897*^9, 3.904916470220125*^9},
 CellLabel->"Out[44]=",ExpressionUUID->"a1b93d9c-ee5e-408c-bd53-57031045ba40"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"su3Replacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"SUNTF", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"SUNIndex", "[", "cc3", "]"}], ",", 
          RowBox[{"SUNIndex", "[", "cc4", "]"}]}], "}"}], ",", 
        RowBox[{"SUNFIndex", "[", "c2", "]"}], ",", 
        RowBox[{"SUNFIndex", "[", "c1", "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<T(3,2,-1)*T(4,-1,1)\>\""}], ",", "\[IndentingNewLine]", 
     "                                   ", 
     RowBox[{
      RowBox[{"SUNTF", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"SUNIndex", "[", "cc4", "]"}], ",", 
          RowBox[{"SUNIndex", "[", "cc3", "]"}]}], "}"}], ",", 
        RowBox[{"SUNFIndex", "[", "c2", "]"}], ",", 
        RowBox[{"SUNFIndex", "[", "c1", "]"}]}], "]"}], "\[Rule]", "  ", 
      "\"\<T(4,2,-1)*T(3,-1,1)\>\""}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.9028242145918703`*^9, 3.902824221702924*^9}, {
   3.902824575476955*^9, 3.902824587843931*^9}, {3.902824657067396*^9, 
   3.90282473924928*^9}, {3.902824782610539*^9, 3.902824801858388*^9}, {
   3.902824848533864*^9, 3.902824861553194*^9}, {3.902824906702888*^9, 
   3.902824993342153*^9}, {3.902825114050447*^9, 3.902825131741816*^9}, {
   3.902825178649137*^9, 3.902825198295556*^9}, {3.902827742801258*^9, 
   3.9028279791400433`*^9}, {3.902828203155249*^9, 3.902828208927576*^9}, {
   3.902828268703683*^9, 3.902828289713736*^9}, {3.902828623065696*^9, 
   3.902828631648324*^9}, {3.902828669791737*^9, 3.9028287303993807`*^9}, {
   3.9028306562780046`*^9, 3.902830661315852*^9}, {3.90283070765736*^9, 
   3.902830718997607*^9}, {3.9028315060105333`*^9, 3.902831510735495*^9}, 
   3.9036851946200542`*^9, {3.9036852684456663`*^9, 3.903685339210628*^9}, {
   3.9036854140245132`*^9, 3.903685452104183*^9}, {3.903685482951095*^9, 
   3.903685864031468*^9}, {3.904227444964974*^9, 3.90422746515895*^9}, {
   3.9043014487925797`*^9, 3.904301464903326*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"3697a1c4-e952-4e59-917c-8480846244cd"],

Cell[BoxData[
 RowBox[{
  RowBox[{"tensorReplacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"LorentzIndex", "[", 
          RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"LorentzIndex", "[", 
          RowBox[{"\[Nu]", ",", "D"}], "]"}], ",", "D"}], "]"}]}], "\[Rule]", 
      " ", "\"\<Gamma(3,2,-1)*Gamma(4,-1,1)\>\""}], ",", 
     "\[IndentingNewLine]", "\t\t\t\t   ", 
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"LorentzIndex", "[", 
          RowBox[{"\[Nu]", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"LorentzIndex", "[", 
          RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", "D"}], "]"}]}], "\[Rule]", 
      " ", "\"\<Gamma(4,2,-1)*Gamma(3,-1,1)\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p1", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(3,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(4,-3,1)\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p1", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(4,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(3,-3,1)\>\""}], ",", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p2", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(3,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(4,-3,1)\>\""}], ",", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p2", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(4,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(3,-3,1)\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p3", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(3,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(4,-3,1)\>\""}], ",", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p3", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(4,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(3,-3,1)\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p1", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        ".", " ", 
        RowBox[{"DiracGamma", "[", "6", "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(3,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(4,-3,-4)*ProjP(-4,1)\>\
\""}], ",", "\[IndentingNewLine]", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p1", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        ".", " ", 
        RowBox[{"DiracGamma", "[", "6", "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(4,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(3,-3,-4)*ProjP(-4,1)\>\
\""}], ",", "\[IndentingNewLine]", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p3", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        ".", " ", 
        RowBox[{"DiracGamma", "[", "6", "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(3,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(4,-3,-4)*ProjP(-4,1)\>\
\""}], ",", "\[IndentingNewLine]", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p3", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        ".", " ", 
        RowBox[{"DiracGamma", "[", "6", "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(4,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(3,-3,-4)*ProjP(-4,1)\>\
\""}], ",", "\[IndentingNewLine]", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p2", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        ".", " ", 
        RowBox[{"DiracGamma", "[", "6", "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(3,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(4,-3,-4)*ProjP(-4,1)\>\
\""}], ",", "\[IndentingNewLine]", 
     RowBox[{
      StyleBox[
       RowBox[{
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Nu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        " ", ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"Momentum", "[", 
           RowBox[{"p2", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], " ", 
        ".", " ", 
        RowBox[{"DiracGamma", "[", 
         RowBox[{
          RowBox[{"LorentzIndex", "[", 
           RowBox[{"\[Mu]", ",", " ", "D"}], "]"}], ",", " ", "D"}], "]"}], 
        ".", " ", 
        RowBox[{"DiracGamma", "[", "6", "]"}]}],
       ShowStringCharacters->True,
       NumberMarks->True], "\[Rule]", "  ", 
      "\"\<Gamma(4,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(3,-3,-4)*ProjP(-4,1)\>\
\""}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.903685872977469*^9, {3.903710737312819*^9, 3.903710762418936*^9}, {
   3.9042282177221727`*^9, 3.904228227737794*^9}, {3.9042282598844757`*^9, 
   3.90422846231464*^9}, {3.90422849608505*^9, 3.904228500442089*^9}, {
   3.904301581176787*^9, 3.9043016257582407`*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"ab9e0d1f-d171-4a2a-ab0f-b82679c79280"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tensorReplacements", " ", "=", " ", 
  RowBox[{"SortBy", "[", 
   RowBox[{"tensorReplacements", ",", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"StringLength", "[", 
       RowBox[{"ToString", "[", "#", "]"}], "]"}]}], "&"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.9036858750979557`*^9, 3.9036858760905457`*^9}, {
  3.903687631763*^9, 3.903687632295087*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"63396ad7-9a4d-4c17-b11f-fdbbff4ffa47"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(3,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(4,-3,-4)*ProjP(-4,1)\"\>"}], 
    ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(3,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(4,-3,-4)*ProjP(-4,1)\"\>"}], 
    ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(3,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(4,-3,-4)*ProjP(-4,1)\"\>"}], 
    ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(4,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(3,-3,-4)*ProjP(-4,1)\"\>"}], 
    ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(4,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(3,-3,-4)*ProjP(-4,1)\"\>"}], 
    ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(4,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(3,-3,-4)*ProjP(-4,1)\"\>"}], 
    ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(3,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(4,-3,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(3,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(4,-3,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(3,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(4,-3,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(4,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(3,-3,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(4,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(3,-3,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p3",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]]}], 
     "\[Rule]", \
"\<\"Gamma(4,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(3,-3,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]]}], 
     "\[Rule]", "\<\"Gamma(3,2,-1)*Gamma(4,-1,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]]}], 
     "\[Rule]", "\<\"Gamma(4,2,-1)*Gamma(3,-1,1)\"\>"}]}], "}"}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.90368587648947*^9, 3.903687044697453*^9, 
  3.9036876351190968`*^9, 3.903690804440839*^9, 3.90371082380437*^9, 
  3.904228508287188*^9, 3.9043014976934977`*^9, 3.904301628890883*^9, 
  3.9047561977402763`*^9, 3.9047564359844513`*^9, 3.9047568853286858`*^9, 
  3.904813522637432*^9, 3.9049164702953663`*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"dc8569ff-5a04-4c7f-a90e-b891836e013a"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Print each Lorentz structure as a distinct Lorentz vertex :", \
"Subsection",
 CellChangeTimes->{{3.902828063886915*^9, 
  3.902828087467894*^9}},ExpressionUUID->"369f6492-b2f5-4beb-9caa-\
3c967ff098ea"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"vertexCounter", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Print", "[", "\"\<------------------\>\"", "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Print", "[", 
     RowBox[{
      RowBox[{"su3Matrices", "[", 
       RowBox[{"[", "n", "]"}], "]"}], "/.", "su3Replacements"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
      "desired", " ", "SU3", " ", "matrix"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"terms0", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
         RowBox[{"su3Matrices", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
       "desired", " ", "gamma", " ", "structure"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"terms1", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"terms0", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "terms1", "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       
       RowBox[{"vertexCounter", " ", "+=", " ", "1"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<FFVVNP\>\"", ",", 
          RowBox[{"ToString", "[", "vertexCounter", "]"}]}], "]"}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Compute", " ", "the", " ", "ALOHA", " ", "term", " ", "for", " ", 
         "this", " ", 
         RowBox[{"tensor", "/", "gamma"}], " ", "structure", " ", "and", " ", 
         "color", " ", "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"terms", "=", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<(\>\"", ",", 
          RowBox[{"ToString", "[", 
           RowBox[{"FortranForm", "[", 
            RowBox[{"terms1", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "3"}], "]"}], "]"}], "]"}], "]"}], ",", 
          "\"\<)\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"terms", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<     \>\"", ",", 
              RowBox[{"terms", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"Length", "[", "terms", "]"}]}], "}"}]}], "]"}]}], 
         ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", "terms", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<( \>\"", ",", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          ",", "\"\< )*(\>\"", ",", "fullStr", ",", "\"\<)\>\""}], "]"}]}], 
       ";", "\[IndentingNewLine]", " ", 
       RowBox[{"Print", "[", "fullStr", "]"}], ";"}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "1", ",", 
        RowBox[{"Length", "[", "tensors", "]"}]}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", 
     RowBox[{"Length", "[", "su3Matrices", "]"}]}], "}"}]}], "]"}]}], "Input",\

 CellChangeTimes->{{3.902828093317595*^9, 3.9028281126052637`*^9}, {
   3.9028281968884373`*^9, 3.902828199326187*^9}, {3.902828744529489*^9, 
   3.902828939147223*^9}, {3.902829090986458*^9, 3.902829092638308*^9}, {
   3.902829270379777*^9, 3.90282979674347*^9}, {3.902829841530156*^9, 
   3.9028298955092583`*^9}, {3.9028299256299686`*^9, 3.902829927340288*^9}, {
   3.902829981956849*^9, 3.902829994283146*^9}, {3.902830056501021*^9, 
   3.9028300638645973`*^9}, {3.902830528281701*^9, 3.902830544917835*^9}, {
   3.902830973149664*^9, 3.902831070517206*^9}, {3.902831522665127*^9, 
   3.90283155938997*^9}, {3.9028355023456907`*^9, 3.902835502577969*^9}, 
   3.902840686673543*^9, {3.902841074795191*^9, 3.9028411555228662`*^9}, {
   3.902919672901024*^9, 3.902919674692136*^9}, {3.9036859303388*^9, 
   3.903685936466599*^9}, {3.90368597432952*^9, 3.9036859766361856`*^9}, {
   3.903686007981484*^9, 3.903686038901988*^9}, {3.903686094518001*^9, 
   3.903686153523093*^9}, {3.9036870588910522`*^9, 3.9036870592009783`*^9}, {
   3.903687099055784*^9, 3.903687143824134*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"ac9de544-a3bc-4542-a943-51f37965fa6c"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox["\<\"------------------\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470340176*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"a8ea3c60-fdee-4d9a-b64d-ba73cac3a48b"],

Cell[BoxData[
 FormBox["\<\"T(3,2,-1)*T(4,-1,1)\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470342255*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"e3891cf1-f577-4edd-a63c-3cde354afdd8"],

Cell[BoxData[
 FormBox["\<\"FFVVNP21\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.9049164703452272`*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"6d787a07-56ad-40db-92e4-d2e2c088eb36"],

Cell[BoxData[
 FormBox["\<\"( Gamma(3,2,-1)*Gamma(4,-1,1) )*((ab1(s,u)))\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.9049164703461857`*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"db6d4f3e-a40d-4c70-915b-2ad1d584d560"],

Cell[BoxData[
 FormBox["\<\"FFVVNP22\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470347142*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"9ae03ded-bbe1-4b54-be67-c581da2b6222"],

Cell[BoxData[
 FormBox["\<\"( Gamma(3,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(4,-3,1) \
)*((ab2(s,u)))\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.9049164703479433`*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"7ed1d3d6-ed1f-4794-bab2-a2db9ac173b3"],

Cell[BoxData[
 FormBox["\<\"FFVVNP23\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.9049164703487787`*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"478ed778-e026-4f1d-a625-2d14d1828199"],

Cell[BoxData[
 FormBox["\<\"( Gamma(3,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(4,-3,1) \
)*((ab2(s,u)))\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.9049164703495693`*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"27fdca03-ec7b-48ad-a264-84da3432a7ea"],

Cell[BoxData[
 FormBox["\<\"FFVVNP24\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470350425*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"d2ff7b98-86c5-4cc0-b66a-e83fab3a1f99"],

Cell[BoxData[
 FormBox["\<\"( \
Gamma(3,2,-1)*P(-2,2)*Gamma(-2,-1,-3)*Gamma(4,-3,-4)*ProjP(-4,1) \
)*((-ab3(s,u)))\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470351185*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"e6df5fc6-9a25-4048-8d38-712ca09af3c4"],

Cell[BoxData[
 FormBox["\<\"FFVVNP25\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470352105*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"f0aa9c4e-5a30-4420-ad9b-aa2bb4f03568"],

Cell[BoxData[
 FormBox["\<\"( \
Gamma(3,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(4,-3,-4)*ProjP(-4,1) \
)*((-ab3(s,u)))\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470352921*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"b64a7302-5f75-4895-971e-cf88b49ecb93"],

Cell[BoxData[
 FormBox["\<\"------------------\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470353806*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"fa950c2a-9f44-40d9-a5cb-a1f22e244d80"],

Cell[BoxData[
 FormBox["\<\"T(4,2,-1)*T(3,-1,1)\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470354566*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"532e525a-d2de-47ca-a9d9-c5b4a5771d1e"],

Cell[BoxData[
 FormBox["\<\"FFVVNP26\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470355349*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"bb1cb32b-c432-44da-b586-4843a7bc62d3"],

Cell[BoxData[
 FormBox["\<\"( Gamma(4,2,-1)*Gamma(3,-1,1) )*((ab1(s,t)))\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470356303*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"4e1daa68-9a7e-4114-986d-1eaffde7a411"],

Cell[BoxData[
 FormBox["\<\"FFVVNP27\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470357576*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"20208e1a-1d7e-4ff9-b7e7-ed9d410cdd83"],

Cell[BoxData[
 FormBox["\<\"( Gamma(4,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(3,-3,1) \
)*((-ab2(s,t)))\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470358753*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"3a0f6f36-72cb-4bed-8602-b54ff8e4f809"],

Cell[BoxData[
 FormBox["\<\"FFVVNP28\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470359613*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"18ec3d33-ecd2-46e4-9dbf-f2cdf8e3b7a3"],

Cell[BoxData[
 FormBox["\<\"( Gamma(4,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(3,-3,1) \
)*((-ab2(s,t)))\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470360504*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"1aa40afe-2064-4625-a043-870649853fe2"],

Cell[BoxData[
 FormBox["\<\"FFVVNP29\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470361403*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"516e2bb6-8d2c-4c31-ad53-76a791c10f90"],

Cell[BoxData[
 FormBox["\<\"( \
Gamma(4,2,-1)*P(-2,1)*Gamma(-2,-1,-3)*Gamma(3,-3,-4)*ProjP(-4,1) \
)*((ab3(s,t)))\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.9049164703622026`*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"c7938e0a-8851-4906-aff3-1cc91f7a5e7f"],

Cell[BoxData[
 FormBox["\<\"FFVVNP30\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470363049*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"bf4163e7-9b8c-4a9f-8e78-b8bf40420fa3"],

Cell[BoxData[
 FormBox["\<\"( \
Gamma(4,2,-1)*P(-2,3)*Gamma(-2,-1,-3)*Gamma(3,-3,-4)*ProjP(-4,1) \
)*((ab3(s,t)))\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{3.904228542767128*^9, 3.904301503279128*^9, 
  3.9043016314316797`*^9, 3.90475619776239*^9, 3.90475643602535*^9, 
  3.904756885373411*^9, 3.90481352459804*^9, 3.904916470363909*^9},
 CellLabel->
  "During evaluation of \
In[48]:=",ExpressionUUID->"d5e54dc6-746f-4b17-8618-2de5dd770da7"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Write to File", "Subsubsection",
 CellChangeTimes->{{3.9029054743452797`*^9, 
  3.902905480324123*^9}},ExpressionUUID->"c66ded1d-6d9f-4a65-bb78-\
2367b6c59614"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "fileName", "=", 
   "\"\<../../Models/Top-FormFactorsOneLoop-UFO/lffvvnpSelf.txt\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"outF", " ", "=", " ", 
   RowBox[{"OpenWrite", "[", 
    RowBox[{"fileName", ",", 
     RowBox[{"PageWidth", "\[Rule]", "Infinity"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vertexCounter", "=", "20"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Write", "[", 
     RowBox[{"outF", ",", "\"\<------------------\>\""}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Write", "[", 
     RowBox[{"outF", ",", 
      RowBox[{
       RowBox[{"su3Matrices", "[", 
        RowBox[{"[", "n", "]"}], "]"}], "/.", "su3Replacements"}]}], "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
      "desired", " ", "SU3", " ", "matrix"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"terms0", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
         RowBox[{"su3Matrices", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
       "desired", " ", "gamma", " ", "structure"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"terms1", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"terms0", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Length", "[", "terms1", "]"}], "\[Equal]", "0"}], ",", 
         RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       
       RowBox[{"vertexCounter", " ", "+=", " ", "1"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Write", "[", 
        RowBox[{"outF", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{"\"\<FFVVNP\>\"", ",", 
           RowBox[{"ToString", "[", "vertexCounter", "]"}]}], "]"}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Compute", " ", "the", " ", "ALOHA", " ", "term", " ", "for", " ", 
         "this", " ", 
         RowBox[{"tensor", "/", "gamma"}], " ", "structure", " ", "and", " ", 
         "color", " ", "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"terms", "=", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<(\>\"", ",", 
          RowBox[{"ToString", "[", 
           RowBox[{"FortranForm", "[", 
            RowBox[{"terms1", "[", 
             RowBox[{"[", 
              RowBox[{"1", ",", "3"}], "]"}], "]"}], "]"}], "]"}], ",", 
          "\"\<)\>\""}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", "terms", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<( \>\"", ",", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          ",", "\"\< )*( \>\"", ",", "fullStr", ",", "\"\<)\>\""}], "]"}]}], 
       ";", "\[IndentingNewLine]", " ", 
       RowBox[{"Write", "[", 
        RowBox[{"outF", ",", "fullStr"}], "]"}], ";"}], "\[IndentingNewLine]",
       ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "1", ",", 
        RowBox[{"Length", "[", "tensors", "]"}]}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", 
     RowBox[{"Length", "[", "su3Matrices", "]"}]}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Close", "[", "outF", "]"}]}], "Input",
 CellChangeTimes->{{3.902904975963681*^9, 3.902905011761466*^9}, {
   3.902905195579987*^9, 3.9029052313253937`*^9}, {3.90290529632375*^9, 
   3.902905317000214*^9}, {3.902905380118112*^9, 3.902905383373775*^9}, {
   3.902905766470792*^9, 3.902905767471977*^9}, {3.902905814751055*^9, 
   3.902905820196905*^9}, {3.902905852613607*^9, 3.902905877256078*^9}, {
   3.9029059190882187`*^9, 3.9029059212503157`*^9}, 3.90290602753016*^9, {
   3.90290605777884*^9, 3.902906078386305*^9}, {3.902906110034658*^9, 
   3.902906129721521*^9}, {3.902906208462678*^9, 3.9029062942783337`*^9}, 
   3.90291983600139*^9, {3.902920580461288*^9, 3.902920589311644*^9}, {
   3.9036876864234047`*^9, 3.903687687506213*^9}, {3.903687805243528*^9, 
   3.903687921579504*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"70254e49-d320-431e-b637-681ffb542d14"],

Cell[BoxData[
 FormBox["\<\"../../Models/Top-FormFactorsOneLoop-UFO/lffvvnpSelf.txt\"\>", 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902905888150086*^9, 3.902905899760147*^9}, {
   3.902905931885778*^9, 3.902905943532175*^9}, 3.90290603338354*^9, {
   3.9029060680064087`*^9, 3.902906087283484*^9}, 3.902906130711829*^9, {
   3.902906245800063*^9, 3.9029062998300543`*^9}, 3.90291980961523*^9, 
   3.902919840846828*^9, 3.902920590211837*^9, 3.903687889069923*^9, 
   3.903687922322235*^9, 3.903690804482188*^9, 3.903710823844389*^9, 
   3.904228557415249*^9, 3.9043016577826653`*^9, 3.904756198050417*^9, 
   3.904756436190652*^9, 3.904756885542766*^9, 3.9048135561416492`*^9, 
   3.904916470395527*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"d1877b28-bae8-45e1-9d8e-3ee8ccd863aa"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1440, 762},
WindowMargins->{{0, Automatic}, {0, Automatic}},
TaggingRules->{
 "WelcomeScreenSettings" -> {"FEStarting" -> False}, "TryRealOnly" -> False},
FrontEndVersion->"12.1 for Linux x86 (64-bit) (March 18, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"b645438e-fe78-4151-a25a-63d0c6785d5c"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 201, 3, 29, "Input",ExpressionUUID->"bf3a6803-1e5e-48c4-a2ae-b9c5ae923bd9"],
Cell[CellGroupData[{
Cell[784, 27, 630, 12, 51, "Input",ExpressionUUID->"7e1f1c57-9c4a-40da-b9b6-93b1face6039"],
Cell[CellGroupData[{
Cell[1439, 43, 4092, 91, 30, "Print",ExpressionUUID->"b86db284-0b65-4b90-94a1-19157b596555"],
Cell[5534, 136, 2882, 55, 30, "Print",ExpressionUUID->"2172f3c7-021a-40a5-82c2-47bb0a5dee81"],
Cell[8419, 193, 2882, 57, 30, "Print",ExpressionUUID->"7ff73dc1-eb54-4e69-b62f-90f61b780284"],
Cell[11304, 252, 2058, 32, 27, "Print",ExpressionUUID->"a41b4ea3-1867-44a4-b235-02799a77d574"],
Cell[13365, 286, 2059, 32, 27, "Print",ExpressionUUID->"1e06ace1-e76f-43db-9d2a-04d0831081b6"],
Cell[15427, 320, 2046, 32, 27, "Print",ExpressionUUID->"d6a2affb-391f-450c-886e-9758789b28f6"],
Cell[17476, 354, 3657, 80, 30, "Print",ExpressionUUID->"4fcc251e-b732-4947-ba9d-a09ab64564f3"],
Cell[21136, 436, 1998, 32, 27, "Print",ExpressionUUID->"9d17529b-e5b2-4bf6-9a4d-b57308ff7443"],
Cell[23137, 470, 2031, 32, 27, "Print",ExpressionUUID->"1227284e-9925-48fa-9341-b1651ab82231"],
Cell[25171, 504, 2971, 61, 30, "Print",ExpressionUUID->"40f89200-2e54-4014-b3cd-e624fc2f2a89"],
Cell[28145, 567, 2904, 57, 30, "Print",ExpressionUUID->"5df0853a-b963-418e-a98a-ea8adf0e63ab"],
Cell[31052, 626, 2098, 33, 27, "Print",ExpressionUUID->"9a64da77-b461-45bd-a43b-6cf6d906fd62"],
Cell[33153, 661, 2053, 32, 27, "Print",ExpressionUUID->"5a1a5c55-2be1-4604-9093-15e28f041f26"],
Cell[35209, 695, 2737, 53, 30, "Print",ExpressionUUID->"5c436811-d1d3-4718-a395-eac77fe57c56"],
Cell[37949, 750, 2753, 54, 30, "Print",ExpressionUUID->"e10bd857-4714-4b0a-9cfa-cf6e5f41c1fc"]
}, Open  ]]
}, Open  ]],
Cell[40729, 808, 267, 5, 29, "Input",ExpressionUUID->"7a7047f5-8e97-4877-b8bc-707360cf8b4c"],
Cell[40999, 815, 2676, 56, 154, "Input",ExpressionUUID->"ed699d7e-c19c-41b7-8b3a-2506f804df62"],
Cell[CellGroupData[{
Cell[43700, 875, 430, 6, 68, "Section",ExpressionUUID->"4b57545a-867e-4c7b-9e3f-1cea27bf8190"],
Cell[44133, 883, 541, 11, 104, "Text",ExpressionUUID->"db69d872-aa2a-4484-8ded-13ce9cbe9c49"],
Cell[CellGroupData[{
Cell[44699, 898, 3279, 73, 113, "Input",ExpressionUUID->"01ff8450-f24b-4654-b601-64e1ff628cbb"],
Cell[CellGroupData[{
Cell[48003, 975, 692, 14, 22, "Print",ExpressionUUID->"e2f0eada-9ac7-4294-91eb-3efd29d34a1b"],
Cell[48698, 991, 764, 16, 22, "Print",ExpressionUUID->"3c8e2a30-14f6-46a2-ab0f-8399e2d2b7ef"],
Cell[49465, 1009, 630, 13, 22, "Print",ExpressionUUID->"374154ed-1d68-4325-89f0-3396de5a9975"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[50144, 1028, 1510, 31, 51, "Input",ExpressionUUID->"20e5116a-3361-4a03-9309-d84591411aca"],
Cell[51657, 1061, 49599, 983, 158, "Print",ExpressionUUID->"e483b0ce-7ed6-419f-87df-4097578b9a26"]
}, Open  ]],
Cell[CellGroupData[{
Cell[101293, 2049, 3267, 64, 71, "Input",ExpressionUUID->"e0e55a65-df8b-422d-a351-3e9467d3aa9b"],
Cell[104563, 2115, 1991, 33, 22, "Print",ExpressionUUID->"5d24ca89-c2ac-4dd2-9145-9ef9737d8559"]
}, Open  ]],
Cell[CellGroupData[{
Cell[106591, 2153, 1064, 24, 51, "Input",ExpressionUUID->"3241cccd-c232-4a54-8d98-cd0d45162768"],
Cell[107658, 2179, 28267, 882, 213, "Output",ExpressionUUID->"a561d976-3e8e-4d25-b970-07039276d889"]
}, Open  ]],
Cell[135940, 3064, 1210, 22, 29, "Input",ExpressionUUID->"b2cba41c-4f1e-445c-9cbd-26392e321259"],
Cell[137153, 3088, 816, 17, 29, "Input",ExpressionUUID->"89969a78-ade4-4212-8122-efa2983bf087"]
}, Open  ]],
Cell[CellGroupData[{
Cell[138006, 3110, 209, 4, 68, "Section",ExpressionUUID->"56369f85-2e68-4750-b5b1-9e76e487bf1c"],
Cell[138218, 3116, 353, 7, 35, "Text",ExpressionUUID->"eacb40ae-faf1-4be0-8e9e-60b30b5256de"],
Cell[138574, 3125, 629, 12, 51, "Input",ExpressionUUID->"4e99d884-51a4-449d-b045-910ef931959d"],
Cell[139206, 3139, 1075, 20, 29, "Input",ExpressionUUID->"65c9030f-0554-4766-9bd1-f5ca8860820b"],
Cell[140284, 3161, 2403, 64, 71, "Input",ExpressionUUID->"66ae6227-c36f-4f3f-b14d-c7647ed12d4b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[142724, 3230, 164, 3, 68, "Section",ExpressionUUID->"227bc38d-5e93-42cc-a5af-bcc595095314"],
Cell[142891, 3235, 462, 10, 29, "Input",ExpressionUUID->"4b53a4c9-155e-4d6b-94ea-ace8d5ce478c"],
Cell[CellGroupData[{
Cell[143378, 3249, 1166, 27, 32, "Input",ExpressionUUID->"83c50a73-6e5c-46a9-8030-6540ff0d04e6"],
Cell[144547, 3278, 3585, 93, 138, "Output",ExpressionUUID->"98437b63-ef46-4729-9e2c-b8a93b546cad"]
}, Open  ]],
Cell[CellGroupData[{
Cell[148169, 3376, 2972, 62, 134, "Input",ExpressionUUID->"0ace2fad-9ad7-4a72-8147-df5e75d9b393"],
Cell[151144, 3440, 2047, 29, 32, "Output",ExpressionUUID->"024b4d54-7b46-4231-9d36-5747f10ef98f"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[153240, 3475, 176, 3, 68, "Section",ExpressionUUID->"8a29e758-e761-4fec-af8d-23d8cce5a5d2"],
Cell[153419, 3480, 1303, 31, 48, "Input",ExpressionUUID->"2b39a792-9d27-423a-8075-236c10272c8a"],
Cell[154725, 3513, 1147, 20, 29, "Input",ExpressionUUID->"09107453-461e-4d86-83e3-c5ceb656ca3d"],
Cell[CellGroupData[{
Cell[155897, 3537, 3243, 83, 133, "Input",ExpressionUUID->"ca58ea96-a281-435b-9b9e-49579f3843da"],
Cell[159143, 3622, 6976, 229, 36, "Output",ExpressionUUID->"7f9a9cf2-8bab-4bc3-8890-7f2c8d0cf01f"],
Cell[166122, 3853, 2653, 68, 36, "Output",ExpressionUUID->"fcf8f20b-a40a-4db3-98b6-0ad05dfab99e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[168812, 3926, 176, 3, 54, "Subsection",ExpressionUUID->"4436e813-88de-48dd-9eeb-fc449053257b"],
Cell[168991, 3931, 180, 3, 35, "Text",ExpressionUUID->"52e63006-5c02-4afb-b328-1f0a939fc5db"],
Cell[169174, 3936, 5034, 136, 283, "Input",ExpressionUUID->"70f92ceb-8543-4f9d-ad39-e2286c56a0f2"],
Cell[174211, 4074, 3358, 72, 163, "Input",ExpressionUUID->"b3625259-5d66-46fe-acf9-cbcd110f9bc5"],
Cell[CellGroupData[{
Cell[177594, 4150, 197, 3, 45, "Subsubsection",ExpressionUUID->"7833e04f-4868-4a81-82c7-f3e97b65e537"],
Cell[177794, 4155, 1596, 35, 51, "Input",ExpressionUUID->"5e433e69-89e8-4a83-bf00-63fbd23ff444"],
Cell[CellGroupData[{
Cell[179415, 4194, 180, 2, 29, "Input",ExpressionUUID->"117de940-6039-4572-909a-ec26b57926d4"],
Cell[179598, 4198, 12794, 451, 215, "Output",ExpressionUUID->"f8ce71f0-e347-44db-9dc9-bbe3893c89e4"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[192465, 4657, 167, 3, 68, "Section",ExpressionUUID->"61d6f6bd-d2f9-4207-a421-9d5a603aed82"],
Cell[192635, 4662, 1563, 30, 311, "Text",ExpressionUUID->"ac0703dd-34fe-4090-8a2e-872b9b5d1d5e"],
Cell[CellGroupData[{
Cell[194223, 4696, 744, 19, 51, "Input",ExpressionUUID->"362b0107-a8c9-4578-ae68-aa03818be345"],
Cell[194970, 4717, 1747, 55, 36, "Output",ExpressionUUID->"8c775f7a-41d5-4b74-87fe-3cffdd935977"],
Cell[196720, 4774, 5317, 187, 36, "Output",ExpressionUUID->"a1b93d9c-ee5e-408c-bd53-57031045ba40"]
}, Open  ]],
Cell[202052, 4964, 2115, 41, 51, "Input",ExpressionUUID->"3697a1c4-e952-4e59-917c-8480846244cd"],
Cell[204170, 5007, 11184, 295, 422, "Input",ExpressionUUID->"ab9e0d1f-d171-4a2a-ab0f-b82679c79280"],
Cell[CellGroupData[{
Cell[215379, 5306, 473, 11, 29, "Input",ExpressionUUID->"63396ad7-9a4d-4c17-b11f-fdbbff4ffa47"],
Cell[215855, 5319, 8689, 306, 156, "Output",ExpressionUUID->"dc8569ff-5a04-4c7f-a90e-b891836e013a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[224581, 5630, 209, 4, 54, "Subsection",ExpressionUUID->"369f6492-b2f5-4beb-9caa-3c967ff098ea"],
Cell[CellGroupData[{
Cell[224815, 5638, 5635, 130, 443, "Input",ExpressionUUID->"ac9de544-a3bc-4542-a943-51f37965fa6c"],
Cell[CellGroupData[{
Cell[230475, 5772, 386, 7, 22, "Print",ExpressionUUID->"a8ea3c60-fdee-4d9a-b64d-ba73cac3a48b"],
Cell[230864, 5781, 387, 7, 22, "Print",ExpressionUUID->"e3891cf1-f577-4edd-a63c-3cde354afdd8"],
Cell[231254, 5790, 378, 7, 22, "Print",ExpressionUUID->"6d787a07-56ad-40db-92e4-d2e2c088eb36"],
Cell[231635, 5799, 417, 8, 22, "Print",ExpressionUUID->"db6d4f3e-a40d-4c70-915b-2ad1d584d560"],
Cell[232055, 5809, 376, 7, 22, "Print",ExpressionUUID->"9ae03ded-bbe1-4b54-be67-c581da2b6222"],
Cell[232434, 5818, 440, 8, 22, "Print",ExpressionUUID->"7ed1d3d6-ed1f-4794-bab2-a2db9ac173b3"],
Cell[232877, 5828, 378, 7, 22, "Print",ExpressionUUID->"478ed778-e026-4f1d-a625-2d14d1828199"],
Cell[233258, 5837, 440, 8, 22, "Print",ExpressionUUID->"27fdca03-ec7b-48ad-a264-84da3432a7ea"],
Cell[233701, 5847, 376, 7, 22, "Print",ExpressionUUID->"d2ff7b98-86c5-4cc0-b66a-e83fab3a1f99"],
Cell[234080, 5856, 454, 9, 22, "Print",ExpressionUUID->"e6df5fc6-9a25-4048-8d38-712ca09af3c4"],
Cell[234537, 5867, 376, 7, 22, "Print",ExpressionUUID->"f0aa9c4e-5a30-4420-ad9b-aa2bb4f03568"],
Cell[234916, 5876, 454, 9, 22, "Print",ExpressionUUID->"b64a7302-5f75-4895-971e-cf88b49ecb93"],
Cell[235373, 5887, 386, 7, 22, "Print",ExpressionUUID->"fa950c2a-9f44-40d9-a5cb-a1f22e244d80"],
Cell[235762, 5896, 387, 7, 22, "Print",ExpressionUUID->"532e525a-d2de-47ca-a9d9-c5b4a5771d1e"],
Cell[236152, 5905, 376, 7, 22, "Print",ExpressionUUID->"bb1cb32b-c432-44da-b586-4843a7bc62d3"],
Cell[236531, 5914, 415, 8, 22, "Print",ExpressionUUID->"4e1daa68-9a7e-4114-986d-1eaffde7a411"],
Cell[236949, 5924, 376, 7, 22, "Print",ExpressionUUID->"20208e1a-1d7e-4ff9-b7e7-ed9d410cdd83"],
Cell[237328, 5933, 439, 8, 22, "Print",ExpressionUUID->"3a0f6f36-72cb-4bed-8602-b54ff8e4f809"],
Cell[237770, 5943, 376, 7, 22, "Print",ExpressionUUID->"18ec3d33-ecd2-46e4-9dbf-f2cdf8e3b7a3"],
Cell[238149, 5952, 439, 8, 22, "Print",ExpressionUUID->"1aa40afe-2064-4625-a043-870649853fe2"],
Cell[238591, 5962, 376, 7, 22, "Print",ExpressionUUID->"516e2bb6-8d2c-4c31-ad53-76a791c10f90"],
Cell[238970, 5971, 455, 9, 22, "Print",ExpressionUUID->"c7938e0a-8851-4906-aff3-1cc91f7a5e7f"],
Cell[239428, 5982, 376, 7, 22, "Print",ExpressionUUID->"bf4163e7-9b8c-4a9f-8e78-b8bf40420fa3"],
Cell[239807, 5991, 453, 9, 22, "Print",ExpressionUUID->"d5e54dc6-746f-4b17-8618-2de5dd770da7"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[240309, 6006, 166, 3, 45, "Subsubsection",ExpressionUUID->"c66ded1d-6d9f-4a65-bb78-2367b6c59614"],
Cell[CellGroupData[{
Cell[240500, 6013, 5090, 122, 463, "Input",ExpressionUUID->"70254e49-d320-431e-b637-681ffb542d14"],
Cell[245593, 6137, 794, 12, 81, "Output",ExpressionUUID->"d1877b28-bae8-45e1-9d8e-3ee8ccd863aa"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

