(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    134963,       3240]
NotebookOptionsPosition[    126149,       3097]
NotebookOutlinePosition[    126663,       3116]
CellTagsIndexPosition[    126620,       3113]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8890168084279547`*^9, 3.8890168092899714`*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$LoadAddOns", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<FeynArts\>\"", ",", "\"\<FeynHelpers\>\""}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<FeynCalc`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.8890168234903173`*^9, 3.889016854234688*^9}, {
  3.889017044991746*^9, 3.889017045165141*^9}, {3.889017781387946*^9, 
  3.889017814440536*^9}, {3.88901786533222*^9, 3.889017866119855*^9}, {
  3.889025236954578*^9, 3.889025237167118*^9}, {3.8895928715731487`*^9, 
  3.8895928871625967`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynCalc \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"9.3.1 (stable version). For help, use the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"documentation", " ", "center"}],
       BaseStyle->"Link",
       ButtonData:>"paclet:FeynCalc/",
       ButtonNote->"paclet:FeynCalc/"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\", check out the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["wiki",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/wiki"], None},
       ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" or visit the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"forum", "."}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/discussions"], None},
       ButtonNote->"http://www.feyncalc.org/forum/"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynCalc ", "Text", Bold], 
    Style["9.3.1 (stable version). For help, use the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "documentation center", BaseStyle -> "Link", ButtonData :> 
       "paclet:FeynCalc/", ButtonNote -> "paclet:FeynCalc/"]], "Text"], 
    Style[", check out the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["wiki", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/wiki"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> 
       "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
    Style[" or visit the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["forum.", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/discussions"], None}, 
       BaseStyle -> "Hyperlink", ButtonNote -> 
       "http://www.feyncalc.org/forum/"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.9047560360991507`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8ee0dfdf-0171-4fbb-87c1-d5ff6a32e014"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"To save your and our time, please check our \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["FAQ",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None},
       ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" for answers to some common FeynCalc questions.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["To save your and our time, please check our ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["FAQ", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None}, 
       BaseStyle -> "Hyperlink", ButtonNote -> 
       "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
    Style[" for answers to some common FeynCalc questions.", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.904756036107396*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0e1e91aa-6473-46a9-ba66-a8efb686524b"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"See also the supplied \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"examples", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" If you use FeynCalc in your research, please cite\"\>", 
     "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["See also the supplied ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]], Evaluator -> 
       Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" If you use FeynCalc in your research, please cite", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.904756036111568*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"e022d0da-227f-4c60-a802-be8274193771"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 256 (2020) 107478, arXiv:2001.04407.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.904756036115295*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9b4fbed7-56d4-4df2-80e8-391b03baeff9"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 207 (2016) 432-444, arXiv:1601.01167.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.904756036118765*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"015332fc-d7cf-4c1d-ac9b-77cb398e44eb"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] R. Mertig, M. B\[ODoubleDot]hm, and A. Denner, \
Comput. Phys. Commun. 64 (1991) 345-359.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.904756036122307*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"784c19a7-cefc-4685-85c4-7b56b660be44"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynArts \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"3.11 (25 Mar 2022) patched for use with FeynCalc, for \
documentation see the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["manual",
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         First[
          FileNames[{"*.pdf", "*.PDF"}, 
           FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" or visit \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"www", ".", "feynarts", ".", "de", "."}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["http://www.feynarts.de/"], None},
       ButtonNote->"www.feynarts.de/"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynArts ", "Text", Bold], 
    Style[
    "3.11 (25 Mar 2022) patched for use with FeynCalc, for documentation see \
the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "manual", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         First[
          FileNames[{"*.pdf", "*.PDF"}, 
           FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]], 
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" or visit ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["www.feynarts.de.", ButtonData :> {
         URL["http://www.feynarts.de/"], None}, BaseStyle -> "Hyperlink", 
       ButtonNote -> "www.feynarts.de/"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.9047560362876387`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c3012f65-2952-492d-b559-2bc9e0883272"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\"If you use FeynArts in your research, please cite\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.904756036342531*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"209926ea-c8ef-4d71-822f-2906c7941677"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] T. Hahn, Comput. Phys. Commun., 140, 418-431, \
2001, arXiv:hep-ph/0012260\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.90475603634566*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"727f56bf-b9e7-4adc-a68b-ae6cf97dfe8a"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynHelpers \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"1.3.0, for more information see the accompanying \"\>", 
     "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"publication", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{
          FeynCalc`$FeynHelpersDirectory, "Documentation", "1611.06793.pdf"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynHelpers ", "Text", Bold], 
    Style["1.3.0, for more information see the accompanying ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "publication.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{
          FeynCalc`$FeynHelpersDirectory, "Documentation", 
           "1611.06793.pdf"}]], Evaluator -> Automatic, Method -> 
       "Preemptive"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.904756036348772*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"14aa2fe7-3b92-402e-9c06-347c91bc3a04"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"Have a look at the supplied \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"examples", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" If you use FeynHelpers in your research, please cite\"\>", 
     "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["Have a look at the supplied ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]], 
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" If you use FeynHelpers in your research, please cite", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.9047560363519087`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"eb74b13f-cc09-45bb-85ac-bf3933c207ff"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, \\\"FeynHelpers: Connecting \
FeynCalc to FIRE and Package-X\\\", Comput. Phys. Commun., 218, 48-65, 2017, \
arXiv:1611.06793\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.904756036354755*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"6eb0aca5-f318-462a-8e3a-4ab153455e27"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\"Furthermore, remember to cite the authors of the tools that \
you are calling from FeynHelpers, which are\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.904756036358148*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ad73b9dd-a65f-4ba1-a5fd-6fb29423665c"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["FIRE",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["http://science.sander.su/FIRE.htm"], None},
       ButtonNote->"http://science.sander.su/FIRE.htm"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" by A. Smirnov, if you are using the function \
FIREBurn.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style[" \[Bullet] "], 
    Style[
     DisplayForm[
      ButtonBox["FIRE", ButtonData :> {
         URL["http://science.sander.su/FIRE.htm"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> "http://science.sander.su/FIRE.htm"]], 
     "Text"], 
    Style[" by A. Smirnov, if you are using the function FIREBurn.", "Text"]],
   
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.90475603636119*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"cb88bd13-288e-4953-b570-291ed94bd310"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"Package", "-", "X"}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://packagex.hepforge.org"], None},
       ButtonNote->"https://packagex.hepforge.org"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" by H. Patel, if you are using the function \
PaXEvaluate.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style[" \[Bullet] "], 
    Style[
     DisplayForm[
      ButtonBox["Package-X", ButtonData :> {
         URL["https://packagex.hepforge.org"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> "https://packagex.hepforge.org"]], "Text"], 
    
    Style[" by H. Patel, if you are using the function PaXEvaluate.", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.902695785552621*^9, 
   3.902820253548862*^9, 3.902835157082402*^9, 3.902840112462467*^9, 
   3.902846409156974*^9, 3.902846833270941*^9, 3.902904765464904*^9, 
   3.902905495249831*^9, 3.9029056934232063`*^9, 3.902919779339703*^9, 
   3.9041233313652153`*^9, 3.904123581124571*^9, 3.904163534682187*^9, 
   3.9041657289930563`*^9, 3.904165896132813*^9, 3.904299426204809*^9, 
   3.904409370590686*^9, 3.904755915888691*^9, 3.9047560363636513`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"8f289151-22b2-4714-a8a9-cc0762c6b0a3"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.889017308907774*^9, 3.889017320298298*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CKM", " ", "=", " ", "IndexDelta"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Neglect", "[", "ME", "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"Neglect", "[", "ME2", "]"}], " ", "=", " ", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$FAVerbose", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"use", " ", "generic", " ", "model", " ", "from", " ", 
    RowBox[{"FeynCalc", "!"}], " ", "The", " ", "SUNF", " ", "and", " ", 
    "SUNT", " ", "functions", " ", "in", " ", 
    RowBox[{"the", " ", ".", "mod"}], " ", "file", " ", "have", " ", "to", 
    " ", "be", " ", "replaced", " ", "by", " ", "FASUNF", " ", "and", " ", 
    "FASUNT"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"InsertFields", ",", " ", 
    RowBox[{
    "Model", " ", "->", "\"\<../../Models/SMS-stop-FA/SMS-stop-FA\>\""}], ",", 
    RowBox[{"ExcludeParticles", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"S", "[", "1", "]"}], "}"}]}], ",", 
    RowBox[{"InsertionLevel", "\[Rule]", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Paint", ",", " ", 
    RowBox[{"PaintLevel", " ", "->", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"CreateTopologies", ",", " ", 
    RowBox[{"ExcludeTopologies", " ", "->", " ", 
     RowBox[{"{", 
      RowBox[{
      "TadpoleCTs", ",", "Tadpoles", ",", " ", "WFCorrectionCTs", ",", 
       "SelfEnergies", ",", "SelfEnergyCTs"}], "}"}]}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.889017005844899*^9, {3.88901704085599*^9, 3.889017041077664*^9}, 
   3.889017094676647*^9, {3.889017325834794*^9, 3.889017434303607*^9}, 
   3.889017536935258*^9, {3.889017664405981*^9, 3.8890176805032187`*^9}, 
   3.8890179884081173`*^9, {3.889018149086043*^9, 3.8890181730357113`*^9}, {
   3.889019077467082*^9, 3.889019120878731*^9}, {3.8890226845002737`*^9, 
   3.889022733473879*^9}, {3.8890227741904078`*^9, 3.8890228031699657`*^9}, {
   3.889022982319891*^9, 3.8890229985262537`*^9}, {3.8890236396691513`*^9, 
   3.889023639834773*^9}, {3.889025152091753*^9, 3.889025177352399*^9}, {
   3.889544917395384*^9, 3.8895449493334312`*^9}, {3.896504119230514*^9, 
   3.8965041235149*^9}, {3.896504180860827*^9, 3.89650418316083*^9}, 
   3.896504232770453*^9, {3.901123677335421*^9, 3.90112370859788*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],

Cell[CellGroupData[{

Cell["g-g- t- t (1-loop)", "Section",
 CellChangeTimes->{{3.8965094536222267`*^9, 3.8965095038654137`*^9}, {
  3.9013532598632402`*^9, 3.9013532620752897`*^9}, {3.901353311683537*^9, 
  3.901353312659729*^9}, {3.902499251144042*^9, 3.902499254245419*^9}, {
  3.902695786498644*^9, 
  3.9026957882478437`*^9}},ExpressionUUID->"ef4b8bcd-035e-426e-b53d-\
5b41ce129840"],

Cell["\<\
The choice below for the momenta and the ordering of the particles in the \
process is equivalent to the correct
ordering for computing the effective vertex for the UFO format:
0 \[Rule]4, with {} \[Rule]{-F[9],F[9],V[4],V[4]} and all the momenta set as \
outgoing ({} \[Rule] {p1,p2,p3,p4}).
However the choice below produces nicer diagrams.\
\>", "Text",
 CellChangeTimes->{{3.9049219286801043`*^9, 3.90492205503379*^9}, {
  3.904922124889674*^9, 
  3.90492217759822*^9}},ExpressionUUID->"fc6f7e0a-ab58-42a2-b5c6-\
8f14153c7de4"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tops", " ", "=", " ", 
   RowBox[{"CreateTopologies", "[", 
    RowBox[{"1", ",", 
     RowBox[{"2", "\[Rule]", "2"}], ",", "  ", 
     RowBox[{"ExcludeTopologies", " ", "->", " ", 
      RowBox[{"{", 
       RowBox[{"TadpoleCTs", ",", "Tadpoles", ",", "SelfEnergies"}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"processGGT", " ", "=", " ", 
   RowBox[{
    RowBox[{"{", " ", 
     RowBox[{
      RowBox[{"V", "[", "4", "]"}], ",", 
      RowBox[{"V", "[", "4", "]"}]}], "}"}], " ", "->", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"F", "[", "9", "]"}], ",", 
      RowBox[{"-", 
       RowBox[{"F", "[", "9", "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"allDiags", " ", "=", " ", 
   RowBox[{"InsertFields", "[", 
    RowBox[{"tops", ",", "processGGT", ",", " ", 
     RowBox[{"InsertionLevel", "\[Rule]", " ", 
      RowBox[{"{", "Particles", "}"}]}], ",", 
     RowBox[{"ExcludeParticles", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"V", "[", "3", "]"}], ",", 
        RowBox[{"V", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "2", "]"}], ",", 
        RowBox[{"S", "[", "3", "]"}], ",", 
        RowBox[{"V", "[", "2", "]"}], ",", 
        RowBox[{"F", "[", "1", "]"}], ",", 
        RowBox[{"F", "[", "2", "]"}], ",", 
        RowBox[{"F", "[", "3", "]"}], ",", 
        RowBox[{"F", "[", "4", "]"}], ",", 
        RowBox[{"F", "[", "5", "]"}], ",", 
        RowBox[{"F", "[", "6", "]"}], ",", 
        RowBox[{"F", "[", "7", "]"}], ",", 
        RowBox[{"F", "[", "8", "]"}], ",", 
        RowBox[{"V", "[", "4", "]"}], ",", 
        RowBox[{"F", "[", "9", "]"}]}], "}"}]}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.896509435366342*^9, 3.896509451223157*^9}, {
   3.8965095108569107`*^9, 3.8965095604144707`*^9}, {3.896509597031486*^9, 
   3.896509640069913*^9}, {3.896805347338221*^9, 3.896805359654518*^9}, 
   3.896841303854939*^9, {3.89764273025483*^9, 3.8976427388940477`*^9}, {
   3.901123751032186*^9, 3.9011237607135363`*^9}, {3.901123799723119*^9, 
   3.901123804129807*^9}, {3.901123845511257*^9, 3.901123923954329*^9}, 
   3.901125442045189*^9, {3.901297878026309*^9, 3.9012979927032127`*^9}, {
   3.901995259143754*^9, 3.901995288594748*^9}, {3.901995682314508*^9, 
   3.901995685131485*^9}, {3.901995723688879*^9, 3.901995764512649*^9}, {
   3.902499266492227*^9, 3.902499275236013*^9}, {3.902695791990871*^9, 
   3.902695803373865*^9}, 3.902695840081698*^9, {3.90269588276233*^9, 
   3.9026958834590397`*^9}, {3.9041635467183247`*^9, 3.904163569222087*^9}, 
   3.9042994375075274`*^9, 3.9047559085005713`*^9},
 CellLabel->"In[10]:=",ExpressionUUID->"43ad331d-9cbd-485d-8a8d-694b987bd8b5"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"generic model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"Lorentz\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm["generic model ", {"Lorentz"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.902695884667351*^9, 3.902820257229068*^9, 
  3.902835157512622*^9, 3.902840112914002*^9, 3.90284640985126*^9, 
  3.90284683393889*^9, 3.9029047657556047`*^9, 3.902905495530694*^9, 
  3.902905693645959*^9, 3.9029197795183477`*^9, 3.904123331598158*^9, 
  3.9041235813110332`*^9, 3.90416357293801*^9, 3.904165729230685*^9, 
  3.9041658962992983`*^9, 3.904299438992323*^9, 3.904409370846426*^9, 
  3.904755921962255*^9, 3.9047560368885117`*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"b654963d-9881-4e96-af65-68a9225cabf6"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"classes model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"../../Models/SMS-stop-FA/SMS-stop-FA\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm[
   "classes model ", {"../../Models/SMS-stop-FA/SMS-stop-FA"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.902695884667351*^9, 3.902820257229068*^9, 
  3.902835157512622*^9, 3.902840112914002*^9, 3.90284640985126*^9, 
  3.90284683393889*^9, 3.9029047657556047`*^9, 3.902905495530694*^9, 
  3.902905693645959*^9, 3.9029197795183477`*^9, 3.904123331598158*^9, 
  3.9041235813110332`*^9, 3.90416357293801*^9, 3.904165729230685*^9, 
  3.9041658962992983`*^9, 3.904299438992323*^9, 3.904409370846426*^9, 
  3.904755921962255*^9, 3.904756036983073*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"b7478cd5-724c-418c-8380-467fdae753b3"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"3 Particles insertions\"\>"}],
   SequenceForm["in total: ", "3 Particles insertions"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{3.902695884667351*^9, 3.902820257229068*^9, 
  3.902835157512622*^9, 3.902840112914002*^9, 3.90284640985126*^9, 
  3.90284683393889*^9, 3.9029047657556047`*^9, 3.902905495530694*^9, 
  3.902905693645959*^9, 3.9029197795183477`*^9, 3.904123331598158*^9, 
  3.9041235813110332`*^9, 3.90416357293801*^9, 3.904165729230685*^9, 
  3.9041658962992983`*^9, 3.904299438992323*^9, 3.904409370846426*^9, 
  3.904755921962255*^9, 3.904756037290359*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"444b148c-c68c-4a8d-b670-a808a059768b"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"goodDiags", "=", 
   RowBox[{"DiagramExtract", "[", 
    RowBox[{"allDiags", ",", 
     RowBox[{"{", "1", "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Paint", "[", 
   RowBox[{"goodDiags", ",", 
    RowBox[{"ColumnsXRows", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"1", ",", "1"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{"150", ",", "150"}], "}"}]}], ",", 
    RowBox[{"PaintLevel", "\[Rule]", 
     RowBox[{"{", "Particles", "}"}]}], ",", 
    RowBox[{"Numbering", "\[Rule]", "Simple"}], ",", 
    RowBox[{"AutoEdit", "\[Rule]", "True"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.90269638894132*^9, 3.902696392156201*^9}, {
  3.902696427053773*^9, 3.902696441532485*^9}, {3.902820241695332*^9, 
  3.902820243895646*^9}, {3.902820320305406*^9, 3.9028203217905684`*^9}, {
  3.904123321149872*^9, 3.904123363631386*^9}, {3.904123557884853*^9, 
  3.904123559599162*^9}, {3.904755930366424*^9, 3.9047559464315577`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"958d43ee-c814-40c5-a0c8-b0af4f5fa682"],

Cell[BoxData[
 FormBox[
  GraphicsBox[{InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJwl1gk4lPseB/AXlUlIRY3I0sK00FSnkjjzpnJ1b11L1EQnc5xDqJPpoms5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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {3.783301642995071, 11.790402628792112}, 
          ImageScaled[{1, 1}]], LineBox[CompressedData["
1:eJwt1gs8VNseB/BNJ0QYr1BoRJpKNSpRR82OlJToPegxnUpOpaa39BrX20lN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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {4.216698357004929, 6.790402628792114}, 
          ImageScaled[{0, 1}]], 
         LineBox[{{20.000000000007276`, 15.}, {14.000000000010004`, 13.5}}], 
         PolygonBox[{{17.5820855000872, 14.3955213750218}, {
          16.320900249898266`, 14.492535625036332`}, {16.514928749927336`, 
          13.716421624920066`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {16.624069781193683, 15.148920875225265},
           ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{19.99999999999909, 5.}, {14.00000000000091, 6.5}}], 
         PolygonBox[{{16.4179144999128, 5.8955213750218}, {
          17.679099750101734`, 5.992535625036333}, {17.485071250072664`, 
          5.216421624920067}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {16.624069781193683, 4.851079124774736}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{14., 13.49999999999741}, {14., 6.49999999999371}}], 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {14.6952, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{14.000000000001819`, 13.5}, {7.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{11.51826734053906, 12.052322615314452`}, {
          10.280184249251306`, 11.793188945044921`}, {10.683281069670574`, 
          11.102165824326175`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {10.823799910437668, 12.484057296392571},
           ImageScaled[{1, 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{13.999999999998181`, 6.5}, {7.999999999998181, 
           9.999999999996362}}]}, 
         PolygonBox[{{10.48173265946094, 8.552322615314452}, {
          11.719815750748694`, 8.293188945044921}, {11.316718930329426`, 
          7.602165824326175}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->13.216783216783215`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            13.216783216783215`]& ], {10.823799910437668, 7.515942703607429}, 
          ImageScaled[{1, 1}]], 
         {PointSize[0.04], PointBox[{14., 13.5}], PointBox[{14., 6.5}], 
          PointBox[{8., 10.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["1",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->10.573426573426573`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            10.573426573426573`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"aebe/cfdg/fgfege.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "aebe/cfdg/fgfege.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {0, 0}, {0, 0}, {22, 22}], InsetBox[
     TagBox[
      StyleBox[
       TagBox["G",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {2., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["G",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {6.5, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["\[RightArrow]",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {11., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {15.5, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->15.860139860139856`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       15.860139860139856`]& ], {20., 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]]},
   AspectRatio->1.3,
   ImageSize->{150, 150},
   PlotRange->{{0, 22}, {0, 28.6}}], TraditionalForm]], "Print",
 CellChangeTimes->{{3.904755942335946*^9, 3.904755946787771*^9}, 
   3.9047560373644533`*^9},
 CellLabel->
  "During evaluation of \
In[13]:=",ExpressionUUID->"0d1988e7-a0ba-46cf-9463-dc6dc99892df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampA", "=", 
   RowBox[{
    RowBox[{"FCFAConvert", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"CreateFeynAmp", "[", 
        RowBox[{"goodDiags", ",", 
         RowBox[{"PreFactor", "\[Rule]", "1"}], ",", 
         RowBox[{"Truncated", "\[Rule]", "True"}]}], "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{"SUNT", "\[Rule]", "FASUNT"}], "}"}]}], ",", 
      RowBox[{"IncomingMomenta", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"p3", ",", "p4"}], "}"}]}], ",", 
      RowBox[{"LorentzIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}]}], ",", 
      RowBox[{"OutgoingMomenta", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "p2"}], ",", 
         RowBox[{"-", "p1"}]}], "}"}]}], ",", 
      RowBox[{"LoopMomenta", "\[Rule]", 
       RowBox[{"{", "q", "}"}]}], ",", 
      RowBox[{"SUNIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"cc3", ",", "cc4", ",", "aa", ",", "bb"}], "}"}]}], ",", 
      RowBox[{"SUNFIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"a", ",", "b", ",", "c2", ",", "c1"}], "}"}]}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"DropSumOver", "\[Rule]", "True"}], ",", 
      RowBox[{"SMP", "\[Rule]", "True"}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"Contract", "\[Rule]", "True"}], ",", 
      RowBox[{"ChangeDimension", "\[Rule]", "D"}], ",", 
      RowBox[{"UndoChiralSplittings", "\[Rule]", "True"}], ",", 
      RowBox[{"FinalSubstitutions", "\[Rule]", " ", 
       RowBox[{"(", 
        RowBox[{"M$FACouplings", "/.", 
         RowBox[{"GS", "\[Rule]", "gs"}]}], ")"}]}]}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"GS", "\[Rule]", "gs"}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ampB", " ", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"DiracSimplify", "[", 
    RowBox[{"FCReplaceMomenta", "[", 
     RowBox[{
      RowBox[{"SUNSimplify", "[", 
       RowBox[{"DiracSimplify", "[", "ampA", "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"p4", "\[Rule]", " ", 
        RowBox[{
         RowBox[{"-", "p1"}], "-", "p2", "-", "p3"}]}], "}"}]}], "]"}], "]"}],
    "]"}]}]}], "Input",
 CellChangeTimes->{{3.896504341489764*^9, 3.8965043872503223`*^9}, 
   3.896504422981164*^9, {3.896509688254932*^9, 3.896509693455044*^9}, {
   3.896509733273226*^9, 3.896509733544258*^9}, {3.8976428454285517`*^9, 
   3.897642856782288*^9}, 3.898334618925084*^9, {3.901298016999733*^9, 
   3.901298048911278*^9}, {3.901298131259605*^9, 3.901298131462916*^9}, 
   3.9013488041081133`*^9, {3.901349018123371*^9, 3.901349037377063*^9}, {
   3.901349069971529*^9, 3.901349118636595*^9}, {3.9013491506530247`*^9, 
   3.9013491851372757`*^9}, {3.901349215213161*^9, 3.901349216233016*^9}, {
   3.90135334948783*^9, 3.90135337690655*^9}, {3.901995859350791*^9, 
   3.901995929758333*^9}, {3.901995977654697*^9, 3.901996007951997*^9}, {
   3.901996043912334*^9, 3.901996095297839*^9}, {3.901996289564934*^9, 
   3.901996351869937*^9}, 3.902002030165564*^9, 3.902212418738583*^9, {
   3.902212449286343*^9, 3.902212455252392*^9}, {3.902212523864539*^9, 
   3.902212551050861*^9}, {3.902499284643197*^9, 3.902499285068048*^9}, {
   3.90269645597514*^9, 3.9026964695443373`*^9}, {3.90416362350427*^9, 
   3.9041636333508587`*^9}, {3.9041636805249147`*^9, 3.904163718159739*^9}, 
   3.9041637486026297`*^9, {3.904165948665352*^9, 3.904165990726863*^9}, 
   3.904166115289278*^9, {3.904299452322773*^9, 3.9042994583519497`*^9}, {
   3.904409335930642*^9, 3.904409338204232*^9}, 3.9047559602167263`*^9},
 CellLabel->"In[15]:=",ExpressionUUID->"5a52141a-7dc9-4e9b-bc39-5d5191cafd6e"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"1 Particles amplitude\"\>"}],
   SequenceForm["in total: ", "1 Particles amplitude"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902212551773025*^9, 3.9022239871085653`*^9, 3.9022334753414917`*^9, 
   3.902499285617628*^9, 3.902500869760573*^9, 3.902501320941017*^9, 
   3.902501469650407*^9, 3.9025622707092752`*^9, 3.902562664737382*^9, 
   3.902645002662815*^9, {3.902696448511817*^9, 3.90269647015385*^9}, 
   3.902820349480888*^9, 3.902835170539753*^9, 3.9028401256683292`*^9, 
   3.90284642509052*^9, 3.90284684726513*^9, 3.902904774544615*^9, 
   3.902905503832099*^9, 3.9029057018045263`*^9, 3.90291978783912*^9, 
   3.904123339669951*^9, 3.904123590722773*^9, 3.90416365117947*^9, {
   3.904163684747126*^9, 3.904163718759219*^9}, 3.9041637596568727`*^9, 
   3.904163888187806*^9, 3.904165736647689*^9, 3.9041659113453903`*^9, {
   3.904165981883463*^9, 3.904165991235223*^9}, {3.904166138992722*^9, 
   3.904166154053669*^9}, 3.904299461661961*^9, 3.904409379627287*^9, 
   3.904755973732923*^9, 3.904756037402478*^9},
 CellLabel->
  "During evaluation of \
In[15]:=",ExpressionUUID->"bcc40bbc-15a4-48d0-a099-3032ad545b8d"],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SuperscriptBox["gs", "2"], " ", 
     SuperscriptBox["yDM", "2"], " ", 
     SuperscriptBox["g", 
      RowBox[{
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Nu]",
         TraditionalForm],
        TraditionalForm]}]], " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["q",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], " ", 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox[
        RowBox[{"(", 
         SuperscriptBox["T", 
          FormBox[
           FormBox["cc3",
            TraditionalForm],
           TraditionalForm]], 
         SuperscriptBox["T", 
          FormBox[
           FormBox["cc4",
            TraditionalForm],
           TraditionalForm]], ")"}], 
        RowBox[{
         FormBox[
          FormBox["c2",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["c1",
           TraditionalForm],
          TraditionalForm]}]], "+", 
       SubscriptBox[
        RowBox[{"(", 
         SuperscriptBox["T", 
          FormBox[
           FormBox["cc4",
            TraditionalForm],
           TraditionalForm]], 
         SuperscriptBox["T", 
          FormBox[
           FormBox["cc3",
            TraditionalForm],
           TraditionalForm]], ")"}], 
        RowBox[{
         FormBox[
          FormBox["c2",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["c1",
           TraditionalForm],
          TraditionalForm]}]]}], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      InterpretationBox[
       RowBox[{
        SuperscriptBox[
         FormBox[
          FormBox["q",
           TraditionalForm],
          TraditionalForm], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
        "\[InvisibleSpace]", 
        SuperscriptBox["mChi", "2"]}],
       SequenceForm[
        FeynCalc`Pair[
         FeynCalc`Momentum[$CellContext`q, D], 
         FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mChi^2],
       Editable->False], ")"}], ".", 
     RowBox[{"(", 
      InterpretationBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{
          FormBox["\<\"(\"\>",
           TraditionalForm], 
          FormBox[
           FormBox[
            RowBox[{
             FormBox["p2",
              TraditionalForm], "-", 
             FormBox["q",
              TraditionalForm]}],
            TraditionalForm],
           TraditionalForm], 
          FormBox["\<\")\"\>",
           TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
        "\[InvisibleSpace]", 
        SuperscriptBox["mST", "2"]}],
       SequenceForm[
        FeynCalc`Pair[
         FeynCalc`Momentum[$CellContext`p2 - $CellContext`q, D], 
         FeynCalc`Momentum[$CellContext`p2 - $CellContext`q, D]], 
        "-", $CellContext`mST^2],
       Editable->False], ")"}], ".", 
     RowBox[{"(", 
      InterpretationBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{
          FormBox["\<\"(\"\>",
           TraditionalForm], 
          FormBox[
           FormBox[
            RowBox[{
             FormBox["p1",
              TraditionalForm], "+", 
             FormBox["q",
              TraditionalForm]}],
            TraditionalForm],
           TraditionalForm], 
          FormBox["\<\")\"\>",
           TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
        "\[InvisibleSpace]", 
        SuperscriptBox["mST", "2"]}],
       SequenceForm[
        FeynCalc`Pair[
         FeynCalc`Momentum[$CellContext`p1 + $CellContext`q, D], 
         FeynCalc`Momentum[$CellContext`p1 + $CellContext`q, D]], 
        "-", $CellContext`mST^2],
       Editable->False], ")"}]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902212551910007*^9, 3.902223987323494*^9, 3.902233475598103*^9, 
   3.902499286019664*^9, 3.902500870153942*^9, 3.902501321335157*^9, 
   3.902501470520362*^9, 3.902562271477133*^9, 3.902562665564764*^9, 
   3.902645003048567*^9, {3.90269644863124*^9, 3.9026964702477713`*^9}, 
   3.902820351913896*^9, 3.902835173011133*^9, 3.902840128028459*^9, 
   3.902846428433504*^9, 3.902846849612843*^9, 3.9029047761123047`*^9, 
   3.902905505291903*^9, 3.90290570328553*^9, 3.902919789368215*^9, 
   3.904123340825041*^9, 3.90412359079397*^9, 3.904163651233981*^9, {
   3.904163684796595*^9, 3.904163718810364*^9}, 3.904163759698379*^9, 
   3.9041638882343273`*^9, 3.90416573672427*^9, 3.9041659114087477`*^9, {
   3.9041659820046062`*^9, 3.904165991285059*^9}, {3.904166139032714*^9, 
   3.9041661540966387`*^9}, 3.904299461736957*^9, 3.9044093797191973`*^9, 
   3.904755973866426*^9, 3.904756037656581*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"f6cbc6c1-dba4-4710-8491-dad004849999"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampC", " ", "=", 
   RowBox[{"(", " ", 
    RowBox[{
     RowBox[{"TID", "[", 
      RowBox[{"ampB", ",", "q", ",", 
       RowBox[{"UsePaVeBasis", "\[Rule]", "True"}], ",", 
       RowBox[{"PaVeAutoReduce", "\[Rule]", "True"}], ",", 
       RowBox[{"ToPaVe", "\[Rule]", "True"}]}], "]"}], "//", "Simplify"}], 
    ")"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.896509111627067*^9, 3.8965091179320707`*^9}, {
   3.896857476277534*^9, 3.896857478544798*^9}, {3.896857892254889*^9, 
   3.896857897498136*^9}, {3.8968600126611347`*^9, 3.896860074501936*^9}, {
   3.896868316408643*^9, 3.896868320829083*^9}, {3.896868469404072*^9, 
   3.8968684720495863`*^9}, {3.901353413353354*^9, 3.901353415032837*^9}, {
   3.901356068397993*^9, 3.901356107923538*^9}, 3.9013561414214*^9, {
   3.902500853301231*^9, 3.9025008540998373`*^9}, {3.9025012796660748`*^9, 
   3.902501280071103*^9}, 3.9026964864094257`*^9, 3.9028204567924147`*^9},
 CellLabel->"In[17]:=",ExpressionUUID->"06a8e269-5cb2-4b62-a697-d170ac6d7257"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp", "=", 
   RowBox[{"ExpandScalarProduct", "[", 
    RowBox[{"DiracSimplify", "[", 
     RowBox[{"ampC", "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "7", "]"}], "\[Rule]", 
        RowBox[{"1", "-", 
         RowBox[{"DiracGamma", "[", "6", "]"}]}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.9024998400661173`*^9, 3.902499861566798*^9}, {
   3.902500906212543*^9, 3.902500915837338*^9}, {3.902501305751494*^9, 
   3.9025013086801643`*^9}, {3.902501409946024*^9, 3.9025014229505053`*^9}, 
   3.902820501793391*^9},
 CellLabel->"In[18]:=",ExpressionUUID->"43441d51-a20d-450c-b509-d29ed105f933"]
}, Open  ]],

Cell[CellGroupData[{

Cell["On - Shell Case", "Section",
 CellChangeTimes->{{3.897535932870885*^9, 3.897535942120082*^9}, {
  3.902820582587159*^9, 
  3.902820597078238*^9}},ExpressionUUID->"c66a4f73-c531-4186-8bab-\
f6d375288a38"],

Cell["\<\
since we are only interested in q q -> tt or gg -> tt, the t - t - g - g \
vertex only contributes when all external particles are on - shell, so we \
make use of this to simplify the final expressions\
\>", "Text",
 CellChangeTimes->{{3.902820599571072*^9, 
  3.9028206581285563`*^9}},ExpressionUUID->"92744356-ec81-401d-86ad-\
a5b3268efc79"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"FCClearScalarProducts", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetMandelstam", "[", 
   RowBox[{
   "s", ",", "t", ",", "u", ",", "p1", ",", "p2", ",", "p3", ",", "p4", ",", 
    "MT", ",", "MT", ",", "0", ",", "0"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.896868788568323*^9, 3.8968688046125517`*^9}, {
   3.9023065887581863`*^9, 3.902306602351069*^9}, {3.9023074265394287`*^9, 
   3.90230744953404*^9}, {3.904163776504799*^9, 3.904163779447905*^9}, 
   3.904163880690398*^9, {3.904164872801846*^9, 3.904164874456972*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"21c28cc9-78cc-493a-8e9d-e3db3d3d66f0"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp2", "=", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"DiracSimplify", "[", "ampEsimp", "]"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"s", "+", "t", "+", "u"}], "\[Rule]", " ", 
      RowBox[{"2", " ", 
       RowBox[{"MT", "^", "2"}]}]}], "}"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8968702657704163`*^9, 3.896870270501532*^9}, 
   3.897626114424445*^9, {3.901353474569372*^9, 3.9013534792628736`*^9}, {
   3.902003888994928*^9, 3.902003896804656*^9}, 3.90231357479678*^9, {
   3.902314316246944*^9, 3.902314320210186*^9}, 3.9024778967347603`*^9, 
   3.902480680755433*^9, {3.90282067169729*^9, 3.902820675040663*^9}, {
   3.902820744792622*^9, 3.902820753918705*^9}, {3.902820892511259*^9, 
   3.902820894424864*^9}, {3.9028209637649717`*^9, 3.9028209647547293`*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"bc762fab-86b5-4590-998b-422598353fb3"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check Divergences", "Section",
 CellChangeTimes->{{3.902480686022114*^9, 
  3.9024806942961273`*^9}},ExpressionUUID->"cdcb0115-437e-4cb6-9540-\
49966dff4f33"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"lInts", " ", "=", " ", 
   RowBox[{"Cases2", "[", 
    RowBox[{"ampEsimp2", ",", 
     RowBox[{"{", 
      RowBox[{"A0", ",", "B0", ",", "C0", ",", "PaVe"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lInts", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"PaXEvaluateUV", "[", 
      RowBox[{"lInts", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"Length", "[", "lInts", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.902482203506691*^9, {3.90248395233785*^9, 3.9024839596231403`*^9}, 
   3.902494215243495*^9, 3.902496155984209*^9, {3.902820692388126*^9, 
   3.902820708341589*^9}, {3.904164579096122*^9, 3.904164664087421*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"036cb773-85c6-463d-b6b4-1cb4bfa0189a"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
        RowBox[{
         SuperscriptBox["MT", "2"], ",", "s", ",", 
         SuperscriptBox["MT", "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.90282071248466*^9, 3.90282093074702*^9, 3.90282098453024*^9, 
   3.9028352126594753`*^9, 3.902840147738203*^9, 3.902846451764804*^9, 
   3.902846867693008*^9, 3.902904787517174*^9, 3.9029055167178297`*^9, 
   3.902905714490374*^9, 3.902919800909986*^9, 3.904123355660323*^9, 
   3.90412359121786*^9, 3.904163793843549*^9, 3.904163900092012*^9, 
   3.904163951589706*^9, 3.90416400260493*^9, 3.904164145532302*^9, 
   3.904164596388721*^9, {3.9041646535534973`*^9, 3.904164665830277*^9}, 
   3.904164938542492*^9, 3.904165737254806*^9, 3.904166193986272*^9, 
   3.904299482892148*^9, 3.904409380155925*^9, 3.904755992747814*^9, 
   3.904756039445179*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"9e8c9cf1-5741-408c-bc0d-179733c8f916"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Replace C - integrals by short names", "Subsection",
 CellChangeTimes->{{3.902821245790786*^9, 3.902821266255348*^9}, {
  3.904299506278269*^9, 
  3.904299506663089*^9}},ExpressionUUID->"c3cbb81b-ced9-4d1a-8e38-\
424c5a10dcd4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"args1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"MT", "^", "2"}], ",", "s", ",", 
     RowBox[{"MT", "^", "2"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"args2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"mChi", "^", "2"}], ",", 
     RowBox[{"mST", "^", "2"}], ",", 
     RowBox[{"mST", "^", "2"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"argsNew", "=", 
   RowBox[{"{", 
    RowBox[{"p1sq", ",", "s", ",", "p2sq"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.9042981232032547`*^9, 3.9042981908899097`*^9}, {
  3.9042995146335382`*^9, 3.90429952230497*^9}, {3.904299570664266*^9, 
  3.90429958651646*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"40d69480-fea2-48ed-8210-d42af0882d2e"],

Cell[BoxData[
 RowBox[{
  RowBox[{"subs2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"PaVe", "[", 
      RowBox[{"1", ",", "args1", ",", "args2", ",", "a___"}], "]"}], 
     "\[Rule]", 
     RowBox[{"C1", "@@", "argsNew"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQzXxnTimXyFtHmz/Tu0B0TRLfTBAduNFvFog2aS68
BaJ3LTx7D0SrNcWqcwNpndLlGiBaKCv2JR+QXmMa/B5EKzZfMhcE0t633oDp
4KhvG8WA9BsHz20g2sMo9jGInmp+/DWIlpk8hc0YSM/wW8QBotk2WkqCaNbO
3WA6iG+TEoj+N+0jmE6dGV81QQwonrsETP+Kme+zBkj/6b0XBqI5TX5Fg+gv
DNtiQHT2ifIUEH1nlmQaiE7qN88C0YxO04pA9H9h4XIQrZVeWQWiVVbvf3gb
SPv5T3sEorn29r8C0fcWnPsGog3WmXrdAdLPLyX5gmgAwieQbQ==
  "],
 CellLabel->"In[27]:=",ExpressionUUID->"466ff6ea-6a79-4a28-bcc2-85e8c71f8c14"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampEsimp3", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"DiracSimplify", "[", 
    RowBox[{"ampEsimp2", "/.", "subs2"}], "]"}], "]"}]}]], "Input",
 CellLabel->"In[28]:=",ExpressionUUID->"8b8d7559-7999-4066-94dd-45358510c7b7"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", "\[ImaginaryI]"}], " ", 
   SuperscriptBox["\[Pi]", "2"], " ", 
   SuperscriptBox["gs", "2"], " ", 
   SuperscriptBox["yDM", "2"], " ", 
   SuperscriptBox["g", 
    RowBox[{
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], "-", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}]}], ")"}], " ", 
   RowBox[{"C1", "(", 
    RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["T", 
        FormBox[
         FormBox["cc3",
          TraditionalForm],
         TraditionalForm]], 
       SuperscriptBox["T", 
        FormBox[
         FormBox["cc4",
          TraditionalForm],
         TraditionalForm]], ")"}], 
      RowBox[{
       FormBox[
        FormBox["c2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["c1",
         TraditionalForm],
        TraditionalForm]}]], "+", 
     SubscriptBox[
      RowBox[{"(", 
       SuperscriptBox["T", 
        FormBox[
         FormBox["cc4",
          TraditionalForm],
         TraditionalForm]], 
       SuperscriptBox["T", 
        FormBox[
         FormBox["cc3",
          TraditionalForm],
         TraditionalForm]], ")"}], 
      RowBox[{
       FormBox[
        FormBox["c2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["c1",
         TraditionalForm],
        TraditionalForm]}]]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.9042996290438347`*^9, 3.904409380210608*^9, 
  3.9047560063169117`*^9, 3.904756039722274*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"a643167f-a714-4c97-9ed1-f3a37b13d378"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"spinorChains2", "=", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", "ampEsimp3", "}"}], ",", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}]}], ",", "All"}], "]"}], "]"}],
     "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"allTerms", "=", 
  RowBox[{"Sort", "[", "spinorChains2", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pairs1", "=", 
   RowBox[{"Cases2", "[", 
    RowBox[{"ampEsimp3", ",", "Pair"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"allPairs", "=", 
  RowBox[{"Join", "[", 
   RowBox[{"pairs1", ",", 
    RowBox[{"{", "}"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"su3prods", "=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"Cases2", "[", 
     RowBox[{"ampEsimp3", ",", "SUNTF"}], "]"}], ",", 
    RowBox[{"Cases2", "[", 
     RowBox[{"ampEsimp3", ",", "SUNF"}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.904166358837023*^9, 3.90416639315476*^9}, {
  3.904166425517867*^9, 3.904166432481758*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"f84f2c1d-eb24-4f83-a596-3550ffed447a"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.904166342842911*^9, {3.904166378304493*^9, 3.904166401489959*^9}, 
   3.904166433618848*^9, 3.904299666472237*^9, 3.9044093802269773`*^9, 
   3.904756006329846*^9, 3.904756039750287*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"98130c3e-74e7-4ab1-830a-37e577821160"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   SuperscriptBox["g", 
    RowBox[{
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]}]], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.904166342842911*^9, {3.904166378304493*^9, 3.904166401489959*^9}, 
   3.904166433618848*^9, 3.904299666472237*^9, 3.9044093802269773`*^9, 
   3.904756006329846*^9, 3.904756039752831*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"24eeb538-90c0-4ad1-b2a0-25fbb16971d4"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]], ",", 
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.904166342842911*^9, {3.904166378304493*^9, 3.904166401489959*^9}, 
   3.904166433618848*^9, 3.904299666472237*^9, 3.9044093802269773`*^9, 
   3.904756006329846*^9, 3.904756039754924*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"00f3324e-b39a-4c5e-8882-5bb1a27dc41e"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Coefficients for each term", "Section",
 CellChangeTimes->{{3.902214189329135*^9, 
  3.9022142008054123`*^9}},ExpressionUUID->"130c3f92-52d7-4153-aa44-\
54f806159158"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"su3Terms", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"c", "=", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{"Coefficient", "[", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"Expand", "[", "ampEsimp3", "]"}], ",", 
             RowBox[{"su3prods", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
           RowBox[{"allTerms", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"allPairs", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"c", "\[Equal]", "0"}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"c", "=", " ", 
      RowBox[{"Simplify", "[", 
       FractionBox["c", 
        RowBox[{"I", " ", 
         RowBox[{"Pi", "^", "2"}], " ", 
         RowBox[{"gs", "^", "2"}], " ", 
         RowBox[{"yDM", "^", "2"}]}]], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"su3prods", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"allTerms", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{"allPairs", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", "c"}], "}"}]}], "]"}], ";"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "su3prods", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", 
      RowBox[{"Length", "[", "allTerms", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", 
      RowBox[{"Length", "[", "allPairs", "]"}]}], "}"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.902822824691904*^9, 3.9028228628245907`*^9}, {
   3.902822957371319*^9, 3.902823022783737*^9}, {3.902823053816306*^9, 
   3.902823059806828*^9}, {3.902823144442112*^9, 3.902823148135298*^9}, {
   3.902825304272408*^9, 3.902825312750387*^9}, {3.902825352343452*^9, 
   3.902825366383319*^9}, {3.9028255362452183`*^9, 3.902825545751194*^9}, {
   3.902825578956627*^9, 3.9028255834493637`*^9}, {3.902825616382675*^9, 
   3.902825677762536*^9}, {3.902825716230172*^9, 3.902825718031179*^9}, {
   3.902825764199587*^9, 3.9028257854608803`*^9}, {3.902825874421525*^9, 
   3.9028259261874657`*^9}, {3.902825972548339*^9, 3.902826045105678*^9}, {
   3.9028262249419193`*^9, 3.90282623667811*^9}, {3.902826305478527*^9, 
   3.9028263082885847`*^9}, {3.902826356005003*^9, 3.902826366931057*^9}, {
   3.902827051257708*^9, 3.902827120837903*^9}, {3.902827260848095*^9, 
   3.902827286876574*^9}, {3.902827420382741*^9, 3.902827422032021*^9}, 
   3.904164719370467*^9},
 CellLabel->"In[34]:=",ExpressionUUID->"6667fac9-e0da-42fe-b6c0-7735bb9a6130"],

Cell[CellGroupData[{

Cell["Check that all terms have been correctly split", "Subsubsection",
 CellChangeTimes->{{3.902827486105904*^9, 
  3.902827503262466*^9}},ExpressionUUID->"b9f77ccd-a0e1-4e16-99f6-\
92ac0851ba00"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampTot", " ", "=", " ", 
   RowBox[{"I", " ", 
    RowBox[{"Pi", "^", "2"}], " ", 
    RowBox[{"gs", "^", "2"}], " ", 
    RowBox[{"yDM", "^", "2"}], " ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "1"}], "]"}], "]"}], " ", 
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "2"}], "]"}], "]"}], " ", 
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "3"}], "]"}], "]"}], 
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "4"}], "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "su3Terms", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"ampTot", "-", "ampEsimp3"}], "]"}]}], "Input",
 CellChangeTimes->{{3.9028275071397533`*^9, 3.902827606277204*^9}},
 CellLabel->"In[36]:=",ExpressionUUID->"c29fc955-e362-4a44-b536-a921c6c6c6ed"],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827583731225*^9, 3.902827607943882*^9}, 
   3.902830511145458*^9, 3.9028352206331587`*^9, 3.902835429530231*^9, 
   3.902840163711895*^9, 3.902846467572225*^9, 3.902846881105599*^9, 
   3.9029047963437567`*^9, 3.90290552536092*^9, 3.902905722902964*^9, 
   3.902919809293633*^9, 3.9041233646084223`*^9, 3.904123591287455*^9, {
   3.904164726810244*^9, 3.904164745289282*^9}, 3.9041664472381477`*^9, 
   3.904299679938916*^9, 3.904409380243981*^9, 3.904756006347674*^9, 
   3.9047560398073673`*^9},
 CellLabel->"Out[37]=",ExpressionUUID->"da59030f-1e0d-41c2-a20f-f2a7e0b046eb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["su3Terms"], "Input",
 CellChangeTimes->{{3.90284088211617*^9, 3.9028408839498787`*^9}},
 CellLabel->"In[38]:=",ExpressionUUID->"bafdad2f-3e2a-4990-8ece-22a229f0b9d3"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{"-", 
       RowBox[{"C1", "(", 
        RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{"C1", "(", 
       RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{"-", 
       RowBox[{"C1", "(", 
        RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}]},
     {
      SubscriptBox[
       RowBox[{"(", 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc4",
           TraditionalForm],
          TraditionalForm]], 
        SuperscriptBox["T", 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], ")"}], 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm]}]], 
      RowBox[{"C1", "(", 
       RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.902840884593779*^9, 3.902846468030122*^9, 
  3.9028468815229073`*^9, 3.9029047966349688`*^9, 3.902905525625834*^9, 
  3.902905723160307*^9, 3.902919809550342*^9, 3.904123364868306*^9, 
  3.904123591299981*^9, 3.904166448404338*^9, 3.904299680998035*^9, 
  3.9044093802565527`*^9, 3.904756006359314*^9, 3.904756039833166*^9},
 CellLabel->"Out[38]=",ExpressionUUID->"66d06954-5b80-4d8b-94f5-0653fae5bccb"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Construct ALOHA terms", "Section",
 CellChangeTimes->{{3.90282439728789*^9, 
  3.9028244054044323`*^9}},ExpressionUUID->"0288061f-ff05-4a23-bde3-\
e56c7cf16ff7"],

Cell["\<\

UFO conventions:
ProjM -> Gamma[7], ProjP -> Gamma[6]
particles = [ P.t__tilde __, P.t, P.g, P.g ] ] = [ p1=P(*,1),  p2=P(*,2), p3(\
\[Mu])=P(*,3), p4(\[Nu])=P(*,4) ] (all momenta are incoming)
 c1 = Anti-Top color = \[OpenCurlyDoubleQuote]1\[CloseCurlyDoubleQuote], c2 = \
Top color = \[OpenCurlyDoubleQuote]2\[CloseCurlyDoubleQuote], c3 = Gluon \
color = \[OpenCurlyDoubleQuote]3\[CloseCurlyDoubleQuote], c4 = Gluon color = \
\[OpenCurlyDoubleQuote]4\[CloseCurlyDoubleQuote]
spins = [2, 2, 3], 
structure = \[OpenCurlyQuote] P (4, 3)*Gamma (3, 2, -1)*ProjP (-1, 1) - P (3, \
4)*Gamma (4, 2, -1)*ProjP (-1, 1)\[CloseCurlyQuote])

s = (p1+p2)^2 =  P(-1,1)**2 + P(-1,2)**2 + 2*P(-1,1)*P(-1,2)
(The indices of the product of gamma matrices are always M(2,1), since the \
second (outgoing) top is contract to the left and the first (incoming) to the \
right)
\
\>", "Text",
 CellChangeTimes->{{3.9028244127388268`*^9, 3.9028244572997704`*^9}, {
  3.9028245494877653`*^9, 3.902824565289369*^9}, {3.902825135407077*^9, 
  3.902825165986191*^9}, {3.9028252069681892`*^9, 3.902825209358458*^9}, {
  3.902827635902626*^9, 3.9028276404204607`*^9}, {3.902828503425274*^9, 
  3.902828598854724*^9}, {3.902828648303794*^9, 3.902828650321616*^9}, {
  3.902841286902041*^9, 3.902841414274*^9}, {3.904166585843905*^9, 
  3.904166619248148*^9}, {3.904227429698016*^9, 3.9042274297949257`*^9}, {
  3.9042997034946337`*^9, 
  3.904299706569399*^9}},ExpressionUUID->"584ea9ea-e911-4c3a-92bc-\
eb442ac062c0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"su3Matrices", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"tensors", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"momenta", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "3"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.902827641837318*^9, 3.902827750598144*^9}, {
  3.902828211213133*^9, 3.902828248891708*^9}},
 CellLabel->"In[39]:=",ExpressionUUID->"1c3ee2c7-f50c-4193-ad4e-8554f6e2bb99"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]], ",", 
    SubscriptBox[
     RowBox[{"(", 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc4",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["T", 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], ")"}], 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}]]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.904123364889701*^9, 3.904123591314*^9, 3.904166626164756*^9, 
   3.9042997181978827`*^9, 3.904409380270261*^9, 3.904756006371903*^9, 
   3.904756039856537*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"8a5d3512-6edb-4d75-abd4-dc907c9ccbe1"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.904123364889701*^9, 3.904123591314*^9, 3.904166626164756*^9, 
   3.9042997181978827`*^9, 3.904409380270261*^9, 3.904756006371903*^9, 
   3.9047560398607187`*^9},
 CellLabel->"Out[40]=",ExpressionUUID->"b01d514b-d4a9-4032-8f61-17ba3bf14f19"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   SuperscriptBox["g", 
    RowBox[{
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Nu]",
       TraditionalForm],
      TraditionalForm]}]], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.904123364889701*^9, 3.904123591314*^9, 3.904166626164756*^9, 
   3.9042997181978827`*^9, 3.904409380270261*^9, 3.904756006371903*^9, 
   3.9047560398643436`*^9},
 CellLabel->"Out[41]=",ExpressionUUID->"44f5ffe0-60aa-4d14-8cca-8689d3085dd6"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"su3Replacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"SUNTF", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"SUNIndex", "[", "cc3", "]"}], ",", 
          RowBox[{"SUNIndex", "[", "cc4", "]"}]}], "}"}], ",", 
        RowBox[{"SUNFIndex", "[", "c2", "]"}], ",", 
        RowBox[{"SUNFIndex", "[", "c1", "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<T(3,2,-1)*T(4,-1,1)\>\""}], ",", "\[IndentingNewLine]", 
     "                                   ", 
     RowBox[{
      RowBox[{"SUNTF", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"SUNIndex", "[", "cc4", "]"}], ",", 
          RowBox[{"SUNIndex", "[", "cc3", "]"}]}], "}"}], ",", 
        RowBox[{"SUNFIndex", "[", "c2", "]"}], ",", 
        RowBox[{"SUNFIndex", "[", "c1", "]"}]}], "]"}], "\[Rule]", "  ", 
      "\"\<T(4,2,-1)*T(3,-1,1)\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tensorReplacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p1", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1)\>\""}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p2", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1)\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"momentaReplacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Pair", "[", 
      RowBox[{
       RowBox[{"LorentzIndex", "[", 
        RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
       RowBox[{"LorentzIndex", "[", 
        RowBox[{"\[Nu]", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
     "\"\<Metric(3,4)*\>\""}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQAWIQPevDpUfcIm8do+q2PQbR5s7v+XmAdA1jtSCIltFQ
kgLRUr/SVUB0Z+dlTRD9qtxaB0RniQoagegjmzcag2j+ujBLEP36k5YLiHae
6xgMor/uKQ8F0buPhkSDaKPSk7Eg+sXim7N5gbRNdcpOEH32e8pVEL1lnew1
ED2pZdpdEP32mtkDEK0n9YiTD0gL7f/CBaJfhu7kB9G7jvuIg+ispxwc/EC6
THoVmJbgLOUD0Wlv7vODaK8whyIQrdt5HUxH2eTHzhZ76xgU2JgGohmnny4A
0UYvqgpBtMqygjoQ/eBEWQOIfj5TKfIOkLZb/zoKRAMAz2SGQQ==
  "],
 CellLabel->"In[42]:=",ExpressionUUID->"d20abd78-55f9-430b-9c12-63580b4b9ec7"],

Cell[CellGroupData[{

Cell["Print each Lorentz structure as a distinct Lorentz vertex :", \
"Subsection",
 CellChangeTimes->{{3.902828063886915*^9, 
  3.902828087467894*^9}},ExpressionUUID->"e7e52d27-9d5c-4972-bad1-\
aaad08f1a3ed"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"vertexCounter", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Print", "[", "\"\<------------------\>\"", "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Print", "[", 
     RowBox[{
      RowBox[{"su3Matrices", "[", 
       RowBox[{"[", "n", "]"}], "]"}], "/.", "su3Replacements"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
      "desired", " ", "SU3", " ", "matrix"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"terms0", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
         RowBox[{"su3Matrices", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
       "desired", " ", "gamma", " ", "structure"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"terms1", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"terms0", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vertexCounter", " ", "+=", " ", "1"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<FFVVNP\>\"", ",", 
          RowBox[{"ToString", "[", "vertexCounter", "]"}]}], "]"}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Compute", " ", "the", " ", "ALOHA", " ", "term", " ", "for", " ", 
         "this", " ", 
         RowBox[{"tensor", "/", "gamma"}], " ", "structure", " ", "and", " ", 
         "color", " ", "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"terms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"StringJoin", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"StringJoin", "[", 
              RowBox[{
               RowBox[{"Cases2", "[", 
                RowBox[{
                 RowBox[{"terms1", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "3"}], "]"}], "]"}], ",", "Pair"}], 
                "]"}], "/.", "momentaReplacements"}], "]"}], ")"}], ",", 
            "\"\<(\>\"", ",", 
            RowBox[{"ToString", "[", 
             RowBox[{"FortranForm", "[", 
              RowBox[{"terms1", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", 
            "\"\<) +   \>\""}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{
             RowBox[{"Length", "[", "terms1", "]"}], "-", "1"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"terms", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"StringJoin", "[", 
             RowBox[{
              RowBox[{"Cases2", "[", 
               RowBox[{
                RowBox[{"terms1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Length", "[", "terms1", "]"}], ",", "3"}], "]"}], 
                 "]"}], ",", "Pair"}], "]"}], "/.", "momentaReplacements"}], 
             "]"}], ")"}], ",", "\"\<(\>\"", ",", 
           RowBox[{"ToString", "[", 
            RowBox[{"FortranForm", "[", 
             RowBox[{"terms1", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Length", "[", "terms1", "]"}], ",", "4"}], "]"}], 
              "]"}], "]"}], "]"}], ",", "\"\<)\>\""}], "]"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"terms", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<     \>\"", ",", 
              RowBox[{"terms", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"Length", "[", "terms", "]"}]}], "}"}]}], "]"}]}], 
         ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", "terms", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<( \>\"", ",", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          ",", "\"\< )*(  \>\"", ",", "fullStr", ",", "\"\<  )\>\""}], 
         "]"}]}], ";", "\[IndentingNewLine]", " ", 
       RowBox[{"Print", "[", "fullStr", "]"}], ";"}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "1", ",", 
        RowBox[{"Length", "[", "tensors", "]"}]}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", 
     RowBox[{"Length", "[", "su3Matrices", "]"}]}], "}"}]}], "]"}]}], "Input",\

 CellChangeTimes->{{3.902828093317595*^9, 3.9028281126052637`*^9}, {
   3.9028281968884373`*^9, 3.902828199326187*^9}, {3.902828744529489*^9, 
   3.902828939147223*^9}, {3.902829090986458*^9, 3.902829092638308*^9}, {
   3.902829270379777*^9, 3.90282979674347*^9}, {3.902829841530156*^9, 
   3.9028298955092583`*^9}, {3.9028299256299686`*^9, 3.902829927340288*^9}, {
   3.902829981956849*^9, 3.902829994283146*^9}, {3.902830056501021*^9, 
   3.9028300638645973`*^9}, {3.902830528281701*^9, 3.902830544917835*^9}, {
   3.902830973149664*^9, 3.902831070517206*^9}, {3.902831522665127*^9, 
   3.90283155938997*^9}, {3.9028355023456907`*^9, 3.902835502577969*^9}, 
   3.902840686673543*^9, {3.902841074795191*^9, 3.9028411555228662`*^9}, {
   3.902919672901024*^9, 3.902919674692136*^9}, 3.904123658270709*^9, {
   3.904166942285224*^9, 3.9041669429381247`*^9}, {3.904166973900976*^9, 
   3.9041669772660227`*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"86e95e48-266c-441e-90e6-a05af80534d2"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox["\<\"------------------\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.904756039909534*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"b20e3c9f-cd91-48c4-beaa-e64bc80375b0"],

Cell[BoxData[
 FormBox["\<\"T(3,2,-1)*T(4,-1,1)\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.9047560399128847`*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"3d178718-529d-40b1-b40d-c13ee47ce17a"],

Cell[BoxData[
 FormBox["\<\"FFVVNP11\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.904756039916667*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"e4af6ead-01f8-45bc-b519-d8fc1ddc8f67"],

Cell[BoxData[
 FormBox["\<\"( P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1) )*(  \
Metric(3,4)*(-C1(p1sq,s,p2sq))  )\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.9047560399183493`*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"a7685e9a-958a-466b-8aad-5db9ad20c7ec"],

Cell[BoxData[
 FormBox["\<\"FFVVNP12\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.9047560399202538`*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"debc681c-fda2-41cd-9b90-2cbb3d7ba26e"],

Cell[BoxData[
 FormBox["\<\"( P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1) )*(  \
Metric(3,4)*(C1(p1sq,s,p2sq))  )\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.9047560399239798`*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"02492df0-7b42-4412-876e-3e1e39514758"],

Cell[BoxData[
 FormBox["\<\"------------------\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.9047560399259567`*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"e946d95a-6460-45f1-a733-ad1ba61b4254"],

Cell[BoxData[
 FormBox["\<\"T(4,2,-1)*T(3,-1,1)\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.9047560399277573`*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"e8eb569a-6c37-4e10-b01a-d75eb7e3dc80"],

Cell[BoxData[
 FormBox["\<\"FFVVNP13\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.904756039929549*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"b855f135-1eaf-464e-98d3-d89c95da852a"],

Cell[BoxData[
 FormBox["\<\"( P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1) )*(  \
Metric(3,4)*(-C1(p1sq,s,p2sq))  )\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.9047560399313374`*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"aee0da6f-8873-42e5-a02a-cc8db0bf45e8"],

Cell[BoxData[
 FormBox["\<\"FFVVNP14\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.904756039933219*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"7abf4210-3e50-4e5a-81ea-c68bceae07ca"],

Cell[BoxData[
 FormBox["\<\"( P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1) )*(  \
Metric(3,4)*(C1(p1sq,s,p2sq))  )\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, 3.904123591335959*^9, 3.904123668871098*^9, {
   3.904166925384452*^9, 3.904166944228788*^9}, 3.9041669775451937`*^9, 
   3.9042997474812803`*^9, 3.904409380292452*^9, 3.904756006392144*^9, 
   3.904756039935001*^9},
 CellLabel->
  "During evaluation of \
In[45]:=",ExpressionUUID->"21c4433d-ef79-4593-b131-4d4ec5c61926"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Write to File", "Subsubsection",
 CellChangeTimes->{{3.9029054743452797`*^9, 
  3.902905480324123*^9}},ExpressionUUID->"a4e85eeb-c355-4273-af04-\
fa5627f43da6"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "fileName", "=", 
   "\"\<../../Models/Top-FormFactorsOneLoop-UFO/lffvvnpTri.txt\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"outF", " ", "=", " ", 
   RowBox[{"OpenWrite", "[", 
    RowBox[{"fileName", ",", 
     RowBox[{"PageWidth", "\[Rule]", "Infinity"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vertexCounter", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Write", "[", 
     RowBox[{"outF", ",", "\"\<------------------\>\""}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Write", "[", 
     RowBox[{"outF", ",", 
      RowBox[{
       RowBox[{"su3Matrices", "[", 
        RowBox[{"[", "n", "]"}], "]"}], "/.", "su3Replacements"}]}], "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
      "desired", " ", "SU3", " ", "matrix"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"terms0", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
         RowBox[{"su3Matrices", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
       "desired", " ", "gamma", " ", "structure"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"terms1", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"terms0", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vertexCounter", " ", "+=", " ", "1"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Write", "[", 
        RowBox[{"outF", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{"\"\<FFVVNP\>\"", ",", 
           RowBox[{"ToString", "[", "vertexCounter", "]"}]}], "]"}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Write", "[", 
          RowBox[{"outF", ",", 
           RowBox[{
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}]}], 
          "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Compute", " ", "the", " ", "ALOHA", " ", "term", " ", "for", " ", 
         "this", " ", 
         RowBox[{"tensor", "/", "gamma"}], " ", "structure", " ", "and", " ", 
         "color", " ", "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"terms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"StringJoin", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"StringJoin", "[", 
              RowBox[{
               RowBox[{"Cases2", "[", 
                RowBox[{
                 RowBox[{"terms1", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "3"}], "]"}], "]"}], ",", "Pair"}], 
                "]"}], "/.", "momentaReplacements"}], "]"}], ")"}], ",", 
            "\"\<(\>\"", ",", 
            RowBox[{"ToString", "[", 
             RowBox[{"FortranForm", "[", 
              RowBox[{"terms1", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", 
            "\"\<) + \>\""}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{
             RowBox[{"Length", "[", "terms1", "]"}], "-", "1"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"terms", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"StringJoin", "[", 
             RowBox[{
              RowBox[{"Cases2", "[", 
               RowBox[{
                RowBox[{"terms1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Length", "[", "terms1", "]"}], ",", "3"}], "]"}], 
                 "]"}], ",", "Pair"}], "]"}], "/.", "momentaReplacements"}], 
             "]"}], ")"}], ",", "\"\<(\>\"", ",", 
           RowBox[{"ToString", "[", 
            RowBox[{"FortranForm", "[", 
             RowBox[{"terms1", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Length", "[", "terms1", "]"}], ",", "4"}], "]"}], 
              "]"}], "]"}], "]"}], ",", "\"\<)\>\""}], "]"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"terms", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<     \>\"", ",", 
              RowBox[{"terms", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"Length", "[", "terms", "]"}]}], "}"}]}], "]"}]}], 
         ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", "terms", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<( \>\"", ",", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          ",", "\"\< )*( \>\"", ",", "fullStr", ",", "\"\< )\>\""}], "]"}]}], 
       ";", "\[IndentingNewLine]", " ", 
       RowBox[{"Write", "[", 
        RowBox[{"outF", ",", "fullStr"}], "]"}], ";"}], "\[IndentingNewLine]",
       ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "1", ",", 
        RowBox[{"Length", "[", "tensors", "]"}]}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", 
     RowBox[{"Length", "[", "su3Matrices", "]"}]}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Close", "[", "outF", "]"}]}], "Input",
 CellChangeTimes->{{3.902904975963681*^9, 3.902905011761466*^9}, {
   3.902905195579987*^9, 3.9029052313253937`*^9}, {3.90290529632375*^9, 
   3.902905317000214*^9}, {3.902905380118112*^9, 3.902905383373775*^9}, {
   3.902905766470792*^9, 3.902905767471977*^9}, {3.902905814751055*^9, 
   3.902905820196905*^9}, {3.902905852613607*^9, 3.902905877256078*^9}, {
   3.9029059190882187`*^9, 3.9029059212503157`*^9}, 3.90290602753016*^9, {
   3.90290605777884*^9, 3.902906078386305*^9}, {3.902906110034658*^9, 
   3.902906129721521*^9}, {3.902906208462678*^9, 3.9029062942783337`*^9}, 
   3.90291983600139*^9, {3.902920580461288*^9, 3.902920589311644*^9}, {
   3.904123541163713*^9, 3.904123567032918*^9}, 3.9041236646246433`*^9, {
   3.904124075602854*^9, 3.9041240771920547`*^9}, {3.9041670116977167`*^9, 
   3.904167019447686*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"b8527aad-bc30-4aa6-89ce-f0e06131fd0b"],

Cell[BoxData[
 FormBox["\<\"../../Models/Top-FormFactorsOneLoop-UFO/lffvvnpTri.txt\"\>", 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902905888150086*^9, 3.902905899760147*^9}, {
   3.902905931885778*^9, 3.902905943532175*^9}, 3.90290603338354*^9, {
   3.9029060680064087`*^9, 3.902906087283484*^9}, 3.902906130711829*^9, {
   3.902906245800063*^9, 3.9029062998300543`*^9}, 3.90291980961523*^9, 
   3.902919840846828*^9, 3.902920590211837*^9, 3.904123364930271*^9, 
   3.904123542651031*^9, 3.904123591354978*^9, 3.904123676865932*^9, 
   3.9041670307571907`*^9, 3.904299756652336*^9, 3.904409380311927*^9, 
   3.904756006419713*^9, 3.90475603997626*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"9bac9631-f79a-4c7b-b6fa-5b78f3384bc2"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1440, 762},
WindowMargins->{{0, Automatic}, {0, Automatic}},
TaggingRules->{
 "WelcomeScreenSettings" -> {"FEStarting" -> False}, "TryRealOnly" -> False},
Magnification:>1.2 Inherited,
FrontEndVersion->"12.1 for Linux x86 (64-bit) (March 18, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"2d21a076-8547-480a-9e3d-9da7f5f522a0"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 201, 3, 35, "Input",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],
Cell[CellGroupData[{
Cell[784, 27, 630, 12, 60, "Input",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],
Cell[CellGroupData[{
Cell[1439, 43, 3575, 83, 35, "Print",ExpressionUUID->"8ee0dfdf-0171-4fbb-87c1-d5ff6a32e014"],
Cell[5017, 128, 2321, 46, 35, "Print",ExpressionUUID->"0e1e91aa-6473-46a9-ba66-a8efb686524b"],
Cell[7341, 176, 2327, 49, 35, "Print",ExpressionUUID->"e022d0da-227f-4c60-a802-be8274193771"],
Cell[9671, 227, 1479, 24, 32, "Print",ExpressionUUID->"9b4fbed7-56d4-4df2-80e8-391b03baeff9"],
Cell[11153, 253, 1480, 24, 32, "Print",ExpressionUUID->"015332fc-d7cf-4c1d-ac9b-77cb398e44eb"],
Cell[12636, 279, 1467, 24, 32, "Print",ExpressionUUID->"784c19a7-cefc-4685-85c4-7b56b660be44"],
Cell[14106, 305, 3130, 73, 35, "Print",ExpressionUUID->"c3012f65-2952-492d-b559-2bc9e0883272"],
Cell[17239, 380, 1416, 23, 32, "Print",ExpressionUUID->"209926ea-c8ef-4d71-822f-2906c7941677"],
Cell[18658, 405, 1451, 24, 32, "Print",ExpressionUUID->"727f56bf-b9e7-4adc-a68b-ae6cf97dfe8a"],
Cell[20112, 431, 2426, 53, 35, "Print",ExpressionUUID->"14aa2fe7-3b92-402e-9c06-347c91bc3a04"],
Cell[22541, 486, 2353, 49, 35, "Print",ExpressionUUID->"eb74b13f-cc09-45bb-85ac-bf3933c207ff"],
Cell[24897, 537, 1519, 25, 32, "Print",ExpressionUUID->"6eb0aca5-f318-462a-8e3a-4ab153455e27"],
Cell[26419, 564, 1472, 24, 32, "Print",ExpressionUUID->"ad73b9dd-a65f-4ba1-a5fd-6fb29423665c"],
Cell[27894, 590, 2179, 46, 35, "Print",ExpressionUUID->"cb88bd13-288e-4953-b570-291ed94bd310"],
Cell[30076, 638, 2199, 46, 35, "Print",ExpressionUUID->"8f289151-22b2-4714-a8a9-cc0762c6b0a3"]
}, Open  ]]
}, Open  ]],
Cell[32302, 688, 267, 5, 35, "Input",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],
Cell[32572, 695, 2619, 55, 182, "Input",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],
Cell[CellGroupData[{
Cell[35216, 754, 366, 6, 80, "Section",ExpressionUUID->"ef4b8bcd-035e-426e-b53d-5b41ce129840"],
Cell[35585, 762, 541, 11, 124, "Text",ExpressionUUID->"fc6f7e0a-ab58-42a2-b5c6-8f14153c7de4"],
Cell[CellGroupData[{
Cell[36151, 777, 2802, 61, 109, "Input",ExpressionUUID->"43ad331d-9cbd-485d-8a8d-694b987bd8b5"],
Cell[CellGroupData[{
Cell[38978, 842, 879, 17, 27, "Print",ExpressionUUID->"b654963d-9881-4e96-af65-68a9225cabf6"],
Cell[39860, 861, 939, 18, 27, "Print",ExpressionUUID->"b7478cd5-724c-418c-8380-467fdae753b3"],
Cell[40802, 881, 811, 16, 26, "Print",ExpressionUUID->"444b148c-c68c-4a8d-b670-a808a059768b"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[41662, 903, 1117, 24, 60, "Input",ExpressionUUID->"958d43ee-c814-40c5-a0c8-b0af4f5fa682"],
Cell[42782, 929, 13256, 279, 189, "Print",ExpressionUUID->"0d1988e7-a0ba-46cf-9463-dc6dc99892df"]
}, Open  ]],
Cell[CellGroupData[{
Cell[56075, 1213, 3712, 76, 137, "Input",ExpressionUUID->"5a52141a-7dc9-4e9b-bc39-5d5191cafd6e"],
Cell[59790, 1291, 1272, 23, 27, "Print",ExpressionUUID->"bcc40bbc-15a4-48d0-a099-3032ad545b8d"],
Cell[61065, 1316, 5020, 154, 67, "Output",ExpressionUUID->"f6cbc6c1-dba4-4710-8491-dad004849999"]
}, Open  ]],
Cell[66100, 1473, 1040, 19, 35, "Input",ExpressionUUID->"06a8e269-5cb2-4b62-a697-d170ac6d7257"],
Cell[67143, 1494, 696, 16, 35, "Input",ExpressionUUID->"43441d51-a20d-450c-b509-d29ed105f933"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67876, 1515, 209, 4, 80, "Section",ExpressionUUID->"c66a4f73-c531-4186-8bab-f6d375288a38"],
Cell[68088, 1521, 353, 7, 97, "Text",ExpressionUUID->"92744356-ec81-401d-86ad-a5b3268efc79"],
Cell[68444, 1530, 671, 12, 60, "Input",ExpressionUUID->"21c28cc9-78cc-493a-8e9d-e3db3d3d66f0"],
Cell[69118, 1544, 929, 18, 35, "Input",ExpressionUUID->"bc762fab-86b5-4590-998b-422598353fb3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[70084, 1567, 164, 3, 80, "Section",ExpressionUUID->"cdcb0115-437e-4cb6-9540-49966dff4f33"],
Cell[CellGroupData[{
Cell[70273, 1574, 946, 24, 84, "Input",ExpressionUUID->"036cb773-85c6-463d-b6b4-1cb4bfa0189a"],
Cell[71222, 1600, 1538, 34, 40, "Output",ExpressionUUID->"9e8c9cf1-5741-408c-bc0d-179733c8f916"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72797, 1639, 233, 4, 64, "Subsection",ExpressionUUID->"c3cbb81b-ced9-4d1a-8e38-424c5a10dcd4"],
Cell[73033, 1645, 788, 21, 84, "Input",ExpressionUUID->"40d69480-fea2-48ed-8210-d42af0882d2e"],
Cell[73824, 1668, 738, 17, 35, "Input",ExpressionUUID->"466ff6ea-6a79-4a28-bcc2-85e8c71f8c14"],
Cell[CellGroupData[{
Cell[74587, 1689, 254, 5, 35, "Input",ExpressionUUID->"8b8d7559-7999-4066-94dd-45358510c7b7"],
Cell[74844, 1696, 2404, 89, 66, "Output",ExpressionUUID->"a643167f-a714-4c97-9ed1-f3a37b13d378"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77285, 1790, 1263, 34, 206, "Input",ExpressionUUID->"f84f2c1d-eb24-4f83-a596-3550ffed447a"],
Cell[78551, 1826, 961, 30, 41, "Output",ExpressionUUID->"98130c3e-74e7-4ab1-830a-37e577821160"],
Cell[79515, 1858, 578, 17, 38, "Output",ExpressionUUID->"24eeb538-90c0-4ad1-b2a0-25fbb16971d4"],
Cell[80096, 1877, 1341, 50, 42, "Output",ExpressionUUID->"00f3324e-b39a-4c5e-8882-5bb1a27dc41e"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[81498, 1934, 173, 3, 80, "Section",ExpressionUUID->"130c3f92-52d7-4153-aa44-54f806159158"],
Cell[81674, 1939, 3060, 70, 339, "Input",ExpressionUUID->"6667fac9-e0da-42fe-b6c0-7735bb9a6130"],
Cell[CellGroupData[{
Cell[84759, 2013, 197, 3, 54, "Subsubsection",ExpressionUUID->"b9f77ccd-a0e1-4e16-99f6-92ac0851ba00"],
Cell[CellGroupData[{
Cell[84981, 2020, 1072, 29, 109, "Input",ExpressionUUID->"c29fc955-e362-4a44-b536-a921c6c6c6ed"],
Cell[86056, 2051, 658, 10, 37, "Output",ExpressionUUID->"da59030f-1e0d-41c2-a20f-f2a7e0b046eb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[86751, 2066, 180, 2, 35, "Input",ExpressionUUID->"bafdad2f-3e2a-4990-8ece-22a229f0b9d3"],
Cell[86934, 2070, 5547, 199, 121, "Output",ExpressionUUID->"66d06954-5b80-4d8b-94f5-0653fae5bccb"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[92542, 2276, 167, 3, 80, "Section",ExpressionUUID->"0288061f-ff05-4a23-bde3-e56c7cf16ff7"],
Cell[92712, 2281, 1499, 29, 456, "Text",ExpressionUUID->"584ea9ea-e911-4c3a-92bc-eb442ac062c0"],
Cell[CellGroupData[{
Cell[94236, 2314, 979, 27, 84, "Input",ExpressionUUID->"1c3ee2c7-f50c-4193-ad4e-8554f6e2bb99"],
Cell[95218, 2343, 1651, 54, 42, "Output",ExpressionUUID->"8a5d3512-6edb-4d75-abd4-dc907c9ccbe1"],
Cell[96872, 2399, 1273, 34, 41, "Output",ExpressionUUID->"b01d514b-d4a9-4032-8f61-17ba3bf14f19"],
Cell[98148, 2435, 890, 21, 38, "Output",ExpressionUUID->"44f5ffe0-60aa-4d14-8cca-8689d3085dd6"]
}, Open  ]],
Cell[99053, 2459, 2592, 68, 328, "Input",ExpressionUUID->"d20abd78-55f9-430b-9c12-63580b4b9ec7"],
Cell[CellGroupData[{
Cell[101670, 2531, 209, 4, 64, "Subsection",ExpressionUUID->"e7e52d27-9d5c-4972-bad1-aaad08f1a3ed"],
Cell[CellGroupData[{
Cell[101904, 2539, 6816, 162, 864, "Input",ExpressionUUID->"86e95e48-266c-441e-90e6-a05af80534d2"],
Cell[CellGroupData[{
Cell[108745, 2705, 735, 13, 26, "Print",ExpressionUUID->"b20e3c9f-cd91-48c4-beaa-e64bc80375b0"],
Cell[109483, 2720, 738, 13, 26, "Print",ExpressionUUID->"3d178718-529d-40b1-b40d-c13ee47ce17a"],
Cell[110224, 2735, 725, 13, 26, "Print",ExpressionUUID->"e4af6ead-01f8-45bc-b519-d8fc1ddc8f67"],
Cell[110952, 2750, 796, 14, 27, "Print",ExpressionUUID->"a7685e9a-958a-466b-8aad-5db9ad20c7ec"],
Cell[111751, 2766, 727, 13, 26, "Print",ExpressionUUID->"debc681c-fda2-41cd-9b90-2cbb3d7ba26e"],
Cell[112481, 2781, 795, 14, 27, "Print",ExpressionUUID->"02492df0-7b42-4412-876e-3e1e39514758"],
Cell[113279, 2797, 737, 13, 26, "Print",ExpressionUUID->"e946d95a-6460-45f1-a733-ad1ba61b4254"],
Cell[114019, 2812, 738, 13, 26, "Print",ExpressionUUID->"e8eb569a-6c37-4e10-b01a-d75eb7e3dc80"],
Cell[114760, 2827, 725, 13, 26, "Print",ExpressionUUID->"b855f135-1eaf-464e-98d3-d89c95da852a"],
Cell[115488, 2842, 796, 14, 27, "Print",ExpressionUUID->"aee0da6f-8873-42e5-a02a-cc8db0bf45e8"],
Cell[116287, 2858, 725, 13, 26, "Print",ExpressionUUID->"7abf4210-3e50-4e5a-81ea-c68bceae07ca"],
Cell[117015, 2873, 793, 14, 27, "Print",ExpressionUUID->"21c4433d-ef79-4593-b131-4d4ec5c61926"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[117857, 2893, 166, 3, 54, "Subsubsection",ExpressionUUID->"a4e85eeb-c355-4273-af04-fa5627f43da6"],
Cell[CellGroupData[{
Cell[118048, 2900, 7304, 178, 962, "Input",ExpressionUUID->"b8527aad-bc30-4aa6-89ce-f0e06131fd0b"],
Cell[125355, 3080, 742, 11, 90, "Output",ExpressionUUID->"9bac9631-f79a-4c7b-b6fa-5b78f3384bc2"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

