(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    238941,       6185]
NotebookOptionsPosition[    226071,       5976]
NotebookOutlinePosition[    226580,       5995]
CellTagsIndexPosition[    226537,       5992]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Quit", "[", "]"}]], "Input",
 CellChangeTimes->{{3.8890168084279547`*^9, 3.8890168092899714`*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$LoadAddOns", "=", 
   RowBox[{"{", 
    RowBox[{"\"\<FeynArts\>\"", ",", "\"\<FeynHelpers\>\""}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Needs", "[", "\"\<FeynCalc`\>\"", "]"}]}], "Input",
 CellChangeTimes->{{3.8890168234903173`*^9, 3.889016854234688*^9}, {
  3.889017044991746*^9, 3.889017045165141*^9}, {3.889017781387946*^9, 
  3.889017814440536*^9}, {3.88901786533222*^9, 3.889017866119855*^9}, {
  3.889025236954578*^9, 3.889025237167118*^9}, {3.8895928715731487`*^9, 
  3.8895928871625967`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynCalc \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"9.3.1 (stable version). For help, use the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"documentation", " ", "center"}],
       BaseStyle->"Link",
       ButtonData:>"paclet:FeynCalc/",
       ButtonNote->"paclet:FeynCalc/"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\", check out the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["wiki",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/wiki"], None},
       ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" or visit the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"forum", "."}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/discussions"], None},
       ButtonNote->"http://www.feyncalc.org/forum/"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynCalc ", "Text", Bold], 
    Style["9.3.1 (stable version). For help, use the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "documentation center", BaseStyle -> "Link", ButtonData :> 
       "paclet:FeynCalc/", ButtonNote -> "paclet:FeynCalc/"]], "Text"], 
    Style[", check out the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["wiki", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/wiki"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> 
       "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
    Style[" or visit the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["forum.", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/discussions"], None}, 
       BaseStyle -> "Hyperlink", ButtonNote -> 
       "http://www.feyncalc.org/forum/"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.909828554041623*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"ba13fb7a-731b-476b-94de-1a4da1bc10d3"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"To save your and our time, please check our \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["FAQ",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None},
       ButtonNote->"https://github.com/FeynCalc/feyncalc/wiki"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" for answers to some common FeynCalc questions.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["To save your and our time, please check our ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["FAQ", ButtonData :> {
         URL["https://github.com/FeynCalc/feyncalc/wiki/FAQ"], None}, 
       BaseStyle -> "Hyperlink", ButtonNote -> 
       "https://github.com/FeynCalc/feyncalc/wiki"]], "Text"], 
    Style[" for answers to some common FeynCalc questions.", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.9098285540433807`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"3bfd9bb5-bbb6-4623-9943-c2ede533b4da"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"See also the supplied \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"examples", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" If you use FeynCalc in your research, please cite\"\>", 
     "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["See also the supplied ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{FeynCalc`$FeynCalcDirectory, "Examples"}]], Evaluator -> 
       Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" If you use FeynCalc in your research, please cite", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.9098285540447483`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"2e6767e7-85e5-420e-9ea2-3bf5d1627763"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 256 (2020) 107478, arXiv:2001.04407.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.909828554045679*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"568cff03-c742-4c39-8de1-321fba5b819c"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, R. Mertig and F. Orellana, \
Comput.Phys.Commun. 207 (2016) 432-444, arXiv:1601.01167.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.909828554046363*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"335e59c0-d4c3-4872-be68-169e83b3401d"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] R. Mertig, M. B\[ODoubleDot]hm, and A. Denner, \
Comput. Phys. Commun. 64 (1991) 345-359.\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.909828554047124*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"0ab16699-df2d-4895-be18-30998e25ac8c"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynArts \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"3.11 (25 Mar 2022) patched for use with FeynCalc, for \
documentation see the \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["manual",
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         First[
          FileNames[{"*.pdf", "*.PDF"}, 
           FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" or visit \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"www", ".", "feynarts", ".", "de", "."}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["http://www.feynarts.de/"], None},
       ButtonNote->"www.feynarts.de/"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynArts ", "Text", Bold], 
    Style[
    "3.11 (25 Mar 2022) patched for use with FeynCalc, for documentation see \
the ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "manual", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         First[
          FileNames[{"*.pdf", "*.PDF"}, 
           FileNameJoin[{FeynCalc`$FeynArtsDirectory, "manual"}]]]], 
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" or visit ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox["www.feynarts.de.", ButtonData :> {
         URL["http://www.feynarts.de/"], None}, BaseStyle -> "Hyperlink", 
       ButtonNote -> "www.feynarts.de/"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.909828554078096*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"d1876144-4a3e-4bf9-b9ca-f727c10dbfe2"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\"If you use FeynArts in your research, please cite\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.909828554079279*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"f187f2dd-5966-4744-8791-3396d4ba5fc6"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] T. Hahn, Comput. Phys. Commun., 140, 418-431, \
2001, arXiv:hep-ph/0012260\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.90982855408036*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"7db299ec-a214-4aa5-a588-6867b1100ac0"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"FeynHelpers \"\>", "Text",
     StripOnInput->False,
     FontWeight->Bold], "\[InvisibleSpace]", 
    StyleBox["\<\"1.3.0, for more information see the accompanying \"\>", 
     "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"publication", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{
          FeynCalc`$FeynHelpersDirectory, "Documentation", "1611.06793.pdf"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["FeynHelpers ", "Text", Bold], 
    Style["1.3.0, for more information see the accompanying ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "publication.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{
          FeynCalc`$FeynHelpersDirectory, "Documentation", 
           "1611.06793.pdf"}]], Evaluator -> Automatic, Method -> 
       "Preemptive"]], "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.9098285540945044`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"04428aec-189b-4843-83b2-da8b43c6ae3f"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{
    StyleBox["\<\"Have a look at the supplied \"\>", "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"examples", "."}],
       BaseStyle->"Hyperlink",
       ButtonFunction:>SystemOpen[
         FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]],
       Evaluator->Automatic,
       Method->"Preemptive"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" If you use FeynHelpers in your research, please cite\"\>", 
     "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style["Have a look at the supplied ", "Text"], 
    Style[
     DisplayForm[
      ButtonBox[
      "examples.", BaseStyle -> "Hyperlink", ButtonFunction :> SystemOpen[
         FileNameJoin[{FeynCalc`$FeynHelpersDirectory, "Examples"}]], 
       Evaluator -> Automatic, Method -> "Preemptive"]], "Text"], 
    Style[" If you use FeynHelpers in your research, please cite", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.909828554095607*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"5a76c9fc-106e-4104-9a4a-86af3d4743ec"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\" \[Bullet] V. Shtabovenko, \\\"FeynHelpers: Connecting \
FeynCalc to FIRE and Package-X\\\", Comput. Phys. Commun., 218, 48-65, 2017, \
arXiv:1611.06793\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.90982855409618*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"35bdee9d-1ca6-4738-a591-4c5b344352e9"],

Cell[BoxData[
 FormBox[
  StyleBox["\<\"Furthermore, remember to cite the authors of the tools that \
you are calling from FeynHelpers, which are\"\>", "Text",
   StripOnInput->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.909828554096756*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"1cdd9829-1f7c-49da-ac26-38370a2da9ff"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox["FIRE",
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["http://science.sander.su/FIRE.htm"], None},
       ButtonNote->"http://science.sander.su/FIRE.htm"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" by A. Smirnov, if you are using the function \
FIREBurn.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style[" \[Bullet] "], 
    Style[
     DisplayForm[
      ButtonBox["FIRE", ButtonData :> {
         URL["http://science.sander.su/FIRE.htm"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> "http://science.sander.su/FIRE.htm"]], 
     "Text"], 
    Style[" by A. Smirnov, if you are using the function FIREBurn.", "Text"]],
   
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.9098285540972853`*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"c0330d36-929a-4875-bd90-03b8aa414bc4"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\" \[Bullet] \"\>", "\[InvisibleSpace]", 
    StyleBox[
     TagBox[
      ButtonBox[
       RowBox[{"Package", "-", "X"}],
       BaseStyle->"Hyperlink",
       ButtonData:>{
         URL["https://packagex.hepforge.org"], None},
       ButtonNote->"https://packagex.hepforge.org"],
      DisplayForm], "Text",
     StripOnInput->False], "\[InvisibleSpace]", 
    StyleBox["\<\" by H. Patel, if you are using the function \
PaXEvaluate.\"\>", "Text",
     StripOnInput->False]}],
   SequenceForm[
    Style[" \[Bullet] "], 
    Style[
     DisplayForm[
      ButtonBox["Package-X", ButtonData :> {
         URL["https://packagex.hepforge.org"], None}, BaseStyle -> 
       "Hyperlink", ButtonNote -> "https://packagex.hepforge.org"]], "Text"], 
    
    Style[" by H. Patel, if you are using the function PaXEvaluate.", "Text"]],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.898074156363922*^9, {3.898152041601406*^9, 3.8981520553598623`*^9}, 
   3.898227841113573*^9, 3.8983346687871037`*^9, 3.898431367251586*^9, 
   3.898452016409968*^9, {3.901123671594632*^9, 3.901123713943573*^9}, 
   3.901124057436481*^9, 3.90112474660666*^9, 3.901124778064631*^9, 
   3.901125434694899*^9, 3.901297868414359*^9, 3.901348464729763*^9, 
   3.901353092397069*^9, 3.901356055393458*^9, 3.901717741835905*^9, 
   3.901729444648262*^9, 3.9019956693000526`*^9, 3.9022123878270597`*^9, 
   3.902223986693606*^9, 3.902233474970084*^9, 3.902499248190216*^9, 
   3.902500867133265*^9, 3.902501468779447*^9, 3.902562269618922*^9, 
   3.902562663666341*^9, 3.902645002048568*^9, 3.904139643431343*^9, 
   3.904140841403529*^9, 3.904145524846209*^9, 3.9041569214924107`*^9, 
   3.904161141178212*^9, 3.9041631310448837`*^9, 3.904231145692374*^9, 
   3.904233359762594*^9, 3.904296141191494*^9, 3.9042964254077463`*^9, 
   3.904756984100994*^9, 3.909648011692679*^9, 3.909822995752316*^9, 
   3.909828554097875*^9},
 CellLabel->
  "During evaluation of \
In[1]:=",ExpressionUUID->"9745a3cc-3174-4657-b7a2-99dd7b020992"]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.889017308907774*^9, 3.889017320298298*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"CKM", " ", "=", " ", "IndexDelta"}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"Neglect", "[", "ME", "]"}], " ", "=", " ", 
   RowBox[{
    RowBox[{"Neglect", "[", "ME2", "]"}], " ", "=", " ", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$FAVerbose", "=", "1"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{"use", " ", "generic", " ", "model", " ", "from", " ", 
    RowBox[{"FeynCalc", "!"}], " ", "The", " ", "SUNF", " ", "and", " ", 
    "SUNT", " ", "functions", " ", "in", " ", 
    RowBox[{"the", " ", ".", "mod"}], " ", "file", " ", "have", " ", "to", 
    " ", "be", " ", "replaced", " ", "by", " ", "FASUNF", " ", "and", " ", 
    "FASUNT"}], " ", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"InsertFields", ",", " ", 
    RowBox[{
    "Model", " ", "->", "\"\<../../Models/SMS-stop-FA/SMS-stop-FA\>\""}], ",", 
    RowBox[{"ExcludeParticles", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"S", "[", "1", "]"}], "}"}]}], ",", 
    RowBox[{"InsertionLevel", "\[Rule]", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"Paint", ",", " ", 
    RowBox[{"PaintLevel", " ", "->", " ", 
     RowBox[{"{", "Particles", "}"}]}]}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetOptions", "[", 
   RowBox[{"CreateTopologies", ",", " ", 
    RowBox[{"ExcludeTopologies", " ", "->", " ", 
     RowBox[{"{", 
      RowBox[{
      "TadpoleCTs", ",", "Tadpoles", ",", " ", "WFCorrectionCTs", ",", 
       "SelfEnergies", ",", "SelfEnergyCTs"}], "}"}]}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{
  3.889017005844899*^9, {3.88901704085599*^9, 3.889017041077664*^9}, 
   3.889017094676647*^9, {3.889017325834794*^9, 3.889017434303607*^9}, 
   3.889017536935258*^9, {3.889017664405981*^9, 3.8890176805032187`*^9}, 
   3.8890179884081173`*^9, {3.889018149086043*^9, 3.8890181730357113`*^9}, {
   3.889019077467082*^9, 3.889019120878731*^9}, {3.8890226845002737`*^9, 
   3.889022733473879*^9}, {3.8890227741904078`*^9, 3.8890228031699657`*^9}, {
   3.889022982319891*^9, 3.8890229985262537`*^9}, {3.8890236396691513`*^9, 
   3.889023639834773*^9}, {3.889025152091753*^9, 3.889025177352399*^9}, {
   3.889544917395384*^9, 3.8895449493334312`*^9}, {3.896504119230514*^9, 
   3.8965041235149*^9}, {3.896504180860827*^9, 3.89650418316083*^9}, 
   3.896504232770453*^9, {3.901123677335421*^9, 3.90112370859788*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],

Cell[CellGroupData[{

Cell["g- t- t (1-loop)", "Section",
 CellChangeTimes->{{3.8965094536222267`*^9, 3.8965095038654137`*^9}, {
  3.9013532598632402`*^9, 3.9013532620752897`*^9}, {3.901353311683537*^9, 
  3.901353312659729*^9}, {3.902499251144042*^9, 
  3.902499254245419*^9}},ExpressionUUID->"ef4b8bcd-035e-426e-b53d-\
5b41ce129840"],

Cell["\<\
The choice below for the momenta and the ordering of the particles in the \
process is equivalent to the correct
ordering for computing the effective vertex for the UFO format:
0 \[Rule]3, with {} \[Rule]{-F[9],F[9],V[4]} and all the momenta set as \
outgoing ({} \[Rule] {p1,p2,p3}).
However the choice below produces nicer diagrams.\
\>", "Text",
 CellChangeTimes->{{3.9049219286801043`*^9, 3.90492205503379*^9}, {
  3.904922124889674*^9, 
  3.904922212364156*^9}},ExpressionUUID->"8af5968a-1fd9-4888-9efc-\
0d769a160384"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tops0", " ", "=", " ", 
   RowBox[{"CreateTopologies", "[", 
    RowBox[{"0", ",", 
     RowBox[{"1", "\[Rule]", "2"}], ",", "  ", 
     RowBox[{"ExcludeTopologies", " ", "->", " ", 
      RowBox[{"{", 
       RowBox[{"TadpoleCTs", ",", "Tadpoles", ",", "SelfEnergies"}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tops", " ", "=", " ", 
   RowBox[{"CreateTopologies", "[", 
    RowBox[{"1", ",", 
     RowBox[{"1", "\[Rule]", "2"}], ",", "  ", 
     RowBox[{"ExcludeTopologies", " ", "->", " ", 
      RowBox[{"{", 
       RowBox[{"TadpoleCTs", ",", "Tadpoles", ",", "SelfEnergies"}], 
       "}"}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"processGGT", " ", "=", "  ", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"V", "[", "4", "]"}], "}"}], "\[Rule]", "  ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", 
       RowBox[{"F", "[", "9", "]"}]}], ",", 
      RowBox[{"F", "[", "9", "]"}]}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"allDiags", " ", "=", " ", 
   RowBox[{"InsertFields", "[", 
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{"tops0", ",", "tops"}], "]"}], ",", "processGGT", ",", " ", 
     RowBox[{"InsertionLevel", "\[Rule]", " ", 
      RowBox[{"{", "Particles", "}"}]}], ",", 
     RowBox[{"ExcludeParticles", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"V", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "1", "]"}], ",", 
        RowBox[{"S", "[", "2", "]"}], ",", 
        RowBox[{"S", "[", "3", "]"}], ",", 
        RowBox[{"V", "[", "2", "]"}], ",", 
        RowBox[{"V", "[", "3", "]"}], ",", 
        RowBox[{"F", "[", "7", "]"}], ",", 
        RowBox[{"F", "[", "6", "]"}], ",", 
        RowBox[{"F", "[", "5", "]"}], ",", 
        RowBox[{"F", "[", "8", "]"}], ",", 
        RowBox[{"F", "[", "9", "]"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"goodDiags", "=", "allDiags"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Paint", "[", 
   RowBox[{"goodDiags", ",", 
    RowBox[{"ColumnsXRows", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}], ",", 
    RowBox[{"ImageSize", "\[Rule]", 
     RowBox[{"{", " ", 
      RowBox[{"600", ",", "300"}], "}"}]}], ",", 
    RowBox[{"PaintLevel", "\[Rule]", 
     RowBox[{"{", "Particles", "}"}]}], ",", 
    RowBox[{"Numbering", "\[Rule]", "Simple"}], ",", 
    RowBox[{"AutoEdit", "\[Rule]", "True"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.896509435366342*^9, 3.896509451223157*^9}, {
   3.8965095108569107`*^9, 3.8965095604144707`*^9}, {3.896509597031486*^9, 
   3.896509640069913*^9}, {3.896805347338221*^9, 3.896805359654518*^9}, 
   3.896841303854939*^9, {3.89764273025483*^9, 3.8976427388940477`*^9}, {
   3.901123751032186*^9, 3.9011237607135363`*^9}, {3.901123799723119*^9, 
   3.901123804129807*^9}, {3.901123845511257*^9, 3.901123923954329*^9}, 
   3.901125442045189*^9, {3.901297878026309*^9, 3.9012979927032127`*^9}, {
   3.901995259143754*^9, 3.901995288594748*^9}, {3.901995682314508*^9, 
   3.901995685131485*^9}, {3.901995723688879*^9, 3.901995764512649*^9}, {
   3.902499266492227*^9, 3.902499275236013*^9}, {3.9041617189538727`*^9, 
   3.9041617209830513`*^9}, {3.9041622601478577`*^9, 3.904162261921525*^9}, {
   3.904231128717637*^9, 3.90423113884062*^9}, {3.904296151655023*^9, 
   3.9042961644062443`*^9}, {3.904756921680694*^9, 3.904756934262889*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"43ad331d-9cbd-485d-8a8d-694b987bd8b5"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"generic model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"Lorentz\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm["generic model ", {"Lorentz"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.90199568862121*^9, {3.9019957512444563`*^9, 3.9019957651828423`*^9}, 
   3.902212393579782*^9, 3.902223986911086*^9, 3.9022334752090673`*^9, 
   3.902499276940638*^9, 3.902500867903716*^9, 3.902501469345005*^9, 
   3.9025622703742037`*^9, 3.90256266446029*^9, 3.902645002500482*^9, 
   3.904139643680418*^9, 3.904140841619093*^9, 3.9041455250565243`*^9, 
   3.904156921693452*^9, 3.904161144971291*^9, 3.904161721863875*^9, 
   3.904163131274653*^9, 3.904231152080864*^9, 3.9042333601057568`*^9, 
   3.9042961694782133`*^9, 3.904296425619526*^9, 3.90475698622749*^9, 
   3.909648012452147*^9, 3.909822996002432*^9, 3.90982855425371*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"05fcea49-8661-443d-9ece-774535fc8896"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"classes model \"\>", "\[InvisibleSpace]", 
    RowBox[{"{", "\<\"../../Models/SMS-stop-FA/SMS-stop-FA\"\>", "}"}], 
    "\[InvisibleSpace]", "\<\" initialized\"\>"}],
   SequenceForm[
   "classes model ", {"../../Models/SMS-stop-FA/SMS-stop-FA"}, " initialized"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.90199568862121*^9, {3.9019957512444563`*^9, 3.9019957651828423`*^9}, 
   3.902212393579782*^9, 3.902223986911086*^9, 3.9022334752090673`*^9, 
   3.902499276940638*^9, 3.902500867903716*^9, 3.902501469345005*^9, 
   3.9025622703742037`*^9, 3.90256266446029*^9, 3.902645002500482*^9, 
   3.904139643680418*^9, 3.904140841619093*^9, 3.9041455250565243`*^9, 
   3.904156921693452*^9, 3.904161144971291*^9, 3.904161721863875*^9, 
   3.904163131274653*^9, 3.904231152080864*^9, 3.9042333601057568`*^9, 
   3.9042961694782133`*^9, 3.904296425619526*^9, 3.90475698622749*^9, 
   3.909648012452147*^9, 3.909822996002432*^9, 3.909828554289324*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"526587c7-4722-4362-ab46-9f750b18243e"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"2 Particles insertions\"\>"}],
   SequenceForm["in total: ", "2 Particles insertions"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.90199568862121*^9, {3.9019957512444563`*^9, 3.9019957651828423`*^9}, 
   3.902212393579782*^9, 3.902223986911086*^9, 3.9022334752090673`*^9, 
   3.902499276940638*^9, 3.902500867903716*^9, 3.902501469345005*^9, 
   3.9025622703742037`*^9, 3.90256266446029*^9, 3.902645002500482*^9, 
   3.904139643680418*^9, 3.904140841619093*^9, 3.9041455250565243`*^9, 
   3.904156921693452*^9, 3.904161144971291*^9, 3.904161721863875*^9, 
   3.904163131274653*^9, 3.904231152080864*^9, 3.9042333601057568`*^9, 
   3.9042961694782133`*^9, 3.904296425619526*^9, 3.90475698622749*^9, 
   3.909648012452147*^9, 3.909822996002432*^9, 3.909828554303946*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"cb52a2a7-8d99-4965-97de-801466b2daef"],

Cell[BoxData[
 FormBox[
  GraphicsBox[{InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJxFlws8lOkex6fBoMiMy6Tce9/XJXXccwnztFmLVMq61GyWQqqVy5LJOrEt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          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->26.43356643356643],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            26.43356643356643]& ], {5.5, 9.0548}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{19.999999999994543`, 14.999999999996362`}, {
          10.999999999990905`, 9.999999999992724}}], 
         PolygonBox[{{14.975505634327078`, 12.208614241292821`}, {
          15.83023719320147, 13.141048669155794`}, {16.218751538144375`, 
          12.441722848258564`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->26.43356643356643],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            26.43356643356643]& ], {15.352053456673119, 13.250143777988384}, 
          ImageScaled[{1, 0}]], 
         LineBox[{{20., 5.}, {11.000000000001819`, 10.}}], 
         PolygonBox[{{16.024494365672922`, 7.208614241292821}, {
          15.16976280679853, 8.141048669155794}, {14.781248461855625`, 
          7.441722848258563}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->26.43356643356643],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            26.43356643356643]& ], {15.352053456673122, 6.7498562220116165}, 
          ImageScaled[{1, 1}]], 
         {PointSize[0.04], PointBox[{11., 10.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["1",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->21.146853146853147`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            21.146853146853147`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"ad/bdcd/0.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "ad/bdcd/0.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {0, 0}, {0, 0}, {22, 22}], InsetBox[
     GraphicsBox[
      TagBox[
       TooltipBox[
        {Thickness[0.005], LineBox[CompressedData["
1:eJw9lgtYTGkYx4/mYsJUSolWxTmH3GrI0qLOKyGe2i5EWZekFAaTWyOzkUiK
Brm0VruKVG4lS7JJYjXINFsuJaWU3NMqTVLbvmPnnPM888zze8453/d+7+X/
P0OD1vmGGBAEEYM/3b/0cw9eg4D4dlFgvDege/peZJWxj7+GBIPDYflJhsh1
aYWbzpDQlTHibNpWSyDCdvE7lSScfshfeaJpIBC2XpThDhJyYm783McLOUyt
mRpNQkJ6Yl1kvgUQLY/VKftIMCmWOm4ahZwZf+jkaRJifbu1E06bA2HiPnry
fRKKUivqoiQ69jFTfyHB98Fy14jSAUBc/ZS+WELBXefha7cpkL39JyqlFDiJ
6zdZuSI71XXdO0vBViexvH4IciCRveAdcmXjmA3GyJl+cXI7GkiLLZ3R5siW
J7ckBNKw0c8sqGas7n6bZPgBGqynUCMS/JCh+prkKg2Hhwro13HIEtejXRU0
XA/zX6m5hSyKmb6ggYZjSb2rSnthvKINa46+pEE0TbTSzQVZ9a/zqac0aFIe
lV7YaK6LZ3V7MQ07tu2R3jmBHBfHT/qdhsjBwYq8Qt3zzyYS62mw04gd5txH
dhL+PGEqDco9SeOEt5GLTLq3EzT8trz8jWcGMqztirhJwfqnh+fIdOt7947V
RFMwPmCKPGc0skYR6e5GATg+ee2qxnhVGfNi+1KgaC2xhiXIRfkfv1aRsC4g
RLmv1gzrNf/A/YtYT4c+f1z3RZaYLss5RIKNW3j660JTzM9X73cxJLwa29wa
NQI5p2b299tJcAysv2B5oD8Q2ysc8/ZgvUVGV10J5BwrR9EJEtYfXXrQY4sJ
7pcyZnwx1t/M67ElgUzMDCxoJiEgfM/FRgdjzM+4U3+SFERd2H2tLNYI34/f
92oJBdpsaclSEbLqeMqlFArMWt/vH31FDITMf/HqGgqy3nj1e6FELpo2ztuK
Bq299SfPJGTQHM+bR8Ol9kU2awuQvfdn2O2mQV4y/FaqANez67CJyKFBei9G
1hSKbBmhrFbTcGTbpVC6WsclT4T1NBA+74v3ztfFF5gqaaLh1BmrnBYNskn/
LptaGiL81rgl2+J5TM6Xj71Lg6w7J8/TC9n9ocW0TBoGRM8wypQh23arbyto
oHiPns+ORq7z3ZjsTkOZaOegxChk79MeX8U0FBmsGZm+QsftJzeUUVBwVvYl
00m3/rH2XCUF31UL8z3f6PavdZH7ULApO4lwmYQskp8PH0hB07lizaclGH/l
5cE2jSTY+0FlfQiePzBk85V8EoLkb6e89e2H+d+xou8xEpzf9NeI7Pvi++lD
t8aS0FKp0wNDfD5uec02Ek6qPjho/xZx9xMDzW+bn+/NvV8cc2OE9TEht77h
GGcHcaqA2z9ypLTnporPxVfR3TEz14LPxb852lp8IZHHnU9WQZ+/PJ7Hnd+3
RFvaYMDj8pNR7gfSbgMuf6rHGxuyrXlcfk1qU/YHL+Nx+TewpyPKCnlcfTzs
G72MHfhc/Vp2mzlvyOJz9V0Y4JH8lBJw9d9ppFAOShZw/SHvXzV1SaeA65+p
L9LqDkwXcv31JatenCsVcv0362N26xCZkOvPZy9N1z2cLeT6t8MuyemEVsD1
d/go+QzJFgHX/0dCN/9opeFz86HJXTZX3cPj5qffGaheIeZx81VV0qCM7OnF
zV+8pXOauobg5tOtc6aEH9TDsPMbkjp51WJ+N8POt3vrYwfDy50MO//DPFYV
393VwbD68KHh+c6e2HaG1Y/njWmL2u60May+DPA0tXHxaWVY/RngnvnIxf4T
w+pTGHnFXxX0D8Pq16mEiz+8+tjCsPrmEq6a/qQcWa9/HbPWGQ0T4PN6fay8
VOXZpEDW62fU+8xSt7G4vl5f05bW/tQsxP31+jvfvP7X0g5kvT6XFqUsLGzB
ePX6HT/63eqlzz4zrL4H/7V2eUUWnk+v/8aLciPi3bUM6w9zA6wsOrKQ9f7R
6iX1cCzW3f/fX9rK7tlExmkZ1n+6FFvtDmpxPb0/FVxbMcvACFnvX0cUsvZh
aoxH7291oy4q+C4Yr97/VKF9bMeE4nn1/ug295fg+eeaGdY/gyfFf7Wb8JZh
/RVm8kzP7X7JsP67v7Ayr+teHcP586ydno9mVDKsf2ua35bHPVAzrL/bDk7O
Ij4WMKz/f/sseB19nf0++A/wN0R/
          "]], InsetBox[
          TagBox[
           StyleBox[
            TagBox["G",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->26.43356643356643],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            26.43356643356643]& ], {3.25, 9.0548}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         LineBox[{{19.999999999998636`, 15.}, {13.00000000000091, 14.}}], 
         PolygonBox[{{15.9060303038033, 14.415147186257615`}, {
          17.03740115370178, 14.980832611206852`}, {17.150538238691624`, 
          14.188873016277919`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->26.43356643356643],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            26.43356643356643]& ], {16.280796897832168, 15.429621715174807}, 
          ImageScaled[{Rational[1, 2], 0}]], 
         LineBox[{{19.99999999999909, 5.000000000003638}, {13.00000000000091, 
          6.}}], PolygonBox[{{17.0939696961967, 5.415147186257614}, {
          15.962598846298224`, 5.980832611206853}, {15.849461761308376`, 
          5.1888730162779195`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["t",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->26.43356643356643],
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            26.43356643356643]& ], {16.280796897832168, 4.570378284825192}, 
          ImageScaled[{Rational[1, 2], 1}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.500000000003638, 10.}, {13.000000000003638`, 14.}}]}, 
         PolygonBox[{{9.239005009977273, 11.6855415446014}, {
          10.470633960288461`, 11.973795128716784`}, {10.051356019756993`, 
          12.655121782080418`}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->26.43356643356643],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            26.43356643356643]& ], {9.332600380984282, 13.056274380900543}, 
          ImageScaled[{1, 0}]], 
         {Dashing[{0.030000000000000002`, 0.030000000000000002`}], 
          LineBox[{{6.500000000001819, 9.999999999996362}, {
           12.999999999998181`, 6.}}]}, 
         PolygonBox[{{10.260994990022727`, 7.685541544601399}, {
          9.029366039711539, 7.973795128716783}, {9.448643980243007, 
          8.655121782080418}}], InsetBox[
          TagBox[
           StyleBox[
            TagBox["ST",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->26.43356643356643],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            26.43356643356643]& ], {9.332600380984282, 6.943725619099458}, 
          ImageScaled[{1, 1}]], 
         LineBox[{{13., 13.999999999996009`}, {13., 5.99999999999511}}], 
         InsetBox[
          TagBox[
           StyleBox[
            TagBox["chi",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->26.43356643356643],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            26.43356643356643]& ], {13.8993, 10.}, 
          ImageScaled[{0, Rational[1, 2]}]], 
         {PointSize[0.04], PointBox[{6.5, 10.}], PointBox[{13., 14.}], 
          PointBox[{13., 6.}]}, InsetBox[
          TagBox[
           StyleBox[
            TagBox["2",
             DisplayForm],
            FontFamily->"Helvetica",
            FontSize->21.146853146853147`],
           
           StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
            21.146853146853147`]& ], {10., -0.5}, 
          ImageScaled[{Rational[1, 2], 0}]]},
        "\"ad/becf/dedfef.m\"",
        TooltipStyle->"TextStyling"],
       Annotation[#, "ad/becf/dedfef.m", "Tooltip"]& ],
      AspectRatio->1,
      PlotRange->{{-1, 21}, {-1, 21}}], {22, 0}, {0, 0}, {22, 22}], InsetBox[
     TagBox[
      StyleBox[
       TagBox["G",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->31.720279720279713`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       31.720279720279713`]& ], {15.25, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["\[RightArrow]",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->31.720279720279713`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       31.720279720279713`]& ], {19.75, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->31.720279720279713`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       31.720279720279713`]& ], {24.25, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]], InsetBox[
     TagBox[
      StyleBox[
       TagBox["t",
        DisplayForm],
       FontFamily->"Helvetica",
       FontSize->31.720279720279713`],
      StyleForm[#, FontFamily -> "Helvetica", FontSize -> 
       31.720279720279713`]& ], {28.75, 25.960000000000004}, 
     ImageScaled[{Rational[1, 2], Rational[1, 2]}]]},
   AspectRatio->0.65,
   ImageSize->{600, 300},
   PlotRange->{{0, 44}, {0, 28.6}}], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.90199568862121*^9, {3.9019957512444563`*^9, 3.9019957651828423`*^9}, 
   3.902212393579782*^9, 3.902223986911086*^9, 3.9022334752090673`*^9, 
   3.902499276940638*^9, 3.902500867903716*^9, 3.902501469345005*^9, 
   3.9025622703742037`*^9, 3.90256266446029*^9, 3.902645002500482*^9, 
   3.904139643680418*^9, 3.904140841619093*^9, 3.9041455250565243`*^9, 
   3.904156921693452*^9, 3.904161144971291*^9, 3.904161721863875*^9, 
   3.904163131274653*^9, 3.904231152080864*^9, 3.9042333601057568`*^9, 
   3.9042961694782133`*^9, 3.904296425619526*^9, 3.90475698622749*^9, 
   3.909648012452147*^9, 3.909822996002432*^9, 3.90982855432057*^9},
 CellLabel->
  "During evaluation of \
In[10]:=",ExpressionUUID->"c4d52317-57df-4aed-9a30-68c6e6c241e8"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampA", "=", 
   RowBox[{
    RowBox[{"FCFAConvert", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"CreateFeynAmp", "[", 
        RowBox[{"goodDiags", ",", 
         RowBox[{"PreFactor", "\[Rule]", "1"}], ",", 
         RowBox[{"Truncated", "\[Rule]", "True"}]}], "]"}], "/.", 
       RowBox[{"{", 
        RowBox[{"SUNT", "\[Rule]", "FASUNT"}], "}"}]}], ",", 
      RowBox[{"IncomingMomenta", "\[Rule]", 
       RowBox[{"{", "p3", "}"}]}], ",", 
      RowBox[{"OutgoingMomenta", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "p1"}], ",", 
         RowBox[{"-", "p2"}]}], "}"}]}], ",", 
      RowBox[{"LoopMomenta", "\[Rule]", 
       RowBox[{"{", "q", "}"}]}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"SUNIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"cc3", ",", "aa", ",", "bb"}], "}"}]}], ",", 
      RowBox[{"SUNFIndexNames", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"a", ",", "c1", ",", "c2"}], "}"}]}], ",", 
      RowBox[{"DropSumOver", "\[Rule]", "True"}], ",", 
      RowBox[{"LorentzIndexNames", "\[Rule]", 
       RowBox[{"{", " ", "\[Mu]", "}"}]}], ",", " ", 
      RowBox[{"SMP", "\[Rule]", "True"}], ",", 
      RowBox[{"List", "\[Rule]", "False"}], ",", 
      RowBox[{"Contract", "\[Rule]", "True"}], ",", 
      RowBox[{"ChangeDimension", "\[Rule]", "D"}], ",", 
      RowBox[{"UndoChiralSplittings", "\[Rule]", "True"}], ",", 
      RowBox[{"FinalSubstitutions", "\[Rule]", " ", 
       RowBox[{"(", 
        RowBox[{"M$FACouplings", "/.", 
         RowBox[{"GS", "\[Rule]", "gs"}]}], ")"}]}]}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"GS", "\[Rule]", "gs"}], "}"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ampB", " ", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"SUNSimplify", "[", 
    RowBox[{"DiracSimplify", "[", 
     RowBox[{"FCReplaceMomenta", "[", 
      RowBox[{"ampA", ",", 
       RowBox[{"{", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{
          RowBox[{"-", "p1"}], "-", "p2"}]}], "}"}]}], "]"}], "]"}], "]"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.904161850593676*^9, 3.904161897767714*^9}, {
  3.90416195323462*^9, 3.90416200530408*^9}, {3.904162273669128*^9, 
  3.9041623064192*^9}, {3.9041624705278788`*^9, 3.904162506299663*^9}, {
  3.904163103783496*^9, 3.904163105317758*^9}, {3.9042311602206373`*^9, 
  3.904231191230145*^9}, {3.904291351258266*^9, 3.904291358873654*^9}, {
  3.904296176030684*^9, 3.904296209534181*^9}, {3.9042963283777018`*^9, 
  3.904296338317975*^9}, {3.904756946538343*^9, 3.904756963781785*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"24523840-5705-48f0-8297-09da44c59c03"],

Cell[BoxData[
 FormBox[
  InterpretationBox[
   RowBox[{"\<\"in total: \"\>", 
    "\[InvisibleSpace]", "\<\"2 Particles amplitudes\"\>"}],
   SequenceForm["in total: ", "2 Particles amplitudes"],
   Editable->False], TraditionalForm]], "Print",
 CellChangeTimes->{
  3.904161729699479*^9, {3.904161873269444*^9, 3.90416189874165*^9}, {
   3.904161954320105*^9, 3.904162006587511*^9}, {3.904162288838736*^9, 
   3.904162306961753*^9}, 3.9041625072931833`*^9, 3.904163131356861*^9, 
   3.90416320222019*^9, {3.9042311733320436`*^9, 3.904231191844404*^9}, 
   3.904231438148757*^9, 3.90423336021113*^9, 3.904296212361318*^9, 
   3.904296339218854*^9, 3.9042964257026243`*^9, 3.904756986507986*^9, 
   3.909648012699909*^9, 3.909822996097047*^9, 3.909828554858889*^9},
 CellLabel->
  "During evaluation of \
In[16]:=",ExpressionUUID->"522df81d-b72b-454a-87fc-23a96329dfbf"],

Cell[BoxData[
 FormBox[
  RowBox[{"gs", " ", 
   SubsuperscriptBox["T", 
    RowBox[{
     FormBox[
      FormBox["c2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["c1",
       TraditionalForm],
      TraditionalForm]}], 
    FormBox[
     FormBox["cc3",
      TraditionalForm],
     TraditionalForm]], " ", 
   RowBox[{"(", 
    RowBox[{
     FormBox[
      FractionBox[
       RowBox[{
        SuperscriptBox["yDM", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox[
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm]], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm]], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox[
            FormBox[
             FormBox["q",
              TraditionalForm],
             TraditionalForm], 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["q",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}]}], ")"}]}], 
       RowBox[{
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["q",
              TraditionalForm],
             TraditionalForm], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           FeynCalc`Pair[
            FeynCalc`Momentum[$CellContext`q, D], 
            FeynCalc`Momentum[$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                FormBox["p1",
                 TraditionalForm], "+", 
                FormBox["q",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mChi", "2"]}],
          SequenceForm[
           FeynCalc`Pair[
            FeynCalc`Momentum[$CellContext`p1 + $CellContext`q, D], 
            FeynCalc`Momentum[$CellContext`p1 + $CellContext`q, D]], 
           "-", $CellContext`mChi^2],
          Editable->False], ")"}], ".", 
        RowBox[{"(", 
         InterpretationBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{
             FormBox["\<\"(\"\>",
              TraditionalForm], 
             FormBox[
              FormBox[
               RowBox[{
                FormBox["p1",
                 TraditionalForm], "+", 
                FormBox["p2",
                 TraditionalForm], "+", 
                FormBox["q",
                 TraditionalForm]}],
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\")\"\>",
              TraditionalForm]}], "2"], "\[InvisibleSpace]", "\<\"-\"\>", 
           "\[InvisibleSpace]", 
           SuperscriptBox["mST", "2"]}],
          SequenceForm[
           FeynCalc`Pair[
            
            FeynCalc`Momentum[$CellContext`p1 + $CellContext`p2 + \
$CellContext`q, D], 
            
            FeynCalc`Momentum[$CellContext`p1 + $CellContext`p2 + \
$CellContext`q, D]], "-", $CellContext`mST^2],
          Editable->False], ")"}]}]],
      TraditionalForm], "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["\[Pi]", "2"], " ", "deltaCTL", " ", 
         SuperscriptBox["yDM", "2"]}], "+", "1"}], ")"}], " ", 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["7",
         TraditionalForm]]}]}], "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["\[Pi]", "2"], " ", "deltaCTR", " ", 
         SuperscriptBox["yDM", "2"]}], "+", "1"}], ")"}], " ", 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}]}]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.904161729889686*^9, {3.904161873334203*^9, 3.904161898806472*^9}, {
   3.904161954383412*^9, 3.904162006651622*^9}, {3.904162288890135*^9, 
   3.9041623070268908`*^9}, 3.9041625073449383`*^9, 3.904163131582015*^9, 
   3.904163202383757*^9, {3.904231173542255*^9, 3.904231191942078*^9}, 
   3.904231438291687*^9, 3.9042333604040213`*^9, 3.904296212514112*^9, 
   3.9042963393398027`*^9, 3.904296425878274*^9, 3.904756987055632*^9, 
   3.909648013308963*^9, 3.9098229963348227`*^9, 3.909828555164721*^9},
 CellLabel->"Out[17]=",ExpressionUUID->"bce9a3c0-231c-4987-86af-b8a256e087ff"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampC", " ", "=", 
  RowBox[{"FCCanonicalizeDummyIndices", "[", 
   RowBox[{
    RowBox[{"(", " ", 
     RowBox[{
      RowBox[{"TID", "[", 
       RowBox[{"ampB", ",", "q", ",", 
        RowBox[{"UsePaVeBasis", "\[Rule]", "True"}], ",", 
        RowBox[{"PaVeAutoReduce", "\[Rule]", "True"}], ",", 
        RowBox[{"ToPaVe", "\[Rule]", "True"}]}], "]"}], "//", "Simplify"}], 
     ")"}], ",", 
    RowBox[{"LorentzIndexNames", "\[Rule]", " ", 
     RowBox[{"{", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.896509111627067*^9, 3.8965091179320707`*^9}, {
   3.896857476277534*^9, 3.896857478544798*^9}, {3.896857892254889*^9, 
   3.896857897498136*^9}, {3.8968600126611347`*^9, 3.896860074501936*^9}, {
   3.896868316408643*^9, 3.896868320829083*^9}, {3.896868469404072*^9, 
   3.8968684720495863`*^9}, {3.901353413353354*^9, 3.901353415032837*^9}, {
   3.901356068397993*^9, 3.901356107923538*^9}, 3.9013561414214*^9, {
   3.902500853301231*^9, 3.9025008540998373`*^9}, {3.9025012796660748`*^9, 
   3.902501280071103*^9}, {3.904162201540007*^9, 3.9041622317434483`*^9}, {
   3.904231567608664*^9, 3.904231582824162*^9}, {3.904231727346211*^9, 
   3.904231745919427*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"06a8e269-5cb2-4b62-a697-d170ac6d7257"],

Cell[BoxData[
 FormBox[
  RowBox[{"\[ImaginaryI]", " ", "gs", " ", 
   SubsuperscriptBox["T", 
    RowBox[{
     FormBox[
      FormBox["c2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["c1",
       TraditionalForm],
      TraditionalForm]}], 
    FormBox[
     FormBox["cc3",
      TraditionalForm],
     TraditionalForm]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["yDM", "2"], " ", 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], " ", 
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"00\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\"\[CenterDot]\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}]}], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], "2"], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm], "2"]}], ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm]}], "+", 
     RowBox[{
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["yDM", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["\[Mu]",
           TraditionalForm],
          TraditionalForm]], "-", 
        SuperscriptBox[
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["\[Mu]",
           TraditionalForm],
          TraditionalForm]]}], ")"}], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], " ", 
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\"\[CenterDot]\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}]}], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], "2"], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm], "2"]}], ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["yDM", "2"], " ", 
      SuperscriptBox[
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], " ", 
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"11\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\"\[CenterDot]\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}]}], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], "2"], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm], "2"]}], ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["yDM", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Gamma]", "\[CenterDot]", 
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm]}], ")"}], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["6",
            TraditionalForm]]}]}], "+", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], " ", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"\[Gamma]", "\[CenterDot]", 
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm]}], ")"}], ".", 
          SuperscriptBox[
           OverscriptBox["\[Gamma]", "_"], 
           FormBox["6",
            TraditionalForm]]}]}]}], ")"}], " ", 
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"12\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\"\[CenterDot]\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}]}], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], "2"], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm], "2"]}], ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm]}], "-", 
     RowBox[{
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["yDM", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["\[Mu]",
           TraditionalForm],
          TraditionalForm]], "-", 
        SuperscriptBox[
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox["\[Mu]",
           TraditionalForm],
          TraditionalForm]]}], ")"}], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], " ", 
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"2\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\"\[CenterDot]\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}]}], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], "2"], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm], "2"]}], ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", 
      SuperscriptBox["yDM", "2"], " ", 
      SuperscriptBox[
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], " ", 
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"22\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox["\<\"\[CenterDot]\"\>",
              TraditionalForm], 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}]}], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], "2"], "+", 
          SuperscriptBox[
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm], "2"]}], ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm]}], "+", 
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         OverscriptBox["\[Gamma]", "_"], 
         FormBox["6",
          TraditionalForm]], "+", 
        SuperscriptBox[
         OverscriptBox["\[Gamma]", "_"], 
         FormBox["7",
          TraditionalForm]]}], ")"}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", "deltaCTL", " ", 
      SuperscriptBox["yDM", "2"], " ", 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["7",
         TraditionalForm]]}]}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["\[Pi]", "2"], " ", "deltaCTR", " ", 
      SuperscriptBox["yDM", "2"], " ", 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}]}]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.8965091202028713`*^9, 3.896509708478321*^9, 3.896509740687674*^9, 
   3.896805263308962*^9, 3.896805379275433*^9, 3.8968551185951557`*^9, {
   3.896857481935132*^9, 3.896857496290345*^9}, {3.896857893971696*^9, 
   3.896857898381719*^9}, {3.896860015559256*^9, 3.896860075277657*^9}, 
   3.896867295559676*^9, {3.896868317484475*^9, 3.89686832129815*^9}, 
   3.896868473451787*^9, 3.897535929713374*^9, 3.897550694249282*^9, 
   3.89762607393371*^9, 3.897627242298944*^9, 3.897642749416655*^9, 
   3.897642892729065*^9, 3.897736443860587*^9, 3.897738814650691*^9, 
   3.8977536641493807`*^9, 3.897754450048752*^9, 3.8977587403012342`*^9, 
   3.897792635780608*^9, 3.898008482056349*^9, 3.8980106593052177`*^9, 
   3.898074157016873*^9, {3.8981520419917*^9, 3.898152055890978*^9}, 
   3.898227842115892*^9, 3.898431367957349*^9, 3.898452025402216*^9, 
   3.901123949578485*^9, 3.9011254651963253`*^9, 3.9012980584160767`*^9, 
   3.901298134120759*^9, 3.901348475010827*^9, {3.9013491625428047`*^9, 
   3.901349217932446*^9}, 3.901349270023861*^9, 3.901349393678274*^9, {
   3.9013533657977858`*^9, 3.9013533794169064`*^9}, 3.901353416690586*^9, 
   3.90135606952284*^9, 3.901356108701345*^9, 3.90135614242842*^9, 
   3.901717751753215*^9, 3.901729448101338*^9, 3.901995785682576*^9, 
   3.9019959499297047`*^9, 3.9019959935910683`*^9, 3.901996119231978*^9, 
   3.901996384937974*^9, 3.902002033097237*^9, 3.902212503084681*^9, 
   3.902212559558736*^9, 3.902223987715763*^9, 3.902233475927359*^9, 
   3.902499291591238*^9, 3.902499595099477*^9, {3.902499632377296*^9, 
   3.902499660148633*^9}, {3.9025008558761053`*^9, 3.902500879622593*^9}, 
   3.902501280943582*^9, 3.902501323641765*^9, 3.902501471153678*^9, 
   3.902562272069964*^9, 3.90256266615624*^9, 3.902645003713458*^9, 
   3.904139644326322*^9, 3.904139926928746*^9, 3.904139988778846*^9, 
   3.904140812255096*^9, 3.904140842315233*^9, 3.9041455257050257`*^9, 
   3.904156922334947*^9, 3.904161192372045*^9, 3.904161289088162*^9, 
   3.9041622341280622`*^9, 3.904162456947049*^9, 3.904162519261201*^9, 
   3.9041631319034023`*^9, 3.904163202719146*^9, 3.9042312084082403`*^9, 
   3.904231438672257*^9, 3.9042315853206*^9, {3.904231718135461*^9, 
   3.904231746667097*^9}, 3.904233360757996*^9, 3.9042962604920807`*^9, 
   3.904296343388556*^9, 3.904296426592368*^9, 3.9047569877331257`*^9, 
   3.9096480142905493`*^9, 3.909822996710012*^9, 3.909828556438816*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"b26d520f-f2f2-4b85-870c-367b128b7a7f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Remove", " ", "SM", " ", "contribution"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ampSM", "=", 
     RowBox[{"gs", " ", 
      RowBox[{"SeriesCoefficient", "[", 
       RowBox[{"ampC", ",", 
        RowBox[{"{", 
         RowBox[{"gs", ",", "0", ",", "1"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"yDM", ",", "0", ",", "0"}], "}"}]}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ampC", "=", 
     RowBox[{"Simplify", "[", 
      RowBox[{"DiracSimplify", "[", 
       RowBox[{"ampC", "-", "ampSM"}], "]"}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.902212578779299*^9, 3.902212671546978*^9}, {
  3.902499577437413*^9, 3.902499577563558*^9}, {3.902499654490868*^9, 
  3.902499654829821*^9}, {3.904161229654117*^9, 3.9041612518774767`*^9}, {
  3.904161283278983*^9, 3.904161283494314*^9}, {3.904162523517749*^9, 
  3.904162525675199*^9}, {3.904231560318718*^9, 3.9042315617477493`*^9}, {
  3.9042317101450768`*^9, 3.904231712903171*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"be537806-ba78-4882-a92a-376368ad52f4"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Off - Shell Case", "Section",
 CellChangeTimes->{{3.904140039293378*^9, 
  3.904140044499674*^9}},ExpressionUUID->"127240c4-6dc0-4426-a149-\
b441a0c47184"],

Cell[BoxData[
 RowBox[{
  RowBox[{"FCClearScalarProducts", "[", "]"}], ";"}]], "Input",
 CellLabel->"In[21]:=",ExpressionUUID->"718bb929-e454-4b42-91ad-2bff5c07b71d"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"SPD", "[", 
    RowBox[{"p1", ",", "p2"}], "]"}], "=", 
   RowBox[{
    FractionBox["1", "2"], 
    RowBox[{"(", 
     RowBox[{"s", "-", 
      RowBox[{"SPD", "[", 
       RowBox[{"p1", ",", "p1"}], "]"}], "-", 
      RowBox[{"SPD", "[", 
       RowBox[{"p2", ",", "p2"}], "]"}]}], ")"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.9041400642407827`*^9, 3.9041401052653303`*^9}, {
   3.904140167730578*^9, 3.904140204113037*^9}, {3.9042312777833157`*^9, 
   3.90423127801411*^9}, {3.904231308416668*^9, 3.904231390100596*^9}, {
   3.9042314258961983`*^9, 3.904231457664865*^9}, {3.9042315215519953`*^9, 
   3.904231538624907*^9}, {3.904231590252639*^9, 3.904231673132201*^9}, {
   3.904233253310684*^9, 3.904233293973371*^9}, 3.904296267119062*^9, 
   3.904296304769541*^9, {3.904296348910304*^9, 3.904296391798216*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"35b8a334-1321-4ee3-beb0-3a3de771899a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampD", "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"DiracSimplify", "[", 
     RowBox[{"FCReplaceMomenta", "[", 
      RowBox[{"ampC", ",", 
       RowBox[{"{", 
        RowBox[{"p3", "\[Rule]", 
         RowBox[{
          RowBox[{"-", "p1"}], "-", "p2"}]}], "}"}]}], "]"}], "]"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.904140077611107*^9, 3.904140078648925*^9}, {
   3.904140209890045*^9, 3.904140237560657*^9}, {3.904161263622717*^9, 
   3.9041612664768133`*^9}, 3.904162537238563*^9, {3.9042316920316772`*^9, 
   3.90423169769293*^9}, {3.904233387302925*^9, 3.904233387443952*^9}, {
   3.904234013793543*^9, 3.904234068242044*^9}, 3.904234222225945*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"7ba5d15b-73c9-48db-8122-4c2a75db83b5"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp2", "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"ExpandScalarProduct", "[", 
     RowBox[{"DiracSimplify", "[", 
      RowBox[{"ampD", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"DiracGamma", "[", "7", "]"}], "\[Rule]", 
         RowBox[{"1", "-", 
          RowBox[{"DiracGamma", "[", "6", "]"}]}]}], "}"}]}], "]"}], "]"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.9024998400661173`*^9, 3.902499861566798*^9}, {
   3.902500906212543*^9, 3.902500915837338*^9}, {3.902501305751494*^9, 
   3.9025013086801643`*^9}, {3.902501409946024*^9, 3.9025014229505053`*^9}, {
   3.904140361898815*^9, 3.904140391952055*^9}, 3.90423421066932*^9},
 CellLabel->"In[24]:=",ExpressionUUID->"43441d51-a20d-450c-b509-d29ed105f933"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Check Divergences", "Section",
 CellChangeTimes->{{3.902480686022114*^9, 
  3.9024806942961273`*^9}},ExpressionUUID->"de079e0b-827a-4ef1-bb9b-\
9eee785d5b3a"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"lInts", " ", "=", " ", 
   RowBox[{"Cases2", "[", 
    RowBox[{"ampEsimp2", ",", 
     RowBox[{"{", 
      RowBox[{"A0", ",", "B0", ",", "C0", ",", "D0", ",", "PaVe"}], "}"}]}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"lInts", "[", 
      RowBox[{"[", "i", "]"}], "]"}], ",", 
     RowBox[{"PaXEvaluateUV", "[", 
      RowBox[{"lInts", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"Length", "[", "lInts", "]"}]}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{
  3.902482203506691*^9, {3.90248395233785*^9, 3.9024839596231403`*^9}, 
   3.902494215243495*^9, 3.902496155984209*^9, {3.902820692388126*^9, 
   3.902820708341589*^9}, {3.904201106322115*^9, 3.904201114053097*^9}},
 CellLabel->"In[25]:=",ExpressionUUID->"ed09f297-6335-4e77-b04d-ae975ca45b31"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", "s", ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"2\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", "s", ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"00\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", "s", ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], 
      FractionBox["1", 
       RowBox[{"4", " ", 
        SubscriptBox["\[CurlyEpsilon]", "UV"]}]]},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"11\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", "s", ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"12\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", "s", ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"},
     {
      FormBox[
       RowBox[{
        SubscriptBox["\<\"C\"\>", "\<\"22\"\>"], "(", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], "2"], ",", "s", ",", 
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], "2"], ",", 
         SuperscriptBox["mChi", "2"], ",", 
         SuperscriptBox["mST", "2"], ",", 
         SuperscriptBox["mST", "2"]}], ")"}],
       TraditionalForm], "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.904234235294856*^9, 3.9042962759127407`*^9, {3.904296400820838*^9, 
   3.9042964278259783`*^9}, 3.904756989140957*^9, 3.9096480165354557`*^9, 
   3.909822997764464*^9, 3.9098285574302387`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"641b7ded-c0fb-4414-8fb8-d7f9f4254619"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Divergences", " ", "from", " ", "loops"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"loopUV", "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"PaXEvaluateUV", "[", 
       RowBox[{"ampEsimp2", ",", 
        RowBox[{"PaXImplicitPrefactor", "\[Rule]", 
         RowBox[{"1", "/", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", " ", "Pi"}], ")"}], "^", 
           RowBox[{"(", "4", ")"}]}]}]}]}], "]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"Divergences", " ", "from", " ", "counter"}], "-", "terms"}], 
    " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ctUV", "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{
       RowBox[{"SUNSimplify", "[", 
        RowBox[{"Coefficient", "[", 
         RowBox[{"ampEsimp2", ",", "deltaCTR"}], "]"}], "]"}], " ", 
       RowBox[{"(", 
        FractionBox[
         RowBox[{"-", "1"}], 
         RowBox[{"64", " ", 
          RowBox[{"Pi", "^", "4"}], "  ", "EpsilonUV"}]], ")"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"FeynAmpDenominatorExplicit", "[", 
     RowBox[{"DiracSimplify", "[", 
      RowBox[{
       RowBox[{"loopUV", "+", "ctUV"}], ",", 
       RowBox[{"DiracSubstitute67", "\[Rule]", "False"}]}], "]"}], "]"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.9024807090329027`*^9, 3.902480755417859*^9}, {
   3.902480920828071*^9, 3.9024809453265743`*^9}, {3.902481057433042*^9, 
   3.902481098232325*^9}, {3.9024813643263693`*^9, 3.902481370447834*^9}, {
   3.902481922084099*^9, 3.902481969731943*^9}, {3.902482040158492*^9, 
   3.902482057188492*^9}, {3.902820702910424*^9, 3.9028207069374323`*^9}, {
   3.903617654421583*^9, 3.903617657483128*^9}, {3.903617720239327*^9, 
   3.90361772838456*^9}, {3.9036177808710938`*^9, 3.903617791373427*^9}, {
   3.903622379858241*^9, 3.9036223954485397`*^9}, {3.903622426612248*^9, 
   3.903622443937057*^9}, {3.903622575571547*^9, 3.903622581753962*^9}, {
   3.9036228036295223`*^9, 3.903622810896456*^9}, {3.9036228660497713`*^9, 
   3.903622897275552*^9}, {3.903622929931814*^9, 3.9036229781388083`*^9}, {
   3.903623036085644*^9, 3.903623042167444*^9}, 3.903624081375421*^9, {
   3.903633182376935*^9, 3.903633184336536*^9}, {3.903633667697997*^9, 
   3.903633669080024*^9}, 3.903633767034389*^9, {3.9036344328660307`*^9, 
   3.90363446382273*^9}, {3.903636869542364*^9, 3.903636875257326*^9}, {
   3.9036372568246727`*^9, 3.9036372962291803`*^9}, {3.903677700451363*^9, 
   3.9036777080892143`*^9}, {3.903681949989314*^9, 3.903681950134454*^9}, {
   3.904223844391981*^9, 3.904223848695451*^9}, {3.904224503854107*^9, 
   3.904224504415856*^9}, {3.90423428784264*^9, 3.904234289084382*^9}, {
   3.9042343595053787`*^9, 3.904234405276989*^9}, {3.90423444165305*^9, 
   3.904234456853983*^9}, {3.904234489196046*^9, 3.904234518247953*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"4ad8e47d-31b7-473d-a1d8-a4c31f92291a"],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.902480917333634*^9, 3.902480952509553*^9}, {
   3.902481087367444*^9, 3.902481103183879*^9}, {3.9024813557287703`*^9, 
   3.9024813727791023`*^9}, 3.902481576518816*^9, 3.902481638166319*^9, 
   3.902481974535861*^9, 3.90248217037571*^9, 3.902483775396756*^9, 
   3.902494220890023*^9, 3.902496169573989*^9, 3.9028207343450203`*^9, 
   3.9028210130301867`*^9, 3.902835216072083*^9, 3.902840149589923*^9, 
   3.9028464539033947`*^9, 3.902846869448937*^9, 3.902904788667403*^9, 
   3.902905517723434*^9, 3.90290571557909*^9, 3.902919801946265*^9, 
   3.903618585525318*^9, {3.9036224013436737`*^9, 3.903622444442622*^9}, 
   3.903622816703561*^9, {3.903622868384389*^9, 3.903622898466199*^9}, 
   3.9036229357327414`*^9, 3.903622979378038*^9, 3.903623043392083*^9, 
   3.903625205382304*^9, 3.903626845517761*^9, 3.90363345730688*^9, 
   3.90363363794383*^9, 3.903633672056512*^9, 3.9036337181401777`*^9, 
   3.903633769897668*^9, 3.903634041327289*^9, 3.9036344198157787`*^9, 
   3.903634467199162*^9, {3.903636853771756*^9, 3.903636876301778*^9}, 
   3.903637148969184*^9, 3.9036371888032503`*^9, 3.9036372610063457`*^9, 
   3.9036372974150257`*^9, 3.903637520481*^9, 3.903677775970335*^9, 
   3.903681980777934*^9, 3.903682181664907*^9, 3.9036822242783823`*^9, 
   3.903684355270793*^9, 3.9036851130145893`*^9, 3.9036908035563803`*^9, 
   3.9037108230011997`*^9, {3.904224092583845*^9, 3.904224113787126*^9}, 
   3.904224508129532*^9, 3.904226850124991*^9, 3.904227300096223*^9, 
   3.904227754127809*^9, 3.904227795820112*^9, 3.904228043402426*^9, {
   3.9042343400772467`*^9, 3.9042343651168337`*^9}, {3.904234396959463*^9, 
   3.90423440572971*^9}, {3.904234443267376*^9, 3.904234457479012*^9}, {
   3.904234490276327*^9, 3.904234518882715*^9}, 3.904296435237976*^9, 
   3.904756989297447*^9, 3.909648016792836*^9, 3.909822997867104*^9, 
   3.909828557542693*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"33d6578b-5928-46fe-94b1-bca94a444010"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Coefficients for Loop Amplitude", "Section",
 CellChangeTimes->{{3.903624246744067*^9, 
  3.903624257561161*^9}},ExpressionUUID->"a0e2ade0-be93-4eed-a8a0-\
188bad5ca4de"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"args1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Pair", "[", 
      RowBox[{
       RowBox[{"Momentum", "[", 
        RowBox[{"p1", ",", "D"}], "]"}], ",", 
       RowBox[{"Momentum", "[", 
        RowBox[{"p1", ",", "D"}], "]"}]}], "]"}], ",", "s", ",", 
     RowBox[{"Pair", "[", 
      RowBox[{
       RowBox[{"Momentum", "[", 
        RowBox[{"p2", ",", "D"}], "]"}], ",", 
       RowBox[{"Momentum", "[", 
        RowBox[{"p2", ",", "D"}], "]"}]}], "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"args2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"mChi", "^", "2"}], ",", 
     RowBox[{"mST", "^", "2"}], ",", 
     RowBox[{"mST", "^", "2"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"argsNew", "=", 
   RowBox[{"{", 
    RowBox[{"p1sq", ",", "s", ",", "p2sq"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"subs2", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"PaVe", "[", 
       RowBox[{"0", ",", "0", ",", "args1", ",", "args2", ",", "a___"}], 
       "]"}], "\[Rule]", 
      RowBox[{
       RowBox[{"C00eff", "@@", "argsNew"}], "+", "deltaCTL", "-", 
       "deltaCTR"}]}], ",", 
     RowBox[{
      RowBox[{"PaVe", "[", 
       RowBox[{"1", ",", "1", ",", "args1", ",", "args2", ",", "a___"}], 
       "]"}], "\[Rule]", 
      RowBox[{"C11", "@@", "argsNew"}]}], ",", 
     RowBox[{
      RowBox[{"PaVe", "[", 
       RowBox[{"2", ",", "2", ",", "args1", ",", "args2", ",", "a___"}], 
       "]"}], "\[Rule]", 
      RowBox[{"C22", "@@", "argsNew"}]}], ",", 
     RowBox[{
      RowBox[{"PaVe", "[", 
       RowBox[{"1", ",", "2", ",", "args1", ",", "args2", ",", "a___"}], 
       "]"}], "\[Rule]", 
      RowBox[{"C12", "@@", "argsNew"}]}], ",", 
     RowBox[{
      RowBox[{"PaVe", "[", 
       RowBox[{"1", ",", "args1", ",", "args2", ",", "a___"}], "]"}], 
      "\[Rule]", 
      RowBox[{"C1", "@@", "argsNew"}]}], ",", 
     RowBox[{
      RowBox[{"PaVe", "[", 
       RowBox[{"2", ",", "args1", ",", "args2", ",", "a___"}], "]"}], 
      "\[Rule]", 
      RowBox[{"C2", "@@", "argsNew"}]}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.9036826304465237`*^9, 3.903682635463873*^9}, {
   3.9036831605693493`*^9, 3.903683215368128*^9}, {3.903683325671332*^9, 
   3.903683341582155*^9}, {3.9036834132771463`*^9, 3.9036834756325912`*^9}, {
   3.903683556106001*^9, 3.90368357086112*^9}, {3.903683975464382*^9, 
   3.903684010372531*^9}, {3.903686272471735*^9, 3.903686274727508*^9}, {
   3.903686489033239*^9, 3.903686628172467*^9}, {3.903686729563381*^9, 
   3.90368675997372*^9}, 3.903686813478984*^9, 3.903691542967475*^9, 
   3.904139891814569*^9, 3.904140347966193*^9, {3.904140557027048*^9, 
   3.904140572777528*^9}, {3.904140630363222*^9, 3.9041406437246*^9}, {
   3.904140735021785*^9, 3.904140789430234*^9}, {3.904142588631963*^9, 
   3.9041426054887457`*^9}, {3.9041454829722757`*^9, 3.904145483842086*^9}, {
   3.904234124424786*^9, 3.904234173459425*^9}, {3.904234935553689*^9, 
   3.904234937281945*^9}, {3.904296462696784*^9, 3.90429653668018*^9}, {
   3.904296626112845*^9, 3.90429668024339*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"b8ad352d-648f-4a35-8a13-8f0d07915c23"],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampEsimp3", "=", 
   RowBox[{
    RowBox[{"FeynAmpDenominatorExplicit", "[", 
     RowBox[{"DiracSimplify", "[", "ampEsimp2", "]"}], "]"}], "/.", 
    "subs2"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.902006049343294*^9, 3.902006222206018*^9}, {
   3.902499377848444*^9, 3.9024994139914494`*^9}, {3.9024994497647457`*^9, 
   3.902499526750355*^9}, 3.902499865964862*^9, {3.902500981317378*^9, 
   3.902501009478753*^9}, 3.902501044862177*^9, {3.9025013594583073`*^9, 
   3.902501377225245*^9}, {3.902501438035015*^9, 3.902501442446916*^9}, {
   3.9028216322993727`*^9, 3.902821648342641*^9}, 3.903623932369669*^9, {
   3.903624087646118*^9, 3.903624095595536*^9}, {3.903677606803424*^9, 
   3.903677626351857*^9}, {3.903682296360856*^9, 3.903682298007317*^9}, {
   3.903683227041709*^9, 3.903683228269559*^9}, 3.90368350394671*^9, 
   3.903683561142371*^9, 3.90368360352752*^9, {3.903684013379792*^9, 
   3.903684014556991*^9}, {3.9036866494890547`*^9, 3.903686659725453*^9}, 
   3.903686755311467*^9, {3.9041404057695208`*^9, 3.904140406672662*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"536962fc-d6de-4e12-bbd7-0b5f11c544cc"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"spinorChains1", "=", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", "ampEsimp3", "}"}], ",", 
       RowBox[{"DiracGamma", "[", "___", "]"}], ",", "All"}], "]"}], "]"}], 
    "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"spinorChains2", "=", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", "ampEsimp3", "}"}], ",", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}]}], ",", "All"}], "]"}], "]"}],
     "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"spinorChains3", "=", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", "ampEsimp3", "}"}], ",", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}]}], ",", "All"}], "]"}], "]"}],
     "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"spinorChains4", "=", 
   RowBox[{
    RowBox[{"Tally", "[", 
     RowBox[{"Cases", "[", 
      RowBox[{
       RowBox[{"{", "ampEsimp3", "}"}], ",", 
       RowBox[{
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}], ".", 
        RowBox[{"DiracGamma", "[", "___", "]"}]}], ",", "All"}], "]"}], "]"}],
     "[", 
    RowBox[{"[", 
     RowBox[{"All", ",", "1"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"allTerms", "=", 
  RowBox[{"Sort", "[", 
   RowBox[{"Join", "[", 
    RowBox[{
    "spinorChains1", ",", "spinorChains2", ",", "spinorChains3", ",", 
     "spinorChains4"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pairs1", "=", 
   RowBox[{"Cases2", "[", 
    RowBox[{"ampEsimp3", ",", "Pair"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pairs2", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"pairs1", "[", 
        RowBox[{"[", "i", "]"}], "]"}], " ", 
       RowBox[{"pairs1", "[", 
        RowBox[{"[", "j", "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "pairs1", "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", 
        RowBox[{"i", "+", "1"}], ",", 
        RowBox[{"Length", "[", "pairs1", "]"}]}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"allPairs", "=", 
  RowBox[{"Join", "[", 
   RowBox[{"pairs1", ",", "pairs2"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"su3prods", "=", 
  RowBox[{"Join", "[", 
   RowBox[{
    RowBox[{"Cases2", "[", 
     RowBox[{"ampEsimp3", ",", "SUNTF"}], "]"}], ",", 
    RowBox[{"Cases2", "[", 
     RowBox[{"ampEsimp3", ",", "SUNF"}], "]"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.902004519129347*^9, 3.902004521573133*^9}, {
   3.9024993621311407`*^9, 3.902499365485036*^9}, 3.9025010551325293`*^9, {
   3.902501154463344*^9, 3.902501170246736*^9}, {3.902501286056847*^9, 
   3.90250128992085*^9}, {3.902562352509832*^9, 3.9025624473631763`*^9}, {
   3.902562496234622*^9, 3.902562498523637*^9}, {3.902562641871879*^9, 
   3.9025626440429153`*^9}, {3.902821744815242*^9, 3.902821776304275*^9}, {
   3.9028253191017942`*^9, 3.902825332691965*^9}, {3.902826100334496*^9, 
   3.90282621796178*^9}, {3.902826944826758*^9, 3.90282697489795*^9}, 
   3.9028270445231524`*^9, {3.9028272945696783`*^9, 3.9028273029413958`*^9}, {
   3.902835325313148*^9, 3.9028353308820057`*^9}, {3.902835362913858*^9, 
   3.9028354146986217`*^9}, {3.9036239574089317`*^9, 3.903623990424568*^9}, {
   3.903624040193022*^9, 3.903624057239524*^9}, {3.9041408954018087`*^9, 
   3.904140913328939*^9}, {3.904140983834976*^9, 3.904140984792417*^9}, {
   3.904141098130378*^9, 3.904141098784445*^9}},
 CellLabel->"In[35]:=",ExpressionUUID->"fd1f0ca2-e6f9-4b17-a389-84b27851dbf2"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SuperscriptBox[
     OverscriptBox["\[Gamma]", "_"], 
     FormBox["6",
      TraditionalForm]], ",", 
    SuperscriptBox["\[Gamma]", 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm]}], ",", 
    RowBox[{"\[Gamma]", "\[CenterDot]", 
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm]}], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, {3.90362393727732*^9, 3.9036239913563538`*^9}, 
   3.90362405852069*^9, 3.903624098263685*^9, 3.903624563136691*^9, 
   3.903625209490119*^9, 3.903626845622985*^9, 3.9036334574119987`*^9, 
   3.90363363803893*^9, 3.903637528778799*^9, 3.903682246753387*^9, 
   3.903682300096272*^9, 3.903683230482151*^9, {3.903683478148411*^9, 
   3.903683505173477*^9}, 3.9036835732454844`*^9, 3.9036836045907803`*^9, 
   3.9036840199751987`*^9, 3.903684355544986*^9, 3.903685113400436*^9, 
   3.9036866672433987`*^9, 3.903686816684978*^9, 3.9036908038839893`*^9, 
   3.90371082328955*^9, 3.904140415500441*^9, 3.904140791791029*^9, 
   3.9041408429502897`*^9, {3.904140898826634*^9, 3.904140913902173*^9}, 
   3.904140985479121*^9, 3.904141115436494*^9, 3.904142608685961*^9, 
   3.904145526340036*^9, 3.90415692295821*^9, 3.9041625590907907`*^9, 
   3.904163132550784*^9, 3.904163203313272*^9, 3.904234718677021*^9, 
   3.904296697445414*^9, 3.904756989404923*^9, 3.9096480170727043`*^9, 
   3.90982299803679*^9, 3.909828557636977*^9},
 CellLabel->"Out[39]=",ExpressionUUID->"140a938a-8d6f-4aba-af09-db2726963bd2"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SuperscriptBox[
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, {3.90362393727732*^9, 3.9036239913563538`*^9}, 
   3.90362405852069*^9, 3.903624098263685*^9, 3.903624563136691*^9, 
   3.903625209490119*^9, 3.903626845622985*^9, 3.9036334574119987`*^9, 
   3.90363363803893*^9, 3.903637528778799*^9, 3.903682246753387*^9, 
   3.903682300096272*^9, 3.903683230482151*^9, {3.903683478148411*^9, 
   3.903683505173477*^9}, 3.9036835732454844`*^9, 3.9036836045907803`*^9, 
   3.9036840199751987`*^9, 3.903684355544986*^9, 3.903685113400436*^9, 
   3.9036866672433987`*^9, 3.903686816684978*^9, 3.9036908038839893`*^9, 
   3.90371082328955*^9, 3.904140415500441*^9, 3.904140791791029*^9, 
   3.9041408429502897`*^9, {3.904140898826634*^9, 3.904140913902173*^9}, 
   3.904140985479121*^9, 3.904141115436494*^9, 3.904142608685961*^9, 
   3.904145526340036*^9, 3.90415692295821*^9, 3.9041625590907907`*^9, 
   3.904163132550784*^9, 3.904163203313272*^9, 3.904234718677021*^9, 
   3.904296697445414*^9, 3.904756989404923*^9, 3.9096480170727043`*^9, 
   3.90982299803679*^9, 3.909828557639143*^9},
 CellLabel->"Out[42]=",ExpressionUUID->"ecf88a19-8a33-4968-8b45-359a43d2c1cd"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   SubsuperscriptBox["T", 
    RowBox[{
     FormBox[
      FormBox["c2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["c1",
       TraditionalForm],
      TraditionalForm]}], 
    FormBox[
     FormBox["cc3",
      TraditionalForm],
     TraditionalForm]], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902562499820004*^9, {3.902562649345777*^9, 3.902562666763632*^9}, 
   3.902645004124778*^9, 3.902696500839258*^9, 3.902821715657524*^9, {
   3.902821755406088*^9, 3.9028217790249*^9}, 3.902822149893393*^9, 
   3.9028227400309477`*^9, 3.902825334390645*^9, 3.902826112235648*^9, {
   3.902826189062909*^9, 3.902826218291547*^9}, 3.902826976899872*^9, 
   3.902827303778936*^9, 3.9028304733054047`*^9, 3.902835220292431*^9, 
   3.9028353315092497`*^9, {3.9028353755562773`*^9, 3.9028354152024527`*^9}, 
   3.9028401542296267`*^9, 3.902846458419183*^9, 3.9028468733949327`*^9, 
   3.902904791256143*^9, 3.9029055201094112`*^9, 3.902905717961637*^9, 
   3.902919804330009*^9, {3.90362393727732*^9, 3.9036239913563538`*^9}, 
   3.90362405852069*^9, 3.903624098263685*^9, 3.903624563136691*^9, 
   3.903625209490119*^9, 3.903626845622985*^9, 3.9036334574119987`*^9, 
   3.90363363803893*^9, 3.903637528778799*^9, 3.903682246753387*^9, 
   3.903682300096272*^9, 3.903683230482151*^9, {3.903683478148411*^9, 
   3.903683505173477*^9}, 3.9036835732454844`*^9, 3.9036836045907803`*^9, 
   3.9036840199751987`*^9, 3.903684355544986*^9, 3.903685113400436*^9, 
   3.9036866672433987`*^9, 3.903686816684978*^9, 3.9036908038839893`*^9, 
   3.90371082328955*^9, 3.904140415500441*^9, 3.904140791791029*^9, 
   3.9041408429502897`*^9, {3.904140898826634*^9, 3.904140913902173*^9}, 
   3.904140985479121*^9, 3.904141115436494*^9, 3.904142608685961*^9, 
   3.904145526340036*^9, 3.90415692295821*^9, 3.9041625590907907`*^9, 
   3.904163132550784*^9, 3.904163203313272*^9, 3.904234718677021*^9, 
   3.904296697445414*^9, 3.904756989404923*^9, 3.9096480170727043`*^9, 
   3.90982299803679*^9, 3.909828557641404*^9},
 CellLabel->"Out[43]=",ExpressionUUID->"c45d1d49-a3f6-44c9-9709-8358d73008de"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Coefficients for each term", "Subsection",
 CellChangeTimes->{{3.902214189329135*^9, 
  3.9022142008054123`*^9}},ExpressionUUID->"016de0b9-4923-4072-8551-\
e8e4c88b2775"],

Cell["Define short names for each coefficient", "Text",
 CellChangeTimes->{{3.903686797490971*^9, 3.903686805173506*^9}, 
   3.9098136556378727`*^9},ExpressionUUID->"9f7f14e4-c38c-4131-857c-\
470a4f1c3fd4"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"su3Terms", "=", 
   RowBox[{"{", "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"c", "=", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{"Coefficient", "[", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{"Coefficient", "[", 
            RowBox[{
             RowBox[{"Expand", "[", "ampEsimp3", "]"}], ",", 
             RowBox[{"su3prods", "[", 
              RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
           RowBox[{"allTerms", "[", 
            RowBox[{"[", "j", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"allPairs", "[", 
          RowBox[{"[", "k", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"c", "\[Equal]", "0"}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"c", "=", " ", 
      RowBox[{"Collect", "[", 
       RowBox[{
        FractionBox["c", 
         RowBox[{"I", " ", 
          RowBox[{"Pi", "^", "2"}], " ", "gs", " ", 
          RowBox[{"yDM", "^", "2"}]}]], ",", 
        RowBox[{"{", 
         RowBox[{"MT", ",", "t", ",", "u"}], "}"}], ",", "FullSimplify"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"su3prods", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"allTerms", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", 
         RowBox[{"allPairs", "[", 
          RowBox[{"[", "k", "]"}], "]"}], ",", "c"}], "}"}]}], "]"}], ";"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "su3prods", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", 
      RowBox[{"Length", "[", "allTerms", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", 
      RowBox[{"Length", "[", "allPairs", "]"}]}], "}"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.902822824691904*^9, 3.9028228628245907`*^9}, {
   3.902822957371319*^9, 3.902823022783737*^9}, {3.902823053816306*^9, 
   3.902823059806828*^9}, {3.902823144442112*^9, 3.902823148135298*^9}, {
   3.902825304272408*^9, 3.902825312750387*^9}, {3.902825352343452*^9, 
   3.902825366383319*^9}, {3.9028255362452183`*^9, 3.902825545751194*^9}, {
   3.902825578956627*^9, 3.9028255834493637`*^9}, {3.902825616382675*^9, 
   3.902825677762536*^9}, {3.902825716230172*^9, 3.902825718031179*^9}, {
   3.902825764199587*^9, 3.9028257854608803`*^9}, {3.902825874421525*^9, 
   3.9028259261874657`*^9}, {3.902825972548339*^9, 3.902826045105678*^9}, {
   3.9028262249419193`*^9, 3.90282623667811*^9}, {3.902826305478527*^9, 
   3.9028263082885847`*^9}, {3.902826356005003*^9, 3.902826366931057*^9}, {
   3.902827051257708*^9, 3.902827120837903*^9}, {3.902827260848095*^9, 
   3.902827286876574*^9}, {3.902827420382741*^9, 3.902827422032021*^9}, {
   3.903624112553475*^9, 3.903624165246595*^9}, {3.903682334669325*^9, 
   3.90368236483569*^9}, {3.9036868260343943`*^9, 3.903686832260447*^9}, 
   3.903692330289711*^9, {3.904140472250944*^9, 3.904140499464526*^9}, {
   3.904140934295156*^9, 3.9041409511024933`*^9}, {3.90414106030752*^9, 
   3.904141070050008*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"95188808-1123-469a-98d0-dcff550d1123"],

Cell["\<\
We have to deal with the terms without explicit momenta separately:\
\>", "Text",
 CellChangeTimes->{{3.904141294185747*^9, 3.904141318894506*^9}, 
   3.904145237084902*^9},ExpressionUUID->"372853f3-799f-43ca-a769-\
6ac9766fd33d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Do", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"c", "=", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{"Coefficient", "[", 
        RowBox[{
         RowBox[{"Coefficient", "[", 
          RowBox[{
           RowBox[{"Expand", "[", 
            RowBox[{"ampEsimp3", "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"Pair", "[", 
                 RowBox[{
                  RowBox[{"LorentzIndex", "[", 
                   RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
                  RowBox[{"Momentum", "[", 
                   RowBox[{"p2", ",", "D"}], "]"}]}], "]"}], "\[Rule]", "0"}],
                ",", 
               RowBox[{
                RowBox[{"Pair", "[", 
                 RowBox[{
                  RowBox[{"LorentzIndex", "[", 
                   RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
                  RowBox[{"Momentum", "[", 
                   RowBox[{"p1", ",", "D"}], "]"}]}], "]"}], "\[Rule]", 
                "0"}]}], "}"}]}], "]"}], ",", 
           RowBox[{"su3prods", "[", 
            RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
         RowBox[{"allTerms", "[", 
          RowBox[{"[", "j", "]"}], "]"}]}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"c", "\[Equal]", "0"}], ",", 
       RowBox[{"Continue", "[", "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"c", "=", " ", 
      RowBox[{"Collect", "[", 
       RowBox[{
        FractionBox["c", 
         RowBox[{"I", " ", 
          RowBox[{"Pi", "^", "2"}], " ", "gs", " ", 
          RowBox[{"yDM", "^", "2"}]}]], ",", 
        RowBox[{"{", 
         RowBox[{"MT", ",", "t", ",", "u"}], "}"}], ",", "FullSimplify"}], 
       "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"AppendTo", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"su3prods", "[", 
          RowBox[{"[", "i", "]"}], "]"}], ",", 
         RowBox[{"allTerms", "[", 
          RowBox[{"[", "j", "]"}], "]"}], ",", "1", ",", "c"}], "}"}]}], 
      "]"}], ";"}], "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "su3prods", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"j", ",", "1", ",", 
      RowBox[{"Length", "[", "allTerms", "]"}]}], "}"}]}], "]"}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.9041412656090317`*^9, 3.9041412919157553`*^9}, {
  3.904141325474263*^9, 3.904141328089796*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"ced9a64a-d3a1-4a4c-b50a-cbc419866323"],

Cell[CellGroupData[{

Cell["Check that all terms have been correctly split", "Subsubsection",
 CellChangeTimes->{{3.902827486105904*^9, 
  3.902827503262466*^9}},ExpressionUUID->"3fdde77c-dd06-4fc2-8235-\
7937d80a50ce"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampTot", " ", "=", " ", 
   RowBox[{"I", " ", 
    RowBox[{"Pi", "^", "2"}], " ", "gs", " ", 
    RowBox[{"yDM", "^", "2"}], "  ", 
    RowBox[{"Sum", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "1"}], "]"}], "]"}], " ", 
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "2"}], "]"}], "]"}], " ", 
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "3"}], "]"}], "]"}], 
       RowBox[{"su3Terms", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "4"}], "]"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "1", ",", 
        RowBox[{"Length", "[", "su3Terms", "]"}]}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{"ampTot", "-", "ampEsimp3"}], "]"}]}], "Input",
 CellChangeTimes->{{3.9028275071397533`*^9, 3.902827606277204*^9}, 
   3.90362422657979*^9, {3.903686996767531*^9, 3.903687007584167*^9}, {
   3.9041404810412693`*^9, 3.904140501416791*^9}, 3.9041409635896893`*^9},
 CellLabel->"In[47]:=",ExpressionUUID->"f00fcbbe-9724-4d49-96ab-14661fae6a69"],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.904140492613196*^9, 3.904140503959264*^9}, 
   3.904140797299712*^9, 3.904140843008334*^9, 3.904140964827313*^9, 
   3.9041411189267073`*^9, 3.90414134456847*^9, 3.904142616446875*^9, 
   3.904145526385285*^9, 3.904156922992743*^9, 3.904162568821933*^9, 
   3.9041631325864067`*^9, 3.9041632136129513`*^9, 3.9042347391165943`*^9, 
   3.9042967201369753`*^9, 3.9047569894602833`*^9, 3.909648017174399*^9, 
   3.90982299814762*^9, 3.909828557678952*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"edbc8fee-e0ad-45b5-90de-548455201082"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["su3Terms"], "Input",
 CellChangeTimes->{{3.90284088211617*^9, 3.9028408839498787`*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"65dbe998-4c30-4d01-b9a8-ec4f648df578"],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      SubsuperscriptBox["T", 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}], 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"C1", "(", 
        RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"C11", "(", 
         RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}]}]},
     {
      SubsuperscriptBox["T", 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}], 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"C1", "(", 
         RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"C12", "(", 
         RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}]}]},
     {
      SubsuperscriptBox["T", 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}], 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"2", " ", 
         RowBox[{"C12", "(", 
          RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}]}], "-", 
       RowBox[{"C2", "(", 
        RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}]},
     {
      SubsuperscriptBox["T", 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}], 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], 
      SuperscriptBox[
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       RowBox[{"C2", "(", 
        RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"C22", "(", 
         RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}]}]},
     {
      SubsuperscriptBox["T", 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}], 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], "1", 
      RowBox[{"2", " ", "deltaCTL"}]},
     {
      SubsuperscriptBox["T", 
       RowBox[{
        FormBox[
         FormBox["c2",
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox["c1",
          TraditionalForm],
         TraditionalForm]}], 
       FormBox[
        FormBox["cc3",
         TraditionalForm],
        TraditionalForm]], 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], "1", 
      RowBox[{"2", " ", 
       RowBox[{"C00eff", "(", 
        RowBox[{"p1sq", ",", "s", ",", "p2sq"}], ")"}]}]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.902840884593779*^9, 3.902846468030122*^9, 3.9028468815229073`*^9, 
   3.9029047966349688`*^9, 3.902905525625834*^9, 3.902905723160307*^9, 
   3.902919809550342*^9, 3.903624232236676*^9, 3.903624569133115*^9, 
   3.903625214595337*^9, 3.903626845792584*^9, 3.903633457589047*^9, 
   3.903633638214342*^9, 3.9036375291487913`*^9, 3.9036822638340473`*^9, 
   3.903682305235937*^9, {3.903682340290403*^9, 3.903682367812929*^9}, 
   3.903683240441052*^9, {3.9036834860693817`*^9, 3.903683508613489*^9}, 
   3.9036835774529657`*^9, 3.90368361009753*^9, 3.9036840245630217`*^9, 
   3.903684356179017*^9, 3.9036851142076597`*^9, 3.9036866745165*^9, 
   3.903686849764447*^9, 3.9036868944118137`*^9, 3.9036870093015738`*^9, 
   3.9036908044006166`*^9, 3.9037108237647953`*^9, {3.9041404948104*^9, 
   3.904140504792603*^9}, 3.9041407990682707`*^9, 3.904140843025262*^9, 
   3.904141347900383*^9, 3.904142617510749*^9, 3.904145526400804*^9, 
   3.904156923006764*^9, 3.904162572647996*^9, 3.904163132599291*^9, 
   3.904163214965561*^9, 3.904234740251539*^9, 3.9042967213488407`*^9, 
   3.904756989487796*^9, 3.909648017207324*^9, 3.909822998164349*^9, 
   3.909828557693481*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"beb207a4-6853-42eb-bc7e-36530be86a6a"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Construct ALOHA terms", "Section",
 CellChangeTimes->{{3.90282439728789*^9, 
  3.9028244054044323`*^9}},ExpressionUUID->"5fc0cf35-cb42-48a1-8dde-\
ea21b9983ee2"],

Cell["\<\

UFO conventions:
ProjM -> Gamma[7], ProjP -> Gamma[6]
particles = [ P.t__tilde __, P.t, P.g ] ] = [ p1=P(*,1),  p2=P(*,2), \
p3(\[Mu])=P(*,3) ] (all momenta are incoming)
c2 = Top color = \"2\", c1 = Anti-Top color = \"1\", c3 = Gluon color = \"3\"
spins = [2, 2, 3], 
structure = ' P (4, 3)*Gamma (3, 2, -1)*ProjP (-1, 1) - P (3, 4)*Gamma (4, 2, \
-1)*ProjP (-1, 1)')
(The indices of the product of gamma matrices are always M(2,1), since the \
second (outgoing) top is contract to the left and the first (incoming) to the \
right)\
\>", "Text",
 CellChangeTimes->{{3.9028244127388268`*^9, 3.9028244572997704`*^9}, {
  3.9028245494877653`*^9, 3.902824565289369*^9}, {3.902825135407077*^9, 
  3.902825165986191*^9}, {3.9028252069681892`*^9, 3.902825209358458*^9}, {
  3.902827635902626*^9, 3.9028276404204607`*^9}, {3.902828503425274*^9, 
  3.902828598854724*^9}, {3.902828648303794*^9, 3.902828650321616*^9}, {
  3.902841286902041*^9, 3.902841414274*^9}, {3.9041625877972116`*^9, 
  3.90416258819027*^9}, {3.9041626214296503`*^9, 3.904162630902267*^9}, {
  3.904162681151655*^9, 3.904162741968356*^9}, {3.904163156304696*^9, 
  3.904163158544257*^9}, {3.90423483441535*^9, 3.904234835828045*^9}, {
  3.90429673259059*^9, 
  3.9042968098143663`*^9}},ExpressionUUID->"f2b4454b-4ed2-45b8-ba46-\
4b3a38e9dde2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"su3Matrices", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "1"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"tensors", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "2"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"momenta", "=", 
  RowBox[{
   RowBox[{"Tally", "[", 
    RowBox[{"su3Terms", "[", 
     RowBox[{"[", 
      RowBox[{"All", ",", "3"}], "]"}], "]"}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{"All", ",", "1"}], "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.902827641837318*^9, 3.902827750598144*^9}, {
   3.902828211213133*^9, 3.902828248891708*^9}, 3.9036851549930964`*^9, {
   3.90414139566535*^9, 3.904141395914997*^9}},
 CellLabel->"In[50]:=",ExpressionUUID->"c1758470-e71d-491e-aadb-eac480ebaa54"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   SubsuperscriptBox["T", 
    RowBox[{
     FormBox[
      FormBox["c2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["c1",
       TraditionalForm],
      TraditionalForm]}], 
    FormBox[
     FormBox["cc3",
      TraditionalForm],
     TraditionalForm]], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.903685156364622*^9, 3.903687029445321*^9, 3.903690804414878*^9, 
   3.9037108237791348`*^9, {3.904141383796115*^9, 3.9041413969462357`*^9}, 
   3.904142639949748*^9, 3.9041455264140263`*^9, 3.904156923022148*^9, 
   3.9041627457820787`*^9, 3.904163132614362*^9, 3.904163222581107*^9, 
   3.904234850508368*^9, 3.90429681391887*^9, 3.904756989610354*^9, 
   3.909648017235935*^9, 3.909822998182067*^9, 3.9098285577178164`*^9},
 CellLabel->"Out[50]=",ExpressionUUID->"7d8bb0bd-e474-4c80-a2bf-cc1eb2361e5e"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p1",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"\[Gamma]", "\[CenterDot]", 
       FormBox[
        FormBox["p2",
         TraditionalForm],
        TraditionalForm]}], ")"}], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}], ",", 
    SuperscriptBox["\[Gamma]", 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], ".", 
     SuperscriptBox[
      OverscriptBox["\[Gamma]", "_"], 
      FormBox["6",
       TraditionalForm]]}]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.903685156364622*^9, 3.903687029445321*^9, 3.903690804414878*^9, 
   3.9037108237791348`*^9, {3.904141383796115*^9, 3.9041413969462357`*^9}, 
   3.904142639949748*^9, 3.9041455264140263`*^9, 3.904156923022148*^9, 
   3.9041627457820787`*^9, 3.904163132614362*^9, 3.904163222581107*^9, 
   3.904234850508368*^9, 3.90429681391887*^9, 3.904756989610354*^9, 
   3.909648017235935*^9, 3.909822998182067*^9, 3.909828557724452*^9},
 CellLabel->"Out[51]=",ExpressionUUID->"178fc684-964f-4c6d-9ca7-51d6ca8754be"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    SuperscriptBox[
     FormBox[
      FormBox["p1",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", 
    SuperscriptBox[
     FormBox[
      FormBox["p2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["\[Mu]",
       TraditionalForm],
      TraditionalForm]], ",", "1"}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.902827672000914*^9, 3.902827751083967*^9}, 
   3.902828249476062*^9, 3.902830517133444*^9, 3.902835220747198*^9, 
   3.902835306741469*^9, 3.9028354328386517`*^9, 3.9028401637460546`*^9, 
   3.902846468064383*^9, 3.9028468815712442`*^9, 3.9029047966681547`*^9, 
   3.902905525651026*^9, 3.902905723189262*^9, 3.9029198095725718`*^9, 
   3.903685156364622*^9, 3.903687029445321*^9, 3.903690804414878*^9, 
   3.9037108237791348`*^9, {3.904141383796115*^9, 3.9041413969462357`*^9}, 
   3.904142639949748*^9, 3.9041455264140263`*^9, 3.904156923022148*^9, 
   3.9041627457820787`*^9, 3.904163132614362*^9, 3.904163222581107*^9, 
   3.904234850508368*^9, 3.90429681391887*^9, 3.904756989610354*^9, 
   3.909648017235935*^9, 3.909822998182067*^9, 3.909828557725532*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"46b5ba0c-f018-4443-b4a5-e802d563da77"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"su3Replacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"SUNTF", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"SUNIndex", "[", "cc3", "]"}], "}"}], ",", 
       RowBox[{"SUNFIndex", "[", "c2", "]"}], ",", 
       RowBox[{"SUNFIndex", "[", "c1", "]"}]}], "]"}], "\[Rule]", " ", 
     "\"\<T(3,2,1)\>\""}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tensorReplacements", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p1", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1)\>\""}], ",", 
     "\[IndentingNewLine]", "\t\t\t\t   ", 
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"Momentum", "[", 
          RowBox[{"p2", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1)\>\""}], ",", 
     "\[IndentingNewLine]", "\t\t\t\t   ", 
     RowBox[{
      RowBox[{"DiracGamma", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", "D"}], "]"}], "\[Rule]", 
      " ", "\"\<Gamma(3,2,1)\>\""}], ",", "\[IndentingNewLine]", 
     "\t\t\t\t    ", 
     RowBox[{
      RowBox[{
       RowBox[{"DiracGamma", "[", 
        RowBox[{
         RowBox[{"LorentzIndex", "[", 
          RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", "D"}], "]"}], ".", 
       RowBox[{"DiracGamma", "[", "6", "]"}]}], "\[Rule]", " ", 
      "\"\<Gamma(3,2,-1)*ProjP(-1,1)\>\""}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"momentaReplacements", "=", 
   RowBox[{"{", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Pair", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
        RowBox[{"Momentum", "[", 
         RowBox[{"p1", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<P(3,1)*\>\""}], ",", "\[IndentingNewLine]", 
     "                                           ", 
     RowBox[{
      RowBox[{"Pair", "[", 
       RowBox[{
        RowBox[{"LorentzIndex", "[", 
         RowBox[{"\[Mu]", ",", "D"}], "]"}], ",", 
        RowBox[{"Momentum", "[", 
         RowBox[{"p2", ",", "D"}], "]"}]}], "]"}], "\[Rule]", " ", 
      "\"\<P(3,2)*\>\""}], ",", 
     RowBox[{"1", "\[Rule]", " ", "\"\<\>\""}]}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.903685872977469*^9, {3.903710737312819*^9, 3.903710762418936*^9}, {
   3.904141735681109*^9, 3.90414173605619*^9}, {3.904141774440974*^9, 
   3.904141965963333*^9}, {3.904156868643372*^9, 3.90415691091227*^9}, {
   3.90416316281989*^9, 3.9041631762654943`*^9}, {3.904234862132971*^9, 
   3.904234866415285*^9}, {3.90429682092113*^9, 3.9042968257675858`*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"3db20b20-1661-4b4c-96ea-e301fb0a93f5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"tensorReplacements", " ", "=", " ", 
  RowBox[{"SortBy", "[", 
   RowBox[{"tensorReplacements", ",", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"StringLength", "[", 
       RowBox[{"ToString", "[", "#", "]"}], "]"}]}], "&"}]}], 
   "]"}]}], "\[IndentingNewLine]", "momentaReplacements"}], "Input",
 CellChangeTimes->{{3.9036858750979557`*^9, 3.9036858760905457`*^9}, {
  3.903687631763*^9, 3.903687632295087*^9}, {3.904296863617167*^9, 
  3.904296863842729*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"6af30d0b-c187-4aa3-baed-8d9cdeb4a81c"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p1",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", "\<\"P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"\[Gamma]", "\[CenterDot]", 
        FormBox[
         FormBox["p2",
          TraditionalForm],
         TraditionalForm]}], ")"}], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], 
     "\[Rule]", "\<\"P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1)\"\>"}], ",", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], "\[Rule]", "\<\"Gamma(3,2,-1)*ProjP(-1,1)\"\>"}],
     ",", 
    RowBox[{
     SuperscriptBox["\[Gamma]", 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], "\[Rule]", "\<\"Gamma(3,2,1)\"\>"}]}], "}"}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{
  3.90368587648947*^9, 3.903687044697453*^9, 3.9036876351190968`*^9, 
   3.903690804440839*^9, 3.90371082380437*^9, 3.90414197253338*^9, 
   3.904142639971315*^9, 3.904145526433223*^9, 3.904156923053732*^9, 
   3.904162791718812*^9, 3.90416313263531*^9, 3.904163226445485*^9, 
   3.904234875819232*^9, {3.904296858595481*^9, 3.904296864264392*^9}, 
   3.904756989647615*^9, 3.9096480172895613`*^9, 3.909822998215005*^9, 
   3.909828557741107*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"922d1389-ce4f-4fec-a3f0-f06de44b4deb"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p1",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], "\[Rule]", "\<\"P(3,1)*\"\>"}], ",", 
    RowBox[{
     SuperscriptBox[
      FormBox[
       FormBox["p2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["\[Mu]",
        TraditionalForm],
       TraditionalForm]], "\[Rule]", "\<\"P(3,2)*\"\>"}], ",", 
    RowBox[{"1", "\[Rule]", "\<\"\"\>"}]}], "}"}], TraditionalForm]], "Output",\

 CellChangeTimes->{
  3.90368587648947*^9, 3.903687044697453*^9, 3.9036876351190968`*^9, 
   3.903690804440839*^9, 3.90371082380437*^9, 3.90414197253338*^9, 
   3.904142639971315*^9, 3.904145526433223*^9, 3.904156923053732*^9, 
   3.904162791718812*^9, 3.90416313263531*^9, 3.904163226445485*^9, 
   3.904234875819232*^9, {3.904296858595481*^9, 3.904296864264392*^9}, 
   3.904756989647615*^9, 3.9096480172895613`*^9, 3.909822998215005*^9, 
   3.909828557742283*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"4b2bc6b3-f1a9-4d5e-90f1-feeefde6eb08"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"vertexCounter", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Print", "[", "\"\<------------------\>\"", "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Print", "[", 
     RowBox[{
      RowBox[{"su3Matrices", "[", 
       RowBox[{"[", "n", "]"}], "]"}], "/.", "su3Replacements"}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
      "desired", " ", "SU3", " ", "matrix"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"terms0", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
         RowBox[{"su3Matrices", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
       "desired", " ", "gamma", " ", "structure"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"terms1", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"terms0", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vertexCounter", " ", "+=", " ", "1"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Print", "[", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<FFVNP\>\"", ",", 
          RowBox[{"ToString", "[", "vertexCounter", "]"}]}], "]"}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Print", "[", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Compute", " ", "the", " ", "ALOHA", " ", "term", " ", "for", " ", 
         "this", " ", 
         RowBox[{"tensor", "/", "gamma"}], " ", "structure", " ", "and", " ", 
         "color", " ", "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"terms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"StringJoin", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"StringJoin", "[", 
              RowBox[{
               RowBox[{"Cases2", "[", 
                RowBox[{
                 RowBox[{"terms1", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "3"}], "]"}], "]"}], ",", "Pair"}], 
                "]"}], "/.", "momentaReplacements"}], "]"}], ")"}], ",", 
            "\"\<(\>\"", ",", 
            RowBox[{"ToString", "[", 
             RowBox[{"FortranForm", "[", 
              RowBox[{"terms1", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", 
            "\"\<)\\\\\\n   + \>\""}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{
             RowBox[{"Length", "[", "terms1", "]"}], "-", "1"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"terms", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"StringJoin", "[", 
             RowBox[{
              RowBox[{"Cases2", "[", 
               RowBox[{
                RowBox[{"terms1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Length", "[", "terms1", "]"}], ",", "3"}], "]"}], 
                 "]"}], ",", "Pair"}], "]"}], "/.", "momentaReplacements"}], 
             "]"}], ")"}], ",", "\"\<(\>\"", ",", 
           RowBox[{"ToString", "[", 
            RowBox[{"FortranForm", "[", 
             RowBox[{"terms1", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Length", "[", "terms1", "]"}], ",", "4"}], "]"}], 
              "]"}], "]"}], "]"}], ",", "\"\<)\>\""}], "]"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"terms", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<     \>\"", ",", 
              RowBox[{"terms", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"Length", "[", "terms", "]"}]}], "}"}]}], "]"}]}], 
         ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", "terms", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<( \>\"", ",", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          ",", "\"\< )*( \>\"", ",", "fullStr", ",", "\"\< )\>\""}], "]"}]}], 
       ";", "\[IndentingNewLine]", " ", 
       RowBox[{"Print", "[", "fullStr", "]"}], ";"}], "\[IndentingNewLine]", 
      ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "1", ",", 
        RowBox[{"Length", "[", "tensors", "]"}]}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", 
     RowBox[{"Length", "[", "su3Matrices", "]"}]}], "}"}]}], "]"}]}], "Input",\

 CellChangeTimes->{{3.902828093317595*^9, 3.9028281126052637`*^9}, {
   3.9028281968884373`*^9, 3.902828199326187*^9}, {3.902828744529489*^9, 
   3.902828939147223*^9}, {3.902829090986458*^9, 3.902829092638308*^9}, {
   3.902829270379777*^9, 3.90282979674347*^9}, {3.902829841530156*^9, 
   3.9028298955092583`*^9}, {3.9028299256299686`*^9, 3.902829927340288*^9}, {
   3.902829981956849*^9, 3.902829994283146*^9}, {3.902830056501021*^9, 
   3.9028300638645973`*^9}, {3.902830528281701*^9, 3.902830544917835*^9}, {
   3.902830973149664*^9, 3.902831070517206*^9}, {3.902831522665127*^9, 
   3.90283155938997*^9}, {3.9028355023456907`*^9, 3.902835502577969*^9}, 
   3.902840686673543*^9, {3.902841074795191*^9, 3.9028411555228662`*^9}, {
   3.902919672901024*^9, 3.902919674692136*^9}, {3.9041420140574493`*^9, 
   3.9041420567258787`*^9}, {3.904142179827539*^9, 3.9041421953835583`*^9}, 
   3.904142743576*^9},
 CellLabel->"In[58]:=",ExpressionUUID->"1a6ae735-74a0-4953-a170-fa6d5feae599"],

Cell[CellGroupData[{

Cell[BoxData[
 FormBox["\<\"------------------\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.9098285577557*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"5211977d-c214-46fa-b9bf-58a3cdd832a7"],

Cell[BoxData[
 FormBox["\<\"T(3,2,1)\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.9098285577563877`*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"55c3f608-1278-4b31-bf4b-e01f8604e565"],

Cell[BoxData[
 FormBox["\<\"FFVNP1\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.9098285577576427`*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"af2e51cf-d20d-4c06-afd6-1ef02096a61e"],

Cell[BoxData[
 FormBox["\<\"( P(-1,1)*Gamma(-1,2,-2)*ProjP(-2,1) )*( \
P(3,1)*(C1(p1sq,s,p2sq) + 2*C11(p1sq,s,p2sq))\\\\\\n   + \
P(3,2)*(-C1(p1sq,s,p2sq) - 2*C12(p1sq,s,p2sq)) )\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.909828557757978*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"369cdd9d-0e45-434e-b4f8-c72f8e5d88ae"],

Cell[BoxData[
 FormBox["\<\"FFVNP2\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.90982855775843*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"92e95d52-74bd-47b8-83d9-09cc9d94c4ee"],

Cell[BoxData[
 FormBox["\<\"( P(-1,2)*Gamma(-1,2,-2)*ProjP(-2,1) )*( \
P(3,1)*(-2*C12(p1sq,s,p2sq) - C2(p1sq,s,p2sq))\\\\\\n   + \
P(3,2)*(C2(p1sq,s,p2sq) + 2*C22(p1sq,s,p2sq)) )\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.909828557758765*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"beabdddf-034e-4e5f-a8a6-1e50b6e7bda8"],

Cell[BoxData[
 FormBox["\<\"FFVNP3\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.9098285577591743`*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"198153f7-6bb6-4b31-b9c7-32f8e94cef0b"],

Cell[BoxData[
 FormBox["\<\"( Gamma(3,2,1) )*( (2*deltaCTL) )\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.909828557759534*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"9eb5cc48-2b6e-4d96-a1fe-477bc8275fd2"],

Cell[BoxData[
 FormBox["\<\"FFVNP4\"\>", TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.909828557759884*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"736266bc-5525-4aee-802e-981a070f5c52"],

Cell[BoxData[
 FormBox["\<\"( Gamma(3,2,-1)*ProjP(-1,1) )*( (2*C00eff(p1sq,s,p2sq)) )\"\>", 
  TraditionalForm]], "Print",
 CellChangeTimes->{
  3.902835437839973*^9, 3.9028355050502253`*^9, 3.902840163808345*^9, 
   3.902840693333179*^9, {3.902841078094295*^9, 3.9028411559765377`*^9}, 
   3.902846468098263*^9, 3.9028468816154222`*^9, 3.902904796696392*^9, 
   3.902905525677745*^9, 3.902905723214119*^9, 3.90291980959273*^9, 
   3.9041233649077663`*^9, {3.904142019677587*^9, 3.9041420665069036`*^9}, {
   3.904142181620069*^9, 3.904142195684957*^9}, 3.904142639978286*^9, 
   3.904142744372758*^9, 3.904145526446602*^9, 3.9041569230689917`*^9, 
   3.904156960867011*^9, 3.90416280449527*^9, 3.904163132667289*^9, 
   3.904163233134268*^9, 3.904234895993024*^9, 3.9042968676212254`*^9, 
   3.9047569896772537`*^9, 3.9096480173329973`*^9, 3.9098229982327538`*^9, 
   3.909828557760256*^9},
 CellLabel->
  "During evaluation of \
In[58]:=",ExpressionUUID->"a7feb6c1-01a8-4cf2-8e7d-6ea1183c0f54"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Write to File", "Subsubsection",
 CellChangeTimes->{{3.9029054743452797`*^9, 
  3.902905480324123*^9}},ExpressionUUID->"b43a1e1f-da37-4088-9bac-\
4159ed772c3f"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "fileName", "=", 
   "\"\<../../Models/Top-FormFactorsOneLoop-UFO/lffvnp.txt\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"outF", " ", "=", " ", 
   RowBox[{"OpenWrite", "[", 
    RowBox[{"fileName", ",", 
     RowBox[{"PageWidth", "\[Rule]", "Infinity"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vertexCounter", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Write", "[", 
     RowBox[{"outF", ",", "\"\<------------------\>\""}], "]"}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Write", "[", 
     RowBox[{"outF", ",", 
      RowBox[{
       RowBox[{"su3Matrices", "[", 
        RowBox[{"[", "n", "]"}], "]"}], "/.", "su3Replacements"}]}], "]"}], 
    ";", "\[IndentingNewLine]", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
      "desired", " ", "SU3", " ", "matrix"}], " ", "*)"}], 
    "\[IndentingNewLine]", 
    RowBox[{"terms0", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"su3Terms", ",", 
       RowBox[{
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", 
         RowBox[{"su3Matrices", "[", 
          RowBox[{"[", "n", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{
      "Select", " ", "all", " ", "terms", " ", "containing", " ", "the", " ", 
       "desired", " ", "gamma", " ", "structure"}], " ", "*)"}], 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"terms1", "=", 
        RowBox[{"Select", "[", 
         RowBox[{"terms0", ",", 
          RowBox[{
           RowBox[{
            RowBox[{"#", "[", 
             RowBox[{"[", "2", "]"}], "]"}], "\[Equal]", 
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"vertexCounter", " ", "+=", " ", "1"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Write", "[", 
        RowBox[{"outF", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{"\"\<FFVNP\>\"", ",", 
           RowBox[{"ToString", "[", "vertexCounter", "]"}]}], "]"}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
         RowBox[{"Write", "[", 
          RowBox[{"outF", ",", 
           RowBox[{
            RowBox[{"tensors", "[", 
             RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}]}], 
          "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Compute", " ", "the", " ", "ALOHA", " ", "term", " ", "for", " ", 
         "this", " ", 
         RowBox[{"tensor", "/", "gamma"}], " ", "structure", " ", "and", " ", 
         "color", " ", "factor"}], " ", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"terms", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"StringJoin", "[", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"StringJoin", "[", 
              RowBox[{
               RowBox[{"Cases2", "[", 
                RowBox[{
                 RowBox[{"terms1", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "3"}], "]"}], "]"}], ",", "Pair"}], 
                "]"}], "/.", "momentaReplacements"}], "]"}], ")"}], ",", 
            "\"\<(\>\"", ",", 
            RowBox[{"ToString", "[", 
             RowBox[{"FortranForm", "[", 
              RowBox[{"terms1", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "4"}], "]"}], "]"}], "]"}], "]"}], ",", 
            "\"\<)\\\\\\n   + \>\""}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{
             RowBox[{"Length", "[", "terms1", "]"}], "-", "1"}]}], "}"}]}], 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"AppendTo", "[", 
        RowBox[{"terms", ",", 
         RowBox[{"StringJoin", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"StringJoin", "[", 
             RowBox[{
              RowBox[{"Cases2", "[", 
               RowBox[{
                RowBox[{"terms1", "[", 
                 RowBox[{"[", 
                  RowBox[{
                   RowBox[{"Length", "[", "terms1", "]"}], ",", "3"}], "]"}], 
                 "]"}], ",", "Pair"}], "]"}], "/.", "momentaReplacements"}], 
             "]"}], ")"}], ",", "\"\<(\>\"", ",", 
           RowBox[{"ToString", "[", 
            RowBox[{"FortranForm", "[", 
             RowBox[{"terms1", "[", 
              RowBox[{"[", 
               RowBox[{
                RowBox[{"Length", "[", "terms1", "]"}], ",", "4"}], "]"}], 
              "]"}], "]"}], "]"}], ",", "\"\<)\>\""}], "]"}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"terms", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"StringJoin", "[", 
             RowBox[{"\"\<     \>\"", ",", 
              RowBox[{"terms", "[", 
               RowBox[{"[", "i", "]"}], "]"}]}], "]"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"Length", "[", "terms", "]"}]}], "}"}]}], "]"}]}], 
         ";"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", "terms", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fullStr", " ", "=", " ", 
        RowBox[{"StringJoin", "[", 
         RowBox[{"\"\<( \>\"", ",", 
          RowBox[{
           RowBox[{"tensors", "[", 
            RowBox[{"[", "m", "]"}], "]"}], "/.", "tensorReplacements"}], 
          ",", "\"\< )*( \>\"", ",", "fullStr", ",", "\"\< )\>\""}], "]"}]}], 
       ";", "\[IndentingNewLine]", " ", 
       RowBox[{"Write", "[", 
        RowBox[{"outF", ",", "fullStr"}], "]"}], ";"}], "\[IndentingNewLine]",
       ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", "1", ",", 
        RowBox[{"Length", "[", "tensors", "]"}]}], "}"}]}], "]"}]}], 
   "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", 
     RowBox[{"Length", "[", "su3Matrices", "]"}]}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Close", "[", "outF", "]"}]}], "Input",
 CellChangeTimes->{{3.902904975963681*^9, 3.902905011761466*^9}, {
   3.902905195579987*^9, 3.9029052313253937`*^9}, {3.90290529632375*^9, 
   3.902905317000214*^9}, {3.902905380118112*^9, 3.902905383373775*^9}, {
   3.902905766470792*^9, 3.902905767471977*^9}, {3.902905814751055*^9, 
   3.902905820196905*^9}, {3.902905852613607*^9, 3.902905877256078*^9}, {
   3.9029059190882187`*^9, 3.9029059212503157`*^9}, 3.90290602753016*^9, {
   3.90290605777884*^9, 3.902906078386305*^9}, {3.902906110034658*^9, 
   3.902906129721521*^9}, {3.902906208462678*^9, 3.9029062942783337`*^9}, 
   3.90291983600139*^9, {3.902920580461288*^9, 3.902920589311644*^9}, {
   3.904123541163713*^9, 3.904123541585717*^9}, {3.904124085112854*^9, 
   3.90412408620761*^9}, {3.9041422085649548`*^9, 3.904142237311949*^9}, {
   3.9041426804232483`*^9, 3.9041427014516907`*^9}, 3.904142735730154*^9},
 CellLabel->"In[60]:=",ExpressionUUID->"b919149c-4371-4a21-8bad-f24049adecd7"],

Cell[BoxData[
 FormBox["\<\"../../Models/Top-FormFactorsOneLoop-UFO/lffvnp.txt\"\>", 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.902905888150086*^9, 3.902905899760147*^9}, {
   3.902905931885778*^9, 3.902905943532175*^9}, 3.90290603338354*^9, {
   3.9029060680064087`*^9, 3.902906087283484*^9}, 3.902906130711829*^9, {
   3.902906245800063*^9, 3.9029062998300543`*^9}, 3.90291980961523*^9, 
   3.902919840846828*^9, 3.902920590211837*^9, 3.904123364930271*^9, 
   3.904123542651031*^9, 3.9041422398461113`*^9, 3.904142639988696*^9, {
   3.904142682378529*^9, 3.9041427021172533`*^9}, 3.904142737018895*^9, 
   3.904142803263665*^9, 3.904145526465448*^9, 3.904156923087516*^9, 
   3.9041569638094788`*^9, 3.904162808467367*^9, 3.904163132692821*^9, 
   3.9041632888208*^9, 3.904296896876409*^9, 3.904756989716198*^9, 
   3.909648017372961*^9, 3.9098229982649097`*^9, 3.909828557775421*^9},
 CellLabel->"Out[64]=",ExpressionUUID->"8aeb54cb-593d-4941-8a7f-423b243dfa08"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["On - Shell Regime and Degenerate", "Section",
 CellChangeTimes->{{3.909647973314056*^9, 3.909647980393235*^9}, {
  3.909648293632503*^9, 3.909648309097382*^9}, {3.909648377996004*^9, 
  3.9096483816527443`*^9}},ExpressionUUID->"0f39ef3c-87b8-4216-9f65-\
2a5bdc57cd14"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"SPD", "[", 
    RowBox[{"p1", ",", "p1"}], "]"}], "=", 
   RowBox[{"MT", "^", "2"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SPD", "[", 
    RowBox[{"p2", ",", "p2"}], "]"}], "=", 
   RowBox[{"MT", "^", "2"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.909648060309614*^9, 3.909648066941572*^9}},
 CellLabel->"In[65]:=",ExpressionUUID->"d82868c3-a483-4ad5-9891-8550c392cef3"],

Cell[BoxData[
 RowBox[{
  RowBox[{"SubsCT", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"deltaCTL", "\[Rule]", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"128", "*", 
           RowBox[{"xT", "^", "2"}], "*", 
           RowBox[{"Sqrt", "[", "lA", "]"}], "*", 
           RowBox[{"Pi", "^", "4"}]}], ")"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", "*", 
           RowBox[{"Sqrt", "[", "lA", "]"}], "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"xT", "*", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "2"}], "+", 
                RowBox[{"2", " ", "xC"}], "+", "xT"}], ")"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 RowBox[{
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "1"}], "+", "xC"}], ")"}], "^", "2"}]}], "+",
                 "xT"}], ")"}], "*", 
              RowBox[{"Log", "[", "xC", "]"}]}]}], ")"}]}], "-", 
          RowBox[{"4", "*", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "xC"}], ")"}], "^", "3"}]}], "+", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "2"}], "+", "xC", "+", 
                RowBox[{"xC", "^", "2"}]}], ")"}], " ", "xT"}], "+", 
             RowBox[{"xT", "^", "2"}]}], ")"}], "*", 
           RowBox[{"Log", "[", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"1", "+", "xC", "+", 
               RowBox[{"Sqrt", "[", "lA", "]"}], "-", "xT"}], ")"}], "/", 
             RowBox[{"(", 
              RowBox[{"2", "*", 
               RowBox[{"Sqrt", "[", "xC", "]"}]}], ")"}]}], "]"}]}]}], ")"}], 
        ")"}]}]}], ",", 
     RowBox[{"deltaCTR", "\[Rule]", " ", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "/", 
         RowBox[{"(", 
          RowBox[{"128", "*", 
           RowBox[{"xT", "^", "2"}], "*", 
           RowBox[{"Sqrt", "[", "lA", "]"}], "*", 
           RowBox[{"Pi", "^", "4"}]}], ")"}]}], ")"}], "*", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "xC", "-", "xT"}], ")"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"Sqrt", "[", "lA", "]"}], "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "*", "xT"}], "-", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "xC", "+", "xT"}], ")"}], "*", 
               RowBox[{"Log", "[", "xC", "]"}]}]}], ")"}]}], "+", 
           RowBox[{"2", "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "2"}], "+", "xC"}], ")"}], "*", "xC"}], "+", 
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "+", "xT"}], ")"}], "^", "2"}]}], ")"}], 
            "*", 
            RowBox[{"Log", "[", 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"1", "+", "xC", "+", 
                RowBox[{"Sqrt", "[", "lA", "]"}], "-", "xT"}], ")"}], "/", 
              RowBox[{"(", 
               RowBox[{"2", "*", 
                RowBox[{"Sqrt", "[", "xC", "]"}]}], ")"}]}], "]"}]}]}], 
          ")"}]}], ")"}]}]}], ",", 
     RowBox[{"xC", "\[Rule]", " ", "1"}], ",", 
     RowBox[{"xT", "\[Rule]", " ", "0"}], ",", 
     RowBox[{"lA", "\[Rule]", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"xC", "^", "2"}], "+", 
        RowBox[{"xT", "^", "2"}], "-", 
        RowBox[{"2", "*", "xC"}], "-", 
        RowBox[{"2", "*", "xT"}], "-", 
        RowBox[{"2", "*", "xT", "*", "xC"}]}], ")"}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.909652698129999*^9, 3.9096527346355047`*^9}},
 CellLabel->"In[67]:=",ExpressionUUID->"b9af1339-1199-4abd-9eba-4bb008367e9b"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{"Limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"deltaCTL", "/.", "SubsCT"}], "/.", 
      RowBox[{"lA", "\[Rule]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"xC", "^", "2"}], "+", 
         RowBox[{"xT", "^", "2"}], "-", 
         RowBox[{"2", "*", "xC"}], "-", 
         RowBox[{"2", "*", "xT"}], "-", 
         RowBox[{"2", "*", "xT", "*", "xC"}]}], ")"}]}]}], ",", 
     RowBox[{"xC", "\[Rule]", "1"}]}], "]"}], ",", 
   RowBox[{"xT", "\[Rule]", "0"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Limit", "[", 
  RowBox[{
   RowBox[{"Limit", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"deltaCTR", "/.", "SubsCT"}], "/.", 
      RowBox[{"lA", "\[Rule]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"xC", "^", "2"}], "+", 
         RowBox[{"xT", "^", "2"}], "-", 
         RowBox[{"2", "*", "xC"}], "-", 
         RowBox[{"2", "*", "xT"}], "-", 
         RowBox[{"2", "*", "xT", "*", "xC"}]}], ")"}]}]}], ",", 
     RowBox[{"xC", "\[Rule]", "1"}]}], "]"}], ",", 
   RowBox[{"xT", "\[Rule]", "0"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.909654461155656*^9, 3.909654512938958*^9}, {
  3.909654722328437*^9, 3.9096547630908117`*^9}},
 CellLabel->"In[68]:=",ExpressionUUID->"3f42883f-260c-41db-8f58-3dd3fa819260"],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.909654442675398*^9, 3.9096544717082567`*^9}, 
   3.909654504546835*^9, 3.909654570001463*^9, 3.909654728354302*^9, 
   3.909654765275916*^9, 3.909822999054641*^9, 3.909828558495166*^9},
 CellLabel->"Out[68]=",ExpressionUUID->"4932775d-dfe1-41b9-bafd-a7659c7f233a"],

Cell[BoxData[
 FormBox["0", TraditionalForm]], "Output",
 CellChangeTimes->{{3.909654442675398*^9, 3.9096544717082567`*^9}, 
   3.909654504546835*^9, 3.909654570001463*^9, 3.909654728354302*^9, 
   3.909654765275916*^9, 3.909822999054641*^9, 3.909828559736499*^9},
 CellLabel->"Out[69]=",ExpressionUUID->"ff0f5aaa-371a-4778-917a-771d2a64d249"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampEsimpOnShell", " ", "=", " ", 
  RowBox[{"FullSimplify", "[", 
   FractionBox["ampEsimp2", 
    RowBox[{"I", " ", 
     RowBox[{"Pi", "^", "2"}], " ", "gs", " ", 
     RowBox[{"yDM", "^", "2"}]}]], "]"}]}]], "Input",
 CellChangeTimes->{{3.909648087617391*^9, 3.909648099489555*^9}, {
   3.90964817818237*^9, 3.9096481834200583`*^9}, 3.909648305507091*^9, {
   3.909648387238455*^9, 3.9096483908763933`*^9}, 3.9096491100928926`*^9, {
   3.909650309724155*^9, 3.909650324516217*^9}},
 CellLabel->"In[70]:=",ExpressionUUID->"ed1bf078-2009-44cb-8b29-e44dbf4f8103"],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubsuperscriptBox["T", 
    RowBox[{
     FormBox[
      FormBox["c2",
       TraditionalForm],
      TraditionalForm], 
     FormBox[
      FormBox["c1",
       TraditionalForm],
      TraditionalForm]}], 
    FormBox[
     FormBox["cc3",
      TraditionalForm],
     TraditionalForm]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{
       SuperscriptBox["\[Gamma]", 
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm]], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], " ", 
      RowBox[{"(", 
       RowBox[{
        FormBox[
         RowBox[{
          SubscriptBox["\<\"C\"\>", "\<\"00\"\>"], "(", 
          RowBox[{
           SuperscriptBox["MT", "2"], ",", "s", ",", 
           SuperscriptBox["MT", "2"], ",", 
           SuperscriptBox["mChi", "2"], ",", 
           SuperscriptBox["mST", "2"], ",", 
           SuperscriptBox["mST", "2"]}], ")"}],
         TraditionalForm], "-", "deltaCTL", "+", "deltaCTR"}], ")"}]}], "+", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p2",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            RowBox[{
             SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
             RowBox[{
              SuperscriptBox["MT", "2"], ",", "s", ",", 
              SuperscriptBox["MT", "2"], ",", 
              SuperscriptBox["mChi", "2"], ",", 
              SuperscriptBox["mST", "2"], ",", 
              SuperscriptBox["mST", "2"]}], ")"}],
            TraditionalForm], "+", 
           RowBox[{"2", " ", 
            FormBox[
             RowBox[{
              SubscriptBox["\<\"C\"\>", "\<\"11\"\>"], "(", 
              RowBox[{
               SuperscriptBox["MT", "2"], ",", "s", ",", 
               SuperscriptBox["MT", "2"], ",", 
               SuperscriptBox["mChi", "2"], ",", 
               SuperscriptBox["mST", "2"], ",", 
               SuperscriptBox["mST", "2"]}], ")"}],
             TraditionalForm]}]}], ")"}]}], "-", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            RowBox[{
             SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
             RowBox[{
              SuperscriptBox["MT", "2"], ",", "s", ",", 
              SuperscriptBox["MT", "2"], ",", 
              SuperscriptBox["mChi", "2"], ",", 
              SuperscriptBox["mST", "2"], ",", 
              SuperscriptBox["mST", "2"]}], ")"}],
            TraditionalForm], "+", 
           RowBox[{"2", " ", 
            FormBox[
             RowBox[{
              SubscriptBox["\<\"C\"\>", "\<\"12\"\>"], "(", 
              RowBox[{
               SuperscriptBox["MT", "2"], ",", "s", ",", 
               SuperscriptBox["MT", "2"], ",", 
               SuperscriptBox["mChi", "2"], ",", 
               SuperscriptBox["mST", "2"], ",", 
               SuperscriptBox["mST", "2"]}], ")"}],
             TraditionalForm]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"\[Gamma]", "\[CenterDot]", 
         FormBox[
          FormBox["p1",
           TraditionalForm],
          TraditionalForm]}], ")"}], ".", 
       SuperscriptBox[
        OverscriptBox["\[Gamma]", "_"], 
        FormBox["6",
         TraditionalForm]]}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p1",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            RowBox[{
             SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
             RowBox[{
              SuperscriptBox["MT", "2"], ",", "s", ",", 
              SuperscriptBox["MT", "2"], ",", 
              SuperscriptBox["mChi", "2"], ",", 
              SuperscriptBox["mST", "2"], ",", 
              SuperscriptBox["mST", "2"]}], ")"}],
            TraditionalForm], "+", 
           RowBox[{"2", " ", 
            FormBox[
             RowBox[{
              SubscriptBox["\<\"C\"\>", "\<\"11\"\>"], "(", 
              RowBox[{
               SuperscriptBox["MT", "2"], ",", "s", ",", 
               SuperscriptBox["MT", "2"], ",", 
               SuperscriptBox["mChi", "2"], ",", 
               SuperscriptBox["mST", "2"], ",", 
               SuperscriptBox["mST", "2"]}], ")"}],
             TraditionalForm]}]}], ")"}]}], "-", 
        RowBox[{
         SuperscriptBox[
          FormBox[
           FormBox["p2",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], " ", 
         RowBox[{"(", 
          RowBox[{
           FormBox[
            RowBox[{
             SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
             RowBox[{
              SuperscriptBox["MT", "2"], ",", "s", ",", 
              SuperscriptBox["MT", "2"], ",", 
              SuperscriptBox["mChi", "2"], ",", 
              SuperscriptBox["mST", "2"], ",", 
              SuperscriptBox["mST", "2"]}], ")"}],
            TraditionalForm], "+", 
           RowBox[{"2", " ", 
            FormBox[
             RowBox[{
              SubscriptBox["\<\"C\"\>", "\<\"12\"\>"], "(", 
              RowBox[{
               SuperscriptBox["MT", "2"], ",", "s", ",", 
               SuperscriptBox["MT", "2"], ",", 
               SuperscriptBox["mChi", "2"], ",", 
               SuperscriptBox["mST", "2"], ",", 
               SuperscriptBox["mST", "2"]}], ")"}],
             TraditionalForm]}]}], ")"}]}]}], ")"}]}], "+", 
     RowBox[{"2", " ", "deltaCTL", " ", 
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]]}]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.909648100357174*^9, 3.909648184835657*^9, 
  3.909648314128962*^9, 3.909648392163438*^9, 3.909649110966421*^9, 
  3.909650326442132*^9, 3.909823000799774*^9, 3.909828560036323*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"8882980d-99f0-4b85-bb7e-d11f26ebe365"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"loopFuncs", "=", 
  RowBox[{"Cases2", "[", 
   RowBox[{"ampEsimpOnShell", ",", "PaVe"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.909648255040289*^9, 3.9096482831205063`*^9}, {
  3.909648383830118*^9, 3.909648385173009*^9}},
 CellLabel->"In[71]:=",ExpressionUUID->"5bb5d566-7dc9-482a-a867-9f7358bd9223"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"1\"\>"], "(", 
      RowBox[{
       SuperscriptBox["MT", "2"], ",", "s", ",", 
       SuperscriptBox["MT", "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm], ",", 
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"00\"\>"], "(", 
      RowBox[{
       SuperscriptBox["MT", "2"], ",", "s", ",", 
       SuperscriptBox["MT", "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm], ",", 
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"11\"\>"], "(", 
      RowBox[{
       SuperscriptBox["MT", "2"], ",", "s", ",", 
       SuperscriptBox["MT", "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm], ",", 
    FormBox[
     RowBox[{
      SubscriptBox["\<\"C\"\>", "\<\"12\"\>"], "(", 
      RowBox[{
       SuperscriptBox["MT", "2"], ",", "s", ",", 
       SuperscriptBox["MT", "2"], ",", 
       SuperscriptBox["mChi", "2"], ",", 
       SuperscriptBox["mST", "2"], ",", 
       SuperscriptBox["mST", "2"]}], ")"}],
     TraditionalForm]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.909648274766787*^9, 3.909648283689497*^9}, 
   3.909648316103644*^9, 3.909648397154703*^9, 3.909649112171157*^9, 
   3.9096503286890373`*^9, 3.909823000822785*^9, 3.909828560052696*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"0d56dfeb-e4f8-44f8-83f4-9c2d32436766"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"loopFuncsEFT1", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"PaXEvaluate", "[", 
       RowBox[{
        RowBox[{"loopFuncs", "[", 
         RowBox[{"[", "i", "]"}], "]"}], ",", 
        RowBox[{"PaXImplicitPrefactor", "\[Rule]", 
         RowBox[{"1", "/", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"2", " ", "Pi"}], ")"}], "^", 
           RowBox[{"(", 
            RowBox[{"4", "-", 
             RowBox[{"2", " ", "Epsilon"}]}], ")"}]}]}]}], ",", 
        RowBox[{"PaXSeries", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"MT", ",", "0", ",", "0"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"mChi", ",", "mST", ",", "0"}], "}"}]}], "}"}]}]}], "]"}],
       "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"EulerGamma", "\[Rule]", "0"}], ",", 
        RowBox[{"ScaleMu", "\[Rule]", 
         FractionBox["mST", 
          SqrtBox[
           RowBox[{"4", " ", "Pi"}]]]}]}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"i", ",", "1", ",", 
      RowBox[{"Length", "[", "loopFuncs", "]"}]}], "}"}]}], "]"}]}]], "Input",\

 CellChangeTimes->{{3.90964831950694*^9, 3.9096483646278667`*^9}, {
  3.9096485566917133`*^9, 3.909648559857723*^9}, {3.909649105315907*^9, 
  3.909649136667706*^9}, {3.9096491743988256`*^9, 3.909649180948655*^9}, {
  3.9096495938099194`*^9, 3.909649594096189*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"bcc849b2-84da-4fda-bb1d-5de49d18f933"],

Cell[BoxData[
 FormBox[
  RowBox[{"{", 
   RowBox[{
    FractionBox[
     RowBox[{
      RowBox[{
       SqrtBox[
        RowBox[{"s", " ", 
         RowBox[{"(", 
          RowBox[{"s", "-", 
           RowBox[{"4", " ", 
            SuperscriptBox["mST", "2"]}]}], ")"}]}]], " ", 
       RowBox[{"log", "(", 
        FractionBox[
         RowBox[{
          SqrtBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{"s", "-", 
              RowBox[{"4", " ", 
               SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["mST", "2"]}], "-", "s"}], 
         RowBox[{"2", " ", 
          SuperscriptBox["mST", "2"]}]], ")"}]}], "+", 
      RowBox[{"2", " ", "s"}]}], 
     RowBox[{"16", " ", 
      SuperscriptBox["\[Pi]", "4"], " ", 
      SuperscriptBox["s", "2"]}]], ",", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"64", " ", 
       SuperscriptBox["\[Pi]", "4"], " ", 
       TagBox["\[CurlyEpsilon]",
        TraditionalForm], " ", "s"}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        TagBox["\[CurlyEpsilon]",
         TraditionalForm], " ", 
        RowBox[{"log", "(", 
         FractionBox[
          RowBox[{
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{"s", "-", 
               RowBox[{"4", " ", 
                SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["mST", "2"]}], "-", "s"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["mST", "2"]}]], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          SqrtBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{"s", "-", 
              RowBox[{"4", " ", 
               SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
          RowBox[{
           SuperscriptBox["mST", "2"], " ", 
           RowBox[{"log", "(", 
            FractionBox[
             RowBox[{
              SqrtBox[
               RowBox[{"s", " ", 
                RowBox[{"(", 
                 RowBox[{"s", "-", 
                  RowBox[{"4", " ", 
                   SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
              RowBox[{"2", " ", 
               SuperscriptBox["mST", "2"]}], "-", "s"}], 
             RowBox[{"2", " ", 
              SuperscriptBox["mST", "2"]}]], ")"}]}]}], ")"}]}], "+", 
       RowBox[{"3", " ", 
        TagBox["\[CurlyEpsilon]",
         TraditionalForm], " ", "s"}], "+", "s"}], ")"}]}], ",", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{
       RowBox[{
        SqrtBox[
         RowBox[{"s", " ", 
          RowBox[{"(", 
           RowBox[{"s", "-", 
            RowBox[{"4", " ", 
             SuperscriptBox["mST", "2"]}]}], ")"}]}]], " ", 
        RowBox[{"log", "(", 
         FractionBox[
          RowBox[{
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{"s", "-", 
               RowBox[{"4", " ", 
                SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["mST", "2"]}], "-", "s"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["mST", "2"]}]], ")"}]}], "+", 
       RowBox[{"2", " ", "s"}]}], 
      RowBox[{"32", " ", 
       SuperscriptBox["\[Pi]", "4"], " ", 
       SuperscriptBox["s", "2"]}]]}], ",", 
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox["mST", "2"], " ", 
       RowBox[{
        SuperscriptBox["log", "2"], "(", 
        FractionBox[
         RowBox[{
          SqrtBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{"s", "-", 
              RowBox[{"4", " ", 
               SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["mST", "2"]}], "-", "s"}], 
         RowBox[{"2", " ", 
          SuperscriptBox["mST", "2"]}]], ")"}]}], "+", "s"}], 
     RowBox[{"32", " ", 
      SuperscriptBox["\[Pi]", "4"], " ", 
      SuperscriptBox["s", "2"]}]]}], "}"}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.909648342166226*^9, 3.909648366616281*^9}, 
   3.9096483985835876`*^9, {3.909649127774373*^9, 3.909649137806039*^9}, 
   3.909649186022045*^9, 3.9096495957841043`*^9, 3.909650330351719*^9, 
   3.909823001425508*^9, 3.909828560621427*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"f5b73c36-1045-4c91-8752-935f2c89aa11"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"loopSubs", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"loopFuncs", "[", 
       RowBox[{"[", "i", "]"}], "]"}], "\[Rule]", " ", 
      RowBox[{"loopFuncsEFT1", "[", 
       RowBox[{"[", "i", "]"}], "]"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "loopFuncs", "]"}]}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.9096497567602243`*^9, 3.909649812467463*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"972f07dd-af19-465e-8672-7f77a79abb2f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampEFT1", " ", "=", 
  RowBox[{"Collect", "[", 
   RowBox[{
    RowBox[{"Simplify", "[", " ", 
     RowBox[{
      RowBox[{"ampEsimpOnShell", "/.", "loopSubs"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"deltaCTL", "\[Rule]", "0"}], ",", 
        RowBox[{"deltaCTR", "\[Rule]", "0"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"Epsilon", ",", "s", ",", "mST", ",", 
      RowBox[{"Log", "[", "a_", "]"}], ",", "deltaCTL", ",", "deltaCTR"}], 
     "}"}], ",", "Simplify"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.9096498149263763`*^9, 3.909649912101263*^9}, {
  3.909650379380385*^9, 3.9096503795711813`*^9}, {3.909654782812324*^9, 
  3.9096547912820807`*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"1fbbdaec-7a79-408a-b1a0-31eae56b7667"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    FractionBox["1", 
     SuperscriptBox["s", "2"]], 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["mST", "2"], " ", 
         RowBox[{
          SuperscriptBox["log", "2"], "(", 
          FractionBox[
           RowBox[{
            SqrtBox[
             RowBox[{"s", " ", 
              RowBox[{"(", 
               RowBox[{"s", "-", 
                RowBox[{"4", " ", 
                 SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["mST", "2"]}], "-", "s"}], 
           RowBox[{"2", " ", 
            SuperscriptBox["mST", "2"]}]], ")"}], " ", 
         SubsuperscriptBox["T", 
          RowBox[{
           FormBox[
            FormBox["c2",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["c1",
             TraditionalForm],
            TraditionalForm]}], 
          FormBox[
           FormBox["cc3",
            TraditionalForm],
           TraditionalForm]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox[
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Gamma]", "\[CenterDot]", 
               FormBox[
                FormBox["p2",
                 TraditionalForm],
                TraditionalForm]}], ")"}], ".", 
             SuperscriptBox[
              OverscriptBox["\[Gamma]", "_"], 
              FormBox["6",
               TraditionalForm]]}]}], "+", 
           RowBox[{
            SuperscriptBox[
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm], 
             FormBox[
              FormBox["\[Mu]",
               TraditionalForm],
              TraditionalForm]], " ", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"\[Gamma]", "\[CenterDot]", 
               FormBox[
                FormBox["p1",
                 TraditionalForm],
                TraditionalForm]}], ")"}], ".", 
             SuperscriptBox[
              OverscriptBox["\[Gamma]", "_"], 
              FormBox["6",
               TraditionalForm]]}]}]}], ")"}]}], 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Pi]", "4"]}]]}], "-", 
      RowBox[{
       FractionBox["1", 
        RowBox[{"16", " ", 
         SuperscriptBox["\[Pi]", "4"]}]], 
       RowBox[{
        SqrtBox[
         RowBox[{"s", " ", 
          RowBox[{"(", 
           RowBox[{"s", "-", 
            RowBox[{"4", " ", 
             SuperscriptBox["mST", "2"]}]}], ")"}]}]], " ", 
        RowBox[{"log", "(", 
         FractionBox[
          RowBox[{
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{"s", "-", 
               RowBox[{"4", " ", 
                SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["mST", "2"]}], "-", "s"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["mST", "2"]}]], ")"}], " ", 
        SubsuperscriptBox["T", 
         RowBox[{
          FormBox[
           FormBox["c2",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["c1",
            TraditionalForm],
           TraditionalForm]}], 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p2",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}]}], "+", 
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm], 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}]}]}], ")"}]}]}]}], ")"}]}], "+", 
   RowBox[{
    FractionBox["1", "s"], 
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["mST", "2"], " ", 
        RowBox[{
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         SuperscriptBox[
          OverscriptBox["\[Gamma]", "_"], 
          FormBox["6",
           TraditionalForm]]}], " ", 
        RowBox[{
         SuperscriptBox["log", "2"], "(", 
         FractionBox[
          RowBox[{
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{"s", "-", 
               RowBox[{"4", " ", 
                SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["mST", "2"]}], "-", "s"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["mST", "2"]}]], ")"}], " ", 
        SubsuperscriptBox["T", 
         RowBox[{
          FormBox[
           FormBox["c2",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["c1",
            TraditionalForm],
           TraditionalForm]}], 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]]}], 
       RowBox[{"32", " ", 
        SuperscriptBox["\[Pi]", "4"]}]], "+", 
      FractionBox[
       RowBox[{
        SqrtBox[
         RowBox[{"s", " ", 
          RowBox[{"(", 
           RowBox[{"s", "-", 
            RowBox[{"4", " ", 
             SuperscriptBox["mST", "2"]}]}], ")"}]}]], " ", 
        RowBox[{
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         SuperscriptBox[
          OverscriptBox["\[Gamma]", "_"], 
          FormBox["6",
           TraditionalForm]]}], " ", 
        RowBox[{"log", "(", 
         FractionBox[
          RowBox[{
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{"s", "-", 
               RowBox[{"4", " ", 
                SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
           RowBox[{"2", " ", 
            SuperscriptBox["mST", "2"]}], "-", "s"}], 
          RowBox[{"2", " ", 
           SuperscriptBox["mST", "2"]}]], ")"}], " ", 
        SubsuperscriptBox["T", 
         RowBox[{
          FormBox[
           FormBox["c2",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["c1",
            TraditionalForm],
           TraditionalForm]}], 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]]}], 
       RowBox[{"32", " ", 
        SuperscriptBox["\[Pi]", "4"]}]], "-", 
      FractionBox[
       RowBox[{"3", " ", 
        SubsuperscriptBox["T", 
         RowBox[{
          FormBox[
           FormBox["c2",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox["c1",
            TraditionalForm],
           TraditionalForm]}], 
         FormBox[
          FormBox["cc3",
           TraditionalForm],
          TraditionalForm]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p2",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}]}], "+", 
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm], 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}]}]}], ")"}]}], 
       RowBox[{"16", " ", 
        SuperscriptBox["\[Pi]", "4"]}]]}], ")"}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["c2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["c1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["cc3",
        TraditionalForm],
       TraditionalForm]]}], 
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", "4"], " ", 
     TagBox["\[CurlyEpsilon]",
      TraditionalForm]}]], "+", 
   FractionBox[
    RowBox[{"3", " ", 
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["c2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["c1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["cc3",
        TraditionalForm],
       TraditionalForm]]}], 
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", "4"]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.9096498304578333`*^9, 3.9096498802377443`*^9}, 
   3.9096499125704412`*^9, 3.909650334225655*^9, 3.909650380224125*^9, 
   3.909654792727236*^9, 3.909823001827894*^9, 3.909828560970964*^9},
 CellLabel->"Out[75]=",ExpressionUUID->"52d751f1-ba2c-491d-a1ec-6d230be6f18a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampEFT1b", "=", 
  RowBox[{"FullSimplify", "[", "ampEFT1", "]"}]}]], "Input",
 CellChangeTimes->{{3.909650432430292*^9, 3.909650434499268*^9}, {
  3.90965064152706*^9, 3.909650654057702*^9}},
 CellLabel->"In[76]:=",ExpressionUUID->"bd7163f6-19e5-4f72-808d-85169f3d859d"],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", "4"], " ", 
     TagBox["\[CurlyEpsilon]",
      TraditionalForm], " ", 
     SuperscriptBox["s", "2"]}]], 
   RowBox[{
    SubsuperscriptBox["T", 
     RowBox[{
      FormBox[
       FormBox["c2",
        TraditionalForm],
       TraditionalForm], 
      FormBox[
       FormBox["c1",
        TraditionalForm],
       TraditionalForm]}], 
     FormBox[
      FormBox["cc3",
       TraditionalForm],
      TraditionalForm]], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"s", " ", 
       RowBox[{
        SuperscriptBox["\[Gamma]", 
         FormBox[
          FormBox["\[Mu]",
           TraditionalForm],
          TraditionalForm]], ".", 
        SuperscriptBox[
         OverscriptBox["\[Gamma]", "_"], 
         FormBox["6",
          TraditionalForm]]}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          TagBox["\[CurlyEpsilon]",
           TraditionalForm], " ", 
          RowBox[{"log", "(", 
           FractionBox[
            RowBox[{
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{"s", "-", 
                 RowBox[{"4", " ", 
                  SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["mST", "2"]}], "-", "s"}], 
            RowBox[{"2", " ", 
             SuperscriptBox["mST", "2"]}]], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            SqrtBox[
             RowBox[{"s", " ", 
              RowBox[{"(", 
               RowBox[{"s", "-", 
                RowBox[{"4", " ", 
                 SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
            RowBox[{
             SuperscriptBox["mST", "2"], " ", 
             RowBox[{"log", "(", 
              FractionBox[
               RowBox[{
                SqrtBox[
                 RowBox[{"s", " ", 
                  RowBox[{"(", 
                   RowBox[{"s", "-", 
                    RowBox[{"4", " ", 
                    SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox["mST", "2"]}], "-", "s"}], 
               RowBox[{"2", " ", 
                SuperscriptBox["mST", "2"]}]], ")"}]}]}], ")"}]}], "+", 
         RowBox[{"3", " ", 
          TagBox["\[CurlyEpsilon]",
           TraditionalForm], " ", "s"}], "+", "s"}], ")"}]}], "-", 
      RowBox[{"2", " ", 
       TagBox["\[CurlyEpsilon]",
        TraditionalForm], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"log", "(", 
           FractionBox[
            RowBox[{
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{"s", "-", 
                 RowBox[{"4", " ", 
                  SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["mST", "2"]}], "-", "s"}], 
            RowBox[{"2", " ", 
             SuperscriptBox["mST", "2"]}]], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            SqrtBox[
             RowBox[{"s", " ", 
              RowBox[{"(", 
               RowBox[{"s", "-", 
                RowBox[{"4", " ", 
                 SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
            RowBox[{
             SuperscriptBox["mST", "2"], " ", 
             RowBox[{"log", "(", 
              FractionBox[
               RowBox[{
                SqrtBox[
                 RowBox[{"s", " ", 
                  RowBox[{"(", 
                   RowBox[{"s", "-", 
                    RowBox[{"4", " ", 
                    SuperscriptBox["mST", "2"]}]}], ")"}]}]], "+", 
                RowBox[{"2", " ", 
                 SuperscriptBox["mST", "2"]}], "-", "s"}], 
               RowBox[{"2", " ", 
                SuperscriptBox["mST", "2"]}]], ")"}]}]}], ")"}]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox[
           FormBox[
            FormBox["p1",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm]], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p2",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}]}], "+", 
         RowBox[{
          SuperscriptBox[
           FormBox[
            FormBox["p2",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm]], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"\[Gamma]", "\[CenterDot]", 
             FormBox[
              FormBox["p1",
               TraditionalForm],
              TraditionalForm]}], ")"}], ".", 
           SuperscriptBox[
            OverscriptBox["\[Gamma]", "_"], 
            FormBox["6",
             TraditionalForm]]}]}]}], ")"}]}]}], ")"}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.9096504407813797`*^9, 3.909650648288818*^9, 
  3.909654798323152*^9, 3.9098230027082253`*^9, 3.9098285617874327`*^9},
 CellLabel->"Out[76]=",ExpressionUUID->"52444578-215a-4a5c-a8e5-8a980a5b0b71"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{
   RowBox[{"ampEFT1b", "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{
         SqrtBox[
          RowBox[{"s", 
           RowBox[{"(", 
            RowBox[{"s", "-", 
             RowBox[{"4", " ", 
              RowBox[{"mST", "^", "2"}]}]}], ")"}]}]], "+", 
         RowBox[{"2", " ", 
          RowBox[{"mST", "^", "2"}]}], " ", "-", "s"}], 
        RowBox[{"2", " ", 
         RowBox[{"mST", "^", "2"}]}]], "]"}], "\[Rule]", 
      RowBox[{"L", "[", 
       RowBox[{"s", ",", "mST"}], "]"}]}], "}"}]}], ",", 
   RowBox[{"{", "Epsilon", "}"}], ",", "Simplify"}], "]"}]], "Input",
 CellChangeTimes->{{3.909650453822241*^9, 3.909650460419367*^9}, {
   3.909650658350894*^9, 3.909650695840108*^9}, {3.909652068494528*^9, 
   3.9096520714699497`*^9}, {3.909652120137273*^9, 3.909652120969592*^9}, 
   3.909654801812716*^9},
 CellLabel->"In[77]:=",ExpressionUUID->"fc2ac2ad-f21c-4de1-8e61-33382fecb7e4"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"32", " ", 
      SuperscriptBox["\[Pi]", "4"], " ", 
      SuperscriptBox["s", "2"]}]], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SuperscriptBox["mST", "2"], " ", 
        SuperscriptBox[
         RowBox[{"L", "(", 
          RowBox[{"s", ",", "mST"}], ")"}], "2"]}], "+", 
       RowBox[{
        SqrtBox[
         RowBox[{"s", " ", 
          RowBox[{"(", 
           RowBox[{"s", "-", 
            RowBox[{"4", " ", 
             SuperscriptBox["mST", "2"]}]}], ")"}]}]], " ", 
        RowBox[{"L", "(", 
         RowBox[{"s", ",", "mST"}], ")"}]}], "+", 
       RowBox[{"3", " ", "s"}]}], ")"}], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["c2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["c1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["cc3",
        TraditionalForm],
       TraditionalForm]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"s", " ", 
        RowBox[{
         SuperscriptBox["\[Gamma]", 
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm]], ".", 
         SuperscriptBox[
          OverscriptBox["\[Gamma]", "_"], 
          FormBox["6",
           TraditionalForm]]}]}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p1",
              TraditionalForm],
             TraditionalForm], 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p2",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}]}], "+", 
          RowBox[{
           SuperscriptBox[
            FormBox[
             FormBox["p2",
              TraditionalForm],
             TraditionalForm], 
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm]], " ", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"\[Gamma]", "\[CenterDot]", 
              FormBox[
               FormBox["p1",
                TraditionalForm],
               TraditionalForm]}], ")"}], ".", 
            SuperscriptBox[
             OverscriptBox["\[Gamma]", "_"], 
             FormBox["6",
              TraditionalForm]]}]}]}], ")"}]}]}], ")"}]}]}], "+", 
   FractionBox[
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", 
       FormBox[
        FormBox["\[Mu]",
         TraditionalForm],
        TraditionalForm]], ".", 
      SuperscriptBox[
       OverscriptBox["\[Gamma]", "_"], 
       FormBox["6",
        TraditionalForm]]}], " ", 
     SubsuperscriptBox["T", 
      RowBox[{
       FormBox[
        FormBox["c2",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["c1",
         TraditionalForm],
        TraditionalForm]}], 
      FormBox[
       FormBox["cc3",
        TraditionalForm],
       TraditionalForm]]}], 
    RowBox[{"32", " ", 
     SuperscriptBox["\[Pi]", "4"], " ", 
     TagBox["\[CurlyEpsilon]",
      TraditionalForm]}]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.909650460802746*^9, 3.909650698282207*^9, 
  3.9096520719123707`*^9, 3.9096521214211607`*^9, 3.909654802533482*^9, 
  3.9098230027747183`*^9, 3.909828561835569*^9},
 CellLabel->"Out[77]=",ExpressionUUID->"9104a0f0-3c05-4f58-94b2-7ac5549fc060"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Get Counter Term Expressions for ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"L", 
     StyleBox[
      AdjustmentBox["A",
       BoxBaselineShift->-0.4,
       BoxMargins->{{-0.5, -0.3}, {0, 0}}],
      FontSize->Smaller], "T", 
     AdjustmentBox["E",
      BoxBaselineShift->0.5,
      BoxMargins->{{-0.3, 0}, {0, 0}}], "X"}],
    SingleLetterItalics->False], TraditionalForm]],ExpressionUUID->
  "403625f8-a97e-4949-b799-ea1f62466f74"],
 ": "
}], "Section",
 CellChangeTimes->{{3.9098222293530083`*^9, 
  3.909822246423122*^9}},ExpressionUUID->"59ecffa7-cf9f-403e-9a48-\
668caa7372b0"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"deltaCTLexp", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"deltaCTL", "/.", "SubsCT"}], ")"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xC", "\[Rule]", "x"}], ",", 
      RowBox[{"xT", "\[Rule]", " ", 
       SubscriptBox["x", "t"]}], ",", 
      RowBox[{"lA", "\[Rule]", " ", "\[Lambda]"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.909821365654497*^9, 3.909821366472928*^9}, {
  3.9098214032879257`*^9, 3.9098214325672617`*^9}, {3.909822011533216*^9, 
  3.9098220153640423`*^9}, {3.909822099921864*^9, 3.9098221265252953`*^9}, {
  3.909822193521056*^9, 3.9098222094738293`*^9}},
 CellLabel->"In[85]:=",ExpressionUUID->"18e560bc-6285-474d-83fe-d49380bfef40"],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox["1", 
    RowBox[{"128", " ", 
     SuperscriptBox["\[Pi]", "4"], " ", 
     SqrtBox["\[Lambda]"], " ", 
     SubsuperscriptBox["x", "t", "2"]}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SqrtBox["\[Lambda]"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["x", "t"], " ", 
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["x", "t"], "+", 
           RowBox[{"2", " ", "x"}], "+", 
           RowBox[{"log", "(", "x", ")"}], "-", "2"}], ")"}]}], "-", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"x", "-", "1"}], ")"}], "2"], " ", 
         RowBox[{"log", "(", "x", ")"}]}]}], ")"}]}], "-", 
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["x", "t"], " ", 
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["x", "t"], "+", 
           SuperscriptBox["x", "2"], "+", "x", "-", "2"}], ")"}]}], "-", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"x", "-", "1"}], ")"}], "3"]}], ")"}], " ", 
      RowBox[{"log", "(", 
       FractionBox[
        RowBox[{
         SqrtBox["\[Lambda]"], "-", 
         SubscriptBox["x", "t"], "+", "x", "+", "1"}], 
        RowBox[{"2", " ", 
         SqrtBox["x"]}]], ")"}]}]}], ")"}]}], TraditionalForm]], "Output",
 CellChangeTimes->{
  3.9098213672620993`*^9, 3.909821434060063*^9, 3.909821582096467*^9, 
   3.90982201637673*^9, 3.909822145933387*^9, {3.9098221814557333`*^9, 
   3.909822210605485*^9}, 3.909822253885193*^9, 3.909823003541938*^9, 
   3.909828562520677*^9, 3.909828622091008*^9},
 CellLabel->"Out[85]=",ExpressionUUID->"ff822d90-d1d5-4a33-9a9b-589fd077fce5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "deltaCTLexp", "]"}]], "Input",
 CellChangeTimes->{{3.90982161295566*^9, 3.909821617199926*^9}, {
   3.909822022686735*^9, 3.90982202508573*^9}, {3.909822133065858*^9, 
   3.909822133477887*^9}, 3.9098286316924057`*^9},
 CellLabel->"In[87]:=",ExpressionUUID->"869ec7dd-b591-408d-8802-917045081163"],

Cell["\<\
\\frac{2 \\sqrt{\\lambda } \\left(x_t \\left(x_t+2
   x+\\log (x)-2\\right)-(x-1)^2 \\log (x)\\right)-4
   \\left(x_t
   \\left(x_t+x^2+x-2\\right)-(x-1)^3\\right) \\log
   \\left(\\frac{\\sqrt{\\lambda }-x_t+x+1}{2
   \\sqrt{x}}\\right)}{128 \\pi ^4 \\sqrt{\\lambda }
   x_t^2}\
\>", "Output",
 CellChangeTimes->{
  3.909821617860457*^9, {3.9098220176445427`*^9, 3.909822025377672*^9}, 
   3.9098221510516768`*^9, 3.909822258520343*^9, 3.909823003562557*^9, 
   3.909828562546349*^9, {3.909828624724222*^9, 3.909828632759132*^9}},
 CellLabel->
  "Out[87]//TeXForm=",ExpressionUUID->"320ba396-8f3c-4c46-8111-d12184f93c56"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"deltaCTRexp", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"deltaCTR", "/.", "SubsCT"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xC", "\[Rule]", "x"}], ",", 
      RowBox[{"xT", "\[Rule]", " ", 
       SubscriptBox["x", "t"]}], ",", 
      RowBox[{"lA", "\[Rule]", " ", "\[Lambda]"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.909821995738689*^9, 3.9098220098315907`*^9}, {
  3.909822164425618*^9, 3.9098221698937073`*^9}},
 CellLabel->"In[88]:=",ExpressionUUID->"75f99263-e37c-46b2-b54e-048a9c2b69dc"],

Cell[BoxData[
 FormBox[
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SubscriptBox["x", "t"]}], "+", "x", "-", "1"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["x", "t"], "-", "1"}], ")"}], "2"], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"x", "-", "2"}], ")"}], " ", "x"}]}], ")"}], " ", 
       RowBox[{"log", "(", 
        FractionBox[
         RowBox[{
          SqrtBox["\[Lambda]"], "-", 
          SubscriptBox["x", "t"], "+", "x", "+", "1"}], 
         RowBox[{"2", " ", 
          SqrtBox["x"]}]], ")"}]}], "+", 
      RowBox[{
       SqrtBox["\[Lambda]"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SubscriptBox["x", "t"]}], "-", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SubscriptBox["x", "t"], "+", "x", "-", "1"}], ")"}], " ", 
          RowBox[{"log", "(", "x", ")"}]}]}], ")"}]}]}], ")"}]}], 
   RowBox[{"128", " ", 
    SuperscriptBox["\[Pi]", "4"], " ", 
    SqrtBox["\[Lambda]"], " ", 
    SubsuperscriptBox["x", "t", "2"]}]], TraditionalForm]], "Output",
 CellChangeTimes->{3.9098220189425697`*^9, 3.909822261021102*^9, 
  3.909823003890991*^9, 3.909828562826181*^9, 3.909829012314693*^9},
 CellLabel->"Out[88]=",ExpressionUUID->"cc5d722d-814f-4a90-987d-b7bfacccd285"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "deltaCTRexp", "]"}]], "Input",
 CellChangeTimes->{
  3.9098220305913982`*^9, {3.909822267964518*^9, 3.909822268270172*^9}},
 CellLabel->"In[89]:=",ExpressionUUID->"c94605b7-1b29-4284-9d94-acc5f00fd363"],

Cell["\<\
\\frac{\\left(-x_t+x-1\\right) \\left(2
   \\left(\\left(x_t-1\\right){}^2+(x-2) x\\right) \\log
   \\left(\\frac{\\sqrt{\\lambda }-x_t+x+1}{2
   \\sqrt{x}}\\right)+\\sqrt{\\lambda } \\left(2
   x_t-\\left(x_t+x-1\\right) \\log
   (x)\\right)\\right)}{128 \\pi ^4 \\sqrt{\\lambda }
   x_t^2}\
\>", "Output",
 CellChangeTimes->{
  3.909822062874482*^9, {3.9098222650208063`*^9, 3.9098222686499367`*^9}, 
   3.909823003924985*^9, 3.909828562871388*^9, 3.909829013614506*^9},
 CellLabel->
  "Out[89]//TeXForm=",ExpressionUUID->"6f7c7f2f-5c6d-417a-a903-ff8620e7d8ef"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"lAexp", " ", "=", " ", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"2", "*", "xC"}], "+", 
     RowBox[{"xC", "^", "2"}], "-", 
     RowBox[{"2", "*", "xT"}], "-", 
     RowBox[{"2", "*", "xC", "*", "xT"}], "+", 
     RowBox[{"xT", "^", "2"}]}], ")"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"xC", "\[Rule]", "x"}], ",", 
     RowBox[{"xT", "\[Rule]", " ", 
      SubscriptBox["x", "t"]}], ",", 
     RowBox[{"lA", "\[Rule]", " ", "\[Lambda]"}]}], "}"}]}]}]], "Input",
 CellLabel->"In[83]:=",ExpressionUUID->"b9e873db-156f-4de4-bf23-012ae8334e24"],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"-", 
    RowBox[{"2", " ", "x", " ", 
     SubscriptBox["x", "t"]}]}], "+", 
   SubsuperscriptBox["x", "t", "2"], "-", 
   RowBox[{"2", " ", 
    SubscriptBox["x", "t"]}], "+", 
   SuperscriptBox["x", "2"], "-", 
   RowBox[{"2", " ", "x"}], "+", "1"}], TraditionalForm]], "Output",
 CellChangeTimes->{3.909828562891478*^9},
 CellLabel->"Out[83]=",ExpressionUUID->"1000f396-882d-485c-9e22-722592ed2ff1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"TeXForm", "[", "lAexp", "]"}]], "Input",
 CellLabel->"In[84]:=",ExpressionUUID->"30119046-7a99-481a-bb72-d92e86246d5a"],

Cell["-2 x x_t+x_t^2-2 x_t+x^2-2 x+1", "Output",
 CellChangeTimes->{3.9098285629047127`*^9},
 CellLabel->
  "Out[84]//TeXForm=",ExpressionUUID->"cf74eb99-291e-4514-a58c-2005a739eb7c"]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1387.5, 762.},
WindowMargins->{{0, 0}, {0, Automatic}},
TaggingRules->{
 "WelcomeScreenSettings" -> {"FEStarting" -> False}, "TryRealOnly" -> False},
Magnification:>1.2 Inherited,
FrontEndVersion->"12.1 for Linux x86 (64-bit) (March 18, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"2b962969-667f-4c0e-b5d8-1036356cc2ad"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 201, 3, 35, "Input",ExpressionUUID->"48616450-5497-487e-a8ba-e7c675cd7ac0"],
Cell[CellGroupData[{
Cell[784, 27, 630, 12, 60, "Input",ExpressionUUID->"cc692862-b396-4aa3-ac6d-c6686b9db2f7"],
Cell[CellGroupData[{
Cell[1439, 43, 3459, 82, 35, "Print",ExpressionUUID->"ba13fb7a-731b-476b-94de-1a4da1bc10d3"],
Cell[4901, 127, 2209, 45, 35, "Print",ExpressionUUID->"3bfd9bb5-bbb6-4623-9943-c2ede533b4da"],
Cell[7113, 174, 2215, 48, 35, "Print",ExpressionUUID->"2e6767e7-85e5-420e-9ea2-3bf5d1627763"],
Cell[9331, 224, 1365, 23, 32, "Print",ExpressionUUID->"568cff03-c742-4c39-8de1-321fba5b819c"],
Cell[10699, 249, 1366, 23, 32, "Print",ExpressionUUID->"335e59c0-d4c3-4872-be68-169e83b3401d"],
Cell[12068, 274, 1353, 23, 32, "Print",ExpressionUUID->"0ab16699-df2d-4895-be18-30998e25ac8c"],
Cell[13424, 299, 3014, 72, 35, "Print",ExpressionUUID->"d1876144-4a3e-4bf9-b9ca-f727c10dbfe2"],
Cell[16441, 373, 1302, 22, 32, "Print",ExpressionUUID->"f187f2dd-5966-4744-8791-3396d4ba5fc6"],
Cell[17746, 397, 1337, 23, 32, "Print",ExpressionUUID->"7db299ec-a214-4aa5-a588-6867b1100ac0"],
Cell[19086, 422, 2314, 52, 35, "Print",ExpressionUUID->"04428aec-189b-4843-83b2-da8b43c6ae3f"],
Cell[21403, 476, 2237, 48, 35, "Print",ExpressionUUID->"5a76c9fc-106e-4104-9a4a-86af3d4743ec"],
Cell[23643, 526, 1404, 24, 32, "Print",ExpressionUUID->"35bdee9d-1ca6-4738-a591-4c5b344352e9"],
Cell[25050, 552, 1358, 23, 32, "Print",ExpressionUUID->"1cdd9829-1f7c-49da-ac26-38370a2da9ff"],
Cell[26411, 577, 2068, 45, 35, "Print",ExpressionUUID->"c0330d36-929a-4875-bd90-03b8aa414bc4"],
Cell[28482, 624, 2083, 45, 35, "Print",ExpressionUUID->"9745a3cc-3174-4657-b7a2-99dd7b020992"]
}, Open  ]]
}, Open  ]],
Cell[30592, 673, 267, 5, 35, "Input",ExpressionUUID->"0b5acc3f-2e48-48de-8886-00ed821e648b"],
Cell[30862, 680, 2619, 55, 182, "Input",ExpressionUUID->"f76926b5-8ffd-42d1-b9ab-5d7b7e01ede3"],
Cell[CellGroupData[{
Cell[33506, 739, 313, 5, 80, "Section",ExpressionUUID->"ef4b8bcd-035e-426e-b53d-5b41ce129840"],
Cell[33822, 746, 534, 11, 180, "Text",ExpressionUUID->"8af5968a-1fd9-4888-9efc-0d769a160384"],
Cell[CellGroupData[{
Cell[34381, 761, 3550, 80, 304, "Input",ExpressionUUID->"43ad331d-9cbd-485d-8a8d-694b987bd8b5"],
Cell[CellGroupData[{
Cell[37956, 845, 1077, 20, 27, "Print",ExpressionUUID->"05fcea49-8661-443d-9ece-774535fc8896"],
Cell[39036, 867, 1140, 21, 27, "Print",ExpressionUUID->"526587c7-4722-4362-ab46-9f750b18243e"],
Cell[40179, 890, 1012, 19, 26, "Print",ExpressionUUID->"cb52a2a7-8d99-4965-97de-801466b2daef"],
Cell[41194, 911, 14661, 313, 369, "Print",ExpressionUUID->"c4d52317-57df-4aed-9a30-68c6e6c241e8"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[55904, 1230, 2690, 61, 406, "Input",ExpressionUUID->"24523840-5705-48f0-8297-09da44c59c03"],
Cell[58597, 1293, 870, 17, 27, "Print",ExpressionUUID->"522df81d-b72b-454a-87fc-23a96329dfbf"],
Cell[59470, 1312, 6237, 191, 67, "Output",ExpressionUUID->"bce9a3c0-231c-4987-86af-b8a256e087ff"]
}, Open  ]],
Cell[CellGroupData[{
Cell[65744, 1508, 1320, 25, 60, "Input",ExpressionUUID->"06a8e269-5cb2-4b62-a697-d170ac6d7257"],
Cell[67067, 1535, 16632, 522, 113, "Output",ExpressionUUID->"b26d520f-f2f2-4b85-870c-367b128b7a7f"]
}, Open  ]],
Cell[83714, 2060, 1158, 27, 84, "Input",ExpressionUUID->"be537806-ba78-4882-a92a-376368ad52f4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[84909, 2092, 161, 3, 80, "Section",ExpressionUUID->"127240c4-6dc0-4426-a149-b441a0c47184"],
Cell[85073, 2097, 166, 3, 35, "Input",ExpressionUUID->"718bb929-e454-4b42-91ad-2bff5c07b71d"],
Cell[85242, 2102, 946, 20, 52, "Input",ExpressionUUID->"35b8a334-1321-4ee3-beb0-3a3de771899a"],
Cell[86191, 2124, 791, 17, 35, "Input",ExpressionUUID->"7ba5d15b-73c9-48db-8122-4c2a75db83b5"],
Cell[86985, 2143, 792, 17, 35, "Input",ExpressionUUID->"43441d51-a20d-450c-b509-d29ed105f933"]
}, Open  ]],
Cell[CellGroupData[{
Cell[87814, 2165, 164, 3, 80, "Section",ExpressionUUID->"de079e0b-827a-4ef1-bb9b-9eee785d5b3a"],
Cell[CellGroupData[{
Cell[88003, 2172, 959, 24, 60, "Input",ExpressionUUID->"ed09f297-6335-4e77-b04d-ae975ca45b31"],
Cell[88965, 2198, 4188, 133, 176, "Output",ExpressionUUID->"641b7ded-c0fb-4414-8fb8-d7f9f4254619"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93190, 2336, 3068, 63, 156, "Input",ExpressionUUID->"4ad8e47d-31b7-473d-a1d8-a4c31f92291a"],
Cell[96261, 2401, 2025, 29, 37, "Output",ExpressionUUID->"33d6578b-5928-46fe-94b1-bca94a444010"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[98335, 2436, 176, 3, 80, "Section",ExpressionUUID->"a0e2ade0-be93-4eed-a8a0-188bad5ca4de"],
Cell[98514, 2441, 3248, 80, 157, "Input",ExpressionUUID->"b8ad352d-648f-4a35-8a13-8f0d07915c23"],
Cell[101765, 2523, 1166, 19, 35, "Input",ExpressionUUID->"536962fc-d6de-4e12-bbd7-0b5f11c544cc"],
Cell[CellGroupData[{
Cell[102956, 2546, 4245, 110, 231, "Input",ExpressionUUID->"fd1f0ca2-e6f9-4b17-a389-84b27851dbf2"],
Cell[107204, 2658, 3221, 80, 41, "Output",ExpressionUUID->"140a938a-8d6f-4aba-af09-db2726963bd2"],
Cell[110428, 2740, 2702, 66, 38, "Output",ExpressionUUID->"ecf88a19-8a33-4968-8b45-359a43d2c1cd"],
Cell[113133, 2808, 2164, 42, 41, "Output",ExpressionUUID->"c45d1d49-a3f6-44c9-9709-8358d73008de"]
}, Open  ]],
Cell[CellGroupData[{
Cell[115334, 2855, 176, 3, 64, "Subsection",ExpressionUUID->"016de0b9-4923-4072-8551-e8e4c88b2775"],
Cell[115513, 2860, 206, 3, 42, "Text",ExpressionUUID->"9f7f14e4-c38c-4131-857c-470a4f1c3fd4"],
Cell[115722, 2865, 3454, 77, 193, "Input",ExpressionUUID->"95188808-1123-469a-98d0-dcff550d1123"],
Cell[119179, 2944, 240, 5, 42, "Text",ExpressionUUID->"372853f3-799f-43ca-a769-6ac9766fd33d"],
Cell[119422, 2951, 2621, 68, 266, "Input",ExpressionUUID->"ced9a64a-d3a1-4a4c-b50a-cbc419866323"],
Cell[CellGroupData[{
Cell[122068, 3023, 197, 3, 54, "Subsubsection",ExpressionUUID->"3fdde77c-dd06-4fc2-8235-7937d80a50ce"],
Cell[CellGroupData[{
Cell[122290, 3030, 1195, 30, 60, "Input",ExpressionUUID->"f00fcbbe-9724-4d49-96ab-14661fae6a69"],
Cell[123488, 3062, 609, 9, 37, "Output",ExpressionUUID->"edbc8fee-e0ad-45b5-90de-548455201082"]
}, Open  ]],
Cell[CellGroupData[{
Cell[124134, 3076, 180, 2, 35, "Input",ExpressionUUID->"65dbe998-4c30-4d01-b9a8-ec4f648df578"],
Cell[124317, 3080, 7317, 245, 155, "Output",ExpressionUUID->"beb207a4-6853-42eb-bc7e-36530be86a6a"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[131707, 3333, 167, 3, 80, "Section",ExpressionUUID->"5fc0cf35-cb42-48a1-8dde-ea21b9983ee2"],
Cell[131877, 3338, 1318, 25, 235, "Text",ExpressionUUID->"f2b4454b-4ed2-45b8-ba46-4b3a38e9dde2"],
Cell[CellGroupData[{
Cell[133220, 3367, 1053, 28, 84, "Input",ExpressionUUID->"c1758470-e71d-491e-aadb-eac480ebaa54"],
Cell[134276, 3397, 1232, 28, 41, "Output",ExpressionUUID->"7d8bb0bd-e474-4c80-a2bf-cc1eb2361e5e"],
Cell[135511, 3427, 1916, 52, 41, "Output",ExpressionUUID->"178fc684-964f-4c6d-9ca7-51d6ca8754be"],
Cell[137430, 3481, 1351, 33, 38, "Output",ExpressionUUID->"46b5ba0c-f018-4443-b4a5-e802d563da77"]
}, Open  ]],
Cell[138796, 3517, 3063, 78, 182, "Input",ExpressionUUID->"3db20b20-1661-4b4c-96ea-e301fb0a93f5"],
Cell[CellGroupData[{
Cell[141884, 3599, 570, 12, 60, "Input",ExpressionUUID->"6af30d0b-c187-4aa3-baed-8d9cdeb4a81c"],
Cell[142457, 3613, 1912, 57, 41, "Output",ExpressionUUID->"922d1389-ce4f-4fec-a3f0-f06de44b4deb"],
Cell[144372, 3672, 1181, 34, 38, "Output",ExpressionUUID->"4b2bc6b3-f1a9-4d5e-90f1-feeefde6eb08"]
}, Open  ]],
Cell[CellGroupData[{
Cell[145590, 3711, 6816, 162, 572, "Input",ExpressionUUID->"1a6ae735-74a0-4953-a170-fa6d5feae599"],
Cell[CellGroupData[{
Cell[152431, 3877, 952, 16, 26, "Print",ExpressionUUID->"5211977d-c214-46fa-b9bf-58a3cdd832a7"],
Cell[153386, 3895, 946, 16, 26, "Print",ExpressionUUID->"55c3f608-1278-4b31-bf4b-e01f8604e565"],
Cell[154335, 3913, 944, 16, 26, "Print",ExpressionUUID->"af2e51cf-d20d-4c06-afd6-1ef02096a61e"],
Cell[155282, 3931, 1089, 19, 48, "Print",ExpressionUUID->"369cdd9d-0e45-434e-b4f8-c72f8e5d88ae"],
Cell[156374, 3952, 941, 16, 26, "Print",ExpressionUUID->"92e95d52-74bd-47b8-83d9-09cc9d94c4ee"],
Cell[157318, 3970, 1089, 19, 48, "Print",ExpressionUUID->"beabdddf-034e-4e5f-a8a6-1e50b6e7bda8"],
Cell[158410, 3991, 944, 16, 26, "Print",ExpressionUUID->"198153f7-6bb6-4b31-b9c7-32f8e94cef0b"],
Cell[159357, 4009, 972, 17, 26, "Print",ExpressionUUID->"9eb5cc48-2b6e-4d96-a1fe-477bc8275fd2"],
Cell[160332, 4028, 942, 16, 26, "Print",ExpressionUUID->"736266bc-5525-4aee-802e-981a070f5c52"],
Cell[161277, 4046, 996, 17, 27, "Print",ExpressionUUID->"a7feb6c1-01a8-4cf2-8e7d-6ea1183c0f54"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[162322, 4069, 166, 3, 54, "Subsubsection",ExpressionUUID->"b43a1e1f-da37-4088-9bac-4159ed772c3f"],
Cell[CellGroupData[{
Cell[162513, 4076, 7352, 178, 645, "Input",ExpressionUUID->"b919149c-4371-4a21-8bad-f24049adecd7"],
Cell[169868, 4256, 977, 14, 38, "Output",ExpressionUUID->"8aeb54cb-593d-4941-8a7f-423b243dfa08"]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[170906, 4277, 274, 4, 80, "Section",ExpressionUUID->"0f39ef3c-87b8-4216-9f65-2a5bdc57cd14"],
Cell[171183, 4283, 448, 12, 60, "Input",ExpressionUUID->"d82868c3-a483-4ad5-9891-8550c392cef3"],
Cell[171634, 4297, 4260, 118, 182, "Input",ExpressionUUID->"b9af1339-1199-4abd-9eba-4bb008367e9b"],
Cell[CellGroupData[{
Cell[175919, 4419, 1343, 35, 60, "Input",ExpressionUUID->"3f42883f-260c-41db-8f58-3dd3fa819260"],
Cell[177265, 4456, 343, 5, 37, "Output",ExpressionUUID->"4932775d-dfe1-41b9-bafd-a7659c7f233a"],
Cell[177611, 4463, 343, 5, 37, "Output",ExpressionUUID->"ff0f5aaa-371a-4778-917a-771d2a64d249"]
}, Open  ]],
Cell[CellGroupData[{
Cell[177991, 4473, 587, 11, 57, "Input",ExpressionUUID->"ed1bf078-2009-44cb-8b29-e44dbf4f8103"],
Cell[178581, 4486, 7070, 211, 113, "Output",ExpressionUUID->"8882980d-99f0-4b85-bb7e-d11f26ebe365"]
}, Open  ]],
Cell[CellGroupData[{
Cell[185688, 4702, 327, 6, 35, "Input",ExpressionUUID->"5bb5d566-7dc9-482a-a867-9f7358bd9223"],
Cell[186018, 4710, 1733, 47, 41, "Output",ExpressionUUID->"0d56dfeb-e4f8-44f8-83f4-9c2d32436766"]
}, Open  ]],
Cell[CellGroupData[{
Cell[187788, 4762, 1566, 41, 117, "Input",ExpressionUUID->"bcc849b2-84da-4fda-bb1d-5de49d18f933"],
Cell[189357, 4805, 4433, 132, 158, "Output",ExpressionUUID->"f5b73c36-1045-4c91-8752-935f2c89aa11"]
}, Open  ]],
Cell[193805, 4940, 578, 15, 35, "Input",ExpressionUUID->"972f07dd-af19-465e-8672-7f77a79abb2f"],
Cell[CellGroupData[{
Cell[194408, 4959, 795, 18, 35, "Input",ExpressionUUID->"1fbbdaec-7a79-408a-b1a0-31eae56b7667"],
Cell[195206, 4979, 11454, 385, 192, "Output",ExpressionUUID->"52d751f1-ba2c-491d-a1ec-6d230be6f18a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[206697, 5369, 294, 5, 35, "Input",ExpressionUUID->"bd7163f6-19e5-4f72-808d-85169f3d859d"],
Cell[206994, 5376, 5556, 171, 143, "Output",ExpressionUUID->"52444578-215a-4a5c-a8e5-8a980a5b0b71"]
}, Open  ]],
Cell[CellGroupData[{
Cell[212587, 5552, 1009, 26, 60, "Input",ExpressionUUID->"fc2ac2ad-f21c-4de1-8e61-33382fecb7e4"],
Cell[213599, 5580, 3831, 131, 60, "Output",ExpressionUUID->"9104a0f0-3c05-4f58-94b2-7ac5549fc060"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[217479, 5717, 617, 20, 80, "Section",ExpressionUUID->"59ecffa7-cf9f-403e-9a48-668caa7372b0"],
Cell[CellGroupData[{
Cell[218121, 5741, 747, 17, 35, "Input",ExpressionUUID->"18e560bc-6285-474d-83fe-d49380bfef40"],
Cell[218871, 5760, 1756, 50, 69, "Output",ExpressionUUID->"ff822d90-d1d5-4a33-9a9b-589fd077fce5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[220664, 5815, 337, 5, 35, "Input",ExpressionUUID->"869ec7dd-b591-408d-8802-917045081163"],
Cell[221004, 5822, 632, 14, 183, "Output",ExpressionUUID->"320ba396-8f3c-4c46-8111-d12184f93c56"]
}, Open  ]],
Cell[CellGroupData[{
Cell[221673, 5841, 571, 14, 35, "Input",ExpressionUUID->"75f99263-e37c-46b2-b54e-048a9c2b69dc"],
Cell[222247, 5857, 1483, 44, 78, "Output",ExpressionUUID->"cc5d722d-814f-4a90-987d-b7bfacccd285"]
}, Open  ]],
Cell[CellGroupData[{
Cell[223767, 5906, 242, 4, 35, "Input",ExpressionUUID->"c94605b7-1b29-4284-9d94-acc5f00fd363"],
Cell[224012, 5912, 573, 13, 183, "Output",ExpressionUUID->"6f7c7f2f-5c6d-417a-a903-ff8620e7d8ef"]
}, Open  ]],
Cell[CellGroupData[{
Cell[224622, 5930, 603, 16, 35, "Input",ExpressionUUID->"b9e873db-156f-4de4-bf23-012ae8334e24"],
Cell[225228, 5948, 449, 12, 39, "Output",ExpressionUUID->"1000f396-882d-485c-9e22-722592ed2ff1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[225714, 5965, 143, 2, 35, "Input",ExpressionUUID->"30119046-7a99-481a-bb72-d92e86246d5a"],
Cell[225860, 5969, 183, 3, 56, "Output",ExpressionUUID->"cf74eb99-291e-4514-a58c-2005a739eb7c"]
}, Open  ]]
}, Open  ]]
}
]
*)

