Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X GUIDE", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Functions \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"C0Expand\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/C0Expand"], "\<\"ContinuedDiLog\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/ContinuedDiLog"], "\<\"D0Expand\"\>":>
       Documentation`HelpLookup["paclet:X/ref/D0Expand"], "\<\"DiLog\"\>":>
       Documentation`HelpLookup["paclet:X/ref/DiLog"], "\<\"DiscB\"\>":>
       Documentation`HelpLookup["paclet:X/ref/DiscB"], "\<\"DiscExpand\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/DiscExpand"], "\<\"KallenExpand\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/KallenExpand"], "\<\"KibbleExpand\"\>":>
       Documentation`HelpLookup["paclet:X/ref/KibbleExpand"], "\<\"Ln\"\>":>
       Documentation`HelpLookup["paclet:X/ref/Ln"], "\<\"ScalarC0\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/ScalarC0"], "\<\"ScalarC0IR6\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/ScalarC0IR6"], "\<\"ScalarD0\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/ScalarD0"], "\<\"ScalarD0IR12\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/ScalarD0IR12"], "\<\"ScalarD0IR13\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/ScalarD0IR13"], "\<\"ScalarD0IR16\"\>":>
       Documentation`HelpLookup["paclet:X/ref/ScalarD0IR16"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/guide/SpecialFunctions\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/guide/SpecialFunctions"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/guide/\
SpecialFunctions.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "X/guide/SpecialFunctions", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell[TextData[{
 "Special Functions and Abbreviations in ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X"
}], "GuideTitle",
 CellID->942062912],

Cell[TextData[{
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X attempts to provide compact analytic expressions in terms of elementary \
functions for one loop integrals.  To accomodate cases involving general \
kinematics, ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X defines a limited set of special functions (output by ",
 Cell[TextData[ButtonBox["LoopRefine",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFunctionSans",
  ShowStringCharacters->False],
 ") that serve as abbreviations for commonly occuring expressions.  They can \
be numerically evaluated at any real-valued kinematic point with arbitrary \
precision, expanded in Taylor series to arbitrary order, or be expressed in \
terms of known mathematical functions."
}], "GuideAbstract",
 CellFrame->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {{0, 0}, {1, 0}}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellID->2001916300]
}, Open  ]],

Cell[CellGroupData[{

Cell["Reference", "GuideFunctionsSection",
 WholeCellGroupOpener->True,
 CellID->1866139230],

Cell[CellGroupData[{

Cell["Special Functions", "GuideFunctionsSubsection",
 CellID->1015132303],

Cell[TextData[{
 Cell[TextData[ButtonBox["DiscB",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/DiscB"]], "InlineFunctionSans"],
 " (",
 Cell[TextData[ButtonBox["DiscExpand",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/DiscExpand"]], "InlineFunctionSans"],
 ") \[LongDash] logarithmic part of the two-point function"
}], "GuideText",
 CellID->1463276848]
}, Open  ]],

Cell[CellGroupData[{

Cell["\t", "GuideDelimiter",
 CellID->978815593],

Cell[TextData[{
 Cell[TextData[ButtonBox["ScalarC0",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFunctionSans"],
 " (",
 Cell[TextData[ButtonBox["C0Expand",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/C0Expand"]], "InlineFunctionSans"],
 ") \[LongDash] three-point scalar function"
}], "GuideText",
 CellID->608053726],

Cell[TextData[Cell[TextData[ButtonBox["ScalarC0IR6",
 BaseStyle->"Link",
 ButtonData->
  "paclet:X/ref/ScalarC0IR6"]], "InlineFunctionSans"]], \
"InlineGuideFunctionListing",
 CellID->1751197365]
}, Open  ]],

Cell[CellGroupData[{

Cell["\t", "GuideDelimiter",
 CellID->2050945370],

Cell[TextData[{
 Cell[TextData[ButtonBox["ScalarD0",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/ScalarD0"]], "InlineFunctionSans"],
 " (",
 Cell[TextData[ButtonBox["D0Expand",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/D0Expand"]], "InlineFunctionSans"],
 ") \[LongDash] four-point scalar function"
}], "GuideText",
 CellID->381088806],

Cell[TextData[{
 Cell[TextData[ButtonBox["ScalarD0IR12",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/ScalarD0IR12"]], "InlineFunctionSans"],
 "\[NonBreakingSpace]",
 StyleBox["\[FilledVerySmallSquare]", "InlineSeparator"],
 " ",
 Cell[TextData[ButtonBox["ScalarD0IR13",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/ScalarD0IR13"]], "InlineFunctionSans"],
 "\[NonBreakingSpace]",
 StyleBox["\[FilledVerySmallSquare]", "InlineSeparator"],
 " ",
 Cell[TextData[ButtonBox["ScalarD0IR16",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/ScalarD0IR16"]], "InlineFunctionSans"]
}], "InlineGuideFunctionListing",
 CellID->1736299041]
}, Open  ]],

Cell["\t", "GuideDelimiterSubsection",
 CellID->1535885274],

Cell[CellGroupData[{

Cell["Logarithms", "GuideFunctionsSubsection",
 CellID->1516414420],

Cell[TextData[{
 Cell[TextData[ButtonBox["Ln",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/Ln"]], "InlineFunctionSans"],
 "\[NonBreakingSpace]",
 StyleBox["\[FilledVerySmallSquare]", "InlineSeparator"],
 " ",
 Cell[TextData[ButtonBox["DiLog",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/DiLog"]], "InlineFunctionSans"],
 "\[NonBreakingSpace]",
 StyleBox["\[FilledVerySmallSquare]", "InlineSeparator"],
 " ",
 Cell[TextData[ButtonBox["ContinuedDiLog",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/ContinuedDiLog"]], "InlineFunctionSans"]
}], "InlineGuideFunctionListing",
 CellID->189367851]
}, Open  ]],

Cell["\t", "GuideDelimiterSubsection",
 CellID->870363178],

Cell[CellGroupData[{

Cell["Gramian Determinants", "GuideFunctionsSubsection",
 CellID->449566407],

Cell[TextData[{
 Cell[TextData[ButtonBox["Kallen\[Lambda]",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/KallenLambda"]], "InlineFunctionSans"],
 " (",
 Cell[TextData[ButtonBox["KallenExpand",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/KallenExpand"]], "InlineFunctionSans"],
 ") \[LongDash] kinematic triangle function"
}], "GuideText",
 CellID->203374175],

Cell[TextData[{
 Cell[TextData[ButtonBox["Kibble\[Phi]",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/KibblePhi"]], "InlineFunctionSans"],
 " (",
 Cell[TextData[ButtonBox["KibbleExpand",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/KibbleExpand"]], "InlineFunctionSans"],
 ") \[LongDash] kinematic cubic function"
}], "GuideText",
 CellID->78759089]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["More About", "GuideMoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "MORE ABOUT", "GuideMoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      Cell[
       TextData[{
         Cell[
          BoxData[
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[24]]]], "More About"}], "GuideMoreAboutSection", 
       CellSize -> {5000, Inherited}], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->23220180],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "GuideMoreAbout",
 CellID->1567025153],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "Special Functions and Abbreviations in Package-X - Wolfram Mathematica", 
  "Special Functions and Abbreviations in Package-X"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "GuideColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 51, 46.855981}", 
    "history" -> {"2.0", "", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Guide", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "Package-X attempts to provide compact analytic expressions in terms of \
elementary functions for one loop integrals. To accomodate cases involving \
general kinematics, Package-X defines a limited set of special functions \
(output by LoopRefine) that serve as abbreviations for commonly occuring \
expressions. They can be numerically evaluated at any real-valued kinematic \
point with arbitrary precision, expanded in Taylor series to arbitrary order, \
or be expressed in terms of known mathematical functions.", "synonyms" -> {}, 
    "title" -> "Special Functions and Abbreviations in Package-X", 
    "titlemodifier" -> "", "windowtitle" -> 
    "Special Functions and Abbreviations in Package-X", "type" -> "Guide", 
    "uri" -> "X/guide/SpecialFunctions"}, "SearchTextTranslated" -> ""},
FrontEndVersion -> "6.0",
StyleDefinitions->FrontEnd`FileName[{"Wolfram"}, "Reference.nb", 
  CharacterEncoding -> "UTF-8"]
]

