Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"Ward Identities and \[Gamma]5 in Dimensional \
Regularization\"\>":>Documentation`HelpLookup[
       "paclet:X/tutorial/AdlersMethod"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"\[DoubleStruckOne]\"\>":>
       Documentation`HelpLookup["paclet:X/ref/Dirac1"], "\<\"\[Gamma]\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/DiracG"], "\<\"\[DoubleStruckCapitalP]L\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/DiracPL"], "\<\"\[DoubleStruckCapitalP]R\"\>":>
       Documentation`HelpLookup["paclet:X/ref/DiracPR"], "\<\"\[Sigma]\"\>":>
       Documentation`HelpLookup["paclet:X/ref/DiracS"], "\<\"DiracMatrix\"\>":>
       Documentation`HelpLookup["paclet:X/ref/DiracMatrix"], "\<\"Spur\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/Spur"], "\<\"FermionLineExpand\"\>":>
       Documentation`HelpLookup["paclet:X/ref/FermionLineExpand"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/ref/DiracG5\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/ref/DiracG5"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/ref/DiracG5.html"]\
, StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", "X/ref/DiracG5", 
             ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[TextData[{
 "DiracG5 ",
 StyleBox["(\[Gamma]5)", "OperatorCharacter"]
}], "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      ButtonBox["DiracG5",
       BaseStyle->"Link",
       ButtonData->"paclet:X/ref/DiracG5"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " or ",
     Cell[BoxData[
      ButtonBox["\[Gamma]5",
       BaseStyle->"Link",
       ButtonData->"paclet:X/ref/DiracG5"]], "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " \[LineSeparator]represents the fifth Dirac gamma matrix ",
     Cell[BoxData[
      FormBox[
       RowBox[{
        SubscriptBox["\[Gamma]", "5"], "=", " ", 
        RowBox[{"i", " ", 
         SuperscriptBox["\[Gamma]", "0"], 
         SuperscriptBox["\[Gamma]", "1"], 
         SuperscriptBox["\[Gamma]", "2"], 
         RowBox[{
          SuperscriptBox["\[Gamma]", "3"], "."}]}]}], TraditionalForm]], 
      "InlineMath"]
    }]]}
  }]], "Usage",
 Deletable->True,
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell["Details", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellGroupingRules->{"SectionGrouping", 50},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       Cell[
        BoxData[
         ButtonBox[
          FrameBox[
           StyleBox[
            RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"], 
           StripOnInput -> False], Appearance -> {Automatic, None}, BaseStyle -> 
          None, ButtonFunction :> (FrontEndExecute[{
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], All, ButtonCell], 
             FrontEndToken["OpenCloseGroup"], 
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
          Evaluator -> None, Method -> "Preemptive"]]]], "NotesSection", 
      CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Details"}], "NotesSection", 
         CellSize -> {5000, Inherited}], Appearance -> {Automatic, None}, 
        BaseStyle -> None, ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), Evaluator -> 
        None, Method -> "Preemptive"]], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->1469942616],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["DiracG5",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracG5"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is recognized as an object in spinor space by ",
 Cell[BoxData[
  ButtonBox["Spur",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Spur"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and ",
 Cell[BoxData[
  ButtonBox["FermionLineExpand",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/FermionLineExpand"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Notes",
 CellID->477695870],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["DiracG5",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracG5"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " can be entered in ",
 Cell[BoxData[
  ButtonBox["StandardForm",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/StandardForm"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " as ",
 Cell[BoxData[
  ButtonBox["\[Gamma]5",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracG5"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " using ",
 Cell["Esc", "KeyEvent"],
 StyleBox["\[ThinSpace]g\[ThinSpace]", "InlineCode"],
 Cell["Esc", "KeyEvent"],
 "5 (the '5' should not be set in subscript position)."
}], "Notes",
 CellID->1067943069],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["DiracG5",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracG5"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " anticommutes with all other gamma matrices (naive implementation of \
dimensional regularization)."
}], "Notes",
 CellID->311225104]
}, Open  ]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Closed]],

Cell[CellGroupData[{

Cell["Examples", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "EXAMPLES", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "PrimaryExamplesSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Examples", "  ", 
           Cell["(4)", "ExampleCount"]}], "PrimaryExamplesSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellTags->"PrimaryExamplesSection",
 CellID->673672024],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->871920384],

Cell[TextData[{
 "Take the trace of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["\[Gamma]", "5"], TraditionalForm]], "InlineMath"],
 " with various gamma matrices:"
}], "ExampleText",
 Deletable->True,
 CellID->750592396],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Spur", "[", "\[Gamma]5", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Spur", "[", 
  RowBox[{
   SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Nu]"], ",", "\[Gamma]5"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Spur", "[", 
  RowBox[{
   SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
   SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", "\[Gamma]5"}], 
  "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->2097629337],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->996604135],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1700733992],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "4"}], " ", "\[ImaginaryI]", " ", 
  SubscriptBox["\[CurlyEpsilon]", 
   RowBox[{
   "\[Mu]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]"}]]}]], "Output",
 
 ImageSize->{75, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1228861974]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->415077511],

Cell[TextData[{
 "All objects in spinor space should be entered inside ",
 Cell[BoxData[
  ButtonBox["Spur",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Spur"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " or ",
 Cell[BoxData[
  ButtonBox["DiracMatrix",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracMatrix"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".  Otherwise, symbols outside ",
 Cell[BoxData[
  ButtonBox["Spur",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Spur"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " or ",
 Cell[BoxData[
  ButtonBox["DiracMatrix",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracMatrix"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " are always assumed to commute, and can lead to surprising results:"
}], "ExampleText",
 CellID->112289572],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  SubscriptBox["\[Gamma]", "\[Mu]"], "\[Gamma]5"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->690133867],

Cell[BoxData[
 RowBox[{"\[Gamma]5", " ", 
  SubscriptBox["\[Gamma]", "\[Mu]"]}]], "Output",
 ImageSize->{34, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->2132891631]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"DiracMatrix", "[", 
  RowBox[{
   SubscriptBox["\[Gamma]", "\[Mu]"], ",", "\[Gamma]5"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->584670073],

Cell[BoxData[
 RowBox[{"DiracMatrix", "[", 
  RowBox[{
   SubscriptBox["\[Gamma]", "\[Mu]"], ",", "\[Gamma]5"}], "]"}]], "Output",
 ImageSize->{135, 19},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->104893667]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Issues",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1305812373],

Cell[TextData[{
 "Cyclically permuted traces involving the product of ",
 StyleBox[ButtonBox["\[Gamma]5",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/DiracG5"], "InlineCode"],
 " with six or more gamma matrices yield ",
 StyleBox["apparently",
  FontSlant->"Italic"],
 " different results:"
}], "ExampleText",
 CellID->1627032130],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Spur", "[", 
  RowBox[{
   SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
   SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", 
   SubscriptBox["\[Gamma]", "\[Tau]"], ",", 
   SubscriptBox["\[Gamma]", "\[Lambda]"], ",", "\[Gamma]5"}], "]"}]], "Input",
 
 CellLabel->"In[1]:=",
 CellID->302014254],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[FinalSigma]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Lambda]", ",", "\[Mu]", ",", "\[Nu]", ",", "\[Rho]"}]]}], "-", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Rho]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Mu]", ",", "\[Nu]", ",", "\[FinalSigma]"}]]}], "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Rho]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Lambda]", ",", "\[Mu]", ",", "\[Nu]", ",", "\[Tau]"}]]}], "+", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Mu]", ",", "\[Rho]", ",", "\[FinalSigma]"}]]}], "-", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Lambda]", ",", "\[Mu]", ",", "\[Rho]", ",", "\[Tau]"}]]}], "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[Rho]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Mu]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}], "-", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]"}]]}], 
  "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[Tau]"}]]}], "-", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[Rho]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Nu]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}], 
  "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[Nu]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Mu]", ",", "\[Rho]", ",", "\[FinalSigma]", ",", 
     "\[Tau]"}]]}]}]], "Output",
 ImageSize->{511, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->445569268]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Spur", "[", 
  RowBox[{
   SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
   SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", 
   SubscriptBox["\[Gamma]", "\[Tau]"], ",", 
   SubscriptBox["\[Gamma]", "\[Lambda]"], ",", "\[Gamma]5", ",", 
   SubscriptBox["\[Gamma]", "\[Mu]"]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->234972704],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[FinalSigma]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Lambda]", ",", "\[Mu]", ",", "\[Nu]", ",", "\[Rho]"}]]}], "-", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Rho]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Mu]", ",", "\[Nu]", ",", "\[FinalSigma]"}]]}], "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Rho]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Lambda]", ",", "\[Mu]", ",", "\[Nu]", ",", "\[Tau]"}]]}], "+", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]"}]]}], "-", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Lambda]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[Tau]"}]]}], "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Rho]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Nu]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}], "-", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]"}]]}], 
  "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[Tau]"}]]}], "-", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[Rho]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Nu]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}], 
  "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[Mu]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]", ",", 
     "\[Tau]"}]]}]}]], "Output",
 ImageSize->{511, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1179472603]
}, Open  ]],

Cell["The difference is a totally antisymmetric rank-6 tensor:", "ExampleText",
 CellID->625232501],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "-", "%%"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->630553774],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "4"}], " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Mu]", ",", "\[Rho]", ",", "\[FinalSigma]"}]]}], "+", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Lambda]", ",", "\[Mu]", ",", "\[Rho]", ",", "\[Tau]"}]]}], "-", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[Rho]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Mu]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}], "+", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]"}]]}], "-", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Lambda]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[Tau]"}]]}], "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Rho]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Lambda]", ",", "\[Nu]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}], "-", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[Nu]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Rho]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}], 
  "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Lambda]", ",", "\[Mu]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]", ",", 
     "\[Tau]"}]]}]}]], "Output",
 ImageSize->{417, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->803336748]
}, Open  ]],

Cell["\<\
By Schouten's identity, totally antisymmetric tensors of rank higher than the \
number of space-time dimensions vanish.  In many cases, the ambiguity can be \
resolved by imposing symmetrization properties on an amplitude.\
\>", "ExampleText",
 CellID->1309626884],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1059591922],

Cell[TextData[{
 "Since ",
 StyleBox[ButtonBox["\[Gamma]5",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/DiracG5"], "InlineCode"],
 " is (naively) defined to anticommute with all gamma matrices in ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]], "InlineMath"],
 "-dimensions, a contradiction can be reached:"
}], "ExampleText",
 Deletable->True,
 CellID->1357318193],

Cell[TextData[{
 "Compute the trace of a product of six gamma matrices with ",
 Cell[BoxData[
  ButtonBox["\[Gamma]5",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracG5"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " first; then contract a pair of indices:"
}], "ExampleText",
 CellID->1953716435],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Spur", "[", 
  RowBox[{
   SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
   SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", 
   SubscriptBox["\[Gamma]", "\[Tau]"], ",", "\[Gamma]5", ",", 
   SubscriptBox["\[Gamma]", "\[Alpha]"]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->715865326],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "4"}], " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[FinalSigma]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Alpha]", ",", "\[Mu]", ",", "\[Nu]", ",", "\[Rho]"}]]}], "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Rho]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Alpha]", ",", "\[Mu]", ",", "\[Nu]", ",", "\[FinalSigma]"}]]}],
   "-", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Rho]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Alpha]", ",", "\[Mu]", ",", "\[Nu]", ",", "\[Tau]"}]]}], "-", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Alpha]", ",", "\[Mu]", ",", "\[Rho]", ",", "\[FinalSigma]"}]]}], "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Alpha]", ",", "\[Mu]", ",", "\[Rho]", ",", "\[Tau]"}]]}], "-", 
  
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[Rho]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Alpha]", ",", "\[Mu]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}], "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Alpha]", ",", "\[Tau]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]"}]]}], 
  "-", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Alpha]", ",", "\[FinalSigma]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Nu]", ",", "\[Rho]", ",", "\[Tau]"}]]}], "+", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Alpha]", ",", "\[Rho]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{"\[Mu]", ",", "\[Nu]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}], 
  "-", 
  RowBox[{"4", " ", "\[ImaginaryI]", " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Alpha]", ",", "\[Nu]"}]], " ", 
   SubscriptBox["\[CurlyEpsilon]", 
    RowBox[{
    "\[Mu]", ",", "\[Rho]", ",", "\[FinalSigma]", ",", 
     "\[Tau]"}]]}]}]], "Output",
 ImageSize->{519, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->964552449]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Contract", "[", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Alpha]"}]], "%"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->61119220],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "16"}], " ", "\[ImaginaryI]", " ", 
  SubscriptBox["\[CurlyEpsilon]", 
   RowBox[{
   "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}]], "Output",
 ImageSize->{82, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1403069]
}, Open  ]],

Cell["Contract pair of indices before computing the trace:", "ExampleText",
 CellID->1893264935],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Spur", "[", 
  RowBox[{
   SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
   SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
   SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", 
   SubscriptBox["\[Gamma]", "\[Tau]"], ",", "\[Gamma]5", ",", 
   SubscriptBox["\[Gamma]", "\[Mu]"]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->1980822971],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "4"}], " ", "\[ImaginaryI]", " ", "\[ScriptD]", " ", 
  SubscriptBox["\[CurlyEpsilon]", 
   RowBox[{
   "\[Nu]", ",", "\[Rho]", ",", "\[FinalSigma]", ",", "\[Tau]"}]]}]], "Output",
 ImageSize->{84, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->1679219903]
}, Open  ]],

Cell[TextData[{
 "The difference is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[ScriptCapitalO]", "(", "\[Epsilon]", ")"}], TraditionalForm]], 
  "InlineMath"],
 "."
}], "ExampleText",
 Deletable->True,
 CellID->986839992],

Cell["\<\
This will affect VVA and AAA three-point functions.  Apply Adler's method to \
enforce Ward Identities by hand.\
\>", "ExampleText",
 CellID->2022671629]
}, Open  ]]
}, Closed]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "SEE ALSO", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "SeeAlsoSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "See Also"}], "SeeAlsoSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["\[DoubleStruckOne]",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/Dirac1"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["\[Gamma]",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/DiracG"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["\[DoubleStruckCapitalP]L",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/DiracPL"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["\[DoubleStruckCapitalP]R",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/DiracPR"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["\[Sigma]",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/DiracS"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["DiracMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/DiracMatrix"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Spur",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/Spur"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["FermionLineExpand",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/FermionLineExpand"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "TUTORIALS", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "TutorialsSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Tutorials"}], "TutorialsSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->250839057],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Ward Identities and \[Gamma]5 in Dimensional \
Regularization",
 BaseStyle->"Link",
 ButtonData->"paclet:X/tutorial/AdlersMethod"]], "Tutorials",
 CellID->341631938],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Guides", "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "MORE ABOUT", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "MoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Related Guides"}], "MoreAboutSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->38303248],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "MoreAbout",
 CellID->2084970407],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "DiracG5 (\[Gamma]5) - Wolfram Mathematica", "DiracG5 (\[Gamma]5)"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 52, 1.524701}", 
    "history" -> {"1.0", "2.1", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Symbol", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "DiracG5 or \\[Gamma]5 represents the fifth Dirac gamma matrix \
\\[Gamma]_5 = i \\[Gamma]^0 \\[Gamma]^1 \\[Gamma]^2 \\[Gamma]^3.", 
    "synonyms" -> {}, "title" -> "DiracG5", "titlemodifier" -> "", 
    "windowtitle" -> "DiracG5 (\[Gamma]5)", "type" -> "Symbol", "uri" -> 
    "X/ref/DiracG5"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

