Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"Tree-Level e\:207ae\:207b\[Rule]\[Gamma]\[Gamma] Cross \
Section by The Optical Theorem\"\>":>Documentation`HelpLookup[
       "paclet:X/tutorial/PairAnnihilationUnitarity"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"LoopRefine\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/LoopRefine"], "\<\"PVA\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/PVA"], "\<\"PVB\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/PVB"], "\<\"PVC\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/PVC"], "\<\"PVD\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/PVD"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/ref/Discontinuity\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/ref/Discontinuity"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/ref/Discontinuity.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "X/ref/Discontinuity", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["Discontinuity", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["Discontinuity",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/Discontinuity"], "[", 
       StyleBox["s", "TI"], "]"}]], "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " \[LineSeparator]is a setting for ",
     Cell[BoxData["Part"], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " to ",
     Cell[BoxData[
      ButtonBox["LoopRefine",
       BaseStyle->"Link",
       ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " to compute the discontinuity across the normal threshold cut in \
channel ",
     Cell[BoxData[
      FormBox["s", TraditionalForm]], "InlineMath"],
     "."
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["Discontinuity",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/Discontinuity"], "[", 
       RowBox[{
        StyleBox["s", "TI"], ",", 
        StyleBox["t", "TI"]}], "]"}]], "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     "\[LineSeparator]computes the Mandelstam double spectral function in \
overlapping channels ",
     Cell[BoxData[
      FormBox["s", TraditionalForm]], "InlineMath"],
     " and ",
     Cell[BoxData[
      FormBox["t", TraditionalForm]], "InlineMath"],
     "."
    }]]}
  }]], "Usage",
 Deletable->True,
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell["Details", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellGroupingRules->{"SectionGrouping", 50},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       Cell[
        BoxData[
         ButtonBox[
          FrameBox[
           StyleBox[
            RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"], 
           StripOnInput -> False], Appearance -> {Automatic, None}, BaseStyle -> 
          None, ButtonFunction :> (FrontEndExecute[{
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], All, ButtonCell], 
             FrontEndToken["OpenCloseGroup"], 
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
          Evaluator -> None, Method -> "Preemptive"]]]], "NotesSection", 
      CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Details"}], "NotesSection", 
         CellSize -> {5000, Inherited}], Appearance -> {Automatic, None}, 
        BaseStyle -> None, ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), Evaluator -> 
        None, Method -> "Preemptive"]], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->784537956],

Cell[CellGroupData[{

Cell[TextData[{
 "Gives discontinuities across branch cuts of ",
 Cell[BoxData[
  ButtonBox["PVA",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVA"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVC",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVC"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["PVD",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVD"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".  Poles are ignored."
}], "Notes",
 CellID->1067943069],

Cell[TextData[{
 "The output is always proprtional to the ",
 Cell[BoxData[
  ButtonBox["HeavisideTheta",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/HeavisideTheta"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " function which has support only when the channel is open."
}], "Notes",
 CellID->1117066294],

Cell[TextData[{
 "Channels of Passarino-Veltman functions are identified by matching patterns \
",
 Cell[BoxData[
  StyleBox["s", "TI"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and ",
 Cell[BoxData[
  StyleBox["t", "TI"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to entire arguments of ",
 Cell[BoxData[
  ButtonBox["PVA",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVA"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVC",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVC"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["PVD",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVD"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".  "
}], "Notes",
 CellID->271258170],

Cell["\<\
A correct result is guaranteed only if all other channels are closed (below \
normal threshold).\
\>", "Notes",
 CellID->1715397744],

Cell[TextData[{
 "Internally, a channel marker is placed in the appropriate arguments of ",
 Cell[BoxData[
  ButtonBox["PVA",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVA"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVC",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVC"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["PVD",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVD"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and a much simplified form of the Passarino-Veltman reduction formula is \
applied to obtain the result."
}], "Notes",
 CellID->1619796319]
}, Open  ]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Closed]],

Cell[CellGroupData[{

Cell["Examples", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "EXAMPLES", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "PrimaryExamplesSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Examples", "  ", 
           Cell["(7)", "ExampleCount"]}], "PrimaryExamplesSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellTags->"PrimaryExamplesSection",
 CellID->179833912],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->959067655],

Cell[TextData[{
 "Calculate the discontinuity across the normal threshold cut of the scalar \
two-point function:\[LineSeparator]\t",
 Cell[BoxData[
  GraphicsBox[
   TagBox[RasterBox[CompressedData["
1:eJzt3T9u5E52wPG39gYOpRv0zgkEjA/QNuYAwi4m5y7gCZxYWBsQNmM4cKRw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     "], {{0, 308}, {394, 0}}, {0, 255},
     ColorFunction->RGBColor],
    BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
    Selectable->False],
   BaseStyle->"ImageGraphics",
   ImageSize->{92., Automatic},
   ImageSizeRaw->{394, 308},
   PlotRange->{{0, 394}, {0, 308}}]]]
}], "ExampleText",
 CellID->1693045798],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{"1", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", 
  RowBox[{"%", ",", 
   RowBox[{"Part", "\[Rule]", 
    RowBox[{"Discontinuity", "[", 
     RowBox[{"p", ".", "p"}], "]"}]}]}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->1320115342],

Cell[BoxData[
 RowBox[{"PVB", "[", 
  RowBox[{"0", ",", "0", ",", 
   RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]], "Output",
 ImageSize->{133, 14},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1192793338],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{"HeavisideTheta", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"p", ".", "p"}]}], "]"}], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"p", ".", "p"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"p", ".", "p"}]}], ")"}]}]]}], 
  RowBox[{"p", ".", "p"}]]], "Output",
 ImageSize->{341, 42},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->517787021]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Applications",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->258228157],

Cell[TextData[{
 "Obtain the tree-level ",
 Cell[BoxData[
  FormBox[
   RowBox[{"h", "\[Rule]", 
    RowBox[{"Z", " ", "Z"}]}], TraditionalForm]], "InlineMath"],
 " partial width ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[CapitalGamma]", "=", 
    RowBox[{
     FractionBox["1", "Flux"], 
     RowBox[{"\[Integral]", 
      RowBox[{
       SubscriptBox[
        RowBox[{"(", "PS", ")"}], "2"], 
       SubsuperscriptBox["\[ScriptCapitalM]", "0", "*"], 
       SubscriptBox["\[ScriptCapitalM]", "0"]}]}]}]}], TraditionalForm]], 
  "InlineMath"],
 " by computing the discontinuity across the normal threshold cut of the \
one-loop Higgs self energy function ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "i"}], " ", 
     RowBox[{"Disc", "(", 
      SubscriptBox["\[ScriptCapitalM]", "1"], ")"}]}], "=", 
    RowBox[{"Flux", "\[Times]", 
     RowBox[{"\[Integral]", 
      RowBox[{
       SubscriptBox[
        RowBox[{"(", "PS", ")"}], "2"], 
       SubsuperscriptBox["\[ScriptCapitalM]", "0", "*"], 
       SubscriptBox["\[ScriptCapitalM]", "0"]}]}]}]}], TraditionalForm]], 
  "InlineMath"],
 ".\[LineSeparator]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", 
     SubscriptBox["\[ScriptCapitalM]", "1"]}], "=", 
    RowBox[{
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztnb2O3Mxyhss/gcPVHYx1BQvIF0AbCh0sjqF8jgErtWAfQDjZhAoVOLAy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        "], {{0, 308}, {420, 0}}, {0,
         255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{114.49609375, Automatic},
      ImageSizeRaw->{420, 308},
      PlotRange->{{0, 420}, {0, 308}}], "=", 
     RowBox[{
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], "i", " ", "g", " ", 
        SubscriptBox["m", "W"], 
        SuperscriptBox["g", "\[Mu]\[Nu]"], 
        FractionBox[
         RowBox[{"-", 
          RowBox[{"i", "(", 
           RowBox[{
            SubscriptBox["g", "\[Rho]\[Mu]"], "-", 
            RowBox[{
             SubscriptBox[
              RowBox[{"(", 
               RowBox[{"k", "+", "p"}], ")"}], "\[Rho]"], 
             RowBox[{
              SubscriptBox[
               RowBox[{"(", 
                RowBox[{"k", "+", "p"}], ")"}], "\[Mu]"], "/", 
              SubsuperscriptBox["m", "W", "2"]}]}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
          SubsuperscriptBox["m", "W", "2"]}]], "i", " ", "g", " ", 
        SubscriptBox["m", "W"], 
        SuperscriptBox["g", "\[Rho]\[Sigma]"], 
        FractionBox[
         RowBox[{"-", 
          RowBox[{"i", "(", 
           RowBox[{
            SubscriptBox["g", "\[Nu]\[Sigma]"], "-", 
            RowBox[{
             SubscriptBox["k", "\[Nu]"], 
             RowBox[{
              SubscriptBox["k", "\[Sigma]"], "/", 
              SubsuperscriptBox["m", "W", "2"]}]}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox["k", "2"], "-", 
          SubsuperscriptBox["m", "W", "2"]}]]}]}]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->412072835],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"iM1", "=", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{"\[ImaginaryI]", " ", "g", " ", "mW", " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]], "*", 
     RowBox[{"-", "\[ImaginaryI]"}], 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["\[DoubleStruckG]", 
        RowBox[{"\[Rho]", ",", "\[Mu]"}]], "-", 
       RowBox[{
        SubscriptBox[
         RowBox[{"(", 
          RowBox[{"k", "+", "p"}], ")"}], "\[Rho]"], 
        RowBox[{
         SubscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "+", "p"}], ")"}], "\[Mu]"], "/", 
         SuperscriptBox["mW", "2"]}]}]}], ")"}], "\[ImaginaryI]", " ", "g", 
     " ", "mW", " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Rho]", ",", "\[FinalSigma]"}]], "*", 
     RowBox[{"-", "\[ImaginaryI]"}], 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["\[DoubleStruckG]", 
        RowBox[{"\[Nu]", ",", "\[FinalSigma]"}]], "-", 
       RowBox[{
        SubscriptBox["k", "\[Nu]"], 
        RowBox[{
         SubscriptBox["k", "\[FinalSigma]"], "/", 
         SuperscriptBox["mW", "2"]}]}]}], ")"}]}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "mW"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "mW"}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1218217789],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SuperscriptBox["g", "2"], "4"]}], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["g", "2"], " ", 
       RowBox[{"p", ".", "p"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox["mW", "2"]}]]}], ")"}], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "mW"}], "]"}]}], "+", 
  FractionBox[
   RowBox[{"\[ScriptD]", " ", 
    SuperscriptBox["g", "2"], " ", 
    RowBox[{"PVA", "[", 
     RowBox[{"1", ",", "mW"}], "]"}]}], 
   RowBox[{"4", " ", 
    SuperscriptBox["mW", "2"]}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["g", "2"]}], " ", 
      SuperscriptBox["mW", "2"]}], "+", 
     RowBox[{"\[ScriptD]", " ", 
      SuperscriptBox["g", "2"], " ", 
      SuperscriptBox["mW", "2"]}], "-", 
     RowBox[{
      SuperscriptBox["g", "2"], " ", 
      RowBox[{"p", ".", "p"}]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox["g", "2"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"p", ".", "p"}], ")"}], "2"]}], 
      RowBox[{"4", " ", 
       SuperscriptBox["mW", "2"]}]]}], ")"}], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "mW", ",", "mW"}], "]"}]}]}]], "Output",
 ImageSize->{399, 75},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->873563192]
}, Open  ]],

Cell[TextData[{
 "Compute the discontinuity function, explicitly restoring the factor of ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox["i", 
     RowBox[{"16", 
      SuperscriptBox["\[Pi]", "2"]}]],
    FontColor->RGBColor[0.6666666666666666, 0., 0.]], TraditionalForm]], 
  "InlineMath"],
 " (factor of ",
 Cell[BoxData[
  FormBox[
   StyleBox["i",
    FontColor->RGBColor[0.6666666666666666, 0., 0.]], TraditionalForm]], 
  "InlineMath"],
 " cancels that in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["i",
     FontColor->RGBColor[0.6666666666666666, 0., 0.]], " ", 
    SubscriptBox["\[ScriptCapitalM]", "1"]}], TraditionalForm]], "InlineMath"],
 "):"
}], "ExampleText",
 Deletable->True,
 CellID->1755806339],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"disc", "=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", 
     SuperscriptBox["\[Pi]", "2"]}]], 
   RowBox[{"LoopRefine", "[", 
    RowBox[{"iM1", ",", 
     RowBox[{"Part", "\[Rule]", 
      RowBox[{"Discontinuity", "[", 
       RowBox[{"p", ".", "p"}], "]"}]}]}], "]"}]}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->144428150],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[ImaginaryI]", " ", 
   SuperscriptBox["g", "2"], " ", 
   RowBox[{"HeavisideTheta", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      SuperscriptBox["mW", "2"]}], "+", 
     RowBox[{"p", ".", "p"}]}], "]"}], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["mW", "2"]}], "-", 
        RowBox[{"p", ".", "p"}]}], ")"}]}], " ", 
     RowBox[{"p", ".", "p"}]}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"12", " ", 
      SuperscriptBox["mW", "4"]}], "-", 
     RowBox[{"4", " ", 
      SuperscriptBox["mW", "2"], " ", 
      RowBox[{"p", ".", "p"}]}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"p", ".", "p"}], ")"}], "2"]}], ")"}]}], 
  RowBox[{"32", " ", 
   SuperscriptBox["mW", "2"], " ", "\[Pi]", " ", 
   RowBox[{"p", ".", "p"}]}]]], "Output",
 ImageSize->{526, 45},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->169574018]
}, Open  ]],

Cell[TextData[{
 "The width is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[CapitalGamma]", "=", 
    RowBox[{
     FractionBox[
      RowBox[{"-", "i"}], "Flux"], " ", 
     RowBox[{"Disc", "(", 
      SubscriptBox["\[ScriptCapitalM]", "1"], ")"}]}]}], TraditionalForm]], 
  "InlineMath"],
 ", where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Flux", "=", 
    RowBox[{"2", 
     SubscriptBox["m", "H"]}]}], TraditionalForm]], "InlineMath"],
 ":"
}], "ExampleText",
 Deletable->True,
 CellID->1883271144],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"width", "=", 
  RowBox[{
   RowBox[{
    FractionBox[
     RowBox[{"-", "\[ImaginaryI]"}], 
     RowBox[{"2", "mH"}]], " ", "disc"}], "/.", 
   RowBox[{
    RowBox[{"p", ".", "p"}], "\[Rule]", 
    SuperscriptBox["mH", "2"]}]}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->1647677845],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["g", "2"], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["mH", "2"]}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["mH", "2"]}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["mW", "2"]}]}], ")"}]}]], " ", 
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["mH", "4"], "-", 
     RowBox[{"4", " ", 
      SuperscriptBox["mH", "2"], " ", 
      SuperscriptBox["mW", "2"]}], "+", 
     RowBox[{"12", " ", 
      SuperscriptBox["mW", "4"]}]}], ")"}], " ", 
   RowBox[{"HeavisideTheta", "[", 
    RowBox[{
     SuperscriptBox["mH", "2"], "-", 
     RowBox[{"4", " ", 
      SuperscriptBox["mW", "2"]}]}], "]"}]}], 
  RowBox[{"64", " ", 
   SuperscriptBox["mH", "3"], " ", 
   SuperscriptBox["mW", "2"], " ", "\[Pi]"}]]], "Output",
 ImageSize->{491, 43},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->229225533]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Properties & Relations",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->2123667759],

Cell[TextData[{
 "Since Feynman integrals are real analytic functions of their arguments, the \
discontinuity across the normal threshold cut is ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", " ", "i"}], TraditionalForm]], "InlineMath"],
 " times the imaginary part of the Feynman integral:"
}], "ExampleText",
 Deletable->True,
 CellID->36146205],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"boxfull", "[", 
    RowBox[{"s_", ",", "t_", ",", "m_"}], "]"}], "=", 
   RowBox[{"LoopRefine", "[", 
    RowBox[{
     RowBox[{"PVD", "[", 
      RowBox[{
      "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       "0", ",", "s", ",", "t", ",", "m", ",", "0", ",", "m", ",", "0"}], 
      "]"}], ",", 
     RowBox[{"Part", "\[Rule]", "All"}]}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"boxdisc", "[", 
   RowBox[{"s_", ",", "t_", ",", "m_"}], "]"}], "=", 
  RowBox[{"LoopRefine", "[", 
   RowBox[{
    RowBox[{"PVD", "[", 
     RowBox[{
     "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
      "0", ",", "s", ",", "t", ",", "m", ",", "0", ",", "m", ",", "0"}], 
     "]"}], ",", 
    RowBox[{"Part", "\[Rule]", 
     RowBox[{"Discontinuity", "[", "s", "]"}]}]}], "]"}]}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->2139147669],

Cell[BoxData[
 RowBox[{"ScalarD0", "[", 
  RowBox[{
  "0", ",", "0", ",", "0", ",", "0", ",", "s", ",", "t", ",", "m", ",", "0", 
   ",", "m", ",", "0"}], "]"}]], "Output",
 ImageSize->{245, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->488209187],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     SqrtBox[
      RowBox[{"s", " ", "t", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"], " ", "t"}], "+", 
         RowBox[{"s", " ", "t"}]}], ")"}]}]], " ", 
     RowBox[{"HeavisideTheta", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", 
        SuperscriptBox["m", "2"]}], "+", "s"}], "]"}], " ", 
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{
        RowBox[{"s", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["m", "4"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"], " ", "t"}], "-", 
           RowBox[{"s", " ", "t"}]}], ")"}]}], "+", 
        RowBox[{
         SqrtBox[
          RowBox[{"s", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", 
              SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", "s"}], " ", "t", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["m", "4"]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["m", "2"], " ", "t"}], "-", 
             RowBox[{"s", " ", "t"}]}], ")"}]}]]}]}], 
       RowBox[{
        RowBox[{"s", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["m", "4"]}], "+", 
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"], " ", "t"}], "-", 
           RowBox[{"s", " ", "t"}]}], ")"}]}], "-", 
        RowBox[{
         SqrtBox[
          RowBox[{"s", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", 
              SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", "s"}], " ", "t", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["m", "4"]}], "+", 
             RowBox[{"4", " ", 
              SuperscriptBox["m", "2"], " ", "t"}], "-", 
             RowBox[{"s", " ", "t"}]}], ")"}]}]]}]}]], "]"}]}], ")"}], "/", 
   RowBox[{"(", 
    RowBox[{"s", " ", "t", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["m", "4"]}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["m", "2"], " ", "t"}], "-", 
       RowBox[{"s", " ", "t"}]}], ")"}]}], ")"}]}]}]], "Output",
 ImageSize->{503, 117},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1944274369]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"2", "*", 
      RowBox[{"Im", "[", 
       RowBox[{"boxfull", "[", 
        RowBox[{"s", ",", 
         RowBox[{"-", "6.3"}], ",", "1.0"}], "]"}], "]"}]}], ",", 
     RowBox[{"Im", "[", 
      RowBox[{"boxdisc", "[", 
       RowBox[{"s", ",", 
        RowBox[{"-", "6.3"}], ",", "1.0"}], "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "0", ",", "30"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1185176277],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnft7Elcax+fZ3R/239h/gP+A6FjtxWpp7cV2N+22ttJu2+3GXIzESxWr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    "], {{0, 113}, {180, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{180, 113},
  PlotRange->{{0, 180}, {0, 113}}]], "Output",
 ImageSize->{184, 113},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->37823203]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->236510286],

Cell["\<\
Only 4- (and higher point-) functions have nonvanishing Mandelstam spectral \
functions:\
\>", "ExampleText",
 CellID->645443497],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{"PVC", "[", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "u", ",", "s", ",", "m", ",", "M",
      ",", "M"}], "]"}], ",", 
   RowBox[{"Part", "\[Rule]", 
    RowBox[{"Discontinuity", "[", 
     RowBox[{"s", ",", "u"}], "]"}]}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1856850706],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1444390114]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{"PVD", "[", 
    RowBox[{
    "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "s", ",", "0", ",", "u",
      ",", 
     SuperscriptBox["m", "2"], ",", 
     SuperscriptBox["m", "2"], ",", "m", ",", "m", ",", "M", ",", "M"}], 
    "]"}], ",", 
   RowBox[{"Part", "\[Rule]", 
    RowBox[{"Discontinuity", "[", 
     RowBox[{"s", ",", "u"}], "]"}]}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->709500310],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
    RowBox[{"HeavisideTheta", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["m", "4"], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["m", "3"], " ", "M"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["m", "2"], " ", 
         SuperscriptBox["M", "2"]}], "-", 
        RowBox[{
         SuperscriptBox["m", "2"], " ", "s"}], "-", 
        RowBox[{"2", " ", "m", " ", "M", " ", "s"}], "-", 
        RowBox[{
         SuperscriptBox["M", "2"], " ", "s"}], "-", 
        RowBox[{
         SuperscriptBox["m", "2"], " ", "u"}], "-", 
        RowBox[{"2", " ", "m", " ", "M", " ", "u"}], "-", 
        RowBox[{
         SuperscriptBox["M", "2"], " ", "u"}], "+", 
        RowBox[{"s", " ", "u"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["m", "4"], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["m", "3"], " ", "M"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["m", "2"], " ", 
         SuperscriptBox["M", "2"]}], "-", 
        RowBox[{
         SuperscriptBox["m", "2"], " ", "s"}], "+", 
        RowBox[{"2", " ", "m", " ", "M", " ", "s"}], "-", 
        RowBox[{
         SuperscriptBox["M", "2"], " ", "s"}], "-", 
        RowBox[{
         SuperscriptBox["m", "2"], " ", "u"}], "+", 
        RowBox[{"2", " ", "m", " ", "M", " ", "u"}], "-", 
        RowBox[{
         SuperscriptBox["M", "2"], " ", "u"}], "+", 
        RowBox[{"s", " ", "u"}]}], ")"}]}], "]"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"\[Sqrt]", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["m", "4"], "+", 
        RowBox[{"4", " ", 
         SuperscriptBox["m", "3"], " ", "M"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["m", "2"], " ", 
         SuperscriptBox["M", "2"]}], "-", 
        RowBox[{
         SuperscriptBox["m", "2"], " ", "s"}], "-", 
        RowBox[{"2", " ", "m", " ", "M", " ", "s"}], "-", 
        RowBox[{
         SuperscriptBox["M", "2"], " ", "s"}], "-", 
        RowBox[{
         SuperscriptBox["m", "2"], " ", "u"}], "-", 
        RowBox[{"2", " ", "m", " ", "M", " ", "u"}], "-", 
        RowBox[{
         SuperscriptBox["M", "2"], " ", "u"}], "+", 
        RowBox[{"s", " ", "u"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["m", "4"], "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["m", "3"], " ", "M"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["m", "2"], " ", 
         SuperscriptBox["M", "2"]}], "-", 
        RowBox[{
         SuperscriptBox["m", "2"], " ", "s"}], "+", 
        RowBox[{"2", " ", "m", " ", "M", " ", "s"}], "-", 
        RowBox[{
         SuperscriptBox["M", "2"], " ", "s"}], "-", 
        RowBox[{
         SuperscriptBox["m", "2"], " ", "u"}], "+", 
        RowBox[{"2", " ", "m", " ", "M", " ", "u"}], "-", 
        RowBox[{
         SuperscriptBox["M", "2"], " ", "u"}], "+", 
        RowBox[{"s", " ", "u"}]}], ")"}]}], ")"}]}], ")"}]}]], "Output",
 ImageSize->{551, 72},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->641445825]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Issues",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1305812373],

Cell["\<\
Channels of Passarino-Veltman functions are identified by matching to entire \
arguments only, and Passarino-Veltman functions for which none of the \
arguments match are assumed not to exhibit a cut and therefore dropped:\
\>", "ExampleText",
 CellID->702356224],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"PVB", "[", 
     RowBox[{"0", ",", "0", ",", "t", ",", "m", ",", "m"}], "]"}], "+", 
    RowBox[{"s", " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{
        RowBox[{"4", 
         SuperscriptBox["m", "2"]}], "-", "s", "-", "u"}], ",", "m", ",", "m",
        ",", "m"}], "]"}]}]}], ",", 
   RowBox[{"Part", "\[Rule]", 
    RowBox[{"Discontinuity", "[", "t", "]"}]}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->26149069],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   SqrtBox[
    RowBox[{"t", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", 
        SuperscriptBox["m", "2"]}], "+", "t"}], ")"}]}]], " ", 
   RowBox[{"HeavisideTheta", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      SuperscriptBox["m", "2"]}], "+", "t"}], "]"}]}], "t"]], "Output",
 ImageSize->{299, 39},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->511669360]
}, Open  ]],

Cell[TextData[{
 "Make sure all instances of Passarino-Veltman functions depend on the \
channel variable in the same way, or use ",
 Cell[BoxData[
  ButtonBox["Alternatives",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Alternatives"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " (",
 Cell[BoxData["|"], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ") to match multiple forms:"
}], "ExampleText",
 CellID->156130592],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "0", ",", "t", ",", "m", ",", "m"}], "]"}], "+", 
     RowBox[{"s", " ", 
      RowBox[{"PVC", "[", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
        RowBox[{
         RowBox[{"4", 
          SuperscriptBox["m", "2"]}], "-", "s", "-", "u"}], ",", "m", ",", 
        "m", ",", "m"}], "]"}]}]}], "/.", 
    RowBox[{"u", "\[Rule]", 
     RowBox[{
      RowBox[{"-", "s"}], "-", "t", "+", 
      RowBox[{"4", 
       SuperscriptBox["m", "2"]}]}]}]}], ",", 
   RowBox[{"Part", "\[Rule]", 
    RowBox[{"Discontinuity", "[", "t", "]"}]}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1327330084],

Cell[BoxData[
 RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
  RowBox[{"HeavisideTheta", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "4"}], " ", 
     SuperscriptBox["m", "2"]}], "+", "t"}], "]"}], " ", 
  RowBox[{"(", 
   RowBox[{
    FractionBox[
     SqrtBox[
      RowBox[{"t", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "2"]}], "+", "t"}], ")"}]}]], "t"], "+", 
    FractionBox[
     RowBox[{"s", " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["t", "2"]}], "+", 
         RowBox[{"t", " ", 
          SqrtBox[
           RowBox[{"t", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               SuperscriptBox["m", "2"]}], "+", "t"}], ")"}]}]]}]}], 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["t", "2"]}], "-", 
         RowBox[{"t", " ", 
          SqrtBox[
           RowBox[{"t", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               SuperscriptBox["m", "2"]}], "+", "t"}], ")"}]}]]}]}]], "]"}]}],
      "t"]}], ")"}]}]], "Output",
 ImageSize->{473, 122},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->538277997]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"PVB", "[", 
     RowBox[{"0", ",", "0", ",", "t", ",", "m", ",", "m"}], "]"}], "+", 
    RowBox[{"s", " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
       RowBox[{
        RowBox[{"4", 
         SuperscriptBox["m", "2"]}], "-", "s", "-", "u"}], ",", "m", ",", "m",
        ",", "m"}], "]"}]}]}], ",", 
   RowBox[{"Part", "\[Rule]", 
    RowBox[{"Discontinuity", "[", 
     RowBox[{"t", "|", 
      RowBox[{
       RowBox[{"4", 
        SuperscriptBox["m", "2"]}], "-", "s", "-", "u"}]}], "]"}]}]}], 
  "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->846705132],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
    SqrtBox[
     RowBox[{"t", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "4"}], " ", 
         SuperscriptBox["m", "2"]}], "+", "t"}], ")"}]}]], " ", 
    RowBox[{"HeavisideTheta", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "4"}], " ", 
       SuperscriptBox["m", "2"]}], "+", "t"}], "]"}]}], "t"], "-", 
  FractionBox[
   RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", "s", " ", 
    RowBox[{"HeavisideTheta", "[", 
     RowBox[{
      RowBox[{"-", "s"}], "-", "u"}], "]"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s", "-", "u"}], ")"}], "2"]}], 
       "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["m", "2"]}], "-", "s", "-", "u"}], ")"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"s", "+", "u"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", 
             SuperscriptBox["m", "2"]}], "+", "s", "+", "u"}], ")"}]}]]}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s", "-", "u"}], ")"}], "2"]}], 
       "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", 
           SuperscriptBox["m", "2"]}], "+", "s", "+", "u"}], ")"}], " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{"s", "+", "u"}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", 
             SuperscriptBox["m", "2"]}], "+", "s", "+", "u"}], ")"}]}]]}]}]], 
     "]"}]}], 
   RowBox[{
    RowBox[{
     RowBox[{"-", "4"}], " ", 
     SuperscriptBox["m", "2"]}], "+", "s", "+", "u"}]]}]], "Output",
 ImageSize->{466, 120},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->759526588]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->57570938],

Cell["\<\
If multiple arguments of a Passarino-Veltman function match the channel \
variable, the Passarino-Veltman function is dropped:\
\>", "ExampleText",
 CellID->1227113816],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopRefine", "[", 
   RowBox[{
    RowBox[{"PVD", "[", 
     RowBox[{
     "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
      "0", ",", "s", ",", "s", ",", "m", ",", "m", ",", "m", ",", "m"}], 
     "]"}], ",", 
    RowBox[{"Part", "\[Rule]", 
     RowBox[{"Discontinuity", "[", "s", "]"}]}]}], "]"}], "//", 
  "FullSimplify"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->56166001],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LoopRefine", "::", "discmult"}], "MessageName"], ":", 
  " ", "\<\"Warning: Multiple occurrences of channel variable \
\[NoBreak]\\!\\(s\\)\[NoBreak] found in \[NoBreak]\\!\\(PVD[\\(\\(0, 0, 0, 0, \
0, 0, 0, 0, s, s, m, m, m, m\\)\\)]\\)\[NoBreak] and will be dropped. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:X/ref/LoopRefine\\\", ButtonNote -> \
\\\"X`LoopRefine::discmult\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1788682527],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1911140583]
}, Open  ]],

Cell["\<\
Be sure arguments of Passarino-Veltman functions have different forms if only \
the discontinuity across the normal threshold cut is desried:\
\>", "ExampleText",
 CellID->447777016],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopRefine", "[", 
   RowBox[{
    RowBox[{"PVD", "[", 
     RowBox[{
     "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0", ",", 
      "0", ",", "s", ",", "t", ",", "m", ",", "m", ",", "m", ",", "m"}], 
     "]"}], ",", 
    RowBox[{"Part", "\[Rule]", 
     RowBox[{"Discontinuity", "[", "s", "]"}]}]}], "]"}], "//", 
  "FullSimplify"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->495867307],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{"HeavisideTheta", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      SuperscriptBox["m", "2"]}], "+", "s"}], "]"}], " ", 
   RowBox[{"Log", "[", 
    FractionBox[
     RowBox[{
      RowBox[{
       SuperscriptBox["s", "2"], " ", "t"}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"], " ", "s", " ", 
       RowBox[{"(", 
        RowBox[{"s", "+", 
         RowBox[{"2", " ", "t"}]}], ")"}]}], "-", 
      RowBox[{
       SqrtBox[
        RowBox[{"s", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", 
            SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]], " ", 
       SqrtBox[
        RowBox[{"s", " ", "t", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"s", " ", "t"}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"], " ", 
            RowBox[{"(", 
             RowBox[{"s", "+", "t"}], ")"}]}]}], ")"}]}]]}]}], 
     RowBox[{
      RowBox[{
       SuperscriptBox["s", "2"], " ", "t"}], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"], " ", "s", " ", 
       RowBox[{"(", 
        RowBox[{"s", "+", 
         RowBox[{"2", " ", "t"}]}], ")"}]}], "+", 
      RowBox[{
       SqrtBox[
        RowBox[{"s", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", 
            SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]], " ", 
       SqrtBox[
        RowBox[{"s", " ", "t", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"s", " ", "t"}], "-", 
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"], " ", 
            RowBox[{"(", 
             RowBox[{"s", "+", "t"}], ")"}]}]}], ")"}]}]]}]}]], "]"}]}], 
  SqrtBox[
   RowBox[{"s", " ", "t", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"s", " ", "t"}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["m", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"s", "+", "t"}], ")"}]}]}], ")"}]}]]]], "Output",
 ImageSize->{504, 87},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->139146423]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->883337705],

Cell[TextData[{
 "LoopRefine cannot compute discontinuities across cuts of functions besides \
those of ",
 Cell[BoxData[
  ButtonBox["PVA",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVA"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVC",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVC"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["PVD",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVD"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->1164501278],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Log", "[", "s", "]"}], 
    RowBox[{"PVB", "[", 
     RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m"}], "]"}]}], ",", 
   RowBox[{"Part", "\[Rule]", 
    RowBox[{"Discontinuity", "[", "s", "]"}]}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->31662599],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LoopRefine", "::", "discpoly"}], "MessageName"], ":", 
  " ", "\<\"Warning: input expression contains non-polynomial dependence on \
channel variable \[NoBreak]\\!\\(s\\)\[NoBreak] outside of Passarino-Veltman \
functions.  Possible discontinuities arising from non-polynomial sources will \
be dropped. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:X/ref/LoopRefine\\\", ButtonNote -> \
\\\"X`LoopRefine::discpoly\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1133930283],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   SqrtBox[
    RowBox[{"s", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", 
        SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]], " ", 
   RowBox[{"HeavisideTheta", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      SuperscriptBox["m", "2"]}], "+", "s"}], "]"}], " ", 
   RowBox[{"Log", "[", "s", "]"}]}], "s"]], "Output",
 ImageSize->{345, 39},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1196382903]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "SEE ALSO", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "SeeAlsoSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "See Also"}], "SeeAlsoSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["LoopRefine",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopRefine"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVA",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVA"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVB",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVB"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVC",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVC"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVD",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVD"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "TUTORIALS", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "TutorialsSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Tutorials"}], "TutorialsSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->250839057],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Tree-Level e\:207ae\:207b\[Rule]\[Gamma]\[Gamma] \
Cross Section by The Optical Theorem",
 BaseStyle->"Link",
 ButtonData->"paclet:X/tutorial/PairAnnihilationUnitarity"]], "Tutorials",
 CellID->341631938],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Guides", "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "MORE ABOUT", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "MoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Related Guides"}], "MoreAboutSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->38303248],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "MoreAbout",
 CellID->1665078683],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "Discontinuity - Wolfram Mathematica", "Discontinuity"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 52, 14.588038}", 
    "history" -> {"2.1", "", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Symbol", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "Discontinuity[s] is a setting for Part to LoopRefine to compute the \
discontinuity across the normal threshold cut in channel s.Discontinuity[s, \
t] computes the Mandelstam double spectral function in overlapping channels s \
and t.", "synonyms" -> {}, "title" -> "Discontinuity", "titlemodifier" -> "", 
    "windowtitle" -> "Discontinuity", "type" -> "Symbol", "uri" -> 
    "X/ref/Discontinuity"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

