Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"LoopRefine\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/LoopRefine"], "\<\"PVA\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/PVA"], "\<\"PVB\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/PVB"], "\<\"PVC\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/PVC"], "\<\"PVD\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/PVD"], "\<\"PVX\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/PVX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/ref/LoopIntegrate\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/ref/LoopIntegrate"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/ref/LoopIntegrate.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "X/ref/LoopIntegrate", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["LoopIntegrate", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["LoopIntegrate",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/LoopIntegrate"], "[", 
       RowBox[{
        StyleBox["num", "TI"], ",", " ", 
        StyleBox["k", "TI"], ",", " ", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox[
           StyleBox["q", "TI"], 
           StyleBox["0", "TR"]], ",", " ", 
          SubscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["0", "TR"]]}], "}"}], ",", " ", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox[
           StyleBox["q", "TI"], 
           StyleBox["1", "TR"]], ",", " ", 
          SubscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["1", "TR"]]}], "}"}], ",", " ", "..."}], "]"}]], 
      "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " \[LineSeparator]expresses the one-loop tensor integral over \
integration variable ",
     Cell[BoxData[
      StyleBox["k", "TI"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " with numerator ",
     Cell[BoxData[
      StyleBox["num", "TI"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " and denominator factors ",
     Cell[BoxData[
      FormBox[
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SubsuperscriptBox["q", "0", "2"], "-", 
           SubsuperscriptBox["m", "0", "2"]}], ")"}], 
         RowBox[{"(", 
          RowBox[{
           SubsuperscriptBox["q", "1", "2"], "-", 
           SubsuperscriptBox["m", "1", "2"]}], ")"}]}], "..."}], 
       TraditionalForm]], "InlineMath"],
     " in terms of Passarino-Veltman coefficient functions."
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["LoopIntegrate",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/LoopIntegrate"], "[", 
       RowBox[{
        StyleBox["num", "TI"], ",", 
        StyleBox["k", "TI"], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox[
           StyleBox["q", "TI"], 
           StyleBox["0", "TR"]], ",", 
          SubscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["0", "TR"]], ",", 
          SubscriptBox[
           StyleBox["w", "TI"], 
           StyleBox["0", "TR"]]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox[
           StyleBox["q", "TI"], 
           StyleBox["0", "TR"]], ",", 
          SubscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["1", "TR"]], ",", 
          SubscriptBox[
           StyleBox["w", "TI"], 
           StyleBox["1", "TR"]]}], "}"}], ",", "..."}], "]"}]], 
      "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     "\[LineSeparator]expresses the one-loop tensor integral in terms of \
Passarino-Veltman coefficients with weights ",
     Cell[BoxData[
      SubscriptBox[
       StyleBox["w", "TI"], 
       StyleBox["0", "TR"]]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     ", ",
     Cell[BoxData[
      SubscriptBox[
       StyleBox["w", "TI"], 
       StyleBox["1", "TR"]]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     ", \[Ellipsis]."
    }]]}
  }]], "Usage",
 Deletable->True,
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell["Details", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellGroupingRules->{"SectionGrouping", 50},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       Cell[
        BoxData[
         ButtonBox[
          FrameBox[
           StyleBox[
            RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"], 
           StripOnInput -> False], Appearance -> {Automatic, None}, BaseStyle -> 
          None, ButtonFunction :> (FrontEndExecute[{
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], All, ButtonCell], 
             FrontEndToken["OpenCloseGroup"], 
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
          Evaluator -> None, Method -> "Preemptive"]]]], "NotesSection", 
      CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Details and Options"}], "NotesSection", 
         CellSize -> {5000, Inherited}], Appearance -> {Automatic, None}, 
        BaseStyle -> None, ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), Evaluator -> 
        None, Method -> "Preemptive"]], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->686452794],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " generates a Lorentz covariant representation of the integral in terms of \
coefficient functions ",
 Cell[BoxData[
  ButtonBox["PVA",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVA"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVC",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVC"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVD",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVD"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["PVX",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVX"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", which is valid for any value of the kinematic arguments and to all orders \
in ",
 Cell[BoxData[
  ButtonBox["\[Epsilon]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Eps"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Notes",
 CellID->1937532077],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to convert ",
 Cell[BoxData[
  ButtonBox["PVA",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVA"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVC",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVC"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["PVD",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVD"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " into analytic expressions."
}], "Notes",
 CellID->1728089724],

Cell[TextData[{
 "Denominator specifiers typically have the form ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
    SubscriptBox[
     StyleBox["q", "TI"], 
     StyleBox["n", "TR",
      FontSlant->"Italic"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["n", "TR",
      FontSlant->"Italic"]]}], "}"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and represent a factor ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    StyleBox["1", "TI",
     FontSlant->"Plain"], 
    RowBox[{"(", 
     RowBox[{
      SubsuperscriptBox["q", "n", "2"], "-", 
      SubsuperscriptBox["m", "n", "2"], "+", 
      RowBox[{"i", " ", "\[CurlyEpsilon]"}]}], ")"}]], TraditionalForm]], 
  "InlineMath"],
 " in the integrand, with ",
 Cell[BoxData[
  SubscriptBox[
   StyleBox["q", "TI"], 
   StyleBox["n", "TI"]]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and ",
 Cell[BoxData[
  SubscriptBox[
   StyleBox["m", "TI"], 
   StyleBox["n", "TI"]]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " corresponding to internal momentum and mass variables."
}], "Notes",
 CellID->343811928],

Cell[TextData[{
 "Denominator specifiers may optionally take an additional argument  ",
 Cell[BoxData[
  RowBox[{"{", 
   RowBox[{
    SubscriptBox[
     StyleBox["q", "TI"], 
     StyleBox["n", "TR",
      FontSlant->"Italic"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["n", "TR",
      FontSlant->"Italic"]], ",", 
    SubscriptBox[
     StyleBox["w", "TI"], 
     StyleBox["n", "TR",
      FontSlant->"Italic"]]}], "}"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", with the integer ",
 Cell[BoxData[
  SubscriptBox[
   StyleBox["w", "TI"], 
   StyleBox["n", "TI"]]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " indicating the weight of that denominator factor ",
 Cell[BoxData[
  FormBox[
   FractionBox[
    StyleBox["1", "TI",
     FontSlant->"Plain"], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubsuperscriptBox["q", "n", "2"], "-", 
       SubsuperscriptBox["m", "n", "2"], "+", 
       RowBox[{"i", " ", "\[CurlyEpsilon]"}]}], ")"}], 
     SubscriptBox["w", "n"]]], TraditionalForm]], "InlineMath"],
 ".  The default value for ",
 Cell[BoxData[
  SubscriptBox[
   StyleBox["w", "TI"], 
   StyleBox["n", "TI"]]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is 1. ",
 ButtonBox["\[RightGuillemet]",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/LoopIntegrate#1445834945"]
}], "Notes",
 CellID->2058089587],

Cell[TextData[{
 "Denominators independent of integration variable ",
 Cell[BoxData[
  StyleBox["k", "TI"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " are factored out of the integral, and identical denominator factors are \
merged to form weighted denominators."
}], "Notes",
 CellID->81014465],

Cell[TextData[{
 "The number of unique denominator specifiers given to ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " determines the topology of the corresponding one-loop graph:"
}], "Notes",
 CellID->340965605],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], 
    RowBox[{
     RowBox[{
      ButtonBox["LoopIntegrate",
       BaseStyle->"Link",
       ButtonData->"paclet:X/ref/LoopIntegrate"], "[", 
      RowBox[{
       StyleBox["num", "TI"], ",", 
       StyleBox["k", "TI"], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          StyleBox["k", "TI"], "+", 
          SubscriptBox[
           StyleBox["p", "TI"], 
           StyleBox["0", "TR"]]}], ",", " ", 
         SubscriptBox[
          StyleBox["m", "TI"], 
          StyleBox["0", "TR"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          StyleBox["k", "TI"], "+", 
          SubscriptBox[
           StyleBox["p", "TI"], 
           StyleBox["1", "TR"]]}], ",", " ", 
         SubscriptBox[
          StyleBox["m", "TI"], 
          StyleBox["1", "TR"]]}], "}"}], ",", "\[Ellipsis]"}], "]"}], 
     "\[LineSeparator]", "\t", Cell[TextData[Cell[BoxData[
      FormBox[
       RowBox[{"=", 
        RowBox[{
         FractionBox["1", 
          SubscriptBox["C", "\[Epsilon]"]], 
         SuperscriptBox["\[Mu]", 
          RowBox[{"2", "\[Epsilon]"}]], 
         RowBox[{"\[Integral]", 
          RowBox[{
           FractionBox[
            RowBox[{
             SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
           FractionBox[
            StyleBox["num", "TI"], 
            RowBox[{
             RowBox[{
              RowBox[{"[", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"k", "+", 
                   SubscriptBox["p", "0"]}], ")"}], "2"], "-", 
                SubsuperscriptBox["m", "0", "2"], "+", 
                RowBox[{"i", " ", "\[CurlyEpsilon]"}]}], "]"}], "[", 
              RowBox[{
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"k", "+", 
                  SubscriptBox["p", "1"]}], ")"}], "2"], "-", 
               SubsuperscriptBox["m", "1", "2"], "+", 
               RowBox[{"i", " ", "\[CurlyEpsilon]"}]}], "]"}], 
             "\[Ellipsis]"}]]}]}]}]}], TraditionalForm]], "InlineMath"]], 
      "TableText"]}]},
   {Cell["      ", "TableRowIcon"], 
    RowBox[{
     RowBox[{
      ButtonBox["LoopIntegrate",
       BaseStyle->"Link",
       ButtonData->"paclet:X/ref/LoopIntegrate"], "[", 
      RowBox[{
       StyleBox["num", "TI"], ",", 
       StyleBox["k", "TI"], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          StyleBox["k", "TI"], "+", 
          SubscriptBox[
           StyleBox["p", "TI"], 
           StyleBox["0", "TR"]]}], ",", " ", 
         SubscriptBox[
          StyleBox["m", "TI"], 
          StyleBox["0", "TR"]], ",", 
         SubscriptBox[
          StyleBox["w", "TI"], 
          StyleBox["0", "TR"]]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          StyleBox["k", "TI"], "+", 
          SubscriptBox[
           StyleBox["p", "TI"], 
           StyleBox["1", "TR"]]}], ",", " ", 
         SubscriptBox[
          StyleBox["m", "TI"], 
          StyleBox["1", "TR"]], ",", " ", 
         SubscriptBox[
          StyleBox["w", "TI"], 
          StyleBox["1", "TR"]]}], "}"}], ",", "\[Ellipsis]"}], "]"}], 
     "\[LineSeparator]", "\t", Cell[TextData[Cell[BoxData[
      FormBox[
       RowBox[{"=", 
        RowBox[{
         FractionBox["1", 
          SubscriptBox["C", "\[Epsilon]"]], 
         SuperscriptBox["\[Mu]", 
          RowBox[{"2", "\[Epsilon]"}]], 
         RowBox[{"\[Integral]", 
          RowBox[{
           FractionBox[
            RowBox[{
             SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
           FractionBox[
            StyleBox["num", "TI"], 
            RowBox[{
             SuperscriptBox[
              RowBox[{
               SuperscriptBox[
                RowBox[{"[", 
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"k", "+", 
                    SubscriptBox["p", "0"]}], ")"}], "2"], "-", 
                  SubsuperscriptBox["m", "0", "2"], "+", 
                  RowBox[{"i", " ", "\[CurlyEpsilon]"}]}], "]"}], 
                SubscriptBox["w", "1"]], "[", 
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"k", "+", 
                   SubscriptBox["p", "1"]}], ")"}], "2"], "-", 
                SubsuperscriptBox["m", "1", "2"], "+", 
                RowBox[{"i", " ", "\[CurlyEpsilon]"}]}], "]"}], 
              SubscriptBox["w", "2"]], "\[Ellipsis]"}]]}]}]}]}], 
       TraditionalForm]], "InlineMath"]], "TableText"]}]}
  }]], "1ColumnTableMod",
 CellID->1105087578],

Cell[TextData[{
 "Although the canonical integration measure that arises in typical one-loop \
calculations is ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"2", "\[Pi]"}], ")"}], "d"]]}]}], TraditionalForm]], 
  "InlineMath"],
 ", ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " gives results with the combination ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["C", "\[Epsilon]"], "=", 
    FractionBox[
     RowBox[{"i", " ", 
      SuperscriptBox["e", 
       RowBox[{
        RowBox[{"-", 
         SubscriptBox[
          ButtonBox["\[Gamma]",
           BaseStyle->"Link",
           ButtonData->"paclet:ref/EulerGamma"], 
          StyleBox["E",
           FontSlant->"Plain"]]}], "\[Epsilon]"}]]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"4", "\[Pi]"}], ")"}], 
      RowBox[{"d", "/", "2"}]]]}], TraditionalForm]], "InlineMath"],
 " factored out and removed.  To interpret results in terms of the canonical \
integration measure near 4 spacetime dimensions, (1) multiply the output of \
",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " by ",
 Cell[BoxData[
  FormBox[
   FractionBox["i", 
    RowBox[{"16", 
     SuperscriptBox["\[Pi]", "2"]}]], TraditionalForm]], "InlineMath"],
 ", and (2) interpret poles near ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Epsilon]", " ", "~", " ", "0"}], TraditionalForm]], 
  "InlineMath"],
 " as follows:"
}], "Notes",
 Deletable->True,
 CellID->1041579871],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox[ButtonBox["LoopRefine",
      BaseStyle->"Link",
      ButtonData->"paclet:X/ref/LoopRefine"],
      FontWeight->"Bold"],
     StyleBox[" output:",
      FontWeight->"Bold"]
    }], "TableText"], Cell[TextData[StyleBox["implied expression:",
     FontWeight->"Bold"]], "TableText"]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[Cell[BoxData[
     FractionBox["1", 
      ButtonBox["\[Epsilon]",
       BaseStyle->"Link",
       ButtonData->"paclet:X/ref/Eps"]]], "InlineFormula",
     FontFamily->FEPrivate`If[
       FEPrivate`Or[
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
       "Source Sans Pro", Inherited]]], "TableText"], Cell[TextData[Cell[
    BoxData[
     FormBox[
      RowBox[{
       FractionBox["1", "\[Epsilon]"], "-", 
       SubscriptBox[
        ButtonBox["\[Gamma]",
         BaseStyle->"Link",
         ButtonData->"paclet:ref/EulerGamma"], 
        StyleBox["E",
         FontSlant->"Plain"]], "+", 
       RowBox[{"ln", "(", 
        RowBox[{"4", "\[Pi]"}], ")"}]}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[Cell[BoxData[
     FractionBox["1", 
      SuperscriptBox[
       ButtonBox["\[Epsilon]",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/Eps"], "2"]]], "InlineFormula",
     FontFamily->FEPrivate`If[
       FEPrivate`Or[
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
       "Source Sans Pro", Inherited]]], "TableText"], Cell[TextData[Cell[
    BoxData[
     FormBox[
      RowBox[{
       FractionBox["1", 
        SuperscriptBox["\[Epsilon]", "2"]], "+", 
       RowBox[{
        FractionBox["1", "\[Epsilon]"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SubscriptBox[
            ButtonBox["\[Gamma]",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/EulerGamma"], 
            StyleBox["E",
             FontSlant->"Plain"]]}], "+", 
          RowBox[{"ln", "(", 
           RowBox[{"4", "\[Pi]"}], ")"}]}], ")"}]}], "+", 
       FractionBox[
        SubsuperscriptBox[
         ButtonBox["\[Gamma]",
          BaseStyle->"Link",
          ButtonData->"paclet:ref/EulerGamma"], 
         StyleBox["E",
          FontSlant->"Plain"], "2"], "2"], "-", 
       RowBox[{
        SubscriptBox[
         ButtonBox["\[Gamma]",
          BaseStyle->"Link",
          ButtonData->"paclet:ref/EulerGamma"], 
         StyleBox["E",
          FontSlant->"Plain"]], 
        RowBox[{"ln", "(", 
         RowBox[{"4", "\[Pi]"}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{
         SuperscriptBox["ln", "2"], "(", 
         RowBox[{"4", "\[Pi]"}], ")"}]}]}], TraditionalForm]], "InlineMath"]],
      "TableText",
     Deletable->True]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, {None}}, "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True, True}}}},
 CellID->1378542191],

Cell[TextData[{
 "The option ",
 Cell[BoxData[
  ButtonBox["Apart",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate#1834656470"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " controls whether to carry out a partial fraction expansion of the \
integrand before making the Lorentz covariant decomposition.  Possible values \
are:"
}], "Notes",
 CellID->798666657],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], 
    RowBox[{
     ButtonBox["False",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/False"], " ", 
     RowBox[{"(", "default", ")"}]}], Cell[
    "Does not make a partial fraction expansion", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["True",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/True"], Cell[
    "Makes a partial fraction expansion", "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->1212477902],

Cell[TextData[{
 "The option ",
 Cell[BoxData[
  ButtonBox["Cancel",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate#377984336"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " controls whether to cancel common factors in the numerator and denominator \
before making the Lorentz covariant decomposition.  Possible values are:"
}], "Notes",
 CellID->958989141],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], 
    RowBox[{
     ButtonBox["Automatic",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Automatic"], " ", 
     RowBox[{"(", "default", ")"}]}], Cell["\<\
Does not cancel common factors if the numerator contains kinematic \
singularities, and cancels otherwise\
\>", "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["True",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/True"], Cell[
    "Cancels common factors", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["False",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/False"], Cell[
    "Does not cancel common factors", "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, {None}}, "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True, True}}}},
 CellID->1134134539],

Cell[TextData[{
 "The option ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Dimensions",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate#810408792"], "\[Rule]", 
   StyleBox["n", "TI"]}]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " sets the dimension of integration measure to ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "-", 
    RowBox[{"2", " ", "\[Epsilon]"}]}], TraditionalForm]], "InlineMath"],
 ".  Default setting is ",
 Cell[BoxData["4"], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and may be set to any even integer."
}], "Notes",
 Deletable->True,
 CellID->51923480],

Cell[TextData[{
 "The option ",
 Cell[BoxData[
  ButtonBox["DiracAlgebra",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate#1616289800"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " specifies whether to apply the Dirac algebra to simplify the numerator.  \
Possible values are:"
}], "Notes",
 CellID->132171944],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["True",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/True"], Cell[
    "Applies the Dirac algebra.", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["False",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/False"], Cell["\<\
Does not apply the Dirac algebra.  Uses only linearity to decompose the \
integral.\
\>", "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->1621232867],

Cell[TextData[{
 "With the setting ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["DiracAlgebra",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate#1616289800"], "\[Rule]", 
   ButtonBox["True",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/True"]}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " observes the default option settings of ",
 Cell[BoxData[
  ButtonBox["FermionLineExpand",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/FermionLineExpand"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and can be changed with ",
 Cell[BoxData[
  ButtonBox["SetOptions",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/SetOptions"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ". ",
 ButtonBox["\[RightGuillemet]",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/LoopIntegrate#100181607"]
}], "Notes",
 CellID->1135279052],

Cell[TextData[{
 "The option ",
 Cell[BoxData[
  ButtonBox["Organization",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate#1631545564"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " specifies how the result should be organized.  Possible values are:"
}], "Notes",
 CellID->1544763705],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], 
    RowBox[{
     ButtonBox["Automatic",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Automatic"], " ", 
     RowBox[{"(", "default", ")"}]}], Cell[
    "Chooses organization scheme automatically", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["LTensor",
     BaseStyle->"Link",
     ButtonData->"paclet:X/ref/LTensor"], Cell[
    "Organizes result by Lorentz tensor structures", "TableText"]},
   {Cell["      ", "TableRowIcon"], "Function", Cell[
    "Organizes result by Passarino-Veltman functions", "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    ButtonBox["None",
     BaseStyle->"Link",
     ButtonData->"paclet:ref/None"], Cell[
    "Leaves result unorganized (fastest) ", "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, {None}}, "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True, True, True}}}},
 CellID->1335403558]
}, Open  ]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Closed]],

Cell[CellGroupData[{

Cell["Examples", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "EXAMPLES", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "PrimaryExamplesSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Examples", "  ", 
           Cell["(35)", "ExampleCount"]}], "PrimaryExamplesSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellTags->"PrimaryExamplesSection",
 CellID->929957074],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(4)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->402559852],

Cell[TextData[{
 "Compute a scalar one-loop integral with one propagator (tadpole diagram):\
\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{"   ", 
    RowBox[{
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzt3b2O5MiRwPG4D+PM0RuU9AQD3AvwBD3AQML6lIBb9wa6AxbyypTZ7nm0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        "], {{0, 
        495}, {220, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{27.578124999999737`, Automatic},
      ImageSizeRaw->{220, 495},
      PlotRange->{{0, 220}, {0, 495}}], "  ", "=", "  ", 
     RowBox[{
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox[
         StyleBox["1", "TI"], 
         RowBox[{
          SuperscriptBox["k", "2"], "-", 
          SuperscriptBox["m", "2"]}]]}]}]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 CellID->594389758],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{"1", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1399975601],

Cell[BoxData[
 RowBox[{"PVA", "[", 
  RowBox[{"0", ",", "m"}], "]"}]], "Output",
 ImageSize->{65, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1354713138]
}, Open  ]],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to obtain an explicit expression:"
}], "ExampleText",
 CellID->334608084],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", "%", "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1866705745],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["m", "2"], "+", 
  RowBox[{
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}]}]}]], "Output",
 ImageSize->{138, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->39150268]
}, Open  ]],

Cell[TextData[{
 "To interpret the result, (1) restore an overall factor of ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox["i", 
     RowBox[{"16", 
      SuperscriptBox["\[Pi]", "2"]}]],
    FontColor->RGBColor[0.6666666666666666, 0., 0.]], TraditionalForm]], 
  "InlineMath"],
 ", and (2) read ",
 Cell[BoxData[
  FractionBox["1", 
   ButtonBox["\[Epsilon]",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/Eps"]]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " as ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "-", 
     SubscriptBox["\[Gamma]", "E"], "+", 
     RowBox[{"ln", "(", 
      RowBox[{"4", "\[Pi]"}], ")"}]}],
    FontColor->RGBColor[0.6666666666666666, 0., 0.]], TraditionalForm]], 
  "InlineMath"],
 ":\[LineSeparator]Therefore,   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Mu]", 
      RowBox[{"2", "\[Epsilon]"}]], 
     RowBox[{"\[Integral]", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
       FractionBox[
        StyleBox["1", "TI"], 
        RowBox[{
         SuperscriptBox["k", "2"], "-", 
         SuperscriptBox["m", "2"]}]]}]}]}], "  ", "=", "  ", 
    RowBox[{
     StyleBox[
      FractionBox["i", 
       RowBox[{"16", 
        SuperscriptBox["\[Pi]", "2"]}]],
      FontColor->RGBColor[
       0.6667429617761501, 0.011367971313038834`, 0.011367971313038834`]], 
     "[", 
     RowBox[{
      SuperscriptBox["m", "2"], "+", 
      RowBox[{
       SuperscriptBox["m", "2"], "(", 
       RowBox[{
        RowBox[{
         FractionBox["1", "\[Epsilon]"], 
         StyleBox[
          RowBox[{"-", 
           RowBox[{
            SubscriptBox["\[Gamma]", "E"], 
            RowBox[{"+", 
             RowBox[{"ln", "(", 
              RowBox[{"4", "\[Pi]"}], ")"}]}]}]}],
          FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], "+", 
        RowBox[{"ln", "(", 
         FractionBox[
          SuperscriptBox["\[Mu]", "2"], 
          SuperscriptBox["m", "2"]], ")"}]}], " ", ")"}]}], "]"}]}], 
   TraditionalForm]], "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->830255719],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->589932088],

Cell["Massless tadpoles vanish in dimensional regularization:", "ExampleText",
 
 CellID->139684635],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{"1", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", "%", "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->741604333],

Cell[BoxData[
 RowBox[{"PVA", "[", 
  RowBox[{"0", ",", "0"}], "]"}]], "Output",
 ImageSize->{65, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1671761410],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1765464169]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1162089199],

Cell[TextData[{
 "Compute a tensor bubble diagram with identical internal masses:\
\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{"  ", 
    RowBox[{
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzt3T+P3MjXKOYD24HDFeAPMN5PIGC/wNhQ6EC4hvK5F7BSC9cXEG42ocJJ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        "], {{0, 705}, {788, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSizeRaw->{788, 705},
      PlotRange->{{0, 788}, {0, 705}}], "   ", "=", "  ", 
     RowBox[{
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox[
         RowBox[{
          SubscriptBox[
           StyleBox["k", "TI"], "\[Mu]"], 
          SubscriptBox["k", "\[Nu]"]}], 
         RowBox[{
          SuperscriptBox["k", "2"], "-", 
          SuperscriptBox["m", "2"]}]], 
        FractionBox["1", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
          SuperscriptBox["m", "2"]}]]}]}]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 CellID->1541344949],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "\[Mu]"], 
    SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", "%", "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->2013850949],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "2", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]}]], "Output",
 ImageSize->{333, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1688489715],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"p", ".", "p"}]}], ")"}]}], 
      RowBox[{"3", " ", 
       RowBox[{"p", ".", "p"}]}]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "12"}], " ", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"13", " ", 
        RowBox[{"p", ".", "p"}]}]}], 
      RowBox[{"18", " ", 
       RowBox[{"p", ".", "p"}]}]], "+", 
     RowBox[{
      FractionBox["1", "3"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "\[Epsilon]"], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          SuperscriptBox["m", "2"]], "]"}]}], ")"}]}]}], ")"}], " ", 
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "18"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"21", " ", 
         SuperscriptBox["m", "2"]}], "-", 
        RowBox[{"4", " ", 
         RowBox[{"p", ".", "p"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      RowBox[{"DiscB", "[", 
       RowBox[{
        RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["m", "2"]}], "-", 
        RowBox[{"p", ".", "p"}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"6", " ", 
         SuperscriptBox["m", "2"]}], "-", 
        RowBox[{"p", ".", "p"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "\[Epsilon]"], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          SuperscriptBox["m", "2"]], "]"}]}], ")"}]}]}], ")"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]]}]}]], "Output",
 ImageSize->{577, 78},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1597728547]
}, Open  ]],

Cell[TextData[{
 "Interpretation: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Mu]", 
      RowBox[{"2", "\[Epsilon]"}]], 
     RowBox[{"\[Integral]", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
       FractionBox[
        RowBox[{
         SubscriptBox[
          StyleBox["k", "TI"], "\[Mu]"], 
         SubscriptBox["k", "\[Nu]"]}], 
        RowBox[{
         SuperscriptBox["k", "2"], "-", 
         SuperscriptBox["m", "2"]}]], 
       FractionBox["1", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
         SuperscriptBox["m", "2"]}]]}]}]}], "  ", "=", "  ", 
    RowBox[{
     StyleBox[
      FractionBox["i", 
       RowBox[{"16", 
        SuperscriptBox["\[Pi]", "2"]}]],
      FontColor->RGBColor[0.6666666666666666, 0., 0.]], "[", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["m", "2"]}], "+", 
             SuperscriptBox["p", "2"]}], ")"}], 
           RowBox[{"3", 
            SuperscriptBox["p", "2"]}]], 
          RowBox[{"\[CapitalLambda]", "(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["p", "2"], ";", "m"}], ",", "m"}], ")"}]}], "+", 
         FractionBox[
          RowBox[{
           RowBox[{
            RowBox[{"-", "12"}], 
            SuperscriptBox["m", "2"]}], "+", 
           RowBox[{"13", 
            SuperscriptBox["p", "2"]}]}], 
          RowBox[{"18", 
           SuperscriptBox["p", "2"]}]], "+", 
         RowBox[{
          FractionBox["1", "3"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "\[Epsilon]"], 
             StyleBox[
              RowBox[{"-", 
               SubscriptBox["\[Gamma]", "E"]}],
              FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
            StyleBox["+",
             FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
            StyleBox[
             RowBox[{"ln", 
              RowBox[{"(", 
               RowBox[{"4", "\[Pi]"}], ")"}]}],
             FontColor->RGBColor[0.6666666666666666, 0., 0.]], "+", 
            RowBox[{"ln", "(", 
             FractionBox[
              SuperscriptBox["\[Mu]", "2"], 
              SuperscriptBox["m", "2"]], ")"}]}], ")"}]}]}], ")"}], 
       SubscriptBox["p", "\[Mu]"], 
       SubscriptBox["p", "\[Nu]"]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "18"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"21", 
             SuperscriptBox["m", "2"]}], "-", 
            RowBox[{"4", 
             SuperscriptBox["p", "2"]}]}], ")"}]}], "+", 
         RowBox[{
          FractionBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", 
              SuperscriptBox["m", "2"]}], "-", 
             SuperscriptBox["p", "2"]}], ")"}], "12"], 
          RowBox[{"\[CapitalLambda]", "(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["p", "2"], ";", "m"}], ",", "m"}], ")"}]}], "+", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{"6", 
             SuperscriptBox["m", "2"]}], "-", 
            SuperscriptBox["p", "2"]}], "12"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "\[Epsilon]"], 
             StyleBox[
              RowBox[{"-", 
               SubscriptBox["\[Gamma]", "E"]}],
              FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
            StyleBox["+",
             FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
            StyleBox[
             RowBox[{"ln", 
              RowBox[{"(", 
               RowBox[{"4", "\[Pi]"}], ")"}]}],
             FontColor->RGBColor[0.6666666666666666, 0., 0.]], "+", 
            RowBox[{"ln", "(", 
             FractionBox[
              SuperscriptBox["\[Mu]", "2"], 
              SuperscriptBox["m", "2"]], ")"}]}], ")"}]}]}], ")"}], 
       SubscriptBox["\[ScriptG]", "\[Mu]\[Nu]"]}]}], "]"}]}], 
   TraditionalForm]], "InlineMath"]
}], "ExampleText",
 CellID->255421820]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->940014479],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["HoldForm",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/HoldForm"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to check your input:"
}], "ExampleText",
 CellID->1854997270],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HoldForm", "[", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{
     SubscriptBox["k", "\[Mu]"], 
     SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], "]"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1919013391],

Cell[BoxData[
 TagBox[
  TemplateBox[{RowBox[{
      SubscriptBox["k", "\[Mu]"], " ", 
      SubscriptBox["k", "\[Nu]"]}],"k",RowBox[{
      TemplateBox[{"k", "m", "1"}, "LoopIntegrateDenomSpec", 
       DisplayFunction -> (RowBox[{"(", 
          SuperscriptBox[#, "2"], "-", 
          SuperscriptBox[#2, "2"], ")"}]& ), 
       InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
      TemplateBox[{
        RowBox[{"(", 
          RowBox[{"k", "+", "p"}], ")"}], "m", "1"}, "LoopIntegrateDenomSpec",
        DisplayFunction -> (RowBox[{"(", 
          SuperscriptBox[#, "2"], "-", 
          SuperscriptBox[#2, "2"], ")"}]& ), 
       InterpretationFunction -> (
        RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )]}]},
   "LoopIntegrate",
   DisplayFunction->(RowBox[{"\[Integral]", 
      FractionBox[
       RowBox[{
         SuperscriptBox["\[DifferentialD]", "\[ScriptD]"], #2}], 
       SuperscriptBox[
        RowBox[{"(", "2", "\[Pi]", ")"}], "\[ScriptD]"]], 
      FractionBox[#, #3]}]& ),
   Editable->True,
   InterpretationFunction->(RowBox[{"LoopIntegrate", "[", 
      RowBox[
       Riffle[
        Join[{#, #2}, 
         Part[
          Map[ToBoxes[
            ToExpression[#]]& , #3, {2}], 1]], ","]], "]"}]& )],
  HoldForm]], "Output",
 ImageSize->{206, 40},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->448433865]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "//", "ReleaseHold"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1633878577],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "2", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]}]], "Output",
 ImageSize->{333, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->822359264]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Scope",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(14)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1293636265],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Numerators",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(6)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->242146905],

Cell[TextData[{
 "The numerator can be any tensor expression provided it is a polynomial in \
the integration variable:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       RowBox[{
        SubscriptBox[
         StyleBox["g", "TI"], "\[Mu]\[Nu]"], "-", 
        RowBox[{
         SubscriptBox["k", "\[Mu]"], 
         RowBox[{
          SubscriptBox["k", "\[Nu]"], "/", 
          SubsuperscriptBox["m", "A", "2"]}]}]}], 
       RowBox[{
        SuperscriptBox["k", "2"], "-", 
        SubsuperscriptBox["m", "A", "2"]}]], 
      FractionBox["1", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
        SubsuperscriptBox["m", "H", "2"]}]]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 CellID->987447805],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}]], "-", 
    RowBox[{
     SubscriptBox["k", "\[Mu]"], 
     RowBox[{
      SubscriptBox["k", "\[Nu]"], "/", 
      SuperscriptBox["mA", "2"]}]}]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "mA"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "mH"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->760785116],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SubscriptBox["p", "\[Mu]"], " ", 
     SubscriptBox["p", "\[Nu]"], " ", 
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "2", ",", 
       RowBox[{"p", ".", "p"}], ",", "mA", ",", "mH"}], "]"}]}], 
    SuperscriptBox["mA", "2"]]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"p", ".", "p"}], ",", "mA", ",", "mH"}], "]"}], "-", 
     FractionBox[
      RowBox[{"PVB", "[", 
       RowBox[{"1", ",", "0", ",", 
        RowBox[{"p", ".", "p"}], ",", "mA", ",", "mH"}], "]"}], 
      SuperscriptBox["mA", "2"]]}], ")"}]}]}]], "Output",
 ImageSize->{548, 34},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1386419990]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->54854436],

Cell[TextData[{
 "\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       RowBox[{
        RowBox[{"k", ".", "p"}], " ", 
        SuperscriptBox["k", "2"], 
        SuperscriptBox["p", "2"]}], 
       RowBox[{
        SuperscriptBox["k", "2"], "-", 
        SuperscriptBox["m", "2"]}]], 
      FractionBox["1", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
        SuperscriptBox["m", "2"]}]]}]}]}], TraditionalForm]], "InlineMath"]
}], "ExampleText",
 CellID->851560167],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"k", ".", "p"}], " ", 
    RowBox[{"k", ".", "k"}], " ", 
    RowBox[{"p", ".", "p"}]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->668021289],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["m", "2"], " ", 
      RowBox[{"p", ".", "p"}]}], "-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"p", ".", "p"}], ")"}], "2"]}], ")"}], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "m"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", "\[ScriptD]", " ", 
   RowBox[{"p", ".", "p"}], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"1", ",", "m"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["m", "2"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", ".", "p"}], ")"}], "2"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]}]], "Output",
 ImageSize->{525, 30},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->401647718]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->268950073],

Cell[TextData[{
 "A Dirac trace can appear in the numerator of a loop integral:\
\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", "p"}], ")"}], ".", "\[Gamma]"}], "+", "m"}], 
          ")"}]}], "]"}], 
       RowBox[{
        RowBox[{"[", 
         RowBox[{
          SuperscriptBox["k", "2"], "-", 
          SuperscriptBox["m", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
         SuperscriptBox["m", "2"]}], "]"}]]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 CellID->447675984],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{"Spur", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"k", ".", "\[Gamma]"}], "+", 
      RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "+", "p"}], ")"}], ".", "\[Gamma]"}], "+", 
      RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1993121689],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"8", " ", 
      SuperscriptBox["m", "2"]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]}]], "Output",
 ImageSize->{301, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->941607538]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->307588982],

Cell[TextData[{
 "A product of Dirac matrices (",
 Cell[BoxData[
  ButtonBox["DiracMatrix",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracMatrix"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "):\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       RowBox[{
        RowBox[{
         SubscriptBox["\[Gamma]", "\[Mu]"], "(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"p", "-", "k"}], ")"}], ".", "\[Gamma]"}], "+", "m"}], 
         ")"}], 
        SuperscriptBox["\[Gamma]", "\[Mu]"]}], 
       RowBox[{
        SuperscriptBox["k", "2"], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "-", "p"}], ")"}], "2"], "-", 
         SuperscriptBox["m", "2"]}], "]"}]]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 CellID->654882145],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{"DiracMatrix", "[", 
    RowBox[{
     SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
     RowBox[{
      RowBox[{"\[Gamma]", ".", 
       RowBox[{"(", 
        RowBox[{"p", "-", "k"}], ")"}]}], "+", 
      RowBox[{"\[DoubleStruckOne]", " ", "m"}]}], ",", 
     SubscriptBox["\[Gamma]", "\[Mu]"]}], "]"}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->786975714],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[ScriptD]", " ", "m", " ", 
   RowBox[{"DiracMatrix", "[", "]"}], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"DiracMatrix", "[", 
    RowBox[{"\[Gamma]", ".", "p"}], "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}], "-", 
     RowBox[{"\[ScriptD]", " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "1", ",", 
        RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}], "-", 
     RowBox[{"\[ScriptD]", " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "1", ",", 
        RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}]}], 
    ")"}]}]}]], "Output",
 ImageSize->{436, 42},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1819890078]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->2011411183],

Cell[TextData[{
 "An open on-shell fermion line (",
 Cell[BoxData[
  ButtonBox["FermionLine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/FermionLine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " object):\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       RowBox[{
        RowBox[{
         OverscriptBox["u", "_"], "(", 
         SubscriptBox["p", "1"], ")"}], 
        RowBox[{
         SuperscriptBox["\[Gamma]", "\[Mu]"], "(", 
         RowBox[{
          RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], 
        SuperscriptBox["\[Gamma]", "\[Nu]"], 
        RowBox[{"v", "(", 
         SubscriptBox["p", "2"], ")"}], " ", 
        SubscriptBox["g", "\[Mu]\[Nu]"]}], 
       RowBox[{
        RowBox[{
         RowBox[{"[", 
          RowBox[{
           SuperscriptBox["k", "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}], "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", 
             SubscriptBox["p", "2"]}], ")"}], "2"], "-", 
          SuperscriptBox["M", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "-", 
            SubscriptBox["p", "1"]}], ")"}], "2"], "-", 
         SuperscriptBox["M", "2"]}], "]"}]]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 CellID->100181607],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}], ",", 
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
      RowBox[{
       RowBox[{"\[Gamma]", ".", "k"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}]}], "\[RightAngleBracket]"}], 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p2"}], ",", "M"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "p1"}], ",", "M"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->2003849926],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[LeftAngleBracket]", 
   RowBox[{"\[ScriptU]", "[", 
    RowBox[{"p1", ",", "m"}], "]"}], ",", 
   RowBox[{"\[ScriptV]", "[", 
    RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"\[ScriptD]", " ", "m", " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       SuperscriptBox["m", "2"], ",", 
       RowBox[{
        RowBox[{"2", " ", 
         SuperscriptBox["m", "2"]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"p1", ".", "p2"}]}]}], ",", 
       SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}], "-", 
    RowBox[{"m", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", 
        RowBox[{"PVC", "[", 
         RowBox[{"0", ",", "0", ",", "1", ",", 
          SuperscriptBox["m", "2"], ",", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["m", "2"]}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"p1", ".", "p2"}]}]}], ",", 
          SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}], 
       "-", 
       RowBox[{"\[ScriptD]", " ", 
        RowBox[{"PVC", "[", 
         RowBox[{"0", ",", "0", ",", "1", ",", 
          SuperscriptBox["m", "2"], ",", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["m", "2"]}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"p1", ".", "p2"}]}]}], ",", 
          SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}]}],
       ")"}]}], "+", 
    RowBox[{"m", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"PVC", "[", 
         RowBox[{"0", ",", "1", ",", "0", ",", 
          SuperscriptBox["m", "2"], ",", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["m", "2"]}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"p1", ".", "p2"}]}]}], ",", 
          SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}], 
       "+", 
       RowBox[{"\[ScriptD]", " ", 
        RowBox[{"PVC", "[", 
         RowBox[{"0", ",", "1", ",", "0", ",", 
          SuperscriptBox["m", "2"], ",", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["m", "2"]}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"p1", ".", "p2"}]}]}], ",", 
          SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}]}],
       ")"}]}]}], ")"}]}]], "Output",
 ImageSize->{442, 90},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->2070739078]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " observes all options set for ",
 Cell[BoxData[
  ButtonBox["FermionLineExpand",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/FermionLineExpand"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to carry out the numerator algebra.  Do the same calculation in the chiral \
basis:"
}], "ExampleText",
 CellID->26184638],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOptions", "[", 
  RowBox[{"FermionLineExpand", ",", 
   RowBox[{"ChiralBasis", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1924618250],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"ChiralBasis", "\[Rule]", "True"}], ",", 
   RowBox[{"ChisholmExpand", "\[Rule]", "Automatic"}], ",", 
   RowBox[{"GordonIdentity", "\[Rule]", "True"}], ",", 
   RowBox[{"DiracAlgebra", "\[RuleDelayed]", "$DiracAlgebra"}]}], 
  "}"}]], "Output",
 ImageSize->{374, 28},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->304383036]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}], ",", 
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
      RowBox[{
       RowBox[{"k", ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}]}], "\[RightAngleBracket]"}], 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p2"}], ",", "M"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "p1"}], ",", "M"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->663854107],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"\[ScriptU]", "[", 
     RowBox[{"p1", ",", "m"}], "]"}], ",", "\[DoubleStruckCapitalP]L", ",", 
    RowBox[{"\[ScriptV]", "[", 
     RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"\[ScriptD]", " ", "m", " ", 
      RowBox[{"PVC", "[", 
       RowBox[{"0", ",", "0", ",", "0", ",", 
        SuperscriptBox["m", "2"], ",", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p1", ".", "p2"}]}]}], ",", 
        SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}], 
     "-", 
     RowBox[{"m", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"PVC", "[", 
          RowBox[{"0", ",", "0", ",", "1", ",", 
           SuperscriptBox["m", "2"], ",", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"p1", ".", "p2"}]}]}], ",", 
           SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}], 
        "-", 
        RowBox[{"\[ScriptD]", " ", 
         RowBox[{"PVC", "[", 
          RowBox[{"0", ",", "0", ",", "1", ",", 
           SuperscriptBox["m", "2"], ",", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"p1", ".", "p2"}]}]}], ",", 
           SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], 
          "]"}]}]}], ")"}]}], "+", 
     RowBox[{"m", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"PVC", "[", 
          RowBox[{"0", ",", "1", ",", "0", ",", 
           SuperscriptBox["m", "2"], ",", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"p1", ".", "p2"}]}]}], ",", 
           SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}], 
        "+", 
        RowBox[{"\[ScriptD]", " ", 
         RowBox[{"PVC", "[", 
          RowBox[{"0", ",", "1", ",", "0", ",", 
           SuperscriptBox["m", "2"], ",", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"p1", ".", "p2"}]}]}], ",", 
           SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], 
          "]"}]}]}], ")"}]}]}], ")"}]}], "+", 
  RowBox[{
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{"\[ScriptU]", "[", 
     RowBox[{"p1", ",", "m"}], "]"}], ",", "\[DoubleStruckCapitalP]R", ",", 
    RowBox[{"\[ScriptV]", "[", 
     RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"\[ScriptD]", " ", "m", " ", 
      RowBox[{"PVC", "[", 
       RowBox[{"0", ",", "0", ",", "0", ",", 
        SuperscriptBox["m", "2"], ",", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p1", ".", "p2"}]}]}], ",", 
        SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}], 
     "-", 
     RowBox[{"m", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", 
         RowBox[{"PVC", "[", 
          RowBox[{"0", ",", "0", ",", "1", ",", 
           SuperscriptBox["m", "2"], ",", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"p1", ".", "p2"}]}]}], ",", 
           SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}], 
        "-", 
        RowBox[{"\[ScriptD]", " ", 
         RowBox[{"PVC", "[", 
          RowBox[{"0", ",", "0", ",", "1", ",", 
           SuperscriptBox["m", "2"], ",", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"p1", ".", "p2"}]}]}], ",", 
           SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], 
          "]"}]}]}], ")"}]}], "+", 
     RowBox[{"m", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"PVC", "[", 
          RowBox[{"0", ",", "1", ",", "0", ",", 
           SuperscriptBox["m", "2"], ",", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"p1", ".", "p2"}]}]}], ",", 
           SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], "]"}]}], 
        "+", 
        RowBox[{"\[ScriptD]", " ", 
         RowBox[{"PVC", "[", 
          RowBox[{"0", ",", "1", ",", "0", ",", 
           SuperscriptBox["m", "2"], ",", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"p1", ".", "p2"}]}]}], ",", 
           SuperscriptBox["m", "2"], ",", "m", ",", "M", ",", "M"}], 
          "]"}]}]}], ")"}]}]}], ")"}]}]}]], "Output",
 ImageSize->{476, 180},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->2120602301]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->245427404],

Cell["\<\
Supply a list of numerators to obtain a list of loop integrals:\
\>", "ExampleText",
 CellID->1729776788],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"k", ".", "k"}], "-", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"k", ".", "p"}], "-", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      SuperscriptBox["m", "2"]}]}], "}"}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->925587301],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "m"}], "]"}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "2"]}], "-", 
      FractionBox[
       RowBox[{"p", ".", "p"}], "2"]}], ")"}], " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"0", ",", "0", ",", 
      RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "2"]}], "+", 
      RowBox[{"p", ".", "p"}]}], ")"}], " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"0", ",", "0", ",", 
      RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]}], 
  "}"}]], "Output",
 ImageSize->{508, 28},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->439909557]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Internal Momenta",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->1938283623],

Cell["\<\
The internal momentum can be any linear combination of the integration \
momentum and external momenta:\
\>", "ExampleText",
 CellID->1839935732],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   SubscriptBox["k", "\[Mu]"], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "q", "+", "p"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "k"}], "+", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1052545477],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["q", "\[Mu]"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "1", ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   SubscriptBox["p", "\[Mu]"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"p", ".", "p"}]}], "+", 
        RowBox[{"4", " ", 
         RowBox[{"p", ".", "q"}]}], "+", 
        RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m"}], "]"}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "1", ",", 
        RowBox[{
         RowBox[{"4", " ", 
          RowBox[{"p", ".", "p"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"p", ".", "q"}]}], "+", 
         RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m"}], "]"}]}]}], 
    ")"}]}]}]], "Output",
 ImageSize->{499, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->237984383]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1886777177],

Cell["Integration momentum can be normalized non-canonically:", "ExampleText",
 
 CellID->933304182],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   SubscriptBox["k", "\[Mu]"], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"2", "k"}], "+", 
      RowBox[{"2", "p"}]}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1210349985],

Cell[BoxData[
 RowBox[{
  SubscriptBox["p", "\[Mu]"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["1", "4"], " ", 
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"4", " ", 
        RowBox[{"p", ".", "p"}]}], ",", "m", ",", 
       FractionBox["m", "2"]}], "]"}]}], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "1", ",", 
       RowBox[{"4", " ", 
        RowBox[{"p", ".", "p"}]}], ",", "m", ",", 
       FractionBox["m", "2"]}], "]"}]}]}], ")"}]}]], "Output",
 ImageSize->{363, 30},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->2068620051]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1707741245],

Cell["\<\
Denominator factors can be independent of the integration momentum, and will \
be automatically factored out of the integral:\
\>", "ExampleText",
 CellID->888162560],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "\[Mu]"], 
    SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"p", ",", "m1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "M"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m2"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1729484956],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    SubscriptBox["p", "\[Mu]"], " ", 
    SubscriptBox["p", "\[Nu]"], " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"0", ",", "2", ",", 
      RowBox[{"p", ".", "p"}], ",", "M", ",", "m2"}], "]"}]}], 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["m1", "2"]}], "+", 
    RowBox[{"p", ".", "p"}]}]], "+", 
  FractionBox[
   RowBox[{
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"1", ",", "0", ",", 
      RowBox[{"p", ".", "p"}], ",", "M", ",", "m2"}], "]"}]}], 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["m1", "2"]}], "+", 
    RowBox[{"p", ".", "p"}]}]]}]], "Output",
 ImageSize->{356, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->494442023]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Internal Masses",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->915506718],

Cell["Internal masses can be almost any expression:", "ExampleText",
 CellID->361599346],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "\[Mu]"], 
    SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{"m", "+", "\[CapitalDelta]m"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->2035089884],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "2", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"m", "+", "\[CapitalDelta]m"}], ",", "m"}], "]"}]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"m", "+", "\[CapitalDelta]m"}], ",", "m"}], "]"}]}]}]], "Output",
 
 ImageSize->{389, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->151295657]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->614061693],

Cell["Masses can be zero:", "ExampleText",
 CellID->85990789],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{"1", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "p"}], ",", "0"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->469361696],

Cell[BoxData[
 RowBox[{"PVB", "[", 
  RowBox[{"0", ",", "0", ",", 
   RowBox[{"p", ".", "p"}], ",", "0", ",", "0"}], "]"}]], "Output",
 ImageSize->{133, 14},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->254441446]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1989209227],

Cell[TextData[{
 "For gauge-dependent internal masses (e.g. ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["m", "G", "2"], "=", 
    RowBox[{"\[Xi]", " ", 
     SubsuperscriptBox["m", "W", "2"]}]}], TraditionalForm]], "InlineMath"],
 "), remember to take the square-root of the gauge parameter:\[LineSeparator]\
\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       RowBox[{
        SubscriptBox["k", "\[Mu]"], 
        SubscriptBox["k", "\[Nu]"]}], 
       RowBox[{
        SuperscriptBox["k", "2"], "-", 
        RowBox[{"\[Xi]", " ", 
         SubsuperscriptBox["m", "W", "2"]}]}]], 
      FractionBox["1", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
        RowBox[{"\[Xi]", " ", 
         SubsuperscriptBox["m", "W", "2"]}]}]]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1142648643],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "\[Mu]"], 
    SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", 
     RowBox[{
      SqrtBox["\[Xi]"], "mW"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", 
     RowBox[{
      SqrtBox["\[Xi]"], "mW"}]}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1652109643],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "2", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"mW", " ", 
      SqrtBox["\[Xi]"]}], ",", 
     RowBox[{"mW", " ", 
      SqrtBox["\[Xi]"]}]}], "]"}]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"mW", " ", 
      SqrtBox["\[Xi]"]}], ",", 
     RowBox[{"mW", " ", 
      SqrtBox["\[Xi]"]}]}], "]"}]}]}]], "Output",
 ImageSize->{461, 20},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->40348799]
}, Open  ]],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["HoldForm",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/HoldForm"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to check your input:"
}], "ExampleText",
 CellID->1536818827],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"HoldForm", "[", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{
     SubscriptBox["k", "\[Mu]"], 
     SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{
       SqrtBox["\[Xi]"], "mW"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", 
      RowBox[{
       SqrtBox["\[Xi]"], "mW"}]}], "}"}]}], "]"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1528202920],

Cell[BoxData[
 TagBox[
  TemplateBox[{RowBox[{
      SubscriptBox["k", "\[Mu]"], " ", 
      SubscriptBox["k", "\[Nu]"]}],"k",RowBox[{
      TemplateBox[{"k", 
        RowBox[{"(", 
          RowBox[{"mW", " ", 
            SqrtBox["\[Xi]"]}], ")"}], "1"}, "LoopIntegrateDenomSpec", 
       DisplayFunction -> (RowBox[{"[", 
          SuperscriptBox[#, "2"], "-", 
          SuperscriptBox[#2, "2"], "]"}]& ), 
       InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
      TemplateBox[{
        RowBox[{"(", 
          RowBox[{"k", "+", "p"}], ")"}], 
        RowBox[{"(", 
          RowBox[{"mW", " ", 
            SqrtBox["\[Xi]"]}], ")"}], "1"}, "LoopIntegrateDenomSpec", 
       DisplayFunction -> (RowBox[{"[", 
          SuperscriptBox[#, "2"], "-", 
          SuperscriptBox[#2, "2"], "]"}]& ), 
       InterpretationFunction -> (
        RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )]}]},
   "LoopIntegrate",
   DisplayFunction->(RowBox[{"\[Integral]", 
      FractionBox[
       RowBox[{
         SuperscriptBox["\[DifferentialD]", "\[ScriptD]"], #2}], 
       SuperscriptBox[
        RowBox[{"(", "2", "\[Pi]", ")"}], "\[ScriptD]"]], 
      FractionBox[#, #3]}]& ),
   Editable->True,
   InterpretationFunction->(RowBox[{"LoopIntegrate", "[", 
      RowBox[
       Riffle[
        Join[{#, #2}, 
         Part[
          Map[ToBoxes[
            ToExpression[#]]& , #3, {2}], 1]], ","]], "]"}]& )],
  HoldForm]], "Output",
 ImageSize->{303, 46},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1639969785]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "//", "ReleaseHold"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->409400959],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "2", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"mW", " ", 
      SqrtBox["\[Xi]"]}], ",", 
     RowBox[{"mW", " ", 
      SqrtBox["\[Xi]"]}]}], "]"}]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"mW", " ", 
      SqrtBox["\[Xi]"]}], ",", 
     RowBox[{"mW", " ", 
      SqrtBox["\[Xi]"]}]}], "]"}]}]}]], "Output",
 ImageSize->{461, 20},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->1685869946]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Weights",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->1945864828],

Cell["Denominator factor with non-unit weight:", "ExampleText",
 CellID->1445834945],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{
     SubscriptBox["k", "\[Mu]"], 
     SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], "]"}], "//", 
  "HoldForm"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->14100152],

Cell[BoxData[
 TagBox[
  TemplateBox[{RowBox[{
      SubscriptBox["k", "\[Mu]"], " ", 
      SubscriptBox["k", "\[Nu]"]}],"k",RowBox[{
      TemplateBox[{"k", "0", "2"}, "LoopIntegrateDenomSpec", 
       DisplayFunction -> (SuperscriptBox[
         RowBox[{"(", 
           SuperscriptBox[#, "2"], ")"}], #3]& ), 
       InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
      TemplateBox[{
        RowBox[{"(", 
          RowBox[{"k", "+", "p"}], ")"}], "m", "1"}, "LoopIntegrateDenomSpec",
        DisplayFunction -> (RowBox[{"[", 
          SuperscriptBox[#, "2"], "-", 
          SuperscriptBox[#2, "2"], "]"}]& ), 
       InterpretationFunction -> (
        RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )]}]},
   "LoopIntegrate",
   DisplayFunction->(RowBox[{"\[Integral]", 
      FractionBox[
       RowBox[{
         SuperscriptBox["\[DifferentialD]", "\[ScriptD]"], #2}], 
       SuperscriptBox[
        RowBox[{"(", "2", "\[Pi]", ")"}], "\[ScriptD]"]], 
      FractionBox[#, #3]}]& ),
   Editable->True,
   InterpretationFunction->(RowBox[{"LoopIntegrate", "[", 
      RowBox[
       Riffle[
        Join[{#, #2}, 
         Part[
          Map[ToBoxes[
            ToExpression[#]]& , #3, {2}], 1]], ","]], "]"}]& )],
  HoldForm]], "Output",
 ImageSize->{186, 41},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1704842413]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "//", "ReleaseHold"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->981614818],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "2", ",", 
     RowBox[{"p", ".", "p"}], ",", "0", ",", "m", ",", 
     RowBox[{"Weights", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}]}]}], "]"}]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "0", ",", "m", ",", 
     RowBox[{"Weights", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}]}]}], "]"}]}]}]], "Output",
 ImageSize->{567, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1646310149]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->331172115],

Cell["\<\
Negative weight implies the denominator factor is in the numerator:\
\>", "ExampleText",
 CellID->1879607428],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "\[Mu]"], 
    SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0", ",", 
     RowBox[{"-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->12471838],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["m", "2"], "+", 
     RowBox[{"p", ".", "p"}]}], ")"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"1", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["m", "2"], "+", 
        RowBox[{"p", ".", "p"}]}], ")"}], " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"0", ",", "m"}], "]"}]}], "+", 
     RowBox[{"4", " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"1", ",", "m"}], "]"}]}]}], ")"}]}]}]], "Output",
 ImageSize->{423, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1282276336]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Generalizations & Extensions",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(4)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1020263627],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Massless gauge-dependent spin-1 propagators",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->186399305],

Cell[TextData[{
 "The propagator for massless spin-1 fields in covariant gauges contains an \
extra piece:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", 
     SuperscriptBox[
      OverscriptBox["D", "~"], "\[Mu]\[Nu]"]}], "=", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["i", 
       SuperscriptBox["q", "2"]]}], 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g", "\[Mu]\[Nu]"], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Xi]"}], ")"}], 
        FractionBox[
         RowBox[{
          SuperscriptBox["q", "\[Mu]"], 
          SuperscriptBox["q", "\[Nu]"]}], 
         SuperscriptBox["q", "2"]]}]}], ")"}]}]}], TraditionalForm]], 
  "InlineMath"],
 "\[LineSeparator]For integrals involving such propagators, the extra piece \
can be handled by supplying a non-unit weight to the denominator specifier."
}], "ExampleText",
 Deletable->True,
 CellID->1910715353],

Cell[TextData[{
 "Consider the self-energy function in scalar \
electrodynamics:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "i"}], " ", 
     RowBox[{"\[CapitalSigma]", "(", 
      SuperscriptBox["p", "2"], ")"}]}], "=", " ", 
    RowBox[{
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzt3TGvI9m2EOAtICCcGxJxmF/Q0vwBg+YHtB66GYEfEpPSAqTRyxxOeMI3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        "], {{0, 537}, {860, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSizeRaw->{860, 537},
      PlotRange->{{0, 860}, {0, 537}}], " ", "=", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["e", "2"]}], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        RowBox[{
         FractionBox[
          RowBox[{
           SubscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Mu]"], 
           SubscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Nu]"]}], 
          RowBox[{
           SuperscriptBox["k", "2"], "[", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"p", "-", "k"}], ")"}], "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}]], "[", 
         RowBox[{
          SuperscriptBox["g", "\[Mu]\[Nu]"], "-", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"1", "-", "\[Xi]"}], ")"}], 
           FractionBox[
            RowBox[{
             SuperscriptBox["k", "\[Mu]"], 
             SuperscriptBox["k", "\[Nu]"]}], 
            SuperscriptBox["k", "2"]]}]}], "]"}]}]}]}]}]}], TraditionalForm]],
   "InlineMath"],
 "\[LineSeparator]There are two methods to compute this integral:"
}], "ExampleText",
 Deletable->True,
 CellID->2147191312],

Cell[TextData[{
 "Method 1: Split the integral, and compute each term separately (",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", "2"], TraditionalForm]], "InlineMath"],
 " factored out):\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "i"}], " ", 
     RowBox[{"\[CapitalSigma]", "(", 
      SuperscriptBox["p", "2"], ")"}]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["e", "2"]}], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[CenterDot]", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", "p"}], "-", "k"}], ")"}]}], 
         RowBox[{
          SuperscriptBox["k", "2"], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"p", "-", "k"}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}]]}]}]}], "+", 
     RowBox[{
      RowBox[{
       SuperscriptBox["e", "2"], "(", 
       RowBox[{"1", "-", "\[Xi]"}], ")"}], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", " ", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox[
         RowBox[{
          SubscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Mu]"], 
          SubscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Nu]"], 
          SuperscriptBox["k", "\[Mu]"], 
          SuperscriptBox["k", "\[Nu]"]}], 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            SuperscriptBox["k", "2"], ")"}], "2"], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"p", "-", "k"}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}]]}]}]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1551696030],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"LoopIntegrate", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "p"}], "-", "k"}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", "p"}], "-", "k"}], ")"}]}], ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "-", "k"}], ",", "m"}], "}"}]}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Xi]"}], ")"}], 
   RowBox[{"LoopIntegrate", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Mu]"], 
      SubscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Nu]"], 
      SubscriptBox["k", "\[Mu]"], 
      SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"p", "-", "k"}], ",", "m"}], "}"}]}], "]"}]}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->327338466],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "2"}], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "0"}], "]"}]}], "+", 
  RowBox[{"PVA", "[", 
   RowBox[{"0", ",", "m"}], "]"}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "\[Xi]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"PVA", "[", 
      RowBox[{"0", ",", "0"}], "]"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["m", "2"], "-", 
        RowBox[{"p", ".", "p"}]}], ")"}], " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"Weights", "\[Rule]", 
         RowBox[{"{", "2", "}"}]}]}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["m", "4"], "-", 
        RowBox[{"2", " ", 
         SuperscriptBox["m", "2"], " ", 
         RowBox[{"p", ".", "p"}]}], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"p", ".", "p"}], ")"}], "2"]}], ")"}], " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"p", ".", "p"}], ",", "0", ",", "m", ",", 
        RowBox[{"Weights", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"2", ",", "1"}], "}"}]}]}], "]"}]}]}], ")"}]}]}]], "Output",
 
 ImageSize->{432, 54},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->55326593]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", "%", "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->689620162],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "3"}], " ", 
   SuperscriptBox["m", "2"]}], "-", 
  RowBox[{"4", " ", 
   RowBox[{"p", ".", "p"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "2"]}], " ", "\[Xi]"}], "-", 
     RowBox[{"3", " ", 
      RowBox[{"p", ".", "p"}]}], "+", 
     RowBox[{"\[Xi]", " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "3"}], "+", "\[Xi]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "4"]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"p", ".", "p"}], ")"}], "2"]}], ")"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"p", ".", "p"}]}]], "]"}]}], 
   RowBox[{"p", ".", "p"}]]}]], "Output",
 ImageSize->{554, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->278568293]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1229375544],

Cell[TextData[{
 "Method 2: Combine both parts under a common denominator, and integrate \
together ",
 "(",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["e", "2"], TraditionalForm]], "InlineMath"],
 " factored out):",
 "\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "i"}], " ", 
     RowBox[{"\[CapitalSigma]", "(", 
      SuperscriptBox["p", "2"], ")"}]}], "=", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["e", "2"]}], 
     SuperscriptBox["\[Mu]", 
      RowBox[{"2", " ", "\[Epsilon]"}]], 
     RowBox[{"\[Integral]", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
       FractionBox[
        RowBox[{
         SubscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Mu]"], 
         RowBox[{
          SubscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Nu]"], "[", 
          RowBox[{
           RowBox[{
            SuperscriptBox["g", "\[Mu]\[Nu]"], 
            SuperscriptBox["k", "2"]}], "-", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", "\[Xi]"}], ")"}], 
            SuperscriptBox["k", "\[Mu]"], 
            SuperscriptBox["k", "\[Nu]"]}]}], "]"}]}], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           SuperscriptBox["k", "2"], ")"}], "2"], "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"p", "-", "k"}], ")"}], "2"], "-", 
          SuperscriptBox["m", "2"]}], "]"}]]}]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 CellID->1174600221],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Mu]"], 
      SubscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", "p"}], "-", "k"}], ")"}], "\[Nu]"], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SubscriptBox["\[DoubleStruckG]", 
          RowBox[{"\[Mu]", ",", "\[Nu]"}]], 
         RowBox[{"k", ".", "k"}]}], "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Xi]"}], ")"}], 
         SubscriptBox["k", "\[Mu]"], 
         SubscriptBox["k", "\[Nu]"]}]}], ")"}]}], "//", "Contract"}], ",", 
    "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "2"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "-", "k"}], ",", "m"}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->186890534],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    RowBox[{"(", 
     RowBox[{"1", "+", "\[Xi]"}], ")"}]}], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "0"}], "]"}]}], "+", 
  RowBox[{"PVA", "[", 
   RowBox[{"0", ",", "m"}], "]"}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{
      SuperscriptBox["m", "2"], " ", "\[Xi]"}], "+", 
     RowBox[{"p", ".", "p"}], "-", 
     RowBox[{"\[Xi]", " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"Weights", "\[Rule]", 
      RowBox[{"{", "2", "}"}]}]}], "]"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"2", " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "4"]}], "+", 
     RowBox[{
      SuperscriptBox["m", "4"], " ", "\[Xi]"}], "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["m", "2"], " ", 
      RowBox[{"p", ".", "p"}]}], "-", 
     RowBox[{"2", " ", 
      SuperscriptBox["m", "2"], " ", "\[Xi]", " ", 
      RowBox[{"p", ".", "p"}]}], "-", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"p", ".", "p"}], ")"}], "2"], "+", 
     RowBox[{"\[Xi]", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"p", ".", "p"}], ")"}], "2"]}]}], ")"}], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "0", ",", "m", ",", 
     RowBox[{"Weights", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"2", ",", "1"}], "}"}]}]}], "]"}]}]}]], "Output",
 ImageSize->{560, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->518997959]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", "%", "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->432932826],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "3"}], " ", 
   SuperscriptBox["m", "2"]}], "-", 
  RowBox[{"4", " ", 
   RowBox[{"p", ".", "p"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "2"]}], " ", "\[Xi]"}], "-", 
     RowBox[{"3", " ", 
      RowBox[{"p", ".", "p"}]}], "+", 
     RowBox[{"\[Xi]", " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "3"}], "+", "\[Xi]"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "4"]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"p", ".", "p"}], ")"}], "2"]}], ")"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"p", ".", "p"}]}]], "]"}]}], 
   RowBox[{"p", ".", "p"}]]}]], "Output",
 ImageSize->{554, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->61760867]
}, Open  ]],

Cell[TextData[{
 "Interpretation: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "i"}], " ", 
     RowBox[{"\[CapitalSigma]", "(", 
      SuperscriptBox["p", "2"], ")"}]}], "=", 
    RowBox[{"-", 
     RowBox[{
      FractionBox[
       RowBox[{
        StyleBox["i",
         FontColor->RGBColor[0.6666666666666666, 0., 0.]], " ", 
        SuperscriptBox["e", "2"]}], 
       StyleBox[
        RowBox[{"16", 
         SuperscriptBox["\[Pi]", "2"]}],
        FontColor->RGBColor[0.6666666666666666, 0., 0.]]], "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], 
        SuperscriptBox["m", "2"]}], "-", 
       RowBox[{"4", 
        SuperscriptBox["p", "2"]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["m", "2"]}], "\[Xi]"}], "-", 
          RowBox[{"3", 
           SuperscriptBox["p", "2"]}], "+", 
          RowBox[{"\[Xi]", " ", 
           SuperscriptBox["p", "2"]}]}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{
            FractionBox["1", "\[Epsilon]"], 
            StyleBox[
             RowBox[{"-", 
              SubscriptBox["\[Gamma]", "E"]}],
             FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
           StyleBox[
            RowBox[{"+", 
             RowBox[{"ln", 
              RowBox[{"(", 
               RowBox[{"4", "\[Pi]"}], ")"}]}]}],
            FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], "+", 
          RowBox[{"ln", "(", 
           FractionBox[
            SuperscriptBox["\[Mu]", "2"], 
            SuperscriptBox["m", "2"]], ")"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "3"}], "+", "\[Xi]"}], ")"}], 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["m", "4"]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            SuperscriptBox["p", "2"], ")"}], "2"]}], 
         SuperscriptBox["p", "2"]], 
        RowBox[{"ln", "(", 
         FractionBox[
          SuperscriptBox["m", "2"], 
          RowBox[{
           SuperscriptBox["m", "2"], "-", 
           SuperscriptBox["p", "2"]}]], ")"}]}]}], "]"}]}]}], 
   TraditionalForm]], "InlineMath"]
}], "ExampleText",
 CellID->506964100]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Massive gauge-dependent spin-1 propagators",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->1775614930],

Cell[TextData[{
 "The propagator for massive spin-1 fields in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", "\[Xi]"], TraditionalForm]], "InlineMath"],
 " gauges contains an extra piece:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", 
     SuperscriptBox[
      OverscriptBox["D", "~"], "\[Mu]\[Nu]"]}], "=", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["i", 
       RowBox[{
        SuperscriptBox["q", "2"], "-", 
        SubsuperscriptBox["m", "A", "2"]}]]}], 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["g", "\[Mu]\[Nu]"], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", "\[Xi]"}], ")"}], 
        FractionBox[
         RowBox[{
          SuperscriptBox["q", "\[Mu]"], 
          SuperscriptBox["q", "\[Nu]"]}], 
         RowBox[{
          SuperscriptBox["q", "2"], "-", 
          RowBox[{"\[Xi]", " ", 
           SubsuperscriptBox["m", "A", "2"]}]}]]}]}], ")"}]}]}], 
   TraditionalForm]], "InlineMath"],
 "\[LineSeparator]Loop integrals written in terms of propagators of this form \
would increase the number of denominator factors due to the second term.  A \
form that maintains the number of denominator factors is:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", 
     SuperscriptBox[
      OverscriptBox["D", "~"], "\[Mu]\[Nu]"]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox["i", 
        RowBox[{
         SuperscriptBox["q", "2"], "-", 
         SubsuperscriptBox["m", "A", "2"]}]]}], 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["g", "\[Mu]\[Nu]"], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["q", "\[Mu]"], 
          SuperscriptBox["q", "\[Nu]"]}], 
         SubsuperscriptBox["m", "A", "2"]]}], ")"}]}], "-", 
     RowBox[{
      FractionBox["i", 
       RowBox[{
        SuperscriptBox["q", "2"], "-", 
        RowBox[{"\[Xi]", " ", 
         SubsuperscriptBox["m", "A", "2"]}]}]], 
      RowBox[{"(", 
       FractionBox[
        RowBox[{
         SuperscriptBox["q", "\[Mu]"], 
         SuperscriptBox["q", "\[Nu]"]}], 
        SubsuperscriptBox["m", "A", "2"]], ")"}]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1478001051],

Cell[TextData[{
 "Consider one of the diagrams contributing to the vacuum polarization \
function in the Abelian Higgs model:\[LineSeparator]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", 
     RowBox[{
      SuperscriptBox["\[CapitalPi]", "\[Mu]\[Nu]"], "(", "q", ")"}]}], "=", 
    " ", 
    RowBox[{
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzs3d2N48qbH+CCv+DLDkHOoEOQHUFjHYC5C9i3bqwNGHunEDoEhdBwBAqh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        "], {{0, 863}, {
        1286, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{102.42447916666666`, Automatic},
      ImageSizeRaw->{1286, 863},
      PlotRange->{{0, 1286}, {0, 863}}], " ", "=", 
     RowBox[{
      RowBox[{"-", "4"}], 
      SuperscriptBox["e", "2"], 
      SubsuperscriptBox["m", "A", "2"], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{
           SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"2", "\[Pi]"}], ")"}], "d"]], "[", 
         RowBox[{
          RowBox[{
           FractionBox["1", 
            RowBox[{
             SuperscriptBox["k", "2"], "-", 
             SubsuperscriptBox["m", "A", "2"]}]], 
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["g", "\[Mu]\[Nu]"], "-", 
             FractionBox[
              RowBox[{
               SuperscriptBox["k", "\[Mu]"], 
               SuperscriptBox["k", "\[Nu]"]}], 
              SubsuperscriptBox["m", "A", "2"]]}], ")"}]}], "+", 
          RowBox[{
           FractionBox["1", 
            RowBox[{
             SuperscriptBox["k", "2"], "-", 
             RowBox[{"\[Xi]", " ", 
              SubsuperscriptBox["m", "A", "2"]}]}]], 
           RowBox[{"(", 
            FractionBox[
             RowBox[{
              SuperscriptBox["k", "\[Mu]"], 
              SuperscriptBox["k", "\[Nu]"]}], 
             SubsuperscriptBox["m", "A", "2"]], ")"}]}]}], "]"}], 
        FractionBox["1", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", "q"}], ")"}], "2"], "-", 
          SubsuperscriptBox["m", "H", "2"]}]]}]}]}]}]}], TraditionalForm]], 
  "InlineMath"],
 "\[LineSeparator]Write as a sum of two different integrals (",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "4"}], 
    SuperscriptBox["e", "2"], 
    SubsuperscriptBox["m", "A", "2"]}], TraditionalForm]], "InlineMath"],
 " factored out):\[LineSeparator]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", 
     RowBox[{
      SuperscriptBox["\[CapitalPi]", "\[Mu]\[Nu]"], "(", "q", ")"}]}], "=", 
    " ", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], 
      SuperscriptBox["e", "2"], 
      SubsuperscriptBox["m", "A", "2"], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox["1", 
         RowBox[{
          SuperscriptBox["k", "2"], "-", 
          SubsuperscriptBox["m", "A", "2"]}]], 
        FractionBox["1", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", "q"}], ")"}], "2"], "-", 
          SubsuperscriptBox["m", "H", "2"]}]], 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["g", "\[Mu]\[Nu]"], "-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["k", "\[Mu]"], 
            SuperscriptBox["k", "\[Nu]"]}], 
           SubsuperscriptBox["m", "A", "2"]]}], ")"}]}]}]}], "-", 
     RowBox[{"4", 
      SuperscriptBox["e", "2"], 
      SubsuperscriptBox["m", "A", "2"], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox["1", 
         RowBox[{
          SuperscriptBox["k", "2"], "-", 
          RowBox[{"\[Xi]", " ", 
           SubsuperscriptBox["m", "A", "2"]}]}]], 
        FractionBox["1", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", "q"}], ")"}], "2"], "-", 
          SubsuperscriptBox["m", "H", "2"]}]], 
        RowBox[{"(", 
         FractionBox[
          RowBox[{
           SuperscriptBox["k", "\[Mu]"], 
           SuperscriptBox["k", "\[Nu]"]}], 
          SubsuperscriptBox["m", "A", "2"]], ")"}]}]}]}]}]}], 
   TraditionalForm]], "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->264074654],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]], "-", 
     RowBox[{
      SubscriptBox["k", "\[Mu]"], 
      RowBox[{
       SubscriptBox["k", "\[Nu]"], "/", 
       SuperscriptBox["mA", "2"]}]}]}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "mA"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "q"}], ",", "mH"}], "}"}]}], "]"}], "+", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{
     SubscriptBox["k", "\[Mu]"], 
     RowBox[{
      SubscriptBox["k", "\[Nu]"], "/", 
      SuperscriptBox["mA", "2"]}]}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", 
      RowBox[{
       SqrtBox["\[Xi]"], "mA"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "q"}], ",", "mH"}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->645479141],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SubscriptBox["q", "\[Mu]"], " ", 
     SubscriptBox["q", "\[Nu]"], " ", 
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "2", ",", 
       RowBox[{"q", ".", "q"}], ",", "mA", ",", "mH"}], "]"}]}], 
    SuperscriptBox["mA", "2"]]}], "+", 
  FractionBox[
   RowBox[{
    SubscriptBox["q", "\[Mu]"], " ", 
    SubscriptBox["q", "\[Nu]"], " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"0", ",", "2", ",", 
      RowBox[{"q", ".", "q"}], ",", 
      RowBox[{"mA", " ", 
       SqrtBox["\[Xi]"]}], ",", "mH"}], "]"}]}], 
   SuperscriptBox["mA", "2"]], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"q", ".", "q"}], ",", "mA", ",", "mH"}], "]"}], "-", 
     FractionBox[
      RowBox[{"PVB", "[", 
       RowBox[{"1", ",", "0", ",", 
        RowBox[{"q", ".", "q"}], ",", "mA", ",", "mH"}], "]"}], 
      SuperscriptBox["mA", "2"]]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"1", ",", "0", ",", 
      RowBox[{"q", ".", "q"}], ",", 
      RowBox[{"mA", " ", 
       SqrtBox["\[Xi]"]}], ",", "mH"}], "]"}]}], 
   SuperscriptBox["mA", "2"]]}]], "Output",
 ImageSize->{567, 77},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->764366559]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "More than four denominator factors",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->1313713334],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " can generate a result with integrands containing more than four \
denominator factors.  The output is in terms of a generic Passarino-Veltman \
function ",
 Cell[BoxData[
  ButtonBox["PVX",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVX"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->1517648939],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{"k", ".", "p"}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "q"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "q", "+", "p"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", 
      RowBox[{"2", "p"}]}], ",", "M"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->697954884],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    RowBox[{"p", ".", "q"}]}], " ", 
   RowBox[{"PVX", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "1", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{"4", " ", 
      RowBox[{"p", ".", "p"}]}], ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m", ",", "M", ",", "0", ",", 
     "0"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"p", ".", "p"}], "-", 
     RowBox[{"p", ".", "q"}]}], ")"}], " ", 
   RowBox[{"PVX", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{"4", " ", 
      RowBox[{"p", ".", "p"}]}], ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m", ",", "M", ",", "0", ",", 
     "0"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"p", ".", "p"}], " ", 
   RowBox[{"PVX", "[", 
    RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{"4", " ", 
      RowBox[{"p", ".", "p"}]}], ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m", ",", "M", ",", "0", ",", 
     "0"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"p", ".", "p"}], " ", 
   RowBox[{"PVX", "[", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{"4", " ", 
      RowBox[{"p", ".", "p"}]}], ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m", ",", "M", ",", "0", ",", 
     "0"}], "]"}]}]}]], "Output",
 ImageSize->{496, 112},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1076883549]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is unable to convert ",
 Cell[BoxData[
  ButtonBox["PVX",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVX"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to analytic expressions.  In some cases, it may be possible to reduce the \
number of denominator factors by expanding them in partial fractions:"
}], "ExampleText",
 CellID->16054340],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{"k", ".", "p"}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "q"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "q", "+", "p"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", 
      RowBox[{"2", "p"}]}], ",", "M"}], "}"}], ",", 
   RowBox[{"Apart", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->246245475],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"p", ".", "p"}], " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{"p", ".", "p"}], ",", 
       RowBox[{"q", ".", "q"}], ",", 
       RowBox[{
        RowBox[{"p", ".", "p"}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"p", ".", "q"}]}], "+", 
        RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m", ",", "0"}], "]"}]}], 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       SuperscriptBox["M", "2"], "+", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
     RowBox[{"p", ".", "q"}]}]]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"p", ".", "p"}], " ", 
    RowBox[{"PVC", "[", 
     RowBox[{"0", ",", "0", ",", "0", ",", 
      RowBox[{"p", ".", "p"}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", 
      RowBox[{"q", ".", "q"}], ",", "m", ",", "m", ",", "0"}], "]"}]}], 
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      SuperscriptBox["M", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
    RowBox[{"p", ".", "q"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["m", "2"], "2"]}], "+", 
      FractionBox[
       SuperscriptBox["M", "2"], "2"], "-", 
      FractionBox[
       RowBox[{"3", " ", 
        RowBox[{"p", ".", "p"}]}], "2"]}], ")"}], " ", 
    RowBox[{"PVC", "[", 
     RowBox[{"0", ",", "0", ",", "0", ",", 
      RowBox[{"p", ".", "p"}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", 
      RowBox[{"q", ".", "q"}], ",", "m", ",", "M", ",", "0"}], "]"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      SuperscriptBox["M", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      SuperscriptBox["M", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}]}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       SuperscriptBox["m", "2"], "2"], "-", 
      FractionBox[
       SuperscriptBox["M", "2"], "2"], "+", 
      FractionBox[
       RowBox[{"3", " ", 
        RowBox[{"p", ".", "p"}]}], "2"]}], ")"}], " ", 
    RowBox[{"PVC", "[", 
     RowBox[{"0", ",", "0", ",", "0", ",", 
      RowBox[{"p", ".", "p"}], ",", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"p", ".", "p"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", "m", ",", "M", ",", "0"}], "]"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      SuperscriptBox["M", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      SuperscriptBox["M", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}]}], ")"}]}]], "-", 
  FractionBox[
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["m", "2"], "4"]}], "+", 
      FractionBox[
       SuperscriptBox["M", "2"], "4"], "-", 
      RowBox[{"p", ".", "p"}]}], ")"}], " ", 
    RowBox[{"PVC", "[", 
     RowBox[{"0", ",", "0", ",", "0", ",", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", "m", ",", "M", ",", "0"}], "]"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      SuperscriptBox["M", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      SuperscriptBox["M", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "q"}]}]}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["m", "2"], "4"]}], "+", 
      FractionBox[
       SuperscriptBox["M", "2"], "4"], "-", 
      RowBox[{"p", ".", "p"}]}], ")"}], " ", 
    RowBox[{"PVC", "[", 
     RowBox[{"0", ",", "0", ",", "0", ",", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], ",", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"p", ".", "p"}]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", 
      RowBox[{"q", ".", "q"}], ",", "m", ",", "M", ",", "0"}], "]"}]}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      SuperscriptBox["M", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      SuperscriptBox["M", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "q"}]}]}], ")"}]}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"p", ".", "p"}], "2"]}], "+", 
        RowBox[{"p", ".", "q"}]}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          SuperscriptBox["M", "2"], "+", 
          RowBox[{"2", " ", 
           RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
        RowBox[{"p", ".", "q"}]}]]}], "+", 
     FractionBox[
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"p", ".", "p"}], "2"]}], "+", 
       RowBox[{"p", ".", "q"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         SuperscriptBox["M", "2"], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         SuperscriptBox["M", "2"], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p", ".", "p"}]}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p", ".", "q"}]}]}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "0", ",", "0"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"p", ".", "p"}], "2"]}], "+", 
       RowBox[{"p", ".", "q"}]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         SuperscriptBox["M", "2"], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
       RowBox[{"p", ".", "q"}]}]], "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"p", ".", "p"}], "2"]}], "+", 
         RowBox[{"p", ".", "q"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         SuperscriptBox["M", "2"], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         SuperscriptBox["M", "2"], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p", ".", "p"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"p", ".", "q"}]}]}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"q", ".", "q"}], ",", "m", ",", "0", ",", "0"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"p", ".", "p"}], "2"]}], "+", 
        RowBox[{"p", ".", "q"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          SuperscriptBox["M", "2"], "+", 
          RowBox[{"2", " ", 
           RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          SuperscriptBox["M", "2"], "+", 
          RowBox[{"2", " ", 
           RowBox[{"p", ".", "p"}]}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"p", ".", "q"}]}]}], ")"}]}]]}], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          FractionBox[
           RowBox[{"p", ".", "p"}], "2"]}], "+", 
         RowBox[{"p", ".", "q"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         SuperscriptBox["M", "2"], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         SuperscriptBox["M", "2"], "+", 
         RowBox[{"2", " ", 
          RowBox[{"p", ".", "p"}]}], "+", 
         RowBox[{"4", " ", 
          RowBox[{"p", ".", "q"}]}]}], ")"}]}]]}], ")"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], "+", 
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "M", ",", "0", ",", "0"}], 
    "]"}]}]}]], "Output",
 ImageSize->{541, 471},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->264619341]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Options",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(7)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->774746581],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Apart",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->312884688],

Cell[TextData[{
 "Make a partial fraction expansion of all linearly dependent denominator \
factors before expressing the integral in terms of Passarino-Veltman \
functions:\[LineSeparator]\t",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox["1", 
       RowBox[{
        RowBox[{"[", 
         RowBox[{
          SuperscriptBox["k", "2"], "-", 
          SuperscriptBox["m", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox["k", "2"], "-", 
         SuperscriptBox["M", "2"]}], "]"}]]}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t", 
    RowBox[{"=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         SuperscriptBox["M", "2"]}], ")"}]], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], "[", 
        RowBox[{
         FractionBox["1", 
          RowBox[{
           SuperscriptBox["k", "2"], "-", 
           SuperscriptBox["m", "2"]}]], "-", 
         FractionBox["1", 
          RowBox[{
           SuperscriptBox["k", "2"], "-", 
           SuperscriptBox["M", "2"]}]]}], "]"}]}]}]}]}], TraditionalForm]}], 
  "InlineMath"]
}], "ExampleText",
 CellID->1834656470],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"exprApart", "=", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{"1", ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "M"}], "}"}], ",", 
    RowBox[{"Apart", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->2020535922],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "m"}], "]"}], 
   RowBox[{
    SuperscriptBox["m", "2"], "-", 
    SuperscriptBox["M", "2"]}]], "-", 
  FractionBox[
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "M"}], "]"}], 
   RowBox[{
    SuperscriptBox["m", "2"], "-", 
    SuperscriptBox["M", "2"]}]]}]], "Output",
 ImageSize->{148, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1750289935]
}, Open  ]],

Cell["\<\
Express in terms of Passarino-Veltman functions without making a partial \
fraction expansion:\
\>", "ExampleText",
 CellID->99438684],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"exprNoApart", "=", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{"1", ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "M"}], "}"}], ",", 
    RowBox[{"Apart", "\[Rule]", "False"}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1925987133],

Cell[BoxData[
 RowBox[{"PVB", "[", 
  RowBox[{"0", ",", "0", ",", "0", ",", "m", ",", "M"}], "]"}]], "Output",
 ImageSize->{119, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->730735499]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " should generate equivalent expressions for any setting of ",
 Cell[BoxData[
  ButtonBox["Apart",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate#1834656470"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->511572744],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"LoopRefine", "[", "exprApart", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", "exprNoApart", "]"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->1626069467],

Cell[BoxData[
 RowBox[{"1", "+", 
  FractionBox["1", "\[Epsilon]"], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["M", "2"], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      SuperscriptBox["M", "2"]], "]"}]}], 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["m", "2"]}], "+", 
    SuperscriptBox["M", "2"]}]], "+", 
  RowBox[{"Log", "[", 
   FractionBox[
    SuperscriptBox["\[Micro]", "2"], 
    SuperscriptBox["m", "2"]], "]"}]}]], "Output",
 ImageSize->{188, 46},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->174446419],

Cell[BoxData[
 RowBox[{"1", "+", 
  FractionBox["1", "\[Epsilon]"], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["m", "2"], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      SuperscriptBox["M", "2"]], "]"}]}], 
   RowBox[{
    SuperscriptBox["m", "2"], "-", 
    SuperscriptBox["M", "2"]}]], "+", 
  RowBox[{"Log", "[", 
   FractionBox[
    SuperscriptBox["\[Micro]", "2"], 
    SuperscriptBox["M", "2"]], "]"}]}]], "Output",
 ImageSize->{188, 46},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->605785978]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->288753120],

Cell[TextData[{
 "Making a partial fraction expansion leads to (usually removable) kinematic \
singularities:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["I", "2"], "=", 
    RowBox[{
     SuperscriptBox["\[Mu]", 
      RowBox[{"2", "\[Epsilon]"}]], 
     RowBox[{"\[Integral]", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
       FractionBox["1", 
        RowBox[{
         RowBox[{
          RowBox[{"[", 
           RowBox[{
            SuperscriptBox["k", "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "-", "q"}], ")"}], "2"], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "-", "q", "+", "p"}], ")"}], "2"]}]]}]}]}]}], 
   TraditionalForm]], "InlineMath"]
}], "ExampleText",
 CellID->1908129267],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"int", "=", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{"1", ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "q"}], ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "q", "+", "p"}], ",", "0"}], "}"}], ",", 
    RowBox[{"Apart", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1086677077],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m", ",", "0"}], "]"}], 
   RowBox[{"2", " ", 
    RowBox[{"p", ".", "q"}]}]], "-", 
  FractionBox[
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{"q", ".", "q"}], ",", "m", ",", "m", ",", "0"}], "]"}], 
   RowBox[{"2", " ", 
    RowBox[{"p", ".", "q"}]}]], "+", 
  FractionBox[
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"q", ".", "q"}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "0", ",", "0"}], "]"}], 
   RowBox[{"2", " ", 
    RowBox[{"p", ".", "q"}]}]], "-", 
  FractionBox[
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"q", ".", "q"}], ",", "m", ",", "0", ",", "0"}], "]"}], 
   RowBox[{"2", " ", 
    RowBox[{"p", ".", "q"}]}]]}]], "Output",
 ImageSize->{334, 135},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1362073213]
}, Open  ]],

Cell[TextData[{
 "The kinematic point ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"p", ".", "q"}], "=", "0"}], TraditionalForm]], "InlineMath"],
 ", which may be of interest, is not accessible by a simple replacement ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"p", ".", "q"}], "\[Rule]", "0"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".  Instead, define ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"p", ".", "q"}], "=", "0"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " before evaluating ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " so that an appropriate partial fraction expansion is applied:"
}], "ExampleText",
 Deletable->True,
 CellID->1759194991],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"p", ".", "q"}], "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{"1", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "q"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "q", "+", "p"}], ",", "0"}], "}"}], ",", 
   RowBox[{"Apart", "\[Rule]", "True"}]}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->1591673636],

Cell[BoxData[
 RowBox[{
  RowBox[{"PVC", "[", 
   RowBox[{"0", ",", "0", ",", "0", ",", 
    RowBox[{"p", ".", "p"}], ",", 
    RowBox[{"q", ".", "q"}], ",", 
    RowBox[{
     RowBox[{"p", ".", "p"}], "+", 
     RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m", ",", "0", ",", 
    RowBox[{"Weights", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1", ",", "1"}], "}"}]}]}], "]"}], "-", 
  RowBox[{"PVC", "[", 
   RowBox[{"0", ",", "0", ",", "0", ",", 
    RowBox[{"p", ".", "p"}], ",", 
    RowBox[{
     RowBox[{"p", ".", "p"}], "+", 
     RowBox[{"q", ".", "q"}]}], ",", 
    RowBox[{"q", ".", "q"}], ",", "m", ",", "m", ",", "0", ",", 
    RowBox[{"Weights", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1", ",", "1"}], "}"}]}]}], "]"}], "+", 
  RowBox[{"PVC", "[", 
   RowBox[{"0", ",", "0", ",", "0", ",", 
    RowBox[{"q", ".", "q"}], ",", 
    RowBox[{"p", ".", "p"}], ",", 
    RowBox[{
     RowBox[{"p", ".", "p"}], "+", 
     RowBox[{"q", ".", "q"}]}], ",", "m", ",", "0", ",", "0", ",", 
    RowBox[{"Weights", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1", ",", "1"}], "}"}]}]}], "]"}]}]], "Output",
 ImageSize->{420, 42},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1561383278]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", "%", "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->660005793],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"DiscB", "[", 
    RowBox[{
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}], 
   RowBox[{
    SuperscriptBox["m", "4"], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["m", "2"], " ", 
     RowBox[{"q", ".", "q"}]}], "+", 
    RowBox[{
     RowBox[{"p", ".", "p"}], " ", 
     RowBox[{"q", ".", "q"}]}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"q", ".", "q"}], ")"}], "2"]}]], "+", 
  FractionBox[
   RowBox[{"Log", "[", 
    RowBox[{"-", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      RowBox[{"p", ".", "p"}]]}], "]"}], 
   RowBox[{
    SuperscriptBox["m", "4"], "-", 
    RowBox[{"2", " ", 
     SuperscriptBox["m", "2"], " ", 
     RowBox[{"q", ".", "q"}]}], "+", 
    RowBox[{
     RowBox[{"p", ".", "p"}], " ", 
     RowBox[{"q", ".", "q"}]}], "+", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"q", ".", "q"}], ")"}], "2"]}]], "-", 
  FractionBox[
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      RowBox[{"q", ".", "q"}]}], ")"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"q", ".", "q"}]}]], "]"}]}], 
   RowBox[{
    RowBox[{"p", ".", "p"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "4"], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"], " ", 
       RowBox[{"q", ".", "q"}]}], "+", 
      RowBox[{
       RowBox[{"p", ".", "p"}], " ", 
       RowBox[{"q", ".", "q"}]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"q", ".", "q"}], ")"}], "2"]}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"q", ".", "q"}]}], ")"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"p", ".", "p"}], "-", 
       RowBox[{"q", ".", "q"}]}]], "]"}]}], 
   RowBox[{
    RowBox[{"p", ".", "p"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "4"], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"], " ", 
       RowBox[{"q", ".", "q"}]}], "+", 
      RowBox[{
       RowBox[{"p", ".", "p"}], " ", 
       RowBox[{"q", ".", "q"}]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"q", ".", "q"}], ")"}], "2"]}], ")"}]}]]}]], "Output",
 ImageSize->{480, 103},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->1810601736]
}, Open  ]],

Cell[TextData[{
 "Alternatively, ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " can give a result by carefully taking the appropriate limit:"
}], "ExampleText",
 CellID->1536913604],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"p", ".", "q"}], "=."}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{"int", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", ".", "q"}], ",", "0", ",", "0"}], "}"}]}], "]"}]}], "Input",
 
 CellLabel->"In[4]:=",
 CellID->2010795686],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"DiscB", "[", 
       RowBox[{
        RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}], 
      RowBox[{
       SuperscriptBox["m", "4"], "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["m", "2"], " ", 
        RowBox[{"q", ".", "q"}]}], "+", 
       RowBox[{
        RowBox[{"p", ".", "p"}], " ", 
        RowBox[{"q", ".", "q"}]}], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"q", ".", "q"}], ")"}], "2"]}]], "+", 
     FractionBox[
      RowBox[{"Log", "[", 
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox["m", "2"], 
         RowBox[{"p", ".", "p"}]]}], "]"}], 
      RowBox[{
       SuperscriptBox["m", "4"], "-", 
       RowBox[{"2", " ", 
        SuperscriptBox["m", "2"], " ", 
        RowBox[{"q", ".", "q"}]}], "+", 
       RowBox[{
        RowBox[{"p", ".", "p"}], " ", 
        RowBox[{"q", ".", "q"}]}], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"q", ".", "q"}], ")"}], "2"]}]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         RowBox[{"q", ".", "q"}]}], ")"}], " ", 
       RowBox[{"q", ".", "q"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["m", "2"], 
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          RowBox[{"q", ".", "q"}]}]], "]"}]}], 
      RowBox[{
       RowBox[{"Kallen\[Lambda]", "[", 
        RowBox[{
         RowBox[{"p", ".", "p"}], ",", 
         RowBox[{"q", ".", "q"}], ",", 
         RowBox[{
          RowBox[{"p", ".", "p"}], "+", 
          RowBox[{"q", ".", "q"}]}]}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "4"], "-", 
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"], " ", 
          RowBox[{"q", ".", "q"}]}], "+", 
         RowBox[{
          RowBox[{"p", ".", "p"}], " ", 
          RowBox[{"q", ".", "q"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"q", ".", "q"}], ")"}], "2"]}], ")"}]}]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         RowBox[{"p", ".", "p"}], "-", 
         RowBox[{"q", ".", "q"}]}], ")"}], " ", 
       RowBox[{"q", ".", "q"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["m", "2"], 
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          RowBox[{"p", ".", "p"}], "-", 
          RowBox[{"q", ".", "q"}]}]], "]"}]}], 
      RowBox[{
       RowBox[{"Kallen\[Lambda]", "[", 
        RowBox[{
         RowBox[{"p", ".", "p"}], ",", 
         RowBox[{"q", ".", "q"}], ",", 
         RowBox[{
          RowBox[{"p", ".", "p"}], "+", 
          RowBox[{"q", ".", "q"}]}]}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "4"], "-", 
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"], " ", 
          RowBox[{"q", ".", "q"}]}], "+", 
         RowBox[{
          RowBox[{"p", ".", "p"}], " ", 
          RowBox[{"q", ".", "q"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"q", ".", "q"}], ")"}], "2"]}], ")"}]}]]}], ")"}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"p", ".", "q"}], "]"}], "1"],
    SeriesData[
     X`LDot[$CellContext`p, $CellContext`q], 0, {}, 0, 1, 1],
    Editable->False]}],
  SeriesData[
   X`LDot[$CellContext`p, $CellContext`q], 0, {X`DiscB[
       X`LDot[$CellContext`p, $CellContext`p], $CellContext`m, \
$CellContext`m]/($CellContext`m^4 - 2 $CellContext`m^2 
     X`LDot[$CellContext`q, $CellContext`q] + 
     X`LDot[$CellContext`p, $CellContext`p] 
      X`LDot[$CellContext`q, $CellContext`q] + 
     X`LDot[$CellContext`q, $CellContext`q]^2) + ($CellContext`m^4 - 
       2 $CellContext`m^2 X`LDot[$CellContext`q, $CellContext`q] + 
       X`LDot[$CellContext`p, $CellContext`p] 
        X`LDot[$CellContext`q, $CellContext`q] + 
       X`LDot[$CellContext`q, $CellContext`q]^2)^(-1) 
     Log[-$CellContext`m^2/X`LDot[$CellContext`p, $CellContext`p]] + 
    8 X`Kallen\[Lambda][
        X`LDot[$CellContext`p, $CellContext`p], 
        X`LDot[$CellContext`q, $CellContext`q], 
        X`LDot[$CellContext`p, $CellContext`p] + 
        X`LDot[$CellContext`q, $CellContext`q]]^(-1) ($CellContext`m^2 - 
      X`LDot[$CellContext`q, $CellContext`q]) 
     X`LDot[$CellContext`q, $CellContext`q] ($CellContext`m^4 - 
       2 $CellContext`m^2 X`LDot[$CellContext`q, $CellContext`q] + 
       X`LDot[$CellContext`p, $CellContext`p] 
        X`LDot[$CellContext`q, $CellContext`q] + 
       X`LDot[$CellContext`q, $CellContext`q]^2)^(-1) 
     Log[$CellContext`m^2/($CellContext`m^2 - 
       X`LDot[$CellContext`q, $CellContext`q])] - 8 X`Kallen\[Lambda][
       X`LDot[$CellContext`p, $CellContext`p], 
       X`LDot[$CellContext`q, $CellContext`q], 
       X`LDot[$CellContext`p, $CellContext`p] + 
       X`LDot[$CellContext`q, $CellContext`q]]^(-1) ($CellContext`m^2 - 
     X`LDot[$CellContext`p, $CellContext`p] - 
     X`LDot[$CellContext`q, $CellContext`q]) 
    X`LDot[$CellContext`q, $CellContext`q] ($CellContext`m^4 - 
      2 $CellContext`m^2 X`LDot[$CellContext`q, $CellContext`q] + 
      X`LDot[$CellContext`p, $CellContext`p] 
       X`LDot[$CellContext`q, $CellContext`q] + 
      X`LDot[$CellContext`q, $CellContext`q]^2)^(-1) 
    Log[$CellContext`m^2/($CellContext`m^2 - 
      X`LDot[$CellContext`p, $CellContext`p] - 
      X`LDot[$CellContext`q, $CellContext`q])]}, 0, 1, 1],
  Editable->False]], "Output",
 ImageSize->{485, 175},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->2023783732]
}, Open  ]]
}, Open  ]],

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1845492051]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Cancel",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->972435106],

Cell[TextData[{
 "If the integrand does not contain kinematic singularities and if the \
external vectors are linearly independent, ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", by default, cancels common factors in the numerator and denominator \
before expressing the integral in terms of Passarino-Veltman functions:\
\[LineSeparator]\t",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       SuperscriptBox["k", "2"], 
       RowBox[{
        RowBox[{"[", 
         RowBox[{
          SuperscriptBox["k", "2"], "-", 
          SuperscriptBox["m", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
         SuperscriptBox["m", "2"]}], "]"}]]}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t", 
    RowBox[{"=", 
     RowBox[{
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox[
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["k", "2"], "-", 
            SuperscriptBox["m", "2"]}], ")"}], "+", 
          SuperscriptBox["m", "2"]}], 
         RowBox[{
          RowBox[{"[", 
           RowBox[{
            SuperscriptBox["k", "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}]]}]}]}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t", 
    RowBox[{"=", 
     RowBox[{
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], "[", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"[", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}]], "+", 
         RowBox[{
          SuperscriptBox["m", "2"], 
          FractionBox["1", 
           RowBox[{
            RowBox[{"[", 
             RowBox[{
              SuperscriptBox["k", "2"], "-", 
              SuperscriptBox["m", "2"]}], "]"}], "[", 
            RowBox[{
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
             SuperscriptBox["m", "2"]}], "]"}]]}]}], "]"}]}]}]}]}], 
   TraditionalForm]}], "InlineMath"]
}], "ExampleText",
 CellID->377984336],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"exprCancel", "=", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{"k", ".", "k"}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1081547396],

Cell[BoxData[
 RowBox[{
  RowBox[{"PVA", "[", 
   RowBox[{"0", ",", "m"}], "]"}], "+", 
  RowBox[{
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]}]], "Output",
 ImageSize->{223, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1870301010]
}, Open  ]],

Cell["\<\
Express in terms of Passarino-Veltman functions without canceling common \
factors:\
\>", "ExampleText",
 CellID->1895969561],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"exprNoCancel", "=", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{"k", ".", "k"}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
    RowBox[{"Cancel", "\[Rule]", "False"}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1687008567],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"p", ".", "p"}], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "2", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"\[ScriptD]", " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]}]], "Output",
 ImageSize->{308, 14},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->487242306]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " should generate equivalent expressions for any setting of ",
 Cell[BoxData[
  ButtonBox["Cancel",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate#377984336"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->453824381],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"LoopRefine", "[", "exprCancel", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", "exprNoCancel", "]"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->1836748495],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", 
   SuperscriptBox["m", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"DiscB", "[", 
    RowBox[{
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}]}]}]], "Output",
 ImageSize->{294, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->474627769],

Cell[BoxData[
 RowBox[{
  RowBox[{"3", " ", 
   SuperscriptBox["m", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"DiscB", "[", 
    RowBox[{
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}]}]}]], "Output",
 ImageSize->{294, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->1314648625]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1235641065],

Cell[TextData[{
 "Setting ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Cancel",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate#377984336"], "\[Rule]", 
   ButtonBox["False",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/False"]}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " can lead to complicated expressions involving Gramian functions ",
 Cell[BoxData[
  ButtonBox["Kallen\[Lambda]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/KallenLambda"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and ",
 Cell[BoxData[
  ButtonBox["Kibble\[Phi]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/KibblePhi"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       SuperscriptBox["k", "2"], 
       RowBox[{
        RowBox[{
         RowBox[{"[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"k", "-", "p"}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}], "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", "p"}], ")"}], "2"], "-", 
          SuperscriptBox["m", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "-", "q"}], ")"}], "2"], "-", 
         SuperscriptBox["m", "2"]}], "]"}]]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 CellID->1464119787],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{"k", ".", "k"}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "p"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "q"}], ",", "m"}], "}"}], ",", 
    RowBox[{"Cancel", "\[Rule]", "False"}]}], "]"}], "//", 
  "LoopRefine"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1921384003],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "\[Epsilon]"], "+", 
  FractionBox[
   RowBox[{"32", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"p", ".", "q"}], ")"}], "2"], "-", 
      RowBox[{
       RowBox[{"p", ".", "p"}], " ", 
       RowBox[{"q", ".", "q"}]}]}], ")"}]}], 
   RowBox[{"Kallen\[Lambda]", "[", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"p", ".", "p"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}]}], "]"}]], "+", 
  FractionBox[
   RowBox[{"128", " ", 
    RowBox[{"DiscB", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"p", ".", "p"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m"}], "]"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"p", ".", "q"}], ")"}], "2"], "-", 
       RowBox[{
        RowBox[{"p", ".", "p"}], " ", 
        RowBox[{"q", ".", "q"}]}]}], ")"}], "2"]}], 
   SuperscriptBox[
    RowBox[{"Kallen\[Lambda]", "[", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}]}], "]"}], "2"]], "+", 
  FractionBox[
   RowBox[{"128", " ", 
    RowBox[{"DiscB", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"p", ".", "p"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m"}], "]"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"p", ".", "q"}], ")"}], "2"], "-", 
       RowBox[{
        RowBox[{"p", ".", "p"}], " ", 
        RowBox[{"q", ".", "q"}]}]}], ")"}], "2"]}], 
   SuperscriptBox[
    RowBox[{"Kallen\[Lambda]", "[", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}]}], "]"}], "2"]], "+", 
  RowBox[{"Log", "[", 
   FractionBox[
    SuperscriptBox["\[Micro]", "2"], 
    SuperscriptBox["m", "2"]], "]"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"256", " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"p", ".", "p"}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"p", ".", "q"}], ")"}], "2"], "-", 
        RowBox[{
         RowBox[{"p", ".", "p"}], " ", 
         RowBox[{"q", ".", "q"}]}]}], ")"}], "2"], " ", 
     RowBox[{"ScalarC0", "[", 
      RowBox[{
       RowBox[{"4", " ", 
        RowBox[{"p", ".", "p"}]}], ",", 
       RowBox[{
        RowBox[{"p", ".", "p"}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"p", ".", "q"}]}], "+", 
        RowBox[{"q", ".", "q"}]}], ",", 
       RowBox[{
        RowBox[{"p", ".", "p"}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"p", ".", "q"}]}], "+", 
        RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m", ",", "m"}], "]"}]}], 
    ")"}], "/", 
   SuperscriptBox[
    RowBox[{"Kallen\[Lambda]", "[", 
     RowBox[{
      RowBox[{"4", " ", 
       RowBox[{"p", ".", "p"}]}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}], ",", 
      RowBox[{
       RowBox[{"p", ".", "p"}], "+", 
       RowBox[{"2", " ", 
        RowBox[{"p", ".", "q"}]}], "+", 
       RowBox[{"q", ".", "q"}]}]}], "]"}], "2"]}]}]], "Output",
 ImageSize->{428, 192},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->682802741]
}, Open  ]],

Cell["\<\
Expanding out these functions may lead to a simplified result:\
\>", "ExampleText",
 CellID->10629822],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"%", "//", "KallenExpand"}], "//", "LoopRefine"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->186624977],

Cell[BoxData[
 RowBox[{"2", "+", 
  FractionBox["1", "\[Epsilon]"], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"DiscB", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"DiscB", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"Log", "[", 
   FractionBox[
    SuperscriptBox["\[Micro]", "2"], 
    SuperscriptBox["m", "2"]], "]"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     SuperscriptBox["m", "2"], "-", 
     RowBox[{"p", ".", "p"}]}], ")"}], " ", 
   RowBox[{"ScalarC0", "[", 
    RowBox[{
     RowBox[{"4", " ", 
      RowBox[{"p", ".", "p"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", 
     RowBox[{
      RowBox[{"p", ".", "p"}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p", ".", "q"}]}], "+", 
      RowBox[{"q", ".", "q"}]}], ",", "m", ",", "m", ",", "m"}], 
    "]"}]}]}]], "Output",
 ImageSize->{520, 67},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->233982998]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Dimensions",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->1717275433],

Cell[TextData[{
 "Compute a loop integral in ",
 Cell[BoxData[
  FormBox[
   RowBox[{"6", "-", 
    RowBox[{"2", "\[Epsilon]"}]}], TraditionalForm]], "InlineMath"],
 " dimensions:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         StyleBox["k", "TI"], "2"], "+", 
        RowBox[{"2", 
         RowBox[{"k", ".", "p"}]}], "+", 
        RowBox[{"\[ScriptD]", " ", 
         SuperscriptBox["p", "2"]}]}], 
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"k", "+", "p"}], ")"}], "2"], 
        SuperscriptBox["k", "2"]}]]}]}]}], TraditionalForm]], "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->810408792],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"k", ".", "k"}], "+", 
    RowBox[{"2", 
     RowBox[{"k", ".", "p"}]}], "+", 
    RowBox[{"\[ScriptD]", " ", 
     RowBox[{"p", ".", "p"}]}]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0"}], "}"}], ",", 
   RowBox[{"Dimensions", "\[Rule]", "6"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->619276869],

Cell[BoxData[
 RowBox[{
  RowBox[{"PVA", "[", 
   RowBox[{"0", ",", "0", ",", 
    RowBox[{"Dimensions", "\[Rule]", "6"}]}], "]"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"p", ".", "p"}]}], "+", 
     RowBox[{"\[ScriptD]", " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "0", ",", "0", ",", 
     RowBox[{"Dimensions", "\[Rule]", "6"}]}], "]"}]}]}]], "Output",
 ImageSize->{510, 14},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->577842590]
}, Open  ]],

Cell[TextData[{
 "To be consistent, also set ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Dimensions",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate#810408792"], "\[Rule]", "6"}]], 
  "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " (and ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ") to take the limit ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[ScriptD]", "\[Rule]", 
    RowBox[{"6", "-", 
     RowBox[{"2", "\[Epsilon]"}]}]}], TraditionalForm]], "InlineMath"],
 " when converting to explicit expression:"
}], "ExampleText",
 Deletable->True,
 CellID->815728647],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{"%", ",", 
   RowBox[{"Dimensions", "\[Rule]", "6"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->2069635385],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["17", "9"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", ".", "p"}], ")"}], "2"]}], "+", 
  RowBox[{
   FractionBox["5", "6"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", ".", "p"}], ")"}], "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["\[Micro]", "2"], 
        RowBox[{"p", ".", "p"}]]}], "]"}]}], ")"}]}]}]], "Output",
 ImageSize->{246, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->713214359]
}, Open  ]],

Cell[TextData[{
 "To interpret the result, (1) restore an overall factor of ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox["i", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"4", "\[Pi]"}], ")"}], 
       RowBox[{"6", "/", "2"}]]], "=", 
     FractionBox["i", 
      RowBox[{"64", 
       SuperscriptBox["\[Pi]", "3"]}]]}],
    FontColor->RGBColor[0.6666666666666666, 0., 0.]], TraditionalForm]], 
  "InlineMath"],
 ", and (2) read ",
 Cell[BoxData[
  FractionBox["1", 
   ButtonBox["\[Epsilon]",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/Eps"]]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " as ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "-", 
     SubscriptBox["\[Gamma]", "E"], "+", 
     RowBox[{"ln", "(", 
      RowBox[{"4", "\[Pi]"}], ")"}]}],
    FontColor->RGBColor[0.6666666666666666, 0., 0.]], TraditionalForm]], 
  "InlineMath"],
 ":\[LineSeparator]Therefore,   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["\[Mu]", 
      RowBox[{"2", "\[Epsilon]"}]], 
     RowBox[{"\[Integral]", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
       FractionBox[
        RowBox[{
         SuperscriptBox[
          StyleBox["k", "TI"], "2"], "+", 
         RowBox[{"2", 
          RowBox[{"k", ".", "p"}]}], "+", 
         RowBox[{"\[ScriptD]", " ", 
          SuperscriptBox["p", "2"]}]}], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "+", "p"}], ")"}], "2"], 
         SuperscriptBox["k", "2"]}]]}]}]}], " ", "=", "  ", 
    RowBox[{
     StyleBox[
      FractionBox["i", 
       RowBox[{"64", 
        SuperscriptBox["\[Pi]", "3"]}]],
      FontColor->RGBColor[
       0.6667429617761501, 0.011367971313038834`, 0.011367971313038834`]], 
     "[", 
     RowBox[{
      RowBox[{
       FractionBox["17", "9"], 
       SuperscriptBox["p", "2"]}], "+", 
      RowBox[{
       FractionBox["5", "6"], 
       RowBox[{
        SuperscriptBox["p", "2"], "(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "\[Epsilon]"], 
          StyleBox[
           RowBox[{"-", 
            SubscriptBox["\[Gamma]", "E"]}],
           FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
         StyleBox["+",
          FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
         StyleBox[
          RowBox[{"ln", "(", 
           RowBox[{"4", "\[Pi]"}], ")"}],
          FontColor->RGBColor[0.6666666666666666, 0., 0.]], "-", 
         RowBox[{"ln", "(", 
          FractionBox[
           SuperscriptBox["\[Mu]", "2"], 
           RowBox[{"-", 
            SuperscriptBox["p", "2"]}]], ")"}]}], " ", ")"}]}]}], "]"}]}], 
   TraditionalForm]], "InlineMath"],
 "."
}], "ExampleText",
 Deletable->True,
 CellID->989783212]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "DiracAlgebra",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->1085758112],

Cell["\<\
Make a covariant decomposition of the integral without applying the Dirac \
algebra (uses only the property of linearity of gamma matrix multiplication). \
 Positions of gamma matrices in each product are unchanged:\
\>", "ExampleText",
 CellID->1616289800],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"DiracMatrix", "[", 
     RowBox[{
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", "\[DoubleStruckCapitalP]L", ",", 
      RowBox[{
       RowBox[{"\[Gamma]", ".", 
        RowBox[{"(", 
         RowBox[{"p", "-", "k"}], ")"}]}], "+", 
       RowBox[{"mf", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", "\[DoubleStruckCapitalP]L"}], 
     "]"}], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[DoubleStruckG]", 
       RowBox[{"\[Mu]", ",", "\[Nu]"}]], "-", 
      RowBox[{
       SubscriptBox["k", "\[Mu]"], 
       RowBox[{
        SubscriptBox["k", "\[Nu]"], "/", 
        SuperscriptBox["mW", "2"]}]}]}], ")"}]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", "-", "k"}], ",", "mf"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "mW"}], "}"}], ",", 
   RowBox[{"DiracAlgebra", "\[Rule]", "False"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1171777107],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"mf", " ", 
     RowBox[{"DiracMatrix", "[", 
      RowBox[{
       RowBox[{"\[Gamma]", ".", "p"}], ",", "\[DoubleStruckCapitalP]L", ",", 
       RowBox[{"\[Gamma]", ".", "p"}], ",", "\[DoubleStruckCapitalP]L"}], 
      "]"}], " ", 
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "2", ",", 
       RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}]}], 
    SuperscriptBox["mW", "2"]]}], "+", 
  RowBox[{
   RowBox[{"DiracMatrix", "[", 
    RowBox[{
     RowBox[{"\[Gamma]", ".", "p"}], ",", "\[DoubleStruckCapitalP]L", ",", 
     RowBox[{"\[Gamma]", ".", "p"}], ",", 
     RowBox[{"\[Gamma]", ".", "p"}], ",", "\[DoubleStruckCapitalP]L"}], "]"}],
    " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"PVB", "[", 
        RowBox[{"0", ",", "2", ",", 
         RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
       SuperscriptBox["mW", "2"]]}], "-", 
     FractionBox[
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "3", ",", 
        RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
      SuperscriptBox["mW", "2"]]}], ")"}]}], "+", 
  RowBox[{
   RowBox[{"DiracMatrix", "[", 
    RowBox[{
     SubscriptBox["\[Gamma]", "\[Nu]"], ",", "\[DoubleStruckCapitalP]L", ",", 
     
     SubscriptBox["\[Gamma]", "\[Nu]"], ",", "\[DoubleStruckCapitalP]L"}], 
    "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"mf", " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}]}], "-", 
     FractionBox[
      RowBox[{"mf", " ", 
       RowBox[{"PVB", "[", 
        RowBox[{"1", ",", "0", ",", 
         RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}]}], 
      SuperscriptBox["mW", "2"]]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"DiracMatrix", "[", 
     RowBox[{
      RowBox[{"\[Gamma]", ".", "p"}], ",", "\[DoubleStruckCapitalP]L", ",", 
      SubscriptBox["\[Gamma]", "$20"], ",", 
      SubscriptBox["\[Gamma]", "$20"], ",", "\[DoubleStruckCapitalP]L"}], 
     "]"}], " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"1", ",", "1", ",", 
      RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}]}], 
   SuperscriptBox["mW", "2"]], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"DiracMatrix", "[", 
     RowBox[{
      SubscriptBox["\[Gamma]", "$20"], ",", "\[DoubleStruckCapitalP]L", ",", 
      SubscriptBox["\[Gamma]", "$20"], ",", 
      RowBox[{"\[Gamma]", ".", "p"}], ",", "\[DoubleStruckCapitalP]L"}], 
     "]"}], " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"1", ",", "1", ",", 
      RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}]}], 
   SuperscriptBox["mW", "2"]], "+", 
  RowBox[{
   RowBox[{"DiracMatrix", "[", 
    RowBox[{
     SubscriptBox["\[Gamma]", "\[Nu]"], ",", "\[DoubleStruckCapitalP]L", ",", 
     
     RowBox[{"\[Gamma]", ".", "p"}], ",", 
     SubscriptBox["\[Gamma]", "\[Nu]"], ",", "\[DoubleStruckCapitalP]L"}], 
    "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], "+", 
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "1", ",", 
       RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], "-", 
     FractionBox[
      RowBox[{"PVB", "[", 
       RowBox[{"1", ",", "0", ",", 
        RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
      SuperscriptBox["mW", "2"]], "-", 
     FractionBox[
      RowBox[{"PVB", "[", 
       RowBox[{"1", ",", "1", ",", 
        RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
      SuperscriptBox["mW", "2"]]}], ")"}]}]}]], "Output",
 ImageSize->{559, 237},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1386629915]
}, Open  ]],

Cell["\<\
Making use of the Dirac algebra usually leads to simpler expressions: \
\>", "ExampleText",
 CellID->296317839],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"DiracMatrix", "[", 
     RowBox[{
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", "\[DoubleStruckCapitalP]L", ",", 
      RowBox[{
       RowBox[{"\[Gamma]", ".", 
        RowBox[{"(", 
         RowBox[{"p", "-", "k"}], ")"}]}], "+", 
       RowBox[{"mf", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", "\[DoubleStruckCapitalP]L"}], 
     "]"}], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["\[DoubleStruckG]", 
       RowBox[{"\[Mu]", ",", "\[Nu]"}]], "-", 
      RowBox[{
       SubscriptBox["k", "\[Mu]"], 
       RowBox[{
        SubscriptBox["k", "\[Nu]"], "/", 
        SuperscriptBox["mW", "2"]}]}]}], ")"}]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", "-", "k"}], ",", "mf"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "mW"}], "}"}], ",", 
   RowBox[{"DiracAlgebra", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->827960840],

Cell[BoxData[
 RowBox[{
  RowBox[{"DiracMatrix", "[", 
   RowBox[{
    RowBox[{"\[Gamma]", ".", "p"}], ",", "\[DoubleStruckCapitalP]L"}], "]"}], 
  " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"p", ".", "p"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "2", ",", 
           RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
         SuperscriptBox["mW", "2"]]}], "-", 
       FractionBox[
        RowBox[{"PVB", "[", 
         RowBox[{"0", ",", "3", ",", 
          RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
        SuperscriptBox["mW", "2"]]}], ")"}]}], "-", 
    FractionBox[
     RowBox[{"2", " ", "\[ScriptD]", " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"1", ",", "1", ",", 
        RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}]}], 
     SuperscriptBox["mW", "2"]], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"PVB", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], "+", 
       RowBox[{"PVB", "[", 
        RowBox[{"0", ",", "1", ",", 
         RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], "-", 
       FractionBox[
        RowBox[{"PVB", "[", 
         RowBox[{"1", ",", "0", ",", 
          RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
        SuperscriptBox["mW", "2"]], "-", 
       FractionBox[
        RowBox[{"PVB", "[", 
         RowBox[{"1", ",", "1", ",", 
          RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
        SuperscriptBox["mW", "2"]]}], ")"}]}], "-", 
    RowBox[{"\[ScriptD]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"PVB", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], "+", 
       RowBox[{"PVB", "[", 
        RowBox[{"0", ",", "1", ",", 
         RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], "-", 
       FractionBox[
        RowBox[{"PVB", "[", 
         RowBox[{"1", ",", "0", ",", 
          RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
        SuperscriptBox["mW", "2"]], "-", 
       FractionBox[
        RowBox[{"PVB", "[", 
         RowBox[{"1", ",", "1", ",", 
          RowBox[{"p", ".", "p"}], ",", "mW", ",", "mf"}], "]"}], 
        SuperscriptBox["mW", "2"]]}], ")"}]}]}], ")"}]}]], "Output",
 ImageSize->{562, 142},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->532006851]
}, Open  ]],

Cell[TextData[{
 "Applying the Dirac algebra risks violating Ward identities in chiral gauge \
theories since ",
 Cell[BoxData[
  ButtonBox["\[Gamma]5",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracG5"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " (naively) anticommutes with all other gamma matrices in ",
 Cell[BoxData[
  FormBox["d", TraditionalForm]], "InlineMath"],
 " dimensions."
}], "ExampleText",
 Deletable->True,
 CellID->1592366173]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Organization",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->423094414],

Cell["Organize result by tensor structures:", "ExampleText",
 CellID->1631545564],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "\[Mu]"], 
    SubscriptBox["k", "\[Nu]"], 
    RowBox[{"k", ".", "k"}], " ", 
    RowBox[{"k", ".", "p"}]}], " ", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "M"}], "}"}], ",", 
   RowBox[{"Organization", "\[Rule]", "LTensor"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1538553441],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         SuperscriptBox["m", "2"], "2"], "-", 
        FractionBox[
         SuperscriptBox["M", "2"], "2"], "-", 
        FractionBox[
         RowBox[{"p", ".", "p"}], "2"]}], ")"}], " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"0", ",", "m"}], "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"p", ".", "p"}], " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"0", ",", "m"}], "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "-", "\[ScriptD]"}], ")"}], " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"1", ",", "m"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["m", "2"], " ", 
          SuperscriptBox["M", "2"]}], "2"], "-", 
        FractionBox[
         SuperscriptBox["M", "4"], "2"], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         SuperscriptBox["M", "2"], " ", 
         RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "2", ",", 
        RowBox[{"p", ".", "p"}], ",", "M", ",", "m"}], "]"}]}]}], ")"}]}], 
  "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         SuperscriptBox["m", "2"], "2"], "-", 
        FractionBox[
         SuperscriptBox["M", "2"], "2"], "-", 
        FractionBox[
         RowBox[{"p", ".", "p"}], "2"]}], ")"}], " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"1", ",", "m"}], "]"}]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"p", ".", "p"}], " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"1", ",", "m"}], "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["M", "2"], " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"1", ",", "M"}], "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "-", "\[ScriptD]"}], ")"}], " ", 
      RowBox[{"PVA", "[", 
       RowBox[{"2", ",", "m"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["m", "2"], " ", 
          SuperscriptBox["M", "2"]}], "2"], "-", 
        FractionBox[
         SuperscriptBox["M", "4"], "2"], "-", 
        RowBox[{
         FractionBox["1", "2"], " ", 
         SuperscriptBox["M", "2"], " ", 
         RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
      RowBox[{"PVB", "[", 
       RowBox[{"1", ",", "0", ",", 
        RowBox[{"p", ".", "p"}], ",", "M", ",", "m"}], "]"}]}]}], 
    ")"}]}]}]], "Output",
 ImageSize->{466, 151},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->982583311]
}, Open  ]],

Cell["Organize result by Passarino-Veltman coefficient functions:", \
"ExampleText",
 CellID->1442849340],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "\[Mu]"], 
    SubscriptBox["k", "\[Nu]"], 
    RowBox[{"k", ".", "k"}], " ", 
    RowBox[{"k", ".", "p"}]}], " ", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "M"}], "}"}], ",", 
   RowBox[{"Organization", "\[Rule]", "Function"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1352227599],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         SuperscriptBox["m", "2"], "2"], "-", 
        FractionBox[
         SuperscriptBox["M", "2"], "2"], "-", 
        FractionBox[
         RowBox[{"p", ".", "p"}], "2"]}], ")"}], " ", 
      SubscriptBox["p", "\[Mu]"], " ", 
      SubscriptBox["p", "\[Nu]"]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"p", ".", "p"}], " ", 
      SubscriptBox["p", "\[Mu]"], " ", 
      SubscriptBox["p", "\[Nu]"]}]}], ")"}], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "4"}], "-", "\[ScriptD]"}], ")"}], " ", 
      SubscriptBox["p", "\[Mu]"], " ", 
      SubscriptBox["p", "\[Nu]"]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         SuperscriptBox["m", "2"], "2"], "-", 
        FractionBox[
         SuperscriptBox["M", "2"], "2"], "-", 
        FractionBox[
         RowBox[{"p", ".", "p"}], "2"]}], ")"}], " ", 
      SubscriptBox["\[DoubleStruckG]", 
       RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"p", ".", "p"}], " ", 
      SubscriptBox["\[DoubleStruckG]", 
       RowBox[{"\[Mu]", ",", "\[Nu]"}]]}]}], ")"}], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"1", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["M", "2"], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"1", ",", "M"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "-", "\[ScriptD]"}], ")"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"2", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["m", "2"], " ", 
       SuperscriptBox["M", "2"]}], "2"], "-", 
     FractionBox[
      SuperscriptBox["M", "4"], "2"], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["M", "2"], " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "2", ",", 
     RowBox[{"p", ".", "p"}], ",", "M", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["m", "2"], " ", 
       SuperscriptBox["M", "2"]}], "2"], "-", 
     FractionBox[
      SuperscriptBox["M", "4"], "2"], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["M", "2"], " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "M", ",", "m"}], "]"}]}]}]], "Output",
 ImageSize->{538, 151},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->626243890]
}, Open  ]],

Cell["Do not organize result:", "ExampleText",
 CellID->922539740],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "\[Mu]"], 
    SubscriptBox["k", "\[Nu]"], 
    RowBox[{"k", ".", "k"}], " ", 
    RowBox[{"k", ".", "p"}]}], " ", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "M"}], "}"}], ",", 
   RowBox[{"Organization", "\[Rule]", "None"}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->1466174844],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox["m", "2"], "2"], "-", 
     FractionBox[
      SuperscriptBox["M", "2"], "2"], "-", 
     FractionBox[
      RowBox[{"p", ".", "p"}], "2"]}], ")"}], " ", 
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "m"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"p", ".", "p"}], " ", 
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "m"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"4", "+", "\[ScriptD]"}], ")"}], " ", 
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"1", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox["m", "2"], "2"], "-", 
     FractionBox[
      SuperscriptBox["M", "2"], "2"], "-", 
     FractionBox[
      RowBox[{"p", ".", "p"}], "2"]}], ")"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"1", ",", "m"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"p", ".", "p"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"1", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["M", "2"], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"1", ",", "M"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "\[ScriptD]"}], ")"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"2", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["m", "2"], " ", 
       SuperscriptBox["M", "2"]}], "2"], "-", 
     FractionBox[
      SuperscriptBox["M", "4"], "2"], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["M", "2"], " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "2", ",", 
     RowBox[{"p", ".", "p"}], ",", "M", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["m", "2"], " ", 
       SuperscriptBox["M", "2"]}], "2"], "-", 
     FractionBox[
      SuperscriptBox["M", "4"], "2"], "-", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox["M", "2"], " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"PVB", "[", 
    RowBox[{"1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "M", ",", "m"}], "]"}]}]}]], "Output",
 ImageSize->{518, 151},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->475775831]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Applications",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->258228157],

Cell[TextData[{
 "Sum the first few 1PI diagrams contributing to the Coleman-Weinberg \
effective potential in the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[Lambda]\[Phi]", "4"], TraditionalForm]], "InlineMath"],
 " theory\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["V", "eff"], "(", "\[Phi]", ")"}], "=", 
    RowBox[{"i", 
     RowBox[{
      UnderscriptBox["\[Sum]", 
       RowBox[{"n", "=", "1"}]], 
      RowBox[{"[", 
       RowBox[{
        FractionBox[
         RowBox[{"\[Lambda]", " ", 
          SuperscriptBox["\[Phi]", "2"]}], "2"], 
        SuperscriptBox["\[Mu]", 
         RowBox[{"2", "\[Epsilon]"}]], 
        RowBox[{"\[Integral]", 
         RowBox[{
          FractionBox[
           RowBox[{
            SuperscriptBox["\[DifferentialD]", "d"], "p"}], 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
          FractionBox["1", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["p", "2"], "-", 
              SuperscriptBox["m", "2"], "+", 
              RowBox[{"i", " ", "\[CurlyEpsilon]"}]}], ")"}], "n"]]}]}]}], 
       "]"}]}]}]}], TraditionalForm]], "InlineMath"],
 "\[LineSeparator](",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox["i", 
     RowBox[{"16", 
      SuperscriptBox["\[Pi]", "2"]}]],
    FontColor->RGBColor[0.6666666666666666, 0., 0.]], TraditionalForm]], 
  "InlineMath"],
 " restored explicitly):"
}], "ExampleText",
 Deletable->True,
 CellID->77193418],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     FractionBox["\[ImaginaryI]", 
      RowBox[{"16", 
       SuperscriptBox["\[Pi]", "2"]}]], "*", "\[ImaginaryI]", " ", 
     RowBox[{"Sum", "[", 
      RowBox[{
       RowBox[{
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"\[Lambda]", " ", 
            RowBox[{
             SuperscriptBox["\[Phi]", "2"], "/", "2"}]}], ")"}], "n"], 
         RowBox[{"2", "n"}]], 
        RowBox[{"LoopIntegrate", "[", 
         RowBox[{"1", ",", "p", ",", 
          RowBox[{"{", 
           RowBox[{"p", ",", "m", ",", "n"}], "}"}]}], "]"}]}], ",", 
       RowBox[{"{", 
        RowBox[{"n", ",", "1", ",", "5"}], "}"}]}], "]"}]}], "//", 
    "LoopRefine"}], ",", "\[Phi]"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1321594430],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    SuperscriptBox["\[Lambda]", "3"], " ", 
    SuperscriptBox["\[Phi]", "6"]}], 
   RowBox[{"1536", " ", 
    SuperscriptBox["m", "2"], " ", 
    SuperscriptBox["\[Pi]", "2"]}]], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[Lambda]", "4"], " ", 
    SuperscriptBox["\[Phi]", "8"]}], 
   RowBox[{"12288", " ", 
    SuperscriptBox["m", "4"], " ", 
    SuperscriptBox["\[Pi]", "2"]}]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[Lambda]", "5"], " ", 
    SuperscriptBox["\[Phi]", "10"]}], 
   RowBox[{"61440", " ", 
    SuperscriptBox["m", "6"], " ", 
    SuperscriptBox["\[Pi]", "2"]}]], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["\[Lambda]", "2"], " ", 
    SuperscriptBox["\[Phi]", "4"], " ", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["1", "\[Epsilon]"], "+", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["\[Micro]", "2"], 
        SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], 
   RowBox[{"256", " ", 
    SuperscriptBox["\[Pi]", "2"]}]], "+", 
  RowBox[{
   SuperscriptBox["\[Phi]", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["m", "2"], " ", "\[Lambda]"}], 
       RowBox[{"64", " ", 
        SuperscriptBox["\[Pi]", "2"]}]]}], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["m", "2"], " ", "\[Lambda]", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "\[Epsilon]"], "+", 
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["\[Micro]", "2"], 
           SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], 
      RowBox[{"64", " ", 
       SuperscriptBox["\[Pi]", "2"]}]]}], ")"}]}]}]], "Output",
 ImageSize->{355, 97},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->991529419]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Properties & Relations",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->2123667759],

Cell["\<\
Dimensional regularization preserves the shift symmetry of loop integrals:\
\>", "ExampleText",
 CellID->932912804],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"int1", "=", 
  RowBox[{
   RowBox[{"LoopIntegrate", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox["k", "\[Mu]"], 
      SubscriptBox["k", "\[Nu]"]}], ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "+", "p"}], ",", "m"}], "}"}]}], "]"}], "//", 
   "LoopRefine"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->925646446],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"p", ".", "p"}]}], ")"}]}], 
      RowBox[{"3", " ", 
       RowBox[{"p", ".", "p"}]}]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "12"}], " ", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"13", " ", 
        RowBox[{"p", ".", "p"}]}]}], 
      RowBox[{"18", " ", 
       RowBox[{"p", ".", "p"}]}]], "+", 
     RowBox[{
      FractionBox["1", "3"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "\[Epsilon]"], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          SuperscriptBox["m", "2"]], "]"}]}], ")"}]}]}], ")"}], " ", 
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "18"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"21", " ", 
         SuperscriptBox["m", "2"]}], "-", 
        RowBox[{"4", " ", 
         RowBox[{"p", ".", "p"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      RowBox[{"DiscB", "[", 
       RowBox[{
        RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["m", "2"]}], "-", 
        RowBox[{"p", ".", "p"}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"6", " ", 
         SuperscriptBox["m", "2"]}], "-", 
        RowBox[{"p", ".", "p"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "\[Epsilon]"], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          SuperscriptBox["m", "2"]], "]"}]}], ")"}]}]}], ")"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]]}]}]], "Output",
 ImageSize->{577, 78},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1404752189]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"int2", "=", 
  RowBox[{
   RowBox[{"LoopIntegrate", "[", 
    RowBox[{
     RowBox[{
      SubscriptBox[
       RowBox[{"(", 
        RowBox[{"k", "+", "a"}], ")"}], "\[Mu]"], 
      SubscriptBox[
       RowBox[{"(", 
        RowBox[{"k", "+", "a"}], ")"}], "\[Nu]"]}], ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "+", "a"}], ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "+", "a", "+", "p"}], ",", "m"}], "}"}]}], "]"}], "//", 
   "LoopRefine"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1538192503],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"p", ".", "p"}]}], ")"}]}], 
      RowBox[{"3", " ", 
       RowBox[{"p", ".", "p"}]}]], "+", 
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "12"}], " ", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"13", " ", 
        RowBox[{"p", ".", "p"}]}]}], 
      RowBox[{"18", " ", 
       RowBox[{"p", ".", "p"}]}]], "+", 
     RowBox[{
      FractionBox["1", "3"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "\[Epsilon]"], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          SuperscriptBox["m", "2"]], "]"}]}], ")"}]}]}], ")"}], " ", 
   SubscriptBox["p", "\[Mu]"], " ", 
   SubscriptBox["p", "\[Nu]"]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      FractionBox["1", "18"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"21", " ", 
         SuperscriptBox["m", "2"]}], "-", 
        RowBox[{"4", " ", 
         RowBox[{"p", ".", "p"}]}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      RowBox[{"DiscB", "[", 
       RowBox[{
        RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["m", "2"]}], "-", 
        RowBox[{"p", ".", "p"}]}], ")"}]}], "+", 
     RowBox[{
      FractionBox["1", "12"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"6", " ", 
         SuperscriptBox["m", "2"]}], "-", 
        RowBox[{"p", ".", "p"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "\[Epsilon]"], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          SuperscriptBox["m", "2"]], "]"}]}], ")"}]}]}], ")"}], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]]}]}]], "Output",
 ImageSize->{577, 78},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->802134987]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"int1", "\[Equal]", "int2"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->994951938],

Cell[BoxData["True"], "Output",
 ImageSize->{33, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->2109317296]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Issues",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1305812373],

Cell["Numerator must be a polynomial in integration variable:", "ExampleText",
 
 CellID->2116633687],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Sin", "[", 
     RowBox[{"k", ".", "p"}], "]"}], " ", 
    SubscriptBox["k", "\[Mu]"]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1012684035],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LoopIntegrate", "::", "poly"}], "MessageName"], ":", 
  " ", "\<\"Numerator is not a polynomial in \
\[NoBreak]\\!\\(k\\)\[NoBreak].\\!\\(\\*\\nStyleBox[\\\"vec\\\", \
\\\"TI\\\"]\\), or \
\\!\\(\\*SubscriptBox[\\(\[NoBreak]\\!\\(k\\)\[NoBreak]\\),\\!\\(\\*\\\
nStyleBox[\\\"idx\\\", \\\"TI\\\"]\\)]\\). \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/poly\\\", ButtonNote -> \
\\\"X`LoopIntegrate::poly\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1305593347],

Cell[BoxData[
 TemplateBox[{RowBox[{
     RowBox[{"Sin", "[", 
       RowBox[{"k", ".", "p"}], "]"}], " ", 
     SubscriptBox["k", "\[Mu]"]}],"k",RowBox[{
     TemplateBox[{"k", "m", "1"}, "LoopIntegrateDenomSpec", 
      DisplayFunction -> (RowBox[{"[", 
         SuperscriptBox[#, "2"], "-", 
         SuperscriptBox[#2, "2"], "]"}]& ), 
      InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
     
     TemplateBox[{
       RowBox[{"(", 
         RowBox[{"k", "-", "p"}], ")"}], "m", "1"}, "LoopIntegrateDenomSpec", 
      DisplayFunction -> (RowBox[{"[", 
         SuperscriptBox[#, "2"], "-", 
         SuperscriptBox[#2, "2"], "]"}]& ), 
      InterpretationFunction -> (
       RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )]}]},
  "LoopIntegrate",
  DisplayFunction->(RowBox[{"\[Integral]", 
     FractionBox[
      RowBox[{
        SuperscriptBox["\[DifferentialD]", "\[ScriptD]"], #2}], 
      SuperscriptBox[
       RowBox[{"(", "2", "\[Pi]", ")"}], "\[ScriptD]"]], 
     FractionBox[#, #3]}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"LoopIntegrate", "[", 
     RowBox[
      Riffle[
       Join[{#, #2}, 
        Part[
         Map[ToBoxes[
           ToExpression[#]]& , #3, {2}], 1]], ","]], "]"}]& )]], "Output",
 ImageSize->{206, 40},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->119477983]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    SubscriptBox["k", "\[Mu]"], 
    RowBox[{
     SubscriptBox["k", "\[Nu]"], "/", 
     RowBox[{"k", ".", "k"}]}]}], ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->619801924],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LoopIntegrate", "::", "poly"}], "MessageName"], ":", 
  " ", "\<\"Numerator is not a polynomial in \
\[NoBreak]\\!\\(k\\)\[NoBreak].\\!\\(\\*\\nStyleBox[\\\"vec\\\", \
\\\"TI\\\"]\\), or \
\\!\\(\\*SubscriptBox[\\(\[NoBreak]\\!\\(k\\)\[NoBreak]\\),\\!\\(\\*\\\
nStyleBox[\\\"idx\\\", \\\"TI\\\"]\\)]\\). \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/poly\\\", ButtonNote -> \
\\\"X`LoopIntegrate::poly\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[2]:=",
 CellID->1803731006],

Cell[BoxData[
 TemplateBox[{FractionBox[
    RowBox[{
      SubscriptBox["k", "\[Mu]"], " ", 
      SubscriptBox["k", "\[Nu]"]}], 
    RowBox[{"k", ".", "k"}]],"k",RowBox[{
     TemplateBox[{"k", "m", "1"}, "LoopIntegrateDenomSpec", 
      DisplayFunction -> (RowBox[{"[", 
         SuperscriptBox[#, "2"], "-", 
         SuperscriptBox[#2, "2"], "]"}]& ), 
      InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
     
     TemplateBox[{
       RowBox[{"(", 
         RowBox[{"k", "-", "p"}], ")"}], "m", "1"}, "LoopIntegrateDenomSpec", 
      DisplayFunction -> (RowBox[{"[", 
         SuperscriptBox[#, "2"], "-", 
         SuperscriptBox[#2, "2"], "]"}]& ), 
      InterpretationFunction -> (
       RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )]}]},
  "LoopIntegrate",
  DisplayFunction->(RowBox[{"\[Integral]", 
     FractionBox[
      RowBox[{
        SuperscriptBox["\[DifferentialD]", "\[ScriptD]"], #2}], 
      SuperscriptBox[
       RowBox[{"(", "2", "\[Pi]", ")"}], "\[ScriptD]"]], 
     FractionBox[#, #3]}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"LoopIntegrate", "[", 
     RowBox[
      Riffle[
       Join[{#, #2}, 
        Part[
         Map[ToBoxes[
           ToExpression[#]]& , #3, {2}], 1]], ","]], "]"}]& )]], "Output",
 ImageSize->{211, 48},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1427856790]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->136559750],

Cell["Integration mometum vector must be a symbol:", "ExampleText",
 CellID->2060347912],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", "+", "q"}], ")"}], ".", "p"}], ",", 
   RowBox[{"k", "+", "q"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "p"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->374746969],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LoopIntegrate", "::", "kinem"}], "MessageName"], ":", 
  " ", "\<\"Invalid integration variable \[NoBreak]\\!\\(k + q\\)\[NoBreak];  \
atomic symbol expected. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:X/ref/LoopIntegrate\\\", ButtonNote -> \
\\\"X`LoopIntegrate::kinem\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->2022503129],

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"k", "+", "q"}], ")"}], ".", "p"}], ",", 
   RowBox[{"k", "+", "q"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"k", "-", "p"}], ",", "m"}], "}"}]}], "]"}]], "Output",
 ImageSize->{325, 14},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1838924387]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->217290526],

Cell[TextData[{
 "If the external momenta are linearly dependent (for example, for form \
factors at zero momentum transfers), common factors will not be canceled in \
the numerator and denominator.  The output will be equivalent to setting ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Cancel",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate#377984336"], "\[Rule]", 
   ButtonBox["False",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/False"]}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJzt3b1uHF3XJuYF28GEr47A9HMEAhQ6oQ0dgDAe5ZwBRqmFsWFhMoYKlSpj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       "], {{0, 630}, {
       767, 0}}, {0, 255},
       ColorFunction->RGBColor],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     BaseStyle->"ImageGraphics",
     ImageSize->{102.94010416666669`, Automatic},
     ImageSizeRaw->{767, 630},
     PlotRange->{{0, 767}, {0, 630}}]}], TraditionalForm]], "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1101481876],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"int1", "=", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k", ".", "k"}], " ", 
     RowBox[{"k", ".", "p"}]}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "0"}], "}"}], ",", 
    RowBox[{"Cancel", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->663558160],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LoopIntegrate", "::", "nocancel"}], "MessageName"], ":", 
  " ", "\<\"Warning: External vectors \[NoBreak]\\!\\({0, 0, p}\\)\[NoBreak] \
are linearly dependent, scalar products involving integration variable \
\[NoBreak]\\!\\(k\\)\[NoBreak] in the numerator cannot be canceled with \
denominator factors.  Set Apart->True to LoopIntegrate to permit canceling \
scalar products. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\
\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:X/ref/LoopIntegrate\\\", ButtonNote -> \
\\\"X`LoopIntegrate::nocancel\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->920213601],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", ".", "p"}], ")"}], "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "3", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "0", ",", "0"}], "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"2", "+", "\[ScriptD]"}], ")"}], " ", 
   RowBox[{"p", ".", "p"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"1", ",", "0", ",", "1", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "0", ",", "0"}], 
    "]"}]}]}]], "Output",
 ImageSize->{558, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->2000249960]
}, Open  ]],

Cell[TextData[{
 "Set option ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Apart",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate#1834656470"], "\[Rule]", 
   ButtonBox["True",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/True"]}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to expand denominators in partial fractions thereby making all \
denominators factors suitable for canceling scalar products:"
}], "ExampleText",
 CellID->874207131],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"int2", "=", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"k", ".", "k"}], " ", 
     RowBox[{"k", ".", "p"}]}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "0"}], "}"}], ",", 
    RowBox[{"Cancel", "\[Rule]", "True"}], ",", 
    RowBox[{"Apart", "\[Rule]", "True"}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1223255085],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox["m", "2"], "2"]}], "-", 
       FractionBox[
        RowBox[{"p", ".", "p"}], "2"]}], 
      SuperscriptBox["m", "2"]], "+", 
     FractionBox[
      RowBox[{"p", ".", "p"}], 
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}]]}], ")"}], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "0"}], "]"}]}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"PVA", "[", 
    RowBox[{"0", ",", "m"}], "]"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["m", "4"], "2"]}], "-", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["m", "2"], " ", 
       RowBox[{"p", ".", "p"}]}]}], ")"}], " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"0", ",", "0", ",", 
      RowBox[{"p", ".", "p"}], ",", "m", ",", "0"}], "]"}]}], 
   SuperscriptBox["m", "2"]]}]], "Output",
 ImageSize->{523, 57},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1013304655]
}, Open  ]],

Cell["Results are the same in both cases:", "ExampleText",
 CellID->173171285],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"LoopRefine", "[", "int1", "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", "int2", "]"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->447829355],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"p", ".", "p"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "4"]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"p", ".", "p"}], ")"}], "2"]}], ")"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"p", ".", "p"}]}]], "]"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"p", ".", "p"}]}]]}]], "Output",
 ImageSize->{422, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->72744204],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"p", ".", "p"}]}]}], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   RowBox[{"p", ".", "p"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], "-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "4"]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"p", ".", "p"}], ")"}], "2"]}], ")"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"p", ".", "p"}]}]], "]"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"p", ".", "p"}]}]]}]], "Output",
 ImageSize->{422, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->693641485]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Neat Examples",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->589267740],

Cell["\<\
Make a list of the first few covariant decompositions of a tensor bubble \
integral:\
\>", "ExampleText",
 CellID->191823653],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"1", ",", 
      SubscriptBox["k", "\[Mu]"], ",", 
      RowBox[{
       SubscriptBox["k", "\[Mu]"], 
       SubscriptBox["k", "\[Nu]"]}], ",", 
      RowBox[{
       SubscriptBox["k", "\[Mu]"], 
       SubscriptBox["k", "\[Nu]"], 
       SubscriptBox["k", "\[Rho]"]}]}], "}"}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p"}], ",", "m"}], "}"}], ",", 
    RowBox[{"Organization", "\[Rule]", "Function"}]}], "]"}], "//", 
  "TableForm"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1600253590],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      RowBox[{"PVB", "[", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]},
     {
      RowBox[{
       SubscriptBox["p", "\[Mu]"], " ", 
       RowBox[{"PVB", "[", 
        RowBox[{"0", ",", "1", ",", 
         RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]},
     {
      RowBox[{
       RowBox[{
        SubscriptBox["p", "\[Mu]"], " ", 
        SubscriptBox["p", "\[Nu]"], " ", 
        RowBox[{"PVB", "[", 
         RowBox[{"0", ",", "2", ",", 
          RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}], "+", 
       RowBox[{
        SubscriptBox["\[DoubleStruckG]", 
         RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
        RowBox[{"PVB", "[", 
         RowBox[{"1", ",", "0", ",", 
          RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]}]},
     {
      RowBox[{
       RowBox[{
        SubscriptBox["p", "\[Mu]"], " ", 
        SubscriptBox["p", "\[Nu]"], " ", 
        SubscriptBox["p", "\[Rho]"], " ", 
        RowBox[{"PVB", "[", 
         RowBox[{"0", ",", "3", ",", 
          RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SubscriptBox["p", "\[Rho]"], " ", 
           SubscriptBox["\[DoubleStruckG]", 
            RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "+", 
          RowBox[{
           SubscriptBox["p", "\[Nu]"], " ", 
           SubscriptBox["\[DoubleStruckG]", 
            RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], "+", 
          RowBox[{
           SubscriptBox["p", "\[Mu]"], " ", 
           SubscriptBox["\[DoubleStruckG]", 
            RowBox[{"\[Nu]", ",", "\[Rho]"}]]}]}], ")"}], " ", 
        RowBox[{"PVB", "[", 
         RowBox[{"1", ",", "1", ",", 
          RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.5599999999999999]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Column],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{483, 70},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]//TableForm=",
 CellID->1505904063]
}, Open  ]]
}, Closed]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "SEE ALSO", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "SeeAlsoSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "See Also"}], "SeeAlsoSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["LoopRefine",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopRefine"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVA",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVA"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVB",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVB"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVC",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVC"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVD",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVD"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVX",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVX"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Guides", "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "MORE ABOUT", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "MoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Related Guides"}], "MoreAboutSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->38303248],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "MoreAbout",
 CellID->1249944514],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "LoopIntegrate - Wolfram Mathematica", "LoopIntegrate"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 52, 37.315905}", 
    "history" -> {"1.0", "2.1", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Symbol", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "LoopIntegrate[num, k, {q_0, m_0}, {q_1, m_1}, ...] expresses the \
one-loop tensor integral over integration variable k with numerator num and \
denominator factors ( q_0^2 - m_0^2) ( q_1^2 - m_1^2) ... in terms of \
Passarino-Veltman coefficient functions.LoopIntegrate[num, k, {q_0, m_0, \
w_0}, {q_0, m_1, w_1}, ...] expresses the one-loop tensor integral in terms \
of Passarino-Veltman coefficients with weights w_0, w_1, ....", 
    "synonyms" -> {}, "title" -> "LoopIntegrate", "titlemodifier" -> "", 
    "windowtitle" -> "LoopIntegrate", "type" -> "Symbol", "uri" -> 
    "X/ref/LoopIntegrate"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

