Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"LoopIntegrate\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/LoopIntegrate"], "\<\"LoopRefine\"\>":>
       Documentation`HelpLookup["paclet:X/ref/LoopRefine"], "\<\"PVA\"\>":>
       Documentation`HelpLookup["paclet:X/ref/PVA"], "\<\"PVB\"\>":>
       Documentation`HelpLookup["paclet:X/ref/PVB"], "\<\"PVC\"\>":>
       Documentation`HelpLookup["paclet:X/ref/PVC"], "\<\"PVD\"\>":>
       Documentation`HelpLookup["paclet:X/ref/PVD"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/ref/LoopRefineSeries\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/ref/LoopRefineSeries"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/ref/\
LoopRefineSeries.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "X/ref/LoopRefineSeries", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["LoopRefineSeries", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["LoopRefineSeries",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/LoopRefineSeries"], "[", 
       RowBox[{
        StyleBox["f", "TI"], ",", 
        RowBox[{"{", 
         RowBox[{
          StyleBox["s", "TI"], ",", 
          SubscriptBox[
           StyleBox["s", "TI"], 
           StyleBox["0", "TR"]], ",", 
          StyleBox["n", "TI"]}], "}"}]}], "]"}]], "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " \[LineSeparator]generates a Taylor series expansion of ",
     Cell[BoxData[
      StyleBox["f", "TI"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " containing Passarino-Veltman functions about the point ",
     Cell[BoxData[
      RowBox[{
       StyleBox["s", "TI"], "=", 
       SubscriptBox[
        StyleBox["s", "TI"], 
        StyleBox["0", "TR"]]}]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " to order ",
     Cell[BoxData[
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         StyleBox["s", "TI"], "-", 
         SubscriptBox[
          StyleBox["s", "TI"], 
          StyleBox["0", "TR"]]}], ")"}], 
       StyleBox["n", "TI"]]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     "."
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["LoopRefineSeries",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/LoopRefineSeries"], "[", 
       RowBox[{
        StyleBox["f", "TI"], ",", 
        RowBox[{"{", 
         RowBox[{
          StyleBox["s", "TI"], ",", 
          SubscriptBox[
           StyleBox["s", "TI"], 
           StyleBox["0", "TR"]], ",", 
          SubscriptBox[
           StyleBox["n", "TI"], 
           StyleBox["s", "TI"]]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          StyleBox["t", "TI"], ",", 
          SubscriptBox[
           StyleBox["t", "TI"], 
           StyleBox["0", "TR"]], ",", 
          SubscriptBox[
           StyleBox["n", "TI"], 
           StyleBox["t", "TI"]]}], "}"}], ",", "..."}], "]"}]], 
      "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     "\[LineSeparator]successively finds Taylor series expansions with \
respect to ",
     Cell[BoxData[
      StyleBox["s", "TI"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     ", then ",
     Cell[BoxData[
      StyleBox["t", "TI"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     ", etc."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell["Details", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellGroupingRules->{"SectionGrouping", 50},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       Cell[
        BoxData[
         ButtonBox[
          FrameBox[
           StyleBox[
            RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"], 
           StripOnInput -> False], Appearance -> {Automatic, None}, BaseStyle -> 
          None, ButtonFunction :> (FrontEndExecute[{
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], All, ButtonCell], 
             FrontEndToken["OpenCloseGroup"], 
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
          Evaluator -> None, Method -> "Preemptive"]]]], "NotesSection", 
      CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Details and Options"}], "NotesSection", 
         CellSize -> {5000, Inherited}], Appearance -> {Automatic, None}, 
        BaseStyle -> None, ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), Evaluator -> 
        None, Method -> "Preemptive"]], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->2041252743],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " generates an expansion effectively by computing the necessary derivatives \
of the Passarino-Veltman functions ",
 Cell[BoxData[
  ButtonBox["PVA",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVA"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["PVC",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVC"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["PVD",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVD"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and converting them using an internal version of ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Notes",
 CellID->1973072990],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is unable to construct a series expansion near (Landau) singular points, \
",
 StyleBox["e.g.",
  FontSlant->"Italic"],
 " near normal thresholds or near zero internal mass."
}], "Notes",
 CellID->1067943069],

Cell[TextData[{
 "Set option ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Analytic",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopRefineSeries#759595167"], "\[Rule]", 
   ButtonBox["True",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/True"]}]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to continue ",
 Cell[BoxData[
  ButtonBox["\[Epsilon]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Eps"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to large (and negative) values, rendering all Landau singularities \
sufficiently differentiable to permit a series expansion. ",
 ButtonBox["\[RightGuillemet]",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/LoopRefineSeries#759595167"]
}], "Notes",
 CellID->946012669],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " replaces spacetime dimension ",
 Cell[BoxData[
  ButtonBox["\[ScriptD]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Dim"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " with ",
 StyleBox["4-2", "InlineCode"],
 Cell[BoxData[
  ButtonBox["\[Epsilon]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Eps"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and retains terms through order ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[ScriptCapitalO]", "(", 
    SuperscriptBox["\[Epsilon]", "0"], ")"}], TraditionalForm]], "InlineMath"],
 "."
}], "Notes",
 CellID->1254008839],

Cell[TextData[{
 "All logarithmic ultraviolet divergences and mass singularities are \
explicitly displayed as ",
 Cell[BoxData[
  FractionBox["1", 
   ButtonBox["\[Epsilon]",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/Eps"]]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " or ",
 Cell[BoxData[
  FractionBox["1", 
   SuperscriptBox[
    ButtonBox["\[Epsilon]",
     BaseStyle->"Link",
     ButtonData->"paclet:X/ref/Eps"], "2"]]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " poles.    To interpret the output of ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " in terms of the ",
 "canonical ",
 "integration measure ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"2", "\[Pi]"}], ")"}], "d"]]}]}], TraditionalForm]], 
  "InlineMath"],
 ", (1) multiply the result by ",
 Cell[BoxData[
  FormBox[
   FractionBox["i", 
    RowBox[{"16", 
     SuperscriptBox["\[Pi]", "2"]}]], TraditionalForm]], "InlineMath"],
 ", and (2) interpret poles near ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Epsilon]", " ", "~", " ", "0"}], TraditionalForm]], 
  "InlineMath"],
 " as follows:"
}], "Notes",
 Deletable->True,
 CellID->699149630],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell[TextData[StyleBox["output:",
     FontWeight->"Bold"]], "TableText"], Cell[TextData[StyleBox[
    "implied expression:",
     FontWeight->"Bold"]], "TableText"]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[Cell[BoxData[
     FractionBox["1", 
      ButtonBox["\[Epsilon]",
       BaseStyle->"Link",
       ButtonData->"paclet:X/ref/Eps"]]], "InlineFormula",
     FontFamily->FEPrivate`If[
       FEPrivate`Or[
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
       "Source Sans Pro", Inherited]]], "TableText"], Cell[TextData[Cell[
    BoxData[
     FormBox[
      RowBox[{
       FractionBox["1", "\[Epsilon]"], "-", 
       SubscriptBox[
        ButtonBox["\[Gamma]",
         BaseStyle->"Link",
         ButtonData->"paclet:ref/EulerGamma"], 
        StyleBox["E",
         FontSlant->"Plain"]], "+", 
       RowBox[{"ln", "(", 
        RowBox[{"4", "\[Pi]"}], ")"}]}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[Cell[BoxData[
     FractionBox["1", 
      SuperscriptBox[
       ButtonBox["\[Epsilon]",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/Eps"], "2"]]], "InlineFormula",
     FontFamily->FEPrivate`If[
       FEPrivate`Or[
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
       "Source Sans Pro", Inherited]]], "TableText"], Cell[TextData[Cell[
    BoxData[
     FormBox[
      RowBox[{
       FractionBox["1", 
        SuperscriptBox["\[Epsilon]", "2"]], "+", 
       RowBox[{
        FractionBox["1", "\[Epsilon]"], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SubscriptBox[
            ButtonBox["\[Gamma]",
             BaseStyle->"Link",
             ButtonData->"paclet:ref/EulerGamma"], 
            StyleBox["E",
             FontSlant->"Plain"]]}], "+", 
          RowBox[{"ln", "(", 
           RowBox[{"4", "\[Pi]"}], ")"}]}], ")"}]}], "+", 
       FractionBox[
        SubsuperscriptBox[
         ButtonBox["\[Gamma]",
          BaseStyle->"Link",
          ButtonData->"paclet:ref/EulerGamma"], 
         StyleBox["E",
          FontSlant->"Plain"], "2"], "2"], "-", 
       RowBox[{
        SubscriptBox[
         ButtonBox["\[Gamma]",
          BaseStyle->"Link",
          ButtonData->"paclet:ref/EulerGamma"], 
         StyleBox["E",
          FontSlant->"Plain"]], 
        RowBox[{"ln", "(", 
         RowBox[{"4", "\[Pi]"}], ")"}]}], "+", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{
         SuperscriptBox["ln", "2"], "(", 
         RowBox[{"4", "\[Pi]"}], ")"}]}]}], TraditionalForm]], "InlineMath"]],
      "TableText",
     Deletable->True]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, {None}}, "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True, True}}}},
 CellID->1378542191],

Cell[TextData[{
 "Besides reorganizing the result, ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " does not perform any substantial tensor algebraic manipulations."
}], "Notes",
 CellID->1244430986],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " yields expressions valid for real (positive or negative) external \
invariants and positive semi-definite internal masses."
}], "Notes",
 CellID->26502654],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " has the same options as ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Notes",
 CellID->42998731],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " generates a ",
 Cell[BoxData[
  ButtonBox["SeriesData",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/SeriesData"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " object."
}], "Notes",
 CellID->1536328098]
}, Open  ]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Closed]],

Cell[CellGroupData[{

Cell["Examples", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "EXAMPLES", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "PrimaryExamplesSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Examples", "  ", 
           Cell["(11)", "ExampleCount"]}], "PrimaryExamplesSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellTags->"PrimaryExamplesSection",
 CellID->1283590776],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1836938117],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " in place of ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to make a Taylor series expansion of a loop integral:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox["1", 
       RowBox[{
        RowBox[{"[", 
         RowBox[{
          SuperscriptBox["k", "2"], "-", 
          SuperscriptBox["m", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "-", "p"}], ")"}], "2"], "-", 
         SuperscriptBox["m", "2"]}], "]"}]]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->86384238],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"LoopIntegrate", "[", 
    RowBox[{"1", ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p"}], ",", "m"}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", ".", "p"}], ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1245243491],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}], "+", 
   FractionBox[
    RowBox[{"p", ".", "p"}], 
    RowBox[{"6", " ", 
     SuperscriptBox["m", "2"]}]], "+", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", ".", "p"}], ")"}], "2"], 
    RowBox[{"60", " ", 
     SuperscriptBox["m", "4"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"p", ".", "p"}], "]"}], "3"],
    SeriesData[
     X`LDot[$CellContext`p, $CellContext`p], 0, {}, 0, 3, 1],
    Editable->False]}],
  SeriesData[
   X`LDot[$CellContext`p, $CellContext`p], 0, {
   X`Eps^(-1) + Log[$CellContext`m^(-2) X`Mu^2], 
    Rational[1, 6] $CellContext`m^(-2), Rational[1, 60] $CellContext`m^(-4)}, 
   0, 3, 1],
  Editable->False]], "Output",
 ImageSize->{256, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->335568919]
}, Open  ]],

Cell["Convert to a normal expression:", "ExampleText",
 CellID->1656330457],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Normal", "[", "%", "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->682498889],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "\[Epsilon]"], "+", 
  FractionBox[
   RowBox[{"p", ".", "p"}], 
   RowBox[{"6", " ", 
    SuperscriptBox["m", "2"]}]], "+", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", ".", "p"}], ")"}], "2"], 
   RowBox[{"60", " ", 
    SuperscriptBox["m", "4"]}]], "+", 
  RowBox[{"Log", "[", 
   FractionBox[
    SuperscriptBox["\[Micro]", "2"], 
    SuperscriptBox["m", "2"]], "]"}]}]], "Output",
 ImageSize->{181, 36},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->2012230795]
}, Open  ]],

Cell[TextData[{
 "Interpretation:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[TildeTilde]", 
    RowBox[{
     FractionBox[
      RowBox[{
       StyleBox["i",
        FontColor->RGBColor[0.6666666666666666, 0., 0.]], " "}], 
      StyleBox[
       RowBox[{"16", 
        SuperscriptBox["\[Pi]", "2"]}],
       FontColor->RGBColor[0.6666666666666666, 0., 0.]]], " ", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         FractionBox["1", "\[Epsilon]"], 
         StyleBox[
          RowBox[{"-", 
           SubscriptBox["\[Gamma]", "E"]}],
          FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
        StyleBox["+",
         FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
        StyleBox[
         RowBox[{"ln", 
          RowBox[{"(", 
           RowBox[{"4", "\[Pi]"}], ")"}]}],
         FontColor->RGBColor[0.6666666666666666, 0., 0.]], "+", 
        RowBox[{"ln", "(", 
         FractionBox[
          SuperscriptBox["\[Mu]", "2"], 
          SuperscriptBox["m", "2"]], ")"}]}], " ", ")"}], "+", 
      FractionBox[
       SuperscriptBox["p", "2"], 
       RowBox[{"6", 
        SuperscriptBox["m", "2"]}]], "+", 
      FractionBox[
       SuperscriptBox[
        RowBox[{"(", 
         SuperscriptBox["p", "2"], ")"}], "2"], 
       RowBox[{"60", 
        SuperscriptBox["m", "4"]}]], "+", 
      SuperscriptBox[
       RowBox[{"\[ScriptCapitalO]", "(", 
        SuperscriptBox["p", "2"], ")"}], "3"]}], "]"}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->2112411133]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Generalizations & Extensions",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1020263627],

Cell["Series in two variables:", "ExampleText",
 CellID->61112234],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", "s", ",", "M", ",", "M", ",", "M"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->961869987],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"(", 
    InterpretationBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", 
        RowBox[{"2", " ", 
         SuperscriptBox["M", "2"]}]]}], "-", 
      FractionBox["s", 
       RowBox[{"24", " ", 
        SuperscriptBox["M", "4"]}]], "-", 
      FractionBox[
       SuperscriptBox["s", "2"], 
       RowBox[{"180", " ", 
        SuperscriptBox["M", "6"]}]], "+", 
      InterpretationBox[
       SuperscriptBox[
        RowBox[{"O", "[", "s", "]"}], "3"],
       SeriesData[$CellContext`s, 0, {}, 0, 3, 1],
       Editable->False]}],
     SeriesData[$CellContext`s, 0, {
      Rational[-1, 2] $CellContext`M^(-2), 
       Rational[-1, 24] $CellContext`M^(-4), 
       Rational[-1, 180] $CellContext`M^(-6)}, 0, 3, 1],
     Editable->False], ")"}], "+", 
   RowBox[{
    RowBox[{"(", 
     InterpretationBox[
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", 
         RowBox[{"24", " ", 
          SuperscriptBox["M", "4"]}]]}], "-", 
       FractionBox["s", 
        RowBox[{"180", " ", 
         SuperscriptBox["M", "6"]}]], "-", 
       FractionBox[
        SuperscriptBox["s", "2"], 
        RowBox[{"1120", " ", 
         SuperscriptBox["M", "8"]}]], "+", 
       InterpretationBox[
        SuperscriptBox[
         RowBox[{"O", "[", "s", "]"}], "3"],
        SeriesData[$CellContext`s, 0, {}, 0, 3, 1],
        Editable->False]}],
      SeriesData[$CellContext`s, 0, {
       Rational[-1, 24] $CellContext`M^(-4), 
        Rational[-1, 180] $CellContext`M^(-6), 
        Rational[-1, 1120] $CellContext`M^(-8)}, 0, 3, 1],
      Editable->False], ")"}], " ", 
    SuperscriptBox["m", "2"]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "m", "]"}], "3"],
    SeriesData[$CellContext`m, 0, {}, 0, 3, 1],
    Editable->False]}],
  SeriesData[$CellContext`m, 0, {
    SeriesData[$CellContext`s, 0, {
     Rational[-1, 2] $CellContext`M^(-2), 
      Rational[-1, 24] $CellContext`M^(-4), 
      Rational[-1, 180] $CellContext`M^(-6)}, 0, 3, 1], 0, 
    SeriesData[$CellContext`s, 0, {
     Rational[-1, 24] $CellContext`M^(-4), 
      Rational[-1, 180] $CellContext`M^(-6), 
      Rational[-1, 1120] $CellContext`M^(-8)}, 0, 3, 1]}, 0, 3, 1],
  Editable->False]], "Output",
 ImageSize->{500, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->401027229]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1200397635],

Cell["Expand at infinity:", "ExampleText",
 CellID->1621671527],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "M", ",", "M", ",", "M"}], 
    "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"M", ",", "\[Infinity]", ",", "6"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1624208228],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", 
     RowBox[{"2", " ", 
      SuperscriptBox["M", "2"]}]]}], "-", 
   FractionBox[
    SuperscriptBox["m", "2"], 
    RowBox[{"12", " ", 
     SuperscriptBox["M", "4"]}]], "-", 
   FractionBox[
    SuperscriptBox["m", "4"], 
    RowBox[{"60", " ", 
     SuperscriptBox["M", "6"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      FractionBox["1", "M"], "]"}], "7"],
    SeriesData[$CellContext`M, 
     DirectedInfinity[1], {}, 2, 7, 1],
    Editable->False]}],
  SeriesData[$CellContext`M, 
   DirectedInfinity[1], {
    Rational[-1, 2], 0, Rational[-1, 12] $CellContext`m^2, 0, 
    Rational[-1, 60] $CellContext`m^4}, 2, 7, 1],
  Editable->False]], "Output",
 ImageSize->{185, 36},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->171506292]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->561842419],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " generates a ",
 Cell[BoxData[
  ButtonBox["SeriesData",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/SeriesData"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " object:"
}], "ExampleText",
 CellID->399940274],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopRefineSeries", "[", 
   RowBox[{
    RowBox[{"PVC", "[", 
     RowBox[{
     "1", ",", "0", ",", "0", ",", "s", ",", "0", ",", "0", ",", "m", ",", 
      "m", ",", "m"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"s", ",", "0", ",", "2"}], "}"}]}], "]"}], "//", "InputForm"}]],
  "Input",
 CellLabel->"In[1]:=",
 CellID->67284653],

Cell["\<\
SeriesData[s, 0, {(Eps^(-1) + Log[Mu^2/m^2])/4, 1/(48*m^2), 1/(720*m^4)}, 0, \
3, 1]\
\>", "Output",
 ImageSize->{591, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]//InputForm=",
 CellID->649218682]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Options",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->2061341341],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Analytic",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->1757724783],

Cell[TextData[{
 "By default, ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " does not construct series expansions near Landau singularities"
}], "ExampleText",
 CellID->759595167],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "M"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1287930076],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"LoopRefineSeries", "::", "notaylor"}], "MessageName"], ":", 
  " ", "\<\"Taylor series of \[NoBreak]\\!\\(PVB\\)\[NoBreak] does not exist \
near \\!\\(\[NoBreak]\\!\\(m\\)\[NoBreak] = \
\[NoBreak]\\!\\(0\\)\[NoBreak]\\). \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:X/ref/LoopRefineSeries\\\", \
ButtonNote -> \\\"X`LoopRefineSeries::notaylor\\\"]\\)\"\>"}]], "Message", \
"MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->969592335],

Cell[BoxData["$Failed"], "Output",
 ImageSize->{54, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->832460909]
}, Open  ]],

Cell[TextData[{
 "Setting option ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Analytic",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopRefineSeries#759595167"], "\[Rule]", 
   ButtonBox["True",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/True"]}]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " generates a result by analytically continuing ",
 Cell[BoxData[
  ButtonBox["\[Epsilon]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Eps"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to large (and negative) values to render all singularities sufficiently \
differentiable.  This enables ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to make a series expansion at any kinematic point.  See examples below:"
}], "ExampleText",
 CellID->1550760222],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->454617936],

Cell[TextData[{
 StyleBox["Logarithmic singularities",
  FontSlant->"Italic"],
 " (those associated with internal masses near zero) appear as ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", "\[Epsilon]"], TraditionalForm]], "InlineMath"],
 " poles:"
}], "ExampleText",
 CellID->255335494],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", "\[Lambda]", ",", "M", ",", "M"}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", ",", "0", ",", "2"}], "}"}], ",", 
   RowBox[{"Analytic", "\[Rule]", "True"}], ",", 
   RowBox[{"TargetScale", "\[Rule]", "M"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->717917941],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["M", "2"], 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "2"]}], "+", 
        SuperscriptBox["M", "2"]}]], "]"}], 
     SuperscriptBox["m", "2"]]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["2", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["m", "2"], "-", 
           SuperscriptBox["M", "2"]}], ")"}], "2"]]}], "-", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["M", "2"], 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["m", "2"]}], "+", 
           SuperscriptBox["M", "2"]}]], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          SuperscriptBox["M", "2"]}], ")"}], "2"]], "-", 
      FractionBox[
       RowBox[{
        FractionBox["1", "\[Epsilon]"], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          SuperscriptBox["M", "2"]], "]"}]}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          SuperscriptBox["M", "2"]}], ")"}], "2"]]}], ")"}], " ", 
    SuperscriptBox["\[Lambda]", "2"]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Lambda]", "]"}], "3"],
    SeriesData[$CellContext`\[Lambda], 0, {}, 0, 3, 1],
    Editable->False]}],
  SeriesData[$CellContext`\[Lambda], 
   0, {-$CellContext`m^(-2) 
    Log[$CellContext`M^2/(-$CellContext`m^2 + $CellContext`M^2)], 
    0, (-2) ($CellContext`m^2 - $CellContext`M^2)^(-2) - 
    2 ($CellContext`m^2 - $CellContext`M^2)^(-2) 
    Log[$CellContext`M^2/(-$CellContext`m^2 + $CellContext`M^2)] - \
($CellContext`m^2 - $CellContext`M^2)^(-2) (X`Eps^(-1) + 
     Log[$CellContext`M^(-2) X`Mu^2])}, 0, 3, 1],
  Editable->False]], "Output",
 ImageSize->{443, 58},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1472120639]
}, Open  ]],

Cell[TextData[{
 "Compare with the correct asymptotic expansion generated by ",
 Cell[BoxData[
  ButtonBox["Series",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Series"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->608600836],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"LoopRefine", "[", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", "\[Lambda]", ",", "M", ",", "M"}], "]"}], 
   "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Series", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"\[Lambda]", ",", "0", ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->89797490],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"-", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["M", "2"], 
        SuperscriptBox["\[Lambda]", "2"]], "]"}]}], "-", 
     RowBox[{"2", " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{"M", " ", "\[Lambda]"}], 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         SuperscriptBox["M", "2"]}]], "]"}]}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["m", "2"]}]], "+", 
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "-", 
       RowBox[{"2", " ", 
        RowBox[{"Log", "[", 
         FractionBox[
          RowBox[{"M", " ", "\[Lambda]"}], 
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["m", "2"]}], "+", 
           SuperscriptBox["M", "2"]}]], "]"}]}]}], ")"}], " ", 
     SuperscriptBox["\[Lambda]", "2"]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       SuperscriptBox["M", "2"]}], ")"}], "2"]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "\[Lambda]", "]"}], "3"],
    SeriesData[$CellContext`\[Lambda], 0, {}, 0, 3, 1],
    Editable->False]}],
  SeriesData[$CellContext`\[Lambda], 
   0, {(Rational[1, 2] $CellContext`m^(-2)) (-
      Log[$CellContext`M^2 $CellContext`\[Lambda]^(-2)] - 2 
     Log[($CellContext`M/(-$CellContext`m^2 + $CellContext`M^2)) \
$CellContext`\[Lambda]]), 
    0, ($CellContext`m^2 - $CellContext`M^2)^(-2) (-1 - 2 
     Log[($CellContext`M/(-$CellContext`m^2 + $CellContext`M^2)) \
$CellContext`\[Lambda]])}, 0, 3, 1],
  Editable->False]], "Output",
 ImageSize->{370, 52},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->799292179]
}, Open  ]],

Cell[TextData[{
 "Coefficients of Taylor series expansion generated by ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " that are free of ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", "\[Epsilon]"], TraditionalForm]], "InlineMath"],
 " poles will coincide with the corresponding terms in the asymptotic \
expansion."
}], "ExampleText",
 CellID->485726902]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->2001017682],

Cell[TextData[{
 StyleBox["Algebraic singularities",
  FontSlant->"Italic"],
 " (normal thresholds) are absent in expressions generated by ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->95917720],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", 
     RowBox[{"4", 
      SuperscriptBox["m", "2"]}], ",", "2"}], "}"}], ",", 
   RowBox[{"Analytic", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->274416687],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"2", "+", 
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}], "-", 
   FractionBox[
    RowBox[{"s", "-", 
     RowBox[{"4", " ", 
      SuperscriptBox["m", "2"]}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["m", "2"]}]], "+", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["m", "2"]}]}], ")"}], "2"], 
    RowBox[{"12", " ", 
     SuperscriptBox["m", "4"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"s", "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["m", "2"]}]}], "]"}], "3"],
    SeriesData[$CellContext`s, 4 $CellContext`m^2, {}, 0, 3, 1],
    Editable->False]}],
  SeriesData[$CellContext`s, 4 $CellContext`m^2, {
   2 + X`Eps^(-1) + Log[$CellContext`m^(-2) X`Mu^2], 
    Rational[-1, 2] $CellContext`m^(-2), Rational[1, 12] $CellContext`m^(-4)},
    0, 3, 1],
  Editable->False]], "Output",
 ImageSize->{340, 40},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1037619166]
}, Open  ]],

Cell[TextData[{
 "Compare with the correct asymptotic expansion generated by ",
 Cell[BoxData[
  ButtonBox["Series",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Series"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and observe the absence of half-odd integer powers of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", 
    RowBox[{"s", "-", 
     RowBox[{"4", 
      SuperscriptBox["m", "2"]}]}], ")"}], TraditionalForm]], "InlineMath"],
 " in the output of ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 Deletable->True,
 CellID->1510269354],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"LoopRefine", "[", 
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m"}], "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Series", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", 
     RowBox[{"4", 
      SuperscriptBox["m", "2"]}], ",", "2"}], "}"}]}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->510792202],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"2", "+", 
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}], "+", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "\[Pi]", " ", 
     SqrtBox[
      RowBox[{"s", "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["m", "2"]}]}]]}], 
    RowBox[{"2", " ", "m"}]], "-", 
   FractionBox[
    RowBox[{"s", "-", 
     RowBox[{"4", " ", 
      SuperscriptBox["m", "2"]}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox["m", "2"]}]], "-", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", "\[Pi]", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"s", "-", 
        RowBox[{"4", " ", 
         SuperscriptBox["m", "2"]}]}], ")"}], 
      RowBox[{"3", "/", "2"}]]}], 
    RowBox[{"16", " ", 
     SuperscriptBox["m", "3"]}]], "+", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"s", "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["m", "2"]}]}], ")"}], "2"], 
    RowBox[{"12", " ", 
     SuperscriptBox["m", "4"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"s", "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["m", "2"]}]}], "]"}], 
     RowBox[{"5", "/", "2"}]],
    SeriesData[$CellContext`s, 4 $CellContext`m^2, {}, 0, 5, 2],
    Editable->False]}],
  SeriesData[$CellContext`s, 4 $CellContext`m^2, {
   2 + X`Eps^(-1) + Log[$CellContext`m^(-2) X`Mu^2], Complex[0, 
      Rational[1, 2]] $CellContext`m^(-1) Pi, 
    Rational[-1, 2] $CellContext`m^(-2), Complex[0, 
      Rational[-1, 16]] $CellContext`m^(-3) Pi, 
    Rational[1, 12] $CellContext`m^(-4)}, 0, 5, 2],
  Editable->False]], "Output",
 ImageSize->{556, 44},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->65706224]
}, Open  ]]
}, Open  ]]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Applications",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->258228157],

Cell[TextData[{
 "Transverse part of top/bottom quark pair contribution to the W-boson vacuum \
polarization function ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["\[CapitalPi]", 
     StyleBox["WW",
      FontSlant->"Italic"]], "(", "p", ")"}], TraditionalForm]], "InlineMath"],
 " through ",
 Cell[BoxData[
  FormBox[
   RowBox[{"O", "(", 
    SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"],
 ":"
}], "ExampleText",
 Deletable->True,
 CellID->494840323],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"LoopIntegrate", "[", 
     RowBox[{
      RowBox[{"Spur", "[", 
       RowBox[{
        SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
        RowBox[{"\[DoubleStruckOne]", "-", "\[Gamma]5"}], ",", 
        RowBox[{
         RowBox[{"k", ".", "\[Gamma]"}], "+", 
         RowBox[{"mb", " ", "\[DoubleStruckOne]"}]}], ",", 
        SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
        RowBox[{"\[DoubleStruckOne]", "-", "\[Gamma]5"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"k", "+", "p"}], ")"}], ".", "\[Gamma]"}], "+", 
         RowBox[{"mt", " ", "\[DoubleStruckOne]"}]}]}], "]"}], ",", "k", ",", 
      
      RowBox[{"{", 
       RowBox[{"k", ",", "mb"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "+", "p"}], ",", "mt"}], "}"}]}], "]"}], "//", 
    "Transverse"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", ".", "p"}], ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->93276420],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "2"}], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["mb", "2"], "+", 
        SuperscriptBox["mt", "2"]}], ")"}]}], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       SuperscriptBox["mt", "4"], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["mb", "2"], 
         SuperscriptBox["mt", "2"]], "]"}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["mb", "2"]}], "+", 
       SuperscriptBox["mt", "2"]}]], "-", 
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["mb", "2"], "+", 
        SuperscriptBox["mt", "2"]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "\[Epsilon]"], "+", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          SuperscriptBox["mb", "2"]], "]"}]}], ")"}]}]}], ")"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{"8", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mb", "4"], "-", 
          RowBox[{"8", " ", 
           SuperscriptBox["mb", "2"], " ", 
           SuperscriptBox["mt", "2"]}], "+", 
          SuperscriptBox["mt", "4"]}], ")"}]}], 
       RowBox[{"9", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["mb", "2"], "-", 
           SuperscriptBox["mt", "2"]}], ")"}], "2"]}]], "-", 
      FractionBox[
       RowBox[{"8", " ", 
        SuperscriptBox["mb", "4"], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mb", "2"], "-", 
          RowBox[{"3", " ", 
           SuperscriptBox["mt", "2"]}]}], ")"}], " ", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["mb", "2"], 
          SuperscriptBox["mt", "2"]], "]"}]}], 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["mb", "2"], "-", 
           SuperscriptBox["mt", "2"]}], ")"}], "3"]}]], "+", 
      RowBox[{
       FractionBox["8", "3"], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "\[Epsilon]"], "+", 
         RowBox[{"Log", "[", 
          FractionBox[
           SuperscriptBox["\[Micro]", "2"], 
           SuperscriptBox["mt", "2"]], "]"}]}], ")"}]}]}], ")"}], " ", 
    RowBox[{"p", ".", "p"}]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"p", ".", "p"}], "]"}], "2"],
    SeriesData[
     X`LDot[$CellContext`p, $CellContext`p], 0, {}, 0, 2, 1],
    Editable->False]}],
  SeriesData[
   X`LDot[$CellContext`p, $CellContext`p], 
   0, {(-2) ($CellContext`mb^2 + $CellContext`mt^2) - 
    4 $CellContext`mt^4 (-$CellContext`mb^2 + $CellContext`mt^2)^(-1) 
    Log[$CellContext`mb^2 $CellContext`mt^(-2)] - 
    4 ($CellContext`mb^2 + $CellContext`mt^2) (X`Eps^(-1) + 
     Log[$CellContext`mb^(-2) X`Mu^2]), 
    Rational[8, 
       9] ($CellContext`mb^2 - $CellContext`mt^2)^(-2) ($CellContext`mb^4 - 
      8 $CellContext`mb^2 $CellContext`mt^2 + $CellContext`mt^4) + 
    Rational[-8, 3] $CellContext`mb^4 ($CellContext`mb^2 - 
      3 $CellContext`mt^2) ($CellContext`mb^2 - $CellContext`mt^2)^(-3) 
     Log[$CellContext`mb^2 $CellContext`mt^(-2)] + 
    Rational[8, 3] (X`Eps^(-1) + Log[$CellContext`mt^(-2) X`Mu^2])}, 0, 2, 1],
  
  Editable->False]], "Output",
 ImageSize->{572, 115},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->656682696]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->757770737],

Cell[TextData[{
 "Use ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to take the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["q", "2"], "\[Rule]", "0"}], TraditionalForm]], 
  "InlineMath"],
 " limit of a form factor:\[LineSeparator]\t",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    RowBox[{"i", " ", "e", " ", 
     RowBox[{
      SuperscriptBox["\[CapitalGamma]", "\[Mu]"], "(", "q", ")"}]}], "=", 
    "  ", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJzs3b+rJNnbGPYH24FxtPsXqL1/gBnY1IK2mUjRRfbmLSFP6kEWDEpMhxve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       "], {{0, 747}, {
       1034, 0}}, {0, 255},
       ColorFunction->RGBColor],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     BaseStyle->"ImageGraphics",
     ImageSize->{120.37812500000047`, Automatic},
     ImageSizeRaw->{1034, 747},
     PlotRange->{{0, 1034}, {0, 747}}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t", 
    RowBox[{"=", 
     RowBox[{
      SuperscriptBox["e", "3"], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox[
         RowBox[{
          RowBox[{
           SuperscriptBox["\[Gamma]", "\[Rho]"], "(", 
           RowBox[{
            RowBox[{
             SubscriptBox["p", "2"], ".", "\[Gamma]"}], "-", 
            RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], 
          RowBox[{
           SuperscriptBox["\[Gamma]", "\[Mu]"], "(", 
           RowBox[{
            RowBox[{
             SubscriptBox["p", "1"], ".", "\[Gamma]"}], "-", 
            RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], 
          SubscriptBox["\[Gamma]", "\[Nu]"], 
          SubscriptBox["g", "\[Rho]\[Nu]"]}], 
         RowBox[{
          RowBox[{
           SuperscriptBox["k", "2"], "[", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["p", "2"], "-", "k"}], ")"}], "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["p", "1"], "-", "k"}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}]]}]}]}]}]}], TraditionalForm]}], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1274750049],

Cell[BoxData[
 RowBox[{
  RowBox[{"numerator", "=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{"Spur", "[", 
      RowBox[{
       SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"p2", ".", "\[Gamma]"}], "-", 
         RowBox[{"k", ".", "\[Gamma]"}], "+", 
         RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}], ",", 
       SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"p1", ".", "\[Gamma]"}], "-", 
         RowBox[{"k", ".", "\[Gamma]"}], "+", 
         RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}], ",", 
       SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
       RowBox[{
        RowBox[{"Projector", "[", 
         RowBox[{"\"\<F2\>\"", ",", "\[Mu]"}], "]"}], "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"p1", ",", "m"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Rho]", ",", "\[Nu]"}]]}], "]"}]}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->249121296],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"formfactorF2", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"LoopIntegrate", "[", 
      RowBox[{"numerator", ",", "k", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "-", "p1"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "0"}], "}"}], ",", 
       RowBox[{"Cancel", "\[Rule]", "True"}]}], "]"}], "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        RowBox[{"p1", ".", "p1"}], "\[Rule]", 
        SuperscriptBox["m", "2"]}], ",", 
       RowBox[{
        RowBox[{"p2", ".", "p2"}], "\[Rule]", 
        SuperscriptBox["m", "2"]}], ",", 
       RowBox[{
        RowBox[{"p1", ".", "p2"}], "\[Rule]", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           RowBox[{"q", ".", "q"}]}], "/", "2"}], "+", 
         SuperscriptBox["m", "2"]}]}]}], "}"}]}], "//", "Simplify"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{"formfactorF2", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q", ".", "q"}], ",", "0", ",", "0"}], "}"}]}], "]"}]}], "Input",
 
 CellLabel->"In[2]:=",
 CellID->74710904],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{
    RowBox[{"q", ".", "q"}], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"q", ".", "q"}]}], ")"}], "2"]}]], 
  RowBox[{"4", " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["m", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"PVA", "[", 
          RowBox[{"0", ",", "0"}], "]"}]}], "+", 
        RowBox[{"PVA", "[", 
         RowBox[{"0", ",", "m"}], "]"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["m", "2"], " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "1", ",", 
           SuperscriptBox["m", "2"], ",", "0", ",", "m"}], "]"}]}]}], ")"}]}],
      "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"q", ".", "q"}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "0", ",", 
           SuperscriptBox["m", "2"], ",", "0", ",", "m"}], "]"}]}], "+", 
        RowBox[{"4", " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}], "+", 
        RowBox[{"2", " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "1", ",", 
           SuperscriptBox["m", "2"], ",", "0", ",", "m"}], "]"}]}], "-", 
        RowBox[{"\[ScriptD]", " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "1", ",", 
           SuperscriptBox["m", "2"], ",", "0", ",", "m"}], "]"}]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "1", ",", 
           RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}], "+", 
        RowBox[{"2", " ", "\[ScriptD]", " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "1", ",", 
           RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}], "-", 
        RowBox[{"2", " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "2", ",", 
           RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}], "+", 
        RowBox[{"2", " ", "\[ScriptD]", " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "2", ",", 
           RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}]}], ")"}]}], 
     "+", 
     RowBox[{
      RowBox[{"q", ".", "q"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[ScriptD]", " ", 
         RowBox[{"PVA", "[", 
          RowBox[{"0", ",", "0"}], "]"}]}], "+", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{"2", "-", 
           RowBox[{"3", " ", "\[ScriptD]"}]}], ")"}], " ", 
         RowBox[{"PVA", "[", 
          RowBox[{"0", ",", "m"}], "]"}]}], "+", 
        RowBox[{"8", " ", 
         SuperscriptBox["m", "2"], " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "0", ",", 
           SuperscriptBox["m", "2"], ",", "0", ",", "m"}], "]"}]}], "-", 
        RowBox[{"18", " ", 
         SuperscriptBox["m", "2"], " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}], "+", 
        RowBox[{"2", " ", "\[ScriptD]", " ", 
         SuperscriptBox["m", "2"], " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "0", ",", 
           RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}], "-", 
        RowBox[{"8", " ", 
         SuperscriptBox["m", "2"], " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "1", ",", 
           SuperscriptBox["m", "2"], ",", "0", ",", "m"}], "]"}]}], "+", 
        RowBox[{"2", " ", "\[ScriptD]", " ", 
         SuperscriptBox["m", "2"], " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"0", ",", "1", ",", 
           SuperscriptBox["m", "2"], ",", "0", ",", "m"}], "]"}]}], "-", 
        RowBox[{"2", " ", "\[ScriptD]", " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"1", ",", "0", ",", 
           RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[ScriptD]", "2"], " ", 
         RowBox[{"PVB", "[", 
          RowBox[{"1", ",", "0", ",", 
           RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}]}], 
       ")"}]}]}], ")"}]}]}]], "Output",
 ImageSize->{567, 143},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->326946533],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"2", "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"q", ".", "q"}], "]"}], "1"],
    SeriesData[
     X`LDot[$CellContext`q, $CellContext`q], 0, {}, 0, 1, 1],
    Editable->False]}],
  SeriesData[
   X`LDot[$CellContext`q, $CellContext`q], 0, {2}, 0, 1, 1],
  Editable->False]], "Output",
 ImageSize->{72, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1727211105]
}, Open  ]],

Cell[TextData[{
 "Interpretation:\[LineSeparator]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", "e", " ", 
     RowBox[{
      OverscriptBox["u", "_"], "(", 
      SubscriptBox[
       StyleBox["p",
        FontWeight->"Bold"], "2"], ")"}], 
     RowBox[{
      SuperscriptBox["\[CapitalGamma]", "\[Mu]"], "(", "q", ")"}], 
     RowBox[{"u", "(", 
      SubscriptBox[
       StyleBox["p",
        FontWeight->"Bold"], "1"], ")"}]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{
         StyleBox["i",
          FontColor->RGBColor[0.6666666666666666, 0., 0.]], " ", 
         SuperscriptBox["e", "3"]}], 
        StyleBox[
         RowBox[{"16", 
          SuperscriptBox["\[Pi]", "2"]}],
         FontColor->RGBColor[0.6666666666666666, 0., 0.]]], " ", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"\[ScriptCapitalO]", "(", 
           SuperscriptBox["q", "2"], ")"}]}], ")"}], "[", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"2", "m"}]], 
         RowBox[{
          OverscriptBox["u", "_"], "(", 
          SubscriptBox[
           StyleBox["p",
            FontWeight->"Bold"], "2"], ")"}], 
         SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
         SubscriptBox["q", "\[Nu]"], 
         RowBox[{"u", "(", 
          SubscriptBox[
           StyleBox["p",
            FontWeight->"Bold"], "1"], ")"}]}], "]"}]}], "+"}], "..."}]}], 
   TraditionalForm]], "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1482713304]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->550115903],

Cell["\<\
Obtain an asymptotic approximation of loop function whose numerical \
evaluation can be unstable:\
\>", "ExampleText",
 CellID->880881386],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"me", "=", "0.0005"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m\[Mu]", "=", "0.135"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mq", "=", "1.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"ScalarC0", "[", 
    RowBox[{"0", ",", 
     SuperscriptBox["me", "2"], ",", 
     SuperscriptBox["m\[Mu]", "2"], ",", "mq", ",", "mq", ",", "mLQ"}], "]"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"mLQ", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", ".15"}], ",", ".15"}], "}"}]}]}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->1295589896],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnX14E0Uex+e5uz/uefxDnnt8vIdHEU88lTsvgmcVmhYoekpFKG8nIkV5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    "], {{0, 104}, {
    180, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{180, 104},
  PlotRange->{{0, 180}, {0, 104}}]], "Output",
 ImageSize->{184, 104},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1859834061]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"me", ",", "m\[Mu]", ",", "mq"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"approx", "[", 
   RowBox[{"me_", ",", "m\[Mu]_", ",", "mq_", ",", "mLQ_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"LoopRefineSeries", "[", 
    RowBox[{
     RowBox[{"ScalarC0", "[", 
      RowBox[{"0", ",", 
       SuperscriptBox["me", "2"], ",", 
       SuperscriptBox["m\[Mu]", "2"], ",", "mq", ",", "mq", ",", "mLQ"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"me", ",", "0", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m\[Mu]", ",", "0", ",", "2"}], "}"}]}], "]"}], "//", 
   "Normal"}]}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->641028199],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{
    SuperscriptBox["mLQ", "2"], "-", 
    SuperscriptBox["mq", "2"]}]], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["mLQ", "2"], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["mLQ", "2"], 
      SuperscriptBox["mq", "2"]], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["mLQ", "2"], "-", 
      SuperscriptBox["mq", "2"]}], ")"}], "2"]], "+", 
  RowBox[{
   SuperscriptBox["me", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"5", " ", 
        SuperscriptBox["mLQ", "2"]}], "+", 
       SuperscriptBox["mq", "2"]}], 
      RowBox[{"4", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mLQ", "2"], "-", 
          SuperscriptBox["mq", "2"]}], ")"}], "3"]}]], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["mLQ", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["mLQ", "2"], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["mq", "2"]}]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["mLQ", "2"], 
         SuperscriptBox["mq", "2"]], "]"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mLQ", "2"], "-", 
          SuperscriptBox["mq", "2"]}], ")"}], "4"]}]]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox["m\[Mu]", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"5", " ", 
        SuperscriptBox["mLQ", "2"]}], "+", 
       SuperscriptBox["mq", "2"]}], 
      RowBox[{"4", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mLQ", "2"], "-", 
          SuperscriptBox["mq", "2"]}], ")"}], "3"]}]], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["mLQ", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["mLQ", "2"], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["mq", "2"]}]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["mLQ", "2"], 
         SuperscriptBox["mq", "2"]], "]"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mLQ", "2"], "-", 
          SuperscriptBox["mq", "2"]}], ")"}], "4"]}]], "+", 
     RowBox[{
      SuperscriptBox["me", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          RowBox[{"10", " ", 
           SuperscriptBox["mLQ", "4"]}], "+", 
          RowBox[{"19", " ", 
           SuperscriptBox["mLQ", "2"], " ", 
           SuperscriptBox["mq", "2"]}], "+", 
          SuperscriptBox["mq", "4"]}], 
         RowBox[{"9", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["mLQ", "2"], "-", 
             SuperscriptBox["mq", "2"]}], ")"}], "5"]}]], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["mLQ", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["mLQ", "4"], "+", 
            RowBox[{"6", " ", 
             SuperscriptBox["mLQ", "2"], " ", 
             SuperscriptBox["mq", "2"]}], "+", 
            RowBox[{"3", " ", 
             SuperscriptBox["mq", "4"]}]}], ")"}], " ", 
          RowBox[{"Log", "[", 
           FractionBox[
            SuperscriptBox["mLQ", "2"], 
            SuperscriptBox["mq", "2"]], "]"}]}], 
         RowBox[{"3", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["mLQ", "2"], "-", 
             SuperscriptBox["mq", "2"]}], ")"}], "6"]}]]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 ImageSize->{534, 187},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1800600914]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"me", "=", "0.0005"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m\[Mu]", "=", "0.135"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mq", "=", "1.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"approx", "[", 
    RowBox[{"me", ",", "m\[Mu]", ",", "mq", ",", "mLQ"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"mLQ", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.15"}], ",", "0.15"}], "}"}]}]}], "]"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->1445038776],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwdxQk41AkfwHFRzlyDMYbJIipHcuT+b78UMdLmChUpaat1JcWInLmyIpKj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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 30}, {-0.15, 0.15}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 ImageSize->{184, 104},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->1194266119]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Issues",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1305812373],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is unable to make expansions of ",
 Cell[BoxData[
  ButtonBox["DiracMatrix",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracMatrix"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " or ",
 Cell[BoxData[
  ButtonBox["FermionLine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/FermionLine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " objects."
}], "ExampleText",
 CellID->89195581],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"DiracMatrix", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"p", ".", "\[Gamma]"}], "+", 
      RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
     SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
     RowBox[{
      RowBox[{"\[Gamma]", ".", 
       RowBox[{"(", 
        RowBox[{"p", "+", "k"}], ")"}]}], "+", 
      RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
     SubscriptBox["\[Gamma]", "\[Nu]"]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1651263185],

Cell[BoxData[
 RowBox[{"DiracMatrix", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"\[DoubleStruckOne]", " ", "m"}], "+", 
    RowBox[{"\[Gamma]", ".", "p"}]}], ",", 
   SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
   RowBox[{
    RowBox[{"\[DoubleStruckOne]", " ", "m"}], "+", 
    RowBox[{"\[Gamma]", ".", "k"}], "+", 
    RowBox[{"\[Gamma]", ".", "p"}]}], ",", 
   SubscriptBox["\[Gamma]", "\[Nu]"]}], "]"}]], "Output",
 ImageSize->{286, 19},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1986651122]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"\[LeftAngleBracket]", 
    RowBox[{
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}]}], "\[RightAngleBracket]"}], ",", 
   RowBox[{"{", 
    RowBox[{"m", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1423207202],

Cell[BoxData[
 RowBox[{"\[LeftAngleBracket]", 
  RowBox[{"\[ScriptU]", "[", 
   RowBox[{"p2", ",", "m"}], "]"}], ",", 
  SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
  RowBox[{"\[ScriptU]", "[", 
   RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]], "Output",
 ImageSize->{155, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->274736739]
}, Open  ]]
}, Closed]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "SEE ALSO", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "SeeAlsoSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "See Also"}], "SeeAlsoSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["LoopIntegrate",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["LoopRefine",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopRefine"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVA",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVA"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVB",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVB"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVC",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVC"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVD",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVD"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Guides", "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "MORE ABOUT", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "MoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Related Guides"}], "MoreAboutSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->38303248],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "MoreAbout",
 CellID->1194023147],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "LoopRefineSeries - Wolfram Mathematica", "LoopRefineSeries"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 52, 46.505709}", 
    "history" -> {"2.0", "", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Symbol", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "LoopRefineSeries[f, {s, s_0, n}] generates a Taylor series expansion of \
f containing Passarino-Veltman functions about the point s = s_0 to order (s \
- s_0) n.LoopRefineSeries[f, {s, s_0, n_s}, {t, t_0, n_t}, ...] successively \
finds Taylor series expansions with respect to s, then t, etc.", 
    "synonyms" -> {}, "title" -> "LoopRefineSeries", "titlemodifier" -> "", 
    "windowtitle" -> "LoopRefineSeries", "type" -> "Symbol", "uri" -> 
    "X/ref/LoopRefineSeries"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

