Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"LoopIntegrate\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/LoopIntegrate"], "\<\"LoopRefine\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/LoopRefine"], "\<\"LoopRefineSeries\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/LoopRefineSeries"], "\<\"PVA\"\>":>
       Documentation`HelpLookup["paclet:X/ref/PVA"], "\<\"PVC\"\>":>
       Documentation`HelpLookup["paclet:X/ref/PVC"], "\<\"PVD\"\>":>
       Documentation`HelpLookup["paclet:X/ref/PVD"], "\<\"PVX\"\>":>
       Documentation`HelpLookup["paclet:X/ref/PVX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/ref/PVB\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/ref/PVB"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/ref/PVB.html"], 
                StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", "X/ref/PVB", 
             ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["PVB", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["PVB",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/PVB"], "[", 
       RowBox[{
        StyleBox["r", "TI"], ",", 
        SubscriptBox[
         StyleBox["n", "TI"], 
         StyleBox["1", "TR"]], ",", 
        StyleBox["s", "TI"], ",", 
        SubscriptBox[
         StyleBox["m", "TI"], 
         StyleBox["0", "TR"]], ",", 
        SubscriptBox[
         StyleBox["m", "TI"], 
         StyleBox["1", "TR"]]}], "]"}]], "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " \[LineSeparator]",
     "is the Passarino-Veltman coefficient function ",
     Cell[BoxData[
      FormBox[
       RowBox[{
        SubscriptBox[
         StyleBox["B",
          FontWeight->"Bold",
          FontSlant->"Plain"], 
         RowBox[{
          UnderscriptBox[
           UnderscriptBox[
            RowBox[{
             RowBox[{"0", "..."}], "0"}], "\[UnderBrace]"], 
           RowBox[{"2", "r"}]], " ", 
          UnderscriptBox[
           UnderscriptBox[
            RowBox[{
             RowBox[{"1", "..."}], "1"}], "\[UnderBrace]"], 
           SubscriptBox["n", "1"]]}]], "(", 
        RowBox[{
         RowBox[{"s", ";", 
          SubscriptBox["m", "0"]}], ",", 
         SubscriptBox["m", "1"]}], ")"}], TraditionalForm]], "InlineMath"],
     "."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell["Details", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellGroupingRules->{"SectionGrouping", 50},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       Cell[
        BoxData[
         ButtonBox[
          FrameBox[
           StyleBox[
            RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"], 
           StripOnInput -> False], Appearance -> {Automatic, None}, BaseStyle -> 
          None, ButtonFunction :> (FrontEndExecute[{
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], All, ButtonCell], 
             FrontEndToken["OpenCloseGroup"], 
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
          Evaluator -> None, Method -> "Preemptive"]]]], "NotesSection", 
      CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Details"}], "NotesSection", 
         CellSize -> {5000, Inherited}], Appearance -> {Automatic, None}, 
        BaseStyle -> None, ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), Evaluator -> 
        None, Method -> "Preemptive"]], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->484362645],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox["PVB",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVB"], "[", 
   RowBox[{
    StyleBox["r", "TI"], ",", 
    SubscriptBox[
     StyleBox["n", "TI"], 
     StyleBox["1", "TR"]], ",", 
    StyleBox["s", "TI"], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]]}], "]"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is the symbolic form of the coefficient function ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    StyleBox["B",
     FontWeight->"Bold",
     FontSlant->"Plain"], 
    RowBox[{
     UnderscriptBox[
      UnderscriptBox[
       RowBox[{
        RowBox[{"0", "..."}], "0"}], "\[UnderBrace]"], 
      RowBox[{"2", "r"}]], " ", 
     UnderscriptBox[
      UnderscriptBox[
       RowBox[{
        RowBox[{"1", "..."}], "1"}], "\[UnderBrace]"], 
      SubscriptBox["n", "1"]]}]], TraditionalForm]], "InlineMath"],
 " multiplying the symmetrized tensor ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"{", 
     SuperscriptBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"[", 
         SubscriptBox["p", "1"], "]"}], 
        SubscriptBox["n", "1"]], "[", "g", "]"}], "r"], "}"}], 
    RowBox[{
     RowBox[{
      SubscriptBox["\[Mu]", "1"], "..."}], 
     SubscriptBox["\[Mu]", 
      RowBox[{
       RowBox[{"2", "r"}], "+", 
       SubscriptBox["n", "1"]}]]}]], TraditionalForm]], "InlineMath"],
 " generated by ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Notes",
 CellID->1067943069],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox["PVB",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVB"], "[", 
   RowBox[{
    StyleBox["r", "TI"], ",", 
    SubscriptBox[
     StyleBox["n", "TI"], 
     StyleBox["1", "TR"]], ",", 
    StyleBox["s", "TI"], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]]}], "]"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " implicitly depends on the number of spacetime dimensions ",
 Cell[BoxData[
  ButtonBox["\[ScriptD]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Dim"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Notes",
 CellID->912611364],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SubscriptBox[
     StyleBox["B",
      FontWeight->"Bold",
      FontSlant->"Plain"], 
     RowBox[{
      UnderscriptBox[
       UnderscriptBox[
        RowBox[{
         RowBox[{"0", "..."}], "0"}], "\[UnderBrace]"], 
       RowBox[{"2", "r"}]], " ", 
      UnderscriptBox[
       UnderscriptBox[
        RowBox[{
         RowBox[{"1", "..."}], "1"}], "\[UnderBrace]"], 
       SubscriptBox["n", "1"]]}]], "(", 
    RowBox[{
     RowBox[{"s", ";", 
      SubscriptBox["m", "0"]}], ",", 
     SubscriptBox["m", "1"]}], ")"}], "=", 
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    SuperscriptBox["e", 
     RowBox[{
      SubscriptBox["\[Gamma]", 
       StyleBox["E",
        FontSlant->"Plain"]], "\[Epsilon]"}]], 
    FractionBox[
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}], 
      RowBox[{"2", "+", 
       SubscriptBox["n", "1"], "+", "r"}]], 
     SuperscriptBox["2", "r"]], 
    RowBox[{"\[CapitalGamma]", "(", 
     RowBox[{"\[Epsilon]", "-", "r"}], ")"}], "\[Times]", 
    RowBox[{
     UnderscriptBox["lim", 
      RowBox[{"\[CurlyEpsilon]", "\[Rule]", 
       SuperscriptBox["0", "+"]}],
      LimitsPositioning->False], 
     RowBox[{
      StyleBox[
       SubsuperscriptBox["\[Integral]", "0", "1"],
       StripOnInput->False,
       ScriptLevel->0], 
      RowBox[{
       RowBox[{"\[DifferentialD]", "x"}], " ", 
       SuperscriptBox[
        RowBox[{
         SuperscriptBox["x", 
          SubscriptBox["n", "1"]], "(", 
         RowBox[{
          RowBox[{"s", " ", 
           SuperscriptBox["x", "2"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "s"}], "+", 
             SubsuperscriptBox["m", "1", "2"], "-", 
             SubsuperscriptBox["m", "0", "2"]}], ")"}], "x"}], "+", 
          SubsuperscriptBox["m", "0", "2"], "-", 
          RowBox[{"\[ImaginaryI]", " ", "\[CurlyEpsilon]"}]}], ")"}], 
        RowBox[{
         RowBox[{"-", "\[Epsilon]"}], "+", "r"}]]}]}]}]}]}], 
  TraditionalForm]], "InlineMath"]], "Notes",
 CellID->1233434273],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox["PVB",
     BaseStyle->"Link",
     ButtonData->"paclet:X/ref/PVB"], "[", 
    RowBox[{"0", ",", "0", ",", 
     StyleBox["s", "TI"], ",", 
     SubscriptBox[
      StyleBox["m", "TI"], 
      StyleBox["0", "TR"]], ",", 
     SubscriptBox[
      StyleBox["m", "TI"], 
      StyleBox["1", "TR"]]}], "]"}], " "}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " represents the scalar ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox[
     StyleBox["B",
      FontWeight->"Bold",
      FontSlant->"Plain"], "0"], "(", 
    RowBox[{
     RowBox[{"s", ";", 
      SubscriptBox["m", "0"]}], ",", 
     SubscriptBox["m", "1"]}], ")"}], TraditionalForm]], "InlineMath"],
 " ",
 "function with full dependence on ",
 Cell[BoxData[
  ButtonBox["\[ScriptD]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Dim"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Notes",
 CellID->867037502],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " does not directly evaluate.  ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " substitutes ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " with its explicit expression."
}], "Notes",
 CellID->1133249904],

Cell[TextData[{
 "The first derivative with respect to the third argument (external \
invariant) formats in ",
 Cell[BoxData[
  ButtonBox["StandardForm",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/StandardForm"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " as ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    SuperscriptBox[
     ButtonBox["PVB",
      BaseStyle->"Link",
      ButtonData->"paclet:X/ref/PVB"], "\[Prime]"], "[", 
    RowBox[{"0", ",", "0", ",", 
     StyleBox["s", "TI"], ",", 
     SubscriptBox[
      StyleBox["m", "TI"], 
      StyleBox["0", "TR"]], ",", 
     SubscriptBox[
      StyleBox["m", "TI"], 
      StyleBox["1", "TR"]]}], "]"}], " "}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Notes",
 CellID->955668616],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox["PVB",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVB"], "[", 
   RowBox[{
    StyleBox["r", "TI"], ",", 
    SubscriptBox[
     StyleBox["n", "TI"], 
     StyleBox["1", "TR"]], ",", 
    StyleBox["s", "TI"], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]], ",", 
    RowBox[{
     ButtonBox["Weights",
      BaseStyle->"Link",
      ButtonData->"paclet:X/ref/LoopIntegrate#1445834945"], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       SubscriptBox[
        StyleBox["w", "TI"], 
        StyleBox["0", "TR"]], ",", 
       SubscriptBox[
        StyleBox["w", "TI"], 
        StyleBox["1", "TR"]]}], "}"}]}]}], "]"}]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " represents the weighted coefficient function ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox[
    StyleBox["B",
     FontWeight->"Bold",
     FontSlant->"Plain"], 
    RowBox[{
     UnderscriptBox[
      UnderscriptBox[
       RowBox[{
        RowBox[{"0", "..."}], "0"}], "\[UnderBrace]"], 
      RowBox[{"2", "r"}]], " ", 
     UnderscriptBox[
      UnderscriptBox[
       RowBox[{
        RowBox[{"1", "..."}], "1"}], "\[UnderBrace]"], 
      SubscriptBox["n", "1"]]}], 
    RowBox[{"{", 
     RowBox[{
      SubscriptBox["w", "0"], ",", 
      SubscriptBox["w", "1"]}], "}"}]], TraditionalForm]], "InlineMath"],
 "."
}], "Notes",
 CellID->1015442192],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox["PVB",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVB"], "[", 
   RowBox[{
    StyleBox["r", "TI"], ",", 
    SubscriptBox[
     StyleBox["n", "TI"], 
     StyleBox["1", "TR"]], ",", 
    StyleBox["s", "TI"], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]], ",", 
    RowBox[{"Dimensions", "\[Rule]", 
     StyleBox["n", "TI"]}]}], "]"}]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " represents the coefficient function in ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    StyleBox["n",
     FontSlant->"Italic"], "-", 
    RowBox[{"2", "\[Epsilon]"}]}], TraditionalForm]], "InlineMath"],
 " spacetime dimensions."
}], "Notes",
 Deletable->True,
 CellID->1157159422],

Cell[TextData[{
 "The following are equal to ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["PVB",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVB"], "[", 
   RowBox[{
    StyleBox["r", "TI"], ",", 
    SubscriptBox[
     StyleBox["n", "TI"], 
     StyleBox["1", "TR"]], ",", 
    StyleBox["s", "TI"], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]]}], "]"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " in other packages:"
}], "Notes",
 CellID->55998301],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell["FeynCalc", "TableText"], Cell[
    TextData[{
     Cell[BoxData[
      FormBox[
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"\[Pi]", " ", 
          SuperscriptBox["e", "\[Gamma]"]}], ")"}], "\[Epsilon]"], 
       TraditionalForm]], "InlineMath"],
     Cell[BoxData[
      RowBox[{"PaVe", "[", 
       RowBox[{
        TagBox[
         TooltipBox["\<\"\[Ellipsis]\"\>",
          
          "\"Sequence of \
\\!\\(\\*StyleBox[\\\"2\\\",\\\"TR\\\"]\\*StyleBox[\\\"r\\\",\\\"TI\\\"]\\) \
'0's, and \
\\!\\(\\*SubscriptBox[\\(\\*StyleBox[\\\"n\\\",\\\"TI\\\"]\\),\\(\\*StyleBox[\
\\\"1\\\",\\\"TR\\\"]\\)]\\) '1's\"",
          TooltipStyle->"TextStyling"],
         Annotation[#, 
          "Sequence of \!\(\*StyleBox[\"2\",\"TR\"]\*StyleBox[\"r\",\"TI\"]\) \
'0's, and \!\(\*SubscriptBox[\(\*StyleBox[\"n\",\"TI\"]\),\(\*StyleBox[\"1\",\
\"TR\"]\)]\) '1's", "Tooltip"]& ], ",", 
        RowBox[{"{", 
         StyleBox["s", "TI"], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubsuperscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["0", "TR"], "2"], ",", 
          SubsuperscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["1", "TR"], "2"]}], "}"}]}], "]"}]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]]
    }], "TableText"]},
   {Cell["      ", "TableRowIcon"], Cell["LoopTools", "TableText"], Cell[
    TextData[Cell[BoxData[
     RowBox[{"B0i", "[", 
      RowBox[{
       RowBox[{"bb", 
        TagBox[
         TooltipBox["\<\"\[Ellipsis]\"\>",
          
          "\"Sequence of \
\\!\\(\\*StyleBox[\\\"2\\\",\\\"TR\\\"]\\*StyleBox[\\\"r\\\",\\\"TI\\\"]\\) \
'0's\"",
          TooltipStyle->"TextStyling"],
         Annotation[#, 
          "Sequence of \!\(\*StyleBox[\"2\",\"TR\"]\*StyleBox[\"r\",\"TI\"]\) \
'0's", "Tooltip"]& ]}], ",", 
       StyleBox["s", "TI"], ",", 
       SubsuperscriptBox[
        StyleBox["m", "TI"], 
        StyleBox["0", "TR"], "2"], ",", 
       SubsuperscriptBox[
        StyleBox["m", "TI"], 
        StyleBox["1", "TR"], "2"]}], "]"}]], "InlineFormula",
     ShowStringCharacters->False,
     FontFamily->FEPrivate`If[
       FEPrivate`Or[
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
       "Source Sans Pro", Inherited]]], "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->573166446]
}, Open  ]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Closed]],

Cell[CellGroupData[{

Cell["Examples", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "EXAMPLES", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "PrimaryExamplesSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Examples", "  ", 
           Cell["(5)", "ExampleCount"]}], "PrimaryExamplesSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellTags->"PrimaryExamplesSection",
 CellID->1719952385],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(5)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->2109846075],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to substitute the analytic form of ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->1644489429],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PVB", "[", 
   RowBox[{"1", ",", "1", ",", 
    RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}], "//", 
  "LoopRefine"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->89862740],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "6"}], " ", 
     SuperscriptBox["m", "6"]}], "+", 
    RowBox[{"21", " ", 
     SuperscriptBox["m", "4"], " ", 
     RowBox[{"p", ".", "p"}]}], "-", 
    RowBox[{"58", " ", 
     SuperscriptBox["m", "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"p", ".", "p"}], ")"}], "2"]}], "+", 
    RowBox[{"16", " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"p", ".", "p"}], ")"}], "3"]}]}], 
   RowBox[{"144", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", ".", "p"}], ")"}], "2"]}]], "+", 
  RowBox[{
   FractionBox["1", "24"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"p", ".", "p"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"p", ".", "p"}]}], ")"}], "4"], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"p", ".", "p"}]}]], "]"}]}], 
   RowBox[{"24", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", ".", "p"}], ")"}], "3"]}]]}]], "Output",
 ImageSize->{375, 89},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1739822410]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->986683455],

Cell[TextData[{
 "Weighted ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->320106051],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PVB", "[", 
   RowBox[{"0", ",", "1", ",", 
    RowBox[{"p", ".", "p"}], ",", "M", ",", "0", ",", 
    RowBox[{"Weights", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"2", ",", "1"}], "}"}]}]}], "]"}], "//", 
  "LoopRefine"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->681245642],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", 
    RowBox[{"p", ".", "p"}]]}], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["M", "2"], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["M", "2"], 
      RowBox[{
       SuperscriptBox["M", "2"], "-", 
       RowBox[{"p", ".", "p"}]}]], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"p", ".", "p"}], ")"}], "2"]]}]], "Output",
 ImageSize->{142, 51},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1202187821]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1552049524],

Cell[TextData[{
 "Taylor series expansion around ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "2"], "=", "0"}], TraditionalForm]], "InlineMath"],
 ":"
}], "ExampleText",
 Deletable->True,
 CellID->1393198711],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"PVB", "[", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", ".", "p"}], ",", "m", ",", "m"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", ".", "p"}], ",", "0", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1959973406],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}], "+", 
   FractionBox[
    RowBox[{"p", ".", "p"}], 
    RowBox[{"6", " ", 
     SuperscriptBox["m", "2"]}]], "+", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", ".", "p"}], ")"}], "2"], 
    RowBox[{"60", " ", 
     SuperscriptBox["m", "4"]}]], "+", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", ".", "p"}], ")"}], "3"], 
    RowBox[{"420", " ", 
     SuperscriptBox["m", "6"]}]], "+", 
   FractionBox[
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", ".", "p"}], ")"}], "4"], 
    RowBox[{"2520", " ", 
     SuperscriptBox["m", "8"]}]], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"p", ".", "p"}], "]"}], "5"],
    SeriesData[
     X`LDot[$CellContext`p, $CellContext`p], 0, {}, 0, 5, 1],
    Editable->False]}],
  SeriesData[
   X`LDot[$CellContext`p, $CellContext`p], 0, {
   X`Eps^(-1) + Log[$CellContext`m^(-2) X`Mu^2], 
    Rational[1, 6] $CellContext`m^(-2), Rational[1, 60] $CellContext`m^(-4), 
    Rational[1, 420] $CellContext`m^(-6), 
    Rational[1, 2520] $CellContext`m^(-8)}, 0, 5, 1],
  Editable->False]], "Output",
 ImageSize->{376, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1947751907]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1942102275],

Cell[TextData[{
 "The first derivative with respect to the external invariant may be input \
using ",
 Cell[BoxData["'"], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " :"
}], "ExampleText",
 CellID->1308985172],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"PVB", "'"}], "[", 
  RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"%", "//", "FullForm"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->1373344356],

Cell[BoxData[
 RowBox[{
  InterpretationBox[
   SuperscriptBox["PVB", "\[Prime]",
    MultilineFunction->None],
   Derivative[0, 0, 1, 0, 0][X`PVB]], "[", 
  RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m"}], "]"}]], "Output",
 ImageSize->{123, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1175692169],

Cell[BoxData[
 TagBox[
  StyleBox[
   RowBox[{
    RowBox[{
     RowBox[{"Derivative", "[", 
      RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", "0"}], "]"}], "[", 
     "PVB", "]"}], "[", 
    RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m"}], "]"}],
   ShowSpecialCharacters->False,
   ShowStringCharacters->True,
   NumberMarks->True],
  FullForm]], "Output",
 ImageSize->{298, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]//FullForm=",
 CellID->861248336]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1614107650],

Cell[TextData[{
 "View ",
 Cell[BoxData[
  ButtonBox["PVB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVB"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " in ",
 Cell[BoxData[
  ButtonBox["TraditionalForm",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/TraditionalForm"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->1293844646],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"PVB", "[", 
   RowBox[{"1", ",", "2", ",", 
    RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}], "//", 
  "TraditionalForm"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1744267096],

Cell[BoxData[
 FormBox[
  TooltipBox[
   RowBox[{
    SubscriptBox[
     StyleBox["B",
      FontWeight->Bold,
      FontSlant->Plain], 
     RowBox[{
     "0", "\[InvisibleComma]", "0", "\[InvisibleComma]", "1", 
      "\[InvisibleComma]", "1"}]], "(", 
    SuperscriptBox["p", "2"], ";", 
    RowBox[{"0", ",", "m"}], ")"}],
   "PVB"], TraditionalForm]], "Output",
 ImageSize->{93, 23},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]//TraditionalForm=",
 CellID->2031194128]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   StyleBox[
    RowBox[{"T", 
     AdjustmentBox["E",
      BoxBaselineShift->0.5,
      BoxMargins->{{-0.3, 0}, {0, 0}}], "X"}], "TR",
    SingleLetterItalics->False], TraditionalForm]]],
 " code:"
}], "ExampleText",
 CellID->1856230510],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "//", "TeXForm"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->626703484],

Cell["\\mathbf{B}_{0011}\\left(p^2;0,m\\right)", "Output",
 ImageSize->{267, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]//TeXForm=",
 CellID->477557492]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "SEE ALSO", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "SeeAlsoSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "See Also"}], "SeeAlsoSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["LoopIntegrate",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["LoopRefine",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopRefine"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["LoopRefineSeries",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopRefineSeries"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVA",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVA"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVC",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVC"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVD",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVD"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["PVX",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/PVX"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Guides", "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "MORE ABOUT", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "MoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Related Guides"}], "MoreAboutSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->38303248],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "MoreAbout",
 CellID->933003261],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "PVB - Wolfram Mathematica", "PVB"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 53, 2.930347}", 
    "history" -> {"1.0", "2.0", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Symbol", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "PVB[r, n_1, s, m_0, m_1] is the Passarino-Veltman coefficient function B \
UnderscriptBox[UnderscriptBox[0 ... 0, \[UnderBrace]], 2 r] \
UnderscriptBox[UnderscriptBox[1 ... 1, \[UnderBrace]], SubscriptBox[n, 1]] \
(s; m_0, m_1).", "synonyms" -> {}, "title" -> "PVB", "titlemodifier" -> "", 
    "windowtitle" -> "PVB", "type" -> "Symbol", "uri" -> "X/ref/PVB"}, 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

