Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"Extracting Form Factors from the \[Mu]\[Rule]e \
\[Gamma] Amplitude\"\>":>Documentation`HelpLookup[
       "paclet:X/tutorial/MuToEGamma"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Spur\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/Spur"], "\<\"DiracMatrix\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/DiracMatrix"], "\<\"Transverse\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/Transverse"], "\<\"Longitudinal\"\>":>
       Documentation`HelpLookup["paclet:X/ref/Longitudinal"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/ref/Projector\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/ref/Projector"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/ref/Projector.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", "X/ref/Projector", 
             ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["Projector", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       RowBox[{
        ButtonBox["Projector",
         BaseStyle->"Link",
         ButtonData->"paclet:X/ref/Projector"], "[", "\"\<\!\(\*
StyleBox[\"name\", \"TI\"]\)\>\"", "]"}], "[", 
       RowBox[{"{", 
        RowBox[{
         StyleBox["p", "TI"], ",", 
         StyleBox["m", "TI"]}], "}"}], "]"}]], "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " \[LineSeparator]gives the projector for the off shell self-energy form \
factor associated with \"",
     Cell[BoxData[
      FormBox["name", TraditionalForm]], "TI"],
     "\"."
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       RowBox[{
        ButtonBox["Projector",
         BaseStyle->"Link",
         ButtonData->"paclet:X/ref/Projector"], "[", "\"\<\!\(\*
StyleBox[\"name\", \"TI\"]\)\>\"", "]"}], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox[
           StyleBox["p", "TI"], 
           StyleBox["1", "TR"]], ",", 
          SubscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["1", "TR"]]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox[
           StyleBox["p", "TI"], 
           StyleBox["2", "TR"]], ",", 
          SubscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["2", "TR"]]}], "}"}]}], "]"}]], "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     "\[LineSeparator]gives the projector for the on shell \
scalar/pseudoscalar density form factor associated with \"",
     Cell[BoxData[
      FormBox["name", TraditionalForm]], "TI"],
     "\"."
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       RowBox[{
        ButtonBox["Projector",
         BaseStyle->"Link",
         ButtonData->"paclet:X/ref/Projector"], "[", 
        RowBox[{"\"\<\!\(\*
StyleBox[\"name\", \"TI\"]\)\>\"", ",", 
         StyleBox["\[Mu]", "TR"]}], "]"}], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          SubscriptBox[
           StyleBox["p", "TI"], 
           StyleBox["1", "TR"]], ",", 
          SubscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["1", "TR"]]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          SubscriptBox[
           StyleBox["p", "TI"], 
           StyleBox["2", "TR"]], ",", 
          SubscriptBox[
           StyleBox["m", "TI"], 
           StyleBox["2", "TR"]]}], "}"}]}], "]"}]], "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     "\[LineSeparator]gives the projector for the on shell \
vector/axial-vector form factor associated with \"",
     Cell[BoxData[
      FormBox["name", TraditionalForm]], "TI"],
     "\" and index ",
     Cell[BoxData[
      StyleBox["\[Mu]", "TR"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     "."
    }]]}
  }]], "Usage",
 Deletable->True,
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, {None}}, "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell["Details", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellGroupingRules->{"SectionGrouping", 50},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       Cell[
        BoxData[
         ButtonBox[
          FrameBox[
           StyleBox[
            RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"], 
           StripOnInput -> False], Appearance -> {Automatic, None}, BaseStyle -> 
          None, ButtonFunction :> (FrontEndExecute[{
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], All, ButtonCell], 
             FrontEndToken["OpenCloseGroup"], 
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
          Evaluator -> None, Method -> "Preemptive"]]]], "NotesSection", 
      CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Details"}], "NotesSection", 
         CellSize -> {5000, Inherited}], Appearance -> {Automatic, None}, 
        BaseStyle -> None, ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), Evaluator -> 
        None, Method -> "Preemptive"]], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->615050638],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is recognized as an object in spinor space by ",
 Cell[BoxData[
  ButtonBox["Spur",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Spur"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Notes",
 CellID->1067943069],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " must occupy a slot of ",
 Cell[BoxData[
  ButtonBox["Spur",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Spur"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " or ",
 Cell[BoxData[
  ButtonBox["DiracMatrix",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiracMatrix"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " without any accompanying multiplicative or additive symbols."
}], "Notes",
 CellID->503410320],

Cell[TextData[{
 "A product of Dirac matrices ",
 Cell[BoxData[
  FormBox[
   StyleBox["M",
    FontColor->RGBColor[0., 0., 0.]], TraditionalForm]], "InlineMath"],
 " can generically be written as a sum of form factors.  Multiply ",
 Cell[BoxData[
  FormBox["M", TraditionalForm]], "InlineMath"],
 " by the appropriate ",
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and apply ",
 Cell[BoxData[
  ButtonBox["Spur",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Spur"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to extract the appropriate form factor."
}], "Notes",
 Deletable->True,
 CellID->478187848],

Cell[TextData[{
 "A ",
 Cell[BoxData[
  ButtonBox["List",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/List"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " of ",
 Cell[BoxData["\"\<\!\(\*
StyleBox[\"name\", \"TI\"]\)\>\""], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "s can be supplied to generate a list of projections."
}], "Notes",
 CellID->1851508468],

Cell[TextData[{
 "Vertex form factor projections generate spurious kinematic singularities \
proportional to ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox[
    RowBox[{"\[Lambda]", "(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["p", "1"], "-", 
         SubscriptBox["p", "2"]}], ")"}], "2"], ",", " ", 
      SubsuperscriptBox["p", "1", "2"], ",", " ", 
      SubsuperscriptBox["p", "2", "2"]}], ")"}], 
    RowBox[{"-", "1"}]], TraditionalForm]], "InlineMath"],
 ".  If ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " contains a vertex ",
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " in the numerator, ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " (with the setting ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Cancel",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate#377984336"], "\[Rule]", 
   ButtonBox["Automatic",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Automatic"]}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " or ",
 Cell[BoxData[
  ButtonBox["False",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/False"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ") attempts to remove the singularity. ",
 ButtonBox["\[RightGuillemet]",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/Projector#1710301550"]
}], "Notes",
 CellID->420650328],

Cell[TextData[{
 "The off shell self-energy matrix is parametrized as\[LineSeparator]  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Gamma]", ".", "p"}], "  ", 
      RowBox[{"A", "(", 
       SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{"m", " ", 
      RowBox[{"B", "(", 
       SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"\[Gamma]", ".", "p"}], " ", 
      SubscriptBox["\[Gamma]", "5"], " ", 
      RowBox[{"C", "(", 
       SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{"\[ImaginaryI]", " ", "m", " ", 
      SubscriptBox["\[Gamma]", "5"], 
      RowBox[{"E", "(", 
       SuperscriptBox["p", "2"], ")"}]}]}]}], TraditionalForm]], "InlineMath"],
 "\[LineSeparator]and the corresponding projectors are available:"
}], "Notes",
 Deletable->True,
 CellID->1523332434],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"Kinetic\"", "InlineCode"],
     " or ",
     StyleBox["\"A\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{"A", "(", 
       SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"Mass\"", "InlineCode"],
     " or ",
     StyleBox["\"B\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{"B", "(", 
       SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"AxialKinetic\"", "InlineCode"],
     " or ",
     StyleBox["\"C\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{"C", "(", 
       SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"ImaginaryMass\"", "InlineCode"],
     " or ",
     StyleBox["\"E\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{"E", "(", 
       SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, {None}}, "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True, True, True}}}},
 CellID->577603777],

Cell[TextData[{
 "In the chiral parametrization, the self-energy matrix is\[LineSeparator]  \
",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"[", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Gamma]", ".", "p"}], "  ", 
         RowBox[{
          SubscriptBox["A", "L"], "(", 
          SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
        RowBox[{"m", " ", 
         RowBox[{
          SubscriptBox["B", "L"], "(", 
          SuperscriptBox["p", "2"], ")"}]}]}], "]"}], 
      SubscriptBox[
       OverscriptBox["P", "^"], "L"]}], " ", "+", 
     RowBox[{
      RowBox[{"[", 
       RowBox[{
        RowBox[{
         RowBox[{"\[Gamma]", ".", "p"}], "  ", 
         RowBox[{
          SubscriptBox["A", "R"], "(", 
          SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
        RowBox[{"m", " ", 
         RowBox[{
          SubscriptBox["B", "R"], "(", 
          SuperscriptBox["p", "2"], ")"}]}]}], "]"}], 
      SubscriptBox[
       OverscriptBox["P", "^"], "R"]}]}]}], TraditionalForm]], "InlineMath"],
 "\[LineSeparator]and the corresponding projectors are available:"
}], "Notes",
 CellID->92185876],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell[TextData[StyleBox[
    "\"AL\"", "InlineCode"]], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["A", "L"], "(", 
       SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[StyleBox[
    "\"BL\"", "InlineCode"]], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["B", "L"], "(", 
       SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[StyleBox[
    "\"AR\"", "InlineCode"]], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["A", "R"], "(", 
       SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[StyleBox[
    "\"BR\"", "InlineCode"]], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["B", "R"], "(", 
       SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, {None}}, "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True, True, True}}}},
 CellID->536833741],

Cell[TextData[{
 "The parameter ",
 Cell[BoxData[
  StyleBox["m", "TI"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " in ",
 Cell[BoxData[
  RowBox[{
   RowBox[{
    ButtonBox["Projector",
     BaseStyle->"Link",
     ButtonData->"paclet:X/ref/Projector"], "[", "\"\<\!\(\*
StyleBox[\"name\", \"TI\"]\)\>\"", "]"}], "[", 
   RowBox[{"{", 
    RowBox[{
     StyleBox["p", "TI"], ",", 
     StyleBox["m", "TI"]}], "}"}], "]"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " only serves to set the normalization of ",
 Cell[BoxData[
  FormBox[
   RowBox[{"B", "(", 
    SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"E", "(", 
    SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "L"], "(", 
    SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["B", "R"], "(", 
    SuperscriptBox["p", "2"], ")"}], TraditionalForm]], "InlineMath"],
 ".  Other non-zero choices (e.g. ",
 Cell[BoxData[
  FormBox["1", TraditionalForm]], "InlineMath"],
 " or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"2", "m"}], TraditionalForm]], "InlineMath"],
 ") can be made to obtain the desired normalization."
}], "Notes",
 Deletable->True,
 CellID->725001486],

Cell[TextData[{
 "The on shell vertex form factor projectors are given for space-like \
momentum transfer (",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["q", "2"], "<", "0"}], TraditionalForm]], "InlineMath"],
 "):\[LineSeparator]  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      OverscriptBox["u", "_"], "(", 
      StyleBox[
       SubscriptBox["p", 
        StyleBox["2",
         FontWeight->"Plain"]],
       FontWeight->"Bold"], ")"}], "[", " ", 
     RowBox[{"M", "(", "q", ")"}], " ", "]"}], 
    RowBox[{"u", "(", 
     StyleBox[
      SubscriptBox["p", 
       StyleBox["1",
        FontWeight->"Plain"]],
      FontWeight->"Bold"], ")"}]}], TraditionalForm]], "InlineMath"],
 ", with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["q", "\[Mu]"], "=", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["p", "2"], "-", 
       SubscriptBox["p", "1"]}], ")"}], "\[Mu]"]}], TraditionalForm]], 
  "InlineMath"],
 ".\[LineSeparator]For time-like vertex form factors (",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["q", "2"], ">", "0"}], TraditionalForm]], "InlineMath"],
 "), a negative momentum should be supplied to ",
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ". ",
 ButtonBox["\[RightGuillemet]",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/Projector#1689153645"]
}], "Notes",
 Deletable->True,
 CellID->1015502453],

Cell[TextData[{
 "The on shell scalar/pseudoscalar vertex matrix is parametrized as\
\[LineSeparator]  ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[DoubleStruckOne]", " ", 
      RowBox[{
       SubscriptBox["G", "S"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{"\[ImaginaryI]", " ", 
      SubscriptBox["\[Gamma]", "5"], 
      RowBox[{
       SubscriptBox["G", "P"], "(", 
       SuperscriptBox["q", "2"], ")"}]}]}]}], TraditionalForm]], "InlineMath"],
 ",\[LineSeparator]and the corresponding projectors are available:"
}], "Notes",
 CellID->1539285149],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"Scalar\"", "InlineCode"],
     " or ",
     StyleBox["\"S\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["G", "S"], "(", 
       SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText"]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"Pseudoscalar\"", "InlineCode"],
     " or ",
     StyleBox["\"P\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["G", "P"], "(", 
       SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->2058656422],

Cell[TextData[{
 "The on-shell vector/axial-vector vertex matrix is parametrized as\
\[LineSeparator]  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["M", "\[Mu]"], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[Gamma]", "\[Mu]"], "-", 
        FractionBox[
         RowBox[{
          RowBox[{"q", ".", "\[Gamma]"}], " ", 
          SuperscriptBox["q", "\[Mu]"]}], 
         SuperscriptBox["q", "2"]]}], ")"}], " ", 
      RowBox[{
       SubscriptBox["F", "1"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
        SubscriptBox["q", "\[Nu]"]}], 
       RowBox[{
        SubscriptBox["m", "1"], "+", 
        SubscriptBox["m", "2"]}]], 
      RowBox[{
       SubscriptBox["F", "2"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], "+", 
     RowBox[{
      FractionBox[
       RowBox[{"2", 
        SuperscriptBox["q", "\[Mu]"]}], 
       RowBox[{
        SubscriptBox["m", "1"], "+", 
        SubscriptBox["m", "2"]}]], " ", 
      RowBox[{
       SubscriptBox["F", "3"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], "+"}]}], TraditionalForm]], 
  "InlineMath"],
 "\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[Gamma]", "\[Mu]"], "-", 
       FractionBox[
        RowBox[{
         RowBox[{"q", ".", "\[Gamma]"}], " ", 
         SuperscriptBox["q", "\[Mu]"]}], 
        SuperscriptBox["q", "2"]]}], ")"}], 
     SubscriptBox["\[Gamma]", "5"], " ", 
     RowBox[{
      SubscriptBox["G", "1"], "(", 
      SuperscriptBox["q", "2"], ")"}]}], "+", 
    RowBox[{
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", 
       SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
       SubscriptBox["\[Gamma]", "5"], 
       SubscriptBox["q", "\[Nu]"]}], 
      RowBox[{
       SubscriptBox["m", "1"], "+", 
       SubscriptBox["m", "2"]}]], 
     RowBox[{
      SubscriptBox["G", "2"], "(", 
      SuperscriptBox["q", "2"], ")"}]}], "+", " ", 
    RowBox[{
     FractionBox[
      RowBox[{"2", 
       SuperscriptBox["q", "\[Mu]"]}], 
      RowBox[{
       SubscriptBox["m", "1"], "+", 
       SubscriptBox["m", "2"]}]], 
     SubscriptBox["\[Gamma]", "5"], " ", 
     RowBox[{
      SubscriptBox["G", "3"], "(", 
      SuperscriptBox["q", "2"], ")"}]}]}], TraditionalForm]], "InlineMath"],
 ",\[LineSeparator]and the corresponding projectors are available:"
}], "Notes",
 Deletable->True,
 CellID->1272128734],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"Dirac\"", "InlineCode"],
     " or ",
     StyleBox["\"F1\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["F", "1"], "(", 
       SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"Pauli\"", "InlineCode"],
     " or ",
     StyleBox["\"F2\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["F", "2"], "(", 
       SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[StyleBox[
    "\"F3\"", "InlineCode"]], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["F", "3"], "(", 
       SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"Anapole\"", "InlineCode"],
     " or ",
     StyleBox["\"G1\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["G", "1"], "(", 
       SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["\"EDM\"", "InlineCode"],
     " or ",
     StyleBox["\"G2\"", "InlineCode"]
    }], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["G", "2"], "(", 
       SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[StyleBox[
    "\"G3\"", "InlineCode"]], "TableText"], Cell[TextData[Cell[BoxData[
     FormBox[
      RowBox[{
       SubscriptBox["G", "3"], "(", 
       SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"]], 
     "TableText",
     Deletable->True]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, None, None, None, {None}}, "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True, True, True, True, True}}}},
 CellID->449861772],

Cell[TextData[{
 "If (",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["m", "1"], "=", 
    RowBox[{
     SubscriptBox["m", "2"], "=", "m"}]}], TraditionalForm]], "InlineMath"],
 ") the parametrization becomes:\[LineSeparator]  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["M", "\[Mu]"], " ", "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", "\[Mu]"], 
      RowBox[{
       SubscriptBox["F", "1"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
        SubscriptBox["q", "\[Nu]"]}], 
       RowBox[{"2", "m"}]], 
      RowBox[{
       SubscriptBox["F", "2"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], "+", 
     RowBox[{
      FractionBox[
       SuperscriptBox["q", "\[Mu]"], "m"], 
      RowBox[{
       SubscriptBox["F", "3"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], "+", "  "}]}], TraditionalForm]], 
  "InlineMath"],
 "\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["\[Gamma]", "\[Mu]"], "-", 
       FractionBox[
        RowBox[{
         RowBox[{"q", ".", "\[Gamma]"}], " ", 
         SuperscriptBox["q", "\[Mu]"]}], 
        SuperscriptBox["q", "2"]]}], ")"}], 
     SubscriptBox["\[Gamma]", "5"], " ", 
     RowBox[{
      SubscriptBox["G", "1"], "(", 
      SuperscriptBox["q", "2"], ")"}]}], "+", " ", 
    RowBox[{
     FractionBox[
      RowBox[{"\[ImaginaryI]", " ", 
       SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
       SubscriptBox["\[Gamma]", "5"], 
       SubscriptBox["q", "\[Nu]"]}], 
      RowBox[{"2", "m"}]], 
     RowBox[{
      SubscriptBox["G", "2"], "(", 
      SuperscriptBox["q", "2"], ")"}]}], "+", 
    RowBox[{
     FractionBox[
      SuperscriptBox["q", "\[Mu]"], "m"], 
     SubscriptBox["\[Gamma]", "5"], " ", 
     RowBox[{
      SubscriptBox["G", "3"], "(", 
      SuperscriptBox["q", "2"], ")"}]}]}], TraditionalForm]], "InlineMath"],
 ",\[LineSeparator]and additional projectors are available:"
}], "Notes",
 Deletable->True,
 CellID->1234529317],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], 
    StyleBox["\"\<SachsElectric\>\"", "InlineCode"], Cell[TextData[Cell[
    BoxData[
     FormBox[
      RowBox[{
       RowBox[{
        SubscriptBox["F", "1"], "(", 
        SuperscriptBox["q", "2"], ")"}], "+", 
       RowBox[{
        FractionBox[
         SuperscriptBox["q", "2"], 
         RowBox[{"4", 
          SuperscriptBox["m", "2"]}]], 
        RowBox[{
         SubscriptBox["F", "2"], "(", 
         SuperscriptBox["q", "2"], ")"}]}]}], TraditionalForm]], 
     "InlineMath"]], "TableText"]},
   {Cell["      ", "TableRowIcon"], 
    StyleBox["\"\<SachsMagnetic\>\"", "InlineCode"], Cell[TextData[Cell[
    BoxData[
     FormBox[
      RowBox[{
       RowBox[{
        SubscriptBox["F", "1"], "(", 
        SuperscriptBox["q", "2"], ")"}], "+", 
       RowBox[{
        SubscriptBox["F", "2"], "(", 
        SuperscriptBox["q", "2"], ")"}]}], TraditionalForm]], "InlineMath"]], 
     "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->783505640],

Cell[TextData[{
 "In the left/right-chiral parametrization, the vector vertex matrix is:\
\[LineSeparator]  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["M", "\[Mu]"], " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[Gamma]", "\[Mu]"], "-", 
        FractionBox[
         RowBox[{
          RowBox[{"q", ".", "\[Gamma]"}], " ", 
          SuperscriptBox["q", "\[Mu]"]}], 
         SuperscriptBox["q", "2"]]}], ")"}], " ", 
      SubscriptBox[
       OverscriptBox["P", "^"], "L"], 
      RowBox[{
       SubscriptBox["A", "L"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
        SubscriptBox["q", "\[Nu]"]}], 
       RowBox[{
        SubscriptBox["m", "1"], "+", 
        SubscriptBox["m", "2"]}]], 
      SubscriptBox[
       OverscriptBox["P", "^"], "L"], 
      RowBox[{
       SubscriptBox["B", "L"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], "+", 
     RowBox[{
      FractionBox[
       RowBox[{"2", 
        SuperscriptBox["q", "\[Mu]"]}], 
       RowBox[{
        SubscriptBox["m", "1"], "+", 
        SubscriptBox["m", "2"]}]], " ", 
      SubscriptBox[
       OverscriptBox["P", "^"], "L"], " ", 
      RowBox[{
       SubscriptBox["C", "L"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], "+"}]}], TraditionalForm]], 
  "InlineMath"],
 "\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[Gamma]", "\[Mu]"], "-", 
        FractionBox[
         RowBox[{
          RowBox[{"q", ".", "\[Gamma]"}], " ", 
          SuperscriptBox["q", "\[Mu]"]}], 
         SuperscriptBox["q", "2"]]}], ")"}], " ", 
      SubscriptBox[
       OverscriptBox["P", "^"], "R"], 
      RowBox[{
       SubscriptBox["A", "R"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
        SubscriptBox["q", "\[Nu]"]}], 
       RowBox[{
        SubscriptBox["m", "1"], "+", 
        SubscriptBox["m", "2"]}]], 
      SubscriptBox[
       OverscriptBox["P", "^"], "R"], 
      RowBox[{
       SubscriptBox["B", "R"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], "+", 
     RowBox[{
      FractionBox[
       RowBox[{"2", 
        SuperscriptBox["q", "\[Mu]"]}], 
       RowBox[{
        SubscriptBox["m", "1"], "+", 
        SubscriptBox["m", "2"]}]], " ", 
      SubscriptBox[
       OverscriptBox["P", "^"], "R"], " ", 
      RowBox[{
       SubscriptBox["C", "R"], "(", 
       SuperscriptBox["q", "2"], ")"}]}]}]}], TraditionalForm]], "InlineMath"],
 ",\[LineSeparator]and the corresponding projectors ",
 StyleBox["\"AL\"", "InlineCode"],
 ", ",
 StyleBox["\"BL\"", "InlineCode"],
 ", ",
 StyleBox["\"CL\"", "InlineCode"],
 ", ",
 StyleBox["\"AR\"", "InlineCode"],
 ", ",
 StyleBox["\"BR\"", "InlineCode"],
 ",",
 StyleBox["\"CR\"", "InlineCode"],
 " are available."
}], "Notes",
 Deletable->True,
 CellID->121859982]
}, Open  ]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Closed]],

Cell[CellGroupData[{

Cell["Examples", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "EXAMPLES", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "PrimaryExamplesSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Examples", "  ", 
           Cell["(8)", "ExampleCount"]}], "PrimaryExamplesSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellTags->"PrimaryExamplesSection",
 CellID->1317279855],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1113606062],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Gamma]", ".", "p"}], "  ", 
      RowBox[{"A", "(", 
       SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{"m", " ", 
      RowBox[{"B", "(", 
       SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"\[Gamma]", ".", "p"}], " ", 
      SubscriptBox["\[Gamma]", "5"], " ", 
      RowBox[{"C", "(", 
       SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{"\[ImaginaryI]", " ", "m", " ", 
      SubscriptBox["\[Gamma]", "5"], 
      RowBox[{"E", "(", 
       SuperscriptBox["p", "2"], ")"}]}]}]}], TraditionalForm]], "InlineMath"],
 ":"
}], "ExampleText",
 CellID->21613089],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mtx", "=", 
  RowBox[{"DiracMatrix", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]", ".", "p"}], " ", "\[DoubleStruckCapitalA]"}], "+", 
    RowBox[{"m", " ", "\[DoubleStruckOne]", " ", "\[DoubleStruckCapitalB]"}], 
    "+", 
    RowBox[{
     RowBox[{"DiracMatrix", "[", 
      RowBox[{
       RowBox[{"\[Gamma]", ".", "p"}], ",", "\[Gamma]5"}], "]"}], " ", 
     "\[DoubleStruckCapitalC]"}], "+", 
    RowBox[{
    "\[ImaginaryI]", " ", "m", " ", "\[Gamma]5", " ", 
     "\[DoubleStruckCapitalE]"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1621390528],

Cell[BoxData[
 RowBox[{"DiracMatrix", "[", 
  RowBox[{
   RowBox[{"\[DoubleStruckOne]", " ", "m", " ", "\[DoubleStruckCapitalB]"}], 
   "+", 
   RowBox[{
   "\[ImaginaryI]", " ", "\[Gamma]5", " ", "m", " ", 
    "\[DoubleStruckCapitalE]"}], "+", 
   RowBox[{"\[DoubleStruckCapitalC]", " ", 
    RowBox[{"DiracMatrix", "[", 
     RowBox[{
      RowBox[{"\[Gamma]", ".", "p"}], ",", "\[Gamma]5"}], "]"}]}], "+", 
   RowBox[{"\[DoubleStruckCapitalA]", " ", 
    RowBox[{"\[Gamma]", ".", "p"}]}]}], "]"}]], "Output",
 ImageSize->{388, 14},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->637619643]
}, Open  ]],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["Spur",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Spur"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and insert ",
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to extract the form factors:"
}], "ExampleText",
 CellID->524518586],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Spur", "[", 
  RowBox[{"mtx", ",", 
   RowBox[{
    RowBox[{"Projector", "[", "\"\<A\>\"", "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"p", ",", "m"}], "}"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Spur", "[", 
  RowBox[{"mtx", ",", 
   RowBox[{
    RowBox[{"Projector", "[", "\"\<B\>\"", "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"p", ",", "m"}], "}"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Spur", "[", 
  RowBox[{"mtx", ",", 
   RowBox[{
    RowBox[{"Projector", "[", "\"\<C\>\"", "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"p", ",", "m"}], "}"}], "]"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Spur", "[", 
  RowBox[{"mtx", ",", 
   RowBox[{
    RowBox[{"Projector", "[", "\"\<E\>\"", "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"p", ",", "m"}], "}"}], "]"}]}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->166300205],

Cell[BoxData["\[DoubleStruckCapitalA]"], "Output",
 ImageSize->{13, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1547999805],

Cell[BoxData["\[DoubleStruckCapitalB]"], "Output",
 ImageSize->{12, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->468339230],

Cell[BoxData["\[DoubleStruckCapitalC]"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->849872355],

Cell[BoxData["\[DoubleStruckCapitalE]"], "Output",
 ImageSize->{12, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->890934288]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1571063344],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", " ", "=", " ", 
    RowBox[{
     RowBox[{"\[DoubleStruckOne]", " ", 
      RowBox[{
       SubscriptBox["G", "S"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], " ", "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      SubscriptBox["\[Gamma]", "5"], 
      RowBox[{
       SubscriptBox["G", "P"], "(", 
       SuperscriptBox["q", "2"], ")"}]}]}]}], TraditionalForm]], "InlineMath"],
 ":"
}], "ExampleText",
 CellID->498057984],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"mtx", "=", 
  RowBox[{"DiracMatrix", "[", 
   RowBox[{
    RowBox[{"\[DoubleStruckOne]", " ", "GS"}], "+", 
    RowBox[{"\[ImaginaryI]", " ", "\[Gamma]5", " ", "GP"}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1064088067],

Cell[BoxData[
 RowBox[{"DiracMatrix", "[", 
  RowBox[{
   RowBox[{"\[ImaginaryI]", " ", "\[Gamma]5", " ", "GP"}], "+", 
   RowBox[{"\[DoubleStruckOne]", " ", "GS"}]}], "]"}]], "Output",
 ImageSize->{172, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1340946037]
}, Open  ]],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["Spur",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Spur"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and insert ",
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to extract the elastic form factors (be sure to include the on-shell \
conditions for ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["p", "1", "\[Mu]"], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["p", "2", "\[Mu]"], TraditionalForm]], "InlineMath"],
 "):"
}], "ExampleText",
 Deletable->True,
 CellID->1218126118],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Contract", "[", 
    RowBox[{"Spur", "[", 
     RowBox[{"mtx", ",", 
      RowBox[{
       RowBox[{"Projector", "[", "\"\<S\>\"", "]"}], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"p1", ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p1", ".", "p1"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p2", ".", "p2"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}]}], "}"}]}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Contract", "[", 
    RowBox[{"Spur", "[", 
     RowBox[{"mtx", ",", 
      RowBox[{
       RowBox[{"Projector", "[", "\"\<P\>\"", "]"}], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"p1", ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p1", ".", "p1"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p2", ".", "p2"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}]}], "}"}]}], "//", "Simplify"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->1084058375],

Cell[BoxData["GS"], "Output",
 ImageSize->{18, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1559769688],

Cell[BoxData["GP"], "Output",
 ImageSize->{18, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->716267287]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Contract", "[", 
    RowBox[{"Spur", "[", 
     RowBox[{"mtx", ",", 
      RowBox[{
       RowBox[{"Projector", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<S\>\"", ",", "\"\<P\>\""}], "}"}], "]"}], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"p1", ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p1", ".", "p1"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p2", ".", "p2"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}]}], "}"}]}], "//", "Simplify"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->1224480450],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"GS", ",", "GP"}], "}"}]], "Output",
 ImageSize->{57, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->368072973]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Generalizations & Extensions",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(2)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1020263627],

Cell["Supply a list of projectors to obtain a list of projections:", \
"ExampleText",
 CellID->2139572201],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Gamma]", ".", "p"}], "  ", 
      RowBox[{"A", "(", 
       SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{"m", " ", 
      RowBox[{"B", "(", 
       SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"\[Gamma]", ".", "p"}], " ", 
      SubscriptBox["\[Gamma]", "5"], " ", 
      RowBox[{"C", "(", 
       SuperscriptBox["p", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{"\[ImaginaryI]", " ", "m", " ", 
      SubscriptBox["\[Gamma]", "5"], 
      RowBox[{"E", "(", 
       SuperscriptBox["p", "2"], ")"}]}]}]}], TraditionalForm]], "InlineMath"],
 ":"
}], "ExampleText",
 CellID->1676670574],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"mtxScalar", "=", 
   RowBox[{"DiracMatrix", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Gamma]", ".", "p"}], " ", "\[DoubleStruckCapitalA]"}], "+", 
     RowBox[{"m", " ", "\[DoubleStruckOne]", " ", "\[DoubleStruckCapitalB]"}],
      "+", 
     RowBox[{
      RowBox[{"DiracMatrix", "[", 
       RowBox[{
        RowBox[{"\[Gamma]", ".", "p"}], ",", "\[Gamma]5"}], "]"}], " ", 
      "\[DoubleStruckCapitalC]"}], "+", 
     RowBox[{
     "\[ImaginaryI]", " ", "m", " ", "\[Gamma]5", " ", 
      "\[DoubleStruckCapitalE]"}]}], "]"}]}], ";"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->521921284],

Cell[BoxData[
 RowBox[{"DiracMatrix", "[", 
  RowBox[{
   RowBox[{
   "\[ImaginaryI]", " ", "m", " ", "\[DoubleStruckCapitalE]", " ", 
    "\[Gamma]5"}], "+", 
   RowBox[{"m", " ", "\[DoubleStruckCapitalB]", " ", "\[DoubleStruckOne]"}], 
   "+", 
   RowBox[{"\[ImaginaryI]", " ", "\[DoubleStruckCapitalC]", " ", 
    RowBox[{"DiracMatrix", "[", 
     RowBox[{
      RowBox[{"p", ".", "\[Gamma]"}], ",", "\[Gamma]5"}], "]"}]}], "+", 
   RowBox[{"\[DoubleStruckCapitalA]", " ", 
    RowBox[{"p", ".", "\[Gamma]"}]}]}], "]"}]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 ImageSize->{398, 14},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1607805840]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Spur", "[", 
  RowBox[{"mtxScalar", ",", 
   RowBox[{
    RowBox[{"Projector", "[", 
     RowBox[{"{", 
      RowBox[{
      "\"\<A\>\"", ",", "\"\<B\>\"", ",", "\"\<C\>\"", ",", "\"\<E\>\""}], 
      "}"}], "]"}], "[", 
    RowBox[{"{", 
     RowBox[{"p", ",", "m"}], "}"}], "]"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->727467628],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "\[DoubleStruckCapitalA]", ",", "\[DoubleStruckCapitalB]", ",", 
   "\[DoubleStruckCapitalC]", ",", "\[DoubleStruckCapitalE]"}], 
  "}"}]], "Output",
 ImageSize->{83, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1454793830]
}, Open  ]],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"M", " ", "=", " ", 
    RowBox[{
     RowBox[{
      SuperscriptBox["\[Gamma]", "\[Mu]"], " ", 
      RowBox[{
       SubscriptBox["F", "1"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
        SubscriptBox["q", "\[Nu]"]}], 
       RowBox[{"2", "m"}]], 
      RowBox[{
       SubscriptBox["F", "2"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["\[Gamma]", "\[Mu]"], "-", 
        FractionBox[
         RowBox[{
          RowBox[{"q", ".", "\[Gamma]"}], " ", 
          SuperscriptBox["q", "\[Mu]"]}], 
         SuperscriptBox["q", "2"]]}], ")"}], 
      SubscriptBox["\[Gamma]", "5"], " ", 
      RowBox[{
       SubscriptBox["G", "1"], "(", 
       SuperscriptBox["q", "2"], ")"}]}], " ", "+", " ", 
     RowBox[{
      FractionBox[
       RowBox[{"\[ImaginaryI]", " ", 
        SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
        SubscriptBox["\[Gamma]", "5"], 
        SubscriptBox["q", "\[Nu]"]}], 
       RowBox[{"2", "m"}]], 
      RowBox[{
       SubscriptBox["G", "2"], "(", 
       SuperscriptBox["q", "2"], ")"}]}]}]}], TraditionalForm]], "InlineMath"],
 ":"
}], "ExampleText",
 CellID->1288940742],

Cell[BoxData[
 RowBox[{
  RowBox[{"mtxVector", "=", 
   RowBox[{
    RowBox[{"DiracMatrix", "[", 
     RowBox[{
      RowBox[{"F1", " ", 
       RowBox[{"(", 
        SubscriptBox["\[Gamma]", "\[Mu]"], ")"}]}], "+", 
      RowBox[{"F2", " ", 
       FractionBox[
        RowBox[{"\[ImaginaryI]", " ", 
         SubscriptBox["\[Sigma]", 
          RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], 
        RowBox[{"2", "m"}]], 
       SubscriptBox["q", "\[Nu]"]}], "+", 
      RowBox[{"G1", " ", 
       RowBox[{"DiracMatrix", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SubscriptBox["\[Gamma]", "\[Mu]"], "-", 
           FractionBox[
            RowBox[{
             RowBox[{"q", ".", "\[Gamma]"}], " ", 
             SubscriptBox["q", "\[Mu]"]}], 
            RowBox[{"q", ".", "q"}]]}], ")"}], ",", "\[Gamma]5"}], "]"}]}], 
      "+", 
      RowBox[{"G2", " ", 
       FractionBox["\[ImaginaryI]", 
        RowBox[{"2", "m"}]], 
       RowBox[{"DiracMatrix", "[", 
        RowBox[{
         SubscriptBox["\[Sigma]", 
          RowBox[{"\[Mu]", ",", "\[Nu]"}]], ",", "\[Gamma]5"}], "]"}], 
       SubscriptBox["q", "\[Nu]"]}]}], "]"}], "/.", 
    RowBox[{"q", "\[Rule]", 
     RowBox[{"p2", "-", "p1"}]}]}]}], ";"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->772683109],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Contract", "[", 
    RowBox[{"Spur", "[", 
     RowBox[{"mtxVector", ",", 
      RowBox[{
       RowBox[{"Projector", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\"\<Dirac\>\"", ",", "\"\<Pauli\>\"", ",", "\"\<EDM\>\"", ",", 
           "\"\<Anapole\>\"", ",", "\"\<SachsElectric\>\"", ",", 
           "\"\<SachsMagnetic\>\""}], "}"}], ",", "\[Mu]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"p1", ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p1", ".", "p1"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p2", ".", "p2"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p1", ".", "p2"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"q", ".", "q"}]}], "/", "2"}], "+", 
       SuperscriptBox["m", "2"]}]}]}], "}"}]}], "//", "Simplify"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->1032627484],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"F1", ",", "F2", ",", "G2", ",", "G1", ",", 
   RowBox[{"F1", "+", 
    FractionBox[
     RowBox[{"F2", " ", 
      RowBox[{"q", ".", "q"}]}], 
     RowBox[{"4", " ", 
      SuperscriptBox["m", "2"]}]]}], ",", 
   RowBox[{"F1", "+", "F2"}]}], "}"}]], "Output",
 ImageSize->{240, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->109349986]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->2055711879],

Cell[TextData[{
 "Time-like vertex form factors can be extracted by supplying a negative \
momentum to ",
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".\[LineSeparator]Compute ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "1"], "(", 
    SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["q", "2"], ">", "0"}], TraditionalForm]], "InlineMath"],
 " for the QCD correction to ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["e", "+"], 
     SuperscriptBox["e", "-"]}], "\[Rule]", 
    RowBox[{
     OverscriptBox["q", "_"], " ", "q"}]}], TraditionalForm]], "InlineMath"],
 " with massless quarks:\[LineSeparator]   ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "i"}], " ", "e", " ", 
     SubscriptBox["Q", "q"], 
     RowBox[{
      OverscriptBox["u", "_"], "(", 
      StyleBox[
       SubscriptBox["p", "1"],
       FontWeight->"Bold"], ")"}], 
     SuperscriptBox["\[CapitalGamma]", "\[Mu]"], 
     RowBox[{"v", "(", 
      StyleBox[
       SubscriptBox["p", "2"],
       FontWeight->"Bold"], ")"}]}], "=", 
    RowBox[{
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzs3b+LNNu6H/aFbYzC9/4Fat9cMP+AoW2c2cEgo7wl5BM48Vg2HJR1eMNJ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        "], {{0, 1636}, {1611, 0}}, {0, 
        255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{106.76822916666623`, Automatic},
      ImageSizeRaw->{1611, 1636},
      PlotRange->{{0, 1611}, {0, 1636}}], " ", "=", " ", 
     RowBox[{"e", " ", 
      SubscriptBox["Q", "q"], 
      SuperscriptBox["g", "2"], 
      SubscriptBox["C", "F"], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        RowBox[{
         OverscriptBox["u", "_"], "(", 
         StyleBox[
          SubscriptBox["p", "1"],
          FontWeight->"Bold"], ")"}], 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[Gamma]", "\[Nu]"], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["p", "1"], "-", "k"}], ")"}], ".", "\[Gamma]"}], 
          " ", 
          RowBox[{
           RowBox[{
            SuperscriptBox["\[Gamma]", "\[Mu]"], "(", 
            RowBox[{
             SubscriptBox["p", "2"], "+", "k"}], ")"}], ".", "\[Gamma]"}], 
          " ", 
          SubscriptBox["\[Gamma]", "\[Nu]"]}], 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["p", "1"], "-", "k"}], ")"}], "2"], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SubscriptBox["p", "2"], "+", "k"}], ")"}], "2"], 
          SuperscriptBox["k", "2"]}]], 
        RowBox[{"v", "(", 
         StyleBox[
          SubscriptBox["p", "2"],
          FontWeight->"Bold"], ")"}]}]}]}]}]}], TraditionalForm]], 
  "InlineMath"],
 "\[LineSeparator]Comparing the definition of the projector ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      OverscriptBox["u", "_"], "(", 
      StyleBox[
       SubscriptBox["p", "2"],
       FontWeight->"Bold"], ")"}], "[", " ", 
     RowBox[{"M", "(", "q", ")"}], " ", "]"}], 
    RowBox[{"u", "(", 
     StyleBox[
      SubscriptBox["p", "1"],
      FontWeight->"Bold"], ")"}]}], TraditionalForm]], "InlineMath"],
 ", the momenta ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "1"], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "2"], TraditionalForm]], "InlineMath"],
 " are exchanged, and since the outgoing anti-fermion carrying momentum ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "2"], TraditionalForm]], "InlineMath"],
 " is described by spinor ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    OverscriptBox["v", "_"], "(", 
    StyleBox[
     SubscriptBox["p", "2"],
     FontWeight->"Bold"], ")"}], TraditionalForm]], "InlineMath"],
 ", include a minus sign in front of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "2"], TraditionalForm]], "InlineMath"],
 ".  ",
 "Perform integral to obtain ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["F", "1"], "(", 
    SuperscriptBox["q", "2"], ")"}], TraditionalForm]], "InlineMath"],
 ":"
}], "ExampleText",
 Deletable->True,
 CellID->1689153645],

Cell[BoxData[
 RowBox[{"num", ":=", 
  RowBox[{"Spur", "[", 
   RowBox[{
    SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"p1", "-", "k"}], ")"}], ".", "\[Gamma]"}], ",", 
    SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"p2", "+", "k"}], ")"}], ".", "\[Gamma]"}], ",", 
    SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
    RowBox[{
     RowBox[{"Projector", "[", 
      RowBox[{"\"\<F1\>\"", ",", "\[Mu]"}], "]"}], "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "p2"}], ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"p1", ",", "0"}], "}"}]}], "]"}]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->497772027],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{"num", ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p1", "-", "k"}], ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p2", "+", "k"}], ",", "0"}], "}"}]}], "]"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"p1", ".", "p1"}], "\[Rule]", "0"}], ",", 
    RowBox[{
     RowBox[{"p2", ".", "p2"}], "\[Rule]", "0"}], ",", 
    RowBox[{
     RowBox[{"p1", ".", "p2"}], "\[Rule]", 
     RowBox[{
      FractionBox["1", "2"], 
      RowBox[{"q", ".", "q"}]}]}]}], "}"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1202905078],

Cell[BoxData[
 RowBox[{
  RowBox[{"2", " ", 
   RowBox[{"q", ".", "q"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"q", ".", "q"}], ",", "0", ",", "0", ",", "0", ",", "0"}], 
    "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"q", ".", "q"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", 
     RowBox[{"q", ".", "q"}], ",", "0", ",", "0", ",", "0", ",", "0"}], 
    "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"q", ".", "q"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", 
     RowBox[{"q", ".", "q"}], ",", "0", ",", "0", ",", "0", ",", "0"}], 
    "]"}]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   RowBox[{"q", ".", "q"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "1", ",", "0", ",", 
     RowBox[{"q", ".", "q"}], ",", "0", ",", "0", ",", "0", ",", "0"}], 
    "]"}]}], "-", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"1", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{"q", ".", "q"}], ",", "0", ",", "0", ",", "0", ",", "0"}], 
    "]"}]}]}]], "Output",
 ImageSize->{559, 44},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1083893693]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", "%", "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->162442486],

Cell[BoxData[
 RowBox[{"8", "-", 
  FractionBox[
   SuperscriptBox["\[Pi]", "2"], "6"], "+", 
  RowBox[{"3", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["\[Micro]", "2"], 
        RowBox[{"q", ".", "q"}]]}], "]"}]}], ")"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", 
      SuperscriptBox["\[Epsilon]", "2"]], "+", 
     FractionBox[
      RowBox[{"Log", "[", 
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox["\[Micro]", "2"], 
         RowBox[{"q", ".", "q"}]]}], "]"}], "\[Epsilon]"], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Log", "[", 
        RowBox[{"-", 
         FractionBox[
          SuperscriptBox["\[Micro]", "2"], 
          RowBox[{"q", ".", "q"}]]}], "]"}], "2"]}]}], ")"}]}]}]], "Output",
 ImageSize->{410, 60},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->267210168]
}, Open  ]],

Cell[TextData[{
 "Interpretation:\[LineSeparator]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "i"}], " ", "e", " ", 
     SubscriptBox["Q", "q"], 
     RowBox[{
      SubscriptBox["F", "1"], "(", 
      SuperscriptBox["q", "2"], ")"}]}], "=", 
    RowBox[{"e", " ", 
     SubscriptBox["Q", "q"], 
     SuperscriptBox["g", "2"], 
     SubscriptBox["C", "F"], 
     RowBox[{
      FractionBox["i", 
       RowBox[{"16", 
        SuperscriptBox["\[Pi]", "2"]}]], "[", 
      RowBox[{
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           FractionBox["1", 
            SuperscriptBox["\[Epsilon]", "2"]], 
           StyleBox[
            RowBox[{"+", 
             FractionBox["1", "\[Epsilon]"]}],
            FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
           RowBox[{
            StyleBox["(",
             FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
            RowBox[{
             StyleBox[
              RowBox[{
               RowBox[{"-", 
                SubscriptBox["\[Gamma]", "E"]}], "+", 
               RowBox[{"ln", 
                RowBox[{"(", 
                 RowBox[{"4", "\[Pi]"}], ")"}]}]}],
              FontColor->RGBColor[0.6666666666666666, 0., 0.]], "+", 
             RowBox[{"ln", "(", 
              FractionBox[
               SuperscriptBox["\[Mu]", "2"], 
               RowBox[{"-", 
                SuperscriptBox["q", "2"]}]], ")"}]}], ")"}], 
           StyleBox[
            RowBox[{"+", 
             FractionBox[
              SubsuperscriptBox["\[Gamma]", "E", "2"], "2"]}],
            FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
          StyleBox["-",
           FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
          StyleBox[
           RowBox[{
            SubscriptBox["\[Gamma]", "\[CapitalEpsilon]"], 
            RowBox[{"ln", "(", 
             RowBox[{"4", "\[Pi]"}], ")"}]}],
           FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
          StyleBox["+",
           FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
          StyleBox[
           RowBox[{
            FractionBox["1", "2"], 
            RowBox[{
             SuperscriptBox["ln", "2"], "(", 
             RowBox[{"4", "\[Pi]"}], ")"}]}],
           FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], ")"}]}], "+", 
       RowBox[{"3", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           FractionBox["1", "\[Epsilon]"], 
           StyleBox[
            RowBox[{"-", 
             SubscriptBox["\[Gamma]", "E"]}],
            FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
          StyleBox["+",
           FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
          StyleBox[
           RowBox[{"ln", 
            RowBox[{"(", 
             RowBox[{"4", "\[Pi]"}], ")"}]}],
           FontColor->RGBColor[0.6666666666666666, 0., 0.]], "+", 
          RowBox[{"ln", "(", 
           FractionBox[
            SuperscriptBox["\[Mu]", "2"], 
            RowBox[{"-", 
             SuperscriptBox["q", "2"]}]], ")"}]}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["ln", "2"], "(", 
        FractionBox[
         SuperscriptBox["\[Mu]", "2"], 
         RowBox[{"-", 
          SuperscriptBox["q", "2"]}]], ")"}], "+", "8", "-", 
       FractionBox[
        SuperscriptBox["\[Pi]", "2"], "6"]}], "]"}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1592908291]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Applications",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->258228157],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Electron self energy",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->993628516],

Cell[TextData[{
 "In the covariant Fermi gauge, the electron self-energy function at one-loop \
order is:\[LineSeparator]\t",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "i"}], " ", 
     RowBox[{"\[CapitalSigma]", "(", "p", ")"}]}], "=", "  ", 
    RowBox[{
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzt3T+PY8m7EOASEBDOhmTNfoKR9gsYtB+gddHmvldiU1qAtLqZw81uh0zm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        "], {{0, 537}, {911, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSizeRaw->{911, 537},
      PlotRange->{{0, 911}, {0, 537}}], "=", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["e", "2"]}], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox[
         RowBox[{
          RowBox[{
           SuperscriptBox["\[Gamma]", "\[Nu]"], "(", 
           RowBox[{
            RowBox[{"p", ".", "\[Gamma]"}], "-", 
            RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], " ", 
          SuperscriptBox["\[Gamma]", "\[Mu]"], 
          SubscriptBox["g", "\[Mu]\[Nu]"]}], 
         RowBox[{
          RowBox[{"[", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"p", "-", "k"}], ")"}], "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}], 
          SuperscriptBox["k", "2"]}]]}]}]}]}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t\t\t\t", 
    RowBox[{"=", 
     RowBox[{"-", 
      RowBox[{
       SuperscriptBox["e", "2"], "[", 
       RowBox[{
        RowBox[{
         RowBox[{"p", ".", "\[Gamma]"}], " ", 
         RowBox[{"A", "(", 
          SuperscriptBox["p", "2"], ")"}]}], "+", 
        RowBox[{"m", " ", 
         RowBox[{"B", "(", 
          SuperscriptBox["p", "2"], ")"}]}]}], "]"}]}]}]}], 
   TraditionalForm]}], "InlineMath"],
 "\[LineSeparator]Apply the projectors to numerators to obtain the A and B \
functions of the self-energy function, and initiate the integral with ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 Deletable->True,
 CellID->418736520],

Cell[BoxData[
 RowBox[{"numeratorAandB", ":=", 
  RowBox[{"Contract", "[", 
   RowBox[{
    RowBox[{"Spur", "[", 
     RowBox[{
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
      RowBox[{
       RowBox[{"p", ".", "\[Gamma]"}], "-", 
       RowBox[{"k", ".", "\[Gamma]"}], "+", 
       RowBox[{"\[DoubleStruckOne]", " ", "m"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
      RowBox[{
       RowBox[{"Projector", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<A\>\"", ",", "\"\<B\>\""}], "}"}], "]"}], "[", 
       RowBox[{"{", 
        RowBox[{"p", ",", "m"}], "}"}], "]"}]}], "]"}], 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1993621613],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"integralAandB", "=", 
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{"numeratorAandB", ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "p"}], ",", "m"}], "}"}]}], "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1275059164],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"2", "-", "\[ScriptD]"}], ")"}], " ", 
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       FractionBox["2", 
        RowBox[{"p", ".", "p"}]], "-", 
       FractionBox["\[ScriptD]", 
        RowBox[{"p", ".", "p"}]]}], ")"}], " ", 
     RowBox[{"p", ".", "p"}], " ", 
     RowBox[{"PVB", "[", 
      RowBox[{"0", ",", "1", ",", 
       RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}]}], ",", 
   RowBox[{"\[ScriptD]", " ", 
    RowBox[{"PVB", "[", 
     RowBox[{"0", ",", "0", ",", 
      RowBox[{"p", ".", "p"}], ",", "0", ",", "m"}], "]"}]}]}], 
  "}"}]], "Output",
 ImageSize->{437, 57},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1727622778]
}, Open  ]],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->605536234],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"integralAandB", "//", "LoopRefine"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->474398418],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     FractionBox["1", "\[Epsilon]"]}], "-", 
    FractionBox[
     RowBox[{
      SuperscriptBox["m", "2"], "+", 
      RowBox[{"p", ".", "p"}]}], 
     RowBox[{"p", ".", "p"}]], "-", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["\[Micro]", "2"], 
      SuperscriptBox["m", "2"]], "]"}], "-", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "4"]}], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"p", ".", "p"}], ")"}], "2"]}], ")"}], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["m", "2"], 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         RowBox[{"p", ".", "p"}]}]], "]"}]}], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"p", ".", "p"}], ")"}], "2"]]}], ",", 
   RowBox[{"6", "+", 
    RowBox[{"4", " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox["1", "\[Epsilon]"], "+", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["\[Micro]", "2"], 
         SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], "+", 
    FractionBox[
     RowBox[{"4", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "2"]}], "+", 
        RowBox[{"p", ".", "p"}]}], ")"}], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        SuperscriptBox["m", "2"], 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         RowBox[{"p", ".", "p"}]}]], "]"}]}], 
     RowBox[{"p", ".", "p"}]]}]}], "}"}]], "Output",
 ImageSize->{350, 102},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->2069900056]
}, Open  ]],

Cell[TextData[{
 "Interpretation:\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "i"}], " ", 
     RowBox[{"\[CapitalSigma]", "(", 
      SuperscriptBox["p", "2"], ")"}]}], "=", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"-", 
        StyleBox["i",
         FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], " ", 
       SuperscriptBox["e", "2"]}], 
      StyleBox[
       RowBox[{"16", 
        SuperscriptBox["\[Pi]", "2"]}],
       FontColor->RGBColor[0.6666666666666666, 0., 0.]]], "[", 
     RowBox[{
      RowBox[{"p", ".", 
       RowBox[{"\[Gamma]", "(", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"-", 
            SuperscriptBox["m", "2"]}], "-", 
           SuperscriptBox["p", "2"]}], 
          SuperscriptBox["p", "2"]], "-", 
         RowBox[{
          FractionBox["1", "\[Epsilon]"], 
          StyleBox[
           RowBox[{"+", 
            SubscriptBox["\[Gamma]", "E"]}],
           FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
          RowBox[{
           StyleBox["-",
            FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
           RowBox[{
            StyleBox[
             RowBox[{"ln", 
              RowBox[{"(", 
               RowBox[{"4", "\[Pi]"}], ")"}]}],
             FontColor->RGBColor[0.6666666666666666, 0., 0.]], "-", 
            RowBox[{"ln", "(", 
             FractionBox[
              SuperscriptBox["\[Mu]", "2"], 
              SuperscriptBox["m", "2"]], ")"}], "+", 
            RowBox[{
             RowBox[{"(", 
              FractionBox[
               RowBox[{
                SuperscriptBox["m", "4"], "-", 
                SuperscriptBox[
                 RowBox[{"(", 
                  SuperscriptBox["p", "2"], ")"}], "2"]}], 
               SuperscriptBox[
                RowBox[{"(", 
                 SuperscriptBox["p", "2"], ")"}], "2"]], ")"}], 
             RowBox[{"ln", "(", 
              FractionBox[
               SuperscriptBox["m", "2"], 
               RowBox[{
                SuperscriptBox["m", "2"], "-", 
                SuperscriptBox["p", "2"]}]], ")"}]}]}]}]}]}], " ", ")"}]}], 
      "+", "\[IndentingNewLine]", 
      RowBox[{"4", 
       RowBox[{"m", "(", 
        RowBox[{
         RowBox[{
          FractionBox["1", "\[Epsilon]"], 
          StyleBox[
           RowBox[{"-", 
            SubscriptBox["\[Gamma]", "E"]}],
           FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
         StyleBox["+",
          FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
         StyleBox[
          RowBox[{"ln", 
           RowBox[{"(", 
            RowBox[{"4", "\[Pi]"}], ")"}]}],
          FontColor->RGBColor[0.6666666666666666, 0., 0.]], "+", 
         RowBox[{"ln", "(", 
          FractionBox[
           SuperscriptBox["\[Mu]", "2"], 
           SuperscriptBox["m", "2"]], ")"}], " ", "+", 
         FractionBox["6", "4"], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            FractionBox[
             SuperscriptBox["m", "2"], 
             SuperscriptBox["p", "2"]]}], ")"}], 
          RowBox[{"ln", "(", 
           FractionBox[
            SuperscriptBox["m", "2"], 
            RowBox[{
             SuperscriptBox["m", "2"], "-", 
             SuperscriptBox["p", "2"]}]], ")"}]}]}], " ", ")"}]}]}], " ", 
     "]"}]}], TraditionalForm]], "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1109708662],

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->235305846]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Elastic form factor (QED vertex function)",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection"],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->1365422010],

Cell[TextData[{
 "In the covariant Fermi gauge, the QED vertex function at one-loop is:\
\[LineSeparator]\t",
 Cell[BoxData[{
  FormBox[
   RowBox[{
    RowBox[{"i", " ", "e", " ", 
     RowBox[{
      SuperscriptBox["\[CapitalGamma]", "\[Mu]"], "(", "q", ")"}]}], "=", 
    "  ", 
    GraphicsBox[
     TagBox[RasterBox[CompressedData["
1:eJzs3b+rJNnbGPYH24FxtPsXqL1/gBnY1IK2mUjRRfbmLSFP6kEWDEpMhxve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       "], {{0, 747}, {
       1034, 0}}, {0, 255},
       ColorFunction->RGBColor],
      BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
      Selectable->False],
     BaseStyle->"ImageGraphics",
     ImageSize->{120.37812500000047`, Automatic},
     ImageSizeRaw->{1034, 747},
     PlotRange->{{0, 1034}, {0, 747}}]}], 
   TraditionalForm], "\[IndentingNewLine]", 
  FormBox[
   RowBox[{"\t", 
    RowBox[{"=", 
     RowBox[{
      SuperscriptBox["e", "3"], 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox[
         RowBox[{
          RowBox[{
           SuperscriptBox["\[Gamma]", "\[Rho]"], "(", 
           RowBox[{
            RowBox[{
             SubscriptBox["p", "2"], ".", "\[Gamma]"}], "-", 
            RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], 
          RowBox[{
           SuperscriptBox["\[Gamma]", "\[Mu]"], "(", 
           RowBox[{
            RowBox[{
             SubscriptBox["p", "1"], ".", "\[Gamma]"}], "-", 
            RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], 
          SubscriptBox["\[Gamma]", "\[Nu]"], 
          SubscriptBox["g", "\[Rho]\[Nu]"]}], 
         RowBox[{
          RowBox[{
           SuperscriptBox["k", "2"], "[", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["p", "2"], "-", "k"}], ")"}], "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              SubscriptBox["p", "1"], "-", "k"}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}]]}]}]}]}]}], 
   TraditionalForm], "\[LineSeparator]", 
  FormBox[
   RowBox[{"\t", 
    RowBox[{"=", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[Gamma]", "\[Mu]"], 
       RowBox[{
        SubscriptBox["f", "1"], "(", 
        SuperscriptBox["q", "2"], ")"}]}], "+", 
      RowBox[{
       FractionBox["i", 
        RowBox[{"2", "m"}]], 
       SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
       SubscriptBox["q", "\[Nu]"], 
       RowBox[{
        SubscriptBox["f", "2"], "(", 
        SuperscriptBox["q", "2"], ")"}]}]}]}]}], TraditionalForm]}], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->37970285],

Cell[TextData[{
 "Project ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "1"], TraditionalForm]], "InlineMath"],
 " out of the numerator, and compute the loop integral.  By default, ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " automatically applies the on shell conditions associated with the external \
spinors ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["p", "1", "2"], "=", 
    RowBox[{
     SubsuperscriptBox["p", "2", "2"], "=", 
     SuperscriptBox["m", "2"]}]}], TraditionalForm]], "InlineMath"],
 " and removes any spurious singularities:"
}], "ExampleText",
 Deletable->True,
 CellID->2046251385],

Cell[BoxData[
 RowBox[{"numeratorF1", ":=", 
  RowBox[{"Contract", "[", 
   RowBox[{
    RowBox[{"Spur", "[", 
     RowBox[{
      SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
      RowBox[{
       RowBox[{"p2", ".", "\[Gamma]"}], "-", 
       RowBox[{"k", ".", "\[Gamma]"}], "+", 
       RowBox[{"\[DoubleStruckOne]", " ", "m"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
      RowBox[{
       RowBox[{"p1", ".", "\[Gamma]"}], "-", 
       RowBox[{"k", ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
      RowBox[{
       RowBox[{"Projector", "[", 
        RowBox[{"\"\<F1\>\"", ",", "\[Mu]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"p1", ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Rho]", ",", "\[Nu]"}]]}], "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->674706310],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{"numeratorF1", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p2", "-", "k"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p1", "-", "k"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->735088876],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", 
   RowBox[{"p1", ".", "p2"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"4", " ", 
   RowBox[{"p1", ".", "p2"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "1", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "2", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"4", " ", 
   RowBox[{"p1", ".", "p2"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "-", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["m", "2"]}], "-", 
     RowBox[{"p1", ".", "p2"}]}], ")"}], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "1", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "-", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "2", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"1", ",", "0", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], 
    "]"}]}]}]], "Output",
 ImageSize->{444, 121},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->90685328]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{"%", "/.", 
   RowBox[{
    RowBox[{"p1", ".", "p2"}], "\[Rule]", 
    RowBox[{
     SuperscriptBox["m", "2"], "-", 
     RowBox[{
      RowBox[{"q", ".", "q"}], "/", "2"}]}]}]}], "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->358173046],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     RowBox[{"DiscB", "[", 
      RowBox[{
       RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"8", " ", 
        SuperscriptBox["m", "2"]}], "-", 
       RowBox[{"3", " ", 
        RowBox[{"q", ".", "q"}]}]}], ")"}]}], 
    RowBox[{
     RowBox[{"4", " ", 
      SuperscriptBox["m", "2"]}], "-", 
     RowBox[{"q", ".", "q"}]}]]}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "-", 
         RowBox[{"q", ".", "q"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["m", "2"]}], "-", 
       RowBox[{"q", ".", "q"}]}]]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "\[Epsilon]"], "+", 
     RowBox[{"Log", "[", 
      FractionBox[
       SuperscriptBox["\[Micro]", "2"], 
       SuperscriptBox["m", "2"]], "]"}]}], ")"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", " ", 
      SuperscriptBox["m", "2"]}], "-", 
     RowBox[{"q", ".", "q"}]}], ")"}], " ", 
   RowBox[{"ScalarC0IR6", "[", 
    RowBox[{
     RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}]}]], "Output",
 ImageSize->{555, 59},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->992475763]
}, Open  ]],

Cell[BoxData[
 RowBox[{"numeratorF2", ":=", 
  RowBox[{"Contract", "[", 
   RowBox[{
    RowBox[{"Spur", "[", 
     RowBox[{
      SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
      RowBox[{
       RowBox[{"p2", ".", "\[Gamma]"}], "-", 
       RowBox[{"k", ".", "\[Gamma]"}], "+", 
       RowBox[{"\[DoubleStruckOne]", " ", "m"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
      RowBox[{
       RowBox[{"p1", ".", "\[Gamma]"}], "-", 
       RowBox[{"k", ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
      RowBox[{
       RowBox[{"Projector", "[", 
        RowBox[{"\"\<F2\>\"", ",", "\[Mu]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"p1", ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Rho]", ",", "\[Nu]"}]]}], "]"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->1828483816],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopIntegrate", "[", 
  RowBox[{"numeratorF2", ",", "k", ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p2", "-", "k"}], ",", "m"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p1", "-", "k"}], ",", "m"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->504350158],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "1", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "2", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"4", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "1", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "2", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], 
    "]"}]}]}]], "Output",
 ImageSize->{372, 86},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->970758800]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{"%", "/.", 
   RowBox[{
    RowBox[{"p1", ".", "p2"}], "\[Rule]", 
    RowBox[{
     SuperscriptBox["m", "2"], "-", 
     RowBox[{
      RowBox[{"q", ".", "q"}], "/", "2"}]}]}]}], "]"}]], "Input",
 CellLabel->"In[6]:=",
 CellID->1255046304],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"4", " ", 
    SuperscriptBox["m", "2"], " ", 
    RowBox[{"DiscB", "[", 
     RowBox[{
      RowBox[{"q", ".", "q"}], ",", "m", ",", "m"}], "]"}]}], 
   RowBox[{
    RowBox[{"4", " ", 
     SuperscriptBox["m", "2"]}], "-", 
    RowBox[{"q", ".", "q"}]}]]}]], "Output",
 ImageSize->{150, 38},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->799968345]
}, Open  ]],

Cell[TextData[{
 "Interpretation:\[LineSeparator]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", "e", " ", 
     RowBox[{
      SuperscriptBox["\[CapitalGamma]", "\[Mu]"], "(", "q", ")"}]}], "=", 
    RowBox[{
     FractionBox[
      RowBox[{
       StyleBox["i",
        FontColor->RGBColor[0.6666666666666666, 0., 0.]], " ", 
       SuperscriptBox["e", "3"]}], 
      StyleBox[
       RowBox[{"16", 
        SuperscriptBox["\[Pi]", "2"]}],
       FontColor->RGBColor[0.6666666666666666, 0., 0.]]], 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[Gamma]", "\[Mu]"], "[", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"\[CapitalLambda]", "(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["q", "2"], ";", "m"}], ",", "m"}], ")"}], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "8"}], 
              SuperscriptBox["m", "2"]}], "+", 
             RowBox[{"3", 
              SuperscriptBox["q", "2"]}]}], ")"}]}], 
          RowBox[{
           RowBox[{"4", 
            SuperscriptBox["m", "2"]}], "-", 
           SuperscriptBox["q", "2"]}]], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            FractionBox[
             RowBox[{"2", 
              RowBox[{"\[CapitalLambda]", "(", 
               RowBox[{
                RowBox[{
                 SuperscriptBox["q", "2"], ";", "m"}], ",", "m"}], ")"}], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{
                 RowBox[{"-", "2"}], 
                 SuperscriptBox["m", "2"]}], "+", 
                SuperscriptBox["q", "2"]}], ")"}]}], 
             RowBox[{
              RowBox[{"4", 
               SuperscriptBox["m", "2"]}], "-", 
              SuperscriptBox["q", "2"]}]]}], ")"}], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             FractionBox["1", "\[Epsilon]"], 
             StyleBox[
              RowBox[{"-", 
               SubscriptBox["\[Gamma]", "E"]}],
              FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
            RowBox[{
             StyleBox["+",
              FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
             RowBox[{
              StyleBox[
               RowBox[{"ln", 
                RowBox[{"(", 
                 RowBox[{"4", "\[Pi]"}], ")"}]}],
               FontColor->RGBColor[0.6666666666666666, 0., 0.]], "+", 
              RowBox[{"ln", "(", 
               FractionBox[
                SuperscriptBox["\[Mu]", "2"], 
                SuperscriptBox["m", "2"]], ")"}]}]}]}], " ", ")"}]}], " ", 
         "+", 
         RowBox[{"2", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", 
             SuperscriptBox["m", "2"]}], "-", 
            SuperscriptBox["q", "2"]}], ")"}], 
          RowBox[{
           SubsuperscriptBox["I", "C6", "fin"], "(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["q", "2"], ";", "m"}], ",", "m"}], ")"}]}]}], 
        "]"}], "+", 
       RowBox[{
        FractionBox["i", 
         RowBox[{"2", "m"}]], 
        SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
        RowBox[{
         SubscriptBox["q", "\[Nu]"], "(", 
         FractionBox[
          RowBox[{
           RowBox[{"-", "4"}], 
           SuperscriptBox["m", "2"], 
           RowBox[{"\[CapitalLambda]", "(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["q", "2"], ";", "m"}], ",", "m"}], ")"}]}], 
          RowBox[{
           RowBox[{"4", 
            SuperscriptBox["m", "2"]}], "-", 
           SuperscriptBox["q", "2"]}]], ")"}]}]}], "}"}]}]}], 
   TraditionalForm]], "InlineMath"],
 "\[LineSeparator](",
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "1"], TraditionalForm]], "InlineMath"],
 " is UV and IR divergent, and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "2"], TraditionalForm]], "InlineMath"],
 " is finite)"
}], "ExampleText",
 Deletable->True,
 CellID->1482713304],

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1897431408]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Inelastic form factor (",
   Cell[BoxData[
    FormBox[
     RowBox[{
      SuperscriptBox["\[Mu]", "-"], "\[Rule]", " ", 
      RowBox[{
       SuperscriptBox["e", "-"], "\[Gamma]"}]}], TraditionalForm]], 
    "InlineMath"],
   ")",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSubsection",
   Deletable->True],
  $Line = 0; Null]], "ExampleSubsection", "ExampleSubsection",
 WholeCellGroupOpener->True,
 CellID->2144999953],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " can also extract inelastic (transition) form factors.  Consider a diagram \
contributing to  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["\[Mu]", "-"], "\[Rule]", " ", 
    RowBox[{
     SuperscriptBox["e", "-"], " ", "\[Gamma]"}]}], TraditionalForm]], 
  "InlineMath"],
 " decay, mediated by a scalar leptoquark (assuming massless electron and \
quarks):\[LineSeparator]\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", "\[ScriptCapitalM]"}], "=", 
    RowBox[{
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzs3c+LJOmZJ3hnd5yqY9Z/EFsH9TUg/4HYpS6F+hDMUlDoFD30pNBh2WBW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        "], {{0, 865}, {1167, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{114.9062500000002, Automatic},
      ImageSizeRaw->{1167, 865},
      PlotRange->{{0, 1167}, {0, 865}}], "=", 
     RowBox[{"e", " ", 
      SubscriptBox["Q", "q"], 
      SubscriptBox["N", "C"], " ", 
      SuperscriptBox["\[Lambda]", "2"], " ", 
      SuperscriptBox["\[Mu]", 
       RowBox[{"2", "\[Epsilon]"}]], 
      RowBox[{"\[Integral]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
        FractionBox[
         RowBox[{
          RowBox[{
           SubscriptBox[
            OverscriptBox["u", "_"], "e"], "(", 
           RowBox[{
            StyleBox["p",
             FontWeight->"Bold"], "-", 
            StyleBox["q",
             FontWeight->"Bold"]}], ")"}], " ", 
          SubscriptBox[
           OverscriptBox[
            RowBox[{" ", "P"}], "^"], "L"], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"p", "-", "k", "-", "q"}], ")"}], ".", "\[Gamma]"}], "  ", 
          SuperscriptBox["\[Gamma]", "\[Mu]"], " ", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"p", "-", "k"}], ")"}], ".", "\[Gamma]"}], "  ", 
          SubscriptBox[
           OverscriptBox["P", "^"], "R"], "  ", 
          RowBox[{
           SubscriptBox["u", "\[Mu]"], "(", 
           StyleBox["p",
            FontWeight->"Bold"], ")"}]}], 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"p", "-", "k", "-", "q"}], ")"}], "2"], 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"p", "-", "k"}], ")"}], "2"], 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["k", "2"], "-", 
            SubsuperscriptBox["M", "LQ", "2"]}], ")"}]}]], "\[Times]", 
        RowBox[{
         SubsuperscriptBox["\[Epsilon]", "\[Mu]", "*"], "(", 
         StyleBox["q",
          FontWeight->"Bold"], ")"}]}]}]}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1895897149],

Cell[TextData[{
 "Project ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "2"], TraditionalForm]], "InlineMath"],
 " out of the numerator, and compute the loop integral.  By default, ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " automatically applies the on shell conditions associated with the external \
spinors ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["p", "2"], "=", 
    SubsuperscriptBox["m", "\[Mu]", "2"]}], TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"p", "-", "q"}], ")"}], "2"], "=", "0"}], TraditionalForm]], 
  "InlineMath"],
 "  and removes any spurious singularities:"
}], "ExampleText",
 CellID->1673333858],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{"Spur", "[", 
     RowBox[{"\[DoubleStruckCapitalP]L", ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p", "-", "k", "-", "q"}], ")"}], ".", "\[Gamma]"}], ",", 
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{"p", "-", "k"}], ")"}], ".", "\[Gamma]"}], ",", 
      "\[DoubleStruckCapitalP]R", ",", 
      RowBox[{
       RowBox[{"Projector", "[", 
        RowBox[{"\"\<F2\>\"", ",", "\[Mu]"}], "]"}], "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"p", ",", "M\[Mu]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"p", "-", "q"}], ",", "0"}], "}"}]}], "]"}]}], "]"}], ",", 
    "k", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "-", "k", "-", "q"}], ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"p", "-", "k"}], ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "MLQ"}], "}"}]}], "]"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"p", ".", "p"}], "\[Rule]", 
     SuperscriptBox["M\[Mu]", "2"]}], ",", 
    RowBox[{
     RowBox[{"p", ".", "q"}], "\[Rule]", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["M\[Mu]", "2"], "+", 
        RowBox[{"q", ".", "q"}]}], ")"}], "/", "2"}]}]}], "}"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1676827923],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "2"]}], " ", 
   SuperscriptBox["M\[Mu]", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "0", ",", 
     SuperscriptBox["M\[Mu]", "2"], ",", 
     RowBox[{"q", ".", "q"}], ",", "0", ",", "MLQ", ",", "0", ",", "0"}], 
    "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["M\[Mu]", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "1", ",", 
     SuperscriptBox["M\[Mu]", "2"], ",", 
     RowBox[{"q", ".", "q"}], ",", "0", ",", "MLQ", ",", "0", ",", "0"}], 
    "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["M\[Mu]", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "2", ",", "0", ",", 
     SuperscriptBox["M\[Mu]", "2"], ",", 
     RowBox[{"q", ".", "q"}], ",", "0", ",", "MLQ", ",", "0", ",", "0"}], 
    "]"}]}]}]], "Output",
 ImageSize->{558, 60},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1472850203]
}, Open  ]],

Cell[TextData[{
 "Non-zero momentum transfers ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["q", "2"], TraditionalForm]], "InlineMath"],
 " are relevant for nuclear ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[Mu]", "-", "e"}], TraditionalForm]], "InlineMath"],
 " conversions.  For the on-shell decay process, take ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["q", "2"], "=", "0"}], TraditionalForm]], "InlineMath"],
 " and apply ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 Deletable->True,
 CellID->1915142227],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "/.", 
  RowBox[{
   RowBox[{"q", ".", "q"}], "\[Rule]", "0"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->330855414],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    FractionBox["1", "2"]}], " ", 
   SuperscriptBox["M\[Mu]", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "0", ",", 
     SuperscriptBox["M\[Mu]", "2"], ",", "0", ",", "0", ",", "MLQ", ",", "0", 
     ",", "0"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["M\[Mu]", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "1", ",", 
     SuperscriptBox["M\[Mu]", "2"], ",", "0", ",", "0", ",", "MLQ", ",", "0", 
     ",", "0"}], "]"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["M\[Mu]", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "2", ",", "0", ",", 
     SuperscriptBox["M\[Mu]", "2"], ",", "0", ",", "0", ",", "MLQ", ",", "0", 
     ",", "0"}], "]"}]}]}]], "Output",
 ImageSize->{530, 60},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->2080553868]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", "%", "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->70201596],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     SuperscriptBox["MLQ", "2"]}], "+", 
    SuperscriptBox["M\[Mu]", "2"]}], 
   RowBox[{"4", " ", 
    SuperscriptBox["M\[Mu]", "2"]}]], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["MLQ", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["MLQ", "2"]}], "+", 
      SuperscriptBox["M\[Mu]", "2"]}], ")"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["MLQ", "2"], 
      RowBox[{
       SuperscriptBox["MLQ", "2"], "-", 
       SuperscriptBox["M\[Mu]", "2"]}]], "]"}]}], 
   RowBox[{"2", " ", 
    SuperscriptBox["M\[Mu]", "4"]}]]}]], "Output",
 ImageSize->{306, 50},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->1662716339]
}, Open  ]],

Cell[TextData[{
 "Interpretation: ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", "\[ScriptCapitalM]"}], "=", 
    RowBox[{"e", " ", 
     SubscriptBox["Q", "q"], 
     SubscriptBox["N", "C"], " ", 
     SuperscriptBox["\[Lambda]", "2"], 
     StyleBox[
      FractionBox["i", 
       RowBox[{"16", 
        SuperscriptBox["\[Pi]", "2"]}]],
      FontColor->RGBColor[0.6666666666666666, 0., 0.]], 
     RowBox[{
      RowBox[{
       SubscriptBox[
        OverscriptBox["u", "_"], "e"], "(", 
       RowBox[{
        StyleBox["p",
         FontWeight->"Bold"], "-", 
        StyleBox["q",
         FontWeight->"Bold"]}], ")"}], "[", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"\[ImaginaryI]", " ", 
          SuperscriptBox["\[Sigma]", "\[Mu]\[Nu]"], 
          SubscriptBox["q", "\[Nu]"]}], 
         SubscriptBox["m", "\[Mu]"]], 
        FractionBox["1", "2"], 
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "2"}], 
             SubsuperscriptBox["M", "LQ", "2"]}], "+", 
            SubsuperscriptBox["m", "\[Mu]", "2"]}], 
           RowBox[{"2", 
            SubsuperscriptBox["m", "\[Mu]", "2"]}]], "+", 
          RowBox[{
           FractionBox[
            RowBox[{
             SubsuperscriptBox["M", "LQ", "2"], "(", 
             RowBox[{
              SubsuperscriptBox["M", "LQ", "2"], "-", 
              SubsuperscriptBox["m", "\[Mu]", "2"]}], ")"}], 
            SubsuperscriptBox["m", "\[Mu]", "4"]], 
           RowBox[{"ln", "(", 
            FractionBox[
             SubsuperscriptBox["M", "LQ", "2"], 
             RowBox[{
              SubsuperscriptBox["M", "LQ", "2"], "-", 
              SubsuperscriptBox["m", "\[Mu]", "2"]}]], ")"}]}]}], ")"}]}], 
       "+", "\[Ellipsis]"}], "]"}], 
     RowBox[{
      SubscriptBox["u", "\[Mu]"], "(", 
      StyleBox["p",
       FontWeight->"Bold"], ")"}], 
     RowBox[{
      SubsuperscriptBox["\[Epsilon]", "\[Mu]", "*"], "(", 
      StyleBox["q",
       FontWeight->"Bold"], ")"}], " "}]}], TraditionalForm]], "InlineMath"]
}], "ExampleText",
 Deletable->True,
 CellID->1322079784]
}, Closed]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Issues",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1305812373],

Cell[TextData[{
 "A vertex projection generally leads to spurious kinematic singularities.  \
Consider the evaluation of form factor ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["F", "2"], TraditionalForm]], "InlineMath"],
 " of the QED vertex function at ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["q", "2"], "=", "0"}], TraditionalForm]], "InlineMath"],
 ":"
}], "ExampleText",
 Deletable->True,
 CellID->1710301550],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"numerator", "=", 
    RowBox[{"Contract", "[", 
     RowBox[{
      RowBox[{"Spur", "[", 
       RowBox[{
        SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p2", ".", "\[Gamma]"}], "-", 
          RowBox[{"k", ".", "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}], ",", 
        SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p1", ".", "\[Gamma]"}], "-", 
          RowBox[{"k", ".", "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}], ",", 
        SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
        RowBox[{
         RowBox[{"Projector", "[", 
          RowBox[{"\"\<F2\>\"", ",", "\[Mu]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"p1", ",", "m"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], 
      SubscriptBox["\[DoubleStruckG]", 
       RowBox[{"\[Rho]", ",", "\[Nu]"}]]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"LoopIntegrate", "[", 
    RowBox[{"numerator", ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p1"}], ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0"}], "}"}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p1", ".", "p1"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p2", ".", "p2"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p1", ".", "p2"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"q", ".", "q"}]}], "/", "2"}], "+", 
       SuperscriptBox["m", "2"]}]}]}], "}"}]}], "/.", 
  RowBox[{
   RowBox[{"q", ".", "q"}], "\[Rule]", "0"}]}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->848881740],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], ":", 
  " ", "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1162997648],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], ":", 
  " ", "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->105314942],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Power", "::", "infy"}], "MessageName"], ":", 
  " ", "\<\"Infinite expression \[NoBreak]\\!\\(1\\/0\\)\[NoBreak] \
encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/infy\\\", ButtonNote -> \
\\\"Power::infy\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->501705066],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Power :: \
infy\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1136246140],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Infinity", "::", "indet"}], "MessageName"], ":", 
  " ", "\<\"Indeterminate expression \[NoBreak]\\!\\(ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity\\)\[NoBreak] encountered. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/indet\\\", ButtonNote -> \
\\\"Infinity::indet\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1464285856],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Infinity", "::", "indet"}], "MessageName"], ":", 
  " ", "\<\"Indeterminate expression \[NoBreak]\\!\\(ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity\\)\[NoBreak] encountered. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/indet\\\", \
ButtonNote -> \\\"Infinity::indet\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->89787172],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Infinity", "::", "indet"}], "MessageName"], ":", 
  " ", "\<\"Indeterminate expression \[NoBreak]\\!\\(ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity + ComplexInfinity + \
ComplexInfinity + ComplexInfinity + ComplexInfinity\\)\[NoBreak] encountered. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, ButtonData:>\\\"paclet:ref/message/General/indet\\\", \
ButtonNote -> \\\"Infinity::indet\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1519479610],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"General", "::", "stop"}], "MessageName"], ":", 
  " ", "\<\"Further output of \[NoBreak]\\!\\(\\*StyleBox[\\(Infinity :: \
indet\\), \\\"MessageName\\\"]\\)\[NoBreak] will be suppressed during this \
calculation. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/General/stop\\\", ButtonNote -> \
\\\"General::stop\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->18275146],

Cell[BoxData["Indeterminate"], "Output",
 ImageSize->{98, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->60217301]
}, Open  ]],

Cell[TextData[{
 "The prefactor makes taking the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["q", "2"], "\[Rule]", "0"}], TraditionalForm]], 
  "InlineMath"],
 " limit problematic.  There are three alternatives to extract the limit:"
}], "ExampleText",
 Deletable->True,
 CellID->824096181],

Cell[TextData[{
 "1.  [",
 StyleBox["Automatic solution",
  FontSlant->"Italic"],
 "]  Directly insert numerator inside ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".  ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " will detect the presence of the ",
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and remove the spurious singularity automatically:"
}], "ExampleText",
 CellID->1408113906],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{
    RowBox[{"Contract", "[", 
     RowBox[{
      RowBox[{"Spur", "[", 
       RowBox[{
        SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p2", ".", "\[Gamma]"}], "-", 
          RowBox[{"k", ".", "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}], ",", 
        SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"p1", ".", "\[Gamma]"}], "-", 
          RowBox[{"k", ".", "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}], ",", 
        SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
        RowBox[{
         RowBox[{"Projector", "[", 
          RowBox[{"\"\<F2\>\"", ",", "\[Mu]"}], "]"}], "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"p1", ",", "m"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], 
      SubscriptBox["\[DoubleStruckG]", 
       RowBox[{"\[Rho]", ",", "\[Nu]"}]]}], "]"}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "p1"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0"}], "}"}]}], "]"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"p1", ".", "p1"}], "\[Rule]", 
     SuperscriptBox["m", "2"]}], ",", 
    RowBox[{
     RowBox[{"p2", ".", "p2"}], "\[Rule]", 
     SuperscriptBox["m", "2"]}], ",", 
    RowBox[{
     RowBox[{"p1", ".", "p2"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"q", ".", "q"}]}], "/", "2"}], "+", 
      SuperscriptBox["m", "2"]}]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "/.", 
   RowBox[{
    RowBox[{"q", ".", "q"}], "\[Rule]", "0"}]}], "//", 
  "LoopRefine"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->107047502],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "1", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "2", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"4", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "1", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "2", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], 
    "]"}]}]}]], "Output",
 ImageSize->{403, 140},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1248742999],

Cell[BoxData["2"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->265902062]
}, Open  ]],

Cell[TextData[{
 "Or, use ",
 Cell[BoxData[
  ButtonBox["SetDelayed",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/SetDelayed"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " (",
 Cell[BoxData[
  ButtonBox[":=",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/SetDelayed"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ") to define the numerator without evaluating the trace.  ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " can detect ",
 Cell[BoxData[
  ButtonBox["Projector",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Projector"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " when the definition is called within ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "ExampleText",
 CellID->765476253],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"delayedNumerator", ":=", 
   RowBox[{"Contract", "[", 
    RowBox[{
     RowBox[{"Spur", "[", 
      RowBox[{
       SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"p2", ".", "\[Gamma]"}], "-", 
         RowBox[{"k", ".", "\[Gamma]"}], "+", 
         RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}], ",", 
       SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"p1", ".", "\[Gamma]"}], "-", 
         RowBox[{"k", ".", "\[Gamma]"}], "+", 
         RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}], ",", 
       SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
       RowBox[{
        RowBox[{"Projector", "[", 
         RowBox[{"\"\<F2\>\"", ",", "\[Mu]"}], "]"}], "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"p1", ",", "m"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"p2", ",", "m"}], "}"}]}], "]"}]}], "]"}], 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Rho]", ",", "\[Nu]"}]]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"LoopIntegrate", "[", 
   RowBox[{"delayedNumerator", ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "p1"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0"}], "}"}]}], "]"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"p1", ".", "p1"}], "\[Rule]", 
     SuperscriptBox["m", "2"]}], ",", 
    RowBox[{
     RowBox[{"p2", ".", "p2"}], "\[Rule]", 
     SuperscriptBox["m", "2"]}], ",", 
    RowBox[{
     RowBox[{"p1", ".", "p2"}], "\[Rule]", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"q", ".", "q"}]}], "/", "2"}], "+", 
      SuperscriptBox["m", "2"]}]}]}], "}"}]}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->1313317208],

Cell[BoxData[
 RowBox[{
  RowBox[{"4", " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "1", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "0", ",", "2", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"4", " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"4", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "1", ",", "1", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
   SuperscriptBox["m", "2"], " ", 
   RowBox[{"PVC", "[", 
    RowBox[{"0", ",", "2", ",", "0", ",", 
     SuperscriptBox["m", "2"], ",", 
     RowBox[{
      RowBox[{"2", " ", 
       SuperscriptBox["m", "2"]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         FractionBox[
          RowBox[{"q", ".", "q"}], "2"]}], ")"}]}]}], ",", 
     SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], 
    "]"}]}]}]], "Output",
 ImageSize->{403, 140},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->210855095]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"%", "/.", 
   RowBox[{
    RowBox[{"q", ".", "q"}], "\[Rule]", "0"}]}], "//", 
  "LoopRefine"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->583666301],

Cell[BoxData["2"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->2134468478]
}, Open  ]],

Cell[TextData[{
 "2.  [",
 StyleBox["Manual solution",
  FontSlant->"Italic"],
 "] Set option ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["Cancel",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopIntegrate#377984336"], "\[Rule]", 
   ButtonBox["False",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/False"]}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["Simplify",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Simplify"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " the output to manually remove the singularity before making the \
replacement ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"q", ".", "q"}], "\[Rule]", "0"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->588554313],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"LoopIntegrate", "[", 
    RowBox[{"numerator", ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p1"}], ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0"}], "}"}], ",", 
     RowBox[{"Cancel", "\[Rule]", "False"}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p1", ".", "p1"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p2", ".", "p2"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p1", ".", "p2"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"q", ".", "q"}]}], "/", "2"}], "+", 
       SuperscriptBox["m", "2"]}]}]}], "}"}]}], "//", 
  "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"%", "/.", 
   RowBox[{
    RowBox[{"q", ".", "q"}], "\[Rule]", "0"}]}], "//", 
  "LoopRefine"}]}], "Input",
 CellLabel->"In[5]:=",
 CellID->1146263390],

Cell[BoxData[
 RowBox[{"2", " ", 
  SuperscriptBox["m", "2"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "0", ",", "1", ",", 
       SuperscriptBox["m", "2"], ",", 
       RowBox[{"q", ".", "q"}], ",", 
       SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "\[ScriptD]"}], ")"}], " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "0", ",", "2", ",", 
       SuperscriptBox["m", "2"], ",", 
       RowBox[{"q", ".", "q"}], ",", 
       SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "1", ",", "0", ",", 
       SuperscriptBox["m", "2"], ",", 
       RowBox[{"q", ".", "q"}], ",", 
       SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "-", 
    RowBox[{"4", " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "1", ",", "1", ",", 
       SuperscriptBox["m", "2"], ",", 
       RowBox[{"q", ".", "q"}], ",", 
       SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
    RowBox[{"2", " ", "\[ScriptD]", " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "1", ",", "1", ",", 
       SuperscriptBox["m", "2"], ",", 
       RowBox[{"q", ".", "q"}], ",", 
       SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "-", 
    RowBox[{"2", " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "2", ",", "0", ",", 
       SuperscriptBox["m", "2"], ",", 
       RowBox[{"q", ".", "q"}], ",", 
       SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}], "+", 
    RowBox[{"\[ScriptD]", " ", 
     RowBox[{"PVC", "[", 
      RowBox[{"0", ",", "2", ",", "0", ",", 
       SuperscriptBox["m", "2"], ",", 
       RowBox[{"q", ".", "q"}], ",", 
       SuperscriptBox["m", "2"], ",", "0", ",", "m", ",", "m"}], "]"}]}]}], 
   ")"}]}]], "Output",
 ImageSize->{538, 70},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->982324508],

Cell[BoxData["2"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->73727820]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Cancel",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Cancel"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["Factor",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Factor"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["FactorSquareFree",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/FactorSquareFree"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " can be used in place of ",
 Cell[BoxData[
  ButtonBox["Simplify",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Simplify"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to manually remove the singularity."
}], "ExampleText",
 CellID->1189711606],

Cell[TextData[{
 "3.  Apply ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to obtain the leading behavior near ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"q", ".", "q"}], "=", "0"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->902191584],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"LoopIntegrate", "[", 
    RowBox[{"numerator", ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p1"}], ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0"}], "}"}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p1", ".", "p1"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p2", ".", "p2"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p1", ".", "p2"}], "\[Rule]", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         RowBox[{"q", ".", "q"}]}], "/", "2"}], "+", 
       SuperscriptBox["m", "2"]}]}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{"%", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"q", ".", "q"}], ",", "0", ",", "0"}], "}"}]}], "]"}]}], "Input",
 
 CellLabel->"In[6]:=",
 CellID->1012584247],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"2", "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", 
      RowBox[{"q", ".", "q"}], "]"}], "1"],
    SeriesData[
     X`LDot[$CellContext`q, $CellContext`q], 0, {}, 0, 1, 1],
    Editable->False]}],
  SeriesData[
   X`LDot[$CellContext`q, $CellContext`q], 0, {2}, 0, 1, 1],
  Editable->False]], "Output",
 ImageSize->{72, 16},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->1395044855]
}, Open  ]]
}, Closed]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "SEE ALSO", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "SeeAlsoSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "See Also"}], "SeeAlsoSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["Spur",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/Spur"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["DiracMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/DiracMatrix"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Transverse",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/Transverse"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Longitudinal",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/Longitudinal"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell["Tutorials", "TutorialsSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "TUTORIALS", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "TutorialsSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Tutorials"}], "TutorialsSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->250839057],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[{
 ButtonBox["Extracting Form Factors from the \[Mu]\[Rule]e \[Gamma] Amplitude",
  BaseStyle->"Link",
  ButtonData->"paclet:X/tutorial/MuToEGamma"],
 " "
}], "Tutorials",
 CellID->341631938],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Guides", "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "MORE ABOUT", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "MoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Related Guides"}], "MoreAboutSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->38303248],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "MoreAbout",
 CellID->1057100429],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "Projector - Wolfram Mathematica", "Projector"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 52, 57.061582}", 
    "history" -> {"1.0", "", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Symbol", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "Projector[\"name\"][{p, m}] gives the projector for the off shell \
self-energy form factor associated with \"name\".Projector[\"name\"][{p_1, \
m_1}, {p_2, m_2}] gives the projector for the on shell scalar/pseudoscalar \
density form factor associated with \"name\".Projector[\"name\", \
\\[Mu]][{p_1, m_1}, {p_2, m_2}] gives the projector for the on shell \
vector/axial-vector form factor associated with \"name\" and index \\[Mu].", 
    "synonyms" -> {}, "title" -> "Projector", "titlemodifier" -> "", 
    "windowtitle" -> "Projector", "type" -> "Symbol", "uri" -> 
    "X/ref/Projector"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

