Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"C0Expand\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/C0Expand"], "\<\"ScalarD0\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/ScalarD0"], "\<\"DiLog\"\>":>Documentation`HelpLookup[
       "paclet:X/ref/DiLog"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"], "\<\"Special Functions and Abbreviations \
in Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/SpecialFunctions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/ref/ScalarC0\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/ref/ScalarC0"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/ref/ScalarC0.\
html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", "X/ref/ScalarC0", 
             ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["ScalarC0", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       ButtonBox["ScalarC0",
        BaseStyle->"Link",
        ButtonData->"paclet:X/ref/ScalarC0"], "[", 
       RowBox[{
        SubscriptBox[
         StyleBox["s", "TI"], 
         StyleBox["1", "TR"]], ",", 
        SubscriptBox[
         StyleBox["s", "TI"], 
         StyleBox["12", "TR"]], ",", 
        SubscriptBox[
         StyleBox["s", "TI"], 
         StyleBox["2", "TR"]], ",", 
        SubscriptBox[
         StyleBox["m", "TI"], 
         StyleBox["0", "TR"]], ",", 
        SubscriptBox[
         StyleBox["m", "TI"], 
         StyleBox["1", "TR"]], ",", 
        SubscriptBox[
         StyleBox["m", "TI"], 
         StyleBox["2", "TR"]]}], "]"}]], "InlineFormula",
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " \[LineSeparator]gives the scalar Passarino-Veltman three-point \
function",
     " ",
     Cell[BoxData[
      FormBox[
       RowBox[{
        SubscriptBox["C", "0"], "(", 
        RowBox[{
         SubscriptBox["s", "1"], ",", 
         SubscriptBox["s", "12"], ",", 
         RowBox[{
          SubscriptBox["s", "2"], ";", 
          SubscriptBox["m", "0"]}], ",", 
         SubscriptBox["m", "1"], ",", 
         SubscriptBox["m", "2"]}], ")"}], TraditionalForm]], "InlineMath"],
     " for real external invariants ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["s", "1"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["s", "12"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["s", "2"], TraditionalForm]], "InlineMath"],
     ", and real positive masses ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["m", "0"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["m", "1"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["m", "2"], TraditionalForm]], "InlineMath"],
     "."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell["Details", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellGroupingRules->{"SectionGrouping", 50},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       Cell[
        BoxData[
         ButtonBox[
          FrameBox[
           StyleBox[
            RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"], 
           StripOnInput -> False], Appearance -> {Automatic, None}, BaseStyle -> 
          None, ButtonFunction :> (FrontEndExecute[{
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], All, ButtonCell], 
             FrontEndToken["OpenCloseGroup"], 
             FrontEnd`SelectionMove[
              FrontEnd`SelectedNotebook[], After, CellContents]}]& ), 
          Evaluator -> None, Method -> "Preemptive"]]]], "NotesSection", 
      CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Details and Options"}], "NotesSection", 
         CellSize -> {5000, Inherited}], Appearance -> {Automatic, None}, 
        BaseStyle -> None, ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& ), Evaluator -> 
        None, Method -> "Preemptive"]], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->1015231596],

Cell[CellGroupData[{

Cell[TextData[{
 "Mathematical function, suitable for numerical evaluation.  For rapid \
machine precision evaluation, ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " uses code that is compiled to the ",
 ButtonBox["Wolfram Virtual Machine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/Compile/tutorial/Overview.\
html"], None}],
 " (triggered after first numerical evaluation).  For arbitrary precision \
evaluation, ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " uses Wolfram Language code."
}], "Notes",
 CellID->706937948],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox["ScalarC0",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/ScalarC0"], "[", 
   RowBox[{
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["12", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["2", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["2", "TR"]]}], "]"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is generated by ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to maintain compact expressions.  Applying ",
 Cell[BoxData[
  ButtonBox["C0Expand",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/C0Expand"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", or setting option ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["ExplicitC0",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/LoopRefine#1875237305"], "\[Rule]", 
   ButtonBox["All",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/All"]}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " will replace ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " with its explicit form."
}], "Notes",
 CellID->887870138],

Cell[TextData[{
 "The arguments of ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["ScalarC0",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/ScalarC0"], "[", 
   RowBox[{
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["12", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["2", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["2", "TR"]]}], "]"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " correspond to ",
 Cell[BoxData[
  GraphicsBox[
   TagBox[RasterBox[CompressedData["
1:eJztnb+O48gRxgu2A4enN5DnCQ6YF5CNDR0szphcd4AVOPHibEC4TKHCTTdT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     "], {{0, 208}, {217, 0}}, {0, 255},
     ColorFunction->RGBColor],
    BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
    Selectable->False],
   BaseStyle->"ImageGraphics",
   ImageSize->{65.08750000000009, Automatic},
   ImageSizeRaw->{217, 208},
   PlotRange->{{0, 217}, {0, 208}}]], "Input"],
 "."
}], "Notes",
 CellID->2036764321],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SubscriptBox["C", "0"], "(", 
    RowBox[{
     SubscriptBox["s", "1"], ",", 
     SubscriptBox["s", "2"], ",", 
     RowBox[{
      SubscriptBox["s", "3"], ";", 
      SubscriptBox["m", "2"]}], ",", 
     SubscriptBox["m", "1"], ",", 
     SubscriptBox["m", "0"]}], ")"}], "=", 
   RowBox[{"-", 
    RowBox[{
     UnderscriptBox["lim", 
      RowBox[{"\[CurlyEpsilon]", "\[Rule]", 
       SuperscriptBox["0", "+"]}],
      LimitsPositioning->False], 
     RowBox[{
      StyleBox[
       SubsuperscriptBox["\[Integral]", "0", "1"],
       ScriptLevel->0], 
      RowBox[{
       RowBox[{"\[DifferentialD]", "y"}], 
       RowBox[{
        StyleBox[
         SubsuperscriptBox["\[Integral]", "0", 
          RowBox[{"1", "-", "y"}]],
         ScriptLevel->0], 
        RowBox[{
         RowBox[{"\[DifferentialD]", "z"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SubscriptBox["s", "1"], 
             SuperscriptBox["y", "2"]}], "+", 
            RowBox[{
             SubscriptBox["s", "2"], 
             SuperscriptBox["z", "2"]}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               SubscriptBox["s", "1"], "+", 
               SubscriptBox["s", "2"], "-", 
               SubscriptBox["s", "3"]}], ")"}], "y", " ", "z"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SubscriptBox["s", "1"]}], "+", 
               SubsuperscriptBox["m", "1", "2"], "-", 
               SubsuperscriptBox["m", "0", "2"]}], ")"}], "y"}], "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", 
                SubscriptBox["s", "2"]}], "+", 
               SubsuperscriptBox["m", "2", "2"], "-", 
               SubsuperscriptBox["m", "0", "2"]}], ")"}], "z"}], "+", 
            SubsuperscriptBox["m", "0", "2"], "-", 
            RowBox[{"i", " ", "\[CurlyEpsilon]"}]}], ")"}], 
          RowBox[{"-", "1"}]]}]}]}]}]}]}]}], 
  TraditionalForm]], "InlineMath"]], "Notes",
 Deletable->True,
 CellID->1774187941],

Cell[TextData[{
 "For vanishing external invariants, ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is automatically replaced with its explicit form. "
}], "Notes",
 CellID->962326817],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox["ScalarC0",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/ScalarC0"], "[", 
   RowBox[{
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["12", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["2", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["2", "TR"]]}], "]"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is symmetric with under any of the pair-wise interchanges ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SubscriptBox["s", "12"], "\[LongLeftRightArrow]", 
      SubscriptBox["s", "2"]}], ",", 
     RowBox[{
      SubscriptBox["m", "0"], "\[LongLeftRightArrow]", 
      SubscriptBox["m", "1"]}]}], "}"}], TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SubscriptBox["s", "12"], "\[LongLeftRightArrow]", 
      SubscriptBox["s", "1"]}], ",", 
     RowBox[{
      SubscriptBox["m", "0"], "\[LongLeftRightArrow]", 
      SubscriptBox["m", "2"]}]}], "}"}], TraditionalForm]], "InlineMath"],
 ", or ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SubscriptBox["s", "1"], "\[LongLeftRightArrow]", 
      SubscriptBox["s", "2"]}], ",", 
     RowBox[{
      SubscriptBox["m", "2"], "\[LongLeftRightArrow]", 
      SubscriptBox["m", "1"]}]}], "}"}], TraditionalForm]], "InlineMath"],
 "."
}], "Notes",
 Deletable->True,
 CellID->452835757],

Cell[TextData[{
 Cell[BoxData[
  RowBox[{
   ButtonBox["ScalarC0",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/ScalarC0"], "[", 
   RowBox[{
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["12", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["2", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["2", "TR"]]}], "]"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " automatically reorganizes its arguments canonically."
}], "Notes",
 CellID->169213588],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " evaluates only for real external invariants and masses."
}], "Notes",
 CellID->2082825702],

Cell[TextData[{
 "The following are equal to ",
 Cell[BoxData[
  RowBox[{
   ButtonBox["ScalarC0",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/ScalarC0"], "[", 
   RowBox[{
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["12", "TR"]], ",", 
    SubscriptBox[
     StyleBox["s", "TI"], 
     StyleBox["2", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["0", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["1", "TR"]], ",", 
    SubscriptBox[
     StyleBox["m", "TI"], 
     StyleBox["2", "TR"]]}], "]"}]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " in other packages:"
}], "Notes",
 CellID->55998301],

Cell[BoxData[GridBox[{
   {Cell["      ", "TableRowIcon"], Cell["FeynCalc/LoopTools", "TableText"], 
    Cell[TextData[Cell[BoxData[
     RowBox[{"C0", "[", 
      RowBox[{
       SubscriptBox[
        StyleBox["s", "TI"], 
        StyleBox["1", "TR"]], ",", 
       SubscriptBox[
        StyleBox["s", "TI"], 
        StyleBox["12", "TR"]], ",", 
       SubscriptBox[
        StyleBox["s", "TI"], 
        StyleBox["2", "TR"]], ",", 
       SubsuperscriptBox[
        StyleBox["m", "TI"], 
        StyleBox["0", "TR"], 
        StyleBox["2", "TR"]], ",", 
       SubsuperscriptBox[
        StyleBox["m", "TI"], 
        StyleBox["1", "TR"], 
        StyleBox["2", "TR"]], ",", 
       SubsuperscriptBox[
        StyleBox["m", "TI"], 
        StyleBox["2", "TR"], 
        StyleBox["2", "TR"]]}], "]"}]], "InlineFormula",
     ShowStringCharacters->False,
     FontFamily->FEPrivate`If[
       FEPrivate`Or[
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
       "Source Sans Pro", Inherited]]], "TableText"]},
   {Cell["      ", "TableRowIcon"], Cell[TextData[{
     StyleBox["Package",
      FontSlant->"Italic"],
     "-X 1.0"
    }], "TableText"], Cell[TextData[Cell[BoxData[
     RowBox[{"pvC0", "[", 
      RowBox[{
       SubscriptBox[
        StyleBox["s", "TI"], 
        StyleBox["1", "TR"]], ",", 
       SubscriptBox[
        StyleBox["s", "TI"], 
        StyleBox["2", "TR"]], ",", 
       SubscriptBox[
        StyleBox["s", "TI"], 
        StyleBox["12", "TR"]], ",", 
       SubscriptBox[
        StyleBox["m", "TI"], 
        StyleBox["2", "TR"]], ",", 
       SubscriptBox[
        StyleBox["m", "TI"], 
        StyleBox["1", "TR"]], ",", 
       SubscriptBox[
        StyleBox["m", "TI"], 
        StyleBox["0", "TR"]]}], "]"}]], "InlineFormula",
     ShowStringCharacters->False,
     FontFamily->FEPrivate`If[
       FEPrivate`Or[
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
        FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
       "Source Sans Pro", Inherited]]], "TableText"]}
  }]], "2ColumnTableMod",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}},
 GridBoxDividers->{"Rows" -> {{True, True, True}}}},
 CellID->573166446]
}, Open  ]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Closed]],

Cell[CellGroupData[{

Cell["Examples", "PrimaryExamplesSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "EXAMPLES", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "PrimaryExamplesSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Examples", "  ", 
           Cell["(11)", "ExampleCount"]}], "PrimaryExamplesSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellTags->"PrimaryExamplesSection",
 CellID->1239858557],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(5)", "ExampleCount"]
}], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1268940658],

Cell["Evaluate numerically:", "ExampleText",
 CellID->1604791234],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ScalarC0", "[", 
  RowBox[{"20.5", ",", "0", ",", "0", ",", "2.0", ",", "1.0", ",", "1.0"}], 
  "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->491538223],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.17004080001165162`"}], "-", 
  RowBox[{"0.39143027558888704`", " ", "\[ImaginaryI]"}]}]], "Output",
 ImageSize->{143, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1261011137]
}, Open  ]],

Cell["\<\
The precision of the output tracks the precision of the input:\
\>", "ExampleText",
 CellID->1015353154],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ScalarC0", "[", 
  RowBox[{
  "20.5`20", ",", "0", ",", "0", ",", "2`20", ",", "1`20", ",", "1`20"}], 
  "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->87221091],

Cell[BoxData[
 RowBox[{
  RowBox[{
  "-", "0.1700408000116518274206629014193681528601913102111737998`20.\
616477759678713"}], "-", 
  RowBox[{
  "0.391430275588887070970975384116572453087397816241525006294`21.\
544241125924948", " ", "\[ImaginaryI]"}]}]], "Output",
 ImageSize->{367, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1685515208]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->64086117],

Cell["Evaluate symbolically:", "ExampleText",
 CellID->1206061272],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ScalarC0", "[", 
  RowBox[{"0", ",", "0", ",", "0", ",", "M", ",", "m", ",", "m"}], 
  "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->173654471],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["m", "2"]}], "+", 
    SuperscriptBox["M", "2"]}]], "+", 
  FractionBox[
   RowBox[{
    SuperscriptBox["M", "2"], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["m", "2"], 
      SuperscriptBox["M", "2"]], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "2"]}], "+", 
      SuperscriptBox["M", "2"]}], ")"}], "2"]]}]], "Output",
 ImageSize->{141, 52},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1560051801]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1836925550],

Cell["Make a plot:", "ExampleText",
 CellID->394481955],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"ScalarC0", "[", 
       RowBox[{"s", ",", "0", ",", "0", ",", "2", ",", "1", ",", "1"}], "]"}],
       "]"}], ",", 
     RowBox[{"Im", "[", 
      RowBox[{"ScalarC0", "[", 
       RowBox[{"s", ",", "0", ",", "0", ",", "2", ",", "1", ",", "1"}], "]"}],
       "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", 
     RowBox[{"-", "30"}], ",", "30"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1"}], "}"}]}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1043362701],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnXtUE3cWx+fs7h/7//63e85uu/tPux6zZ/vP7umua1OrtrUWKr5Li0ob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    "], {{0, 118}, {180, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{180, 118},
  PlotRange->{{0, 180}, {0, 118}}]], "Output",
 ImageSize->{184, 118},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1577256876]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->1720110177],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["C0Expand",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/C0Expand"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to obtain the explicit analytic expression:"
}], "ExampleText",
 CellID->1761500390],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ScalarC0", "[", 
   RowBox[{"s", ",", "0", ",", "0", ",", "M", ",", "m", ",", "m"}], "]"}], "//",
   "C0Expand"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->575609447],

Cell[BoxData[
 RowBox[{
  FractionBox[
   SuperscriptBox[
    RowBox[{"Log", "[", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"2", " ", "s"}], 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "2"]}], "+", 
        SuperscriptBox["M", "2"], "+", "s", "+", 
        SqrtBox[
         RowBox[{"Kallen\[Lambda]", "[", 
          RowBox[{
           SuperscriptBox["m", "2"], ",", 
           SuperscriptBox["M", "2"], ",", "s"}], "]"}]]}]]}], "]"}], "2"], 
   RowBox[{"2", " ", "s"}]], "+", 
  FractionBox[
   RowBox[{"PolyLog", "[", 
    RowBox[{"2", ",", 
     RowBox[{"1", "-", 
      FractionBox[
       SuperscriptBox["M", "2"], 
       SuperscriptBox["m", "2"]]}]}], "]"}], "s"], "-", 
  FractionBox[
   RowBox[{"PolyLog", "[", 
    RowBox[{"2", ",", 
     FractionBox[
      RowBox[{"2", " ", "s"}], 
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       SuperscriptBox["M", "2"], "+", "s", "+", 
       SqrtBox[
        RowBox[{"Kallen\[Lambda]", "[", 
         RowBox[{
          SuperscriptBox["m", "2"], ",", 
          SuperscriptBox["M", "2"], ",", "s"}], "]"}]]}]]}], "]"}], "s"], "+", 
  FractionBox[
   RowBox[{"PolyLog", "[", 
    RowBox[{"2", ",", 
     FractionBox[
      RowBox[{"2", " ", "s"}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["m", "2"]}], "+", 
       SuperscriptBox["M", "2"], "+", "s", "+", 
       SqrtBox[
        RowBox[{"Kallen\[Lambda]", "[", 
         RowBox[{
          SuperscriptBox["m", "2"], ",", 
          SuperscriptBox["M", "2"], ",", "s"}], "]"}]]}]]}], "]"}], 
   "s"]}]], "Output",
 ImageSize->{497, 120},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->512495194]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->466888925],

Cell["Taylor series:", "ExampleText",
 CellID->96916337],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefineSeries", "[", 
  RowBox[{
   RowBox[{"ScalarC0", "[", 
    RowBox[{"s", ",", "0", ",", "0", ",", "M", ",", "m", ",", "m"}], "]"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"s", ",", "0", ",", "2"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1899604866],

Cell[BoxData[
 InterpretationBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{
        SuperscriptBox["m", "2"], "-", 
        SuperscriptBox["M", "2"]}]]}], "+", 
     FractionBox[
      RowBox[{
       SuperscriptBox["M", "2"], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["m", "2"], 
         SuperscriptBox["M", "2"]], "]"}]}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         SuperscriptBox["M", "2"]}], ")"}], "2"]]}], ")"}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["m", "2"], "+", 
         RowBox[{"5", " ", 
          SuperscriptBox["M", "2"]}]}], 
        RowBox[{"4", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["m", "2"], "-", 
            SuperscriptBox["M", "2"]}], ")"}], "3"]}]]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["M", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"2", " ", 
           SuperscriptBox["m", "2"]}], "+", 
          SuperscriptBox["M", "2"]}], ")"}], " ", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["m", "2"], 
          SuperscriptBox["M", "2"]], "]"}]}], 
       RowBox[{"2", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["m", "2"], "-", 
           SuperscriptBox["M", "2"]}], ")"}], "4"]}]]}], ")"}], " ", "s"}], 
   "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["m", "4"], "+", 
         RowBox[{"19", " ", 
          SuperscriptBox["m", "2"], " ", 
          SuperscriptBox["M", "2"]}], "+", 
         RowBox[{"10", " ", 
          SuperscriptBox["M", "4"]}]}], 
        RowBox[{"9", " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["m", "2"], "-", 
            SuperscriptBox["M", "2"]}], ")"}], "5"]}]]}], "+", 
      FractionBox[
       RowBox[{
        SuperscriptBox["M", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", 
           SuperscriptBox["m", "4"]}], "+", 
          RowBox[{"6", " ", 
           SuperscriptBox["m", "2"], " ", 
           SuperscriptBox["M", "2"]}], "+", 
          SuperscriptBox["M", "4"]}], ")"}], " ", 
        RowBox[{"Log", "[", 
         FractionBox[
          SuperscriptBox["m", "2"], 
          SuperscriptBox["M", "2"]], "]"}]}], 
       RowBox[{"3", " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["m", "2"], "-", 
           SuperscriptBox["M", "2"]}], ")"}], "6"]}]]}], ")"}], " ", 
    SuperscriptBox["s", "2"]}], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "s", "]"}], "3"],
    SeriesData[$CellContext`s, 0, {}, 0, 3, 1],
    Editable->False]}],
  SeriesData[$CellContext`s, 
   0, {(-1)/($CellContext`m^2 - $CellContext`M^2) + $CellContext`M^2 \
(-$CellContext`m^2 + $CellContext`M^2)^(-2) 
     Log[$CellContext`m^2 $CellContext`M^(-2)], 
    Rational[-1, 
       4] ($CellContext`m^2 - $CellContext`M^2)^(-3) ($CellContext`m^2 + 
      5 $CellContext`M^2) + 
    Rational[1, 
       2] $CellContext`M^2 ($CellContext`m^2 - $CellContext`M^2)^(-4) (
      2 $CellContext`m^2 + $CellContext`M^2) 
     Log[$CellContext`m^2 $CellContext`M^(-2)], 
    Rational[-1, 
       9] ($CellContext`m^2 - $CellContext`M^2)^(-5) ($CellContext`m^4 + 
      19 $CellContext`m^2 $CellContext`M^2 + 10 $CellContext`M^4) + 
    Rational[1, 
       3] $CellContext`M^2 ($CellContext`m^2 - $CellContext`M^2)^(-6) (
      3 $CellContext`m^4 + 
      6 $CellContext`m^2 $CellContext`M^2 + $CellContext`M^4) 
     Log[$CellContext`m^2 $CellContext`M^(-2)]}, 0, 3, 1],
  Editable->False]], "Output",
 ImageSize->{435, 115},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->542804158]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Scope",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1293636265],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " evaluates for any kinematic point away from infrared singularities:"
}], "ExampleText",
 CellID->1025201063],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Elastic", " ", "form"}], "-", "factor"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"ScalarC0", "[", 
   RowBox[{
   "17.0", ",", "17.0", ",", "0", ",", "1.0", ",", "1.0", ",", "1.0"}], 
   "]"}]}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1721711681],

Cell[BoxData[
 RowBox[{"0.18186219079735283`", "\[VeryThinSpace]", "-", 
  RowBox[{"0.21132639078885354`", " ", "\[ImaginaryI]"}]}]], "Output",
 ImageSize->{144, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->2003398009]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Massless", " ", "external", " ", "invariants"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"ScalarC0", "[", 
   RowBox[{"0", ",", "0", ",", "0", ",", "2.0", ",", "1.0", ",", "0"}], 
   "]"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1853507244],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.46209812037329684`"}], "+", 
  RowBox[{"0.`", " ", "\[ImaginaryI]"}]}]], "Output",
 ImageSize->{107, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->264195555]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Generalizations & Extensions",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1020263627],

Cell[TextData[{
 "By default, the code for ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is compiled to ",
 ButtonBox["Wolfram Virtual Machine",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://reference.wolfram.com/language/Compile/tutorial/Overview.\
html"], None}],
 " at initialization.  If approprate libraries are available, numerical \
evaluation can be made to go faster by compiling to C."
}], "ExampleText",
 CellID->308658232],

Cell[TextData[{
 "Quit the kernel to clear ",
 StyleBox["X`", "InlineCode"],
 " definitions:"
}], "ExampleText",
 CellID->1348549334],

Cell[BoxData["Quit"], "Input",
 CellLabel->"In[1]:=",
 CellID->1492990344],

Cell[TextData[{
 "Set the compilation target to C before reinitializing ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X:"
}], "ExampleText",
 CellID->1459337677],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"$CompilationTarget", "=", "\"\<C\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "X`"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->129719287],

Cell[BoxData["\<\"\\!\\(\\*TemplateBox[List[\\\"\\\\\\\"Package-X v2.1.0, by \
Hiren H. Patel\\\\\\\\nFor more information, see the \\\\\\\"\\\", \
TagBox[ButtonBox[PaneSelectorBox[List[Rule[False, \\\"\\\\\\\"guide\\\\\\\"\\\
\"], Rule[True, StyleBox[\\\"\\\\\\\"guide\\\\\\\"\\\", \
List[\\\"HyperlinkActive\\\"]]]], Dynamic[CurrentValue[\\\"MouseOver\\\"]], \
Rule[BaseStyle, List[\\\"Hyperlink\\\"]], Rule[FrameMargins, 0], \
Rule[ImageSize, Automatic]], Rule[BaseStyle, \\\"Link\\\"], Rule[ButtonData, \
\\\"paclet:X/guide/PackageX\\\"], Rule[ButtonNote, \
\\\"paclet:X/guide/PackageX\\\"]], Function[Annotation[Slot[1], \
\\\"paclet:X/guide/PackageX\\\", \\\"Hyperlink\\\"]]]], \
\\\"RowDefault\\\"]\\)\"\>"], "Print",
 CellLabel->"During evaluation of In[8]:=",
 CellID->1495453599]
}, Open  ]],

Cell[TextData[{
 "If no errors were reported, ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is now evaluated using compiled C code.  (The first evaluation triggers \
the compilation):"
}], "ExampleText",
 CellID->124776273],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ScalarC0", "[", 
  RowBox[{"0", ",", "1.5", ",", "2.0", ",", "2", ",", "1", ",", "0"}], 
  "]"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->161752355],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "0.8488895315798888`"}], "-", 
  RowBox[{"0.40550748775868706`", " ", "\[ImaginaryI]"}]}]], "Output",
 ImageSize->{143, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->692599802]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Issues",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(3)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->1305812373],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " evaluates to ",
 Cell[BoxData[
  ButtonBox["ComplexInfinity",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/ComplexInfinity"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " at infrared divergent points: "
}], "ExampleText",
 CellID->1163251125],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ScalarC0", "[", 
  RowBox[{"s", ",", "0", ",", "0", ",", "0", ",", "0", ",", "0"}], 
  "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1505866169],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"ScalarC0", "::", "irdiv"}], "MessageName"], ":", 
  " ", "\<\"\[NoBreak]\\!\\(\\\"Soft and collinear\\\"\\)\[NoBreak] \
singularity encountered. \\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", \
ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:X/ref/ScalarC0\\\", ButtonNote -> \
\\\"X`ScalarC0::irdiv\\\"]\\)\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->50411936],

Cell[BoxData["ComplexInfinity"], "Output",
 ImageSize->{112, 14},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->1164851434]
}, Open  ]],

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " on ",
 Cell[BoxData[
  ButtonBox["PVC",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/PVC"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to obtain the corresponding dimensionally regulated expression:"
}], "ExampleText",
 CellID->1747137700],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{"PVC", "[", 
   RowBox[{
   "0", ",", "0", ",", "0", ",", "s", ",", "0", ",", "0", ",", "0", ",", "0", 
    ",", "0"}], "]"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1562486132],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    SuperscriptBox["\[Pi]", "2"], 
    RowBox[{"12", " ", "s"}]]}], "+", 
  FractionBox[
   RowBox[{
    FractionBox["1", 
     SuperscriptBox["\[Epsilon]", "2"]], "+", 
    FractionBox[
     RowBox[{"Log", "[", 
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["\[Micro]", "2"], "s"]}], "]"}], "\[Epsilon]"], "+", 
    RowBox[{
     FractionBox["1", "2"], " ", 
     SuperscriptBox[
      RowBox[{"Log", "[", 
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox["\[Micro]", "2"], "s"]}], "]"}], "2"]}]}], 
   "s"]}]], "Output",
 ImageSize->{226, 54},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->1047507660]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->296879209],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " does not evaluate for complex arguments: "
}], "ExampleText",
 CellID->793391287],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ScalarC0", "[", 
  RowBox[{"0", ",", "0", ",", "81.3", ",", 
   RowBox[{"3.3", "-", 
    RowBox[{"1.1", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"3.3", "-", 
    RowBox[{"1.1", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"3.3", "-", 
    RowBox[{"1.1", "\[ImaginaryI]"}]}]}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->245529215],

Cell[BoxData[
 RowBox[{"ScalarC0", "[", 
  RowBox[{"0", ",", "0", ",", "81.3`", ",", 
   RowBox[{"3.3`", "\[VeryThinSpace]", "-", 
    RowBox[{"1.1`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"3.3`", "\[VeryThinSpace]", "-", 
    RowBox[{"1.1`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"3.3`", "\[VeryThinSpace]", "-", 
    RowBox[{"1.1`", " ", "\[ImaginaryI]"}]}]}], "]"}]], "Output",
 ImageSize->{378, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->2010184966]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->60784298],

Cell[TextData[{
 "If the arguments of ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " are widely separated numerically, machine-precision evaluation can lead to \
numerical instabilities:"
}], "ExampleText",
 CellID->1546964161],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"me", "=", "0.0005"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m\[Mu]", "=", "0.135"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mq", "=", "1.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"ScalarC0", "[", 
    RowBox[{"0", ",", 
     SuperscriptBox["me", "2"], ",", 
     SuperscriptBox["m\[Mu]", "2"], ",", "mq", ",", "mq", ",", "mLQ"}], "]"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"mLQ", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", ".15"}], ",", ".15"}], "}"}]}]}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->1295589896],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnX14E0Uex+e5uz/uefxDnnt8vIdHEU88lTsvgmcVmhYoekpFKG8nIkV5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    "], {{0, 104}, {
    180, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{180, 104},
  PlotRange->{{0, 180}, {0, 104}}]], "Output",
 ImageSize->{184, 104},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->418176364]
}, Open  ]],

Cell["Use arbitrary precision arithmetic to improve stability:", "ExampleText",
 CellID->541676103],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"me", "=", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"0.0005", ",", "20"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m\[Mu]", "=", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"0.13", ",", "20"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mq", "=", 
   RowBox[{"SetPrecision", "[", 
    RowBox[{"1.2", ",", "20"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"ScalarC0", "[", 
    RowBox[{"0", ",", 
     SuperscriptBox["me", "2"], ",", 
     SuperscriptBox["m\[Mu]", "2"], ",", "mq", ",", "mq", ",", "mLQ"}], "]"}],
    ",", 
   RowBox[{"{", 
    RowBox[{"mLQ", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.15"}], ",", "0.15"}], "}"}]}], ",", 
   RowBox[{"WorkingPrecision", "\[Rule]", "20"}]}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->1923034106],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwdiXk81AkfgKVLhDEM07gyjsqZO8dv+5JaRlkqpZQIHZuQe0TE5IhKjdSU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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 30}, {-0.15, 0.15}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 ImageSize->{184, 104},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->958017147]
}, Open  ]],

Cell[TextData[{
 "Alternatively, obtain an asymptotic approximation with ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "ExampleText",
 CellID->1349021908],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"me", ",", "m\[Mu]", ",", "mq"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"approx", "[", 
   RowBox[{"me_", ",", "m\[Mu]_", ",", "mq_", ",", "mLQ_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"LoopRefineSeries", "[", 
    RowBox[{
     RowBox[{"ScalarC0", "[", 
      RowBox[{"0", ",", 
       SuperscriptBox["me", "2"], ",", 
       SuperscriptBox["m\[Mu]", "2"], ",", "mq", ",", "mq", ",", "mLQ"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"me", ",", "0", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"m\[Mu]", ",", "0", ",", "2"}], "}"}]}], "]"}], "//", 
   "Normal"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"me", "=", "0.0005"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"m\[Mu]", "=", "0.135"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mq", "=", "1.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"approx", "[", 
    RowBox[{"me", ",", "m\[Mu]", ",", "mq", ",", "mLQ"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"mLQ", ",", "0", ",", "30"}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "0.15"}], ",", "0.15"}], "}"}]}]}], "]"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->1339126599],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{
    SuperscriptBox["mLQ", "2"], "-", 
    SuperscriptBox["mq", "2"]}]], "-", 
  FractionBox[
   RowBox[{
    SuperscriptBox["mLQ", "2"], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      SuperscriptBox["mLQ", "2"], 
      SuperscriptBox["mq", "2"]], "]"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["mLQ", "2"], "-", 
      SuperscriptBox["mq", "2"]}], ")"}], "2"]], "+", 
  RowBox[{
   SuperscriptBox["me", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"5", " ", 
        SuperscriptBox["mLQ", "2"]}], "+", 
       SuperscriptBox["mq", "2"]}], 
      RowBox[{"4", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mLQ", "2"], "-", 
          SuperscriptBox["mq", "2"]}], ")"}], "3"]}]], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["mLQ", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["mLQ", "2"], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["mq", "2"]}]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["mLQ", "2"], 
         SuperscriptBox["mq", "2"]], "]"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mLQ", "2"], "-", 
          SuperscriptBox["mq", "2"]}], ")"}], "4"]}]]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox["m\[Mu]", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"5", " ", 
        SuperscriptBox["mLQ", "2"]}], "+", 
       SuperscriptBox["mq", "2"]}], 
      RowBox[{"4", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mLQ", "2"], "-", 
          SuperscriptBox["mq", "2"]}], ")"}], "3"]}]], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["mLQ", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["mLQ", "2"], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["mq", "2"]}]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         SuperscriptBox["mLQ", "2"], 
         SuperscriptBox["mq", "2"]], "]"}]}], 
      RowBox[{"2", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["mLQ", "2"], "-", 
          SuperscriptBox["mq", "2"]}], ")"}], "4"]}]], "+", 
     RowBox[{
      SuperscriptBox["me", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{
          RowBox[{"10", " ", 
           SuperscriptBox["mLQ", "4"]}], "+", 
          RowBox[{"19", " ", 
           SuperscriptBox["mLQ", "2"], " ", 
           SuperscriptBox["mq", "2"]}], "+", 
          SuperscriptBox["mq", "4"]}], 
         RowBox[{"9", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["mLQ", "2"], "-", 
             SuperscriptBox["mq", "2"]}], ")"}], "5"]}]], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["mLQ", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["mLQ", "4"], "+", 
            RowBox[{"6", " ", 
             SuperscriptBox["mLQ", "2"], " ", 
             SuperscriptBox["mq", "2"]}], "+", 
            RowBox[{"3", " ", 
             SuperscriptBox["mq", "4"]}]}], ")"}], " ", 
          RowBox[{"Log", "[", 
           FractionBox[
            SuperscriptBox["mLQ", "2"], 
            SuperscriptBox["mq", "2"]], "]"}]}], 
         RowBox[{"3", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["mLQ", "2"], "-", 
             SuperscriptBox["mq", "2"]}], ")"}], "6"]}]]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 ImageSize->{534, 187},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->1115846571],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwdxQk41AkfwHFRzlyDMYbJIipHcuT+b78UMdLmChUpaat1JcWInLmyIpKj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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 30}, {-0.15, 0.15}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], Automatic}]], "Output",
 ImageSize->{184, 104},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->58629546]
}, Open  ]]
}, Open  ]]
}, Closed]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Neat Examples",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection", "ExampleSection",
 WholeCellGroupOpener->True,
 CellID->589267740],

Cell["\<\
Explore the anomalous threshold in the three point scalar function.\
\>", "ExampleText",
 CellID->1787478942],

Cell[BoxData[
 RowBox[{"Manipulate", "[", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Re", "[", 
        RowBox[{"ScalarC0", "[", 
         RowBox[{"qSq", ",", 
          SuperscriptBox["mD", "2"], ",", 
          SuperscriptBox["mD", "2"], ",", "mN", ",", "mN", ",", "mN"}], "]"}],
         "]"}], ",", 
       RowBox[{"Im", "[", 
        RowBox[{"ScalarC0", "[", 
         RowBox[{"qSq", ",", 
          SuperscriptBox["mD", "2"], ",", 
          SuperscriptBox["mD", "2"], ",", "mN", ",", "mN", ",", "mN"}], "]"}],
         "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"qSq", ",", 
       RowBox[{"-", ".05"}], ",", "5"}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "20"}], ",", "12"}], "}"}]}], ",", "\[IndentingNewLine]", 
     RowBox[{"Epilog", "\[Rule]", 
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Text", "[", 
         RowBox[{"\"\<anomalous\\nthreshold\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{
             SuperscriptBox["mD", "2"], 
             RowBox[{"(", 
              RowBox[{"4", "-", 
               RowBox[{
                SuperscriptBox["mD", "2"], "/", 
                SuperscriptBox["mN", "2"]}]}], ")"}]}], ",", "6"}], "}"}]}], 
         "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              SuperscriptBox["mD", "2"], 
              RowBox[{"(", 
               RowBox[{"4", "-", 
                RowBox[{
                 SuperscriptBox["mD", "2"], "/", 
                 SuperscriptBox["mN", "2"]}]}], ")"}]}], ",", "4"}], "}"}], 
           ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              SuperscriptBox["mD", "2"], 
              RowBox[{"(", 
               RowBox[{"4", "-", 
                RowBox[{
                 SuperscriptBox["mD", "2"], "/", 
                 SuperscriptBox["mN", "2"]}]}], ")"}]}], ",", ".2"}], "}"}]}],
           "}"}], "]"}], ",", "\[IndentingNewLine]", 
        RowBox[{"Text", "[", 
         RowBox[{"\"\<normal\\nthreshold\>\"", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["mN", "2"]}], ",", 
            RowBox[{"-", "12"}]}], "}"}]}], "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["mN", "2"]}], ",", 
             RowBox[{"-", "10"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["mN", "2"]}], ",", 
             RowBox[{"-", "5"}]}], "}"}]}], "}"}], "]"}]}], 
       "\[IndentingNewLine]", "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mD", ",", "1.83"}], "}"}], ",", ".1", ",", "2"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"mN", ",", ".95"}], "}"}], ",", ".8", ",", "1.0"}], "}"}]}], 
  "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->943955551]
}, Closed]],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["See Also", "SeeAlsoSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "SEE ALSO", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "SeeAlsoSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "See Also"}], "SeeAlsoSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["C0Expand",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/C0Expand"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ScalarD0",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/ScalarD0"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula"],
 "\[NonBreakingSpace]",
 StyleBox["\[MediumSpace]\[FilledVerySmallSquare]\[MediumSpace]", 
  "InlineSeparator"],
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["DiLog",
    BaseStyle->"Link",
    ButtonData->"paclet:X/ref/DiLog"],
   FontFamily->FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
     "Verdana"]]], "InlineFormula",
  ShowStringCharacters->False]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Guides", "MoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
      TextData[
       ButtonBox[
       "MORE ABOUT", BaseStyle -> None, Appearance -> {Automatic, None}, 
        Evaluator -> None, Method -> "Preemptive", 
        ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], 
      "MoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      TextData[
       ButtonBox[
        Cell[
         TextData[{
           Cell[
            BoxData[
             InterpretationBox[
              StyleBox[
               
               GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
                Baseline], "CacheGraphics" -> False], 
              Spacer[24]]]], "Related Guides"}], "MoreAboutSection", 
         CellSize -> {5000, Inherited}], BaseStyle -> None, 
        Appearance -> {Automatic, None}, Evaluator -> None, Method -> 
        "Preemptive", ButtonFunction :> (FrontEndExecute[{
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], All, ButtonCell], 
           FrontEndToken["OpenCloseGroup"], 
           FrontEnd`SelectionMove[
            FrontEnd`SelectedNotebook[], After, CellContents]}]& )]], None]], 
    None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->38303248],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "MoreAbout",
 CellID->425540649],

Cell[TextData[ButtonBox["Special Functions and Abbreviations in Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/SpecialFunctions"]], "MoreAbout",
 CellID->941143233],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "ScalarC0 - Wolfram Mathematica", "ScalarC0"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "SymbolColor", "LinkTrails" -> 
  GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 53, 11.232086}", 
    "history" -> {"1.0", "2.0", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Symbol", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "ScalarC0[s_1, s_12, s_2, m_0, m_1, m_2] gives the scalar \
Passarino-Veltman three-point function C_0 (s_1, s_12, s_2; m_0, m_1, m_2) \
for real external invariants s_1, s_12, s_2, and real positive masses m_0, \
m_1, m_2.", "synonyms" -> {}, "title" -> "ScalarC0", "titlemodifier" -> "", 
    "windowtitle" -> "ScalarC0", "type" -> "Symbol", "uri" -> 
    "X/ref/ScalarC0"}, "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

