Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Related Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Scattering of Light by Light\"\>":>
       Documentation`HelpLookup["paclet:X/tutorial/ScatteringLightByLight"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Functions \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"MandelstamRelations\"\>":>
       Documentation`HelpLookup["paclet:X/ref/MandelstamRelations"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/tutorial/ArgumentsOfScalarD\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/tutorial/ArgumentsOfScalarD"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/tutorial/\
ArgumentsOfScalarD.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "X/tutorial/ArgumentsOfScalarD", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["Bringing the Arguments of D Functions to Canonical Form", "Title",
 CellID->509267359],

Cell[CellGroupData[{

Cell["Introduction", "Subsection",
 CellID->2017357689],

Cell[CellGroupData[{

Cell[TextData[{
 "In one-loop integrals corresponding to 2\[Rule]2 scattering or 1\[Rule]3 \
decay processes, the Passarino-Veltman ",
 Cell[BoxData[
  FormBox["D", TraditionalForm]], "InlineMath"],
 " functions depend on ten variables: 4 external masses, 4 internal masses, \
and 2 (out of 3) Mandelstam/Dalitz variables.  It is conventional to present ",
 Cell[BoxData[
  FormBox["D", TraditionalForm]], "InlineMath"],
 " functions in publications with their arguments organized in the following \
way:"
}], "Text",
 Deletable->True,
 CellID->1534169418],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{Cell[BoxData[
     FormBox[
      RowBox[{"D", "("}], TraditionalForm]], "InlineMath"], Cell[BoxData[
     FormBox[
      RowBox[{
       UnderscriptBox[
        UnderscriptBox[
         RowBox[{"\[Cross]", 
          RowBox[{",", " ", 
           RowBox[{"\[Cross]", 
            RowBox[{",", " ", 
             RowBox[{"\[Cross]", 
              RowBox[{",", " ", "\[Cross]"}]}]}]}]}]}], "\[UnderBrace]"], 
        RowBox[{"external", " ", "masses"}]], ",", 
       UnderscriptBox[
        UnderscriptBox[
         RowBox[{"\[EmptySquare]", ",", " ", "\[EmptySquare]"}], 
         "\[UnderBrace]"], GridBox[{
          {
           RowBox[{"Mandelstam", "/"}]},
          {
           RowBox[{"Dalitz", " ", 
            RowBox[{"vars", "."}]}]}
         }]], ",", 
       UnderscriptBox[
        UnderscriptBox[
         RowBox[{
         "\[EmptyUpTriangle]", ",", " ", "\[EmptyUpTriangle]", ",", " ", 
          "\[EmptyUpTriangle]", ",", " ", "\[EmptyUpTriangle]"}], 
         "\[UnderBrace]"], 
        RowBox[{"internal", " ", "masses"}]]}], TraditionalForm]], 
     "InlineMath"], Cell[BoxData[
     FormBox[")", TraditionalForm]], "InlineMath"]}], "."}], 
  TraditionalForm]], "NumberedEquation",
 CellID->332437474]
}, Open  ]],

Cell[TextData[{
 "Due to ",
 ButtonBox["numerous invariances",
  BaseStyle->"Link",
  ButtonData->"paclet:X/ref/ScalarD0#1944346293"],
 " of the ",
 Cell[BoxData[
  FormBox["D", TraditionalForm]], "InlineMath"],
 " function under permutations of its arguments, ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " may not generate ",
 Cell[BoxData[
  FormBox["D", TraditionalForm]], "InlineMath"],
 " functions with this ordering.  This tutorial illustrates the strategy to \
obtain ",
 Cell[BoxData[
  FormBox["D", TraditionalForm]], "InlineMath"],
 " functions with their arguments in canonical form for two examples:"
}], "Text",
 Deletable->True,
 CellID->1095419976],

Cell[TextData[{
 "\t",
 Cell[BoxData[GridBox[{
    {
     RowBox[{"(", "a", ")"}], 
     RowBox[{"(", "b", ")"}]},
    {
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzt3c+LHsmZ4PGntxezNk136za3qm2vr3aD/gCVF52GARVjmsEnvzOsdfBF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        "], {{0, 453}, {548, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{137.6856249999994, Automatic},
      ImageSizeRaw->{548, 453},
      PlotRange->{{0, 548}, {0, 453}}], 
     RowBox[{"     ", 
      GraphicsBox[
       TagBox[RasterBox[CompressedData["
1:eJzt3b+LJMmeGPDvSjLO3P0DBK3xdTwY+6Al1pGs5cQggZy6QxpDhjScBMPB
Idpcc5E3XlsyhjMWyREa41ogcxALB+KM1zCGZEhIrT1O3L3jTjeqnIqeqc6K
qorKyqzIH5+Gz2PfdFV3RFZ25jcivt/Iv/Xb/+I3X/61iPiXv7b+n9/8rdd/
53d+57d+9x/8jfX/+bu/+6/+6W//9fV//Nr6+39zrfnHjx8/AgAAAAAAAAAA
AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAADiq/i2drrlvu1
j81/t177fO379L1H9+k939TuCwAwPilO+HjE863Xvzny2oft1wMAtK1jhZe5
GCJ9r5kHeV8QnzzGHeY7AIC9MnHF2yZ+2F5n2Y4nDsx7vK7VBwBg/LZii0cv
UhzSeLbnPbm4433tvgAA45TmM9qxQxNPvDvyvud75jqsrwAAO9KcRjtuuC+J
HfbEHNl5EQBg2faskbwofG97Tabxbe0+AQDjk+pNtmOGg2sqrffmYg41swDA
E3tyMl6e8H75HADAUbG7N9jDCe99tm9fDwCAbWkfjif1Kie8N5d7+rZ2nwCA
cUk1su1cjqLc0fT+9rNX7AkGAOzIzFOctC4S+T3R5XIAAE9k5ilOWVfJ5XIU
vx8AWI7MPMUp6yq559LaCwwAJmL9db12Nfjvye93XrQusicPRB4HAIxcE2Os
/bD289rH5HbQ37k7T1Fcb5J5r+e6AcCIrb9Wa3dbcUbbarDfvVsjWzRPkZnj
eLCmAgDjk+Y0blpzGvvcDNaO3bWRov3KY/fZLJ6tAgAjsv76bu3Hgjhj26tB
2rK733lRjWymtrZ4j3QAYDjrr6+buGHtw4mxxsc0D/L1IO3qkMuR4pQH8QYA
jEeqPbntEGd8TPHJzVDxxqf27dbIHszlSHtx3FtPAYD60pzGquOcxseUS/rd
4O3M18junbNI6ymP8xvv+8wXTfMt72p/dgAwBeuvX6Q5jZKc0Nz6SVMje3Wx
9uafy/a+PXfxGA+k79/3uZaSfvZjHCPmAIAD0pzGT2fMaayqtHt3v/O3KQZo
r7c8pH8v3pu04He/bK3RiDkAICPye3edMqfRzIf8omofzniO7Jm/99ut+OaN
mAMAdsWmzvXujJzQ1ZA5ocX92K2RrfIc2Hj6fDgxBwCLFl/27uqaE9rMaVzX
7seTPo1kz3IxBwB8rnM9de+u7TmNV2OY08j2bXe/8+8rtUPMAcAixXl7d31M
Mcrgda5n9TH/LNiL5HJk2iLmAGBR4kuda5c44+e09nJVux9Ffc3XyFZ5NpuY
A4AliC97d02uzvWsfu/WyBY9Y2Wgtog5AJitlBN6GxPZu6v3/u/uv3H0GSsD
tkXMAcDspDmNu45zGj/FSOpczzoGT+/xVfNHM+0RcwAwWfGlzrXLnMZjnWvV
vbt6PR676ypiDgA4Q2z27pplnWvnY5KPNz7vbV6pTWIOACYn5YTexIz27url
uHx5PluRC7dNzAHAZMRm767bM+Y0bqacEzplYg4Axi6+1Ll2ndMY/d5dSyDm
AGCs4sveXYusc50bMQcAYxML3LtrCcQcAIxBbOpcfzhjTqOZD5lNnesciTkA
qCk2da53Hec0ZrF31xKkZ81tP9/2odZzXwBYjviyd1fXnNBmTuO6dj8o+Ky/
im8Lanbva7cTgHmJTZ2rvbsAgN7Fps711RlzGupcAYC94kuda9c5jWbt5ap2
PwCA8Ykve3epcwUAepdyQps5DXt3AQC9S3Madx3nNNS5AgB7hb27AICBpDyN
31v7L2fkhKpzBYCFSzHFdWz2BL1J8xjNmskfdowx7N0FAAuVYorrFFPcpJii
ay6GOlcAWKjY7IdxndYwmnv+jwPFFPvYuwsAZi7FG5eKLbb9cahzBYBFie77
cHXxy7B3FwAsUmz2uhg61vjztX9Yu68AQD2xqT3psmdGqf8cal0BgI+f4o4f
Boo3bmr3DQAYj9jsEdpnrNHMm1zX7hcAMA5pXaWpkf3QY7zxk7UUAKARm/04
bgdYS/mhdt8AgLrSnMYqhqmNbdZS7OsFAAuWcjVuY7jalCaGuardTwCgjjSn
cTdQnPHotnY/AYDLS3MaP3Sc0/g5zYf8QeFrV7X7CwBcVmyeJf9jx7mKD7Gp
Xfl662cdW0v5Re0+AwCXEZuc0JvoXufazGlc7/nZ+37mbaiDBYBFiPPqXD+k
OOVg3JDmPdrvXdXuOwAwrDh/765m3aW4ljX9vu04xVoKAMxYc6+P7nWuzXua
fNKrjr/7NsUq1lIAYKbivL277vpYB+kaqwAA4xb91Lle1e4HADBOcd7eXT+l
91v/AAB2pDmNmzNyQps5jeva/QAAxil63LsLAGBb9FPnel27HwDAOEU/e3dd
1e4HADA+aU5jFZXrXAGAeYqKe3cBAPMXPdS51u4DADBO0c/eXZ5fAgBkhTpX
AGAgYe8uAGBA0U+dqzkNAGBH9LN313e1+wEAjFOocwUABhL27gIABhT91Lle
1e4HADBO0cPeXXJCAYCcUOcKAAwo7N0FAAwk+qlzva7dDwBgnKKfvbuuavcD
ABif6KfO1d5dAEBW2LsLABjQ+us/rf2fjnMan+pca/cBABivtIbylx3nNJr5
kF/U7gMAMG6x2Vvjf3TICW3yPNS5AgBHpbyNU3I2mjmN69rtBgCmIzb7eZXG
G79a+43abQYApiWti3TJ3VjVbjsAMA2pjrVLXcqjVe0+AADjFsf3EW3mMr4v
WHO5rd0XAGB8Ui3ssb1Ef36seS3MLb1VtwIAPIpNLeyxeOOndvyQ4o6T3wcA
LE/hfMXdvrihcH7kp7AnGAAsVpTVwt4W/JyvC/NAxB0AsDBRVgt7c+LPLIk7
VrX7DgBcRpTVwq46/uySWKbTzwYApqNwLuL6zN+x6mPNBgCYnsJcz95yLkIt
LQAsTnSshe3h96qlBYCFKJxvuBvqvl84v6KWFgAmLHqqhe2hHWppAWCmYoBa
2B7aVBJ3rGofOwCgTAxYC9tD20pioSptAwDKFc4lXFdu42oMaz4AwOkKczVH
kzMRamkBYHKiUi1sD+1WSwsAE1E4X3A31vt24fyMWtpjx/GreLn2estDo3a7
AJiHGEktbA/9UEvb5bht4oyPB7yp3UaAMTE+63jcRlgL20OfSuKOVe12jtH6
b+ZZJuZ4UbtdALUZn515/EZcC9tD30piqUn2bfBjt4nXt/+OvqndJoAxMT47
8XhNoBa2hz6u5rBmdNFj9lU8b/0Nva/dJoAxMj4rOEYTq4Xtob9qaU85Xpt1
ye2/oe9rtwlgbIzPCo7RRGthe+i3WtrSY/VVvG39HX1bu00AY2N8duT4TLwW
tof+q6UtOU5P5wrlYANkGJ8dODYzqYXt4TiopT10fHbnCt/WbhPAGBmf7Tku
M6yF7eGYlMQdq9rtvPhx2Z0rfF27TQBjY3y257jMuBa2h2NTEost6tg0OVCt
v6PntdsEMDbGZ5ljsoBa2B6O0cqaUzoWX8U3rb+h+9ptAhgj47OtY7GwWtge
jpda2o+f/oZeHMrBbvbXO7L/3ie1+3Gkj69b3ufGKGmvwXft/QXliAHGZ1vH
YqG1sD0ct8XX0jYxRsl+emnvvfsp3Y8LYqXnW31rj1/aFj+HCku2hPFZ0XFY
eC1sD8dv0bW0mXvt3v30tl57P6U5xZT31d438OHA9/YZbXwFDGvO47PiY6AW
tq/juMha2sxc4d799OJL7tS7Q3HJWGWuF2+34o377XmM9O/tNZZPfa/dD6CO
JYzPDvZfLewQx7Qk7ljVbmdv/d19VmJ2/WAr3pjssxMz854v0/UgW+uW4rHc
/Mfk4i3gPEsan2X7pBZ2yGNbEsvN4tjG7n56O/H41vzApPMZMmOUd+312AN9
l6cOC7ak8dlOn9TCXuIYr5awZhVH9tPbWl+Y9HOaM2OUg+OUrfe1a/HldMAC
LWl89rk/amEvfbxnXUsbB/bTiy91HA9zuMfGbr55UeyQGduIOWCBljI++9yf
UAtb6bjPtpY2M4Z/nf792/iSVzmLdYTMGklRLuieeY5ZHBOgzJLGZ5/6pBa2
9vGfZS1tbq6wNa7vHK/vuVcPoWjNNHZzQYv6lolV5JDCwixqfKYWdhRihrW0
rfvw+8z9tfOzi8YUc2TGKMXPgczEZUdzQIB5GXJ8NiahFnZ0CuOOVe12Hu1H
Pr/hY2Y+4FnHnz+mmKPdluJ88szxOFjnAszPkOOzsQi1sKNVGAuO+rPJ/M3c
p9i9/e+Tz7/OjFFK11Xa8yOfxje1+wNcztDjszEoHEtf127nksXEa2ljz356
uXWImHj+QuvaUNyfTPxlD1JYmDmPzwpzFSeVMzBnMdFa2jiyn14mHnlZu81n
9HVvvnnBMWqPY2aRkw6Um+v4bP11VRBvTLImc85igrW0mbnC9rMR23tSTDZv
sutYJHMMZrOnIFBmruOzwvHy3ZjuWzz5/CZVS5u5D79ofX82Y/zMNeHommum
//dTGr8A/Zjj+CzUws5CTKiWNnafsbxzP43dWo99z0F7UXIfr9TP4mcytd7X
jsnkjcICzW18FmphZ6cw7lhVa9/uGmT2PhybvfXaedrPMq8Z7RrmsTFK4fGZ
Rd09cLo5jc9CLexsFcaSVT7bzN/H3vtw7D77/U3r++9K8yMq9fXgGCXz+m9a
15hJrM0C/ZvT+KxwLHxd+5hz1me8GuOaWZywV8Wev6WX6XtNPHJf+zgf6Ws2
33zPa79pvX6086PA8OYwPivMNRzFmj+9fN691dI2eT+9tOnEvSoyf0uTyHPI
xEt79ztP45nHeON9X/1K8yz2LYUJmvr4bP11VRBvjKqmkl4+97Nrabfmxc6K
RTNzhUf3qoh8jlRxzWm1457fe72dc/5tK6bqpU+xyWV/PGZqbGGCpjw+S/ed
Pz1y37kTb8xT4fxWtpY2nub9/HRWO/Y8G7HgfdvzAPeH4v2xyIxR3kT+GbFv
eow1XmTWc8QcMDFTHp+tv/7N2v8b27o+lxUdamkjn4t6U7svU5D52x88dyvF
G69b4x0xB0zMFMdn6X7xv47cY9xDFqYw7mjOne8OvEa+z6FjXJhvPuDvfybm
AC4h3S8+FMQajVXt9lLtHDl2bhxaiztrjWXuMmOUi+ZxijmAoZ0Ya/wq1MIu
WpTV0pof63JsN3Vp1fb1EnMAQ0hr9DcnxBqNv1z7jdptp74oq6U9xBpL+5ju
7nd+kVyOVhvEHEBvtmKNLvcL8QafRVktrTWW0uO5u9/5xZ+5JOYA+nBmrNGw
PxA70nn1v62x9HAsd+thj9a4DdAGMQfQWQ+xhjEpe0XZs3essZQcy939MS6/
37CYA+igp1jDfYG9oqyGRTxbciw3+4pm9x++cDvEHECxnmMN899kxeE9OJxj
pxzLTR5H+7nTj89Puejz2sQcQIkBYg1jULLi/JoVc2kf985t7HOR+7+YAzhm
/XU9wD1gkfcBjovj+5GKbydKzAEcE2XP4TLfTW9SnHvnnJsXMQdQoue4w5iT
Iin26HPew9xazc9TzAEUiv7W2V33Ocn666qn2EO8W/NzFHMAJ+gh7rip3Qem
q6fY46Z2P5Yo7b3+tuY+qMD0rL/+ozEmNfUQe5hru+Tndbxu5uL7kwHj5zrP
mJwRezT7qX9du/0A7Irzc0hvaveB+eoYe/xXcQfAuKTr+TnxhjUVLqJD7PFL
cQfAOERZzuifWFNhTE6MPf7QOcq5Uk3O65b7XL7K+v8/zzzn9z6955vafYEa
YvPMi2Pxxu2RdZeb2v1gudK5+f3anx85j38Wd9BFihOO5cg+33r9myOvfdh+
fcV+PcZQ7ecRN+1/dqDv1dvO9ETZMz1vtl6fmw+xpsIoHImLt+OOVe22Ml3N
s3pzMUT63rPM/ftQ3FFlviO1800rxtiOmb5PczLt2udPczW1PwOmZ/31Q0G8
scq8rx13GDcyKuuvf9bl3IZSmbjibbo/f15n2Y4nDsx7XLx+ODbPIN5e68nO
WaQ+vEmx0Xabv699/JmWgjXwJqa4PvD+x/mRm9p9gZx0jv7xsTXD2u1kmrZi
i0cvUhzy/nFNIvOeXNxx0T3TWvkl9/vaml77zZ446UXt4880nDD3fHTuYv31
Xe3+wCF71gKzuUq128p07LkXN/HEuyPve77nHn6R9ZVWzPNwKN7Yek97juNi
7WXa1l9XBfHGT66/zEmKO5z39Ka1NrE9Z3D0Xrwn5jh67++hze36maK5ikzM
YS97jioc79257jJHhfN7P8lNosSeNZLSe3h7Tabx7cDtbdedFD93L9NWuRwc
FIW1sLXbCUNKcUdJHpO4g4MyY/+Dayqt9+ZijsHqTjNzMsW1MvH0+cByOTgq
TqyFhbkrjDtWtdvJOO3JyXh5wvsvls+RYoZ2fHRKW3NrSHI5yIqOtbAwd4Wx
+Kp2OxmfzDrFwwnvzc0bFL+/Q1vftXNOTnx/ew1JLgdZhWO569rthFpS3GHN
kZPE7v5Yp+RG5OYN3g7Uzty+ZcVzHOln2JeDgwpz5axZw8fi3OomfpdbzWON
bPs+XJzfkKkdGWxPsEzeyKlzHLn4SC4Hn62/rgriDTWBsCXU0lJ6rmTyMU98
f25P9N7zI/bMcZwU22TWZeRy8FnheO3OdRN2Fc4PqqVduMw8xSnrKrlcjuL3
n9jOXGxTvAfI+rXfXmoNiOkJtbBwtlBLy7FzZPdefsq6Su7ZrL3vBRb5upqT
cj/3zHFc/LkwjE+ohYVeFcYdq9rt5MLnRX6/89J9LnJ5IEPlceRim+Lczz1z
HIPuIcI0hFpYGERhLL+q3U4ueE7s3suL1xoy7x2s5jR262pOim8yuaeD1vMy
DYVjseva7YSpCrW0bJ8Pu/fyovt4Zo6j6NlqZ7Qzl8tRVCObYqOHzM+Qy7FQ
hblu1pyhB6GWlsdzYXdtpGitIXb31Rr62SqdnueylQfy4lLrQIzb+uuqIN5Q
0wc9CrW0i5fJyyxaa4jd2tqT9uTq2NZczHHw96a5mOZ93+/JQZXLsTCF4607
1z3oX+H8olrameqSy5Hu3Q+XjDfS782trezNIU3xxvvHHJNMX+VyLEyohYXq
Qi3tYmXu4wfXGmKzF8f2fEOn9ZQUD7RjgPtDvz/ye50279mpsUntfJ++/yz9
WztvRS7HgoRaWBiVwrhjVbud9PR552tk985ZtPIh3kfHfNHMukwujtj52bG/
1vX94xpJK5Z52F47kcuxXKEWFkapcCywqt1Oevis8/f+9+25i3QPf7cVD3Re
SzkQN+y0Y8/7c/WyR+OWkMuxWIVjqeva7YSlCrW0i5BZq3ib4ov2estD+vez
n4O2tS7zuvXvL2M3R3QntknzGLm9RLft7LseF9xHhHEozFWzZgwjEGppZy+z
1jDos1W31may8wuxmyuyN98i/azt2OMxLtr3s9txlGfXz9j666og3lCTByMS
amlna89aw6DPVk3zKMdqW7efG3vSM+oP/Mxc3opn189U4XjpznULxqdwflIt
7cTUWGso+R2t+OBdT783l7fi2fUzFGphYfJCLe3sZHIxR7PW0HebMnkrcjlm
KNTCwqwUxh2r2u3kyOeYfxbsKNYaWvMcveylLpdj/kItLMxS4VhiVbudHPgM
82sNgz2brWPb+lpXkcsxc4Vjoeva7QS6CbW0k5ZZaxjNHuBbtSi97J0hl2O+
CnPNrPnCDIRa2snKrDWMYg/w+LJfWG/Pb5HLMU+hFhYWJ9TSTk7aA6M97q+e
3xBbz3/t+efK5ZiZwvHOnesOzE/h/KZa2pHIjPtHcR9Oayq9zrfs2YNELseE
hVpYWLxQSzsJe+KNz3t4VmzXm75yRls/N/dsFs9YmahQCwtsKYw7VrXbuTRx
/PkkT1y4bY/Pd+klrzPljOaeGfN5n7Gx1OhwwueqFhbIKByLrGq3k/pis895
L/FGPN0z/RS95asy0HmiFhY4INTScuwc2cxH3B+bc0g5GdXWfainMFfMmi3Q
XC/U0pI/NzY1saXxxr39NJYn1MICJwq1tLTPiU0c0d53/ZBR7B3CBc8RtbBA
R4Xzo2ppF6BDvKG2dWFCLSxwplBLy8dPMcep8cZo9mTnAueHWligR4Vxx6p2
O4HLCrWwwAAKxzKr2u0ELqNwLHJdu53ANIVaWli8wlwva67A2UItLSxWqIUF
LizU0sLiFI437vzdA30rnF9VS8tsrL9u1l4t8ZwOtbBAZTGzWtrUlyZn5ap2
WxifNIbfPq8Xcb6EWlhgRArjjlXtdhb0Y7vNH2JTB/iduWIarZijbZbnS6iF
BUaocCy0qt3OI304tk7dzK1f124n1c6PQzFHbl1x0udL4Vhisv0Dpi0mXkt7
wv2k6eOPsdC1/aU6MeaY7PkSamGBiYgJ19J2vJ88zqvfxgLW9pfsjJhjMudL
qIUFJiYmWkvb0/3ksW+f1vZr92mq0r3vemSOndNd/XLt99d+r3L//vnanx1p
612M7O8WIMrmZ/97us7VvM5uG+J+8hiD3K79kxH0sXFV+/w4cu7cDvhZ0N1t
7XMDYJ8oq6Wljh9qnx97zpnvRnBs2HVT+9wAKBHijrEaXQ5gbGo9ah8XnvrX
tc8LgFOsv74fwbWTp17VPi8y58lqBMeFp5qccLlJwCS4j4zWKO8jMVyuJudZ
1T43AA4Jc+Vj9WPtc+PIebNK586YfBjw82h+9l1s1iFr9e8PCto5yjwggDie
x/EXa/++4jW2baj7ya/W/mjtP8SmhrZ2P1e1z40piv7252h8rqeOEdWexqau
abL7+gHLE5t6lWPX59HtY9jj/eRj2Ct9ds6MOSbzTLgo29dvdPvrAMsT5c+4
v6rd1kzbZzdupdfz49SYYzL7nWf6Otm/Y2AZpj4+OvF+8mEq41Z6Oz+OxRyT
f65bq7+TnK8E5i9msA4853ErvZwf7fvvhyXMbUXZ82VHWQMFzE+U1cKOPt99
7uNWzj4/fkwWN7cVZTnWq9rtBOZtTteipYxboYu5jC2AaTLnCssyhzVUYFpC
bhksVkw8VxyYjlBDB4vnOgAMzfgGeGS+ExiKdVwgR14X0KeQrw4cEDOqXwPq
cS0BShibAOcwZwqcwhoscCq5YUBXIdccKBRq4IAzuY4AxxifAH0xXwrsYx0W
GIK8MGBbyDcHBhTq34CPrgXAZRjbwLKZ8wQuyRouLI/cLqCWkKsOixFq2IDK
XIdg/owvgLEw3wrzZR0VGCN5ZTAvIV8cGLFQPwez4G8ZmAJjI5g2c5bAlFgD
humRmwVMVch1h8kINWjAxLmOwfgZHwBzYb4Wxss6KDBH8tJgXEK+NzBjof4O
RsHfIrAExlZQlzlHYEmsIcPlya0ClirkysPFhBoyYOFcB2F44nuADfO9MBzr
mAC75LVBv0K+NsBeoX4PeuFvCeA4YzM4jzlDgHLWoOF0cqMAugm59lAs1IAB
nMV1FI4TnwP0w3wx7GcdEqB/8uLgqZBvDTCYUP8Hn/hbABiesR1LZ84P4HKs
YbNEcpsA6gi5+sxEFNRdhRougKpch5m69derY3MT4muAcSicb/6/5psZmyYW
3oolsjGDdUSA8SnIq/uLtd+r3U54lImVn8QdIV8aYLSirH7wj5qxY+22smxp
TWXvnEXhubyq3Q+AJSscGz6OKVe128vytNZUcn555NxVCwswEmkN/M8KY48P
Yg8uKbOmcgq1sAAjE5tc/7844Vou9mBwB9ZUSufmrmr3AYBd669fX/vLE6/r
Yg8GEWU1r4fiDbWwACO2/vrdjtd4sQe9iuN7yezz72q3HYAyZ66fiz04W5TV
oZjjAJi4OF4nIPZgMGlN5ZxzT9wBMCFxXu5eO/Z45fpPqTPWVNpua/cFgDJn
rrG0/Zzmy8Ue7BXnramIO4Bq4qt4ufZ6y0OjdrumIvpZY8nFHq9q943xiX7W
VHKui9vgmgGcIF0zPh7wpnYbpyT6W2PpdA9gOaK/NZVHdyXnmmsG0If1teJZ
5vrxona7pib6XWNZ1e4P4xP9rqncdo1rXTOAc6S50e3rxze12zQ10d8ay03t
vjA+0d+aShNrXJ3dHtcMoIP1teJ569rxvnabpirOX2O5rd0HxinOX1PpJdb4
1BbXDKCjlAO2ff34vnabpuyMNZb/VrvtjNOZayq9xRqf2+OaAXS0vl68bV0/
vq3dpik7c43ltnb7GZf112+MJdb43CbXDKCj1rqserc+jun5z/m0PwfNefT1
2p+OJdb43C7XDKCDzLrs29ptmosz1lge446r2n2g6vnT5Iz+akyxxqd2uWYA
HWXWZV/XbtNcnLnG8jG99xe1+0GVc+d67U8Kz5GLxBqf2+aaAXTU5Ju3rh/P
a7dpTo6ssazS/eLYPeW72v3goufMqiDWaOY/bmqswblmAF009fSta8d97TbN
0Z41lput798U3GNWtfvBRc6VknPhxxqxxqf2uWYAHTX7Bh6qd2v2Mj6y1/En
tftx5jH4NjNXfL/2cs8xOnnvo8way23mNSVj2x9qHy+GUzDn1cxt/OOqbVzA
NSOePkfm9da8zuvW65q94N+1+vZmiTU8jhmF58n3rc8+u3dxbPY5vp/TeZLy
4B7P/Yftv430vffpb6d9jDrtfbQVU9wdeM11HM//uK197OhXbGpTcnNh2/44
RpDbM+drRkGs9Hyrb+31pbZF5Lg4Zpx4vrTPgb3j963X3sfE12/j6bOq3uX6
HZs55PvMdbPz3kcl6++xqVU4FneopZ2JFG8c2190NDVMS7hmpDFHe1/3hwPf
22e08ZVjRoVzpL0uu3f8Hl/WHrL35ylpjdPeHXlte9+jveO6Xts4sfsQnT/n
ScWXS7pmxO58ztute+d97M6LttcLjl5f5sYx48j50X4udXZea+vaMfnnVMfT
teb7Y9fCyK9NX+T6WTjfrpZ2oqa4jraka0bmb/9lumZk9yJJ8VhuLD+5eMsx
Y6Dzoz2G35n73IpbJ7/OlonBj871Zv6GLv4cq4K8QrW0ExMTzRde0jUjdteQ
mjH5wXXVzDWm6DozF44ZRz7rg3sXb817Db6WcIG+dtrDKHONrfIcq1BLOxtT
/iyXcs2I3TWkovFG5jqzmPwEx4wjn/PevYvjS37xwxw++0xfi/cTyMz7VbuW
TnVszJPPcLJzVgu7ZuTq44/2K3bXnhZz/3TMOPI5Z8f9sdmr4jHfZxbzW7Fb
d1IUN2SusdXXGaeYA8A8cnMWds1oz/cX5TXuGbPP4pg4Zpx5fuysy7bizc7j
+T3n0BCO5qdl2lKcE51578VzObLtmlitw9LFTGqQlnLNSO3pNL+Zue8ONk5x
zJiS1vnxPvO5d35O5Fj+FmIz39t+T/F1MXbzoarkcmTbNpP72NzNKT5cwjUj
taU9v7mTt3Lgve24bLBximPGVER+3e1j7Mapzzr+/FH8LcRuzckpfwffZn7f
qPLi5jBfP2dzWgdbyjVjT1uK630zx2OwcYpjxlTE7vjk0zps5t8nW+sW+brv
4nM5dveqaX7WKOf7ppyXOFcxs3zfJVwztvraHnefk/+1iLwEx4wjn3N27+LM
5z/a+2xBH3PjstK/g9wcR+d544v0d8L1l3Mzx89iCdeMrb4+dOlPJv5azH6a
jhkHPuODexdnri0va7e5Yz877x8au3Uukxi/zW1sPUVznHNayjUj9WVvPXDB
MWrPqy6i3tMx48jnfOw51O1a6Unm82Sug0V7csRmXTK3F+8k5vvmlEMwJXPO
rVnKNSP1pdNaUeYYTHbPd8eMgc+PF63vzyL2zPThaMwRX+pc2vlQxbmnYxAz
qpWYgph5DdFSrhmpL+2xytGc2Ez/jz7HaU4cM4581u11g9wz3Nv33H3P53lR
cn5V6md7nuJgzJH+Bh7r/4r6P2Zzvw+OxRLiuwVdM4qfmdt638nPcZoLx4wj
n3N73S17fkR+X4tnmdeMNl8sM+46OFcRmzqV9+m/2znYo8/lyPZpxvP9Y7CE
dayFXTMOriEVHp9R1dM7ZlQ+P9pjkb3nR+zmYL5pff/dmO/FsTvf19jJbUtx
+rt0LXyW/q0dr0w6Bp9jXmNtsZB83YVdMw6uIWVe31w77g9dX+bOMePI511c
Q71n3PIyfa+5thQ/J61SX3P75Txs9zm95vH8f57+rfN+emMWM6zfdCwv0Ndl
XTOy9cB7XvtN6/WTzF9xzBj4/DiphjozbpnM2D/yeW05T56DmYlVJpfLsfeY
LGRsPvAxXNSc0VKuGZl4ae9YI41LHu+d7/vqV5ozmMwenDWOWWzWctr7NTbH
bZQ5QkuWGb8fvZceuG+Pdn601f5v97T/0bv2uZoZ102ir8XHZAE5CAMdt8Xl
xizpmpEZa+ysI6XryZu++xSbmtHHYzaZetFLH7PMtbnNvMmIZM6P0hrq7fi0
WYeYVL5PugbuPAsg148918vRjs06H5MF1Fr0fLwWWQO0pGtG5n72JvLPO33T
Y6zxInbXJqYUc1zsmMXh+bPteTjzHUxG7OZgzyKXI9vXhd5HOxwn8dkCZMYa
g9fWpHjjdet+OqWY4yLHLL7Mt72Lp+vgzzJxz2TWpiATo88mlyPb3wWuF5x4
fKxDLUAU1gMP+PufTS3muOQxS9flvdfi1nXb81qYjMw856jXoHvr98LyIguP
yerIMWnIt52BzBrSRcfKE405LnbM4sgepfF0XzIxB5MQu/vpzTKXY2//F1T/
6Vjw5PPerYO4aP7JRGOOixyzdF0++rPjy54Hkzh+sKRcjr3HwNjenM/C7Blr
XHSf1KnFHGM4Zpk23Q8Z+0DflpbLsfc4LDSHQW7LMmXGGhd/Ju4EY47qx6zV
nscYaNR7zsG2peZyZI/Fwmo1Qg3PYo1hrDHBmKP6MWu15zG3ZDFr4Uzb0nM5
ssdkIffhpcVXtD7/EYw1JhhzVD9mrWPX1Ox6bguTkYnbP9Zu0xjMfb1hqetI
pM9/s0dme6xx8XvXlGKOsRyzrfa8X/KcNNOR/s6bObl9++naW+bxWM0wrzLk
yy5aykm4z/zdN/ewi+6hPZWYY0zHLLXnzZiPFzzaE2McsvjcpJhR/eic+sKJ
n31+nL7PRe5nY485RnrMDu4TBkzfHOYG5jhnw7SNPeYYmzQ/be8vWICp5kDM
PTeF6RJznHSsXh6LN2KzL7tnvcFMxMRqPWIhNThMk5ij+Dg9Pof30D7oz4+9
BpieqdzHpxYfsTxijqJjNLqcEuCyxr5eMdV1IJYjNnsDbdfOVd3Tc4xOjDc+
1qihAS5njHmZMYN8V+at4N65+H0nUkz2oMYQ2BYjqj8dU1sAgP6NYW5hjHMu
AED/auVQjD23BADoX1y4ViQmUkMDAPTvUnHApeMbAGB8hl7vqLWOAwCM0xB5
nTGCfFUAYHyix/rVPn8WADA/fcxNDDFnAgDMT9ccjKFzQwCA+YkTa01CLSwA
0NEJccTfPyU+AQBoK1wv+atT12EAAHIK8kLVwgIAvYiy+le1sADA2aKslvbR
h7VX8jgAgC5iU0v75yfOeTRrM2pkAYCTrL/+Xsf8jp/SXIm5DwCgyPrrb6/9
z4K6lX17gzVzH1e1+wEATEOqp13F8b089rmTbwoAnCI2+5d2rav9OdXGXNXu
BwAwDWnu41WqXekSf/wYngMHAJwg1bl0nfv4kOY+5JwCAEWaNZMUP3Sd+2ji
luva/QAApqNZN4njz3E5NPexMvcBAJRKcx8/xPHn0h6qt7XXGABQLM1ddJ37
+LTXWO0+AADTEV/qbbvOfTTzJle1+wEATEP0s9eYelsAoFj0U297VbsfAMA0
RD97jV3X7gcAMB2xqbf98Yy5jyZ2UW8LABSJfvYaU28LABSLHuptzX0AAKWi
n73Grmr3AwCYhuin3nZVux8AwHTE+XuN3Zj7AABKRT/1tvYaAwCKRT97jck5
BQCKRD/1tte1+wEATEfYawwAuKDop97WXmMAQLHoYa+x2n0AAKYjzq+3beZN
rmr3AwCYhqi811iKXW5qHwcA4HKin3rbqxN+39db8yx38lUBYFmin73Grgt+
zyoTt8hVBYAFigHrbQ+s57yq3W8AoI7oea+x2OSwHpsrsdYCAAsWPdTbrv3b
wnkSay0AsHBx3l5jf1X4uuZnr2r3FQCoL86vty1dm7HWAgB8EuftNVayLmOt
BQD4LM6vt7XWAgCcJM7ba2yfH2r3CwAYp/XXrw+w1nJVu18AwLjEZn+PvnM8
mrWW72r3DQAYjwFyO6y1AABPxGYP9aHijUd/FOppAWDRovszW07V7DX2+/I8
AGB5YrNf6SXijba7UFcLAIsRX/YpvYlNzezdwLkdbR/S776qfSwAgDrSHMh1
bPYPu0lrME1MMsQ+ph/Tz7+u3W8AYFxis5d6LibpY+6j+ZlyTgGAo1I88o/O
nBu5NfcBAJwiNnkjXedBfkrvN/cBABRJeSI/dJz7+DnNfXiGLQBQLM1d/NRx
7qOZM1nV7gMAMB0pH/X2jLmPZt7kqnY/AIBpiM1+Ia+i+x4hTe2M58oBAMVS
3cttx9ijiVluzH0AAKXS3MfNGXMfTdxyXbsfAMB0xOYZuF2fSfch7DUGAJwg
1NsCABcW9hq7zHH+Kp6tvW65X/vY/Hfrtc/Xvk/fe3Sf3vNN7b4AwDnS3Mft
GXMf6m1zx3UTJ3w84vnW698cee3D9usBYKpSzukq7DXW/7H9Kl7mYoj0vWYe
5H1BfPIYd5jvAGA2Qr1t/8d0N65428QP2+ss2/HEgXmP17X6AABDCXuN9Xcs
v8QWj16kOKTxbM97cnHH+9p9AYAhpbkP9bZdjt1mPqMdOzTxxLsj73u+Z67D
+goAs5dyTm/OmPto1myua/fjosdsM6fRjhvuS2KHPTFHdl4EAOYqNnuN3XWM
PRZTb7tnjeRF4XvbazKNb2v3CQBqSHMf9hrbd3w29SbbMcPBNZXWe3Mxh5pZ
ABYv1Ns+PR75nIyXJ7xfPgcAHNDMW4S9xnJ7gz2c8N5n+/b1AACeii97jXXN
OZ10vW3ah+NJvcoJ783lnr6t3ScAGLtY2F5jqUa2nctRlDua3t9+9oo9wQDg
BGnu4+aMuY8mbrmu3Y+j/dydpzhpXSTye6LL5QCADmJTbzvLvcYy8xSnrKvk
cjmK3w8A5MWXvcZmU2+bmac4ZV0l91xae4EBQI9Szuldx7mPUew1Fvn9zovW
RfbkgcjjAICBpLmP2zPmPqrV22bmKYrrTTLv9Vw3ALiA+FJvO5m9xjI1skXz
FJk5jgdrKgBwefFlr7EuscfPcaF628zaSNF+5bH7bBbPVgGAitLcx6sY4V5j
mf3Oi2pkM7W1xXukAwDDi81eY13rbe96b0+HXI4UpzyINwBg/OJLve2pcx+r
XtuxWyN7MJcj7cVxf+56SsoFed2KXe7VvADAcGKz19hdYcxx09vvzdfI7p2z
SOspjzHC+675ok2ckskh2fau9mcCAHOW5j5+iMP1tq96+33557K9b89dpPmI
d1tzEZ3XUrbyR77f3gMkM+dhvgMALmBPvW3z/3vbPyx29zt/m+797fWWh/Tv
xXuTHvide2OWVj6rfT4A4IJSve2rIepWMusbZ8cUR35fM6/y/ZHXfN4rpPax
BwDOl6mRHfw5sCX5plt7fpz0XFsAYJwyNbKjWMvYmufwXFoAmIHY3e/84JrH
hdr0OPdiD3UAmIHIPwt20FyOgjY9T/mlTbuK9l4HAMZtT41slXmFtMfY9nNb
1MgCwExkamSr5Gtm1nc+7wlmbQUApi+z/8bRZ6xcoE2v4+me6vfiDgCYrrSW
0Z5XqJ4/utW+d1vtUrsCABOVWVcZW8zxTWu+Y9A9QwCA/u2JNz7vbV67fVvt
3N47xPoKAExEa73iqBG094WYAwAYWmyedW//cwBgUFtrK3JIAYDBpLWgB/mj
AEAX6xji5ePz5PY9Yzblctj/HADoLPMs2zfbOaKprsYepADA2fbU696neCQ7
9wEAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA
AAAAAAAAwDj8f0yKRwY=
         "], {{0, 520}, {541, 0}}, {0, 255},
         ColorFunction->RGBColor],
        BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
        Selectable->False],
       BaseStyle->"ImageGraphics",
       ImageSize->{131.52000000000115`, Automatic},
       ImageSizeRaw->{541, 520},
       PlotRange->{{0, 541}, {0, 520}}]}]}
   }]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]]
}], "Text",
 Deletable->True,
 CellID->1942088787],

Cell[TextData[{
 "There are two issues to contend with in order to put the ",
 Cell[BoxData[
  FormBox["D", TraditionalForm]], "InlineMath"],
 " functions in canonical form."
}], "Text",
 CellID->1314139449]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.  Fixing the order of arguments", "Subsection",
 CellID->926623664],

Cell[CellGroupData[{

Cell[TextData[{
 "The first issue is getting the correct order, so that the external masses (\
\[Cross]) occupy arguments 1\[LongDash]4 and the Mandelstam/Dalitz variables \
(\[EmptySquare]) occupy arguments 5 and 6.  You can achieve this by entering \
the denominator specifiers in ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " in the same order the corresponding internal lines are connected in a \
given graph.  It does not matter which specifier comes first:"
}], "Text",
 CellID->1440897848],

Cell[BoxData[{
 FormBox[
  RowBox[{
   RowBox[{"(", "a", ")"}], "=", 
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox["1", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"[", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"k", "+", 
               SubscriptBox["p", "1"]}], ")"}], "2"], "-", 
            SubsuperscriptBox["m", "1", "2"]}], "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"k", "+", 
              SubscriptBox["p", "1"], "-", 
              SubscriptBox["p", "3"]}], ")"}], "2"], "-", 
           SubsuperscriptBox["m", "2", "2"]}], "]"}], "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", 
             SubscriptBox["p", "1"], "-", 
             SubscriptBox["p", "3"], "+", 
             SubscriptBox["p", "2"]}], ")"}], "2"], "-", 
          SubsuperscriptBox["m", "3", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox["k", "2"], "-", 
         SubsuperscriptBox["m", "4", "2"]}], "]"}]]}]}]}]}], 
  TraditionalForm], "\[IndentingNewLine]", 
 FormBox[
  RowBox[{
   RowBox[{"(", "b", ")"}], "=", 
   RowBox[{
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox["1", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"[", 
           RowBox[{
            SuperscriptBox["k", "2"], "-", 
            SubsuperscriptBox["m", "1", "2"]}], "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"k", "-", 
              SubscriptBox["p", "2"]}], ")"}], "2"], "-", 
           SubsuperscriptBox["m", "2", "2"]}], "]"}], "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "-", 
             SubscriptBox["p", "2"], "-", 
             SubscriptBox["p", "3"]}], ")"}], "2"], "-", 
          SubsuperscriptBox["m", "3", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "-", 
            SubscriptBox["p", "1"]}], ")"}], "2"], "-", 
         SubsuperscriptBox["m", "4", "2"]}], "]"}]]}]}]}]}], 
  TraditionalForm]}], "NumberedEquation",
 CellID->104519348],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<X`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{"box1", "=", 
    RowBox[{"LoopIntegrate", "[", 
     RowBox[{"1", ",", "k", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "+", "p1"}], ",", "m1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "+", "p1", "-", "p3"}], ",", "m2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "+", "p1", "-", "p3", "+", "p2"}], ",", "m3"}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "m4"}], "}"}]}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}]}], "Input",
 CellLabel->"In[37]:=",
 CellID->123482026],

Cell[BoxData[
 FormBox[
  TooltipBox[
   RowBox[{
    SubscriptBox[
     StyleBox["D",
      FontWeight->Bold,
      FontSlant->Plain], "0"], "(", 
    RowBox[{
     SuperscriptBox["p3", "2"], ",", 
     SuperscriptBox["p2", "2"], ",", 
     RowBox[{
      SuperscriptBox["p1", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p3"}]}], "+", 
      SuperscriptBox["p2", "2"], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p2", ".", "p3"}]}], "+", 
      SuperscriptBox["p3", "2"]}], ",", 
     SuperscriptBox["p1", "2"]}], ";", 
    RowBox[{
     RowBox[{
      SuperscriptBox["p2", "2"], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p2", ".", "p3"}]}], "+", 
      SuperscriptBox["p3", "2"]}], ",", 
     RowBox[{
      SuperscriptBox["p1", "2"], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p3"}]}], "+", 
      SuperscriptBox["p3", "2"]}]}], ";", 
    RowBox[{"m1", ",", "m2", ",", "m3", ",", "m4"}], ")"}],
   "PVD"], TraditionalForm]], "Output",
 ImageSize->{384, 49},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[38]//TraditionalForm=",
 CellID->717494270]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"box2", "=", 
    RowBox[{"LoopIntegrate", "[", 
     RowBox[{"1", ",", "k", ",", 
      RowBox[{"{", 
       RowBox[{"k", ",", "m1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "-", "p1"}], ",", "m2"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "-", "p1", "-", "p2"}], ",", "m3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"k", "-", "q"}], ",", "m4"}], "}"}]}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}]], "Input",
 CellLabel->"In[39]:=",
 CellID->443314031],

Cell[BoxData[
 FormBox[
  TooltipBox[
   RowBox[{
    SubscriptBox[
     StyleBox["D",
      FontWeight->Bold,
      FontSlant->Plain], "0"], "(", 
    RowBox[{
     SuperscriptBox["p1", "2"], ",", 
     SuperscriptBox["p2", "2"], ",", 
     RowBox[{
      SuperscriptBox["p1", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "q"}]}], "+", 
      SuperscriptBox["p2", "2"], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p2", ".", "q"}]}], "+", 
      SuperscriptBox["q", "2"]}], ",", 
     SuperscriptBox["q", "2"]}], ";", 
    RowBox[{
     RowBox[{
      SuperscriptBox["p1", "2"], "+", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "p2"}]}], "+", 
      SuperscriptBox["p2", "2"]}], ",", 
     RowBox[{
      SuperscriptBox["p1", "2"], "-", 
      RowBox[{"2", " ", 
       RowBox[{"p1", ".", "q"}]}], "+", 
      SuperscriptBox["q", "2"]}]}], ";", 
    RowBox[{"m1", ",", "m2", ",", "m3", ",", "m4"}], ")"}],
   "PVD"], TraditionalForm]], "Output",
 ImageSize->{363, 49},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[39]//TraditionalForm=",
 CellID->121204327]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "You can replace the Lorentz dot products with masses and invariant energies \
using kinematic conditions.  The function ",
 Cell[BoxData[
  ButtonBox["MandelstamRelations",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/MandelstamRelations"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is a handy function to quickly generate a list of kinematic conditions for \
2\[Rule]2 scattering or 1\[Rule]3 decay processes."
}], "Text",
 CellID->1667615471],

Cell[BoxData[GridBox[{
   {
    RowBox[{
     ButtonBox["MandelstamRelations",
      BaseStyle->"Link",
      ButtonData->"paclet:X/ref/MandelstamRelations"], "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        SubscriptBox[
         StyleBox["p", "TI"], 
         StyleBox["1", "TR"]], ",", 
        SubscriptBox[
         StyleBox["p", "TI"], 
         StyleBox["2", "TR"]], ",", 
        SubscriptBox[
         StyleBox["p", "TI"], 
         StyleBox["3", "TR"]], ",", 
        SubscriptBox[
         StyleBox["p", "TI"], 
         StyleBox["4", "TR"]], ",", 
        SubscriptBox[
         StyleBox["m", "TI"], 
         StyleBox["1", "TR"]], ",", 
        SubscriptBox[
         StyleBox["m", "TI"], 
         StyleBox["2", "TR"]], ",", 
        SubscriptBox[
         StyleBox["m", "TI"], 
         StyleBox["3", "TR"]], ",", 
        SubscriptBox[
         StyleBox["m", "TI"], 
         StyleBox["4", "TR"]]}], "}"}], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        StyleBox["s", "TI"], ",", 
        StyleBox["t", "TI"], ",", 
        StyleBox["u", "TI"]}], "}"}]}], "]"}], Cell[TextData[{
     "generate a list of replacement rules expressing dot products of \
4-vectors ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["p", "1"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["p", "2"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["p", "3"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["p", "4"], TraditionalForm]], "InlineMath"],
     " as Mandelstam invariants ",
     Cell[BoxData[
      FormBox["s", TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox["t", TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox["u", TraditionalForm]], "InlineMath"],
     " and masses ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["m", "1"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["m", "2"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["m", "3"], TraditionalForm]], "InlineMath"],
     ", ",
     Cell[BoxData[
      FormBox[
       SubscriptBox["m", "4"], TraditionalForm]], "InlineMath"],
     "."
    }], "TableText",
     Deletable->True]}
  }]], "DefinitionBox",
 CellID->2096742444],

Cell[CellGroupData[{

Cell["\<\
Rapidly generate 2\[Rule]2 or 1\[Rule]3 kinematic relations.\
\>", "Caption",
 CellID->1891092685],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"box1", "/.", 
    RowBox[{"MandelstamRelations", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "p1", ",", "p2", ",", "p3", ",", "p4", ",", "M1", ",", "M2", ",", "M3",
         ",", "M4"}], "}"}], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"s", ",", "t", ",", "u"}], "}"}]}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}]], "Input",
 CellLabel->"In[40]:=",
 CellID->1646612958],

Cell[BoxData[
 FormBox[
  TooltipBox[
   RowBox[{
    SubscriptBox[
     StyleBox["D",
      FontWeight->Bold,
      FontSlant->Plain], "0"], "(", 
    RowBox[{
     SuperscriptBox["M3", "2"], ",", 
     SuperscriptBox["M2", "2"], ",", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["M1", "2"]}], "-", 
      SuperscriptBox["M2", "2"], "-", 
      SuperscriptBox["M3", "2"], "+", "s", "+", "t", "+", "u"}], ",", 
     SuperscriptBox["M1", "2"]}], ";", 
    RowBox[{"u", ",", "t"}], ";", 
    RowBox[{"m1", ",", "m2", ",", "m3", ",", "m4"}], ")"}],
   "PVD"], TraditionalForm]], "Output",
 ImageSize->{421, 23},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[40]//TraditionalForm=",
 CellID->1220292306]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"box2", "/.", 
    RowBox[{"MandelstamRelations", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"q", ",", 
        RowBox[{"-", "p1"}], ",", "p2", ",", "p3", ",", "M1", ",", "M2", ",", 
        "M3", ",", "M4"}], "}"}], "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        SuperscriptBox["M23", "2"], ",", 
        SuperscriptBox["M13", "2"], ",", 
        SuperscriptBox["M12", "2"]}], "}"}]}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}]], "Input",
 CellLabel->"In[41]:=",
 CellID->908807120],

Cell[BoxData[
 FormBox[
  TooltipBox[
   RowBox[{
    SubscriptBox[
     StyleBox["D",
      FontWeight->Bold,
      FontSlant->Plain], "0"], "(", 
    RowBox[{
     SuperscriptBox["M2", "2"], ",", 
     SuperscriptBox["M3", "2"], ",", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["M1", "2"]}], "+", 
      SuperscriptBox["M12", "2"], "+", 
      SuperscriptBox["M13", "2"], "-", 
      SuperscriptBox["M2", "2"], "+", 
      SuperscriptBox["M23", "2"], "-", 
      SuperscriptBox["M3", "2"]}], ",", 
     SuperscriptBox["M1", "2"]}], ";", 
    RowBox[{
     SuperscriptBox["M12", "2"], ",", 
     SuperscriptBox["M23", "2"]}], ";", 
    RowBox[{"m1", ",", "m2", ",", "m3", ",", "m4"}], ")"}],
   "PVD"], TraditionalForm]], "Output",
 ImageSize->{552, 23},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[41]//TraditionalForm=",
 CellID->101468771]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["2.  Eliminating the dependent invariant", "Subsection",
 CellID->1582673857],

Cell[CellGroupData[{

Cell["\<\
The second issue is to select the correct Mandelstam/Dalitz variable to \
eliminate using 4-momentum conservation:\
\>", "Text",
 Deletable->True,
 CellID->2035710026],

Cell[BoxData[
 FormBox[GridBox[{
    {
     RowBox[{
      RowBox[{"(", "a", ")"}], ":"}], 
     RowBox[{
      RowBox[{"s", "+", "t", "+", "u"}], "=", 
      RowBox[{
       SubsuperscriptBox["p", "1", "2"], "+", 
       SubsuperscriptBox["p", "2", "2"], "+", 
       SubsuperscriptBox["p", "3", "2"], "+", 
       SubsuperscriptBox["p", "4", "2"]}]}], 
     RowBox[{"(", "Scattering", ")"}]},
    {
     RowBox[{
      RowBox[{"(", "b", ")"}], ":"}], 
     RowBox[{
      RowBox[{
       SubsuperscriptBox["M", "12", "2"], "+", 
       SubsuperscriptBox["M", "23", "2"], "+", 
       SubsuperscriptBox["M", "13", "2"]}], "=", 
      RowBox[{
       SuperscriptBox["q", "2"], "+", 
       SubsuperscriptBox["p", "1", "2"], "+", 
       SubsuperscriptBox["p", "2", "2"], "+", 
       SubsuperscriptBox["p", "3", "2"]}]}], 
     RowBox[{"(", "Decay", ")"}]}
   },
   AutoDelete->False,
   GridBoxAlignment->{
    "Columns" -> {{Left, "=", Left}}, "ItemsIndexed" -> {Left}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {0.3, 0.84, 3.2}}], 
  TraditionalForm]], "NumberedEquation",
 CellID->111143812]
}, Open  ]],

Cell["\<\
This depends on the how the internal lines are connected in a given diagram: \
eliminate the invariant built out of the pair of momenta that enter/leave the \
diagram from vertices that are not joined by an internal propagator.\
\>", "Text",
 Deletable->True,
 CellID->2026083002],

Cell[TextData[{
 "In the first diagram, eliminate ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", "=", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["p", "1"], "+", 
       SubscriptBox["p", "2"]}], ")"}], "2"]}], TraditionalForm]], 
  "InlineMath"],
 " since there is no internal line joining vertices ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "1"], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "2"], TraditionalForm]], "InlineMath"],
 ".\[LineSeparator]In the second diagram, eliminate ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["M", "13", "2"], "=", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["p", "1"], "+", 
       SubscriptBox["p", "3"]}], ")"}], "2"]}], TraditionalForm]], 
  "InlineMath"],
 " since there is no line joining vertices ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "1"], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["p", "3"], TraditionalForm]], "InlineMath"],
 "."
}], "Text",
 Deletable->True,
 CellID->63003747],

Cell[CellGroupData[{

Cell[TextData[{
 "The option ",
 Cell[BoxData["Eliminate"], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to ",
 Cell[BoxData[
  ButtonBox["MandelstamRelations",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/MandelstamRelations"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " can be used to eliminate a given invariant:"
}], "MathCaption",
 CellID->1695751036],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"box1", "/.", 
    RowBox[{"MandelstamRelations", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "p1", ",", "p2", ",", "p3", ",", "p4", ",", "M1", ",", "M2", ",", 
         "M3", ",", "M4"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"s", ",", "t", ",", "u"}], "}"}]}], ",", 
      RowBox[{"Eliminate", "\[Rule]", "s"}]}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}]], "Input",
 CellLabel->"In[42]:=",
 CellID->1431231029],

Cell[BoxData[
 FormBox[
  TooltipBox[
   RowBox[{
    SubscriptBox[
     StyleBox["D",
      FontWeight->Bold,
      FontSlant->Plain], "0"], "(", 
    RowBox[{
     SuperscriptBox["M3", "2"], ",", 
     SuperscriptBox["M2", "2"], ",", 
     SuperscriptBox["M4", "2"], ",", 
     SuperscriptBox["M1", "2"]}], ";", 
    RowBox[{"u", ",", "t"}], ";", 
    RowBox[{"m1", ",", "m2", ",", "m3", ",", "m4"}], ")"}],
   "PVD"], TraditionalForm]], "Output",
 ImageSize->{282, 23},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[42]//TraditionalForm=",
 CellID->1509563860]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"box2", "/.", 
    RowBox[{"MandelstamRelations", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"q", ",", 
         RowBox[{"-", "p1"}], ",", "p2", ",", "p3", ",", "M1", ",", "M2", ",",
          "M3", ",", "M4"}], "}"}], "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         SuperscriptBox["M23", "2"], ",", 
         SuperscriptBox["M13", "2"], ",", 
         SuperscriptBox["M12", "2"]}], "}"}]}], ",", 
      RowBox[{"Eliminate", "\[Rule]", 
       SuperscriptBox["M13", "2"]}]}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}]], "Input",
 CellLabel->"In[43]:=",
 CellID->1978983596],

Cell[BoxData[
 FormBox[
  TooltipBox[
   RowBox[{
    SubscriptBox[
     StyleBox["D",
      FontWeight->Bold,
      FontSlant->Plain], "0"], "(", 
    RowBox[{
     SuperscriptBox["M2", "2"], ",", 
     SuperscriptBox["M3", "2"], ",", 
     SuperscriptBox["M4", "2"], ",", 
     SuperscriptBox["M1", "2"]}], ";", 
    RowBox[{
     SuperscriptBox["M12", "2"], ",", 
     SuperscriptBox["M23", "2"]}], ";", 
    RowBox[{"m1", ",", "m2", ",", "m3", ",", "m4"}], ")"}],
   "PVD"], TraditionalForm]], "Output",
 ImageSize->{334, 23},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[43]//TraditionalForm=",
 CellID->1737911338]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["More About", "TutorialMoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "MORE ABOUT", "TutorialMoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      Cell[
       TextData[{
         Cell[
          BoxData[
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[24]]]], "Related Guides"}], "TutorialMoreAboutSection", 
       CellSize -> {5000, Inherited}], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->23220180],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "TutorialMoreAbout",
 CellID->1567025153],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Tutorials", "RelatedTutorialsSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "RELATED TUTORIALS", "RelatedTutorialsSection", 
      CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      Cell[
       TextData[{
         Cell[
          BoxData[
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[24]]]], "Related Tutorials"}], "RelatedTutorialsSection", 
       CellSize -> {5000, Inherited}], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->415694126],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Scattering of Light by Light",
 BaseStyle->"Link",
 ButtonData->"paclet:X/tutorial/ScatteringLightByLight"]], "RelatedTutorials",
 
 CellID->1202243889],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "Bringing the Arguments of D Functions to Canonical Form - Wolfram \
Mathematica", "Bringing the Arguments of D Functions to Canonical Form"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "TutorialColor", 
  "LinkTrails" -> GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 53, 29.011049}", 
    "history" -> {"2.0", "", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Tutorial", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "In one-loop integrals corresponding to 2\[Rule]2 scattering or 1\[Rule]3 \
decay processes, the Passarino-Veltman D functions depend on ten variables: 4 \
external masses, 4 internal masses, and 2 (out of 3) Mandelstam/Dalitz \
variables. It is conventional to present D functions in publications with \
their arguments organized in the following way: Due to numerous invariances \
of the D function under permutations of its arguments, LoopIntegrate may not \
generate D functions with this ordering. This tutorial illustrates the \
strategy to obtain D functions with their arguments in canonical form for two \
examples: GridBox[{{RowBox[{(, a, )}], RowBox[{(, b, )}]}, {", 
    "synonyms" -> {}, "title" -> 
    "Bringing the Arguments of D Functions to Canonical Form", 
    "titlemodifier" -> "", "windowtitle" -> 
    "Bringing the Arguments of D Functions to Canonical Form", "type" -> 
    "Tutorial", "uri" -> "X/tutorial/ArgumentsOfScalarD"}, 
  "SearchTextTranslated" -> ""},
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> Notebook], 
   Cell[
    StyleData["Output"], CellContext -> Notebook], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

