Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"FeynCalc\"\>":>Documentation`HelpLookup[
       "paclet:FeynCalc/guide/FeynCalc"], "\<\"Package-X\"\>":>
       Documentation`HelpLookup["paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/tutorial/LinkingToFeynCalc\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/tutorial/LinkingToFeynCalc"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/tutorial/\
LinkingToFeynCalc.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "X/tutorial/LinkingToFeynCalc", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 GridBoxOptions->{GridBoxItemSize->{"Columns" -> {
     Scaled[0.65], {
      Scaled[0.34]}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
   "RowsIndexed" -> {}}},
 CellID->1],

Cell[CellGroupData[{

Cell[TextData[{
 "Linking FeynCalc to ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X"
}], "Title",
 CellID->509267359],

Cell[TextData[{
 ButtonBox["FeynCalc",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://www.feyncalc.org"], None}],
 " is a ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " package consisting of a wide array of tools to assist with high energy \
physics computations.  Since the tensor algebraic capabilities of FeynCalc \
are more comprehensive than those of ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X, it is expedient to carry out the bulk of your calculations with \
FeynCalc, and only use ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X's ",
 Cell[BoxData[
  RowBox[{"OneLoop", ".", "m"}]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " file as a library of analytic one-loop integrals.  The add-on ",
 ButtonBox["FeynHelpers",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://github.com/FeynCalc/feynhelpers"], None}],
 " to FeynCalc provides this interface.  This tutorial illustrates how you \
can analytically evaluate one loop integrals in FeynCalc using FeynHelpers."
}], "Text",
 CellID->1534169418],

Cell[CellGroupData[{

Cell["Loading FeynHelpers", "Section",
 CellID->1885126449],

Cell[TextData[{
 "After ",
 ButtonBox["installing",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["https://github.com/FeynCalc/feyncalc/wiki/Installation"], None}],
 " FeynCalc 9.2 or later together with FeynHelpers 1.1, initialize them from \
a fresh kernel:"
}], "Text",
 CellID->920812543],

Cell[CellGroupData[{

Cell[TextData[{
 "Restart kernel to start a new ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " session.  Load FeynCalc, together with FeynHelpers:"
}], "MathCaption",
 CellID->1436671950],

Cell[BoxData["Quit"], "Input",
 CellLabel->"In[2]:=",
 CellID->993116495],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Global`$LoadAddOns", "=", 
   RowBox[{"{", "\"\<FeynHelpers\>\"", "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "FeynCalc`"}]}], "Input",
 CellLabel->"In[8]:=",
 CellID->1986820429]
}, Open  ]],

Cell[TextData[{
 "Once initialized, FeynHelpers provides the function ",
 Cell[BoxData["PaXEvaluate"], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", which interfaces with ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X to insert the analytic forms of one loop integrals."
}], "Text",
 CellID->1542224951],

Cell[BoxData[GridBox[{
   {
    RowBox[{"PaXEvaluate", "[", 
     RowBox[{
      StyleBox["expr", "TI"], ",", 
      StyleBox["q", "TI"]}], "]"}], Cell[TextData[{
     "evaluates scalar 1-loop integrals (up to 4-point functions) in ",
     StyleBox["expr", "TI"],
     " that depend on the loop momentum ",
     StyleBox["q", "TI"],
     " in D dimensions."
    }], "TableText"]}
  }]], "DefinitionBox",
 CellID->2096742444],

Cell[TextData[{
 "Substitute analytic forms of 1-loop integrals with ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X."
}], "Caption",
 CellID->1891092685]
}, Open  ]],

Cell[CellGroupData[{

Cell["Example", "Section",
 CellID->46111644],

Cell["\<\
In this tutorial, we will calculate the one loop gluon self energy in QCD in \
covariant \[Xi]-gauges.  Omitting the quarks, there are three contributing \
diagrams:\
\>", "Text",
 Deletable->True,
 CellID->99758705],

Cell[TextData[{
 "\t",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"i", " ", 
     RowBox[{
      SuperscriptBox["\[CapitalPi]", "\[Mu]\[Nu]"], "(", "q", ")"}]}], "=", 
    RowBox[{
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztnbtu88oRxwdJipTHb8D4CT7AL6AEfoAPCdzrHJy4jXMBhHQsXaRQ6061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        "], {{0, 204}, {231, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{118.32500000000012`, Automatic},
      ImageSizeRaw->{231, 204},
      PlotRange->{{0, 231}, {0, 204}}], " ", "+", " ", 
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztnT9v68gRwAdJipTPn+AUf4IHuL1CCfwBjAuEpNQ7JG7jXAII16mLS7fu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        "], {{0, 205}, {229, 0}}, {0,
         255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{119.12812500000148`, Automatic},
      ImageSizeRaw->{229, 205},
      PlotRange->{{0, 229}, {0, 205}}], " ", "+", " ", 
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztnb9u/LgRxwdJipT2G2z8BAb8ApvAVYqDcYF7XYC4jZEEMK5TaSCNqwDu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        "], {{0, 171}, {221, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{107.90312499999982`, Automatic},
      ImageSizeRaw->{221, 171},
      PlotRange->{{0, 221}, {0, 171}}]}]}], TraditionalForm]], "InlineMath"]
}], "Text",
 Deletable->True,
 CellID->333199624],

Cell[TextData[{
 "This example uses FeynCalc's library of Feynman rules, and its ability to \
carry out color algebra.  ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X will be used in the end to supply the analytic expressions."
}], "Text",
 CellID->936219383],

Cell[CellGroupData[{

Cell["Construct the Feynman integrals using the Feynman rules", "MathCaption",
 
 CellID->1962314004],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Gluon", " ", "loop"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"diagram1", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"1", "/", "2"}], "*", 
       RowBox[{"GluonVertex", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "q"}], ",", "\[Nu]", ",", "b"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "\[Alpha]", ",", "e"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"q", "-", "k"}], ",", "\[Beta]", ",", "f"}], "}"}]}], 
        "]"}], "*", 
       RowBox[{"GluonPropagator", "[", 
        RowBox[{"k", ",", 
         RowBox[{"{", 
          RowBox[{"\[Rho]", ",", "c"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Alpha]", ",", "e"}], "}"}], ",", 
         RowBox[{"Gauge", "\[Rule]", "\[Xi]"}]}], "]"}], "*", 
       RowBox[{"GluonVertex", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"q", ",", "\[Mu]", ",", "a"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "k"}], ",", "\[Rho]", ",", "c"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"q", "-", "k"}], ")"}]}], ",", "\[Sigma]", ",", "d"}], 
          "}"}]}], "]"}], "*", 
       RowBox[{"GluonPropagator", "[", 
        RowBox[{
         RowBox[{"q", "-", "k"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Sigma]", ",", "d"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Beta]", ",", "f"}], "}"}], ",", 
         RowBox[{"Gauge", "\[Rule]", "\[Xi]"}]}], "]"}]}], "//", "Explicit"}],
      "//", "SUNSimplify"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Ghost", " ", "loop"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"diagram2", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "*", 
       RowBox[{"GluonGhostVertex", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{",", "\[Nu]", ",", "b"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{",", ",", "f"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "k"}], ",", ",", "e"}], "}"}]}], "]"}], 
       RowBox[{"GhostPropagator", "[", 
        RowBox[{"k", ",", "c", ",", "e"}], "]"}], 
       RowBox[{"GluonGhostVertex", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{",", "\[Mu]", ",", "a"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{",", ",", "d"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "q"}], "+", "k"}], ",", ",", "c"}], "}"}]}], "]"}], 
       RowBox[{"GhostPropagator", "[", 
        RowBox[{
         RowBox[{"q", "-", "k"}], ",", "d", ",", "f"}], "]"}]}], "//", 
      "Explicit"}], "//", "SUNSimplify"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Tadpole", " ", "loop"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"diagram3", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", "2"], 
       RowBox[{"GluonVertex", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"q", ",", "\[Mu]", ",", "a"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "q"}], ",", "\[Nu]", ",", "b"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"-", "k"}], ",", "\[Rho]", ",", "c"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "\[Sigma]", ",", "d"}], "}"}]}], "]"}], 
       RowBox[{"GluonPropagator", "[", 
        RowBox[{"k", ",", 
         RowBox[{"{", 
          RowBox[{"\[Rho]", ",", "c"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"\[Sigma]", ",", "d"}], "}"}], ",", 
         RowBox[{"Gauge", "\[Rule]", "\[Xi]"}]}], "]"}]}], "//", "Explicit"}],
      "//", "SUNSimplify"}]}]}]}]], "Input",
 CellLabel->"In[10]:=",
 CellID->1705098249],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnU3I5MaZx8XuHva44EkIvu11HHRxiA3BmWhu6wQUYh8mifw1JAIflhXZ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    "], {{0, 88}, {
    528, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{528, 88},
  PlotRange->{{0, 528}, {0, 88}}]], "Output",
 ImageSize->{532, 88},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[10]=",
 CellID->10282454],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     FormBox[
      SuperscriptBox[
       FormBox[
        FormBox["k",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm],
        TraditionalForm]],
      TraditionalForm], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       FormBox[
        SuperscriptBox[
         FormBox[
          FormBox["k",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm],
          TraditionalForm]],
        TraditionalForm], "-", 
       FormBox[
        SuperscriptBox[
         FormBox[
          FormBox["q",
           TraditionalForm],
          TraditionalForm], 
         FormBox[
          FormBox[
           FormBox["\[Mu]",
            TraditionalForm],
           TraditionalForm],
          TraditionalForm]],
        TraditionalForm]}], ")"}]}], 
    RowBox[{
     SuperscriptBox[
      FormBox["k",
       TraditionalForm], "2"], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        FormBox["q",
         TraditionalForm], "-", 
        FormBox["k",
         TraditionalForm]}], ")"}], "2"]}]]}], TraditionalForm]], "Output",
 ImageSize->{137, 42},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[11]=",
 CellID->128621179],

Cell[BoxData[
 FormBox[
  RowBox[{"-", 
   FractionBox[
    RowBox[{
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", "\[Xi]"}], ")"}], " ", 
         FormBox[
          SuperscriptBox[
           FormBox[
            FormBox["k",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Rho]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]],
          TraditionalForm], " ", 
         FormBox[
          SuperscriptBox[
           FormBox[
            FormBox["k",
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Sigma]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]],
          TraditionalForm]}], 
        SuperscriptBox[
         FormBox["k",
          TraditionalForm], "2"]], "-", 
       FormBox[
        SuperscriptBox["g", 
         RowBox[{
          FormBox[
           FormBox[
            FormBox["\[Rho]",
             TraditionalForm],
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox[
            FormBox["\[Sigma]",
             TraditionalForm],
            TraditionalForm],
           TraditionalForm]}]],
        TraditionalForm]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FormBox[
         SuperscriptBox["g", 
          RowBox[{
           FormBox[
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Sigma]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]}]],
         TraditionalForm], " ", 
        FormBox[
         SuperscriptBox["g", 
          RowBox[{
           FormBox[
            FormBox[
             FormBox["\[Nu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Rho]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]}]],
         TraditionalForm]}], "+", 
       RowBox[{
        FormBox[
         SuperscriptBox["g", 
          RowBox[{
           FormBox[
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Rho]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]}]],
         TraditionalForm], " ", 
        FormBox[
         SuperscriptBox["g", 
          RowBox[{
           FormBox[
            FormBox[
             FormBox["\[Nu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Sigma]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]}]],
         TraditionalForm]}], "-", 
       RowBox[{"2", " ", 
        FormBox[
         SuperscriptBox["g", 
          RowBox[{
           FormBox[
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Nu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]}]],
         TraditionalForm], " ", 
        FormBox[
         SuperscriptBox["g", 
          RowBox[{
           FormBox[
            FormBox[
             FormBox["\[Rho]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Sigma]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]}]],
         TraditionalForm]}]}], ")"}]}], 
    RowBox[{"2", " ", 
     SuperscriptBox[
      FormBox["k",
       TraditionalForm], "2"]}]]}], TraditionalForm]], "Output",
 ImageSize->{346, 46},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[12]=",
 CellID->1367606571]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["TID",
   BaseStyle->"Link",
   ButtonData->"paclet:FeynCalc/ref/TID"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to make a covariant decomposition of the tensor integrals:"
}], "MathCaption",
 CellID->1376059928],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"decomposed", "=", 
  RowBox[{"TID", "[", 
   RowBox[{
    RowBox[{"diagram1", "+", "diagram2", "+", "diagram3"}], ",", "k"}], 
   "]"}]}]], "Input",
 CellLabel->"In[13]:=",
 CellID->892406933],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJztnb+vhEqW3/GPwP+G0x2p/oURzjZCWqcEsysN0kRGa0srktWIYCVGDhZH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    "], {{0, 256}, {499, 0}}, {0, 
    255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{499, 256},
  PlotRange->{{0, 499}, {0, 256}}]], "Output",
 ImageSize->{503, 256},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[13]=",
 CellID->1018512618]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Apply ",
 Cell[BoxData["PaXEvaluate"], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to insert the analytic expressions (Package-X's ",
 Cell[BoxData[
  RowBox[{"OneLoop", ".", "m"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " file is loaded at this stage):"
}], "MathCaption",
 CellID->456473110],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PaXEvaluate", "[", 
  RowBox[{"decomposed", ",", "k", ",", 
   RowBox[{"PaXImplicitPrefactor", "\[Rule]", 
    RowBox[{"1", "/", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"2", " ", "Pi"}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"4", "-", 
        RowBox[{"2", " ", "Epsilon"}]}], ")"}]}]}]}]}], "]"}]], "Input",
 CellLabel->"In[14]:=",
 CellID->1241569844],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "\[Xi]"}], "-", "13"}], ")"}], " ", 
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     FormBox[
      SuperscriptBox[
       FormBox[
        FormBox["q",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm],
        TraditionalForm]],
      TraditionalForm], " ", 
     FormBox[
      SuperscriptBox[
       FormBox[
        FormBox["q",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm],
        TraditionalForm]],
      TraditionalForm], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]]}], 
    RowBox[{"96", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TagBox["\[CurlyEpsilon]",
      TraditionalForm]}]], "-", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "\[Xi]"}], "-", "13"}], ")"}], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["q",
        TraditionalForm],
       TraditionalForm], "2"], " ", 
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]], " ", 
     FormBox[
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox[
          FormBox["\[Mu]",
           TraditionalForm],
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox[
          FormBox["\[Nu]",
           TraditionalForm],
          TraditionalForm],
         TraditionalForm]}]],
      TraditionalForm]}], 
    RowBox[{"96", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TagBox["\[CurlyEpsilon]",
      TraditionalForm]}]], "+", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "\[Xi]"}], "-", "13"}], ")"}], " ", 
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     FormBox[
      SuperscriptBox[
       FormBox[
        FormBox["q",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm],
        TraditionalForm]],
      TraditionalForm], " ", 
     FormBox[
      SuperscriptBox[
       FormBox[
        FormBox["q",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm],
        TraditionalForm]],
      TraditionalForm], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]], " ", 
     RowBox[{"log", "(", 
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["\[Mu]", "2"], 
        SuperscriptBox[
         FormBox[
          FormBox["q",
           TraditionalForm],
          TraditionalForm], "2"]]}], ")"}]}], 
    RowBox[{"96", " ", 
     SuperscriptBox["\[Pi]", "2"]}]], "-", 
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "\[Xi]"}], "-", "13"}], ")"}], " ", 
     SuperscriptBox[
      FormBox[
       FormBox["q",
        TraditionalForm],
       TraditionalForm], "2"], " ", 
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]], " ", 
     FormBox[
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox[
          FormBox["\[Mu]",
           TraditionalForm],
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox[
          FormBox["\[Nu]",
           TraditionalForm],
          TraditionalForm],
         TraditionalForm]}]],
      TraditionalForm], " ", 
     RowBox[{"log", "(", 
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["\[Mu]", "2"], 
        SuperscriptBox[
         FormBox[
          FormBox["q",
           TraditionalForm],
          TraditionalForm], "2"]]}], ")"}]}], 
    RowBox[{"96", " ", 
     SuperscriptBox["\[Pi]", "2"]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"576", " ", 
      SuperscriptBox["\[Pi]", "2"]}]], 
    RowBox[{"\[ImaginaryI]", " ", 
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"9", " ", 
        SuperscriptBox["\[Xi]", "2"]}], "+", 
       RowBox[{"18", " ", 
        TagBox["\[DoubledGamma]",
         Function[{}, EulerGamma]], " ", "\[Xi]"}], "+", 
       RowBox[{"18", " ", "\[Xi]"}], "-", 
       RowBox[{"18", " ", "\[Xi]", " ", 
        RowBox[{"log", "(", "\[Pi]", ")"}]}], "-", 
       RowBox[{"\[Xi]", " ", 
        RowBox[{"log", "(", "68719476736", ")"}]}], "-", 
       RowBox[{"78", " ", 
        TagBox["\[DoubledGamma]",
         Function[{}, EulerGamma]]}], "+", "97", "+", 
       RowBox[{"78", " ", 
        RowBox[{"log", "(", "\[Pi]", ")"}]}], "+", 
       RowBox[{
       "log", "(", "91343852333181432387730302044767688728495783936", ")"}]}],
       ")"}], " ", 
     FormBox[
      SuperscriptBox[
       FormBox[
        FormBox["q",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox[
         FormBox["\[Mu]",
          TraditionalForm],
         TraditionalForm],
        TraditionalForm]],
      TraditionalForm], " ", 
     FormBox[
      SuperscriptBox[
       FormBox[
        FormBox["q",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox[
         FormBox["\[Nu]",
          TraditionalForm],
         TraditionalForm],
        TraditionalForm]],
      TraditionalForm], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]]}]}], "+", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"576", " ", 
      SuperscriptBox["\[Pi]", "2"]}]], 
    RowBox[{"\[ImaginaryI]", " ", 
     SuperscriptBox[
      FormBox[
       FormBox["q",
        TraditionalForm],
       TraditionalForm], "2"], " ", 
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"9", " ", 
        SuperscriptBox["\[Xi]", "2"]}], "+", 
       RowBox[{"18", " ", 
        TagBox["\[DoubledGamma]",
         Function[{}, EulerGamma]], " ", "\[Xi]"}], "+", 
       RowBox[{"18", " ", "\[Xi]"}], "-", 
       RowBox[{"18", " ", "\[Xi]", " ", 
        RowBox[{"log", "(", "\[Pi]", ")"}]}], "-", 
       RowBox[{"\[Xi]", " ", 
        RowBox[{"log", "(", "68719476736", ")"}]}], "-", 
       RowBox[{"78", " ", 
        TagBox["\[DoubledGamma]",
         Function[{}, EulerGamma]]}], "+", "97", "+", 
       RowBox[{"78", " ", 
        RowBox[{"log", "(", "\[Pi]", ")"}]}], "+", 
       RowBox[{
       "log", "(", "91343852333181432387730302044767688728495783936", ")"}]}],
       ")"}], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]], " ", 
     FormBox[
      SuperscriptBox["g", 
       RowBox[{
        FormBox[
         FormBox[
          FormBox["\[Mu]",
           TraditionalForm],
          TraditionalForm],
         TraditionalForm], 
        FormBox[
         FormBox[
          FormBox["\[Nu]",
           TraditionalForm],
          TraditionalForm],
         TraditionalForm]}]],
      TraditionalForm]}]}]}], TraditionalForm]], "Output",
 ImageSize->{580, 241},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[14]=",
 CellID->447806420]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Use ",
 Cell[BoxData[
  ButtonBox["Collect2",
   BaseStyle->"Link",
   ButtonData->"paclet:FeynCalc/ref/Collect2"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to organize the expression, separating the UV divergent part from the \
remainder: "
}], "MathCaption",
 CellID->913890200],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Collect2", "[", 
  RowBox[{"%", ",", "Epsilon", ",", 
   RowBox[{"Factoring", "\[Rule]", "FullSimplify"}]}], "]"}]], "Input",
 CellLabel->"In[15]:=",
 CellID->1704130180],

Cell[BoxData[
 FormBox[
  RowBox[{
   FractionBox[
    RowBox[{"\[ImaginaryI]", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "\[Xi]"}], "-", "13"}], ")"}], " ", 
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FormBox[
         SuperscriptBox[
          FormBox[
           FormBox["q",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm],
           TraditionalForm]],
         TraditionalForm], " ", 
        FormBox[
         SuperscriptBox[
          FormBox[
           FormBox["q",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox[
            FormBox["\[Nu]",
             TraditionalForm],
            TraditionalForm],
           TraditionalForm]],
         TraditionalForm]}], "-", 
       RowBox[{
        SuperscriptBox[
         FormBox[
          FormBox["q",
           TraditionalForm],
          TraditionalForm], "2"], " ", 
        FormBox[
         SuperscriptBox["g", 
          RowBox[{
           FormBox[
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Nu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]}]],
         TraditionalForm]}]}], ")"}]}], 
    RowBox[{"96", " ", 
     SuperscriptBox["\[Pi]", "2"], " ", 
     TagBox["\[CurlyEpsilon]",
      TraditionalForm]}]], "-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"576", " ", 
      SuperscriptBox["\[Pi]", "2"]}]], 
    RowBox[{"\[ImaginaryI]", " ", 
     SubscriptBox["C", "A"], " ", 
     SubsuperscriptBox["g", "s", "2"], " ", 
     SuperscriptBox["\[Delta]", 
      RowBox[{
       FormBox[
        FormBox["a",
         TraditionalForm],
        TraditionalForm], 
       FormBox[
        FormBox["b",
         TraditionalForm],
        TraditionalForm]}]], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        FormBox[
         SuperscriptBox[
          FormBox[
           FormBox["q",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox[
            FormBox["\[Mu]",
             TraditionalForm],
            TraditionalForm],
           TraditionalForm]],
         TraditionalForm], " ", 
        FormBox[
         SuperscriptBox[
          FormBox[
           FormBox["q",
            TraditionalForm],
           TraditionalForm], 
          FormBox[
           FormBox[
            FormBox["\[Nu]",
             TraditionalForm],
            TraditionalForm],
           TraditionalForm]],
         TraditionalForm]}], "-", 
       RowBox[{
        SuperscriptBox[
         FormBox[
          FormBox["q",
           TraditionalForm],
          TraditionalForm], "2"], " ", 
        FormBox[
         SuperscriptBox["g", 
          RowBox[{
           FormBox[
            FormBox[
             FormBox["\[Mu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm], 
           FormBox[
            FormBox[
             FormBox["\[Nu]",
              TraditionalForm],
             TraditionalForm],
            TraditionalForm]}]],
         TraditionalForm]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"6", " ", 
        TagBox["\[DoubledGamma]",
         Function[{}, EulerGamma]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"3", " ", "\[Xi]"}], "-", "13"}], ")"}]}], "+", 
       RowBox[{"9", " ", "\[Xi]", " ", 
        RowBox[{"(", 
         RowBox[{"\[Xi]", "+", "2", "-", 
          RowBox[{"4", " ", 
           RowBox[{"log", "(", "2", ")"}]}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"78", "-", 
          RowBox[{"18", " ", "\[Xi]"}]}], ")"}], " ", 
        RowBox[{"log", "(", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{"\[Pi]", " ", 
            SuperscriptBox["\[Mu]", "2"]}], 
           SuperscriptBox[
            FormBox[
             FormBox["q",
              TraditionalForm],
             TraditionalForm], "2"]]}], ")"}]}], "+", "97", "+", 
       RowBox[{"156", " ", 
        RowBox[{"log", "(", "2", ")"}]}]}], ")"}]}]}]}], 
  TraditionalForm]], "Output",
 ImageSize->{459, 94},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[15]=",
 CellID->6678078]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["More About", "TutorialMoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "MORE ABOUT", "TutorialMoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      Cell[
       TextData[{
         Cell[
          BoxData[
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[24]]]], "Related Guides"}], "TutorialMoreAboutSection", 
       CellSize -> {5000, Inherited}], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->23220180],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["FeynCalc",
 BaseStyle->"Link",
 ButtonData->"paclet:FeynCalc/guide/FeynCalc"]], "TutorialMoreAbout",
 CellID->1567025153],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "TutorialMoreAbout",
 CellID->420996981],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "Linking FeynCalc to Package-X - Wolfram Mathematica", 
  "Linking FeynCalc to Package-X"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "TutorialColor", 
  "LinkTrails" -> GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 53, 31.897699}", 
    "history" -> {"2.0", "", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Tutorial", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "FeynCalc is a Mathematica package consisting of a wide array of tools to \
assist with high energy physics computations. Since the tensor algebraic \
capabilities of FeynCalc are more comprehensive than those of Package-X, it \
is expedient to carry out the bulk of your calculations with FeynCalc, and \
only use Package-X's OneLoop.m file as a library of analytic one-loop \
integrals. The add-on FeynHelpers to FeynCalc provides this interface. This \
tutorial illustrates how you can analytically evaluate one loop integrals in \
FeynCalc using FeynHelpers. After installing FeynCalc 9.2 or later together \
with FeynHelpers 1.1, initialize them from a fresh kernel: Restart kernel to \
start a new Mathematica session. Load FeynCalc, together with FeynHelpers:", 
    "synonyms" -> {}, "title" -> "Linking FeynCalc to Package-X", 
    "titlemodifier" -> "", "windowtitle" -> "Linking FeynCalc to Package-X", 
    "type" -> "Tutorial", "uri" -> "X/tutorial/LinkingToFeynCalc"}, 
  "SearchTextTranslated" -> ""},
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> Notebook], 
   Cell[
    StyleData["Output"], CellContext -> Notebook], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

