Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Functions \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Discontinuity\"\>":>
       Documentation`HelpLookup[
       "paclet:X/ref/Discontinuity"], "\<\"LoopRefine\"\>":>
       Documentation`HelpLookup["paclet:X/ref/LoopRefine"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/tutorial/PairAnnihilationUnitarity\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/tutorial/PairAnnihilationUnitarity"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/tutorial/\
PairAnnihilationUnitarity.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "X/tutorial/PairAnnihilationUnitarity", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell[TextData[{
 "Evaluation of ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["e", "+"], 
     SuperscriptBox["e", "-"]}], "\[Rule]", "\[Gamma]\[Gamma]"}], 
   TraditionalForm]], "InlineMath"],
 " Cross Section by The Optical Theorem"
}], "Title",
 Deletable->True,
 CellID->509267359],

Cell[CellGroupData[{

Cell[TextData[{
 "A direct consequence of unitarity of the relativsitic ",
 StyleBox["S",
  FontSlant->"Italic"],
 "-matrix is the optical theorem"
}], "Text",
 Deletable->True,
 CellID->1534169418],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{"2", "Im", " ", 
     RowBox[{"\[ScriptCapitalM]", "(", 
      RowBox[{"s", ",", 
       RowBox[{"t", "=", "0"}]}], ")"}]}], "=", 
    RowBox[{"Flux", "\[Times]", 
     SubscriptBox["\[Sigma]", "tot"]}]}], ","}], 
  TraditionalForm]], "NumberedEquation",
 CellTags->"opticalTheorem",
 CellID->104519348]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "which relates the imaginary part of the forward (",
 Cell[BoxData[
  FormBox[
   RowBox[{"t", "=", "0"}], TraditionalForm]], "InlineMath"],
 ") elastic scattering amplitude to the total cross section.  Since the cross \
section itself depends on the square of the scattering amplitude"
}], "Text",
 Deletable->True,
 CellID->482907330],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SubscriptBox["\[Sigma]", "Tot"], "=", 
    RowBox[{
     RowBox[{
      FractionBox["1", "Flux"], "\[Sum]"}], "|", 
     RowBox[{"\[ScriptCapitalM]", "(", 
      RowBox[{"s", ",", "t"}], ")"}], 
     SuperscriptBox["|", "2"], 
     SubscriptBox[
      RowBox[{"d", "(", "PS", ")"}], "2"]}]}], ","}], 
  TraditionalForm]], "NumberedEquation",
 CellID->332437474]
}, Open  ]],

Cell["\<\
the optical theorem provides a relationship that is nonlinear in the coupling \
constant\[LongDash]frequently the perturbation parameter.  Therefore, the \
optical theorem allows us to calculate cross sections at lower orders in \
pertubation theory using information from the higher order amplitude with the \
phase space integration already done.\
\>", "Text",
 Deletable->True,
 CellID->960255992],

Cell[TextData[{
 "In this tutorial, the tree level unpolarized ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["e", "+"], 
     SuperscriptBox["e", "-"]}], "\[Rule]", "\[Gamma]\[Gamma]"}], 
   TraditionalForm]], "InlineMath"],
 " cross section is obtained by calculating the imaginary part of the one \
loop ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["e", "+"], 
     SuperscriptBox["e", "-"]}], "\[Rule]", 
    RowBox[{
     SuperscriptBox["e", "+"], 
     SuperscriptBox["e", "-"]}]}], TraditionalForm]], "InlineMath"],
 " elastic amplitude.  In ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X, we can limit the calculation of any one loop integral to just the \
discontinuity across the normal threshold cut by appropriately setting the \
option ",
 Cell[BoxData["Part"], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "Text",
 CellID->774957516],

Cell[BoxData[GridBox[{
   {
    RowBox[{
     ButtonBox["LoopRefine",
      BaseStyle->"Link",
      ButtonData->"paclet:X/ref/LoopRefine"], "[", 
     RowBox[{
      StyleBox["expr", "TI"], ",", 
      RowBox[{"Part", "\[Rule]", 
       RowBox[{
        ButtonBox["Discontinuity",
         BaseStyle->"Link",
         ButtonData->"paclet:X/ref/Discontinuity"], "[", 
        StyleBox["s", "TI"], "]"}]}]}], "]"}], Cell[TextData[{
     "computes the discontinuity of ",
     Cell[BoxData[
      StyleBox["expr", "TI"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     " across the ",
     Cell[BoxData[
      StyleBox["s", "TI"]], "InlineFormula",
      ShowStringCharacters->False,
      FontFamily->FEPrivate`If[
        FEPrivate`Or[
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
         FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], 
        "Source Sans Pro", Inherited]],
     "-channel normal threshold cut."
    }], "TableText"]}
  }]], "DefinitionBox",
 CellID->2096742444],

Cell["Obtaining discontinuities.", "Caption",
 CellID->1891092685],

Cell[CellGroupData[{

Cell["\<\
Since Feynman integrals are real analytic functions of the kinematic \
variables, the discontinuity is proportial to the imaginary part\
\>", "Text",
 CellID->1848532626],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SubscriptBox["Disc", "s"], "(", "\[ScriptCapitalM]", ")"}], "=", 
   RowBox[{"2", "i", " ", "Im", " ", 
    RowBox[{"\[ScriptCapitalM]", " ", "."}]}]}], 
  TraditionalForm]], "NumberedEquation",
 CellTags->"realAnalyticity",
 CellID->1030201163]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "After substituting (",
 
 CounterBox["NumberedEquation", "realAnalyticity"],
 ") into the optical theorem (",
 
 CounterBox["NumberedEquation", "opticalTheorem"],
 "), we obtain the total cross section in terms of the discontinuity of the \
loop integral in the forward limit:"
}], "Text",
 CellID->329970428],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["\[Sigma]", "Tot"], "=", 
   RowBox[{
    FractionBox[
     RowBox[{"-", "i"}], "Flux"], 
    SubscriptBox["Disc", "s"], " ", 
    RowBox[{
     RowBox[{"\[ScriptCapitalM]", "(", 
      RowBox[{"s", ",", 
       RowBox[{"t", "=", "0"}]}], ")"}], "."}]}]}], 
  TraditionalForm]], "NumberedEquation",
 CellTags->"opticalTheoremRealAnalytic",
 CellID->337730340]
}, Open  ]],

Cell[TextData[{
 "At one loop order, the Feynman diagrams are contributing to the ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["e", "+"], 
     SuperscriptBox["e", "-"]}], "\[Rule]", 
    RowBox[{
     SuperscriptBox["e", "+"], 
     SuperscriptBox["e", "-"]}]}], TraditionalForm]], "InlineMath"],
 " elastic amplitude are: "
}], "Text",
 CellID->2115247403],

Cell[TextData[{
 "\t",
 Cell[BoxData[GridBox[{
    {
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzs3U+LJUm/H/aD5cMzy5lXoLqz0crQMG+gbHplvGhkBm9LAg/YGzeyoNGu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        "], {{0, 618}, {1027, 0}}, {0, 
        255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{199.28125, Automatic},
      ImageSizeRaw->{1027, 618},
      PlotRange->{{0, 1027}, {0, 618}}], 
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzt3U2oZOmd5/eD7UC5zILxPip3XhguaG0ImyoKvLqMK13eOUZq1bauawaS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        "], {{0, 553}, {668, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{119.2343749999988, Automatic},
      ImageSizeRaw->{668, 553},
      PlotRange->{{0, 668}, {0, 553}}]}
   },
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[3.5]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}]], "TR", "InlineFormula"]
}], "Text",
 CellID->489297617],

Cell[TextData[{
 "The discontinuity will be computed across the ",
 Cell[BoxData[
  FormBox["s", TraditionalForm]], "InlineMath"],
 "-channel cut, indicated in red.  Both contributions will be added to obtain \
the correct result."
}], "Text",
 CellID->255054149],

Cell[CellGroupData[{

Cell[TextData[{
 "Load ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X:"
}], "MathCaption",
 CellID->836781195],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<X`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->2058623809]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Define set of kinematic relations for the forward scattering problem:\
\>", "MathCaption",
 CellID->257063409],

Cell[BoxData[
 RowBox[{
  RowBox[{"onShell", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"p1", ".", "p1"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p2", ".", "p2"}], "\[Rule]", 
      SuperscriptBox["m", "2"]}], ",", 
     RowBox[{
      RowBox[{"p1", ".", "p2"}], "\[Rule]", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]}]}], "}"}]}], 
  ";"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->359772685]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "It is easiest to define the integrals in the more general kinematic \
configuration.  The evaluation control function ",
 Cell[BoxData[
  ButtonBox["Inactive",
   BaseStyle->"Link",
   ButtonData->"paclet:System/ref/Inactive"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " is used to prevent ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " from processing the numerator before kinematic rules for forward \
scattering have been applied: "
}], "MathCaption",
 CellID->948562937],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"diagram1", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Inactive", "[", "LoopIntegrate", "]"}], "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"\[ScriptV]", "[", 
         RowBox[{"p1", ",", "m"}], "]"}], ",", 
        RowBox[{"\[ImaginaryI]", " ", "e", " ", 
         SubscriptBox["\[Gamma]", "\[Mu]"]}], ",", 
        RowBox[{"\[ImaginaryI]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Gamma]", ".", "k"}], "+", 
           RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}]}], ",", 
        RowBox[{"\[ImaginaryI]", " ", "e", " ", 
         SubscriptBox["\[Gamma]", "\[Nu]"]}], ",", 
        RowBox[{"\[ScriptU]", "[", 
         RowBox[{"p2", ",", "m"}], "]"}]}], "\[RightAngleBracket]"}], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"\[ScriptU]", "[", 
         RowBox[{"p4", ",", "m"}], "]"}], ",", 
        RowBox[{"\[ImaginaryI]", " ", "e", " ", 
         SubscriptBox["\[Gamma]", "\[FinalSigma]"]}], ",", 
        RowBox[{"\[ImaginaryI]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Gamma]", ".", 
            RowBox[{"(", 
             RowBox[{"k", "+", "p1", "-", "p3"}], ")"}]}], "+", 
           RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}]}], ",", 
        RowBox[{"\[ImaginaryI]", " ", "e", " ", 
         SubscriptBox["\[Gamma]", "\[Rho]"]}], ",", 
        RowBox[{"\[ScriptV]", "[", 
         RowBox[{"p3", ",", "m"}], "]"}]}], "\[RightAngleBracket]"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "\[ImaginaryI]"}], " ", 
        SubscriptBox["\[DoubleStruckG]", 
         RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "\[ImaginaryI]"}], " ", 
        SubscriptBox["\[DoubleStruckG]", 
         RowBox[{"\[Nu]", ",", "\[FinalSigma]"}]]}], ")"}]}], ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "+", "p1", "-", "p3"}], ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "+", "p1"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p2"}], ",", "0"}], "}"}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p3", "\[Rule]", "p1"}], ",", 
     RowBox[{"p4", "\[Rule]", "p2"}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"diagram2", "=", 
  RowBox[{
   RowBox[{
    RowBox[{"Inactive", "[", "LoopIntegrate", "]"}], "[", 
    RowBox[{
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"\[ScriptV]", "[", 
         RowBox[{"p1", ",", "m"}], "]"}], ",", 
        RowBox[{"\[ImaginaryI]", " ", "e", " ", 
         SubscriptBox["\[Gamma]", "\[Mu]"]}], ",", 
        RowBox[{"\[ImaginaryI]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Gamma]", ".", "k"}], "+", 
           RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}]}], ",", 
        RowBox[{"\[ImaginaryI]", " ", "e", " ", 
         SubscriptBox["\[Gamma]", "\[Nu]"]}], ",", 
        RowBox[{"\[ScriptU]", "[", 
         RowBox[{"p2", ",", "m"}], "]"}]}], "\[RightAngleBracket]"}], 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{
        RowBox[{"\[ScriptU]", "[", 
         RowBox[{"p4", ",", "m"}], "]"}], ",", 
        RowBox[{"\[ImaginaryI]", " ", "e", " ", 
         SubscriptBox["\[Gamma]", "\[FinalSigma]"]}], ",", 
        RowBox[{"\[ImaginaryI]", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"\[Gamma]", ".", 
             RowBox[{"(", 
              RowBox[{"k", "-", "p2", "+", "p3"}], ")"}]}]}], "+", 
           RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ")"}]}], ",", 
        RowBox[{"\[ImaginaryI]", " ", "e", " ", 
         SubscriptBox["\[Gamma]", "\[Rho]"]}], ",", 
        RowBox[{"\[ScriptV]", "[", 
         RowBox[{"p3", ",", "m"}], "]"}]}], "\[RightAngleBracket]"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "\[ImaginaryI]"}], " ", 
        SubscriptBox["\[DoubleStruckG]", 
         RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], ")"}], 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "\[ImaginaryI]"}], " ", 
        SubscriptBox["\[DoubleStruckG]", 
         RowBox[{"\[Mu]", ",", "\[FinalSigma]"}]]}], ")"}]}], ",", "k", ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p2", "+", "p3"}], ",", "m"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "-", "p2"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k", "+", "p1"}], ",", "0"}], "}"}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p3", "\[Rule]", "p1"}], ",", 
     RowBox[{"p4", "\[Rule]", "p2"}]}], "}"}]}]}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->1038970997],

Cell[BoxData[
 TemplateBox[{RowBox[{
     RowBox[{"-", 
       SuperscriptBox["e", "4"]}], " ", 
     RowBox[{
       RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"\[ScriptV]", "[", 
           RowBox[{"p1", ",", "m"}], "]"}], ",", 
         SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
         RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"\[DoubleStruckOne]", " ", "m"}], "+", 
               RowBox[{"\[Gamma]", ".", "k"}]}], ")"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
         RowBox[{"\[ScriptU]", "[", 
           RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
       "\[CircleTimes]", 
       RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"\[ScriptU]", "[", 
           RowBox[{"p2", ",", "m"}], "]"}], ",", 
         SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", 
         RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"\[DoubleStruckOne]", " ", "m"}], "+", 
               RowBox[{"\[Gamma]", ".", "k"}]}], ")"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
         RowBox[{"\[ScriptV]", "[", 
           RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Rho]"}]], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Nu]", ",", "\[FinalSigma]"}]]}],"k",RowBox[{
     TemplateBox[{"k", "m", "1"}, "LoopIntegrateDenomSpec", 
      DisplayFunction -> (RowBox[{"(", 
         SuperscriptBox[#, "2"], "-", 
         SuperscriptBox[#2, "2"], ")"}]& ), 
      InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
     
     TemplateBox[{"k", "m", "1"}, "LoopIntegrateDenomSpec", 
      DisplayFunction -> (RowBox[{"(", 
         SuperscriptBox[#, "2"], "-", 
         SuperscriptBox[#2, "2"], ")"}]& ), 
      InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
     
     TemplateBox[{
       RowBox[{"(", 
         RowBox[{"k", "+", "p1"}], ")"}], "0", "1"}, "LoopIntegrateDenomSpec",
       DisplayFunction -> (SuperscriptBox[#, "2"]& ), 
      InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
     
     TemplateBox[{
       RowBox[{"(", 
         RowBox[{"k", "-", "p2"}], ")"}], "0", "1"}, "LoopIntegrateDenomSpec",
       DisplayFunction -> (SuperscriptBox[#, "2"]& ), 
      InterpretationFunction -> (
       RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )]}]},
  "InactiveLoopIntegrate",
  DisplayFunction->(RowBox[{
     StyleBox["\[Integral]", "Inactive"], 
     FractionBox[
      RowBox[{
        SuperscriptBox[
         StyleBox["\[DifferentialD]", "Inactive"], 
         StyleBox["\[ScriptD]", "Inactive"]], #2}], 
      SuperscriptBox[
       RowBox[{
         StyleBox["(", "Inactive"], 
         StyleBox["2", "Inactive"], 
         StyleBox["\[Pi]", "Inactive"], 
         StyleBox[")", "Inactive"]}], 
       StyleBox["\[ScriptD]", "Inactive"]]], 
     FractionBox[#, #3]}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{
     RowBox[{"Inactive", "[", "LoopIntegrate", "]"}], "[", 
     RowBox[
      Riffle[
       Join[{#, #2}, 
        Part[
         Map[ToBoxes[
           ToExpression[#]]& , #3, {2}], 1]], ","]], "]"}]& ),
  Tooltip:>"Inactive[LoopIntegrate]"]], "Output",
 ImageSize->{579, 74},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->230266807],

Cell[BoxData[
 TemplateBox[{RowBox[{
     RowBox[{"-", 
       SuperscriptBox["e", "4"]}], " ", 
     RowBox[{
       RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"\[ScriptV]", "[", 
           RowBox[{"p1", ",", "m"}], "]"}], ",", 
         SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
         RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"\[DoubleStruckOne]", " ", "m"}], "+", 
               RowBox[{"\[Gamma]", ".", "k"}]}], ")"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
         RowBox[{"\[ScriptU]", "[", 
           RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
       "\[CircleTimes]", 
       RowBox[{"\[LeftAngleBracket]", 
         RowBox[{"\[ScriptU]", "[", 
           RowBox[{"p2", ",", "m"}], "]"}], ",", 
         SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", 
         RowBox[{"\[ImaginaryI]", " ", 
           RowBox[{"(", 
             RowBox[{
               RowBox[{"\[DoubleStruckOne]", " ", "m"}], "-", 
               RowBox[{"\[Gamma]", ".", "k"}], "-", 
               RowBox[{"\[Gamma]", ".", "p1"}], "+", 
               RowBox[{"\[Gamma]", ".", "p2"}]}], ")"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
         RowBox[{"\[ScriptV]", "[", 
           RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[FinalSigma]"}]], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Nu]", ",", "\[Rho]"}]]}],"k",RowBox[{
     TemplateBox[{"k", "m", "1"}, "LoopIntegrateDenomSpec", 
      DisplayFunction -> (RowBox[{"(", 
         SuperscriptBox[#, "2"], "-", 
         SuperscriptBox[#2, "2"], ")"}]& ), 
      InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
     
     TemplateBox[{
       RowBox[{"(", 
         RowBox[{"k", "+", "p1", "-", "p2"}], ")"}], "m", "1"}, 
      "LoopIntegrateDenomSpec", DisplayFunction -> (RowBox[{"(", 
         SuperscriptBox[#, "2"], "-", 
         SuperscriptBox[#2, "2"], ")"}]& ), 
      InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
     
     TemplateBox[{
       RowBox[{"(", 
         RowBox[{"k", "-", "p2"}], ")"}], "0", "1"}, "LoopIntegrateDenomSpec",
       DisplayFunction -> (SuperscriptBox[#, "2"]& ), 
      InterpretationFunction -> (RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )], 
     
     TemplateBox[{
       RowBox[{"(", 
         RowBox[{"k", "+", "p1"}], ")"}], "0", "1"}, "LoopIntegrateDenomSpec",
       DisplayFunction -> (SuperscriptBox[#, "2"]& ), 
      InterpretationFunction -> (
       RowBox[{"{", #, ",", #2, ",", #3, "}"}]& )]}]},
  "InactiveLoopIntegrate",
  DisplayFunction->(RowBox[{
     StyleBox["\[Integral]", "Inactive"], 
     FractionBox[
      RowBox[{
        SuperscriptBox[
         StyleBox["\[DifferentialD]", "Inactive"], 
         StyleBox["\[ScriptD]", "Inactive"]], #2}], 
      SuperscriptBox[
       RowBox[{
         StyleBox["(", "Inactive"], 
         StyleBox["2", "Inactive"], 
         StyleBox["\[Pi]", "Inactive"], 
         StyleBox[")", "Inactive"]}], 
       StyleBox["\[ScriptD]", "Inactive"]]], 
     FractionBox[#, #3]}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{
     RowBox[{"Inactive", "[", "LoopIntegrate", "]"}], "[", 
     RowBox[
      Riffle[
       Join[{#, #2}, 
        Part[
         Map[ToBoxes[
           ToExpression[#]]& , #3, {2}], 1]], ","]], "]"}]& ),
  Tooltip:>"Inactive[LoopIntegrate]"]], "Output",
 ImageSize->{573, 74},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->328693355]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Add the integrals, activate ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and apply the kinematic relations.  The result is lengthy, as is usual \
for most next-to-leading order calculations."
}], "MathCaption",
 CellID->474779911],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"int", "=", 
  RowBox[{
   RowBox[{"Activate", "[", 
    RowBox[{"diagram1", "+", "diagram2"}], "]"}], "/.", 
   "onShell"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->1724215572],

Cell[BoxData[
 TagBox[
  RowBox[{
   RowBox[{"\[LeftSkeleton]", "21", "\[RightSkeleton]"}], "+", 
   RowBox[{
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}], ",", 
      SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", "\[Gamma]5", ",", 
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
     "\[CircleTimes]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}], ",", 
      SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", "\[Gamma]5", ",", 
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "m", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["e", "4"]}], " ", "m", " ", 
          RowBox[{"PVD", "[", 
           RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["m", "2"]}], "-", "s"}], ",", 
            SuperscriptBox["m", "2"], ",", "s", ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", "m", ",", "m", ",", "0", ",", 
            "0"}], "]"}]}], "-", 
         RowBox[{
          SuperscriptBox["e", "4"], " ", "m", " ", 
          RowBox[{"PVD", "[", 
           RowBox[{"0", ",", "0", ",", "0", ",", "1", ",", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["m", "2"]}], "-", "s"}], ",", 
            SuperscriptBox["m", "2"], ",", "s", ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", "m", ",", "m", ",", "0", ",", 
            "0"}], "]"}]}], "-", 
         RowBox[{
          SuperscriptBox["e", "4"], " ", "m", " ", 
          RowBox[{"PVD", "[", 
           RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["m", "2"]}], "-", "s"}], ",", 
            SuperscriptBox["m", "2"], ",", "s", ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", "m", ",", "m", ",", "0", ",", 
            "0"}], "]"}]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", "m", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["e", "4"], " ", "m", " ", 
          RowBox[{"PVD", "[", 
           RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["m", "2"]}], "-", "s"}], ",", 
            SuperscriptBox["m", "2"], ",", "s", ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", "m", ",", "m", ",", "0", ",", 
            "0"}], "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["e", "4"], " ", "m", " ", 
          RowBox[{"PVD", "[", 
           RowBox[{"0", ",", "0", ",", "1", ",", "0", ",", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["m", "2"]}], "-", "s"}], ",", 
            SuperscriptBox["m", "2"], ",", "s", ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", "m", ",", "m", ",", "0", ",", 
            "0"}], "]"}]}], "+", 
         RowBox[{
          SuperscriptBox["e", "4"], " ", "m", " ", 
          RowBox[{"PVD", "[", 
           RowBox[{"0", ",", "1", ",", "0", ",", "0", ",", 
            RowBox[{
             RowBox[{"4", " ", 
              SuperscriptBox["m", "2"]}], "-", "s"}], ",", 
            SuperscriptBox["m", "2"], ",", "s", ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", 
            SuperscriptBox["m", "2"], ",", "m", ",", "m", ",", "0", ",", 
            "0"}], "]"}]}]}], ")"}]}], "+", 
      RowBox[{"\[LeftSkeleton]", "7", "\[RightSkeleton]"}]}], ")"}]}]}],
  Short[#, 10]& ]], "Output",
 ImageSize->{483, 124},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]//Short=",
 CellID->164592033]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "At this stage we may compute the discontinuity across the ",
 StyleBox["s",
  FontSlant->"Italic"],
 "-channel normal threshold cut."
}], "MathCaption",
 CellID->1103754061],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"disc", "=", 
   RowBox[{"LoopRefine", "[", 
    RowBox[{"int", ",", 
     RowBox[{"Part", "\[Rule]", 
      RowBox[{"Discontinuity", "[", "s", "]"}]}]}], "]"}]}], 
  "\[IndentingNewLine]"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->830760441],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{
    FractionBox["1", 
     RowBox[{"s", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]]}]], 
    RowBox[{"4", " ", 
     SuperscriptBox["e", "4"], " ", "m", " ", "\[Pi]", " ", 
     RowBox[{
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"\[ScriptV]", "[", 
        RowBox[{"p1", ",", "m"}], "]"}], ",", 
       SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
       RowBox[{"\[ScriptU]", "[", 
        RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
      "\[CircleTimes]", 
      RowBox[{"\[LeftAngleBracket]", 
       RowBox[{"\[ScriptU]", "[", 
        RowBox[{"p2", ",", "m"}], "]"}], ",", 
       SubscriptBox["\[Sigma]", 
        RowBox[{"\[Rho]", ",", 
         RowBox[{"{", "p1", "}"}]}]], ",", 
       RowBox[{"\[ScriptV]", "[", 
        RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"Log", "[", 
      FractionBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["s", "2"]}], "+", 
        RowBox[{"s", " ", 
         SqrtBox[
          RowBox[{"s", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", 
              SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["s", "2"]}], "-", 
        RowBox[{"s", " ", 
         SqrtBox[
          RowBox[{"s", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", 
              SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
      "]"}]}]}]}], "-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"s", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"-", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]]}]], 
   RowBox[{"4", " ", 
    SuperscriptBox["e", "4"], " ", "m", " ", "\[Pi]", " ", 
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}], ",", 
      SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", 
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
     "\[CircleTimes]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}], ",", 
      SubscriptBox["\[Sigma]", 
       RowBox[{"\[FinalSigma]", ",", 
        RowBox[{"{", "p2", "}"}]}]], ",", 
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
    RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["s", "2"]}], "+", 
       RowBox[{"s", " ", 
        SqrtBox[
         RowBox[{"s", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", 
             SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["s", "2"]}], "-", 
       RowBox[{"s", " ", 
        SqrtBox[
         RowBox[{"s", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", 
             SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], "]"}]}]}],
   "-", 
  RowBox[{
   FractionBox["1", 
    SqrtBox[
     RowBox[{"s", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "4"}], " ", 
         SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]], 
   RowBox[{"2", " ", "\[ImaginaryI]", " ", 
    SuperscriptBox["e", "4"], " ", "\[Pi]", " ", 
    RowBox[{
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}], ",", 
      SubscriptBox["\[Gamma]", "\[Rho]"], ",", "\[Gamma]5", ",", 
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
     "\[CircleTimes]", 
     RowBox[{"\[LeftAngleBracket]", 
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}], ",", 
      SubscriptBox["\[Gamma]", "\[Rho]"], ",", "\[Gamma]5", ",", 
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
    RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
    RowBox[{"Log", "[", 
     FractionBox[
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["s", "2"]}], "+", 
       RowBox[{"s", " ", 
        SqrtBox[
         RowBox[{"s", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", 
             SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["s", "2"]}], "-", 
       RowBox[{"s", " ", 
        SqrtBox[
         RowBox[{"s", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", 
             SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], "]"}]}]}],
   "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", "\[Gamma]5", ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", "\[Gamma]5", ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      SuperscriptBox["e", "4"], 
      RowBox[{
       RowBox[{"4", " ", 
        SuperscriptBox["m", "2"]}], "-", "s"}]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       SuperscriptBox["e", "4"], " ", 
       SuperscriptBox["m", "2"], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
         "s"}]]}]]}], ")"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"4", " ", 
       SuperscriptBox["e", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "-", 
     FractionBox[
      RowBox[{"16", " ", 
       SuperscriptBox["e", "4"], " ", 
       SuperscriptBox["m", "4"], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
         "s"}]]}]]}], ")"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", "\[Gamma]5", ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     RowBox[{"\[Gamma]", ".", "p1"}], ",", "\[Gamma]5", ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"2", " ", 
       SuperscriptBox["e", "4"], " ", "m"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       SuperscriptBox["e", "4"], " ", "m", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"6", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
         "s"}]]}]]}], ")"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", "\[Gamma]5", ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     RowBox[{"\[Gamma]", ".", "p2"}], ",", "\[Gamma]5", ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"2", " ", 
       SuperscriptBox["e", "4"], " ", "m"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       SuperscriptBox["e", "4"], " ", "m", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"6", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
         "s"}]]}]]}], ")"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Sigma]", 
      RowBox[{"\[Rho]", ",", 
       RowBox[{"{", "p2", "}"}]}]], ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"4", " ", "\[ImaginaryI]", " ", 
       SuperscriptBox["e", "4"], " ", "m"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "-", 
     FractionBox[
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       SuperscriptBox["e", "4"], " ", "m", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]], 
       " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", "s"}]]}],
     ")"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Gamma]", "\[FinalSigma]"], ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Sigma]", 
      RowBox[{"\[FinalSigma]", ",", 
       RowBox[{"{", "p1", "}"}]}]], ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"4", " ", "\[ImaginaryI]", " ", 
       SuperscriptBox["e", "4"], " ", "m"}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "-", 
     FractionBox[
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       SuperscriptBox["e", "4"], " ", "m", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]], 
       " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", "s"}]]}],
     ")"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Sigma]", 
      RowBox[{"\[Rho]", ",", "\[FinalSigma]"}]], ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Sigma]", 
      RowBox[{"\[Rho]", ",", "\[FinalSigma]"}]], ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       SuperscriptBox["e", "4"], 
       RowBox[{
        RowBox[{"4", " ", 
         SuperscriptBox["m", "2"]}], "-", "s"}]]}], "+", 
     FractionBox[
      RowBox[{"2", " ", 
       SuperscriptBox["e", "4"], " ", 
       SuperscriptBox["m", "2"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]], 
       " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", "s"}]]}],
     ")"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     RowBox[{"\[Gamma]", ".", "p1"}], ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{"18", " ", 
        SuperscriptBox["e", "4"], " ", "m"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"]]}], "-", 
     FractionBox[
      RowBox[{"6", " ", 
       SuperscriptBox["e", "4"], " ", "m", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", "s"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
         "s"}]]}]]}], ")"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     RowBox[{"\[Gamma]", ".", "p2"}], ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{"18", " ", 
       SuperscriptBox["e", "4"], " ", "m"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"]], "+", 
     FractionBox[
      RowBox[{"6", " ", 
       SuperscriptBox["e", "4"], " ", "m", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", "s"}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
         "s"}]]}]]}], ")"}]}], "+", 
  RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{"\[ScriptU]", "[", 
      RowBox[{"p2", ",", "m"}], "]"}], ",", 
     SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
     RowBox[{"\[ScriptV]", "[", 
      RowBox[{"p1", ",", "m"}], "]"}], "\[RightAngleBracket]"}]}], " ", 
   RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["e", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"8", " ", 
          SuperscriptBox["m", "2"]}], "-", 
         RowBox[{"5", " ", "s"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["e", "4"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"16", " ", 
          SuperscriptBox["m", "4"]}], "-", 
         RowBox[{"10", " ", 
          SuperscriptBox["m", "2"], " ", "s"}], "+", 
         RowBox[{"3", " ", 
          SuperscriptBox["s", "2"]}]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
         "s"}]]}]]}], ")"}]}]}]], "Output",
 ImageSize->{521, 1725},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->1585330076]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "This expression may be directly interpreted as arising from the squaring \
the tree-level ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["e", "+"], 
     SuperscriptBox["e", "-"]}], "\[Rule]", "\[Gamma]\[Gamma]"}], 
   TraditionalForm]], "InlineMath"],
 " amplitude, and summing over final state degrees of freedom (photon \
helicities and momenta).  The various spinors ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        OverscriptBox["v", "_"], "(", 
        SubscriptBox[
         StyleBox["p",
          FontWeight->"Bold",
          FontSlant->"Plain"], "1"], ")"}], "..."}], 
      RowBox[{"u", "(", 
       SubscriptBox[
        StyleBox["p",
         FontWeight->"Bold",
         FontSlant->"Plain"], "2"], ")"}], 
      RowBox[{
       OverscriptBox["u", "_"], "(", 
       SubscriptBox[
        StyleBox["p",
         FontWeight->"Bold",
         FontSlant->"Plain"], "2"], ")"}]}], "..."}], 
    RowBox[{"v", "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold",
       FontSlant->"Plain"], "2"], ")"}]}], TraditionalForm]], "InlineMath"],
 " are associated with the initial-state electron and positron.  To obtain \
the spin-averaged cross section, apply the completeness relations:"
}], "Text",
 CellID->831874682],

Cell[BoxData[{
 FormBox[
  RowBox[{
   RowBox[{"\[Sum]", 
    RowBox[{
     RowBox[{"u", "(", 
      SubscriptBox[
       StyleBox["p",
        FontWeight->"Bold",
        FontSlant->"Plain"], "2"], ")"}], 
     RowBox[{
      OverscriptBox["u", "_"], "(", 
      SubscriptBox[
       StyleBox["p",
        FontWeight->"Bold",
        FontSlant->"Plain"], "2"], ")"}]}]}], "=", 
   RowBox[{
    SubscriptBox[
     OverlayBox[{
      StyleBox["p", "TI"], "/"},
      Alignment->{Center, Center}], "2"], "+", "m"}]}], 
  TraditionalForm], "\[LineSeparator]", 
 FormBox[
  RowBox[{
   RowBox[{"\[Sum]", 
    RowBox[{
     RowBox[{"v", "(", 
      SubscriptBox[
       StyleBox["p",
        FontWeight->"Bold",
        FontSlant->"Plain"], "1"], ")"}], 
     RowBox[{
      OverscriptBox["v", "_"], "(", 
      SubscriptBox[
       StyleBox["p",
        FontWeight->"Bold",
        FontSlant->"Plain"], "1"], ")"}]}]}], "=", 
   RowBox[{
    SubscriptBox[
     OverlayBox[{
      StyleBox["p", "TI"], "/"},
      Alignment->{Center, Center}], "1"], "-", "m"}]}], 
  TraditionalForm]}], "NumberedEquation",
 CellID->493310538]
}, Open  ]],

Cell[CellGroupData[{

Cell["to convert the spinor products into traces:", "Text",
 CellID->432030435],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"\[Sum]", 
        RowBox[{
         OverscriptBox["v", "_"], "(", 
         SubscriptBox[
          StyleBox["p",
           FontWeight->"Bold",
           FontSlant->"Plain"], "1"], ")"}]}], "..."}], 
      RowBox[{"u", "(", 
       SubscriptBox[
        StyleBox["p",
         FontWeight->"Bold",
         FontSlant->"Plain"], "2"], ")"}], 
      RowBox[{
       OverscriptBox["u", "_"], "(", 
       SubscriptBox[
        StyleBox["p",
         FontWeight->"Bold",
         FontSlant->"Plain"], "2"], ")"}]}], "..."}], 
    RowBox[{"v", "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold",
       FontSlant->"Plain"], "2"], ")"}]}], "=", 
   RowBox[{
    RowBox[{"Tr", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          SubscriptBox[
           OverlayBox[{
            StyleBox["p", "TI"], "/"},
            Alignment->{Center, Center}], "1"], "-", "m"}], ")"}], "..."}], 
       RowBox[{"(", 
        RowBox[{
         SubscriptBox[
          OverlayBox[{
           StyleBox["p", "TI"], "/"},
           Alignment->{Center, Center}], "2"], "+", "m"}], ")"}]}], "..."}], 
     "]"}], " ", "."}]}], TraditionalForm]], "NumberedEquation",
 CellID->214855159]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Replace all ",
 Cell[BoxData[
  ButtonBox["FermionLineProduct",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/FermionLineProduct"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " objects with the appropriate trace (",
 Cell[BoxData[
  ButtonBox["Spur",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Spur"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "), and divide by 4 to account for averaging:"
}], "MathCaption",
 CellID->941532151],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "4"], "disc"}], "/.", 
  RowBox[{
   RowBox[{
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}], ",", "mtx1___", ",", 
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}]}], "\[RightAngleBracket]"}], 
    "\[CircleTimes]", 
    RowBox[{"\[LeftAngleBracket]", 
     RowBox[{
      RowBox[{"\[ScriptU]", "[", 
       RowBox[{"p2", ",", "m"}], "]"}], ",", "mtx2___", ",", 
      RowBox[{"\[ScriptV]", "[", 
       RowBox[{"p1", ",", "m"}], "]"}]}], "\[RightAngleBracket]"}]}], 
   "\[RuleDelayed]", 
   RowBox[{"Contract", "[", 
    RowBox[{"Spur", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"p1", ".", "\[Gamma]"}], "-", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", "mtx1", ",", 
      RowBox[{
       RowBox[{"p2", ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", "mtx2"}], "]"}], 
    "]"}]}]}]], "Input",
 CellLabel->"In[6]:=",
 CellID->2017517723],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "4"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       SuperscriptBox["e", "4"], " ", "\[Pi]", " ", 
       RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", "\[ScriptD]", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"8", " ", 
          RowBox[{"p1", ".", "p2"}]}], "-", 
         RowBox[{"4", " ", "\[ScriptD]", " ", 
          RowBox[{"p1", ".", "p2"}]}]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "+", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["s", "2"]}], "-", 
          RowBox[{"s", " ", 
           SqrtBox[
            RowBox[{"s", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", 
                SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
        "]"}]}], 
      SqrtBox[
       RowBox[{"s", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", 
           SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]]}], "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"s", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]]}]], 
     
     RowBox[{"4", " ", 
      SuperscriptBox["e", "4"], " ", "m", " ", "\[Pi]", " ", 
      RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "4"}], " ", "\[ImaginaryI]", " ", "m", " ", 
         RowBox[{"p1", ".", "p1"}]}], "+", 
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "\[ScriptD]", " ", "m", " ", 
         RowBox[{"p1", ".", "p1"}]}], "-", 
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "m", " ", 
         RowBox[{"p1", ".", "p2"}]}], "+", 
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "\[ScriptD]", " ", "m", " ", 
         RowBox[{"p1", ".", "p2"}]}]}], ")"}], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["s", "2"]}], "+", 
         RowBox[{"s", " ", 
          SqrtBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["s", "2"]}], "-", 
         RowBox[{"s", " ", 
          SqrtBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
       "]"}]}]}], "-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"s", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]]}]], 
     
     RowBox[{"4", " ", 
      SuperscriptBox["e", "4"], " ", "m", " ", "\[Pi]", " ", 
      RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"-", "4"}], " ", "\[ImaginaryI]", " ", "m", " ", 
         RowBox[{"p1", ".", "p2"}]}], "+", 
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "\[ScriptD]", " ", "m", " ", 
         RowBox[{"p1", ".", "p2"}]}], "-", 
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "m", " ", 
         RowBox[{"p2", ".", "p2"}]}], "+", 
        RowBox[{"4", " ", "\[ImaginaryI]", " ", "\[ScriptD]", " ", "m", " ", 
         RowBox[{"p2", ".", "p2"}]}]}], ")"}], " ", 
      RowBox[{"Log", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["s", "2"]}], "+", 
         RowBox[{"s", " ", 
          SqrtBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["s", "2"]}], "-", 
         RowBox[{"s", " ", 
          SqrtBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
       "]"}]}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "\[ScriptD]", " ", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"8", " ", 
        RowBox[{"p1", ".", "p2"}]}], "-", 
       RowBox[{"4", " ", "\[ScriptD]", " ", 
        RowBox[{"p1", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        SuperscriptBox["e", "4"], 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}]], "+", 
       FractionBox[
        RowBox[{"2", " ", 
         SuperscriptBox["e", "4"], " ", 
         SuperscriptBox["m", "2"], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
           "s"}]]}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"4", " ", 
        RowBox[{"p1", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"4", " ", 
         SuperscriptBox["e", "4"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "-", 
       FractionBox[
        RowBox[{"16", " ", 
         SuperscriptBox["e", "4"], " ", 
         SuperscriptBox["m", "4"], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
           "s"}]]}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", "m", " ", 
        RowBox[{"p1", ".", "p1"}]}], "-", 
       RowBox[{"4", " ", "m", " ", 
        RowBox[{"p1", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"2", " ", 
         SuperscriptBox["e", "4"], " ", "m"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "+", 
       FractionBox[
        RowBox[{"2", " ", 
         SuperscriptBox["e", "4"], " ", "m", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"6", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
           "s"}]]}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", "m", " ", 
        RowBox[{"p1", ".", "p2"}]}], "-", 
       RowBox[{"4", " ", "m", " ", 
        RowBox[{"p2", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"2", " ", 
         SuperscriptBox["e", "4"], " ", "m"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "+", 
       FractionBox[
        RowBox[{"2", " ", 
         SuperscriptBox["e", "4"], " ", "m", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"6", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
           "s"}]]}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", "\[ImaginaryI]", " ", "m", " ", 
        RowBox[{"p1", ".", "p1"}]}], "+", 
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "\[ScriptD]", " ", "m", " ", 
        RowBox[{"p1", ".", "p1"}]}], "-", 
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "m", " ", 
        RowBox[{"p1", ".", "p2"}]}], "+", 
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "\[ScriptD]", " ", "m", " ", 
        RowBox[{"p1", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", 
         SuperscriptBox["e", "4"], " ", "m"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", 
         SuperscriptBox["e", "4"], " ", "m", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]], 
         " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", 
         "s"}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", "\[ImaginaryI]", " ", "m", " ", 
        RowBox[{"p1", ".", "p2"}]}], "+", 
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "\[ScriptD]", " ", "m", " ", 
        RowBox[{"p1", ".", "p2"}]}], "-", 
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "m", " ", 
        RowBox[{"p2", ".", "p2"}]}], "+", 
       RowBox[{"4", " ", "\[ImaginaryI]", " ", "\[ScriptD]", " ", "m", " ", 
        RowBox[{"p2", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"4", " ", "\[ImaginaryI]", " ", 
         SuperscriptBox["e", "4"], " ", "m"}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "-", 
       FractionBox[
        RowBox[{"2", " ", "\[ImaginaryI]", " ", 
         SuperscriptBox["e", "4"], " ", "m", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]], 
         " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", 
         "s"}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "\[ScriptD]", " ", 
        SuperscriptBox["m", "2"]}], "-", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[ScriptD]", "2"], " ", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"16", " ", 
        RowBox[{"p1", ".", "p2"}]}], "-", 
       RowBox[{"20", " ", "\[ScriptD]", " ", 
        RowBox[{"p1", ".", "p2"}]}], "+", 
       RowBox[{"4", " ", 
        SuperscriptBox["\[ScriptD]", "2"], " ", 
        RowBox[{"p1", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         SuperscriptBox["e", "4"], 
         RowBox[{
          RowBox[{"4", " ", 
           SuperscriptBox["m", "2"]}], "-", "s"}]]}], "+", 
       FractionBox[
        RowBox[{"2", " ", 
         SuperscriptBox["e", "4"], " ", 
         SuperscriptBox["m", "2"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", "s"}]], 
         " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", 
         "s"}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "m", " ", 
        RowBox[{"p1", ".", "p1"}]}], "-", 
       RowBox[{"4", " ", "m", " ", 
        RowBox[{"p1", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{"18", " ", 
          SuperscriptBox["e", "4"], " ", "m"}], 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"]]}], "-", 
       FractionBox[
        RowBox[{"6", " ", 
         SuperscriptBox["e", "4"], " ", "m", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["m", "2"]}], "+", "s"}], ")"}], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
           "s"}]]}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"4", " ", "m", " ", 
        RowBox[{"p1", ".", "p2"}]}], "-", 
       RowBox[{"4", " ", "m", " ", 
        RowBox[{"p2", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{"18", " ", 
         SuperscriptBox["e", "4"], " ", "m"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"]], "+", 
       FractionBox[
        RowBox[{"6", " ", 
         SuperscriptBox["e", "4"], " ", "m", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", 
            SuperscriptBox["m", "2"]}], "+", "s"}], ")"}], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], "2"], " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
           "s"}]]}]]}], ")"}]}], "+", 
    RowBox[{"2", " ", "\[ImaginaryI]", " ", "\[Pi]", " ", 
     RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", "\[ScriptD]", " ", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"8", " ", 
        RowBox[{"p1", ".", "p2"}]}], "-", 
       RowBox[{"4", " ", "\[ScriptD]", " ", 
        RowBox[{"p1", ".", "p2"}]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["e", "4"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"8", " ", 
            SuperscriptBox["m", "2"]}], "-", 
           RowBox[{"5", " ", "s"}]}], ")"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s"}]], "-", 
       FractionBox[
        RowBox[{
         SuperscriptBox["e", "4"], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"16", " ", 
            SuperscriptBox["m", "4"]}], "-", 
           RowBox[{"10", " ", 
            SuperscriptBox["m", "2"], " ", "s"}], "+", 
           RowBox[{"3", " ", 
            SuperscriptBox["s", "2"]}]}], ")"}], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "+", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}], 
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["s", "2"]}], "-", 
            RowBox[{"s", " ", 
             SqrtBox[
              RowBox[{"s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  RowBox[{"-", "4"}], " ", 
                  SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]}]], 
          "]"}]}], 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"4", " ", 
            SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", "s", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"4", " ", 
               SuperscriptBox["m", "2"]}], "-", "s"}], ")"}]}], " ", 
           "s"}]]}]]}], ")"}]}]}], ")"}]}]], "Output",
 ImageSize->{570, 1711},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[6]=",
 CellID->1447141207]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Apply the kinematic relations, take ",
 Cell[BoxData[
  ButtonBox["\[ScriptD]",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Dim"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "\[Rule]4, and simplify the expression (the normalization factor ",
 Cell[BoxData[
  RowBox[{
   RowBox[{"1", "/", "16"}], 
   SuperscriptBox["\[Pi]", "2"]}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " has been restored):"
}], "MathCaption",
 CellID->595929107],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"discAv", "=", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"16", 
     SuperscriptBox["\[Pi]", "2"]}]], 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"%", "/.", "onShell"}], "/.", 
     RowBox[{"\[ScriptD]", "\[Rule]", "4"}]}], "]"}]}]}]], "Input",
 CellLabel->"In[7]:=",
 CellID->851004761],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"4", " ", "\[Pi]", " ", "s", " ", 
     SqrtBox[
      RowBox[{"s", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]], 
   RowBox[{"\[ImaginaryI]", " ", 
    SuperscriptBox["e", "4"], " ", 
    RowBox[{"HeavisideTheta", "[", "s", "]"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       SqrtBox[
        RowBox[{"s", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", 
            SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "8"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"], " ", "s"}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{"s", "-", 
          SqrtBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}], 
         RowBox[{"s", "+", 
          SqrtBox[
           RowBox[{"s", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               RowBox[{"-", "4"}], " ", 
               SuperscriptBox["m", "2"]}], "+", "s"}], ")"}]}]]}]], "]"}]}]}],
      ")"}]}]}]}]], "Output",
 ImageSize->{477, 93},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->1072908352]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "To convert this into a cross section, multiply by ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"-", "i"}], "/", "Flux"}], TraditionalForm]], "InlineMath"],
 " as indicated in (",
 
 CounterBox["NumberedEquation", "opticalTheoremRealAnalytic"],
 ").  By expressing the result in terms of the velocity: ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", "=", 
    RowBox[{"4", 
     RowBox[{
      SuperscriptBox["m", "2"], "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        SuperscriptBox["\[Beta]", "2"]}], ")"}]}]}]}], TraditionalForm]], 
  "InlineMath"],
 ", the total cross section can be brought to a recognizable form."
}], "Text",
 Deletable->True,
 CellID->1033569322],

Cell[BoxData[
 RowBox[{
  RowBox[{"flux", "=", 
   RowBox[{"2", 
    SqrtBox[
     RowBox[{"Kallen\[Lambda]", "[", 
      RowBox[{"s", ",", 
       SuperscriptBox["m", "2"], ",", 
       SuperscriptBox["m", "2"]}], "]"}]]}]}], ";"}]], "Input",
 CellLabel->"In[8]:=",
 CellID->1743428191],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"crossXn", "=", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"-", "\[ImaginaryI]"}], "flux"], "discAv"}], "/.", 
      RowBox[{"{", 
       RowBox[{"s", "\[Rule]", 
        FractionBox[
         RowBox[{"4", 
          SuperscriptBox["m", "2"]}], 
         RowBox[{"1", "-", 
          SuperscriptBox["\[Beta]", "2"]}]]}], "}"}]}], ",", 
     RowBox[{"Assumptions", "\[Rule]", 
      RowBox[{
       RowBox[{"\[Beta]", ">", "0"}], "&&", 
       RowBox[{"\[Beta]", "<", "1"}], "&&", 
       RowBox[{"m", ">", "0"}]}]}]}], "]"}], "/.", 
   RowBox[{"e", "\[Rule]", 
    SqrtBox[
     RowBox[{"4", "\[Pi]", " ", "\[Alpha]"}]]}]}]}]], "Input",
 CellLabel->"In[9]:=",
 CellID->1530726469],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"\[Pi]", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SuperscriptBox["\[Beta]", "2"]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"2", " ", "\[Beta]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", 
         SuperscriptBox["\[Beta]", "2"]}], ")"}]}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "3"}], "+", 
         SuperscriptBox["\[Beta]", "4"]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        FractionBox[
         RowBox[{"1", "-", "\[Beta]"}], 
         RowBox[{"1", "+", "\[Beta]"}]], "]"}]}]}], ")"}]}], 
   RowBox[{"4", " ", 
    SuperscriptBox["m", "2"], " ", 
    SuperscriptBox["\[Beta]", "2"]}]]}]], "Output",
 ImageSize->{316, 45},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[9]=",
 CellID->1691305133]
}, Open  ]]
}, Open  ]],

Cell["\<\
Observe that the normalization factor correctly reflects the \
indistinguishability of the final state photons.\
\>", "Text",
 CellID->240519726],

Cell[CellGroupData[{

Cell["Make a plot:", "MathCaption",
 CellID->1217115519],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"crossXn", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"\[Alpha]", "\[Rule]", 
        RowBox[{"1", "/", "137"}]}], ",", 
       RowBox[{"m", "\[Rule]", "1"}]}], "}"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Beta]", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[8]:=",
 CellID->2114109450],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwVkGc81gsDhq1CHdsRIj1Ww0yFh/xvHrPHKKI6JbsSkcqRJJJxVNYpp8xO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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  Method->{},
  PlotRange->{{0, 1}, {0., 0.0010982241845862034`}},
  PlotRangeClipping->True,
  PlotRangePadding->{
    Scaled[0.02], 
    Scaled[0.02]}]], "Output",
 ImageSize->{184, 100},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[8]=",
 CellID->1519412087]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["More About", "TutorialMoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "MORE ABOUT", "TutorialMoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      Cell[
       TextData[{
         Cell[
          BoxData[
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[24]]]], "Related Guides"}], "TutorialMoreAboutSection", 
       CellSize -> {5000, Inherited}], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->23220180],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "TutorialMoreAbout",
 CellID->1567025153],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "Evaluation of e^+e^-\[Rule]\[Gamma]\[Gamma] Cross Section by The Optical \
Theorem - Wolfram Mathematica", 
  "Evaluation of e^+e^-\[Rule]\[Gamma]\[Gamma] Cross Section by The Optical \
Theorem"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "TutorialColor", 
  "LinkTrails" -> GridBox[{{
      RowBox[{
        ButtonBox[
        "Mathematica", ButtonData -> "paclet:X/guide/X", 
         BaseStyle -> {"Link", "DockedLinkTrail"}], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 53, 38.459409}", 
    "history" -> {"2.1", "", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Tutorial", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "A direct consequence of unitarity of the relativsitic S-matrix is the \
optical theorem which relates the imaginary part of the forward (t=0) elastic \
scattering amplitude to the total cross section. Since the cross section \
itself depends on the square of the scattering amplitude the optical theorem \
provides a relationship that is nonlinear in the coupling \
constant\[LongDash]frequently the perturbation parameter. Therefore, the \
optical theorem allows us to calculate cross sections at lower orders in \
pertubation theory using information from the higher order amplitude with the \
phase space integration already done.", "synonyms" -> {}, "title" -> 
    "Evaluation of e^+e^-\[Rule]\[Gamma]\[Gamma] Cross Section by The Optical \
Theorem", "titlemodifier" -> "", "windowtitle" -> 
    "Evaluation of e^+e^-\[Rule]\[Gamma]\[Gamma] Cross Section by The Optical \
Theorem", "type" -> "Tutorial", "uri" -> 
    "X/tutorial/PairAnnihilationUnitarity"}, "SearchTextTranslated" -> ""},
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> Notebook], 
   Cell[
    StyleData["Output"], CellContext -> Notebook], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

