Notebook[{
Cell[BoxData[GridBox[{
   {Cell["PACKAGE-X TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Related Tutorials \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"Bringing the Arguments of D functions to Canonical \
Form\"\>":>Documentation`HelpLookup["paclet:X/tutorial/ArgumentsOfScalarD"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Package-X\"\>":>Documentation`HelpLookup[
       "paclet:X/guide/PackageX"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"X/tutorial/LightByLight\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["X/tutorial/LightByLight"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/X/tutorial/\
LightByLight.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "X/tutorial/LightByLight", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["The Scattering of Light By Light", "Title",
 CellID->509267359],

Cell[TextData[{
 "This tutorial will illustrate a few strategies you can employ to streamline \
complex calculations with ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X by using the scattering of light by light in quantum electrodynamics as \
an example.  We will aim to calculate the scattering amplitude and \
differential cross section.  In certain kinematic limits, compact analytic \
expressions exist and can be quickly obtained.  Otherwise, the general result \
with full kinematic dependence is extremely complicated, and can take a long \
time to calculate. But with clever strategies it can be obtained in a \
reasonable amount of time, and can even be numerically evaluated.  We will \
also save the final result so it can be reloaded upon restarting ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellID->1534169418],

Cell[CellGroupData[{

Cell["Setup", "Section",
 CellID->585883938],

Cell["At leading order, the Feynman diagrams are:", "Text",
 CellID->2115247403],

Cell[TextData[{
 "\t",
 Cell[BoxData[GridBox[{
    {
     StyleBox["\"\<\!\(TraditionalForm\`s\)-channel\>\"", "TR"], 
     StyleBox["\"\<\!\(TraditionalForm\`t\)-channel\>\"", "TR"], 
     StyleBox["\"\<\!\(TraditionalForm\`u\)-channel\>\"", "TR"]},
    {
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztnc2O7Lxxhis/hL2cTeKtAgTJ9iwCr5kgyXrgwIDhlezE2WbgGAi8E5Ls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        "], {{0, 
        344}, {278, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{101.49999999999989`, Automatic},
      ImageSizeRaw->{278, 344},
      PlotRange->{{0, 278}, {0, 344}}], 
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztnT2S67h2gCH7BQ4VO5LjSTqfhPYKup43gDdVvqm7nl3lehl30EtQMnkv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        "], {{0, 282}, {260, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{99.63750000000022, Automatic},
      ImageSizeRaw->{260, 282},
      PlotRange->{{0, 260}, {0, 282}}], 
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztnT2O5Ep2hU9qZMgs7YAD9AJKO7gjb8YqjMznxAyg56owGkAYL3bQcp9V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        "], {{0, 243}, {246, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{98.77500000000092, Automatic},
      ImageSizeRaw->{246, 243},
      PlotRange->{{0, 246}, {0, 243}}]},
    {
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzt3dFtG9kZhuEPSS5y6RImHbiEP6nASBrgLpDcxtgECPbu78AlsASVoBLc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        "], {{0, 243}, {220, 0}}, {0,
         255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{81.30624999999979, Automatic},
      ImageSizeRaw->{220, 243},
      PlotRange->{{0, 220}, {0, 243}}], 
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJzt3d2N5LgRwPGC7Qc/Tgh0BhOC7AgG5wR4B9ivHpyNM+5NGVwIHcKGMAks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        "], {{0, 243}, {220, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{82.92812500000002, Automatic},
      ImageSizeRaw->{220, 243},
      PlotRange->{{0, 220}, {0, 243}}], 
     GraphicsBox[
      TagBox[RasterBox[CompressedData["
1:eJztnc+N5MYZxR9sH3zcEGhAAWwInx3BwIZOupQEWFcPZAOGb18E2hA2hA1h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        "], {{0, 243}, {220, 0}}, {0, 255},
        ColorFunction->RGBColor],
       BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
       Selectable->False],
      BaseStyle->"ImageGraphics",
      ImageSize->{82.84375000000091, Automatic},
      ImageSizeRaw->{220, 243},
      PlotRange->{{0, 220}, {0, 243}}]}
   },
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[3.5]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}]], "TR", "InlineFormula"]
}], "Text",
 CellID->944593767],

Cell[CellGroupData[{

Cell["\<\
In all diagrams, the internal fermions are electron lines, with their momenta \
directed with the flow of charge.  The QED vertex factor is:\
\>", "Text",
 Deletable->True,
 CellID->378589032],

Cell[BoxData[
 FormBox[
  RowBox[{
   GraphicsBox[
    TagBox[RasterBox[CompressedData["
1:eJzt3U9uY8t1B+CbP4MMtQMr0Aa0BCYrEJwN0AaSaQQngOEZl6AlcAlaAgcZ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      "], {{0, 461}, {631, 0}}, {0, 255},
      ColorFunction->RGBColor],
     BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
     Selectable->False],
    BaseStyle->"ImageGraphics",
    ImageSize->{56.91687500000012, Automatic},
    ImageSizeRaw->{631, 461},
    PlotRange->{{0, 631}, {0, 461}}], " ", "=", " ", 
   RowBox[{"i", " ", "e", " ", 
    SuperscriptBox["\[Gamma]", "\[Mu]"]}]}], 
  TraditionalForm]], "NumberedEquation",
 CellID->332437474]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
By charge conjugation invariance of QED, each diagram in the second row \
contributes the same as the diagram above it.  Therefore, we only need to add \
the first three diagrams and multiply the result by 2.  We will parametrize \
the amplitude as:\
\>", "Text",
 Deletable->True,
 CellID->1462052232],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"i", " ", "\[ScriptCapitalM]"}], "=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", 
        SubscriptBox["\[CapitalPi]", 
         RowBox[{"(", "s", ")"}]]}], "+", 
       RowBox[{"2", 
        SubscriptBox["\[CapitalPi]", 
         RowBox[{"(", "t", ")"}]]}], "+", 
       RowBox[{"2", 
        SubscriptBox["\[CapitalPi]", 
         RowBox[{"(", "u", ")"}]]}]}], "]"}], "\[Mu]\[Nu]\[Rho]\[Sigma]"], 
    " ", 
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Mu]"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "1"], ")"}], 
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Nu]"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "2"], ")"}], 
    RowBox[{
     SubsuperscriptBox["\[Epsilon]", "\[Rho]", "*"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "3"], ")"}], 
    RowBox[{
     SubsuperscriptBox["\[Epsilon]", "\[Sigma]", "*"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "4"], ")"}]}]}], 
  TraditionalForm]], "NumberedEquation",
 CellID->607234498]
}, Open  ]],

Cell[CellGroupData[{

Cell["where the individual contributions are", "Text",
 Deletable->True,
 CellID->2002241684],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubsuperscriptBox["\[CapitalPi]", 
    RowBox[{"(", "s", ")"}], "\[Mu]\[Nu]\[Rho]\[Sigma]"], "=", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["e", "4"]}], 
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{
          SuperscriptBox["\[Gamma]", "\[Mu]"], "(", 
          RowBox[{
           RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], 
         RowBox[{
          SuperscriptBox["\[Gamma]", "\[Nu]"], "(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "-", 
              SubscriptBox["p", "2"]}], ")"}], ".", "\[Gamma]"}], "+", "m"}], 
          ")"}], 
         RowBox[{
          SuperscriptBox["\[Gamma]", "\[Sigma]"], "(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "+", 
             SubscriptBox["p", "1"], "-", 
             SubscriptBox["p", "3"]}], ")"}], ".", "\[Gamma]"}], ")"}], 
         RowBox[{
          SuperscriptBox["\[Gamma]", "\[Rho]"], "(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", 
              SubscriptBox["p", "1"]}], ")"}], ".", "\[Gamma]"}], "+", "m"}], 
          ")"}]}], "]"}], 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"[", 
           RowBox[{
            SuperscriptBox["k", "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"k", "-", 
              SubscriptBox["p", "2"]}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}], "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", 
             SubscriptBox["p", "1"], "-", 
             SubscriptBox["p", "3"]}], ")"}], "2"], "-", 
          SuperscriptBox["m", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "+", 
            SubscriptBox["p", "1"]}], ")"}], "2"], "-", 
         SuperscriptBox["m", "2"]}], "]"}]]}]}]}]}], 
  TraditionalForm]], "NumberedEquation",
 CellID->1955511801],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubsuperscriptBox["\[CapitalPi]", 
    RowBox[{"(", "t", ")"}], "\[Mu]\[Nu]\[Rho]\[Sigma]"], "=", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["e", "4"]}], 
    SuperscriptBox["\[Mu]", 
     RowBox[{"2", "\[Epsilon]"}]], 
    RowBox[{"\[Integral]", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
      FractionBox[
       RowBox[{"Tr", "[", 
        RowBox[{
         RowBox[{
          SuperscriptBox["\[Gamma]", "\[Mu]"], "(", 
          RowBox[{
           RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], 
         RowBox[{
          SuperscriptBox["\[Gamma]", "\[Sigma]"], "(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", 
              SubscriptBox["p", "1"], "+", 
              SubscriptBox["p", "2"], "-", 
              SubscriptBox["p", "3"]}], ")"}], ".", "\[Gamma]"}], "+", "m"}], 
          ")"}], 
         RowBox[{
          SuperscriptBox["\[Gamma]", "\[Nu]"], "(", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "+", 
             SubscriptBox["p", "1"], "-", 
             SubscriptBox["p", "3"]}], ")"}], ".", "\[Gamma]"}], ")"}], 
         RowBox[{
          SuperscriptBox["\[Gamma]", "\[Rho]"], "(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", 
              SubscriptBox["p", "1"]}], ")"}], ".", "\[Gamma]"}], "+", "m"}], 
          ")"}]}], "]"}], 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"[", 
           RowBox[{
            SuperscriptBox["k", "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"k", "+", 
              SubscriptBox["p", "1"], "+", 
              SubscriptBox["p", "2"], "-", 
              SubscriptBox["p", "3"]}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}], "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", 
             SubscriptBox["p", "1"], "-", 
             SubscriptBox["p", "3"]}], ")"}], "2"], "-", 
          SuperscriptBox["m", "2"]}], "]"}], "[", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"k", "+", 
            SubscriptBox["p", "1"]}], ")"}], "2"], "-", 
         SuperscriptBox["m", "2"]}], "]"}]]}]}]}]}], 
  TraditionalForm]], "NumberedEquation",
 CellID->968074245],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SubsuperscriptBox["\[CapitalPi]", 
     RowBox[{"(", "u", ")"}], "\[Mu]\[Nu]\[Rho]\[Sigma]"], "=", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["e", "4"]}], 
     SuperscriptBox["\[Mu]", 
      RowBox[{"2", "\[Epsilon]"}]], 
     RowBox[{"\[Integral]", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[DifferentialD]", "d"], "k"}], 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"2", "\[Pi]"}], ")"}], "d"]], 
       FractionBox[
        RowBox[{"Tr", "[", 
         RowBox[{
          RowBox[{
           SuperscriptBox["\[Gamma]", "\[Mu]"], "(", 
           RowBox[{
            RowBox[{"k", ".", "\[Gamma]"}], "+", "m"}], ")"}], 
          RowBox[{
           SuperscriptBox["\[Gamma]", "\[Nu]"], "(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "-", 
               SubscriptBox["p", "2"]}], ")"}], ".", "\[Gamma]"}], "+", "m"}],
            ")"}], 
          RowBox[{
           SuperscriptBox["\[Gamma]", "\[Rho]"], "(", 
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "-", 
              SubscriptBox["p", "2"], "+", 
              SubscriptBox["p", "3"]}], ")"}], ".", "\[Gamma]"}], ")"}], 
          RowBox[{
           SuperscriptBox["\[Gamma]", "\[Sigma]"], "(", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "+", 
               SubscriptBox["p", "1"]}], ")"}], ".", "\[Gamma]"}], "+", "m"}],
            ")"}]}], "]"}], 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"[", 
            RowBox[{
             SuperscriptBox["k", "2"], "-", 
             SuperscriptBox["m", "2"]}], "]"}], "[", 
           RowBox[{
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{"k", "-", 
               SubscriptBox["p", "2"]}], ")"}], "2"], "-", 
            SuperscriptBox["m", "2"]}], "]"}], "[", 
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"k", "-", 
              SubscriptBox["p", "2"], "+", 
              SubscriptBox["p", "3"]}], ")"}], "2"], "-", 
           SuperscriptBox["m", "2"]}], "]"}], "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"k", "+", 
             SubscriptBox["p", "1"]}], ")"}], "2"], "-", 
          SuperscriptBox["m", "2"]}], "]"}]]}]}]}]}], ","}], 
  TraditionalForm]], "NumberedEquation",
 CellID->1087726043]
}, Open  ]],

Cell[TextData[{
 "subject to the on shell kinematic conditions ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["p", "1", "2"], "=", 
    RowBox[{
     SubsuperscriptBox["p", "2", "2"], "=", 
     RowBox[{
      SubsuperscriptBox["p", "3", "2"], "=", 
      RowBox[{
       SubsuperscriptBox["p", "4", "2"], "=", "0"}]}]}]}], TraditionalForm]], 
  "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", "=", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["p", "1"], "+", 
       SubscriptBox["p", "2"]}], ")"}], "2"]}], TraditionalForm]], 
  "InlineMath"],
 ", and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"t", "=", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["p", "1"], "-", 
       SubscriptBox["p", "3"]}], ")"}], "2"]}], TraditionalForm]], 
  "InlineMath"],
 ".\[LineSeparator]The external photon polarization vectors which contract \
into the loop integrals satisfy transversality ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"p", ".", 
     RowBox[{"\[Epsilon]", "(", 
      StyleBox["p",
       FontWeight->"Bold"], ")"}]}], "=", "0"}], TraditionalForm]], 
  "InlineMath"],
 ".  Therefore, it is safe to set ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubsuperscriptBox["p", "1", "\[Mu]"], "=", 
    RowBox[{
     SubsuperscriptBox["p", "2", "\[Nu]"], "=", 
     RowBox[{
      SubsuperscriptBox["p", "3", "\[Rho]"], "=", 
      RowBox[{
       SubsuperscriptBox["p", "4", "\[Sigma]"], "=", "0"}]}]}]}], 
   TraditionalForm]], "InlineMath"],
 " in the result."
}], "Text",
 Deletable->True,
 CellID->1272226019],

Cell[CellGroupData[{

Cell["\<\
Define on shell conditions and photon polarization transversality conditions:\
\
\>", "MathCaption",
 CellID->836781195],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Needs", "[", "\"\<X`\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"onShell", "=", 
  RowBox[{"MandelstamRelations", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "p1", ",", "p2", ",", "p3", ",", "p4", ",", "0", ",", "0", ",", "0", 
       ",", "0"}], "}"}], "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"s", ",", "t", ",", "u"}], "}"}]}], ",", 
    RowBox[{"Eliminate", "\[Rule]", "u"}]}], "]"}]}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->2058623809],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"p1", ".", "p1"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"p2", ".", "p2"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"p3", ".", "p3"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"p4", ".", "p4"}], "\[Rule]", "0"}], ",", 
   RowBox[{
    RowBox[{"p1", ".", "p2"}], "\[Rule]", 
    FractionBox["s", "2"]}], ",", 
   RowBox[{
    RowBox[{"p3", ".", "p4"}], "\[Rule]", 
    FractionBox["s", "2"]}], ",", 
   RowBox[{
    RowBox[{"p1", ".", "p3"}], "\[Rule]", 
    RowBox[{"-", 
     FractionBox["t", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"p2", ".", "p4"}], "\[Rule]", 
    RowBox[{"-", 
     FractionBox["t", "2"]}]}], ",", 
   RowBox[{
    RowBox[{"p1", ".", "p4"}], "\[Rule]", 
    FractionBox[
     RowBox[{"s", "+", "t"}], "2"]}], ",", 
   RowBox[{
    RowBox[{"p2", ".", "p3"}], "\[Rule]", 
    FractionBox[
     RowBox[{"s", "+", "t"}], "2"]}], ",", 
   RowBox[{
    SubscriptBox["\[CurlyEpsilon]", 
     RowBox[{
      RowBox[{"{", "p1", "}"}], ",", 
      RowBox[{"{", "p2", "}"}], ",", 
      RowBox[{"{", "p3", "}"}], ",", 
      RowBox[{"{", "p4", "}"}]}]], "\[Rule]", "0"}]}], "}"}]], "Output",
 ImageSize->{503, 57},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->907084828]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"photonTransversality", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     SubscriptBox["p1", "\[Mu]"], "\[Rule]", "0"}], ",", 
    RowBox[{
     SubscriptBox["p2", "\[Nu]"], "\[Rule]", "0"}], ",", 
    RowBox[{
     SubscriptBox["p3", "\[Rho]"], "\[Rule]", "0"}], ",", 
    RowBox[{
     SubscriptBox["p4", "\[Sigma]"], "\[Rule]", "0"}]}], "}"}]}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1210458623],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    SubscriptBox["p1", "\[Mu]"], "\[Rule]", "0"}], ",", 
   RowBox[{
    SubscriptBox["p2", "\[Nu]"], "\[Rule]", "0"}], ",", 
   RowBox[{
    SubscriptBox["p3", "\[Rho]"], "\[Rule]", "0"}], ",", 
   RowBox[{
    SubscriptBox["p4", "\[Sigma]"], "\[Rule]", "0"}]}], "}"}]], "Output",
 ImageSize->{228, 19},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->964910683]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Initiate the integrals (omitting the factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", 
    SuperscriptBox["e", "4"]}], TraditionalForm]], "InlineMath"],
 "), and apply the on shell conditions:"
}], "MathCaption",
 Deletable->True,
 CellID->272358405],

Cell[BoxData[{
 RowBox[{
  RowBox[{"sChannelGraph", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"LoopIntegrate", "[", 
      RowBox[{
       RowBox[{"Spur", "[", 
        RowBox[{
         SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
         RowBox[{
          RowBox[{"k", ".", "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "-", "p2"}], ")"}], ".", "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Sigma]"], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "+", "p1", "-", "p3"}], ")"}], ".", "\[Gamma]"}], 
          "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "+", "p1"}], ")"}], ".", "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}], ",", "k", ",", 
       
       RowBox[{"{", 
        RowBox[{"k", ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1", "-", "p3"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}]}], "]"}], "/.", 
     "onShell"}], "/.", "photonTransversality"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tChannelGraph", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"LoopIntegrate", "[", 
      RowBox[{
       RowBox[{"Spur", "[", 
        RowBox[{
         SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
         RowBox[{
          RowBox[{"k", ".", "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Sigma]"], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "+", "p1", "-", "p3", "+", "p2"}], ")"}], ".", 
           "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "+", "p1", "-", "p3"}], ")"}], ".", "\[Gamma]"}], 
          "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
         SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{"k", "+", "p1"}], ")"}], ".", "\[Gamma]"}], "+", 
          RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}], ",", "k", ",", 
       
       RowBox[{"{", 
        RowBox[{"k", ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1", "-", "p3"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1", "-", "p3", "+", "p2"}], ",", "m"}], "}"}]}], 
      "]"}], "/.", "onShell"}], "/.", "photonTransversality"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uChannelGraph", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"LoopIntegrate", "[", 
       RowBox[{
        RowBox[{"Spur", "[", 
         RowBox[{
          SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
          RowBox[{
           RowBox[{"k", ".", "\[Gamma]"}], "+", 
           RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
          SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "-", "p2"}], ")"}], ".", "\[Gamma]"}], "+", 
           RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
          SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", "p3", "-", "p2"}], ")"}], ".", "\[Gamma]"}], 
           "+", 
           RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
          SubscriptBox["\[Gamma]", "\[Sigma]"], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"k", "+", "p1"}], ")"}], ".", "\[Gamma]"}], "+", 
           RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}], ",", "k", ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "+", "p1"}], ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "+", "p3", "-", "p2"}], ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}]}], "]"}], "/.", 
      "onShell"}], "/.", "photonTransversality"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"total", "=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"2", "sChannelGraph"}], "+", 
     RowBox[{"2", "tChannelGraph"}], "+", 
     RowBox[{"2", "uChannelGraph"}]}], ")"}]}], ";"}]}], "Input",
 CellLabel->"In[3]:=",
 CellID->1240061078]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Properties of the photon-photon scattering amplitude", "Section",
 CellID->2067064708],

Cell["\<\
The one loop photon-photon scattering amplitude satisfies a number of \
properties which can be used to check the calculation.\
\>", "Text",
 CellID->1392619239],

Cell[CellGroupData[{

Cell["Ultraviolet behavior", "Subsection",
 CellID->1037283903],

Cell["\<\
The four photon Green function is expected to be ultraviolet finite.\
\>", "Text",
 CellID->1195869603],

Cell[CellGroupData[{

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " with the option ",
 Cell[BoxData[
  RowBox[{"Part", "\[Rule]", "UVDivergent"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to compute only the ultraviolet divergent part of the total amplitude.  \
Considered separately, each diagram is divergent."
}], "MathCaption",
 CellID->1302935341],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"LoopRefine", "[", 
  RowBox[{"sChannelGraph", ",", 
   RowBox[{"Part", "\[Rule]", "UVDivergent"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", 
  RowBox[{"tChannelGraph", ",", 
   RowBox[{"Part", "\[Rule]", "UVDivergent"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", 
  RowBox[{"uChannelGraph", ",", 
   RowBox[{"Part", "\[Rule]", "UVDivergent"}]}], "]"}]}], "Input",
 CellLabel->"In[7]:=",
 CellID->543527728],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"4", " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Sigma]", ",", "\[Rho]"}]], " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], 
   RowBox[{"3", " ", "\[Epsilon]"}]], "+", 
  FractionBox[
   RowBox[{"4", " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Sigma]", ",", "\[Nu]"}]], " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], 
   RowBox[{"3", " ", "\[Epsilon]"}]], "-", 
  FractionBox[
   RowBox[{"8", " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Sigma]", ",", "\[Mu]"}]], " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], 
   RowBox[{"3", " ", "\[Epsilon]"}]]}]], "Output",
 ImageSize->{223, 34},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[7]=",
 CellID->1111633250],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox[
    RowBox[{"8", " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Rho]"}]], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], 
    RowBox[{"3", " ", "\[Epsilon]"}]]}], "+", 
  FractionBox[
   RowBox[{"4", " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Sigma]", ",", "\[Nu]"}]], " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], 
   RowBox[{"3", " ", "\[Epsilon]"}]], "+", 
  FractionBox[
   RowBox[{"4", " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Sigma]", ",", "\[Mu]"}]], " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], 
   RowBox[{"3", " ", "\[Epsilon]"}]]}]], "Output",
 ImageSize->{231, 34},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[8]=",
 CellID->112303850],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"4", " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Sigma]", ",", "\[Rho]"}]], " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], 
   RowBox[{"3", " ", "\[Epsilon]"}]], "-", 
  FractionBox[
   RowBox[{"8", " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Sigma]", ",", "\[Nu]"}]], " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], 
   RowBox[{"3", " ", "\[Epsilon]"}]], "+", 
  FractionBox[
   RowBox[{"4", " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Sigma]", ",", "\[Mu]"}]], " ", 
    SubscriptBox["\[DoubleStruckG]", 
     RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], 
   RowBox[{"3", " ", "\[Epsilon]"}]]}]], "Output",
 ImageSize->{223, 34},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[9]=",
 CellID->2000164884]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["The total amplitude is UV finite:", "MathCaption",
 CellID->17726811],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"LoopRefine", "[", 
  RowBox[{"total", ",", 
   RowBox[{"Part", "\[Rule]", "UVDivergent"}]}], "]"}]], "Input",
 CellLabel->"In[10]:=",
 CellID->2073974202],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[10]=",
 CellID->1326096727]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["QED Ward identities", "Subsection",
 CellID->1769461497],

Cell[CellGroupData[{

Cell["\<\
The scattering amplitude is expected to satisfy the on shell Ward identity\
\[LineSeparator]at each of the four vertices\
\>", "Text",
 CellID->1988068558],

Cell[BoxData[
 FormBox[
  TagBox[
   StyleBox[
    RowBox[{"{", GridBox[{
       {
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"[", 
            RowBox[{
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "s", ")"}]]}], "+", 
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "t", ")"}]]}], "+", 
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "u", ")"}]]}]}], "]"}], 
           "\[Mu]\[Nu]\[Rho]\[Sigma]"], " ", 
          SubscriptBox[
           RowBox[{"(", 
            SubscriptBox["p", "1"], ")"}], "\[Mu]"]}], "=", "0"}]},
       {
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"[", 
            RowBox[{
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "s", ")"}]]}], "+", 
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "t", ")"}]]}], "+", 
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "u", ")"}]]}]}], "]"}], 
           "\[Mu]\[Nu]\[Rho]\[Sigma]"], " ", 
          SubscriptBox[
           RowBox[{"(", 
            SubscriptBox["p", "2"], ")"}], "\[Nu]"]}], "=", "0"}]},
       {
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"[", 
            RowBox[{
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "s", ")"}]]}], "+", 
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "t", ")"}]]}], "+", 
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "u", ")"}]]}]}], "]"}], 
           "\[Mu]\[Nu]\[Rho]\[Sigma]"], " ", 
          SubscriptBox[
           RowBox[{"(", 
            SubscriptBox["p", "3"], ")"}], "\[Rho]"]}], "=", "0"}]},
       {
        RowBox[{
         RowBox[{
          SuperscriptBox[
           RowBox[{"[", 
            RowBox[{
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "s", ")"}]]}], "+", 
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "t", ")"}]]}], "+", 
             RowBox[{"2", 
              SubscriptBox["\[CapitalPi]", 
               RowBox[{"(", "u", ")"}]]}]}], "]"}], 
           "\[Mu]\[Nu]\[Rho]\[Sigma]"], " ", 
          SubscriptBox[
           RowBox[{"(", 
            SubscriptBox["p", "4"], ")"}], "\[Sigma]"]}], "=", "0"}]}
      }]}],
    ShowAutoStyles->False],
   #& ], TraditionalForm]], "NumberedEquation",
 CellID->2109246158]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Contract the result with tensors ",
 Cell[BoxData[
  SubscriptBox["p1", "\[Mu]"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  SubscriptBox["p2", "\[Nu]"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  SubscriptBox["p3", "\[Rho]"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  SubscriptBox["p4", "\[Sigma]"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", apply the on shell conditions and photon transversality condition apply \
",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " (about a minute runtime to verify all four identities on a modern machine):"
}], "MathCaption",
 CellID->2123843762],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{"Contract", "[", 
    RowBox[{"total", " ", 
     SubscriptBox["p1", "\[Mu]"]}], "]"}], "/.", "onShell"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{"Contract", "[", 
    RowBox[{"total", " ", 
     SubscriptBox["p2", "\[Nu]"]}], "]"}], "/.", "onShell"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{"Contract", "[", 
    RowBox[{"total", " ", 
     SubscriptBox["p3", "\[Rho]"]}], "]"}], "/.", "onShell"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Contract", "[", 
      RowBox[{"total", " ", 
       SubscriptBox["p4", "\[Sigma]"]}], "]"}], "/.", 
     RowBox[{"p4", "\[Rule]", 
      RowBox[{"p1", "+", "p2", "-", "p3"}]}]}], "/.", "onShell"}], "/.", 
   "photonTransversality"}], "]"}]}], "Input",
 CellLabel->"In[11]:=",
 CellID->2116411147],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[11]=",
 CellID->1431542703],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[12]=",
 CellID->1678911980],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[13]=",
 CellID->1686009927],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[14]=",
 CellID->722120924]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "It is more efficient to verify these by directly contracting the integrands \
before calling ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " (checking ",
 Cell[BoxData[
  SubscriptBox["p1", "\[Mu]"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " Ward identity): "
}], "MathCaption",
 CellID->1944294194],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"sChannelWardP1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"LoopIntegrate", "[", 
      RowBox[{
       RowBox[{"Contract", "[", 
        RowBox[{
         SubscriptBox["p1", "\[Mu]"], 
         RowBox[{"Spur", "[", 
          RowBox[{
           SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
           RowBox[{
            RowBox[{"k", ".", "\[Gamma]"}], "+", 
            RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
           SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "-", "p2"}], ")"}], ".", "\[Gamma]"}], "+", 
            RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
           SubscriptBox["\[Gamma]", "\[Sigma]"], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "+", "p1", "-", "p3"}], ")"}], ".", "\[Gamma]"}], 
            "+", 
            RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
           SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "+", "p1"}], ")"}], ".", "\[Gamma]"}], "+", 
            RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}]}], "]"}], ",",
        "k", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1", "-", "p3"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}]}], "]"}], "/.", 
     "onShell"}], "/.", "photonTransversality"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tChannelWardP1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"LoopIntegrate", "[", 
      RowBox[{
       RowBox[{"Contract", "[", 
        RowBox[{
         SubscriptBox["p1", "\[Mu]"], 
         RowBox[{"Spur", "[", 
          RowBox[{
           SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
           RowBox[{
            RowBox[{"k", ".", "\[Gamma]"}], "+", 
            RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
           SubscriptBox["\[Gamma]", "\[Sigma]"], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "+", "p1", "-", "p3", "+", "p2"}], ")"}], ".", 
             "\[Gamma]"}], "+", 
            RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
           SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "+", "p1", "-", "p3"}], ")"}], ".", "\[Gamma]"}], 
            "+", 
            RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
           SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"k", "+", "p1"}], ")"}], ".", "\[Gamma]"}], "+", 
            RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}]}], "]"}], ",",
        "k", ",", 
       RowBox[{"{", 
        RowBox[{"k", ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1", "-", "p3"}], ",", "m"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"k", "+", "p1", "-", "p3", "+", "p2"}], ",", "m"}], "}"}]}], 
      "]"}], "/.", "onShell"}], "/.", "photonTransversality"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"uChannelWardP1", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"LoopIntegrate", "[", 
       RowBox[{
        RowBox[{"Contract", "[", 
         RowBox[{
          SubscriptBox["p1", "\[Mu]"], 
          RowBox[{"Spur", "[", 
           RowBox[{
            SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
            RowBox[{
             RowBox[{"k", ".", "\[Gamma]"}], "+", 
             RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
            SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "-", "p2"}], ")"}], ".", "\[Gamma]"}], "+", 
             RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
            SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "+", "p3", "-", "p2"}], ")"}], ".", "\[Gamma]"}], 
             "+", 
             RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
            SubscriptBox["\[Gamma]", "\[Sigma]"], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"(", 
               RowBox[{"k", "+", "p1"}], ")"}], ".", "\[Gamma]"}], "+", 
             RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}]}], "]"}], 
        ",", "k", ",", 
        RowBox[{"{", 
         RowBox[{"k", ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "+", "p1"}], ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "+", "p3", "-", "p2"}], ",", "m"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}]}], "]"}], "/.", 
      "onShell"}], "/.", "photonTransversality"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"LoopRefine", "[", 
  RowBox[{"sChannelWardP1", "+", "tChannelWardP1", "+", "uChannelWardP1"}], 
  "]"}]}], "Input",
 CellLabel->"In[15]:=",
 CellID->1641345806],

Cell[BoxData["0"], "Output",
 ImageSize->{11, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[18]=",
 CellID->1256280471]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Ward identities in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 10 and above"
}], "Subsection",
 CellID->2027696988],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " 10 features a new evaluation control function ",
 Cell[BoxData[
  ButtonBox["Inactive",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Inactive"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " which stops functions from evaluating until they are enabled with ",
 Cell[BoxData[
  ButtonBox["Activate",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Activate"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".  We can use this feature to check the Ward identities with ease:"
}], "Text",
 CellID->1287909250],

Cell[BoxData[{
 RowBox[{"sChannelGraph", "=", 
  RowBox[{
   RowBox[{"Inactive", "[", "LoopIntegrate", "]"}], "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Inactive", "[", "Spur", "]"}], "[", 
     RowBox[{
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
      RowBox[{
       RowBox[{"k", ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "-", "p2"}], ")"}], ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Sigma]"], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "+", "p1", "-", "p3"}], ")"}], ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "+", "p1"}], ")"}], ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p1"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p1", "-", "p3"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"tChannelGraph", "=", 
  RowBox[{
   RowBox[{"Inactive", "[", "LoopIntegrate", "]"}], "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Inactive", "[", "Spur", "]"}], "[", 
     RowBox[{
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
      RowBox[{
       RowBox[{"k", ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Sigma]"], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "+", "p1", "-", "p3", "+", "p2"}], ")"}], ".", 
        "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "+", "p1", "-", "p3"}], ")"}], ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "+", "p1"}], ")"}], ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p1"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p1", "-", "p3"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p1", "-", "p3", "+", "p2"}], ",", "m"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"uChannelGraph", "=", 
  RowBox[{
   RowBox[{"Inactive", "[", "LoopIntegrate", "]"}], "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Inactive", "[", "Spur", "]"}], "[", 
     RowBox[{
      SubscriptBox["\[Gamma]", "\[Mu]"], ",", 
      RowBox[{
       RowBox[{"k", ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Nu]"], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "-", "p2"}], ")"}], ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Rho]"], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "+", "p3", "-", "p2"}], ")"}], ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}], ",", 
      SubscriptBox["\[Gamma]", "\[Sigma]"], ",", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "+", "p1"}], ")"}], ".", "\[Gamma]"}], "+", 
       RowBox[{"m", " ", "\[DoubleStruckOne]"}]}]}], "]"}], ",", "k", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p1"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "+", "p3", "-", "p2"}], ",", "m"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"k", "-", "p2"}], ",", "m"}], "}"}]}], "]"}]}]}], "Input",
 CellLabel->"In[19]:=",
 CellID->2098994675],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Activate", "[", 
     RowBox[{"Contract", "[", 
      RowBox[{
       SubscriptBox["p1", "\[Mu]"], 
       RowBox[{"(", 
        RowBox[{"sChannelGraph", "+", "tChannelGraph", "+", "uChannelGraph"}],
         ")"}]}], "]"}], "]"}], "/.", "onShell"}], "/.", 
   "photonTransversality"}], "//", "LoopRefine"}]], "Input",
 CellLabel->"In[22]:=",
 CellID->1089633456],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Activate", "[", 
     RowBox[{"Contract", "[", 
      RowBox[{
       SubscriptBox["p2", "\[Nu]"], 
       RowBox[{"(", 
        RowBox[{"sChannelGraph", "+", "tChannelGraph", "+", "uChannelGraph"}],
         ")"}]}], "]"}], "]"}], "/.", "onShell"}], "/.", 
   "photonTransversality"}], "//", "LoopRefine"}]], "Input",
 CellLabel->"In[23]:=",
 CellID->1479689366],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Activate", "[", 
     RowBox[{"Contract", "[", 
      RowBox[{
       SubscriptBox["p3", "\[Rho]"], 
       RowBox[{"(", 
        RowBox[{"sChannelGraph", "+", "tChannelGraph", "+", "uChannelGraph"}],
         ")"}]}], "]"}], "]"}], "/.", "onShell"}], "/.", 
   "photonTransversality"}], "//", "LoopRefine"}]], "Input",
 CellLabel->"In[24]:=",
 CellID->735736432],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"Activate", "[", 
     RowBox[{"Contract", "[", 
      RowBox[{"(*", "p4", "*)"}], 
      RowBox[{
       SubscriptBox[
        RowBox[{"(", 
         RowBox[{"p1", "+", "p2", "-", "p3"}], ")"}], "\[Sigma]"], 
       RowBox[{"(", 
        RowBox[{"sChannelGraph", "+", "tChannelGraph", "+", "uChannelGraph"}],
         ")"}]}], "]"}], "]"}], "/.", "onShell"}], "/.", 
   "photonTransversality"}], "//", "LoopRefine"}]], "Input",
 CellLabel->"In[25]:=",
 CellID->1979174694]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Scattering amplitude in various limits", "Section",
 CellID->1669356131],

Cell[TextData[{
 "With ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X, we can compute the light by light scattering amplitude in different \
kinematic limits.  Remember to restore the omitted factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{"-", 
    SuperscriptBox["e", "4"]}], TraditionalForm]], "InlineMath"],
 ", and the factor ",
 Cell[BoxData[
  FormBox[
   StyleBox[
    FractionBox["i", 
     RowBox[{"16", 
      SuperscriptBox["\[Pi]", "2"]}]],
    FontColor->RGBColor[0.6666666666666666, 0., 0.]], TraditionalForm]], 
  "InlineMath"],
 " implicit in the normalization of ",
 Cell[BoxData[
  ButtonBox["LoopIntegrate",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopIntegrate"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 "."
}], "Text",
 CellID->582256797],

Cell[CellGroupData[{

Cell["Low energy (Euler-Heisenberg) limit", "Subsection",
 CellID->1754001057],

Cell[TextData[{
 "In the low energy limit ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", ",", 
    RowBox[{"|", "t", "|", 
     RowBox[{"\[LessLess]", "m"}]}]}], TraditionalForm]], "InlineMath"],
 ", the amplitude starts at ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[ScriptCapitalO]", "(", 
    FractionBox["1", 
     SuperscriptBox["m", "4"]], ")"}], TraditionalForm]], "InlineMath"],
 ":"
}], "Text",
 Deletable->True,
 CellID->164028976],

Cell[CellGroupData[{

Cell[TextData[{
 "Use ",
 Cell[BoxData[
  ButtonBox["LoopRefineSeries",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefineSeries"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to obtain the large electron mass behavior of the amplitude (about 15 \
seconds runtime on a modern machine):"
}], "MathCaption",
 CellID->1766653474],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampLE", "=", 
  RowBox[{
   RowBox[{"LoopRefineSeries", "[", 
    RowBox[{"total", ",", 
     RowBox[{"{", 
      RowBox[{"m", ",", "Infinity", ",", "4"}], "}"}]}], "]"}], "//", 
   "Normal"}]}]], "Input",
 CellLabel->"In[19]:=",
 CellID->42398033,
 ExpressionUUID -> "e1f7241b-e178-4473-9767-70fae6e4cbd3"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   SuperscriptBox["m", "4"]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     FractionBox["36", "35"], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Mu]"]}], "+", 
    RowBox[{
     FractionBox["36", "35"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Mu]"]}], "+", 
    RowBox[{
     FractionBox["52", "105"], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p2", "\[Rho]"]}], "+", 
    RowBox[{
     FractionBox["52", "105"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p2", "\[Rho]"]}], "-", 
    RowBox[{
     FractionBox["16", "21"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Sigma]"]}], "-", 
    RowBox[{
     FractionBox["8", "35"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Sigma]"]}], "-", 
    RowBox[{
     FractionBox["36", "35"], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Mu]"]}], "-", 
    RowBox[{
     FractionBox["16", "21"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Mu]"]}], "-", 
    RowBox[{
     FractionBox["352", "315"], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Mu]"]}], "-", 
    RowBox[{
     FractionBox["352", "315"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Mu]"]}], "+", 
    RowBox[{
     FractionBox["36", "35"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Mu]"]}], "+", 
    RowBox[{
     FractionBox["352", "315"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Mu]"]}], "-", 
    RowBox[{
     FractionBox["4", "105"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"27", " ", 
        SubscriptBox["p1", "\[Rho]"]}], "+", 
       RowBox[{"13", " ", 
        SubscriptBox["p2", "\[Rho]"]}]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["p1", "\[Sigma]"], "+", 
       SubscriptBox["p2", "\[Sigma]"], "-", 
       SubscriptBox["p3", "\[Sigma]"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["p2", "\[Mu]"], "-", 
       SubscriptBox["p3", "\[Mu]"]}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["p1", "\[Nu]"], "-", 
       SubscriptBox["p3", "\[Nu]"]}], ")"}]}], "-", 
    RowBox[{
     FractionBox["104", "63"], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "-", 
    RowBox[{
     FractionBox["104", "63"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "-", 
    RowBox[{
     FractionBox["8", "35"], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "-", 
    RowBox[{
     FractionBox["52", "105"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "+", 
    RowBox[{
     FractionBox["104", "63"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "+", 
    RowBox[{
     FractionBox["52", "105"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "+", 
    RowBox[{
     FractionBox["36", "35"], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "+", 
    RowBox[{
     FractionBox["16", "21"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "+", 
    RowBox[{
     FractionBox["8", "35"], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "+", 
    RowBox[{
     FractionBox["52", "105"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "-", 
    RowBox[{
     FractionBox["36", "35"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "-", 
    RowBox[{
     FractionBox["52", "105"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"]}], "-", 
    RowBox[{
     FractionBox["28", "45"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", "t"}], ")"}], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Mu]"}]]}], "-", 
    RowBox[{
     FractionBox["28", "45"], " ", "t", " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Mu]"}]]}], "+", 
    RowBox[{
     FractionBox["28", "45"], " ", "s", " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Nu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Mu]"}]]}], "-", 
    RowBox[{
     FractionBox["2", "15"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", "t"}], ")"}], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Nu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Mu]"}]]}], "+", 
    RowBox[{
     FractionBox["28", "45"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", "t"}], ")"}], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Nu]"}]]}], "+", 
    RowBox[{
     FractionBox["28", "45"], " ", "t", " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Nu]"}]]}], "+", 
    RowBox[{
     FractionBox["2", "15"], " ", "t", " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Nu]"}]]}], "+", 
    RowBox[{
     FractionBox["28", "45"], " ", "s", " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Nu]"}]]}], "-", 
    RowBox[{
     FractionBox["2", "15"], " ", "s", " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Rho]"}]]}], "-", 
    RowBox[{
     FractionBox["28", "45"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", "t"}], ")"}], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Rho]"}]]}], "+", 
    RowBox[{
     FractionBox["28", "45"], " ", "t", " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Rho]"}]]}], "+", 
    RowBox[{
     FractionBox["28", "45"], " ", "s", " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Nu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Rho]"}]]}], "+", 
    RowBox[{
     FractionBox["14", "45"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", "t"}], ")"}], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "-", 
    RowBox[{
     FractionBox["14", "45"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", "t"}], ")"}], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "+", 
    RowBox[{
     FractionBox["14", "45"], " ", "t", " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "-", 
    RowBox[{
     FractionBox["14", "45"], " ", "t", " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "-", 
    RowBox[{
     FractionBox["2", "45"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"10", " ", "s"}], "+", 
       RowBox[{"7", " ", "t"}]}], ")"}], " ", 
     SubscriptBox["p1", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "-", 
    RowBox[{
     FractionBox["2", "45"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "s"}], "-", 
       RowBox[{"7", " ", "t"}]}], ")"}], " ", 
     SubscriptBox["p2", "\[Rho]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "+", 
    RowBox[{
     FractionBox["1", "45"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox["s", "2"]}], "-", 
       RowBox[{"14", " ", "s", " ", "t"}], "-", 
       RowBox[{"14", " ", 
        SuperscriptBox["t", "2"]}]}], ")"}], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Rho]"}]], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Nu]"}]]}], "+", 
    RowBox[{
     FractionBox["14", "45"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", "t"}], ")"}], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], "+", 
    RowBox[{
     FractionBox["2", "45"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"7", " ", "s"}], "+", 
       RowBox[{"10", " ", "t"}]}], ")"}], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], "+", 
    RowBox[{
     FractionBox["14", "45"], " ", 
     RowBox[{"(", 
      RowBox[{"s", "+", "t"}], ")"}], " ", 
     SubscriptBox["p1", "\[Nu]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], "-", 
    RowBox[{
     FractionBox["14", "45"], " ", "s", " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Nu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], "+", 
    RowBox[{
     FractionBox["2", "45"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"7", " ", "s"}], "-", 
       RowBox[{"3", " ", "t"}]}], ")"}], " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Nu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], "-", 
    RowBox[{
     FractionBox["14", "45"], " ", "s", " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Nu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], "+", 
    RowBox[{
     FractionBox["1", "45"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "14"}], " ", 
        SuperscriptBox["s", "2"]}], "-", 
       RowBox[{"14", " ", "s", " ", "t"}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["t", "2"]}]}], ")"}], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Nu]"}]], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Mu]", ",", "\[Rho]"}]]}], "-", 
    RowBox[{
     FractionBox["2", "45"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", "s"}], "+", 
       RowBox[{"10", " ", "t"}]}], ")"}], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], "-", 
    RowBox[{
     FractionBox["14", "45"], " ", "t", " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], "-", 
    RowBox[{
     FractionBox["14", "45"], " ", "t", " ", 
     SubscriptBox["p2", "\[Mu]"], " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], "+", 
    RowBox[{
     FractionBox["2", "45"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"10", " ", "s"}], "+", 
       RowBox[{"3", " ", "t"}]}], ")"}], " ", 
     SubscriptBox["p1", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], "-", 
    RowBox[{
     FractionBox["14", "45"], " ", "s", " ", 
     SubscriptBox["p2", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], "-", 
    RowBox[{
     FractionBox["14", "45"], " ", "s", " ", 
     SubscriptBox["p3", "\[Sigma]"], " ", 
     SubscriptBox["p3", "\[Mu]"], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Nu]", ",", "\[Rho]"}]]}], "+", 
    RowBox[{
     FractionBox["1", "45"], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"3", " ", 
        SuperscriptBox["s", "2"]}], "+", 
       RowBox[{"20", " ", "s", " ", "t"}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["t", "2"]}]}], ")"}], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Sigma]", ",", "\[Mu]"}]], " ", 
     SubscriptBox["\[DoubleStruckG]", 
      RowBox[{"\[Nu]", ",", "\[Rho]"}]]}]}], ")"}]}]], "Output",
 ImageSize->{563, 528},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[19]=",
 CellID->950895241]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["High energy/large momentum transfer limit", "Subsection",
 CellID->291132212],

Cell[TextData[{
 "In the high energy limit ",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", ",", 
    RowBox[{"|", "t", "|", 
     RowBox[{"\[GreaterGreater]", "m"}]}]}], TraditionalForm]], 
  "InlineMath"],
 ", the electron mass is negligible."
}], "Text",
 Deletable->True,
 CellID->1824529420],

Cell[CellGroupData[{

Cell[TextData[{
 "Make the replacement ",
 Cell[BoxData[
  RowBox[{"m", "\[Rule]", "0"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and call ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " ",
 "(about 20 seconds runtime on a modern machine)",
 ":"
}], "MathCaption",
 CellID->984738722],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampHE", "=", 
  RowBox[{"LoopRefine", "[", 
   RowBox[{
    RowBox[{"total", "/.", 
     RowBox[{"m", "\[Rule]", "0"}]}], ",", 
    RowBox[{"TargetScale", "\[Rule]", 
     SqrtBox[
      RowBox[{"-", "t"}]]}]}], "]"}]}]], "Input",
 CellLabel->"In[20]:=",
 CellID->498493598],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   PanelBox[GridBox[{
      {
       StyleBox[
        StyleBox[
         DynamicBox[ToBoxes[
           FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
           StandardForm],
          ImageSizeCache->{278., {2., 8.}}],
         StripOnInput->False,
         DynamicUpdating->True], "Panel",
        StripOnInput->False,
        Background->None]},
      {
       ItemBox[
        TagBox[
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FractionBox["32", 
              SuperscriptBox["s", "2"]], "+", 
             FractionBox[
              RowBox[{"16", " ", 
               SuperscriptBox["\[Pi]", "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 RowBox[{"3", " ", "s", " ", "t"}], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["t", "2"]}]}], ")"}]}], 
              SuperscriptBox["s", "4"]], "+", 
             FractionBox[
              RowBox[{"64", " ", 
               RowBox[{"(", 
                RowBox[{"s", "+", "t"}], ")"}], " ", 
               RowBox[{"Log", "[", 
                RowBox[{"-", 
                 FractionBox["t", 
                  RowBox[{"s", "+", "t"}]]}], "]"}]}], 
              SuperscriptBox["s", "3"]], "+", 
             FractionBox[
              RowBox[{"16", " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 RowBox[{"3", " ", "s", " ", "t"}], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["t", "2"]}]}], ")"}], " ", 
               SuperscriptBox[
                RowBox[{"Log", "[", 
                 RowBox[{"-", 
                  FractionBox["t", 
                   RowBox[{"s", "+", "t"}]]}], "]"}], "2"]}], 
              SuperscriptBox["s", "4"]]}], ")"}], " ", 
           SubscriptBox["p1", "\[Sigma]"], " ", 
           SubscriptBox["p1", "\[Nu]"], " ", 
           SubscriptBox["p1", "\[Rho]"], " ", 
           SubscriptBox["p2", "\[Mu]"]}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             FractionBox[
              RowBox[{"32", " ", 
               RowBox[{"(", 
                RowBox[{"s", "+", "t"}], ")"}]}], 
              RowBox[{
               SuperscriptBox["s", "2"], " ", "t"}]], "+", 
             FractionBox[
              RowBox[{"16", " ", 
               SuperscriptBox["\[Pi]", "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 RowBox[{"3", " ", "s", " ", "t"}], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["t", "2"]}]}], ")"}]}], 
              SuperscriptBox["s", "4"]], "+", 
             FractionBox[
              RowBox[{"64", " ", 
               RowBox[{"(", 
                RowBox[{"s", "+", "t"}], ")"}], " ", 
               RowBox[{"Log", "[", 
                RowBox[{"-", 
                 FractionBox["t", 
                  RowBox[{"s", "+", "t"}]]}], "]"}]}], 
              SuperscriptBox["s", "3"]], "+", 
             FractionBox[
              RowBox[{"16", " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["s", "2"], "+", 
                 RowBox[{"3", " ", "s", " ", "t"}], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["t", "2"]}]}], ")"}], " ", 
               SuperscriptBox[
                RowBox[{"Log", "[", 
                 RowBox[{"-", 
                  FractionBox["t", 
                   RowBox[{"s", "+", "t"}]]}], "]"}], "2"]}], 
              SuperscriptBox["s", "4"]]}], ")"}], " ", 
           SubscriptBox["p1", "\[Nu]"], " ", 
           SubscriptBox["p1", "\[Rho]"], " ", 
           SubscriptBox["p2", "\[Sigma]"], " ", 
           SubscriptBox["p2", "\[Mu]"]}], "+", 
          RowBox[{"\[LeftSkeleton]", "54", "\[RightSkeleton]"}], "+", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox["8", "3"]}], "+", 
             FractionBox[
              RowBox[{"2", " ", 
               SuperscriptBox["\[Pi]", "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", 
                  SuperscriptBox["s", "6"]}], "-", 
                 RowBox[{"9", " ", 
                  SuperscriptBox["s", "4"], " ", 
                  SuperscriptBox["t", "2"]}], "-", 
                 RowBox[{"16", " ", 
                  SuperscriptBox["s", "3"], " ", 
                  SuperscriptBox["t", "3"]}], "-", 
                 RowBox[{"9", " ", 
                  SuperscriptBox["s", "2"], " ", 
                  SuperscriptBox["t", "4"]}], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["t", "6"]}]}], ")"}]}], 
              RowBox[{"3", " ", 
               SuperscriptBox["s", "2"], " ", 
               SuperscriptBox["t", "2"], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"s", "+", "t"}], ")"}], "2"]}]], "+", 
             FractionBox[
              RowBox[{"4", " ", "s", " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["s", "3"], "-", 
                 RowBox[{"3", " ", "s", " ", 
                  SuperscriptBox["t", "2"]}], "-", 
                 RowBox[{"3", " ", 
                  SuperscriptBox["t", "3"]}]}], ")"}], " ", 
               SuperscriptBox[
                RowBox[{"Log", "[", 
                 FractionBox["t", "s"], "]"}], "2"]}], 
              RowBox[{"3", " ", 
               SuperscriptBox["t", "2"], " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"s", "+", "t"}], ")"}], "2"]}]], "+", 
             FractionBox[
              RowBox[{"8", " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["s", "2"], "-", 
                 RowBox[{"s", " ", "t"}], "+", 
                 SuperscriptBox["t", "2"]}], ")"}], " ", 
               RowBox[{"Log", "[", 
                RowBox[{"-", 
                 FractionBox["t", 
                  RowBox[{"s", "+", "t"}]]}], "]"}]}], 
              RowBox[{"3", " ", "s", " ", "t"}]], "+", 
             FractionBox[
              RowBox[{"4", " ", 
               RowBox[{"(", 
                RowBox[{
                 SuperscriptBox["s", "4"], "-", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["s", "3"], " ", "t"}], "-", 
                 RowBox[{"3", " ", 
                  SuperscriptBox["s", "2"], " ", 
                  SuperscriptBox["t", "2"]}], "-", 
                 RowBox[{"2", " ", "s", " ", 
                  SuperscriptBox["t", "3"]}], "+", 
                 SuperscriptBox["t", "4"]}], ")"}], " ", 
               SuperscriptBox[
                RowBox[{"Log", "[", 
                 RowBox[{"-", 
                  FractionBox["t", 
                   RowBox[{"s", "+", "t"}]]}], "]"}], "2"]}], 
              RowBox[{"3", " ", 
               SuperscriptBox["s", "2"], " ", 
               SuperscriptBox["t", "2"]}]], "+", 
             RowBox[{
              RowBox[{"Log", "[", 
               FractionBox["t", "s"], "]"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", 
                 FractionBox[
                  RowBox[{"8", " ", 
                   SuperscriptBox["s", "2"]}], 
                  RowBox[{"3", " ", "t", " ", 
                   RowBox[{"(", 
                    RowBox[{"s", "+", "t"}], ")"}]}]]}], "+", 
                FractionBox[
                 RowBox[{"4", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"-", "2"}], " ", 
                    SuperscriptBox["s", "2"]}], "+", 
                    RowBox[{"4", " ", "s", " ", "t"}], "+", 
                    RowBox[{"3", " ", 
                    SuperscriptBox["t", "2"]}]}], ")"}], " ", 
                  RowBox[{"Log", "[", 
                   RowBox[{"-", 
                    FractionBox["t", 
                    RowBox[{"s", "+", "t"}]]}], "]"}]}], 
                 RowBox[{"3", " ", 
                  SuperscriptBox["t", "2"]}]]}], ")"}]}]}], ")"}], " ", 
           SubscriptBox["\[DoubleStruckG]", 
            RowBox[{"\[Sigma]", ",", "\[Mu]"}]], " ", 
           SubscriptBox["\[DoubleStruckG]", 
            RowBox[{"\[Nu]", ",", "\[Rho]"}]]}]}],
         Short[#, 5]& ],
        Background->GrayLevel[1],
        BaseStyle->{Deployed -> False},
        Frame->True,
        FrameStyle->GrayLevel[0, 0.2],
        StripOnInput->False]},
      {
       RowBox[{
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
             StandardForm],
            ImageSizeCache->{49., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 20, 30597452927921040164, 5/2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
             StandardForm],
            ImageSizeCache->{52., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 20, 30597452927921040164, 5 2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
             StandardForm],
            ImageSizeCache->{82., {2., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 20, 30597452927921040164, Infinity],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
             StandardForm],
            ImageSizeCache->{74., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetOptions[
            FrontEnd`$FrontEnd, 
             FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
            FrontEnd`FrontEndToken["PreferencesDialog"]}],
         Evaluator->None,
         Method->"Preemptive"]}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[1.2]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    DefaultBaseStyle->{},
    FrameMargins->5],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[20]]], "Output",
 ImageSize->{564, 273},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[20]=",
 CellID->1187337082]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
In the massless limit, individual Passarino-Veltman funcions contributing to \
the amplitude are infrared divergent.  However the divergences cancel in the \
total, can can be checked by the absence of 1/\[Epsilon] poles:\
\>", "MathCaption",
 CellID->1943807951],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FreeQ", "[", 
  RowBox[{"ampHE", ",", "\[Epsilon]"}], "]"}]], "Input",
 CellLabel->"In[21]:=",
 CellID->648544780],

Cell[BoxData["True"], "Output",
 ImageSize->{33, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[21]=",
 CellID->1156289250]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Forward scattering limit", "Subsection",
 CellID->1849839133],

Cell[TextData[{
 "In the forward limit ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["p", "1"], "=", 
    SubscriptBox["p", "3"]}], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["p", "2"], "=", 
    SubscriptBox["p", "4"]}], TraditionalForm]], "InlineMath"],
 " so that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"t", "=", "0"}], TraditionalForm]], "InlineMath"],
 ".  By photon polarization transversality, ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["p", "1", "\[Rho]"], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["p", "2", "\[Sigma]"], TraditionalForm]], "InlineMath"],
 " can be set to zero."
}], "Text",
 Deletable->True,
 CellID->726691052],

Cell[CellGroupData[{

Cell[TextData[{
 "Make the replacement ",
 Cell[BoxData[
  RowBox[{"p3", "\[Rule]", "p1"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  RowBox[{"p4", "\[Rule]", "p2"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  RowBox[{"t", "\[Rule]", "0"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  RowBox[{
   SubscriptBox["p1", "\[Rho]"], "\[Rule]", "0"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and ",
 Cell[BoxData[
  RowBox[{
   SubscriptBox["p2", "\[Sigma]"], "\[Rule]", "0"}]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".  Call ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to calculate (about 15 seconds runtime on a modern machine):"
}], "MathCaption",
 CellID->1348110644],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampFor", "=", 
  RowBox[{"LoopRefine", "[", 
   RowBox[{
    RowBox[{"total", "/.", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"t", "\[Rule]", "0"}], ",", 
       RowBox[{"p3", "\[Rule]", "p1"}], ",", 
       RowBox[{"p4", "\[Rule]", "p2"}]}], "}"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       SubscriptBox["p1", "\[Rho]"], "\[Rule]", "0"}], ",", 
      RowBox[{
       SubscriptBox["p2", "\[Sigma]"], "\[Rule]", "0"}]}], "}"}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[22]:=",
 CellID->1933588039],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SubscriptBox["p1", "\[Sigma]"], " ", 
   SubscriptBox["p1", "\[Nu]"], " ", 
   SubscriptBox["p2", "\[Mu]"], " ", 
   SubscriptBox["p2", "\[Rho]"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["32", 
       SuperscriptBox["s", "2"]]}], "-", 
     FractionBox[
      RowBox[{"64", " ", 
       SuperscriptBox["m", "2"], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "3"]], "+", 
     FractionBox[
      RowBox[{"64", " ", 
       SuperscriptBox["m", "2"], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "3"]], "+", 
     FractionBox[
      RowBox[{"128", " ", 
       SuperscriptBox["m", "4"], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "3"]], "-", 
     FractionBox[
      RowBox[{"128", " ", 
       SuperscriptBox["m", "4"], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], 
      SuperscriptBox["s", "3"]]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["p1", "\[Sigma]"], " ", 
   SubscriptBox["p1", "\[Mu]"], " ", 
   SubscriptBox["p1", "\[Nu]"], " ", 
   SubscriptBox["p2", "\[Rho]"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["16", 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "3"]], "-", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "3"]], "-", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "3"]], "-", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], 
      SuperscriptBox["s", "3"]]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["p1", "\[Nu]"], " ", 
   SubscriptBox["p2", "\[Rho]"], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Sigma]", ",", "\[Mu]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["8", "s"], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], 
      SuperscriptBox["s", "2"]]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["p1", "\[Sigma]"], " ", 
   SubscriptBox["p2", "\[Mu]"], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[Rho]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["8", "s"], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], 
      SuperscriptBox["s", "2"]]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["p1", "\[Sigma]"], " ", 
   SubscriptBox["p1", "\[Mu]"], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[Rho]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["8", "s"]}], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], 
      SuperscriptBox["s", "2"]]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Sigma]", ",", "\[Mu]"}]], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Nu]", ",", "\[Rho]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "4"}], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], "s"], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], "s"], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], "s"], 
     "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], "s"]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["p1", "\[Nu]"], " ", 
   SubscriptBox["p2", "\[Mu]"], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Sigma]", ",", "\[Rho]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["8", "s"], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "-", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], 
      SuperscriptBox["s", "2"]]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["p1", "\[Sigma]"], " ", 
   SubscriptBox["p2", "\[Rho]"], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["8", "s"], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "-", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], 
      SuperscriptBox["s", "2"]]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Sigma]", ",", "\[Rho]"}]], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Nu]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "4"}], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], "s"], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "-", 
         RowBox[{"3", " ", "s"}]}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], "s"], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], "s"], 
     "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["m", "4"]}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], "s"]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["p1", "\[Mu]"], " ", 
   SubscriptBox["p2", "\[Rho]"], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Sigma]", ",", "\[Nu]"}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["56", "s"]}], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "-", "s"}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", "s"}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "+", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"], " ", "s"}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], 
      SuperscriptBox["s", "2"]], "-", 
     FractionBox[
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"], " ", "s"}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], 
      SuperscriptBox["s", "2"]]}], ")"}]}], "+", 
  RowBox[{
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Sigma]", ",", "\[Nu]"}]], " ", 
   SubscriptBox["\[DoubleStruckG]", 
    RowBox[{"\[Mu]", ",", "\[Rho]"}]], " ", 
   RowBox[{"(", 
    RowBox[{"28", "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          SuperscriptBox["m", "2"]}], "+", "s"}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{
         RowBox[{"-", "s"}], ",", "m", ",", "m"}], "]"}]}], "s"], "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["m", "2"]}], "+", "s"}], ")"}], " ", 
       RowBox[{"DiscB", "[", 
        RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], "s"], "-", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "-", 
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"], " ", "s"}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", "s"}], ",", "m", ",", "m", ",", "m"}], "]"}]}], "s"], 
     "+", 
     FractionBox[
      RowBox[{"4", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", 
          SuperscriptBox["m", "4"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["m", "2"], " ", "s"}], "+", 
         SuperscriptBox["s", "2"]}], ")"}], " ", 
       RowBox[{"ScalarC0", "[", 
        RowBox[{"0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
        "]"}]}], "s"]}], ")"}]}]}]], "Output",
 ImageSize->{543, 1251},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[22]=",
 CellID->1173903047]
}, Closed]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["General case", "Subsection",
 CellID->1950388707],

Cell[CellGroupData[{

Cell[TextData[{
 "Apply ",
 Cell[BoxData[
  ButtonBox["LoopRefine",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/LoopRefine"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " on the full amplitude (about 40 seconds runtime on a modern machine):"
}], "MathCaption",
 CellID->131320024],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"fullAmplitude", "=", 
  RowBox[{"LoopRefine", "[", "total", "]"}]}]], "Input",
 CellLabel->"In[23]:=",
 CellID->1928031342],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   PanelBox[GridBox[{
      {
       StyleBox[
        StyleBox[
         DynamicBox[ToBoxes[
           FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
           StandardForm],
          ImageSizeCache->{278., {2., 8.}}],
         StripOnInput->False,
         DynamicUpdating->True], "Panel",
        StripOnInput->False,
        Background->None]},
      {
       ItemBox[
        TagBox[
         RowBox[{
          RowBox[{
           SubscriptBox["p2", "\[Sigma]"], " ", 
           SubscriptBox["p2", "\[Rho]"], " ", 
           SubscriptBox["p3", "\[Mu]"], " ", 
           SubscriptBox["p3", "\[Nu]"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", 
              FractionBox[
               RowBox[{"32", " ", "s"}], 
               RowBox[{"t", " ", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"s", "+", "t"}], ")"}], "2"]}]]}], "+", 
             FractionBox[
              RowBox[{"64", " ", "s", " ", 
               RowBox[{"DiscB", "[", 
                RowBox[{"s", ",", "m", ",", "m"}], "]"}]}], 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"s", "+", "t"}], ")"}], "3"]], "-", 
             FractionBox[
              RowBox[{"64", " ", "s", " ", 
               RowBox[{"DiscB", "[", 
                RowBox[{"t", ",", "m", ",", "m"}], "]"}]}], 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"s", "+", "t"}], ")"}], "3"]], "-", 
             FractionBox[
              RowBox[{"32", " ", "s", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["m", "2"], " ", 
                  SuperscriptBox["s", "2"]}], "-", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["m", "2"], " ", "s", " ", "t"}], "-", 
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", "t"}], "-", 
                 RowBox[{"3", " ", 
                  SuperscriptBox["m", "2"], " ", 
                  SuperscriptBox["t", "2"]}], "+", 
                 RowBox[{"s", " ", 
                  SuperscriptBox["t", "2"]}]}], ")"}], " ", 
               RowBox[{"ScalarC0", "[", 
                RowBox[{
                "0", ",", "0", ",", "s", ",", "m", ",", "m", ",", "m"}], 
                "]"}]}], 
              RowBox[{"t", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"s", "+", "t"}], ")"}], "4"]}]], "+", 
             FractionBox[
              RowBox[{"32", " ", 
               RowBox[{"\[LeftSkeleton]", "2", "\[RightSkeleton]"}], " ", 
               RowBox[{"ScalarC0", "[", 
                RowBox[{"0", ",", "0", ",", 
                 RowBox[{"\[LeftSkeleton]", "3", "\[RightSkeleton]"}], ",", 
                 "m"}], "]"}]}], 
              RowBox[{"s", " ", "t", " ", 
               RowBox[{"(", 
                RowBox[{"s", "+", "t"}], ")"}]}]], "-", 
             FractionBox[
              RowBox[{"32", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", 
                  SuperscriptBox["m", "2"], " ", 
                  SuperscriptBox["s", "4"]}], "+", 
                 RowBox[{"\[LeftSkeleton]", "6", "\[RightSkeleton]"}], "+", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["m", "2"], " ", 
                  SuperscriptBox["t", "4"]}]}], ")"}], " ", 
               RowBox[{"ScalarC0", "[", 
                RowBox[{
                "0", ",", "0", ",", "t", ",", "m", ",", "m", ",", "m"}], 
                "]"}]}], 
              RowBox[{"s", " ", "t", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"s", "+", "t"}], ")"}], "4"]}]], "+", 
             FractionBox[
              RowBox[{"16", " ", 
               SuperscriptBox["m", "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", 
                  SuperscriptBox["s", "2"]}], "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox["m", "2"], " ", "t"}], "-", 
                 RowBox[{"s", " ", "t"}]}], ")"}], " ", 
               RowBox[{"ScalarD0", "[", 
                RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "s", ",", 
                 RowBox[{
                  RowBox[{"-", "s"}], "-", "t"}], ",", "m", ",", "m", ",", 
                 "m", ",", "m"}], "]"}]}], 
              RowBox[{"t", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"s", "+", "t"}], ")"}], "2"]}]], "+", 
             FractionBox[
              RowBox[{"16", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"4", " ", 
                  SuperscriptBox["m", "4"], " ", 
                  SuperscriptBox["s", "2"]}], "+", 
                 RowBox[{"3", " ", 
                  SuperscriptBox["m", "2"], " ", 
                  SuperscriptBox["s", "3"]}], "+", 
                 RowBox[{"8", " ", 
                  SuperscriptBox["m", "4"], " ", "s", " ", "t"}], "-", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["m", "2"], " ", 
                  SuperscriptBox["s", "2"], " ", "t"}], "-", 
                 RowBox[{
                  SuperscriptBox["s", "3"], " ", "t"}], "+", 
                 RowBox[{"4", " ", 
                  SuperscriptBox["m", "4"], " ", 
                  SuperscriptBox["t", "2"]}], "-", 
                 RowBox[{"5", " ", 
                  SuperscriptBox["m", "2"], " ", "s", " ", 
                  SuperscriptBox["t", "2"]}], "+", 
                 RowBox[{
                  SuperscriptBox["s", "2"], " ", 
                  SuperscriptBox["t", "2"]}]}], ")"}], " ", 
               RowBox[{"ScalarD0", "[", 
                RowBox[{
                "0", ",", "0", ",", "0", ",", "0", ",", "s", ",", "t", ",", 
                 "m", ",", "m", ",", "m", ",", "m"}], "]"}]}], 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"s", "+", "t"}], ")"}], "4"]], "+", 
             FractionBox[
              RowBox[{"16", " ", 
               SuperscriptBox["m", "2"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"4", " ", 
                  SuperscriptBox["m", "2"], " ", "s"}], "-", 
                 SuperscriptBox["s", "2"], "-", 
                 RowBox[{"3", " ", "s", " ", "t"}], "-", 
                 RowBox[{"2", " ", 
                  SuperscriptBox["t", "2"]}]}], ")"}], " ", 
               RowBox[{"ScalarD0", "[", 
                RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
                 RowBox[{
                  RowBox[{"-", "s"}], "-", "t"}], ",", "t", ",", "m", ",", 
                 "m", ",", "m", ",", "m"}], "]"}]}], 
              RowBox[{"s", " ", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"s", "+", "t"}], ")"}], "2"]}]]}], ")"}]}], "+", 
          RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}], "+", 
          RowBox[{"\[LeftSkeleton]", "54", "\[RightSkeleton]"}], "+", 
          RowBox[{"\[LeftSkeleton]", "1", "\[RightSkeleton]"}]}],
         Short[#, 5]& ],
        Background->GrayLevel[1],
        BaseStyle->{Deployed -> False},
        Frame->True,
        FrameStyle->GrayLevel[0, 0.2],
        StripOnInput->False]},
      {
       RowBox[{
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
             StandardForm],
            ImageSizeCache->{49., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 23, 30597452927921040164, 5/2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
             StandardForm],
            ImageSizeCache->{52., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 23, 30597452927921040164, 5 2],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
             StandardForm],
            ImageSizeCache->{82., {2., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>OutputSizeLimit`ButtonFunction[
          Identity, 23, 30597452927921040164, Infinity],
         Enabled->True,
         Evaluator->Automatic,
         Method->"Queued"], "\[ThinSpace]", 
        ButtonBox[
         StyleBox[
          StyleBox[
           DynamicBox[ToBoxes[
             FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
             StandardForm],
            ImageSizeCache->{74., {1., 8.}}],
           StripOnInput->False,
           DynamicUpdating->True], "Panel",
          StripOnInput->False,
          Background->None],
         Appearance->Automatic,
         ButtonFunction:>FrontEndExecute[{
            FrontEnd`SetOptions[
            FrontEnd`$FrontEnd, 
             FrontEnd`PreferencesSettings -> {"Page" -> "Evaluation"}], 
            FrontEnd`FrontEndToken["PreferencesDialog"]}],
         Evaluator->None,
         Method->"Preemptive"]}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[1.2]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    DefaultBaseStyle->{},
    FrameMargins->5],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  Out[23]]], "Output",
 ImageSize->{530, 286},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[23]=",
 CellID->856245940]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Unpolarized differential cross section", "Section",
 CellID->209082645],

Cell[TextData[{
 "The tensor algebraic capabilities of ",
 StyleBox["Package",
  FontSlant->"Italic"],
 "-X can also aid in the evaluation of the unpolarized differential cross \
section.  Below, the cross section will be calculated in three kinematic \
cases: the low energy limit, the high energy limit, and the general case."
}], "Text",
 CellID->359659049],

Cell[CellGroupData[{

Cell["\<\
The unpolarized photon-photon differential cross section is given by:\
\>", "Text",
 CellID->1140232725],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    OverscriptBox["d\[Sigma]", "_"], "=", 
    RowBox[{
     FractionBox["1", "Flux"], "|", 
     OverscriptBox["\[ScriptCapitalM]", "_"], 
     SuperscriptBox["|", "2"], 
     RowBox[{"d", "(", "PS", ")"}]}]}], ","}], 
  TraditionalForm]], "NumberedEquation",
 CellID->1119549142]
}, Open  ]],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"Flux", "=", 
    RowBox[{"2", "s"}]}], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"d", "(", "PS", ")"}], "=", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"32", 
       SuperscriptBox["\[Pi]", "2"]}]], "d\[CapitalOmega]"}]}], 
   TraditionalForm]], "InlineMath"],
 "."
}], "Text",
 CellID->1331207484],

Cell[CellGroupData[{

Cell[TextData[{
 "To obtain the matrix element squared ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", 
    OverscriptBox["\[ScriptCapitalM]", "_"], 
    SuperscriptBox["|", "2"]}], TraditionalForm]], "InlineMath"],
 ", the complex conjugate of the matrix element is needed,"
}], "Text",
 CellID->1502646526],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"i", " ", "\[ScriptCapitalM]"}], "=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", 
        SubscriptBox["\[CapitalPi]", 
         RowBox[{"(", "s", ")"}]]}], "+", 
       RowBox[{"2", 
        SubscriptBox["\[CapitalPi]", 
         RowBox[{"(", "t", ")"}]]}], "+", 
       RowBox[{"2", 
        SubscriptBox["\[CapitalPi]", 
         RowBox[{"(", "u", ")"}]]}]}], "]"}], "\[Mu]\[Nu]\[Rho]\[Sigma]"], 
    " ", 
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Mu]"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "1"], ")"}], 
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Nu]"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "2"], ")"}], 
    RowBox[{
     SubsuperscriptBox["\[Epsilon]", "\[Rho]", "*"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "3"], ")"}], 
    RowBox[{
     SubsuperscriptBox["\[Epsilon]", "\[Sigma]", "*"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "4"], ")"}]}]}], 
  TraditionalForm]], "NumberedEquation",
 CellID->400788481],

Cell[BoxData[
 FormBox[
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"i", " ", "\[ScriptCapitalM]"}], ")"}], "*"], "=", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"[", 
      RowBox[{
       RowBox[{"2", 
        SubsuperscriptBox["\[CapitalPi]", 
         RowBox[{"(", "s", ")"}], "*"]}], "+", 
       RowBox[{"2", 
        SubsuperscriptBox["\[CapitalPi]", 
         RowBox[{"(", "t", ")"}], "*"]}], "+", 
       RowBox[{"2", 
        SubsuperscriptBox["\[CapitalPi]", 
         RowBox[{"(", "u", ")"}], "*"]}]}], "]"}], 
     "\[Mu]\[Nu]\[Rho]\[Sigma]"], "  ", 
    RowBox[{
     SubsuperscriptBox["\[Epsilon]", "\[Mu]", "*"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "1"], ")"}], 
    RowBox[{
     SubsuperscriptBox["\[Epsilon]", "\[Nu]", "*"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "2"], ")"}], 
    RowBox[{
     SubscriptBox["\[Epsilon]", "\[Rho]"], "(", 
     SubscriptBox[
      StyleBox["p",
       FontWeight->"Bold"], "3"], ")"}], 
    RowBox[{
     RowBox[{
      SubscriptBox["\[Epsilon]", "\[Sigma]"], "(", 
      SubscriptBox[
       StyleBox["p",
        FontWeight->"Bold"], "4"], ")"}], "."}]}]}], 
  TraditionalForm]], "NumberedEquation",
 CellID->652833759]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
After multiplying, average over the initial and sum over final photon \
polarizations using\
\>", "Text",
 CellID->1139249419],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"\[Sum]", 
    RowBox[{
     RowBox[{
      SubsuperscriptBox["\[Epsilon]", "\[Alpha]", "*"], "(", 
      SubscriptBox[
       StyleBox["p",
        FontWeight->"Bold"], "1"], ")"}], " ", 
     RowBox[{
      RowBox[{
       SubscriptBox["\[Epsilon]", "\[Beta]"], "(", 
       SubscriptBox[
        StyleBox["p",
         FontWeight->"Bold"], "1"], ")"}], " ", "\[LongRightArrow]", " ", 
      RowBox[{"-", 
       SubscriptBox["\[ScriptG]", "\[Alpha]\[Beta]"]}]}]}]}], "+", 
   RowBox[{"(", "vanishing", ")"}]}], TraditionalForm]], "NumberedEquation",
 CellID->1873048398]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "valid for amplitudes satisfying ",
 ButtonBox["the Ward identity",
  BaseStyle->"Link",
  ButtonData->"paclet:X/tutorial/ScatteringLightByLight#1988068558"],
 ".  Then, the matrix element squared is:"
}], "Text",
 CellID->1786736966],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"|", 
    OverscriptBox["\[ScriptCapitalM]", "_"], 
    SuperscriptBox["|", "2"]}], "=", 
   RowBox[{
    SubscriptBox[
     RowBox[{
      SuperscriptBox[
       RowBox[{
        FractionBox["1", "4"], "[", 
        RowBox[{
         RowBox[{"2", 
          SubscriptBox["\[CapitalPi]", 
           RowBox[{"(", "s", ")"}]]}], "+", 
         RowBox[{"2", 
          SubscriptBox["\[CapitalPi]", 
           RowBox[{"(", "t", ")"}]]}], "+", 
         RowBox[{"2", 
          SubscriptBox["\[CapitalPi]", 
           RowBox[{"(", "u", ")"}]]}]}], "]"}], "\[Mu]\[Nu]\[Rho]\[Sigma]"], 
      "[", 
      RowBox[{
       RowBox[{"2", 
        SubsuperscriptBox["\[CapitalPi]", 
         RowBox[{"(", "s", ")"}], "*"]}], "+", 
       RowBox[{"2", 
        SubsuperscriptBox["\[CapitalPi]", 
         RowBox[{"(", "t", ")"}], "*"]}], "+", 
       RowBox[{"2", 
        SubsuperscriptBox["\[CapitalPi]", 
         RowBox[{"(", "u", ")"}], "*"]}]}], "]"}], 
     "\[Mu]\[Nu]\[Rho]\[Sigma]"], " ", "."}]}], 
  TraditionalForm]], "NumberedEquation",
 CellID->707127246]
}, Open  ]],

Cell[CellGroupData[{

Cell["Low energy (Euler-Heisenberg) limit", "Subsection",
 CellID->1357264184],

Cell["\<\
Since the scattering amplitude in the low energy limit is purely real (below \
all physical threshold), no complex conjugation is needed.  The spin-averaged \
matrix element squared and therefore the differential cross section are \
readily obtained.\
\>", "Text",
 CellID->100014213],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Contract",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Contract"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " the product of the low energy amplitude with itself, and apply the on \
shell kinematic conditions.  The factor ",
 Cell[BoxData[
  FormBox[
   RowBox[{"|", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["e", "4"]}], 
     StyleBox[
      FractionBox["i", 
       RowBox[{"16", 
        SuperscriptBox["\[Pi]", "2"]}]],
      FontColor->RGBColor[0.6666666666666666, 0., 0.]]}], 
    SuperscriptBox["|", "2"]}], TraditionalForm]], "InlineMath"],
 " has been restored:"
}], "MathCaption",
 CellID->1233094908],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox[
       SuperscriptBox["e", "4"], 
       RowBox[{"16", 
        SuperscriptBox["\[Pi]", "2"]}]], ")"}], "2"], 
    RowBox[{"Contract", "[", 
     RowBox[{
      FractionBox["1", "4"], "ampLE", "*", "ampLE"}], "]"}]}], "/.", 
   "onShell"}], "//", "Simplify"}], "\[IndentingNewLine]", 
 RowBox[{"ampSqLE", "=", 
  RowBox[{"%", "/.", 
   RowBox[{"\[ScriptD]", "\[Rule]", "4"}]}]}]}], "Input",
 CellLabel->"In[24]:=",
 CellID->1408925206],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{"578", "-", 
     RowBox[{"503", " ", "\[ScriptD]"}], "+", 
     RowBox[{"107", " ", 
      SuperscriptBox["\[ScriptD]", "2"]}]}], ")"}], " ", 
   SuperscriptBox["e", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["s", "2"], "+", 
      RowBox[{"s", " ", "t"}], "+", 
      SuperscriptBox["t", "2"]}], ")"}], "2"]}], 
  RowBox[{"1036800", " ", 
   SuperscriptBox["m", "8"], " ", 
   SuperscriptBox["\[Pi]", "4"]}]]], "Output",
 ImageSize->{247, 39},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[24]=",
 CellID->637595033],

Cell[BoxData[
 FractionBox[
  RowBox[{"139", " ", 
   SuperscriptBox["e", "8"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["s", "2"], "+", 
      RowBox[{"s", " ", "t"}], "+", 
      SuperscriptBox["t", "2"]}], ")"}], "2"]}], 
  RowBox[{"518400", " ", 
   SuperscriptBox["m", "8"], " ", 
   SuperscriptBox["\[Pi]", "4"]}]]], "Output",
 ImageSize->{139, 39},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[25]=",
 CellID->116321101]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Multiply by the flux and phase space factors to obtain the differential cross \
section:\
\>", "MathCaption",
 CellID->5568100],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"d\[Sigma]d\[CapitalOmega]LE", "[", 
   RowBox[{"\[Alpha]_", ",", "s_", ",", "t_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", "s"}]], "ampSqLE", " ", 
    FractionBox["1", 
     RowBox[{"32", 
      SuperscriptBox["\[Pi]", "2"]}]]}], "/.", 
   RowBox[{"e", "\[Rule]", 
    SqrtBox[
     RowBox[{"\[Alpha]", " ", "4", "\[Pi]"}]]}]}]}]], "Input",
 CellLabel->"In[26]:=",
 CellID->378294973,
 ExpressionUUID -> "3ea5a085-1db6-4a57-a531-532b5990ee41"],

Cell[BoxData[
 FractionBox[
  RowBox[{"139", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["s", "2"], "+", 
      RowBox[{"s", " ", "t"}], "+", 
      SuperscriptBox["t", "2"]}], ")"}], "2"], " ", 
   SuperscriptBox["\[Alpha]", "4"]}], 
  RowBox[{"129600", " ", 
   SuperscriptBox["m", "8"], " ", 
   SuperscriptBox["\[Pi]", "2"], " ", "s"}]]], "Output",
 ImageSize->{139, 39},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[26]=",
 CellID->798625737]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"In", " ", "the", " ", "center"}], "-", "of", "-", 
     RowBox[{"mass", " ", "frame"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"\[Omega]", "=", 
     RowBox[{
     "Angular", " ", "frequency", " ", "of", " ", "each", " ", "incident", 
      " ", "photon"}]}], ",", "\[IndentingNewLine]", 
    RowBox[{"\[Theta]", "=", 
     RowBox[{"COM", " ", "scattering", " ", "angle"}]}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"%", "/.", 
     RowBox[{"t", "\[Rule]", 
      RowBox[{
       RowBox[{"-", 
        FractionBox["1", 
         RowBox[{"2", "s"}]]}], 
       RowBox[{"Kallen\[Lambda]", "[", 
        RowBox[{"0", ",", "0", ",", "s"}], "]"}], 
       RowBox[{"(", 
        RowBox[{"1", "-", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}]}]}], "/.", 
    RowBox[{"s", "\[Rule]", 
     RowBox[{"4", 
      SuperscriptBox["\[Omega]", "2"]}]}]}], "//", 
   "FactorSquareFree"}]}]], "Input",
 CellLabel->"In[27]:=",
 CellID->1585601771,
 ExpressionUUID -> "3ea5a085-1db6-4a57-a531-532b5990ee41"],

Cell[BoxData[
 FractionBox[
  RowBox[{"139", " ", 
   SuperscriptBox["\[Alpha]", "4"], " ", 
   SuperscriptBox["\[Omega]", "6"], " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"3", "+", 
      SuperscriptBox[
       RowBox[{"Cos", "[", "\[Theta]", "]"}], "2"]}], ")"}], "2"]}], 
  RowBox[{"32400", " ", 
   SuperscriptBox["m", "8"], " ", 
   SuperscriptBox["\[Pi]", "2"]}]]], "Output",
 ImageSize->{155, 39},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[27]=",
 CellID->729968009]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["High energy/large momentum transfer limit", "Subsection",
 CellID->1811331856],

Cell["\<\
In the high energy limit, the amplitude is complex, with the imaginary parts \
arising from the various logarithmic factors.  After selectively extracting \
the imaginary parts, the conjugate amplitude is constructed from which the \
cross section follows.\
\>", "Text",
 CellID->167679206],

Cell[CellGroupData[{

Cell[TextData[{
 "Use ",
 Cell[BoxData[
  ButtonBox["Cases",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Cases"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and ",
 Cell[BoxData[
  ButtonBox["DeleteDuplicates",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/DeleteDuplicates"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " to construct a list of the logarithmic factors appearing in the high \
energy scattering amplitude:"
}], "MathCaption",
 CellID->1545126482],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Cases", "[", 
   RowBox[{"ampHE", ",", "_Log", ",", "Infinity"}], "]"}], "//", 
  "DeleteDuplicates"}]], "Input",
 CellLabel->"In[28]:=",
 CellID->1568523450],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Log", "[", 
    RowBox[{"-", 
     FractionBox["t", 
      RowBox[{"s", "+", "t"}]]}], "]"}], ",", 
   RowBox[{"Log", "[", 
    FractionBox["t", "s"], "]"}]}], "}"}]], "Output",
 ImageSize->{152, 29},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[28]=",
 CellID->685328322]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "In the physical region (",
 Cell[BoxData[
  FormBox[
   RowBox[{"s", ">", "0"}], TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{"t", ">", "0"}], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"s", "+", "t"}], "<", "0"}], TraditionalForm]], "InlineMath"],
 "), only the ",
 Cell[BoxData[
  FormBox[
   RowBox[{"ln", "(", 
    RowBox[{"t", "/", "s"}], ")"}], TraditionalForm]], "InlineMath"],
 " logs give an imaginary part.  Define the amplitude and its conjugate by \
explictly separating the imaginary part from the logarithms:"
}], "MathCaption",
 Deletable->True,
 CellID->2130035501],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampHEx", "=", 
   RowBox[{"ampHE", "/.", 
    RowBox[{
     RowBox[{"Log", "[", 
      FractionBox["t", "s"], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"Abs", "[", 
        RowBox[{"t", "/", "s"}], "]"}], "]"}], "+", 
      RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}]}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ampHEcc", "=", 
   RowBox[{"ampHE", "/.", 
    RowBox[{
     RowBox[{"Log", "[", 
      FractionBox["t", "s"], "]"}], "\[Rule]", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"Abs", "[", 
        RowBox[{"t", "/", "s"}], "]"}], "]"}], "-", 
      RowBox[{"\[ImaginaryI]", " ", "\[Pi]"}]}]}]}]}], ";"}]}], "Input",
 CellLabel->"In[29]:=",
 CellID->1901105349]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Contract",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Contract"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " the product of the low energy amplitude with itself, and apply the on \
shell kinematic conditions.  ",
 Cell[BoxData[
  ButtonBox["Collect",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Collect"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " the result by the various logarithmic factors, and ",
 Cell[BoxData[
  ButtonBox["Simplify",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Simplify"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " each coefficient."
}], "MathCaption",
 CellID->1278588608],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ampSqHE", "=", 
  RowBox[{
   SuperscriptBox[
    RowBox[{"(", 
     FractionBox[
      SuperscriptBox["e", "4"], 
      RowBox[{"16", 
       SuperscriptBox["\[Pi]", "2"]}]], ")"}], "2"], 
   RowBox[{"Collect", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Contract", "[", 
        RowBox[{
         FractionBox["1", "4"], "ampHEx", "*", "ampHEcc"}], "]"}], "/.", 
       "onShell"}], "/.", 
      RowBox[{"\[ScriptD]", "\[Rule]", "4"}]}], ",", "_Log", ",", 
     "Simplify"}], "]"}]}]}]], "Input",
 CellLabel->"In[31]:=",
 CellID->1517362774],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"256", " ", 
    SuperscriptBox["\[Pi]", "4"]}]], 
  RowBox[{
   SuperscriptBox["e", "8"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "4"], " ", 
         SuperscriptBox["t", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", "t"}], ")"}], "2"]}], ")"}]}], 
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"32", " ", 
          SuperscriptBox["s", "4"], " ", 
          SuperscriptBox["t", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"s", "+", "t"}], ")"}], "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Pi]", "4"], " ", 
          SuperscriptBox["t", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "3"], "+", 
             RowBox[{"3", " ", 
              SuperscriptBox["s", "2"], " ", "t"}], "+", 
             RowBox[{"4", " ", "s", " ", 
              SuperscriptBox["t", "2"]}], "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["t", "3"]}]}], ")"}], "2"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["\[Pi]", "2"], " ", 
          SuperscriptBox["s", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "6"]}], "+", 
            RowBox[{"12", " ", 
             SuperscriptBox["s", "5"], " ", "t"}], "+", 
            RowBox[{"15", " ", 
             SuperscriptBox["s", "4"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "3"], " ", 
             SuperscriptBox["t", "3"]}], "+", 
            RowBox[{"9", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "4"]}], "+", 
            RowBox[{"6", " ", "s", " ", 
             SuperscriptBox["t", "5"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["t", "6"]}]}], ")"}]}]}], ")"}]}]}], "+", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["s", "8"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["s", "7"], " ", "t"}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["s", "6"], " ", 
          SuperscriptBox["t", "2"]}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["s", "5"], " ", 
          SuperscriptBox["t", "3"]}], "+", 
         RowBox[{
          SuperscriptBox["s", "4"], " ", 
          SuperscriptBox["t", "4"]}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "5"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["t", "6"]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["t", "7"]}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["t", "8"]}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"Log", "[", 
         RowBox[{"-", 
          FractionBox["t", 
           RowBox[{"s", "+", "t"}]]}], "]"}], "4"]}], 
      RowBox[{
       SuperscriptBox["s", "4"], " ", 
       SuperscriptBox["t", "4"]}]], "-", 
     FractionBox[
      RowBox[{"128", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "2"], "+", 
         RowBox[{"s", " ", "t"}], "+", 
         SuperscriptBox["t", "2"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["t", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"s", "+", "t"}], ")"}], "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Pi]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["s", "4"]}], "+", 
            RowBox[{"7", " ", 
             SuperscriptBox["s", "3"], " ", "t"}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{"2", " ", "s", " ", 
             SuperscriptBox["t", "3"]}], "+", 
            SuperscriptBox["t", "4"]}], ")"}]}]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{"Abs", "[", 
         FractionBox["t", "s"], "]"}], "]"}]}], 
      RowBox[{
       SuperscriptBox["t", "3"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "t"}], ")"}], "3"]}]], "+", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["t", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", "t"}], ")"}], "4"]}], ")"}]}], 
      RowBox[{"64", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["t", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"s", "+", "t"}], ")"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SuperscriptBox["s", "4"]}], "+", 
            RowBox[{"9", " ", 
             SuperscriptBox["s", "3"], " ", "t"}], "+", 
            RowBox[{"11", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["t", "3"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["t", "4"]}]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["\[Pi]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["s", "8"]}], "+", 
            RowBox[{"12", " ", 
             SuperscriptBox["s", "7"], " ", "t"}], "+", 
            RowBox[{"32", " ", 
             SuperscriptBox["s", "6"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{"50", " ", 
             SuperscriptBox["s", "5"], " ", 
             SuperscriptBox["t", "3"]}], "+", 
            RowBox[{"51", " ", 
             SuperscriptBox["s", "4"], " ", 
             SuperscriptBox["t", "4"]}], "+", 
            RowBox[{"34", " ", 
             SuperscriptBox["s", "3"], " ", 
             SuperscriptBox["t", "5"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "6"]}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["t", "7"]}], "+", 
            SuperscriptBox["t", "8"]}], ")"}]}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"Log", "[", 
         RowBox[{"Abs", "[", 
          FractionBox["t", "s"], "]"}], "]"}], "2"]}]}], "-", 
     FractionBox[
      RowBox[{"64", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["s", "6"]}], "+", 
         RowBox[{"9", " ", 
          SuperscriptBox["s", "5"], " ", "t"}], "+", 
         RowBox[{"17", " ", 
          SuperscriptBox["s", "4"], " ", 
          SuperscriptBox["t", "2"]}], "+", 
         RowBox[{"17", " ", 
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "3"]}], "+", 
         RowBox[{"11", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["t", "4"]}], "+", 
         RowBox[{"3", " ", "s", " ", 
          SuperscriptBox["t", "5"]}], "+", 
         SuperscriptBox["t", "6"]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"Log", "[", 
         RowBox[{"Abs", "[", 
          FractionBox["t", "s"], "]"}], "]"}], "3"]}], 
      RowBox[{
       SuperscriptBox["t", "3"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "t"}], ")"}], "3"]}]], "+", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["t", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", "t"}], ")"}], "4"]}], ")"}]}], 
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["s", "8"]}], "+", 
         RowBox[{"12", " ", 
          SuperscriptBox["s", "7"], " ", "t"}], "+", 
         RowBox[{"32", " ", 
          SuperscriptBox["s", "6"], " ", 
          SuperscriptBox["t", "2"]}], "+", 
         RowBox[{"50", " ", 
          SuperscriptBox["s", "5"], " ", 
          SuperscriptBox["t", "3"]}], "+", 
         RowBox[{"51", " ", 
          SuperscriptBox["s", "4"], " ", 
          SuperscriptBox["t", "4"]}], "+", 
         RowBox[{"34", " ", 
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "5"]}], "+", 
         RowBox[{"16", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["t", "6"]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["t", "7"]}], "+", 
         SuperscriptBox["t", "8"]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"Log", "[", 
         RowBox[{"Abs", "[", 
          FractionBox["t", "s"], "]"}], "]"}], "4"]}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Log", "[", 
        RowBox[{"-", 
         FractionBox["t", 
          RowBox[{"s", "+", "t"}]]}], "]"}], "3"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"64", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["s", "6"]}], "+", 
            RowBox[{"3", " ", 
             SuperscriptBox["s", "5"], " ", "t"}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["s", "4"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["s", "3"], " ", 
             SuperscriptBox["t", "3"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "4"]}], "+", 
            RowBox[{"3", " ", "s", " ", 
             SuperscriptBox["t", "5"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["t", "6"]}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "3"]}]], "-", 
        FractionBox[
         RowBox[{"32", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["s", "2"]}], "+", 
             RowBox[{"2", " ", "s", " ", "t"}], "+", 
             SuperscriptBox["t", "2"]}], ")"}], "2"], " ", 
          RowBox[{"Log", "[", 
           RowBox[{"Abs", "[", 
            FractionBox["t", "s"], "]"}], "]"}]}], 
         SuperscriptBox["t", "4"]]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Log", "[", 
        RowBox[{"-", 
         FractionBox["t", 
          RowBox[{"s", "+", "t"}]]}], "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "4"], " ", 
            SuperscriptBox["t", "4"]}], ")"}]}], 
         RowBox[{"16", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", 
                SuperscriptBox["s", "4"]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["s", "3"], " ", "t"}], "+", 
               RowBox[{"2", " ", 
                SuperscriptBox["s", "2"], " ", 
                SuperscriptBox["t", "2"]}], "+", 
               RowBox[{"3", " ", "s", " ", 
                SuperscriptBox["t", "3"]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["t", "4"]}]}], ")"}]}], "+", 
            RowBox[{
             SuperscriptBox["\[Pi]", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SuperscriptBox["s", "8"]}], "+", 
               RowBox[{"16", " ", 
                SuperscriptBox["s", "7"], " ", "t"}], "+", 
               RowBox[{"16", " ", 
                SuperscriptBox["s", "6"], " ", 
                SuperscriptBox["t", "2"]}], "+", 
               RowBox[{"8", " ", 
                SuperscriptBox["s", "5"], " ", 
                SuperscriptBox["t", "3"]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["s", "4"], " ", 
                SuperscriptBox["t", "4"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["s", "3"], " ", 
                SuperscriptBox["t", "5"]}], "+", 
               RowBox[{"8", " ", 
                SuperscriptBox["s", "2"], " ", 
                SuperscriptBox["t", "6"]}], "+", 
               RowBox[{"8", " ", "s", " ", 
                SuperscriptBox["t", "7"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["t", "8"]}]}], ")"}]}]}], ")"}]}]}], "-", 
        FractionBox[
         RowBox[{"96", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "3"]}], "+", 
            RowBox[{"6", " ", 
             SuperscriptBox["s", "2"], " ", "t"}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["t", "2"]}], "+", 
            SuperscriptBox["t", "3"]}], ")"}], " ", 
          RowBox[{"Log", "[", 
           RowBox[{"Abs", "[", 
            FractionBox["t", "s"], "]"}], "]"}]}], 
         SuperscriptBox["t", "3"]], "+", 
        FractionBox[
         RowBox[{"48", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["s", "2"]}], "+", 
             RowBox[{"2", " ", "s", " ", "t"}], "+", 
             SuperscriptBox["t", "2"]}], ")"}], "2"], " ", 
          SuperscriptBox[
           RowBox[{"Log", "[", 
            RowBox[{"Abs", "[", 
             FractionBox["t", "s"], "]"}], "]"}], "2"]}], 
         SuperscriptBox["t", "4"]]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"-", 
        FractionBox["t", 
         RowBox[{"s", "+", "t"}]]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"32", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"s", " ", "t"}], "+", 
               SuperscriptBox["t", "2"]}], ")"}]}], "+", 
            RowBox[{
             SuperscriptBox["\[Pi]", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SuperscriptBox["s", "6"]}], "+", 
               RowBox[{"12", " ", 
                SuperscriptBox["s", "5"], " ", "t"}], "+", 
               RowBox[{"8", " ", 
                SuperscriptBox["s", "4"], " ", 
                SuperscriptBox["t", "2"]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["s", "3"], " ", 
                SuperscriptBox["t", "3"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["s", "2"], " ", 
                SuperscriptBox["t", "4"]}], "+", 
               RowBox[{"6", " ", "s", " ", 
                SuperscriptBox["t", "5"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["t", "6"]}]}], ")"}]}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "3"]}]], "-", 
        FractionBox[
         RowBox[{"64", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Pi]", "2"], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 SuperscriptBox["s", "2"]}], "+", 
                RowBox[{"2", " ", "s", " ", "t"}], "+", 
                SuperscriptBox["t", "2"]}], ")"}], "2"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["t", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", 
                SuperscriptBox["s", "2"]}], "+", 
               RowBox[{"3", " ", "s", " ", "t"}], "+", 
               SuperscriptBox["t", "2"]}], ")"}]}]}], ")"}], " ", 
          RowBox[{"Log", "[", 
           RowBox[{"Abs", "[", 
            FractionBox["t", "s"], "]"}], "]"}]}], 
         SuperscriptBox["t", "4"]], "+", 
        FractionBox[
         RowBox[{"96", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "3"]}], "+", 
            RowBox[{"6", " ", 
             SuperscriptBox["s", "2"], " ", "t"}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["t", "2"]}], "+", 
            SuperscriptBox["t", "3"]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"Log", "[", 
            RowBox[{"Abs", "[", 
             FractionBox["t", "s"], "]"}], "]"}], "2"]}], 
         SuperscriptBox["t", "3"]], "-", 
        FractionBox[
         RowBox[{"32", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["s", "2"]}], "+", 
             RowBox[{"2", " ", "s", " ", "t"}], "+", 
             SuperscriptBox["t", "2"]}], ")"}], "2"], " ", 
          SuperscriptBox[
           RowBox[{"Log", "[", 
            RowBox[{"Abs", "[", 
             FractionBox["t", "s"], "]"}], "]"}], "3"]}], 
         SuperscriptBox["t", "4"]]}], ")"}]}]}], ")"}]}]}]], "Output",
 ImageSize->{572, 728},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[31]=",
 CellID->625640782]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Multiply by the flux and phase space factors to obtain the differential cross \
section:\
\>", "MathCaption",
 CellID->578140066],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"d\[Sigma]d\[CapitalOmega]HE", "[", 
   RowBox[{"\[Alpha]_", ",", "s_", ",", "t_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    FractionBox["1", 
     RowBox[{"2", "s"}]], "ampSqHE", " ", 
    FractionBox["1", 
     RowBox[{"32", 
      SuperscriptBox["\[Pi]", "2"]}]]}], "/.", 
   RowBox[{"e", "\[Rule]", 
    SqrtBox[
     RowBox[{"\[Alpha]", " ", "4", "\[Pi]"}]]}]}]}]], "Input",
 CellLabel->"In[32]:=",
 CellID->1721246962,
 ExpressionUUID -> "3ea5a085-1db6-4a57-a531-532b5990ee41"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"64", " ", 
    SuperscriptBox["\[Pi]", "2"], " ", "s"}]], 
  RowBox[{
   SuperscriptBox["\[Alpha]", "4"], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "4"], " ", 
         SuperscriptBox["t", "2"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", "t"}], ")"}], "2"]}], ")"}]}], 
      RowBox[{"8", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"32", " ", 
          SuperscriptBox["s", "4"], " ", 
          SuperscriptBox["t", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"s", "+", "t"}], ")"}], "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Pi]", "4"], " ", 
          SuperscriptBox["t", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             SuperscriptBox["s", "3"], "+", 
             RowBox[{"3", " ", 
              SuperscriptBox["s", "2"], " ", "t"}], "+", 
             RowBox[{"4", " ", "s", " ", 
              SuperscriptBox["t", "2"]}], "+", 
             RowBox[{"2", " ", 
              SuperscriptBox["t", "3"]}]}], ")"}], "2"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["\[Pi]", "2"], " ", 
          SuperscriptBox["s", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "6"]}], "+", 
            RowBox[{"12", " ", 
             SuperscriptBox["s", "5"], " ", "t"}], "+", 
            RowBox[{"15", " ", 
             SuperscriptBox["s", "4"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "3"], " ", 
             SuperscriptBox["t", "3"]}], "+", 
            RowBox[{"9", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "4"]}], "+", 
            RowBox[{"6", " ", "s", " ", 
             SuperscriptBox["t", "5"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["t", "6"]}]}], ")"}]}]}], ")"}]}]}], "+", 
     FractionBox[
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["s", "8"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["s", "7"], " ", "t"}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["s", "6"], " ", 
          SuperscriptBox["t", "2"]}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["s", "5"], " ", 
          SuperscriptBox["t", "3"]}], "+", 
         RowBox[{
          SuperscriptBox["s", "4"], " ", 
          SuperscriptBox["t", "4"]}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "5"]}], "+", 
         RowBox[{"4", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["t", "6"]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["t", "7"]}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["t", "8"]}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"Log", "[", 
         RowBox[{"-", 
          FractionBox["t", 
           RowBox[{"s", "+", "t"}]]}], "]"}], "4"]}], 
      RowBox[{
       SuperscriptBox["s", "4"], " ", 
       SuperscriptBox["t", "4"]}]], "-", 
     FractionBox[
      RowBox[{"128", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["s", "2"], "+", 
         RowBox[{"s", " ", "t"}], "+", 
         SuperscriptBox["t", "2"]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["t", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"s", "+", "t"}], ")"}], "2"]}], "+", 
         RowBox[{
          SuperscriptBox["\[Pi]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["s", "4"]}], "+", 
            RowBox[{"7", " ", 
             SuperscriptBox["s", "3"], " ", "t"}], "+", 
            RowBox[{"8", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{"2", " ", "s", " ", 
             SuperscriptBox["t", "3"]}], "+", 
            SuperscriptBox["t", "4"]}], ")"}]}]}], ")"}], " ", 
       RowBox[{"Log", "[", 
        RowBox[{"Abs", "[", 
         FractionBox["t", "s"], "]"}], "]"}]}], 
      RowBox[{
       SuperscriptBox["t", "3"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "t"}], ")"}], "3"]}]], "+", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["t", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", "t"}], ")"}], "4"]}], ")"}]}], 
      RowBox[{"64", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          SuperscriptBox["t", "2"], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"s", "+", "t"}], ")"}], "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"3", " ", 
             SuperscriptBox["s", "4"]}], "+", 
            RowBox[{"9", " ", 
             SuperscriptBox["s", "3"], " ", "t"}], "+", 
            RowBox[{"11", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["t", "3"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["t", "4"]}]}], ")"}]}], "+", 
         RowBox[{
          SuperscriptBox["\[Pi]", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["s", "8"]}], "+", 
            RowBox[{"12", " ", 
             SuperscriptBox["s", "7"], " ", "t"}], "+", 
            RowBox[{"32", " ", 
             SuperscriptBox["s", "6"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{"50", " ", 
             SuperscriptBox["s", "5"], " ", 
             SuperscriptBox["t", "3"]}], "+", 
            RowBox[{"51", " ", 
             SuperscriptBox["s", "4"], " ", 
             SuperscriptBox["t", "4"]}], "+", 
            RowBox[{"34", " ", 
             SuperscriptBox["s", "3"], " ", 
             SuperscriptBox["t", "5"]}], "+", 
            RowBox[{"16", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "6"]}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["t", "7"]}], "+", 
            SuperscriptBox["t", "8"]}], ")"}]}]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"Log", "[", 
         RowBox[{"Abs", "[", 
          FractionBox["t", "s"], "]"}], "]"}], "2"]}]}], "-", 
     FractionBox[
      RowBox[{"64", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["s", "6"]}], "+", 
         RowBox[{"9", " ", 
          SuperscriptBox["s", "5"], " ", "t"}], "+", 
         RowBox[{"17", " ", 
          SuperscriptBox["s", "4"], " ", 
          SuperscriptBox["t", "2"]}], "+", 
         RowBox[{"17", " ", 
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "3"]}], "+", 
         RowBox[{"11", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["t", "4"]}], "+", 
         RowBox[{"3", " ", "s", " ", 
          SuperscriptBox["t", "5"]}], "+", 
         SuperscriptBox["t", "6"]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"Log", "[", 
         RowBox[{"Abs", "[", 
          FractionBox["t", "s"], "]"}], "]"}], "3"]}], 
      RowBox[{
       SuperscriptBox["t", "3"], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"s", "+", "t"}], ")"}], "3"]}]], "+", 
     RowBox[{
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["t", "4"], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"s", "+", "t"}], ")"}], "4"]}], ")"}]}], 
      RowBox[{"16", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", 
          SuperscriptBox["s", "8"]}], "+", 
         RowBox[{"12", " ", 
          SuperscriptBox["s", "7"], " ", "t"}], "+", 
         RowBox[{"32", " ", 
          SuperscriptBox["s", "6"], " ", 
          SuperscriptBox["t", "2"]}], "+", 
         RowBox[{"50", " ", 
          SuperscriptBox["s", "5"], " ", 
          SuperscriptBox["t", "3"]}], "+", 
         RowBox[{"51", " ", 
          SuperscriptBox["s", "4"], " ", 
          SuperscriptBox["t", "4"]}], "+", 
         RowBox[{"34", " ", 
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "5"]}], "+", 
         RowBox[{"16", " ", 
          SuperscriptBox["s", "2"], " ", 
          SuperscriptBox["t", "6"]}], "+", 
         RowBox[{"4", " ", "s", " ", 
          SuperscriptBox["t", "7"]}], "+", 
         SuperscriptBox["t", "8"]}], ")"}], " ", 
       SuperscriptBox[
        RowBox[{"Log", "[", 
         RowBox[{"Abs", "[", 
          FractionBox["t", "s"], "]"}], "]"}], "4"]}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Log", "[", 
        RowBox[{"-", 
         FractionBox["t", 
          RowBox[{"s", "+", "t"}]]}], "]"}], "3"], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"64", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", 
             SuperscriptBox["s", "6"]}], "+", 
            RowBox[{"3", " ", 
             SuperscriptBox["s", "5"], " ", "t"}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["s", "4"], " ", 
             SuperscriptBox["t", "2"]}], "+", 
            RowBox[{
             SuperscriptBox["s", "3"], " ", 
             SuperscriptBox["t", "3"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "4"]}], "+", 
            RowBox[{"3", " ", "s", " ", 
             SuperscriptBox["t", "5"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["t", "6"]}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "3"]}]], "-", 
        FractionBox[
         RowBox[{"32", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["s", "2"]}], "+", 
             RowBox[{"2", " ", "s", " ", "t"}], "+", 
             SuperscriptBox["t", "2"]}], ")"}], "2"], " ", 
          RowBox[{"Log", "[", 
           RowBox[{"Abs", "[", 
            FractionBox["t", "s"], "]"}], "]"}]}], 
         SuperscriptBox["t", "4"]]}], ")"}]}], "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"Log", "[", 
        RowBox[{"-", 
         FractionBox["t", 
          RowBox[{"s", "+", "t"}]]}], "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"1", "/", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["s", "4"], " ", 
            SuperscriptBox["t", "4"]}], ")"}]}], 
         RowBox[{"16", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", 
                SuperscriptBox["s", "4"]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["s", "3"], " ", "t"}], "+", 
               RowBox[{"2", " ", 
                SuperscriptBox["s", "2"], " ", 
                SuperscriptBox["t", "2"]}], "+", 
               RowBox[{"3", " ", "s", " ", 
                SuperscriptBox["t", "3"]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["t", "4"]}]}], ")"}]}], "+", 
            RowBox[{
             SuperscriptBox["\[Pi]", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SuperscriptBox["s", "8"]}], "+", 
               RowBox[{"16", " ", 
                SuperscriptBox["s", "7"], " ", "t"}], "+", 
               RowBox[{"16", " ", 
                SuperscriptBox["s", "6"], " ", 
                SuperscriptBox["t", "2"]}], "+", 
               RowBox[{"8", " ", 
                SuperscriptBox["s", "5"], " ", 
                SuperscriptBox["t", "3"]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["s", "4"], " ", 
                SuperscriptBox["t", "4"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["s", "3"], " ", 
                SuperscriptBox["t", "5"]}], "+", 
               RowBox[{"8", " ", 
                SuperscriptBox["s", "2"], " ", 
                SuperscriptBox["t", "6"]}], "+", 
               RowBox[{"8", " ", "s", " ", 
                SuperscriptBox["t", "7"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["t", "8"]}]}], ")"}]}]}], ")"}]}]}], "-", 
        FractionBox[
         RowBox[{"96", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "3"]}], "+", 
            RowBox[{"6", " ", 
             SuperscriptBox["s", "2"], " ", "t"}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["t", "2"]}], "+", 
            SuperscriptBox["t", "3"]}], ")"}], " ", 
          RowBox[{"Log", "[", 
           RowBox[{"Abs", "[", 
            FractionBox["t", "s"], "]"}], "]"}]}], 
         SuperscriptBox["t", "3"]], "+", 
        FractionBox[
         RowBox[{"48", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["s", "2"]}], "+", 
             RowBox[{"2", " ", "s", " ", "t"}], "+", 
             SuperscriptBox["t", "2"]}], ")"}], "2"], " ", 
          SuperscriptBox[
           RowBox[{"Log", "[", 
            RowBox[{"Abs", "[", 
             FractionBox["t", "s"], "]"}], "]"}], "2"]}], 
         SuperscriptBox["t", "4"]]}], ")"}]}], "+", 
     RowBox[{
      RowBox[{"Log", "[", 
       RowBox[{"-", 
        FractionBox["t", 
         RowBox[{"s", "+", "t"}]]}], "]"}], " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox[
         RowBox[{"32", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "2"], " ", 
             SuperscriptBox["t", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["s", "2"], "+", 
               RowBox[{"s", " ", "t"}], "+", 
               SuperscriptBox["t", "2"]}], ")"}]}], "+", 
            RowBox[{
             SuperscriptBox["\[Pi]", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"8", " ", 
                SuperscriptBox["s", "6"]}], "+", 
               RowBox[{"12", " ", 
                SuperscriptBox["s", "5"], " ", "t"}], "+", 
               RowBox[{"8", " ", 
                SuperscriptBox["s", "4"], " ", 
                SuperscriptBox["t", "2"]}], "+", 
               RowBox[{"3", " ", 
                SuperscriptBox["s", "3"], " ", 
                SuperscriptBox["t", "3"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["s", "2"], " ", 
                SuperscriptBox["t", "4"]}], "+", 
               RowBox[{"6", " ", "s", " ", 
                SuperscriptBox["t", "5"]}], "+", 
               RowBox[{"4", " ", 
                SuperscriptBox["t", "6"]}]}], ")"}]}]}], ")"}]}], 
         RowBox[{
          SuperscriptBox["s", "3"], " ", 
          SuperscriptBox["t", "3"]}]], "-", 
        FractionBox[
         RowBox[{"64", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["\[Pi]", "2"], " ", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"2", " ", 
                 SuperscriptBox["s", "2"]}], "+", 
                RowBox[{"2", " ", "s", " ", "t"}], "+", 
                SuperscriptBox["t", "2"]}], ")"}], "2"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["t", "2"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"3", " ", 
                SuperscriptBox["s", "2"]}], "+", 
               RowBox[{"3", " ", "s", " ", "t"}], "+", 
               SuperscriptBox["t", "2"]}], ")"}]}]}], ")"}], " ", 
          RowBox[{"Log", "[", 
           RowBox[{"Abs", "[", 
            FractionBox["t", "s"], "]"}], "]"}]}], 
         SuperscriptBox["t", "4"]], "+", 
        FractionBox[
         RowBox[{"96", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["s", "3"]}], "+", 
            RowBox[{"6", " ", 
             SuperscriptBox["s", "2"], " ", "t"}], "+", 
            RowBox[{"4", " ", "s", " ", 
             SuperscriptBox["t", "2"]}], "+", 
            SuperscriptBox["t", "3"]}], ")"}], " ", 
          SuperscriptBox[
           RowBox[{"Log", "[", 
            RowBox[{"Abs", "[", 
             FractionBox["t", "s"], "]"}], "]"}], "2"]}], 
         SuperscriptBox["t", "3"]], "-", 
        FractionBox[
         RowBox[{"32", " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", 
              SuperscriptBox["s", "2"]}], "+", 
             RowBox[{"2", " ", "s", " ", "t"}], "+", 
             SuperscriptBox["t", "2"]}], ")"}], "2"], " ", 
          SuperscriptBox[
           RowBox[{"Log", "[", 
            RowBox[{"Abs", "[", 
             FractionBox["t", "s"], "]"}], "]"}], "3"]}], 
         SuperscriptBox["t", "4"]]}], ")"}]}]}], ")"}]}]}]], "Output",
 ImageSize->{572, 728},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[32]=",
 CellID->1366746330]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The result is not particularly compact, but it can be plotted as a function \
of the center-of-mass scattering angle:\
\>", "MathCaption",
 CellID->843209773],

Cell[BoxData[
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"d\[Sigma]d\[CapitalOmega]HE", "[", 
      RowBox[{
       RowBox[{"1", "/", "137."}], ",", 
       RowBox[{"4", 
        SuperscriptBox["\[Omega]", "2"]}], ",", 
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        SuperscriptBox["\[Omega]", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", ".1", ",", 
       RowBox[{"\[Pi]", "-", ".1"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        SuperscriptBox["10", 
         RowBox[{"-", "9"}]]}], "}"}]}]}], "]"}], ",", "\[IndentingNewLine]", 
   
   RowBox[{"{", 
    RowBox[{"\[Omega]", ",", "6", ",", "13"}], "}"}]}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellLabel->"In[33]:=",
 CellID->457649631]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["General case", "Subsection",
 CellID->712505992],

Cell[TextData[{
 "In the general case, the amplitude is complex, with the imaginary parts \
arising from the special functions ",
 Cell[BoxData[
  ButtonBox["DiscB",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/DiscB"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and ",
 Cell[BoxData[
  ButtonBox["ScalarD0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarD0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".  The complex conjugate of the scattering amplitude is constructed by \
selectively conjugating these special functions."
}], "Text",
 CellID->486260094],

Cell[CellGroupData[{

Cell[TextData[{
 "Construct the conjugate amplitude by selectively complex conjugating the \
special functions in ",
 Cell[BoxData["fullAmplitude"], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "MathCaption",
 Deletable->True,
 CellID->1926613692],

Cell[BoxData[
 RowBox[{
  RowBox[{"fullAmplitudeConjugate", "=", 
   RowBox[{"fullAmplitude", "/.", 
    RowBox[{
     RowBox[{"h", ":", 
      RowBox[{"_DiscB", "|", "_ScalarC0", "|", "_ScalarD0"}]}], 
     "\[RuleDelayed]", 
     RowBox[{"Conjugate", "[", "h", "]"}]}]}]}], ";"}]], "Input",
 CellLabel->"In[34]:=",
 CellID->837891978]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["Contract",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/Contract"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " the product of the low energy amplitude with itself, and apply the on \
shell kinematic conditions (about 10 seconds runtime on a modern machine)."
}], "MathCaption",
 CellID->590746162],

Cell[BoxData[
 RowBox[{
  RowBox[{"ampSqFull", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        FractionBox[
         SuperscriptBox["e", "4"], 
         RowBox[{"16", 
          SuperscriptBox["\[Pi]", "2"]}]], ")"}], "2"], 
      RowBox[{"Contract", "[", 
       RowBox[{
        FractionBox["1", "4"], "fullAmplitude", "*", 
        "fullAmplitudeConjugate"}], "]"}]}], "/.", "onShell"}], "/.", 
    RowBox[{"\[ScriptD]", "\[Rule]", "4"}]}]}], ";"}]], "Input",
 CellLabel->"In[35]:=",
 CellID->853844653]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Multiply by the flux and phase space factors to obtain the differential cross \
section:\
\>", "MathCaption",
 CellID->1133312901],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"d\[Sigma]d\[CapitalOmega]Full", "[", 
    RowBox[{"\[Alpha]_", ",", "s_", ",", "t_", ",", "m_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", "s"}]], "ampSqFull", 
     FractionBox["1", 
      RowBox[{"32", 
       SuperscriptBox["\[Pi]", "2"]}]]}], "/.", 
    RowBox[{"e", "\[Rule]", 
     SqrtBox[
      RowBox[{"\[Alpha]", " ", "4", "\[Pi]"}]]}]}]}], ";"}]], "Input",
 CellLabel->"In[36]:=",
 CellID->1557461864,
 ExpressionUUID -> "3ea5a085-1db6-4a57-a531-532b5990ee41"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
The result is extremely complicated, but it can be numerically plotted as a \
function of the center-of-mass scattering angle (around 80 seconds runtime):\
\>", "MathCaption",
 CellID->583374965],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Omega]", "=", "1.1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"d\[Sigma]d\[CapitalOmega]Full", "[", 
       RowBox[{
        RowBox[{"1", "/", "137."}], ",", 
        RowBox[{"4", 
         SuperscriptBox["\[Omega]", "2"]}], ",", 
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}], ",", "1.0"}], 
       "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", ".1", ",", 
       RowBox[{"\[Pi]", "-", ".1"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "\[Pi]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"2", "*", 
           SuperscriptBox["10", 
            RowBox[{"-", "10"}]]}], ",", 
          RowBox[{"1", "*", 
           SuperscriptBox["10", 
            RowBox[{"-", "10"}]]}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"1", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "10"}]]}]}], "}"}]}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", 
     RowBox[{"MaxRecursion", "\[Rule]", "0"}]}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellLabel->"In[37]:=",
 CellID->1539311909],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwBUQGu/iFib1JlAgAAABQAAAACAAAA9LiMMpyZuT/pJpeodVznPWFPqegw
3M8/d3yTw84c5z29iSiWAEPaPyiy/QMDpOY9bDo9WlH04T+A+yPi9RDmPcKZ
QIfpruY/SHlZaddw5T1lLVURHdDrPyKkIQBsw+Q9x2LUzNZM8D+w56wdujDk
PQPJhr/s5PI/yedKVkuv4z0jZCZB5nD1Pzm3TzMpV+M9hoHlQQ7R9z9KpfzM
lizjPRA5LfGDZPo/m1NhDREs4z3dcpQfKMz8P9SRw9F0VuM9j+Ho3K8n/z8k
ykpbNqbjPTT1YqRC2wBA4m5fpZwi5D3COuGZxAwCQCq0kHmWsuQ9Y82jZu1X
A0BSzo3LimDlPXb63PoHnQRAEz54Au0M5j2r6KXOOcwFQEvsdSI0nuY98yOz
eRIVB0DEQN0ZWhjnPVDHr3IuVQhAo2l2qHVc5z1oT6Ci
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->NCache[{0, 
     Rational[1, 10000000000]}, {0, 1.*^-10}],
  Method->{},
  PlotRange->NCache[{{0, Pi}, {
      Rational[1, 5000000000], 
      Rational[1, 10000000000]}}, {{0, 3.141592653589793}, {2.*^-10, 
     1.*^-10}}],
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 ImageSize->{184, 97},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[37]=",
 CellID->517809625]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "The reason for the long evaluation time is due to numerous calls to the \
complicated special functions ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ", and especially ",
 Cell[BoxData[
  ButtonBox["ScalarD0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarD0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " for each kinematic point.  The evaluation time can be improved if the \
function is organized so that each special function appears once in the \
expression."
}], "Text",
 CellID->1027508454],

Cell[CellGroupData[{

Cell[TextData[{
 "There are 5562 instances of ",
 Cell[BoxData[
  ButtonBox["ScalarC0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarC0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " and ",
 Cell[BoxData[
  ButtonBox["ScalarD0",
   BaseStyle->"Link",
   ButtonData->"paclet:X/ref/ScalarD0"]], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " each in ",
 Cell[BoxData["ampSqFull"], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ":"
}], "MathCaption",
 CellID->536425463],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Count", "[", 
  RowBox[{"ampSqFull", ",", "_ScalarC0", ",", "Infinity"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Count", "[", 
  RowBox[{"ampSqFull", ",", "_ScalarD0", ",", "Infinity"}], "]"}]}], "Input",
 CellLabel->"In[38]:=",
 CellID->851650526,
 ExpressionUUID -> "3ea5a085-1db6-4a57-a531-532b5990ee41"],

Cell[BoxData["5562"], "Output",
 ImageSize->{33, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[38]=",
 CellID->1614354421],

Cell[BoxData["5562"], "Output",
 ImageSize->{33, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[39]=",
 CellID->1146357549]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Collect the squared amplitude by the special functions, and simplify each \
coefficient (25 seconds runtime).  There are now only 33 instances of the \
special functions:\
\>", "MathCaption",
 CellID->291755662],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ampSqFullImpr", "=", 
   RowBox[{"Collect", "[", 
    RowBox[{"ampSqFull", ",", 
     RowBox[{"{", 
      RowBox[{
      "_DiscB", ",", "_ScalarC0", ",", "_ScalarD0", ",", "_Conjugate"}], 
      "}"}], ",", "Simplify"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Count", "[", 
  RowBox[{"ampSqFullImpr", ",", "_ScalarC0", ",", "Infinity"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Count", "[", 
  RowBox[{"ampSqFullImpr", ",", "_ScalarD0", ",", "Infinity"}], 
  "]"}]}], "Input",
 CellLabel->"In[40]:=",
 CellID->982957420],

Cell[BoxData["33"], "Output",
 ImageSize->{18, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[41]=",
 CellID->365295476],

Cell[BoxData["33"], "Output",
 ImageSize->{18, 13},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[42]=",
 CellID->2012802006]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Construct the differential cross section, and plot it (1 second runtime):\
\>", "MathCaption",
 CellID->850749420],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"d\[Sigma]d\[CapitalOmega]Full", "[", 
    RowBox[{"\[Alpha]_", ",", "s_", ",", "t_", ",", "m_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", "s"}]], "ampSqFullImpr", 
     FractionBox["1", 
      RowBox[{"32", 
       SuperscriptBox["\[Pi]", "2"]}]]}], "/.", 
    RowBox[{"e", "\[Rule]", 
     SqrtBox[
      RowBox[{"\[Alpha]", " ", "4", "\[Pi]"}]]}]}]}], ";"}]], "Input",
 CellLabel->"In[43]:=",
 CellID->599380214,
 ExpressionUUID -> "3ea5a085-1db6-4a57-a531-532b5990ee41"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"With", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\[Omega]", "=", "1.1"}], "}"}], ",", "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"Re", "[", 
      RowBox[{"d\[Sigma]d\[CapitalOmega]Full", "[", 
       RowBox[{
        RowBox[{"1", "/", "137."}], ",", 
        RowBox[{"4", 
         SuperscriptBox["\[Omega]", "2"]}], ",", 
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         SuperscriptBox["\[Omega]", "2"], " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"Cos", "[", "\[Theta]", "]"}]}], ")"}]}], ",", "1.0"}], 
       "]"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Theta]", ",", ".1", ",", 
       RowBox[{"\[Pi]", "-", ".1"}]}], "}"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"0", ",", "\[Pi]"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"2", "*", 
           SuperscriptBox["10", 
            RowBox[{"-", "10"}]]}], ",", 
          RowBox[{"1", "*", 
           SuperscriptBox["10", 
            RowBox[{"-", "10"}]]}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"AxesOrigin", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"1", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "10"}]]}]}], "}"}]}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "20"}], ",", 
     RowBox[{"MaxRecursion", "\[Rule]", "0"}]}], "]"}]}], 
  "\[IndentingNewLine]", "]"}]], "Input",
 CellLabel->"In[44]:=",
 CellID->130500984],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwBUQGu/iFib1JlAgAAABQAAAACAAAA9LiMMpyZuT8TCmBjA1znPWFPqegw
3M8/iWEbzc4c5z29iSiWAEPaPyfMVQUDpOY9bDo9WlH04T/yxzji9RDmPcKZ
QIfpruY/lrdZaddw5T1lLVURHdDrPz2qIgBsw+Q9x2LUzNZM8D/jhK0dujDk
PQPJhr/s5PI/F6xKVkuv4z0jZCZB5nD1P6gvTzMpV+M9hoHlQQ7R9z89efzM
lizjPRA5LfGDZPo/QdNgDREs4z3dcpQfKMz8P18IxNF0VuM9j+Ho3K8n/z+a
n0hbNqbjPTT1YqRC2wBA7ClfpZwi5D3COuGZxAwCQLd3nHmWsuQ9Y82jZu1X
A0ARFU/LimDlPXb63PoHnQRA8UOnAu0M5j2r6KXOOcwFQL+IpyE0nuY98yOz
eRIVB0C+41swUxjnPVDHr3IuVQhAJyAsTVBS5z2I2JuQ
     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->NCache[{0, 
     Rational[1, 10000000000]}, {0, 1.*^-10}],
  Method->{},
  PlotRange->NCache[{{0, Pi}, {
      Rational[1, 5000000000], 
      Rational[1, 10000000000]}}, {{0, 3.141592653589793}, {2.*^-10, 
     1.*^-10}}],
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 ImageSize->{184, 97},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[44]=",
 CellID->1262040413]
}, Open  ]]
}, Open  ]],

Cell[TextData[{
 "To avoid having to recalculate and simplify the differential cross section \
each time ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " is restarted, it is useful to save it to disk with ",
 Cell[BoxData[
  ButtonBox["DumpSave",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/DumpSave"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ".  The definition can then be loaded with ",
 Cell[BoxData[
  ButtonBox["Get",
   BaseStyle->"Link",
   ButtonData->"paclet:ref/Get"]], "InlineFormula",
  ShowStringCharacters->False,
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " when needed across separate sessions."
}], "Text",
 CellID->160226316],

Cell[CellGroupData[{

Cell[TextData[{
 "Save the definition of ",
 Cell[BoxData["d\[Sigma]d\[CapitalOmega]Full"], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 " in a binary file:"
}], "MathCaption",
 CellID->144309345],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", "$TemporaryDirectory", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"DumpSave", "[", 
   RowBox[{"\"\<QED-LBL-ampSq.mx\>\"", ",", "d\[Sigma]d\[CapitalOmega]Full"}],
    "]"}], ";"}]}], "Input",
 CellLabel->"In[52]:=",
 CellID->1631488855,
 ExpressionUUID -> "3ea5a085-1db6-4a57-a531-532b5990ee41"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Load the definitions in ",
 Cell[BoxData["\"\<QED-LBL-ampSq.mx\>\""], "InlineFormula",
  FontFamily->FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "11.2"]], "Source Sans Pro", 
    Inherited]],
 ": "
}], "MathCaption",
 CellID->831367542],

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetDirectory", "[", "$TemporaryDirectory", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Get", "[", "\"\<QED-LBL-ampSq.mx\>\"", "]"}], ";"}]}], "Input",
 CellLabel->"In[54]:=",
 CellID->1265671012,
 ExpressionUUID -> "3ea5a085-1db6-4a57-a531-532b5990ee41"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["More About", "TutorialMoreAboutSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "MORE ABOUT", "TutorialMoreAboutSection", CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      Cell[
       TextData[{
         Cell[
          BoxData[
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[24]]]], "Related Guides"}], "TutorialMoreAboutSection", 
       CellSize -> {5000, Inherited}], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->23220180],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Package-X",
 BaseStyle->"Link",
 ButtonData->"paclet:X/guide/PackageX"]], "TutorialMoreAbout",
 CellID->1567025153],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Related Tutorials", "RelatedTutorialsSection",
 WholeCellGroupOpener->True,
 CellElementSpacings->{"CellMinHeight"->3},
 CellFrameLabels->{{
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 
     Cell[
     "RELATED TUTORIALS", "RelatedTutorialsSection", 
      CellSize -> {5000, Inherited}], 
     FEPrivate`If[
      FEPrivate`Or[
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
       FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 
      Cell[
       TextData[{
         Cell[
          BoxData[
           InterpretationBox[
            StyleBox[
             
             GraphicsBox[{}, ImageSize -> {24, 0}, BaselinePosition -> 
              Baseline], "CacheGraphics" -> False], 
            Spacer[24]]]], "Related Tutorials"}], "RelatedTutorialsSection", 
       CellSize -> {5000, Inherited}], None]], None}, {None, None}},
 CellFrameLabelMargins->0,
 CellSize->{Inherited, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 11, 
    FEPrivate`If[
     FEPrivate`Or[
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
      FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], 14, Inherited]]},
 CellID->415694126],

Cell["", "SectionHeaderSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]],

Cell[TextData[ButtonBox["Bringing the Arguments of D functions to Canonical \
Form",
 BaseStyle->"Link",
 ButtonData->"paclet:X/tutorial/ArgumentsOfScalarD"]], "RelatedTutorials",
 CellID->806871991],

Cell["", "SectionFooterSpacer",
 Editable->False,
 Selectable->False,
 Deletable->False,
 ShowCellBracket->False,
 ShowSelection->False,
 CellMargins->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 0, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]],
 CellElementSpacings->{"CellMinHeight"->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], 1, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]},
 CellSize->FEPrivate`If[
   FEPrivate`Or[
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "6.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "7.0"], 
    FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"]], {Inherited, 1}, 
   FEPrivate`If[
    FEPrivate`Or[
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.0"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.1"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.2"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.3"], 
     FEPrivate`SameQ[FEPrivate`$ProductVersion, "10.4"]], Inherited, 
    Inherited]]]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->FEPrivate`If[
  FEPrivate`Or[
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "8.0"], 
   FEPrivate`SameQ[FEPrivate`$ProductVersion, "9.0"]], 
  "The Scattering of Light By Light - Wolfram Mathematica", 
  "The Scattering of Light By Light"],
PrivateNotebookOptions->{"FileOutlineCache"->False},
TaggingRules->{
 "ModificationHighlight" -> False, "ColorType" -> "TutorialColor", 
  "LinkTrails" -> GridBox[{{
      RowBox[{
        StyleBox[
         ButtonBox[
         "Mathematica", ButtonData -> "paclet:guide/Mathematica", 
          BaseStyle -> {"Link", "DockedLinkTrail"}], FontSlant -> "Italic"], 
        Cell[">", "DockedLinkTrailSeparator"]}]}}, ColumnAlignments -> Left], 
  "Metadata" -> {
   "built" -> "{2017, 11, 26, 23, 53, 41.151120}", 
    "history" -> {"2.0", "", "", ""}, "context" -> "X`", "keywords" -> {}, 
    "specialkeywords" -> {}, "tutorialcollectionlinks" -> {}, "index" -> True,
     "label" -> "Package-X Tutorial", "language" -> "en", "paclet" -> 
    "Package-X", "status" -> "None", "summary" -> 
    "This tutorial will illustrate a few strategies you can employ to \
streamline complex calculations with Package-X by using the scattering of \
light by light in quantum electrodynamics as an example. We will aim to \
calculate the scattering amplitude and differential cross section. In certain \
kinematic limits, compact analytic expressions exist and can be quickly \
obtained. Otherwise, the general result with full kinematic dependence is \
extremely complicated, and can take a long time to calculate. But with clever \
strategies it can be obtained in a reasonable amount of time, and can even be \
numerically evaluated. We will also save the final result so it can be \
reloaded upon restarting Mathematica. At leading order, the Feynman diagrams \
are: GridBox[{{StyleBox[\"s-channel\", TR], StyleBox[\"t-channel\", TR], \
StyleBox[\"u-channel\", TR]}, {", "synonyms" -> {}, "title" -> 
    "The Scattering of Light By Light", "titlemodifier" -> "", "windowtitle" -> 
    "The Scattering of Light By Light", "type" -> "Tutorial", "uri" -> 
    "X/tutorial/LightByLight"}, "SearchTextTranslated" -> ""},
FrontEndVersion -> "6.0",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> Notebook], 
   Cell[
    StyleData["Output"], CellContext -> Notebook], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "6.0", 
  StyleDefinitions -> "Default.nb"]
]

